(set-info :smt-lib-version 2.6)
(set-logic QF_BVLRA)
(set-info :source |
Generated by: Tomas Kolarik
Generated on: 2024-04-14
Generator: gitlab.com/Tomaqa/mapf_r
Application: Multi-Agent Path-Finding with Continuous Time
Target solver: Z3, CVC4, MathSAT
Publications: Tomas Kolarik, Stefan Ratschan and Pavel Surynek: "Multi-Agent Path-Finding with Continuous Time Using SAT Modulo Linear Real Arithmetic" in ICAART, SCITEPRESS, 2024.
The benchmarks mimic MAPF problems with continuous time where the objective time must be sub-optimal, bounded by a user-specified coefficient. In the original solver, a simulator checks whether there are collisions between particular agents, according to the current model. This check is missing in the case of the final 'check-sat'. The benchmarks also lack commands for preferring certain variables during the search which is of huge importance when searching for short paths in a graph. However, the final plan must still avoid all collisions encountered by the original solver and the objective time must obey the sub-optimal coefficient. Producing models is crucial for the application since the intended solver communicates values of particular variables with the simulator. This communication is ommited though for simplicity. The final 'get-value' allows to compare with the original solver that the objective time indeed obeys the coefficient. Filenames without the extensions correspond to filenames of resulting plans of the original solver.
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(declare-const objtime Real)
(declare-const oo Real)
(declare-const eps Real)
(declare-const A0.V<0> (_ BitVec 16))
(declare-const A0.atime<0> Real)
(assert (= A0.atime<0> 0))
(declare-const A0.rtime<0> Real)
(declare-const A0.wtime<0> Real)
(declare-const A0.mtime<0> Real)
(assert (= (+ A0.rtime<0> (+ (* (- 1) A0.wtime<0>) (* (- 1) A0.mtime<0>))) 0))
(assert (<= 0 A0.wtime<0>))
(assert (<= 0 A0.mtime<0>))
(declare-const wpref0 Bool)
(assert (or (= A0.wtime<0> 0) (not wpref0)))
(declare-const A0.ppref<0> Bool)
(declare-const A0.spref<0><1> Bool)
(declare-const A0.spref<0><2> Bool)
(declare-const A0.spref<0><3> Bool)
(declare-const A0.spref<0><4> Bool)
(declare-const A0.spref<0><5> Bool)
(declare-const A0.spref<0><6> Bool)
(declare-const A0.spref<0><7> Bool)
(declare-const A0.spref<0><8> Bool)
(declare-const A0.spref<0><9> Bool)
(declare-const A0.spref<0><10> Bool)
(declare-const A0.spref<0><11> Bool)
(declare-const A0.spref<0><12> Bool)
(declare-const A1.V<0> (_ BitVec 16))
(declare-const A1.atime<0> Real)
(assert (= A1.atime<0> 0))
(declare-const A1.rtime<0> Real)
(declare-const A1.wtime<0> Real)
(declare-const A1.mtime<0> Real)
(assert (= (+ A1.rtime<0> (+ (* (- 1) A1.wtime<0>) (* (- 1) A1.mtime<0>))) 0))
(assert (<= 0 A1.wtime<0>))
(assert (<= 0 A1.mtime<0>))
(declare-const wpref1 Bool)
(assert (or (= A1.wtime<0> 0) (not wpref1)))
(declare-const A1.ppref<0> Bool)
(declare-const A1.spref<0><1> Bool)
(declare-const A1.spref<0><2> Bool)
(declare-const A1.spref<0><3> Bool)
(declare-const A1.spref<0><4> Bool)
(declare-const A1.spref<0><5> Bool)
(declare-const A1.spref<0><6> Bool)
(declare-const A1.spref<0><7> Bool)
(declare-const A1.spref<0><8> Bool)
(declare-const A1.spref<0><9> Bool)
(declare-const A1.spref<0><10> Bool)
(declare-const A1.spref<0><11> Bool)
(declare-const A1.spref<0><12> Bool)
(declare-const A2.V<0> (_ BitVec 16))
(declare-const A2.atime<0> Real)
(assert (= A2.atime<0> 0))
(declare-const A2.rtime<0> Real)
(declare-const A2.wtime<0> Real)
(declare-const A2.mtime<0> Real)
(assert (= (+ A2.rtime<0> (+ (* (- 1) A2.wtime<0>) (* (- 1) A2.mtime<0>))) 0))
(assert (<= 0 A2.wtime<0>))
(assert (<= 0 A2.mtime<0>))
(declare-const wpref2 Bool)
(assert (or (= A2.wtime<0> 0) (not wpref2)))
(declare-const A2.ppref<0> Bool)
(declare-const A2.spref<0><1> Bool)
(declare-const A2.spref<0><2> Bool)
(declare-const A2.spref<0><3> Bool)
(declare-const A2.spref<0><4> Bool)
(declare-const A2.spref<0><5> Bool)
(declare-const A2.spref<0><6> Bool)
(declare-const A2.spref<0><7> Bool)
(declare-const A2.spref<0><8> Bool)
(declare-const A2.spref<0><9> Bool)
(declare-const A2.spref<0><10> Bool)
(declare-const A2.spref<0><11> Bool)
(declare-const A2.spref<0><12> Bool)
(declare-const A3.V<0> (_ BitVec 16))
(declare-const A3.atime<0> Real)
(assert (= A3.atime<0> 0))
(declare-const A3.rtime<0> Real)
(declare-const A3.wtime<0> Real)
(declare-const A3.mtime<0> Real)
(assert (= (+ A3.rtime<0> (+ (* (- 1) A3.wtime<0>) (* (- 1) A3.mtime<0>))) 0))
(assert (<= 0 A3.wtime<0>))
(assert (<= 0 A3.mtime<0>))
(declare-const wpref3 Bool)
(assert (or (= A3.wtime<0> 0) (not wpref3)))
(declare-const A3.ppref<0> Bool)
(declare-const A3.spref<0><1> Bool)
(declare-const A3.spref<0><2> Bool)
(declare-const A3.spref<0><3> Bool)
(declare-const A3.spref<0><4> Bool)
(declare-const A3.spref<0><5> Bool)
(declare-const A3.spref<0><6> Bool)
(declare-const A3.spref<0><7> Bool)
(declare-const A3.spref<0><8> Bool)
(declare-const A3.spref<0><9> Bool)
(declare-const A3.spref<0><10> Bool)
(declare-const A3.spref<0><11> Bool)
(declare-const A3.spref<0><12> Bool)
(declare-const A4.V<0> (_ BitVec 16))
(declare-const A4.atime<0> Real)
(assert (= A4.atime<0> 0))
(declare-const A4.rtime<0> Real)
(declare-const A4.wtime<0> Real)
(declare-const A4.mtime<0> Real)
(assert (= (+ A4.rtime<0> (+ (* (- 1) A4.wtime<0>) (* (- 1) A4.mtime<0>))) 0))
(assert (<= 0 A4.wtime<0>))
(assert (<= 0 A4.mtime<0>))
(declare-const wpref4 Bool)
(assert (or (= A4.wtime<0> 0) (not wpref4)))
(declare-const A4.ppref<0> Bool)
(declare-const A4.spref<0><1> Bool)
(declare-const A4.spref<0><2> Bool)
(declare-const A4.spref<0><3> Bool)
(declare-const A4.spref<0><4> Bool)
(declare-const A4.spref<0><5> Bool)
(declare-const A4.spref<0><6> Bool)
(declare-const A4.spref<0><7> Bool)
(declare-const A4.spref<0><8> Bool)
(declare-const A4.spref<0><9> Bool)
(declare-const A4.spref<0><10> Bool)
(declare-const A4.spref<0><11> Bool)
(declare-const A4.spref<0><12> Bool)
(assert (= A4.V<0> (_ bv1 16)))
(assert (= A3.V<0> (_ bv14 16)))
(assert (= A2.V<0> (_ bv3 16)))
(assert (= A1.V<0> (_ bv12 16)))
(assert (= A0.V<0> (_ bv9 16)))
(assert (or (= A0.wtime<0> 0) (or (= A1.wtime<0> 0) (or (= A2.wtime<0> 0) (or (= A3.wtime<0> 0) (= A4.wtime<0> 0))))))
(assert (or (= A0.V<0> (_ bv9 16)) (not A0.ppref<0>)))
(assert (or (= A1.V<0> (_ bv12 16)) (not A1.ppref<0>)))
(assert (or (= A2.V<0> (_ bv3 16)) (not A2.ppref<0>)))
(assert (or (= A3.V<0> (_ bv14 16)) (not A3.ppref<0>)))
(assert (or (= A4.V<0> (_ bv1 16)) (not A4.ppref<0>)))
(declare-const A0.V<1> (_ BitVec 16))
(declare-const A0.atime<1> Real)
(assert (= (+ A0.atime<0> (+ A0.rtime<0> (* (- 1) A0.atime<1>))) 0))
(declare-const A0.rtime<1> Real)
(declare-const A0.wtime<1> Real)
(declare-const A0.mtime<1> Real)
(assert (= (+ A0.rtime<1> (+ (* (- 1) A0.wtime<1>) (* (- 1) A0.mtime<1>))) 0))
(assert (<= 0 A0.wtime<1>))
(assert (<= 0 A0.mtime<1>))
(declare-const A0.ppref<1> Bool)
(declare-const A0.spref<1><1> Bool)
(declare-const A0.spref<1><2> Bool)
(declare-const A0.spref<1><3> Bool)
(declare-const A0.spref<1><4> Bool)
(declare-const A0.spref<1><5> Bool)
(declare-const A0.spref<1><6> Bool)
(declare-const A0.spref<1><7> Bool)
(declare-const A0.spref<1><8> Bool)
(declare-const A0.spref<1><9> Bool)
(declare-const A0.spref<1><10> Bool)
(declare-const A0.spref<1><11> Bool)
(declare-const A0.spref<1><12> Bool)
(declare-const A1.V<1> (_ BitVec 16))
(declare-const A1.atime<1> Real)
(assert (= (+ A1.atime<0> (+ A1.rtime<0> (* (- 1) A1.atime<1>))) 0))
(declare-const A1.rtime<1> Real)
(declare-const A1.wtime<1> Real)
(declare-const A1.mtime<1> Real)
(assert (= (+ A1.rtime<1> (+ (* (- 1) A1.wtime<1>) (* (- 1) A1.mtime<1>))) 0))
(assert (<= 0 A1.wtime<1>))
(assert (<= 0 A1.mtime<1>))
(declare-const A1.ppref<1> Bool)
(declare-const A1.spref<1><1> Bool)
(declare-const A1.spref<1><2> Bool)
(declare-const A1.spref<1><3> Bool)
(declare-const A1.spref<1><4> Bool)
(declare-const A1.spref<1><5> Bool)
(declare-const A1.spref<1><6> Bool)
(declare-const A1.spref<1><7> Bool)
(declare-const A1.spref<1><8> Bool)
(declare-const A1.spref<1><9> Bool)
(declare-const A1.spref<1><10> Bool)
(declare-const A1.spref<1><11> Bool)
(declare-const A1.spref<1><12> Bool)
(declare-const A2.V<1> (_ BitVec 16))
(declare-const A2.atime<1> Real)
(assert (= (+ A2.atime<0> (+ A2.rtime<0> (* (- 1) A2.atime<1>))) 0))
(declare-const A2.rtime<1> Real)
(declare-const A2.wtime<1> Real)
(declare-const A2.mtime<1> Real)
(assert (= (+ A2.rtime<1> (+ (* (- 1) A2.wtime<1>) (* (- 1) A2.mtime<1>))) 0))
(assert (<= 0 A2.wtime<1>))
(assert (<= 0 A2.mtime<1>))
(declare-const A2.ppref<1> Bool)
(declare-const A2.spref<1><1> Bool)
(declare-const A2.spref<1><2> Bool)
(declare-const A2.spref<1><3> Bool)
(declare-const A2.spref<1><4> Bool)
(declare-const A2.spref<1><5> Bool)
(declare-const A2.spref<1><6> Bool)
(declare-const A2.spref<1><7> Bool)
(declare-const A2.spref<1><8> Bool)
(declare-const A2.spref<1><9> Bool)
(declare-const A2.spref<1><10> Bool)
(declare-const A2.spref<1><11> Bool)
(declare-const A2.spref<1><12> Bool)
(declare-const A3.V<1> (_ BitVec 16))
(declare-const A3.atime<1> Real)
(assert (= (+ A3.atime<0> (+ A3.rtime<0> (* (- 1) A3.atime<1>))) 0))
(declare-const A3.rtime<1> Real)
(declare-const A3.wtime<1> Real)
(declare-const A3.mtime<1> Real)
(assert (= (+ A3.rtime<1> (+ (* (- 1) A3.wtime<1>) (* (- 1) A3.mtime<1>))) 0))
(assert (<= 0 A3.wtime<1>))
(assert (<= 0 A3.mtime<1>))
(declare-const A3.ppref<1> Bool)
(declare-const A3.spref<1><1> Bool)
(declare-const A3.spref<1><2> Bool)
(declare-const A3.spref<1><3> Bool)
(declare-const A3.spref<1><4> Bool)
(declare-const A3.spref<1><5> Bool)
(declare-const A3.spref<1><6> Bool)
(declare-const A3.spref<1><7> Bool)
(declare-const A3.spref<1><8> Bool)
(declare-const A3.spref<1><9> Bool)
(declare-const A3.spref<1><10> Bool)
(declare-const A3.spref<1><11> Bool)
(declare-const A3.spref<1><12> Bool)
(declare-const A4.V<1> (_ BitVec 16))
(declare-const A4.atime<1> Real)
(assert (= (+ A4.atime<0> (+ A4.rtime<0> (* (- 1) A4.atime<1>))) 0))
(declare-const A4.rtime<1> Real)
(declare-const A4.wtime<1> Real)
(declare-const A4.mtime<1> Real)
(assert (= (+ A4.rtime<1> (+ (* (- 1) A4.wtime<1>) (* (- 1) A4.mtime<1>))) 0))
(assert (<= 0 A4.wtime<1>))
(assert (<= 0 A4.mtime<1>))
(declare-const A4.ppref<1> Bool)
(declare-const A4.spref<1><1> Bool)
(declare-const A4.spref<1><2> Bool)
(declare-const A4.spref<1><3> Bool)
(declare-const A4.spref<1><4> Bool)
(declare-const A4.spref<1><5> Bool)
(declare-const A4.spref<1><6> Bool)
(declare-const A4.spref<1><7> Bool)
(declare-const A4.spref<1><8> Bool)
(declare-const A4.spref<1><9> Bool)
(declare-const A4.spref<1><10> Bool)
(declare-const A4.spref<1><11> Bool)
(declare-const A4.spref<1><12> Bool)
(assert (or (= A0.V<1> (_ bv6 16)) (not A0.ppref<1>)))
(assert (or (= A1.V<1> (_ bv13 16)) (not A1.ppref<1>)))
(assert (or (= A2.V<1> (_ bv6 16)) (not A2.ppref<1>)))
(assert (or (= A3.V<1> (_ bv13 16)) (not A3.ppref<1>)))
(assert (or (= A4.V<1> (_ bv7 16)) (not A4.ppref<1>)))
(assert (or (= A0.mtime<0> (/ 41 29)) (not (and (= A0.V<0> (_ bv9 16)) (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.mtime<0> (/ 41 29)) (not (and (= A0.V<0> (_ bv9 16)) (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv9 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<0> (/ 41 29)) (not (and (= A0.V<0> (_ bv9 16)) (= A0.V<1> (_ bv6 16))))))
(assert (or (= A0.mtime<0> (/ 41 29)) (not (and (= A0.V<0> (_ bv9 16)) (= A0.V<1> (_ bv4 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv9 16)) (= A0.V<1> (_ bv15 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv9 16)) (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv9 16)) (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv9 16)) (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv9 16)) (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv9 16)) (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv9 16)) (= A0.V<1> (_ bv5 16))))))
(assert (or (or (= A0.V<1> (_ bv5 16)) (or (= A0.V<1> (_ bv8 16)) (or (= A0.V<1> (_ bv13 16)) (or (= A0.V<1> (_ bv0 16)) (or (= A0.V<1> (_ bv10 16)) (or (= A0.V<1> (_ bv2 16)) (or (= A0.V<1> (_ bv15 16)) (or (= A0.V<1> (_ bv4 16)) (or (= A0.V<1> (_ bv6 16)) (or (= A0.V<1> (_ bv7 16)) (or (= A0.V<1> (_ bv14 16)) (= A0.V<1> (_ bv12 16))))))))))))) (not (= A0.V<0> (_ bv9 16)))))
(assert (or (= A0.V<1> (_ bv6 16)) (not (and A0.spref<0><1> (= A0.V<0> (_ bv9 16))))))
(assert (or (= A0.V<1> (_ bv10 16)) (not (and A0.spref<0><2> (= A0.V<0> (_ bv9 16))))))
(assert (or (= A0.V<1> (_ bv5 16)) (not (and A0.spref<0><3> (= A0.V<0> (_ bv9 16))))))
(assert (or (= A0.V<1> (_ bv7 16)) (not (and A0.spref<0><4> (= A0.V<0> (_ bv9 16))))))
(assert (or (= A0.V<1> (_ bv2 16)) (not (and A0.spref<0><5> (= A0.V<0> (_ bv9 16))))))
(assert (or (= A0.V<1> (_ bv13 16)) (not (and A0.spref<0><6> (= A0.V<0> (_ bv9 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv12 16)) (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv12 16)) (= A1.V<1> (_ bv9 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv12 16)) (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv12 16)) (= A1.V<1> (_ bv13 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv12 16)) (= A1.V<1> (_ bv8 16))))))
(assert (or (or (= A1.V<1> (_ bv8 16)) (or (= A1.V<1> (_ bv13 16)) (or (= A1.V<1> (_ bv5 16)) (or (= A1.V<1> (_ bv10 16)) (= A1.V<1> (_ bv9 16)))))) (not (= A1.V<0> (_ bv12 16)))))
(assert (or (= A1.V<1> (_ bv13 16)) (not (and A1.spref<0><1> (= A1.V<0> (_ bv12 16))))))
(assert (or (= A1.V<1> (_ bv10 16)) (not (and A1.spref<0><2> (= A1.V<0> (_ bv12 16))))))
(assert (or (= A1.V<1> (_ bv9 16)) (not (and A1.spref<0><3> (= A1.V<0> (_ bv12 16))))))
(assert (or (= A1.V<1> (_ bv8 16)) (not (and A1.spref<0><4> (= A1.V<0> (_ bv12 16))))))
(assert (or (= A1.V<1> (_ bv5 16)) (not (and A1.spref<0><5> (= A1.V<0> (_ bv12 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.mtime<0> (/ 41 29)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv2 16))))))
(assert (or (or (= A2.V<1> (_ bv2 16)) (or (= A2.V<1> (_ bv7 16)) (or (= A2.V<1> (_ bv5 16)) (or (= A2.V<1> (_ bv6 16)) (= A2.V<1> (_ bv10 16)))))) (not (= A2.V<0> (_ bv3 16)))))
(assert (or (= A2.V<1> (_ bv6 16)) (not (and A2.spref<0><1> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv10 16)) (not (and A2.spref<0><2> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv5 16)) (not (and A2.spref<0><3> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv7 16)) (not (and A2.spref<0><4> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv2 16)) (not (and A2.spref<0><5> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A3.mtime<0> (/ 41 29)) (not (and (= A3.V<0> (_ bv14 16)) (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.mtime<0> (/ 41 29)) (not (and (= A3.V<0> (_ bv14 16)) (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.mtime<0> (/ 38 17)) (not (and (= A3.V<0> (_ bv14 16)) (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.mtime<0> (/ 38 17)) (not (and (= A3.V<0> (_ bv14 16)) (= A3.V<1> (_ bv7 16))))))
(assert (or (= A3.mtime<0> (/ 38 17)) (not (and (= A3.V<0> (_ bv14 16)) (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.mtime<0> 1) (not (and (= A3.V<0> (_ bv14 16)) (= A3.V<1> (_ bv15 16))))))
(assert (or (= A3.mtime<0> 1) (not (and (= A3.V<0> (_ bv14 16)) (= A3.V<1> (_ bv13 16))))))
(assert (or (= A3.mtime<0> 1) (not (and (= A3.V<0> (_ bv14 16)) (= A3.V<1> (_ bv10 16))))))
(assert (or (or (= A3.V<1> (_ bv10 16)) (or (= A3.V<1> (_ bv13 16)) (or (= A3.V<1> (_ bv15 16)) (or (= A3.V<1> (_ bv5 16)) (or (= A3.V<1> (_ bv7 16)) (or (= A3.V<1> (_ bv8 16)) (or (= A3.V<1> (_ bv11 16)) (= A3.V<1> (_ bv9 16))))))))) (not (= A3.V<0> (_ bv14 16)))))
(assert (or (= A3.V<1> (_ bv13 16)) (not (and A3.spref<0><1> (= A3.V<0> (_ bv14 16))))))
(assert (or (= A3.V<1> (_ bv9 16)) (not (and A3.spref<0><2> (= A3.V<0> (_ bv14 16))))))
(assert (or (= A3.V<1> (_ bv8 16)) (not (and A3.spref<0><3> (= A3.V<0> (_ bv14 16))))))
(assert (or (= A3.V<1> (_ bv10 16)) (not (and A3.spref<0><4> (= A3.V<0> (_ bv14 16))))))
(assert (or (= A3.V<1> (_ bv15 16)) (not (and A3.spref<0><5> (= A3.V<0> (_ bv14 16))))))
(assert (or (= A3.V<1> (_ bv5 16)) (not (and A3.spref<0><6> (= A3.V<0> (_ bv14 16))))))
(assert (or (= A4.mtime<0> (/ 38 17)) (not (and (= A4.V<0> (_ bv1 16)) (= A4.V<1> (_ bv10 16))))))
(assert (or (= A4.mtime<0> (/ 38 17)) (not (and (= A4.V<0> (_ bv1 16)) (= A4.V<1> (_ bv8 16))))))
(assert (or (= A4.mtime<0> (/ 38 17)) (not (and (= A4.V<0> (_ bv1 16)) (= A4.V<1> (_ bv7 16))))))
(assert (or (= A4.mtime<0> (/ 41 29)) (not (and (= A4.V<0> (_ bv1 16)) (= A4.V<1> (_ bv6 16))))))
(assert (or (= A4.mtime<0> (/ 41 29)) (not (and (= A4.V<0> (_ bv1 16)) (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.mtime<0> 1) (not (and (= A4.V<0> (_ bv1 16)) (= A4.V<1> (_ bv2 16))))))
(assert (or (= A4.mtime<0> 1) (not (and (= A4.V<0> (_ bv1 16)) (= A4.V<1> (_ bv5 16))))))
(assert (or (= A4.mtime<0> 1) (not (and (= A4.V<0> (_ bv1 16)) (= A4.V<1> (_ bv0 16))))))
(assert (or (or (= A4.V<1> (_ bv0 16)) (or (= A4.V<1> (_ bv5 16)) (or (= A4.V<1> (_ bv2 16)) (or (= A4.V<1> (_ bv4 16)) (or (= A4.V<1> (_ bv6 16)) (or (= A4.V<1> (_ bv7 16)) (or (= A4.V<1> (_ bv10 16)) (= A4.V<1> (_ bv8 16))))))))) (not (= A4.V<0> (_ bv1 16)))))
(assert (or (= A4.V<1> (_ bv7 16)) (not (and A4.spref<0><1> (= A4.V<0> (_ bv1 16))))))
(assert (or (= A4.V<1> (_ bv6 16)) (not (and A4.spref<0><2> (= A4.V<0> (_ bv1 16))))))
(assert (or (= A4.V<1> (_ bv2 16)) (not (and A4.spref<0><3> (= A4.V<0> (_ bv1 16))))))
(assert (or (= A4.V<1> (_ bv5 16)) (not (and A4.spref<0><4> (= A4.V<0> (_ bv1 16))))))
(assert (or (= A4.V<1> (_ bv10 16)) (not (and A4.spref<0><5> (= A4.V<0> (_ bv1 16))))))
(assert (or (= A4.V<1> (_ bv0 16)) (not (and A4.spref<0><6> (= A4.V<0> (_ bv1 16))))))
(declare-const A0.V<2> (_ BitVec 16))
(declare-const A0.atime<2> Real)
(assert (= (+ A0.atime<1> (+ A0.rtime<1> (* (- 1) A0.atime<2>))) 0))
(declare-const A0.rtime<2> Real)
(declare-const A0.wtime<2> Real)
(declare-const A0.mtime<2> Real)
(assert (= (+ A0.rtime<2> (+ (* (- 1) A0.wtime<2>) (* (- 1) A0.mtime<2>))) 0))
(assert (<= 0 A0.wtime<2>))
(assert (<= 0 A0.mtime<2>))
(declare-const A0.ppref<2> Bool)
(declare-const A0.spref<2><1> Bool)
(declare-const A0.spref<2><2> Bool)
(declare-const A0.spref<2><3> Bool)
(declare-const A0.spref<2><4> Bool)
(declare-const A0.spref<2><5> Bool)
(declare-const A0.spref<2><6> Bool)
(declare-const A0.spref<2><7> Bool)
(declare-const A0.spref<2><8> Bool)
(declare-const A0.spref<2><9> Bool)
(declare-const A0.spref<2><10> Bool)
(declare-const A0.spref<2><11> Bool)
(declare-const A0.spref<2><12> Bool)
(declare-const A1.V<2> (_ BitVec 16))
(declare-const A1.atime<2> Real)
(assert (= (+ A1.atime<1> (+ A1.rtime<1> (* (- 1) A1.atime<2>))) 0))
(declare-const A1.rtime<2> Real)
(declare-const A1.wtime<2> Real)
(declare-const A1.mtime<2> Real)
(assert (= (+ A1.rtime<2> (+ (* (- 1) A1.wtime<2>) (* (- 1) A1.mtime<2>))) 0))
(assert (<= 0 A1.wtime<2>))
(assert (<= 0 A1.mtime<2>))
(declare-const A1.ppref<2> Bool)
(declare-const A1.spref<2><1> Bool)
(declare-const A1.spref<2><2> Bool)
(declare-const A1.spref<2><3> Bool)
(declare-const A1.spref<2><4> Bool)
(declare-const A1.spref<2><5> Bool)
(declare-const A1.spref<2><6> Bool)
(declare-const A1.spref<2><7> Bool)
(declare-const A1.spref<2><8> Bool)
(declare-const A1.spref<2><9> Bool)
(declare-const A1.spref<2><10> Bool)
(declare-const A1.spref<2><11> Bool)
(declare-const A1.spref<2><12> Bool)
(declare-const A2.V<2> (_ BitVec 16))
(declare-const A2.atime<2> Real)
(assert (= (+ A2.atime<1> (+ A2.rtime<1> (* (- 1) A2.atime<2>))) 0))
(declare-const A2.rtime<2> Real)
(declare-const A2.wtime<2> Real)
(declare-const A2.mtime<2> Real)
(assert (= (+ A2.rtime<2> (+ (* (- 1) A2.wtime<2>) (* (- 1) A2.mtime<2>))) 0))
(assert (<= 0 A2.wtime<2>))
(assert (<= 0 A2.mtime<2>))
(declare-const A2.ppref<2> Bool)
(declare-const A2.spref<2><1> Bool)
(declare-const A2.spref<2><2> Bool)
(declare-const A2.spref<2><3> Bool)
(declare-const A2.spref<2><4> Bool)
(declare-const A2.spref<2><5> Bool)
(declare-const A2.spref<2><6> Bool)
(declare-const A2.spref<2><7> Bool)
(declare-const A2.spref<2><8> Bool)
(declare-const A2.spref<2><9> Bool)
(declare-const A2.spref<2><10> Bool)
(declare-const A2.spref<2><11> Bool)
(declare-const A2.spref<2><12> Bool)
(declare-const A3.V<2> (_ BitVec 16))
(declare-const A3.atime<2> Real)
(assert (= (+ A3.atime<1> (+ A3.rtime<1> (* (- 1) A3.atime<2>))) 0))
(declare-const A3.rtime<2> Real)
(declare-const A3.wtime<2> Real)
(declare-const A3.mtime<2> Real)
(assert (= (+ A3.rtime<2> (+ (* (- 1) A3.wtime<2>) (* (- 1) A3.mtime<2>))) 0))
(assert (<= 0 A3.wtime<2>))
(assert (<= 0 A3.mtime<2>))
(declare-const A3.ppref<2> Bool)
(declare-const A3.spref<2><1> Bool)
(declare-const A3.spref<2><2> Bool)
(declare-const A3.spref<2><3> Bool)
(declare-const A3.spref<2><4> Bool)
(declare-const A3.spref<2><5> Bool)
(declare-const A3.spref<2><6> Bool)
(declare-const A3.spref<2><7> Bool)
(declare-const A3.spref<2><8> Bool)
(declare-const A3.spref<2><9> Bool)
(declare-const A3.spref<2><10> Bool)
(declare-const A3.spref<2><11> Bool)
(declare-const A3.spref<2><12> Bool)
(declare-const A4.V<2> (_ BitVec 16))
(declare-const A4.atime<2> Real)
(assert (= (+ A4.atime<1> (+ A4.rtime<1> (* (- 1) A4.atime<2>))) 0))
(declare-const A4.rtime<2> Real)
(declare-const A4.wtime<2> Real)
(declare-const A4.mtime<2> Real)
(assert (= (+ A4.rtime<2> (+ (* (- 1) A4.wtime<2>) (* (- 1) A4.mtime<2>))) 0))
(assert (<= 0 A4.wtime<2>))
(assert (<= 0 A4.mtime<2>))
(declare-const A4.ppref<2> Bool)
(declare-const A4.spref<2><1> Bool)
(declare-const A4.spref<2><2> Bool)
(declare-const A4.spref<2><3> Bool)
(declare-const A4.spref<2><4> Bool)
(declare-const A4.spref<2><5> Bool)
(declare-const A4.spref<2><6> Bool)
(declare-const A4.spref<2><7> Bool)
(declare-const A4.spref<2><8> Bool)
(declare-const A4.spref<2><9> Bool)
(declare-const A4.spref<2><10> Bool)
(declare-const A4.spref<2><11> Bool)
(declare-const A4.spref<2><12> Bool)
(assert (or (= A1.V<2> (_ bv14 16)) (not A1.ppref<2>)))
(assert (or (= A2.V<2> (_ bv9 16)) (not A2.ppref<2>)))
(assert (or (= A3.V<2> (_ bv12 16)) (not A3.ppref<2>)))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv5 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv5 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv5 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv5 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv5 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv5 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv5 16)) (= A0.V<2> (_ bv0 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv5 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv5 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv5 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv5 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv5 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv12 16)) (= A0.V<2> (_ bv11 16))))))))))))) (not (= A0.V<1> (_ bv5 16)))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv5 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv5 16))))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv5 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv5 16))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv5 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv6 16)) (= A0.V<2> (_ bv13 16))))))))) (not (= A0.V<1> (_ bv8 16)))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv11 16)) (= A0.V<2> (_ bv10 16))))))))) (not (= A0.V<1> (_ bv13 16)))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv14 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv8 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv6 16)) (= A0.V<2> (_ bv9 16)))))) (not (= A0.V<1> (_ bv0 16)))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv13 16)) (= A0.V<2> (_ bv15 16))))))))))))) (not (= A0.V<1> (_ bv10 16)))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.V<2> (_ bv14 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv11 16)) (= A0.V<2> (_ bv9 16))))))))) (not (= A0.V<1> (_ bv2 16)))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv3 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv15 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv15 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv15 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv15 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv15 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv10 16)) (= A0.V<2> (_ bv9 16)))))) (not (= A0.V<1> (_ bv15 16)))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv15 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv15 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv15 16))))))
(assert (or (= A0.V<2> (_ bv14 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv15 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv4 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv4 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv4 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv4 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv4 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv4 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv4 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv4 16)) (= A0.V<2> (_ bv0 16))))))
(assert (or (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv10 16)) (= A0.V<2> (_ bv9 16))))))))) (not (= A0.V<1> (_ bv4 16)))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv4 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv4 16))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv4 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv4 16))))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv4 16))))))
(assert (or (= A0.V<2> (_ bv8 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv0 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (and (= A0.mtime<1> 0) (= A0.wtime<1> 0)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<0> (_ bv6 16))))))
(assert (or (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv11 16)) (= A0.V<2> (_ bv9 16)))))))))))))) (not (= A0.V<1> (_ bv6 16)))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv7 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv7 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv7 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv7 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv7 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv7 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv7 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv7 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv10 16)) (= A0.V<2> (_ bv9 16))))))))) (not (= A0.V<1> (_ bv7 16)))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.V<2> (_ bv3 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv10 16)) (= A0.V<2> (_ bv9 16)))))) (not (= A0.V<1> (_ bv12 16)))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.V<2> (_ bv8 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv11 16)) (= A0.V<2> (_ bv9 16))))))))) (not (= A0.V<1> (_ bv14 16)))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv15 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv0 16)) (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv8 16)) (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<1> (_ bv9 16))))))
(assert (or (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv12 16)) (= A0.V<2> (_ bv14 16))))))))))))) (not (= A0.V<1> (_ bv9 16)))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv13 16)) (= A1.V<2> (_ bv6 16))))))))) (not (= A1.V<1> (_ bv8 16)))))
(assert (or (= A1.V<2> (_ bv14 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv12 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv13 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv13 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv13 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv13 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv13 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv13 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv13 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv13 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv11 16)) (= A1.V<2> (_ bv10 16))))))))) (not (= A1.V<1> (_ bv13 16)))))
(assert (or (= A1.V<2> (_ bv14 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv13 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv13 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv13 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv13 16))))))
(assert (or (= A1.V<2> (_ bv12 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv13 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv12 16)) (= A1.V<2> (_ bv11 16))))))))))))) (not (= A1.V<1> (_ bv5 16)))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.V<2> (_ bv14 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv9 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv9 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv9 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv9 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv9 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv9 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv9 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv9 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv9 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv9 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv9 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv9 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv15 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv14 16)) (= A1.V<2> (_ bv12 16))))))))))))) (not (= A1.V<1> (_ bv9 16)))))
(assert (or (= A1.V<2> (_ bv15 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv9 16))))))
(assert (or (= A1.V<2> (_ bv14 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv9 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv9 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv9 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv9 16))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv13 16)) (= A1.V<2> (_ bv15 16))))))))))))) (not (= A1.V<1> (_ bv10 16)))))
(assert (or (= A1.V<2> (_ bv15 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv14 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<1> (_ bv12 16))))))
(assert (or (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv9 16)) (= A1.V<2> (_ bv10 16)))))) (not (= A1.V<1> (_ bv12 16)))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv9 16)) (= A2.V<2> (_ bv11 16))))))))) (not (= A2.V<1> (_ bv2 16)))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv7 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv9 16)) (= A2.V<2> (_ bv10 16))))))))) (not (= A2.V<1> (_ bv7 16)))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv11 16)) (= A2.V<2> (_ bv12 16))))))))))))) (not (= A2.V<1> (_ bv5 16)))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.V<2> (_ bv8 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv3 16)) (or (or (= A2.V<2> (_ bv9 16)) (= A2.V<2> (_ bv11 16))) (= A2.V<2> (_ bv8 16)))))))))))) (not (= A2.V<1> (_ bv6 16)))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.V<2> (_ bv8 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.V<2> (_ bv7 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv13 16)) (= A2.V<2> (_ bv15 16))))))))))))) (not (= A2.V<1> (_ bv10 16)))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv6 16)) (= A2.V<2> (_ bv10 16)))))) (not (= A2.V<1> (_ bv3 16)))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv7 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv11 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv12 16)) (or (= A3.V<2> (_ bv15 16)) (= A3.V<2> (_ bv13 16))))))))))))) (not (= A3.V<1> (_ bv10 16)))))
(assert (or (= A3.V<2> (_ bv12 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.V<2> (_ bv13 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.V<2> (_ bv14 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv12 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv11 16)) (= A3.V<2> (_ bv10 16))))))))) (not (= A3.V<1> (_ bv13 16)))))
(assert (or (= A3.V<2> (_ bv12 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv13 16))))))
(assert (or (= A3.V<2> (_ bv8 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv13 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv13 16))))))
(assert (or (= A3.V<2> (_ bv14 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv13 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv13 16))))))
(assert (or (= A3.V<2> (_ bv4 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv15 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv15 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv15 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv15 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv15 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (or (= A3.V<2> (_ bv11 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv9 16)) (= A3.V<2> (_ bv10 16)))))) (not (= A3.V<1> (_ bv15 16)))))
(assert (or (= A3.V<2> (_ bv14 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv15 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv15 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv15 16))))))
(assert (or (= A3.V<2> (_ bv11 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv15 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv15 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv12 16)) (= A3.V<2> (_ bv11 16))))))))))))) (not (= A3.V<1> (_ bv5 16)))))
(assert (or (= A3.V<2> (_ bv12 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.V<2> (_ bv8 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.V<2> (_ bv4 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv7 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv7 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv7 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv7 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv7 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv7 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv7 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv7 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv11 16)) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv14 16)) (or (or (= A3.V<2> (_ bv9 16)) (= A3.V<2> (_ bv10 16))) (= A3.V<2> (_ bv2 16)))))))) (not (= A3.V<1> (_ bv7 16)))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv7 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv7 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv7 16))))))
(assert (or (= A3.V<2> (_ bv14 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv7 16))))))
(assert (or (= A3.V<2> (_ bv11 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv7 16))))))
(assert (or (= A3.V<2> (_ bv2 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv12 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv13 16)) (= A3.V<2> (_ bv6 16))))))))) (not (= A3.V<1> (_ bv8 16)))))
(assert (or (= A3.V<2> (_ bv12 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.V<2> (_ bv13 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.V<2> (_ bv4 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.V<2> (_ bv14 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv13 16)) (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv15 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv12 16)) (= A3.V<2> (_ bv14 16))))))))))))) (not (= A3.V<1> (_ bv9 16)))))
(assert (or (= A3.V<2> (_ bv12 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.V<2> (_ bv13 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.V<2> (_ bv8 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.V<2> (_ bv14 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv15 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv13 16)) (= A3.V<2> (_ bv14 16))))))))) (not (= A3.V<1> (_ bv11 16)))))
(assert (or (= A3.V<2> (_ bv13 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.V<2> (_ bv14 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.V<2> (_ bv15 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<2> (_ bv8 16)) (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<1> (_ bv14 16))))))
(assert (or (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv13 16)) (or (= A3.V<2> (_ bv15 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv11 16)) (= A3.V<2> (_ bv9 16))))))))) (not (= A3.V<1> (_ bv14 16)))))
(assert (or (= A3.V<2> (_ bv13 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.V<2> (_ bv8 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.V<2> (_ bv15 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv14 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv0 16)) (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv0 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv0 16)) (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv0 16)) (= A4.V<2> (_ bv1 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv0 16)) (= A4.V<2> (_ bv4 16))))))
(assert (or (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv1 16)) (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv9 16)) (= A4.V<2> (_ bv6 16)))))) (not (= A4.V<1> (_ bv0 16)))))
(assert (or (= A4.V<2> (_ bv6 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv0 16))))))
(assert (or (= A4.V<2> (_ bv1 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv0 16))))))
(assert (or (= A4.V<2> (_ bv5 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv0 16))))))
(assert (or (= A4.V<2> (_ bv4 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv0 16))))))
(assert (or (= A4.V<2> (_ bv9 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv0 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv12 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv11 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv10 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv8 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv3 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv2 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv0 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv1 16))))))
(assert (or (or (= A4.V<2> (_ bv1 16)) (or (= A4.V<2> (_ bv14 16)) (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv9 16)) (or (= A4.V<2> (_ bv6 16)) (or (= A4.V<2> (_ bv0 16)) (or (= A4.V<2> (_ bv2 16)) (or (= A4.V<2> (_ bv3 16)) (or (= A4.V<2> (_ bv8 16)) (or (= A4.V<2> (_ bv10 16)) (or (= A4.V<2> (_ bv12 16)) (= A4.V<2> (_ bv11 16))))))))))))) (not (= A4.V<1> (_ bv5 16)))))
(assert (or (= A4.V<2> (_ bv6 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv5 16))))))
(assert (or (= A4.V<2> (_ bv10 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv5 16))))))
(assert (or (= A4.V<2> (_ bv2 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv5 16))))))
(assert (or (= A4.V<2> (_ bv11 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv5 16))))))
(assert (or (= A4.V<2> (_ bv3 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv5 16))))))
(assert (or (= A4.V<2> (_ bv9 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv5 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv11 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv7 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv3 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv1 16))))))
(assert (or (or (= A4.V<2> (_ bv1 16)) (or (= A4.V<2> (_ bv6 16)) (or (= A4.V<2> (_ bv3 16)) (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv7 16)) (or (= A4.V<2> (_ bv9 16)) (= A4.V<2> (_ bv11 16))))))))) (not (= A4.V<1> (_ bv2 16)))))
(assert (or (= A4.V<2> (_ bv7 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv2 16))))))
(assert (or (= A4.V<2> (_ bv3 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv2 16))))))
(assert (or (= A4.V<2> (_ bv6 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv2 16))))))
(assert (or (= A4.V<2> (_ bv11 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv2 16))))))
(assert (or (= A4.V<2> (_ bv1 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv2 16))))))
(assert (or (= A4.V<2> (_ bv5 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv2 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv4 16)) (= A4.V<2> (_ bv10 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv4 16)) (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv4 16)) (= A4.V<2> (_ bv2 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv4 16)) (= A4.V<2> (_ bv1 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv4 16)) (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv4 16)) (= A4.V<2> (_ bv8 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv4 16)) (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv4 16)) (= A4.V<2> (_ bv0 16))))))
(assert (or (or (= A4.V<2> (_ bv0 16)) (or (= A4.V<2> (_ bv13 16)) (or (= A4.V<2> (_ bv8 16)) (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv1 16)) (or (= A4.V<2> (_ bv2 16)) (or (= A4.V<2> (_ bv9 16)) (= A4.V<2> (_ bv10 16))))))))) (not (= A4.V<1> (_ bv4 16)))))
(assert (or (= A4.V<2> (_ bv5 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.V<2> (_ bv10 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.V<2> (_ bv9 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.V<2> (_ bv2 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.V<2> (_ bv1 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.V<2> (_ bv8 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv6 16)) (= A4.V<2> (_ bv11 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv6 16)) (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv6 16)) (= A4.V<2> (_ bv8 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv6 16)) (= A4.V<2> (_ bv3 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv6 16)) (= A4.V<2> (_ bv1 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv6 16)) (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv6 16)) (= A4.V<2> (_ bv0 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv6 16)) (= A4.V<2> (_ bv7 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv6 16)) (= A4.V<2> (_ bv10 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv6 16)) (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv6 16)) (= A4.V<2> (_ bv15 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv6 16)) (= A4.V<2> (_ bv2 16))))))
(assert (or (or (= A4.V<2> (_ bv2 16)) (or (= A4.V<2> (_ bv15 16)) (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv10 16)) (or (= A4.V<2> (_ bv7 16)) (or (= A4.V<2> (_ bv0 16)) (or (= A4.V<2> (_ bv13 16)) (or (= A4.V<2> (_ bv1 16)) (or (= A4.V<2> (_ bv3 16)) (or (= A4.V<2> (_ bv8 16)) (or (= A4.V<2> (_ bv9 16)) (= A4.V<2> (_ bv11 16))))))))))))) (not (= A4.V<1> (_ bv6 16)))))
(assert (or (= A4.V<2> (_ bv7 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv6 16))))))
(assert (or (= A4.V<2> (_ bv11 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv6 16))))))
(assert (or (= A4.V<2> (_ bv3 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv6 16))))))
(assert (or (= A4.V<2> (_ bv10 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv6 16))))))
(assert (or (= A4.V<2> (_ bv2 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv6 16))))))
(assert (or (= A4.V<2> (_ bv5 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv6 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv7 16)) (= A4.V<2> (_ bv10 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv7 16)) (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv7 16)) (= A4.V<2> (_ bv2 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv7 16)) (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv7 16)) (= A4.V<2> (_ bv1 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv7 16)) (= A4.V<2> (_ bv11 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv7 16)) (= A4.V<2> (_ bv3 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv7 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (and (= A4.mtime<1> 0) (= A4.wtime<1> 0)) (not (and (= A4.V<1> (_ bv7 16)) (= A4.V<2> (_ bv7 16))))))
(assert (or (= A4.V<2> (_ bv7 16)) (not (and (= A4.V<1> (_ bv7 16)) (= A4.V<0> (_ bv7 16))))))
(assert (or (or (= A4.V<2> (_ bv7 16)) (or (= A4.V<2> (_ bv6 16)) (or (= A4.V<2> (_ bv3 16)) (or (= A4.V<2> (_ bv11 16)) (or (= A4.V<2> (_ bv1 16)) (or (= A4.V<2> (_ bv14 16)) (or (= A4.V<2> (_ bv2 16)) (or (= A4.V<2> (_ bv9 16)) (= A4.V<2> (_ bv10 16)))))))))) (not (= A4.V<1> (_ bv7 16)))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv1 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv12 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv4 16))))))
(assert (or (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv12 16)) (or (= A4.V<2> (_ bv9 16)) (or (= A4.V<2> (_ bv1 16)) (or (= A4.V<2> (_ bv14 16)) (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv6 16)) (= A4.V<2> (_ bv13 16))))))))) (not (= A4.V<1> (_ bv8 16)))))
(assert (or (= A4.V<2> (_ bv6 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv8 16))))))
(assert (or (= A4.V<2> (_ bv9 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv8 16))))))
(assert (or (= A4.V<2> (_ bv5 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv8 16))))))
(assert (or (= A4.V<2> (_ bv4 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv8 16))))))
(assert (or (= A4.V<2> (_ bv13 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv8 16))))))
(assert (or (= A4.V<2> (_ bv14 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv8 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv15 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv12 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv7 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv3 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv11 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv1 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (or (= A4.V<2> (_ bv6 16)) (or (= A4.V<2> (_ bv9 16)) (or (= A4.V<2> (_ bv14 16)) (or (= A4.V<2> (_ bv1 16)) (or (= A4.V<2> (_ bv11 16)) (or (= A4.V<2> (_ bv3 16)) (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv7 16)) (or (= A4.V<2> (_ bv12 16)) (or (= A4.V<2> (_ bv13 16)) (= A4.V<2> (_ bv15 16))))))))))))) (not (= A4.V<1> (_ bv10 16)))))
(assert (or (= A4.V<2> (_ bv7 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv10 16))))))
(assert (or (= A4.V<2> (_ bv11 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv10 16))))))
(assert (or (= A4.V<2> (_ bv6 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv10 16))))))
(assert (or (= A4.V<2> (_ bv3 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv10 16))))))
(assert (or (= A4.V<2> (_ bv14 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv10 16))))))
(assert (or (= A4.V<2> (_ bv9 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv10 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<2> (_ bv10 16)) (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<2> (_ bv8 16)) (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<2> (_ bv7 16)) (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<2> (_ bv6 16)) (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<2> (_ bv4 16)) (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<2> (_ bv2 16)) (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<2> (_ bv5 16)) (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<2> (_ bv0 16)) (= A4.V<1> (_ bv1 16))))))
(assert (or (or (= A4.V<2> (_ bv0 16)) (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv2 16)) (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv6 16)) (or (= A4.V<2> (_ bv7 16)) (or (= A4.V<2> (_ bv10 16)) (= A4.V<2> (_ bv8 16))))))))) (not (= A4.V<1> (_ bv1 16)))))
(assert (or (= A4.V<2> (_ bv7 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.V<2> (_ bv6 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.V<2> (_ bv2 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.V<2> (_ bv5 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.V<2> (_ bv10 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.V<2> (_ bv0 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv1 16))))))
(declare-const A0.V<3> (_ BitVec 16))
(declare-const A0.atime<3> Real)
(assert (= (+ A0.atime<2> (+ A0.rtime<2> (* (- 1) A0.atime<3>))) 0))
(declare-const A0.rtime<3> Real)
(declare-const A0.wtime<3> Real)
(declare-const A0.mtime<3> Real)
(assert (= (+ A0.rtime<3> (+ (* (- 1) A0.wtime<3>) (* (- 1) A0.mtime<3>))) 0))
(assert (<= 0 A0.wtime<3>))
(assert (<= 0 A0.mtime<3>))
(declare-const A0.ppref<3> Bool)
(declare-const A0.spref<3><1> Bool)
(declare-const A0.spref<3><2> Bool)
(declare-const A0.spref<3><3> Bool)
(declare-const A0.spref<3><4> Bool)
(declare-const A0.spref<3><5> Bool)
(declare-const A0.spref<3><6> Bool)
(declare-const A0.spref<3><7> Bool)
(declare-const A0.spref<3><8> Bool)
(declare-const A0.spref<3><9> Bool)
(declare-const A0.spref<3><10> Bool)
(declare-const A0.spref<3><11> Bool)
(declare-const A0.spref<3><12> Bool)
(declare-const A1.V<3> (_ BitVec 16))
(declare-const A1.atime<3> Real)
(assert (= (+ A1.atime<2> (+ A1.rtime<2> (* (- 1) A1.atime<3>))) 0))
(declare-const A1.rtime<3> Real)
(declare-const A1.wtime<3> Real)
(declare-const A1.mtime<3> Real)
(assert (= (+ A1.rtime<3> (+ (* (- 1) A1.wtime<3>) (* (- 1) A1.mtime<3>))) 0))
(assert (<= 0 A1.wtime<3>))
(assert (<= 0 A1.mtime<3>))
(declare-const A1.ppref<3> Bool)
(declare-const A1.spref<3><1> Bool)
(declare-const A1.spref<3><2> Bool)
(declare-const A1.spref<3><3> Bool)
(declare-const A1.spref<3><4> Bool)
(declare-const A1.spref<3><5> Bool)
(declare-const A1.spref<3><6> Bool)
(declare-const A1.spref<3><7> Bool)
(declare-const A1.spref<3><8> Bool)
(declare-const A1.spref<3><9> Bool)
(declare-const A1.spref<3><10> Bool)
(declare-const A1.spref<3><11> Bool)
(declare-const A1.spref<3><12> Bool)
(declare-const A2.V<3> (_ BitVec 16))
(declare-const A2.atime<3> Real)
(assert (= (+ A2.atime<2> (+ A2.rtime<2> (* (- 1) A2.atime<3>))) 0))
(declare-const A2.rtime<3> Real)
(declare-const A2.wtime<3> Real)
(declare-const A2.mtime<3> Real)
(assert (= (+ A2.rtime<3> (+ (* (- 1) A2.wtime<3>) (* (- 1) A2.mtime<3>))) 0))
(assert (<= 0 A2.wtime<3>))
(assert (<= 0 A2.mtime<3>))
(declare-const A2.ppref<3> Bool)
(declare-const A2.spref<3><1> Bool)
(declare-const A2.spref<3><2> Bool)
(declare-const A2.spref<3><3> Bool)
(declare-const A2.spref<3><4> Bool)
(declare-const A2.spref<3><5> Bool)
(declare-const A2.spref<3><6> Bool)
(declare-const A2.spref<3><7> Bool)
(declare-const A2.spref<3><8> Bool)
(declare-const A2.spref<3><9> Bool)
(declare-const A2.spref<3><10> Bool)
(declare-const A2.spref<3><11> Bool)
(declare-const A2.spref<3><12> Bool)
(declare-const A3.V<3> (_ BitVec 16))
(declare-const A3.atime<3> Real)
(assert (= (+ A3.atime<2> (+ A3.rtime<2> (* (- 1) A3.atime<3>))) 0))
(declare-const A3.rtime<3> Real)
(declare-const A3.wtime<3> Real)
(declare-const A3.mtime<3> Real)
(assert (= (+ A3.rtime<3> (+ (* (- 1) A3.wtime<3>) (* (- 1) A3.mtime<3>))) 0))
(assert (<= 0 A3.wtime<3>))
(assert (<= 0 A3.mtime<3>))
(declare-const A3.ppref<3> Bool)
(declare-const A3.spref<3><1> Bool)
(declare-const A3.spref<3><2> Bool)
(declare-const A3.spref<3><3> Bool)
(declare-const A3.spref<3><4> Bool)
(declare-const A3.spref<3><5> Bool)
(declare-const A3.spref<3><6> Bool)
(declare-const A3.spref<3><7> Bool)
(declare-const A3.spref<3><8> Bool)
(declare-const A3.spref<3><9> Bool)
(declare-const A3.spref<3><10> Bool)
(declare-const A3.spref<3><11> Bool)
(declare-const A3.spref<3><12> Bool)
(declare-const A4.V<3> (_ BitVec 16))
(declare-const A4.atime<3> Real)
(assert (= (+ A4.atime<2> (+ A4.rtime<2> (* (- 1) A4.atime<3>))) 0))
(declare-const A4.rtime<3> Real)
(declare-const A4.wtime<3> Real)
(declare-const A4.mtime<3> Real)
(assert (= (+ A4.rtime<3> (+ (* (- 1) A4.wtime<3>) (* (- 1) A4.mtime<3>))) 0))
(assert (<= 0 A4.wtime<3>))
(assert (<= 0 A4.mtime<3>))
(declare-const A4.ppref<3> Bool)
(declare-const A4.spref<3><1> Bool)
(declare-const A4.spref<3><2> Bool)
(declare-const A4.spref<3><3> Bool)
(declare-const A4.spref<3><4> Bool)
(declare-const A4.spref<3><5> Bool)
(declare-const A4.spref<3><6> Bool)
(declare-const A4.spref<3><7> Bool)
(declare-const A4.spref<3><8> Bool)
(declare-const A4.spref<3><9> Bool)
(declare-const A4.spref<3><10> Bool)
(declare-const A4.spref<3><11> Bool)
(declare-const A4.spref<3><12> Bool)
(assert (or (= A1.V<3> (_ bv15 16)) (not A1.ppref<3>)))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv10 16)) (= A0.V<3> (_ bv8 16))))))))) (not (= A0.V<2> (_ bv1 16)))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv7 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv0 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv10 16)) (= A0.V<3> (_ bv6 16)))))) (not (= A0.V<2> (_ bv3 16)))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv7 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv14 16)) (= A0.V<3> (_ bv13 16))))))))) (not (= A0.V<2> (_ bv11 16)))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv7 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv15 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv14 16)) (= A0.V<3> (_ bv12 16))))))))))))) (not (= A0.V<2> (_ bv9 16)))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv7 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv11 16)) (= A0.V<3> (_ bv9 16))))))))) (not (= A0.V<2> (_ bv14 16)))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv7 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv15 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv10 16)) (= A0.V<3> (_ bv9 16)))))) (not (= A0.V<2> (_ bv12 16)))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv10 16)) (= A0.V<3> (_ bv9 16))))))))) (not (= A0.V<2> (_ bv7 16)))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (and (= A0.mtime<2> 0) (= A0.wtime<2> 0)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv6 16)))) (= A0.V<3> (_ bv6 16))))
(assert (or (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv1 16)) (or (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv11 16)) (= A0.V<3> (_ bv9 16)))) (= A0.V<3> (_ bv3 16)))))))))))) (not (= A0.V<2> (_ bv6 16)))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv10 16)) (= A0.V<3> (_ bv9 16))))))))) (not (= A0.V<2> (_ bv4 16)))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv10 16)) (= A0.V<3> (_ bv9 16)))))) (not (= A0.V<2> (_ bv15 16)))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv11 16)) (= A0.V<3> (_ bv9 16))))))))) (not (= A0.V<2> (_ bv2 16)))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv7 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv13 16)) (= A0.V<3> (_ bv15 16))))))))))))) (not (= A0.V<2> (_ bv10 16)))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv7 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv0 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv0 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv0 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv0 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv0 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv6 16)) (= A0.V<3> (_ bv9 16)))))) (not (= A0.V<2> (_ bv0 16)))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv0 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv0 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv0 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv0 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv0 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv10 16)) (= A0.V<3> (_ bv11 16))))))))) (not (= A0.V<2> (_ bv13 16)))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv8 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv8 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv8 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv8 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv8 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv8 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv8 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv8 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv6 16)) (= A0.V<3> (_ bv13 16))))))))) (not (= A0.V<2> (_ bv8 16)))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv12 16)) (= A0.V<3> (_ bv11 16))))))))))))) (not (= A0.V<2> (_ bv5 16)))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv10 16)) (= A1.V<3> (_ bv9 16))))))))) (not (= A1.V<2> (_ bv7 16)))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (and (= A1.mtime<2> 0) (= A1.wtime<2> 0)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<1> (_ bv15 16))))))
(assert (or (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv10 16)) (= A1.V<3> (_ bv9 16))))))) (not (= A1.V<2> (_ bv15 16)))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv9 16)) (= A1.V<3> (_ bv6 16)))))) (not (= A1.V<2> (_ bv0 16)))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv1 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv4 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv13 16)) (or (or (= A1.V<3> (_ bv10 16)) (= A1.V<3> (_ bv9 16))) (= A1.V<3> (_ bv5 16))))) (not (= A1.V<2> (_ bv12 16)))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv8 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv15 16)) (= A1.V<3> (_ bv13 16))))))))))))) (not (= A1.V<2> (_ bv10 16)))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv14 16)) (= A1.V<3> (_ bv12 16))))))))))))) (not (= A1.V<2> (_ bv9 16)))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv11 16)) (= A1.V<3> (_ bv12 16))))))))))))) (not (= A1.V<2> (_ bv5 16)))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv8 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv10 16)) (= A1.V<3> (_ bv11 16))))))))) (not (= A1.V<2> (_ bv13 16)))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv6 16)) (= A1.V<3> (_ bv13 16))))))))) (not (= A1.V<2> (_ bv8 16)))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv9 16)) (= A1.V<3> (_ bv11 16))))))))))))) (not (= A1.V<2> (_ bv6 16)))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv7 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv9 16)) (= A1.V<3> (_ bv11 16))))))))) (not (= A1.V<2> (_ bv14 16)))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv7 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv10 16)) (= A1.V<3> (_ bv8 16))))))))) (not (= A1.V<2> (_ bv1 16)))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv7 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv2 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv4 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv10 16)) (= A1.V<3> (_ bv9 16))))))))) (not (= A1.V<2> (_ bv4 16)))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv8 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv1 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv14 16)) (= A1.V<3> (_ bv13 16))))))))) (not (= A1.V<2> (_ bv11 16)))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv7 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv10 16)) (= A1.V<3> (_ bv6 16)))))) (not (= A1.V<2> (_ bv3 16)))))
(assert (or (= A1.V<3> (_ bv7 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv2 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv9 16)) (= A1.V<3> (_ bv11 16))))))))) (not (= A1.V<2> (_ bv2 16)))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv7 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv11 16)) (= A2.V<3> (_ bv10 16))))))))) (not (= A2.V<2> (_ bv13 16)))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv8 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv10 16)) (= A2.V<3> (_ bv9 16)))))) (not (= A2.V<2> (_ bv15 16)))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv6 16)) (= A2.V<3> (_ bv9 16)))))) (not (= A2.V<2> (_ bv0 16)))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.V<3> (_ bv4 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.V<3> (_ bv1 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv10 16)) (= A2.V<3> (_ bv6 16)))))) (not (= A2.V<2> (_ bv3 16)))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv7 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv2 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv15 16)) (= A2.V<3> (_ bv13 16))))))))))))) (not (= A2.V<2> (_ bv10 16)))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv0 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv11 16)) (= A2.V<3> (_ bv9 16))))))))))))) (not (= A2.V<2> (_ bv6 16)))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv8 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv7 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv0 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv11 16)) (= A2.V<3> (_ bv12 16))))))))))))) (not (= A2.V<2> (_ bv5 16)))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv8 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv4 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv1 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv14 16)) (or (or (= A2.V<3> (_ bv10 16)) (= A2.V<3> (_ bv9 16))) (= A2.V<3> (_ bv2 16)))))))) (not (= A2.V<2> (_ bv7 16)))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.V<3> (_ bv2 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv11 16)) (= A2.V<3> (_ bv9 16))))))))) (not (= A2.V<2> (_ bv2 16)))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv1 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv7 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv4 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv14 16)) (= A2.V<3> (_ bv13 16))))))))) (not (= A2.V<2> (_ bv11 16)))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv15 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (and (= A2.mtime<2> 0) (= A2.wtime<2> 0)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv0 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv14 16)) (= A2.V<3> (_ bv12 16)))))))))))))) (not (= A2.V<2> (_ bv9 16)))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (or (= A2.V<3> (_ bv0 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv1 16)) (or (or (= A2.V<3> (_ bv10 16)) (= A2.V<3> (_ bv9 16))) (= A2.V<3> (_ bv2 16)))))))) (not (= A2.V<2> (_ bv4 16)))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv8 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv0 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (or (= A2.V<3> (_ bv0 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv10 16)) (= A2.V<3> (_ bv8 16))))))))) (not (= A2.V<2> (_ bv1 16)))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv4 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv8 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv2 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv11 16)) (= A2.V<3> (_ bv9 16))))))))) (not (= A2.V<2> (_ bv14 16)))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv8 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv15 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv13 16)) (or (or (= A2.V<3> (_ bv10 16)) (= A2.V<3> (_ bv9 16))) (= A2.V<3> (_ bv5 16))))) (not (= A2.V<2> (_ bv12 16)))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv8 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv6 16)) (= A2.V<3> (_ bv13 16))))))))) (not (= A2.V<2> (_ bv8 16)))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv4 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv0 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv0 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv0 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv0 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv0 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv9 16)) (= A3.V<3> (_ bv6 16)))))) (not (= A3.V<2> (_ bv0 16)))))
(assert (or (= A3.V<3> (_ bv4 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.V<3> (_ bv5 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.V<3> (_ bv1 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.V<3> (_ bv6 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv7 16)) (or (= A3.V<3> (_ bv9 16)) (= A3.V<3> (_ bv11 16))))))))) (not (= A3.V<2> (_ bv2 16)))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv5 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv6 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv4 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv1 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv7 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv0 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv7 16)) (or (= A3.V<3> (_ bv0 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv3 16)) (or (or (= A3.V<3> (_ bv9 16)) (= A3.V<3> (_ bv11 16))) (= A3.V<3> (_ bv8 16)))))))))))) (not (= A3.V<2> (_ bv6 16)))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv8 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv5 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv11 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv7 16)) (or (or (= A3.V<3> (_ bv9 16)) (= A3.V<3> (_ bv11 16))) (= A3.V<3> (_ bv8 16)))))))) (not (= A3.V<2> (_ bv14 16)))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv8 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv15 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv5 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv1 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv1 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv1 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv1 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv1 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv1 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv1 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv1 16)) (= A3.V<3> (_ bv0 16))))))
(assert (or (or (= A3.V<3> (_ bv0 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv7 16)) (or (= A3.V<3> (_ bv8 16)) (= A3.V<3> (_ bv10 16))))))))) (not (= A3.V<2> (_ bv1 16)))))
(assert (or (= A3.V<3> (_ bv8 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.V<3> (_ bv5 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.V<3> (_ bv4 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.V<3> (_ bv0 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.V<3> (_ bv6 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv7 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv13 16)) (= A3.V<3> (_ bv14 16))))))))) (not (= A3.V<2> (_ bv11 16)))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv15 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv6 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv5 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv0 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv8 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv0 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv7 16)) (or (= A3.V<3> (_ bv14 16)) (= A3.V<3> (_ bv12 16))))))))))))) (not (= A3.V<2> (_ bv9 16)))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv8 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv5 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv8 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv8 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv8 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv8 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv8 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv8 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv8 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv8 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv6 16)) (= A3.V<3> (_ bv13 16))))))))) (not (= A3.V<2> (_ bv8 16)))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.V<3> (_ bv4 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.V<3> (_ bv5 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv9 16)) (= A3.V<3> (_ bv10 16))))))))) (not (= A3.V<2> (_ bv7 16)))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.V<3> (_ bv6 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.V<3> (_ bv11 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.V<3> (_ bv2 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv0 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv0 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv8 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv11 16)) (= A3.V<3> (_ bv12 16))))))))))))) (not (= A3.V<2> (_ bv5 16)))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv8 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv4 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv6 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv9 16)) (= A3.V<3> (_ bv10 16)))))) (not (= A3.V<2> (_ bv15 16)))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.V<3> (_ bv11 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.V<3> (_ bv6 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv8 16)) (or (= A3.V<3> (_ bv11 16)) (= A3.V<3> (_ bv10 16))))))))) (not (= A3.V<2> (_ bv13 16)))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv8 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv4 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv7 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv13 16)) (= A3.V<3> (_ bv15 16))))))))))))) (not (= A3.V<2> (_ bv10 16)))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv5 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv6 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (and (= A3.mtime<2> 0) (= A3.wtime<2> 0)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<1> (_ bv12 16))))))
(assert (or (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv8 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv9 16)) (= A3.V<3> (_ bv10 16))))))) (not (= A3.V<2> (_ bv12 16)))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv0 16))))))
(assert (or (or (= A3.V<3> (_ bv0 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv8 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv9 16)) (= A3.V<3> (_ bv10 16))))))))) (not (= A3.V<2> (_ bv4 16)))))
(assert (or (= A3.V<3> (_ bv8 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv5 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv0 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv7 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv6 16)) (= A3.V<3> (_ bv10 16)))))) (not (= A3.V<2> (_ bv3 16)))))
(assert (or (= A3.V<3> (_ bv6 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv5 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv7 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv2 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv15 16)) (= A4.V<3> (_ bv10 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv15 16)) (= A4.V<3> (_ bv9 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv15 16)) (= A4.V<3> (_ bv6 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv15 16)) (= A4.V<3> (_ bv14 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv15 16)) (= A4.V<3> (_ bv11 16))))))
(assert (or (or (= A4.V<3> (_ bv11 16)) (or (= A4.V<3> (_ bv14 16)) (or (= A4.V<3> (_ bv6 16)) (or (= A4.V<3> (_ bv10 16)) (= A4.V<3> (_ bv9 16)))))) (not (= A4.V<2> (_ bv15 16)))))
(assert (or (= A4.V<3> (_ bv11 16)) (not (and A4.spref<2><1> (= A4.V<2> (_ bv15 16))))))
(assert (or (= A4.V<3> (_ bv10 16)) (not (and A4.spref<2><2> (= A4.V<2> (_ bv15 16))))))
(assert (or (= A4.V<3> (_ bv6 16)) (not (and A4.spref<2><3> (= A4.V<2> (_ bv15 16))))))
(assert (or (= A4.V<3> (_ bv14 16)) (not (and A4.spref<2><4> (= A4.V<2> (_ bv15 16))))))
(assert (or (= A4.V<3> (_ bv9 16)) (not (and A4.spref<2><5> (= A4.V<2> (_ bv15 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv13 16)) (= A4.V<3> (_ bv11 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv13 16)) (= A4.V<3> (_ bv10 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv13 16)) (= A4.V<3> (_ bv8 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv13 16)) (= A4.V<3> (_ bv6 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv13 16)) (= A4.V<3> (_ bv4 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv13 16)) (= A4.V<3> (_ bv14 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv13 16)) (= A4.V<3> (_ bv12 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv13 16)) (= A4.V<3> (_ bv9 16))))))
(assert (or (or (= A4.V<3> (_ bv9 16)) (or (= A4.V<3> (_ bv12 16)) (or (= A4.V<3> (_ bv14 16)) (or (= A4.V<3> (_ bv4 16)) (or (= A4.V<3> (_ bv6 16)) (or (= A4.V<3> (_ bv8 16)) (or (= A4.V<3> (_ bv10 16)) (= A4.V<3> (_ bv11 16))))))))) (not (= A4.V<2> (_ bv13 16)))))
(assert (or (= A4.V<3> (_ bv10 16)) (not (and A4.spref<2><1> (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.V<3> (_ bv11 16)) (not (and A4.spref<2><2> (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.V<3> (_ bv6 16)) (not (and A4.spref<2><3> (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.V<3> (_ bv14 16)) (not (and A4.spref<2><4> (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.V<3> (_ bv9 16)) (not (and A4.spref<2><5> (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.V<3> (_ bv8 16)) (not (and A4.spref<2><6> (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv14 16)) (= A4.V<3> (_ bv11 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv14 16)) (= A4.V<3> (_ bv9 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv14 16)) (= A4.V<3> (_ bv8 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv14 16)) (= A4.V<3> (_ bv7 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv14 16)) (= A4.V<3> (_ bv5 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv14 16)) (= A4.V<3> (_ bv15 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv14 16)) (= A4.V<3> (_ bv13 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv14 16)) (= A4.V<3> (_ bv10 16))))))
(assert (or (or (= A4.V<3> (_ bv10 16)) (or (= A4.V<3> (_ bv13 16)) (or (= A4.V<3> (_ bv15 16)) (or (= A4.V<3> (_ bv5 16)) (or (= A4.V<3> (_ bv7 16)) (or (= A4.V<3> (_ bv8 16)) (or (= A4.V<3> (_ bv9 16)) (= A4.V<3> (_ bv11 16))))))))) (not (= A4.V<2> (_ bv14 16)))))
(assert (or (= A4.V<3> (_ bv7 16)) (not (and A4.spref<2><1> (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.V<3> (_ bv11 16)) (not (and A4.spref<2><2> (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.V<3> (_ bv10 16)) (not (and A4.spref<2><3> (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.V<3> (_ bv15 16)) (not (and A4.spref<2><4> (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.V<3> (_ bv9 16)) (not (and A4.spref<2><5> (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.V<3> (_ bv13 16)) (not (and A4.spref<2><6> (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv1 16)) (= A4.V<3> (_ bv10 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv1 16)) (= A4.V<3> (_ bv8 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv1 16)) (= A4.V<3> (_ bv7 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv1 16)) (= A4.V<3> (_ bv6 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv1 16)) (= A4.V<3> (_ bv4 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv1 16)) (= A4.V<3> (_ bv2 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv1 16)) (= A4.V<3> (_ bv5 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv1 16)) (= A4.V<3> (_ bv0 16))))))
(assert (or (or (= A4.V<3> (_ bv0 16)) (or (= A4.V<3> (_ bv5 16)) (or (= A4.V<3> (_ bv2 16)) (or (= A4.V<3> (_ bv4 16)) (or (= A4.V<3> (_ bv6 16)) (or (= A4.V<3> (_ bv7 16)) (or (= A4.V<3> (_ bv10 16)) (= A4.V<3> (_ bv8 16))))))))) (not (= A4.V<2> (_ bv1 16)))))
(assert (or (= A4.V<3> (_ bv7 16)) (not (and A4.spref<2><1> (= A4.V<2> (_ bv1 16))))))
(assert (or (= A4.V<3> (_ bv6 16)) (not (and A4.spref<2><2> (= A4.V<2> (_ bv1 16))))))
(assert (or (= A4.V<3> (_ bv2 16)) (not (and A4.spref<2><3> (= A4.V<2> (_ bv1 16))))))
(assert (or (= A4.V<3> (_ bv5 16)) (not (and A4.spref<2><4> (= A4.V<2> (_ bv1 16))))))
(assert (or (= A4.V<3> (_ bv10 16)) (not (and A4.spref<2><5> (= A4.V<2> (_ bv1 16))))))
(assert (or (= A4.V<3> (_ bv0 16)) (not (and A4.spref<2><6> (= A4.V<2> (_ bv1 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv10 16)) (= A4.V<3> (_ bv15 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv10 16)) (= A4.V<3> (_ bv13 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv10 16)) (= A4.V<3> (_ bv12 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv10 16)) (= A4.V<3> (_ bv7 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv10 16)) (= A4.V<3> (_ bv5 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv10 16)) (= A4.V<3> (_ bv4 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv10 16)) (= A4.V<3> (_ bv3 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv10 16)) (= A4.V<3> (_ bv11 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv10 16)) (= A4.V<3> (_ bv1 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv10 16)) (= A4.V<3> (_ bv14 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv10 16)) (= A4.V<3> (_ bv9 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv10 16)) (= A4.V<3> (_ bv6 16))))))
(assert (or (or (= A4.V<3> (_ bv6 16)) (or (= A4.V<3> (_ bv9 16)) (or (= A4.V<3> (_ bv14 16)) (or (= A4.V<3> (_ bv1 16)) (or (= A4.V<3> (_ bv11 16)) (or (= A4.V<3> (_ bv3 16)) (or (= A4.V<3> (_ bv4 16)) (or (= A4.V<3> (_ bv5 16)) (or (= A4.V<3> (_ bv7 16)) (or (= A4.V<3> (_ bv12 16)) (or (= A4.V<3> (_ bv15 16)) (= A4.V<3> (_ bv13 16))))))))))))) (not (= A4.V<2> (_ bv10 16)))))
(assert (or (= A4.V<3> (_ bv7 16)) (not (and A4.spref<2><1> (= A4.V<2> (_ bv10 16))))))
(assert (or (= A4.V<3> (_ bv11 16)) (not (and A4.spref<2><2> (= A4.V<2> (_ bv10 16))))))
(assert (or (= A4.V<3> (_ bv6 16)) (not (and A4.spref<2><3> (= A4.V<2> (_ bv10 16))))))
(assert (or (= A4.V<3> (_ bv3 16)) (not (and A4.spref<2><4> (= A4.V<2> (_ bv10 16))))))
(assert (or (= A4.V<3> (_ bv14 16)) (not (and A4.spref<2><5> (= A4.V<2> (_ bv10 16))))))
(assert (or (= A4.V<3> (_ bv9 16)) (not (and A4.spref<2><6> (= A4.V<2> (_ bv10 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv8 16)) (= A4.V<3> (_ bv13 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv8 16)) (= A4.V<3> (_ bv6 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv8 16)) (= A4.V<3> (_ bv5 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv8 16)) (= A4.V<3> (_ bv14 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv8 16)) (= A4.V<3> (_ bv1 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv8 16)) (= A4.V<3> (_ bv9 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv8 16)) (= A4.V<3> (_ bv12 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv8 16)) (= A4.V<3> (_ bv4 16))))))
(assert (or (or (= A4.V<3> (_ bv4 16)) (or (= A4.V<3> (_ bv12 16)) (or (= A4.V<3> (_ bv9 16)) (or (= A4.V<3> (_ bv1 16)) (or (= A4.V<3> (_ bv14 16)) (or (= A4.V<3> (_ bv5 16)) (or (= A4.V<3> (_ bv6 16)) (= A4.V<3> (_ bv13 16))))))))) (not (= A4.V<2> (_ bv8 16)))))
(assert (or (= A4.V<3> (_ bv6 16)) (not (and A4.spref<2><1> (= A4.V<2> (_ bv8 16))))))
(assert (or (= A4.V<3> (_ bv9 16)) (not (and A4.spref<2><2> (= A4.V<2> (_ bv8 16))))))
(assert (or (= A4.V<3> (_ bv5 16)) (not (and A4.spref<2><3> (= A4.V<2> (_ bv8 16))))))
(assert (or (= A4.V<3> (_ bv4 16)) (not (and A4.spref<2><4> (= A4.V<2> (_ bv8 16))))))
(assert (or (= A4.V<3> (_ bv13 16)) (not (and A4.spref<2><5> (= A4.V<2> (_ bv8 16))))))
(assert (or (= A4.V<3> (_ bv14 16)) (not (and A4.spref<2><6> (= A4.V<2> (_ bv8 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv7 16)) (= A4.V<3> (_ bv10 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv7 16)) (= A4.V<3> (_ bv9 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv7 16)) (= A4.V<3> (_ bv2 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv7 16)) (= A4.V<3> (_ bv14 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv7 16)) (= A4.V<3> (_ bv1 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv7 16)) (= A4.V<3> (_ bv11 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv7 16)) (= A4.V<3> (_ bv3 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv7 16)) (= A4.V<3> (_ bv6 16))))))
(assert (or (and (= A4.mtime<2> 0) (= A4.wtime<2> 0)) (not (and (= A4.V<2> (_ bv7 16)) (= A4.V<3> (_ bv7 16))))))
(assert (or (not (and (= A4.V<1> (_ bv7 16)) (= A4.V<2> (_ bv7 16)))) (= A4.V<3> (_ bv7 16))))
(assert (or (or (= A4.V<3> (_ bv7 16)) (or (= A4.V<3> (_ bv6 16)) (or (= A4.V<3> (_ bv3 16)) (or (= A4.V<3> (_ bv11 16)) (or (= A4.V<3> (_ bv1 16)) (or (= A4.V<3> (_ bv14 16)) (or (or (= A4.V<3> (_ bv10 16)) (= A4.V<3> (_ bv9 16))) (= A4.V<3> (_ bv2 16))))))))) (not (= A4.V<2> (_ bv7 16)))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv6 16)) (= A4.V<3> (_ bv11 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv6 16)) (= A4.V<3> (_ bv9 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv6 16)) (= A4.V<3> (_ bv8 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv6 16)) (= A4.V<3> (_ bv3 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv6 16)) (= A4.V<3> (_ bv1 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv6 16)) (= A4.V<3> (_ bv13 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv6 16)) (= A4.V<3> (_ bv0 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv6 16)) (= A4.V<3> (_ bv7 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv6 16)) (= A4.V<3> (_ bv10 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv6 16)) (= A4.V<3> (_ bv5 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv6 16)) (= A4.V<3> (_ bv15 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv6 16)) (= A4.V<3> (_ bv2 16))))))
(assert (or (or (= A4.V<3> (_ bv2 16)) (or (= A4.V<3> (_ bv15 16)) (or (= A4.V<3> (_ bv5 16)) (or (= A4.V<3> (_ bv10 16)) (or (= A4.V<3> (_ bv7 16)) (or (= A4.V<3> (_ bv0 16)) (or (= A4.V<3> (_ bv13 16)) (or (= A4.V<3> (_ bv1 16)) (or (or (= A4.V<3> (_ bv8 16)) (or (= A4.V<3> (_ bv9 16)) (= A4.V<3> (_ bv11 16)))) (= A4.V<3> (_ bv3 16))))))))))) (not (= A4.V<2> (_ bv6 16)))))
(assert (or (= A4.V<3> (_ bv7 16)) (not (and A4.spref<2><1> (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.V<3> (_ bv11 16)) (not (and A4.spref<2><2> (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.V<3> (_ bv3 16)) (not (and A4.spref<2><3> (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.V<3> (_ bv10 16)) (not (and A4.spref<2><4> (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.V<3> (_ bv2 16)) (not (and A4.spref<2><5> (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.V<3> (_ bv5 16)) (not (and A4.spref<2><6> (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv4 16)) (= A4.V<3> (_ bv10 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv4 16)) (= A4.V<3> (_ bv9 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv4 16)) (= A4.V<3> (_ bv2 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv4 16)) (= A4.V<3> (_ bv1 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv4 16)) (= A4.V<3> (_ bv5 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv4 16)) (= A4.V<3> (_ bv8 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv4 16)) (= A4.V<3> (_ bv13 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv4 16)) (= A4.V<3> (_ bv0 16))))))
(assert (or (or (= A4.V<3> (_ bv0 16)) (or (= A4.V<3> (_ bv13 16)) (or (= A4.V<3> (_ bv8 16)) (or (= A4.V<3> (_ bv5 16)) (or (= A4.V<3> (_ bv1 16)) (or (or (= A4.V<3> (_ bv10 16)) (= A4.V<3> (_ bv9 16))) (= A4.V<3> (_ bv2 16)))))))) (not (= A4.V<2> (_ bv4 16)))))
(assert (or (= A4.V<3> (_ bv5 16)) (not (and A4.spref<2><1> (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.V<3> (_ bv10 16)) (not (and A4.spref<2><2> (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.V<3> (_ bv9 16)) (not (and A4.spref<2><3> (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.V<3> (_ bv2 16)) (not (and A4.spref<2><4> (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.V<3> (_ bv1 16)) (not (and A4.spref<2><5> (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.V<3> (_ bv8 16)) (not (and A4.spref<2><6> (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv2 16)) (= A4.V<3> (_ bv11 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv2 16)) (= A4.V<3> (_ bv9 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv2 16)) (= A4.V<3> (_ bv7 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv2 16)) (= A4.V<3> (_ bv5 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv2 16)) (= A4.V<3> (_ bv4 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv2 16)) (= A4.V<3> (_ bv3 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv2 16)) (= A4.V<3> (_ bv6 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv2 16)) (= A4.V<3> (_ bv1 16))))))
(assert (or (or (= A4.V<3> (_ bv1 16)) (or (= A4.V<3> (_ bv6 16)) (or (= A4.V<3> (_ bv3 16)) (or (= A4.V<3> (_ bv4 16)) (or (= A4.V<3> (_ bv5 16)) (or (= A4.V<3> (_ bv7 16)) (or (= A4.V<3> (_ bv9 16)) (= A4.V<3> (_ bv11 16))))))))) (not (= A4.V<2> (_ bv2 16)))))
(assert (or (= A4.V<3> (_ bv7 16)) (not (and A4.spref<2><1> (= A4.V<2> (_ bv2 16))))))
(assert (or (= A4.V<3> (_ bv3 16)) (not (and A4.spref<2><2> (= A4.V<2> (_ bv2 16))))))
(assert (or (= A4.V<3> (_ bv6 16)) (not (and A4.spref<2><3> (= A4.V<2> (_ bv2 16))))))
(assert (or (= A4.V<3> (_ bv11 16)) (not (and A4.spref<2><4> (= A4.V<2> (_ bv2 16))))))
(assert (or (= A4.V<3> (_ bv1 16)) (not (and A4.spref<2><5> (= A4.V<2> (_ bv2 16))))))
(assert (or (= A4.V<3> (_ bv5 16)) (not (and A4.spref<2><6> (= A4.V<2> (_ bv2 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv5 16)) (= A4.V<3> (_ bv12 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv5 16)) (= A4.V<3> (_ bv11 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv5 16)) (= A4.V<3> (_ bv10 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv5 16)) (= A4.V<3> (_ bv8 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv5 16)) (= A4.V<3> (_ bv3 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv5 16)) (= A4.V<3> (_ bv2 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv5 16)) (= A4.V<3> (_ bv0 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv5 16)) (= A4.V<3> (_ bv6 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv5 16)) (= A4.V<3> (_ bv9 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv5 16)) (= A4.V<3> (_ bv4 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv5 16)) (= A4.V<3> (_ bv14 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv5 16)) (= A4.V<3> (_ bv1 16))))))
(assert (or (or (= A4.V<3> (_ bv1 16)) (or (= A4.V<3> (_ bv14 16)) (or (= A4.V<3> (_ bv4 16)) (or (= A4.V<3> (_ bv9 16)) (or (= A4.V<3> (_ bv6 16)) (or (= A4.V<3> (_ bv0 16)) (or (= A4.V<3> (_ bv2 16)) (or (= A4.V<3> (_ bv3 16)) (or (= A4.V<3> (_ bv8 16)) (or (= A4.V<3> (_ bv10 16)) (or (= A4.V<3> (_ bv11 16)) (= A4.V<3> (_ bv12 16))))))))))))) (not (= A4.V<2> (_ bv5 16)))))
(assert (or (= A4.V<3> (_ bv6 16)) (not (and A4.spref<2><1> (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.V<3> (_ bv10 16)) (not (and A4.spref<2><2> (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.V<3> (_ bv2 16)) (not (and A4.spref<2><3> (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.V<3> (_ bv11 16)) (not (and A4.spref<2><4> (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.V<3> (_ bv3 16)) (not (and A4.spref<2><5> (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.V<3> (_ bv9 16)) (not (and A4.spref<2><6> (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv0 16)) (= A4.V<3> (_ bv9 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv0 16)) (= A4.V<3> (_ bv6 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv0 16)) (= A4.V<3> (_ bv5 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv0 16)) (= A4.V<3> (_ bv1 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv0 16)) (= A4.V<3> (_ bv4 16))))))
(assert (or (or (= A4.V<3> (_ bv4 16)) (or (= A4.V<3> (_ bv1 16)) (or (= A4.V<3> (_ bv5 16)) (or (= A4.V<3> (_ bv9 16)) (= A4.V<3> (_ bv6 16)))))) (not (= A4.V<2> (_ bv0 16)))))
(assert (or (= A4.V<3> (_ bv6 16)) (not (and A4.spref<2><1> (= A4.V<2> (_ bv0 16))))))
(assert (or (= A4.V<3> (_ bv1 16)) (not (and A4.spref<2><2> (= A4.V<2> (_ bv0 16))))))
(assert (or (= A4.V<3> (_ bv5 16)) (not (and A4.spref<2><3> (= A4.V<2> (_ bv0 16))))))
(assert (or (= A4.V<3> (_ bv4 16)) (not (and A4.spref<2><4> (= A4.V<2> (_ bv0 16))))))
(assert (or (= A4.V<3> (_ bv9 16)) (not (and A4.spref<2><5> (= A4.V<2> (_ bv0 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv9 16)) (= A4.V<3> (_ bv14 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv9 16)) (= A4.V<3> (_ bv12 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv9 16)) (= A4.V<3> (_ bv7 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv9 16)) (= A4.V<3> (_ bv6 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv9 16)) (= A4.V<3> (_ bv4 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv9 16)) (= A4.V<3> (_ bv15 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv9 16)) (= A4.V<3> (_ bv2 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv9 16)) (= A4.V<3> (_ bv10 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv9 16)) (= A4.V<3> (_ bv0 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv9 16)) (= A4.V<3> (_ bv13 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv9 16)) (= A4.V<3> (_ bv8 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv9 16)) (= A4.V<3> (_ bv5 16))))))
(assert (or (or (= A4.V<3> (_ bv5 16)) (or (= A4.V<3> (_ bv8 16)) (or (= A4.V<3> (_ bv13 16)) (or (= A4.V<3> (_ bv0 16)) (or (= A4.V<3> (_ bv10 16)) (or (= A4.V<3> (_ bv2 16)) (or (= A4.V<3> (_ bv15 16)) (or (= A4.V<3> (_ bv4 16)) (or (= A4.V<3> (_ bv6 16)) (or (= A4.V<3> (_ bv7 16)) (or (= A4.V<3> (_ bv14 16)) (= A4.V<3> (_ bv12 16))))))))))))) (not (= A4.V<2> (_ bv9 16)))))
(assert (or (= A4.V<3> (_ bv7 16)) (not (and A4.spref<2><1> (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.V<3> (_ bv6 16)) (not (and A4.spref<2><2> (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.V<3> (_ bv10 16)) (not (and A4.spref<2><3> (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.V<3> (_ bv5 16)) (not (and A4.spref<2><4> (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.V<3> (_ bv14 16)) (not (and A4.spref<2><5> (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.V<3> (_ bv2 16)) (not (and A4.spref<2><6> (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv12 16)) (= A4.V<3> (_ bv10 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv12 16)) (= A4.V<3> (_ bv9 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv12 16)) (= A4.V<3> (_ bv5 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv12 16)) (= A4.V<3> (_ bv13 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv12 16)) (= A4.V<3> (_ bv8 16))))))
(assert (or (or (= A4.V<3> (_ bv8 16)) (or (= A4.V<3> (_ bv13 16)) (or (or (= A4.V<3> (_ bv10 16)) (= A4.V<3> (_ bv9 16))) (= A4.V<3> (_ bv5 16))))) (not (= A4.V<2> (_ bv12 16)))))
(assert (or (= A4.V<3> (_ bv10 16)) (not (and A4.spref<2><1> (= A4.V<2> (_ bv12 16))))))
(assert (or (= A4.V<3> (_ bv9 16)) (not (and A4.spref<2><2> (= A4.V<2> (_ bv12 16))))))
(assert (or (= A4.V<3> (_ bv13 16)) (not (and A4.spref<2><3> (= A4.V<2> (_ bv12 16))))))
(assert (or (= A4.V<3> (_ bv5 16)) (not (and A4.spref<2><4> (= A4.V<2> (_ bv12 16))))))
(assert (or (= A4.V<3> (_ bv8 16)) (not (and A4.spref<2><5> (= A4.V<2> (_ bv12 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv11 16)) (= A4.V<3> (_ bv14 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv11 16)) (= A4.V<3> (_ bv13 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv11 16)) (= A4.V<3> (_ bv6 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv11 16)) (= A4.V<3> (_ bv5 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv11 16)) (= A4.V<3> (_ bv2 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv11 16)) (= A4.V<3> (_ bv15 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv11 16)) (= A4.V<3> (_ bv7 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv11 16)) (= A4.V<3> (_ bv10 16))))))
(assert (or (or (= A4.V<3> (_ bv10 16)) (or (= A4.V<3> (_ bv7 16)) (or (= A4.V<3> (_ bv15 16)) (or (= A4.V<3> (_ bv2 16)) (or (= A4.V<3> (_ bv5 16)) (or (= A4.V<3> (_ bv6 16)) (or (= A4.V<3> (_ bv14 16)) (= A4.V<3> (_ bv13 16))))))))) (not (= A4.V<2> (_ bv11 16)))))
(assert (or (= A4.V<3> (_ bv7 16)) (not (and A4.spref<2><1> (= A4.V<2> (_ bv11 16))))))
(assert (or (= A4.V<3> (_ bv6 16)) (not (and A4.spref<2><2> (= A4.V<2> (_ bv11 16))))))
(assert (or (= A4.V<3> (_ bv10 16)) (not (and A4.spref<2><3> (= A4.V<2> (_ bv11 16))))))
(assert (or (= A4.V<3> (_ bv15 16)) (not (and A4.spref<2><4> (= A4.V<2> (_ bv11 16))))))
(assert (or (= A4.V<3> (_ bv14 16)) (not (and A4.spref<2><5> (= A4.V<2> (_ bv11 16))))))
(assert (or (= A4.V<3> (_ bv2 16)) (not (and A4.spref<2><6> (= A4.V<2> (_ bv11 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv3 16)) (= A4.V<3> (_ bv10 16))))))
(assert (or (= A4.mtime<2> (/ 41 29)) (not (and (= A4.V<2> (_ bv3 16)) (= A4.V<3> (_ bv6 16))))))
(assert (or (= A4.mtime<2> (/ 38 17)) (not (and (= A4.V<2> (_ bv3 16)) (= A4.V<3> (_ bv5 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv3 16)) (= A4.V<3> (_ bv7 16))))))
(assert (or (= A4.mtime<2> 1) (not (and (= A4.V<2> (_ bv3 16)) (= A4.V<3> (_ bv2 16))))))
(assert (or (or (= A4.V<3> (_ bv2 16)) (or (= A4.V<3> (_ bv7 16)) (or (= A4.V<3> (_ bv5 16)) (or (= A4.V<3> (_ bv10 16)) (= A4.V<3> (_ bv6 16)))))) (not (= A4.V<2> (_ bv3 16)))))
(assert (or (= A4.V<3> (_ bv7 16)) (not (and A4.spref<2><1> (= A4.V<2> (_ bv3 16))))))
(assert (or (= A4.V<3> (_ bv6 16)) (not (and A4.spref<2><2> (= A4.V<2> (_ bv3 16))))))
(assert (or (= A4.V<3> (_ bv2 16)) (not (and A4.spref<2><3> (= A4.V<2> (_ bv3 16))))))
(assert (or (= A4.V<3> (_ bv10 16)) (not (and A4.spref<2><4> (= A4.V<2> (_ bv3 16))))))
(assert (or (= A4.V<3> (_ bv5 16)) (not (and A4.spref<2><5> (= A4.V<2> (_ bv3 16))))))
(declare-const kass3 Bool)
(assert (or (= objtime A4.wtime<3>) (not kass3)))
(assert (or (not kass3) (= A4.mtime<3> 0)))
(assert (or (not kass3) (= objtime A3.wtime<3>)))
(assert (or (not kass3) (= A3.mtime<3> 0)))
(assert (or (not kass3) (= objtime A2.wtime<3>)))
(assert (or (not kass3) (= A2.mtime<3> 0)))
(assert (or (not kass3) (= objtime A1.wtime<3>)))
(assert (or (not kass3) (= A1.mtime<3> 0)))
(assert (or (not kass3) (= objtime A0.wtime<3>)))
(assert (or (not kass3) (= A0.mtime<3> 0)))
(push 1)
(assert kass3)
(assert (= A4.V<3> (_ bv7 16)))
(assert (= A3.V<3> (_ bv12 16)))
(assert (= A2.V<3> (_ bv9 16)))
(assert (= A1.V<3> (_ bv15 16)))
(assert (= A0.V<3> (_ bv6 16)))
(assert (let ((def_7549 (ite (<= A4.atime<3> 0) 0 A4.atime<3>))) (let ((def_7551 (ite (<= A3.atime<3> def_7549) def_7549 A3.atime<3>))) (let ((def_7553 (ite (<= A2.atime<3> def_7551) def_7551 A2.atime<3>))) (let ((def_7555 (ite (<= A1.atime<3> def_7553) def_7553 A1.atime<3>))) (= objtime (ite (<= A0.atime<3> def_7555) def_7555 A0.atime<3>)))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 29 30) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 29 30) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 29 30))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 29 30))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 29 30))) (or (<= (/ 26 31) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 13 25) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 29 30))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 27 44))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A3.V<0> (_ bv14 16))) (or (not (= A1.V<0> (_ bv12 16))) (not (= A1.V<1> (_ bv13 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 38 17))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A3.V<0> (_ bv14 16))) (or (not (= A1.V<0> (_ bv12 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 27 44))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A3.V<0> (_ bv14 16))) (or (not (= A1.V<0> (_ bv12 16))) (not (= A1.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 27 44) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv14 16))) (or (not (= A1.V<0> (_ bv12 16))) (not (= A1.V<1> (_ bv13 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 38 17) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv14 16))) (or (not (= A1.V<0> (_ bv12 16))) (not (= A1.V<1> (_ bv13 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 29 30))) (or (<= (/ 161 72) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 13 25))) (or (<= (/ 161 72) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 161 72) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 29 30))) (or (<= (/ 26 31) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 27 44))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- 1)))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv11 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv8 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv11 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv10 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv8 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv6 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv4 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv12 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv9 16))))))))
(assert (or (<= (- (/ 34 135)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (* (- 1) A2.atime<1>))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (not (= A2.V<1> (_ bv6 16))))))))
(assert (or (<= (- (/ 21 47)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv11 16)))))))))
(assert (or (<= 0 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv8 16)))))))))
(assert (or (<= (/ 3 14) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 58 41) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= (- (/ 37 99)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv13 16)))))))))
(assert (or (<= (/ 38 17) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv0 16)))))))))
(assert (or (<= (- (/ 4 17)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv7 16)))))))))
(assert (or (<= (- (/ 19 43)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (/ 1001 1000) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv5 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv15 16)))))))))
(assert (or (<= (/ 1001 1000) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (/ 3 14) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (* (- 1) A2.atime<1>))) (- (/ 38 17))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv1 16))) (not (= A2.V<1> (_ bv6 16))))))))
(assert (or (and (not kass3) (<= (- (/ 21 47)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (* (- 1) A0.atime<3>))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (not (= A0.V<3> (_ bv6 16))))))))
(assert (or (and (not kass3) (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A0.atime<3>))) (- (/ 1001 1000))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A0.V<3> (_ bv6 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv14 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv14 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 27 34))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv14 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 38 17))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv14 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv14 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 3 41))) (or (<= (/ 37 45) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv7 16))) (or (not (= A3.V<0> (_ bv14 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 3 14))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A3.V<0> (_ bv14 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (- (/ 4 17)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv14 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 57 100) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 17 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 34 19) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 34 19) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 34 19) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 34 19) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv15 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv7 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 34 19) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 3 8) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv11 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 29 28) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 37 186) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 51 28))) (or (<= (/ 5 28) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (- (/ 21 40)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 57 100) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (- (/ 4 17)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 17 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 3 14))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 13 25))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 17 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv15 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 41 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 8 27))) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 13 72)) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 44 133)) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 13 25))) (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 27 34))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (and (not kass3) (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A0.atime<3>))) (- (/ 34 19))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A0.V<3> (_ bv6 16))))))))
(assert (or (and (not kass3) (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<3>))) (- (/ 58 41))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (not (= A0.V<3> (_ bv6 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (/ 21 17)) (or (<= (/ 161 72) (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A3.V<1> (_ bv11 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A3.V<2> (_ bv13 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16))))) (not (= A3.V<3> (_ bv11 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16))))) (not (= A3.V<3> (_ bv10 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16))))) (not (= A3.V<3> (_ bv8 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16))))) (not (= A3.V<3> (_ bv6 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16))))) (not (= A3.V<3> (_ bv4 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16))))) (not (= A3.V<3> (_ bv14 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16))))) (not (= A3.V<3> (_ bv9 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (or (not (= A1.V<1> (_ bv13 16))) (not (= A3.V<2> (_ bv13 16)))) (not (= A3.V<3> (_ bv11 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (or (not (= A1.V<1> (_ bv13 16))) (not (= A3.V<2> (_ bv13 16)))) (not (= A3.V<3> (_ bv10 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (or (not (= A1.V<1> (_ bv13 16))) (not (= A3.V<2> (_ bv13 16)))) (not (= A3.V<3> (_ bv8 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (or (not (= A1.V<1> (_ bv13 16))) (not (= A3.V<2> (_ bv13 16)))) (not (= A3.V<3> (_ bv6 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (or (not (= A1.V<1> (_ bv13 16))) (not (= A3.V<2> (_ bv13 16)))) (not (= A3.V<3> (_ bv4 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (or (not (= A1.V<1> (_ bv13 16))) (not (= A3.V<2> (_ bv13 16)))) (not (= A3.V<3> (_ bv14 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (or (not (= A1.V<1> (_ bv13 16))) (not (= A3.V<2> (_ bv13 16)))) (not (= A3.V<3> (_ bv9 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 55 41)) (or (<= (/ 161 72) (+ A2.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A4.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 25 88) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 26 47) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 58 41))) (or (<= (/ 37 186) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 17 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 9 5))) (or (<= (/ 13 42) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16))))) (not (= A4.V<3> (_ bv8 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16))))) (not (= A4.V<3> (_ bv3 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16))))) (not (= A4.V<3> (_ bv1 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 30 31) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16))))) (not (= A4.V<3> (_ bv0 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 26 47) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16))))) (not (= A4.V<3> (_ bv5 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16))))) (not (= A4.V<3> (_ bv2 16)))))))
(assert (or (and (not kass3) (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A0.atime<3>))) (- (/ 34 19))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A0.V<3> (_ bv6 16))))))))
(assert (or (and (not kass3) (<= (- (/ 21 17)) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<3>))) (- (/ 161 72))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (not (= A0.V<3> (_ bv6 16))))))))
(assert (or (and (not kass3) (<= 0 (+ A4.atime<2> (+ A4.wtime<2> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))))) (or (<= (+ A4.atime<2> (+ A4.wtime<2> (* (- 1) A0.atime<3>))) (- 1)) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (not (= A0.V<3> (_ bv6 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 68 55))) (or (<= (- (/ 14 41)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A1.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 38 17))) (or (<= (- (/ 1 3)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A1.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 17 19))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 41 29))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv11 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 41 29))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A2.atime<1>))) (- 1)) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv7 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 13 25) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 8 27) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 3 41))) (or (<= (/ 37 45) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 27 34) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 3 14) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv7 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 26 47))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (/ 296 295)) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 38 41))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (/ 23 28)) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (/ 29 24)) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (/ 1 3)) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 41 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 12 29)) (or (<= (/ 58 41) (+ A2.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A4.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 21 47)) (or (<= (/ 38 17) (+ A2.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A4.V<1> (_ bv2 16))))))))
(assert (or (and (not kass3) (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<3>) (* (- 1) A4.wtime<3>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<3>))) (- (/ 1001 1000))) (or (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))) (not (= A4.V<3> (_ bv7 16)))))))
(assert (or (<= (/ 161 72) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 13 25))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv15 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (/ 29 30) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 26 31))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv15 16))) (not (= A0.V<3> (_ bv10 16)))))))))
(assert (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- 1)) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv15 16))) (not (= A0.V<3> (_ bv9 16)))))))))
(assert (or (<= (/ 161 72) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 29 30))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv15 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (/ 161 72) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv14 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv15 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (/ 161 72) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- 1)) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv15 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 37 41))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A0.V<2> (_ bv15 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 41 29))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A0.V<2> (_ bv15 16))) (not (= A0.V<3> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 34 19))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A0.V<2> (_ bv15 16))) (not (= A0.V<3> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A0.V<2> (_ bv15 16))) (not (= A0.V<3> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 17 41))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A0.V<2> (_ bv15 16))) (not (= A0.V<3> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 29 28))) (or (<= (/ 41 29) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A0.V<2> (_ bv15 16))) (not (= A0.V<3> (_ bv6 16))))) (not (= A1.V<3> (_ bv11 16)))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 66 59))) (or (<= (/ 66 59) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A0.V<2> (_ bv15 16))) (not (= A0.V<3> (_ bv6 16))))) (not (= A1.V<3> (_ bv7 16)))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 47 38))) (or (<= (/ 26 47) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A0.V<2> (_ bv15 16))) (not (= A0.V<3> (_ bv6 16))))) (not (= A1.V<3> (_ bv10 16)))))))
(assert (or (and (not kass3) (<= (- (/ 55 41)) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<3>) (* (- 1) A4.wtime<3>)))))) (or (<= (+ A0.atime<2> (+ A0.wtime<2> (* (- 1) A4.atime<3>))) (- (/ 161 72))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A0.V<2> (_ bv15 16))) (not (= A0.V<3> (_ bv6 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 17 19))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16))))))))
(assert (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 161 72))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= (/ 41 29) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 161 72))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv11 16)))))))))
(assert (or (<= (/ 3 14) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 161 72))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv9 16)))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 161 72))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv8 16)))))))))
(assert (or (<= (/ 38 17) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 161 72))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv7 16)))))))))
(assert (or (<= (/ 13 25) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 161 72))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv5 16)))))))))
(assert (or (<= (- (/ 4 17)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 161 72))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv13 16)))))))))
(assert (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 161 72))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv10 16)))))))))
(assert (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 41 29))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (not (= A3.V<2> (_ bv15 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv7 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 5 28))) (or (<= (/ 82 45) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1 60))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 13 42))) (or (<= (/ 9 5) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 26 47))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 30 31))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 25 88))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv14 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1 36))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv7 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv7 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv14 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv7 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv7 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv7 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 17 19))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1 44))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 37 186))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 17 19))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 30 31))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 29 28))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 66 59))) (or (<= (/ 66 59) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 17 19))) (or (<= (/ 7 60) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 37 41))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 47 38))) (or (<= (/ 26 47) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 17 19))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 41 29))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv10 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 34 19))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv14 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv11 16))))))))
(assert (or (and (not kass3) (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<3>) (* (- 1) A1.wtime<3>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A1.atime<3>))) (- (/ 17 19))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A1.V<3> (_ bv15 16))))))))
(assert (or (and (not kass3) (<= (- (/ 55 41)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A2.atime<3>) (* (- 1) A2.wtime<3>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A2.atime<3>))) (- (/ 161 72))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A2.V<3> (_ bv9 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv5 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv5 16))) (not (= A0.V<3> (_ bv12 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv5 16))) (not (= A0.V<3> (_ bv11 16)))))))))
(assert (or (<= (/ 29 30) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv5 16))) (not (= A0.V<3> (_ bv10 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv5 16))) (not (= A0.V<3> (_ bv3 16)))))))))
(assert (or (<= (- (/ 4 17)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv5 16))) (not (= A0.V<3> (_ bv9 16)))))))))
(assert (or (<= (/ 13 25) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv5 16))) (not (= A0.V<3> (_ bv14 16)))))))))
(assert (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv5 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- 1)) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv5 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 161 72))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A1.V<2> (_ bv14 16))))))))
(assert (or (<= (- (/ 12 29)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 58 41))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A1.V<2> (_ bv14 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 41 29))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= (/ 17 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16))))) (not (= A3.V<3> (_ bv15 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16))))) (not (= A3.V<3> (_ bv13 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv14 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (- (/ 21 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 161 72))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 41 29))) (or (<= (- (/ 71 177)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 38 17))) (or (<= (- (/ 21 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (- (/ 34 135)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv15 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (- (/ 21 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv13 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16))))) (not (= A3.V<3> (_ bv7 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (/ 3 14) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16))))) (not (= A3.V<3> (_ bv5 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv4 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (/ 161 72) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16))))) (not (= A3.V<3> (_ bv3 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv11 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (/ 13 25) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16))))) (not (= A3.V<3> (_ bv1 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (- (/ 19 43)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv14 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (- (/ 4 17)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv9 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv6 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (- (/ 12 29)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv10 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 41 29))))))
(assert (or (<= (- (/ 21 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv14 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 38 17))))))
(assert (or (<= (- (/ 55 41)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A0.V<2> (_ bv5 16))))))))
(assert (or (<= (- (/ 55 41)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A0.V<2> (_ bv5 16))))))))
(assert (or (<= (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 7 60))) (or (<= (/ 17 19) (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 41 29))) (or (<= (/ 17 19) (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 41 29))) (or (<= (/ 29 28) (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 66 59))) (or (<= (/ 66 59) (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 17 19) (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 30 31) (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 26 47))) (or (<= (/ 47 38) (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv13 16)))))))))
(assert (or (<= (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= (/ 37 41) (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv15 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 37 186))) (or (<= (/ 58 41) (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv13 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 17 41))) (or (<= (/ 1001 1000) (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv14 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (and (not kass3) (<= 0 (+ A3.atime<2> (+ A3.wtime<2> (+ (* (- 1) A2.atime<3>) (* (- 1) A2.wtime<3>)))))) (or (<= (+ A3.atime<2> (+ A3.wtime<2> (* (- 1) A2.atime<3>))) (- (/ 34 19))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (not (= A2.V<3> (_ bv9 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (- (/ 21 17)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- (/ 161 72))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 57 100))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 30 31))) (or (<= (/ 127 71) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 34 19))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 34 19))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A0.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 1001 1000))) (or (not (= A1.V<2> (_ bv11 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A0.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A1.V<2> (_ bv10 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A0.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A1.V<2> (_ bv8 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A0.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 1001 1000))) (or (not (= A1.V<2> (_ bv6 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A0.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 1001 1000))) (or (not (= A1.V<2> (_ bv4 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A0.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A1.V<2> (_ bv12 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A0.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A1.V<2> (_ bv9 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A0.V<2> (_ bv13 16))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv11 16)))))))))
(assert (or (<= (/ 29 30) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv10 16)))))))))
(assert (or (<= (- (/ 37 99)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv4 16)))))))))
(assert (or (<= (- (/ 4 17)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv9 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 29 30))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv14 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (/ 161 72) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 41 29))) (or (<= (/ 161 72) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 3 14))) (or (<= (/ 161 72) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 13 25))) (or (<= (/ 161 72) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= (/ 161 72) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= (/ 161 72) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv13 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (/ 3 14) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv5 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (/ 13 25) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv4 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv14 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv9 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (- (/ 55 41)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 161 72))) (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16))))))))
(assert (or (<= (- (/ 55 41)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 38 17))) (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 27 44) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 29 30) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 26 31))) (or (<= (/ 29 30) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (- (/ 2 19)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= 0 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A0.atime<2> (+ A0.wtime<2> (* (- 1) A1.atime<2>))) (- (/ 17 19))) (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv6 16))))))))
(assert (or (<= 0 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A0.atime<2> (+ A0.wtime<2> (* (- 1) A1.atime<2>))) (- (/ 34 19))) (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv11 16))))))))
(assert (or (<= 0 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A0.atime<2> (+ A0.wtime<2> (* (- 1) A1.atime<2>))) (- (/ 41 29))) (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv10 16))))))))
(assert (or (<= 0 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A0.atime<2> (+ A0.wtime<2> (* (- 1) A1.atime<2>))) (- 1)) (or (not (= A1.V<2> (_ bv14 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv14 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (/ 21 47)) (or (<= (/ 161 72) (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (/ 12 29)) (or (<= (/ 58 41) (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv13 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (and (not kass3) (<= 0 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A2.atime<3>) (* (- 1) A2.wtime<3>)))))) (or (<= (+ A0.atime<2> (+ A0.wtime<2> (* (- 1) A2.atime<3>))) (- (/ 34 19))) (or (not (= A2.V<3> (_ bv9 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv6 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 58 41))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (not (= A1.V<2> (_ bv14 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 34 19))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv15 16))) (not (= A1.V<2> (_ bv14 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 17 19))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv15 16))) (not (= A1.V<2> (_ bv14 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A1.atime<2>))) (- 1)) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv15 16))) (not (= A1.V<2> (_ bv14 16))))))))
(assert (or (<= (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= (/ 17 19) (+ A1.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= (/ 58 41) (+ A1.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= (/ 58 41) (+ A1.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv13 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A1.atime<2> (+ A1.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= (/ 1001 1000) (+ A1.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv14 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A3.V<2> (_ bv10 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (/ 21 47)) (or (<= (/ 161 72) (+ A1.atime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (/ 12 29)) (or (<= (/ 58 41) (+ A1.atime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv13 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (- (/ 131 164)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv13 16)))))))))
(assert (or (<= (/ 4 55) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv5 16)))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv14 16)))))))))
(assert (or (<= (- (/ 55 42)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 105 47))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv1 16)))))))))
(assert (or (<= (- (/ 4 17)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (/ 55 41)) (or (<= (/ 161 72) (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (/ 55 41)) (or (<= (/ 161 72) (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv4 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (and (not kass3) (<= 0 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A2.atime<3>) (* (- 1) A2.wtime<3>)))))) (or (<= (+ A0.atime<2> (+ A0.wtime<2> (* (- 1) A2.atime<3>))) (- (/ 34 19))) (or (not (= A2.V<3> (_ bv9 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv6 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (- (/ 21 40)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv14 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv7 16)))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv15 16)))))))))
(assert (or (<= (/ 38 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv2 16)))))))))
(assert (or (<= (/ 26 47) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv10 16)))))))))
(assert (or (<= (- (/ 1 3)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv5 16)))))))))
(assert (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 41 29))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= (/ 34 19) (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= (/ 58 41) (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv13 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= (/ 58 41) (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv5 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= (/ 34 19) (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv4 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= (/ 17 19) (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv1 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv9 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A3.V<2> (_ bv10 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A0.V<2> (_ bv10 16))))))))
(assert (or (<= (- (/ 34 135)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv15 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv13 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv12 16)))))))))
(assert (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv7 16)))))))))
(assert (or (<= (/ 3 14) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv5 16)))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv4 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv3 16)))))))))
(assert (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv11 16)))))))))
(assert (or (<= (/ 13 25) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv1 16)))))))))
(assert (or (<= (- (/ 19 43)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv14 16)))))))))
(assert (or (<= (- (/ 4 17)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv9 16)))))))))
(assert (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv14 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (- (/ 12 29)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 41 29))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A0.V<2> (_ bv10 16))))))))
(assert (or (<= (- (/ 21 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv14 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A0.V<2> (_ bv10 16))))))))
(assert (or (<= (- (/ 12 29)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 58 41))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (not (= A0.V<2> (_ bv10 16))))))))
(assert (or (<= (- (/ 21 47)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 161 72))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv15 16))) (not (= A0.V<2> (_ bv10 16))))))))
(assert (or (<= (- (/ 21 47)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 161 72))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv15 16))) (not (= A0.V<2> (_ bv10 16))))))))
(assert (or (<= 1 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 27 44))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= 1 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- 1)) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv7 16)))))))))
(assert (or (<= (/ 38 17) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 29 30))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv3 16)))))))))
(assert (or (<= 1 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= 1 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= 1 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 27 44))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= 1 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- 1)) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv15 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv13 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv7 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv5 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv4 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv3 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv11 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv1 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv14 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv9 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) 0) (or (<= 1 (+ A0.atime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (or (not (= A3.V<3> (_ bv6 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A3.V<2> (_ bv10 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (- (/ 21 17)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A0.V<2> (_ bv9 16))))))))
(assert (or (and (not kass3) (<= 0 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A2.atime<3>) (* (- 1) A2.wtime<3>)))))) (or (<= (+ A0.atime<2> (+ A0.wtime<2> (* (- 1) A2.atime<3>))) (- 1)) (or (not (= A2.V<3> (_ bv9 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv6 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 27 44))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 38 17))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16)))))) (<= (/ 38 17) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 27 44) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv5 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv4 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A4.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A4.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A4.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A4.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A4.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A4.V<1> (_ bv2 16))))))))
(assert (or (and (not kass3) (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<3>) (* (- 1) A4.wtime<3>)))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<3>))) (- (/ 58 41))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv11 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv7 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv5 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv4 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv3 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<1>))) (- 1)))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv6 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<1>))) (- 1)))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv1 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<1>))) (- 1)))))
(assert (or (and (not kass3) (<= 0 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<3>) (* (- 1) A4.wtime<3>)))))) (or (<= (+ A0.atime<2> (+ A0.wtime<2> (* (- 1) A4.atime<3>))) (- (/ 58 41))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A0.V<2> (_ bv3 16))) (not (= A0.V<3> (_ bv6 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 26 47))) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 26 47) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 131 164)) (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 4 55))) (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 4 17)) (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 41 29))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 41 29))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16))))) (not (= A4.V<3> (_ bv11 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 82 45))) (or (<= (/ 5 28) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16))))) (not (= A4.V<3> (_ bv9 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv8 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv3 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 1 60) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv1 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 9 5))) (or (<= (/ 13 42) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16))))) (not (= A4.V<3> (_ bv13 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv0 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 26 47) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16))))) (not (= A4.V<3> (_ bv10 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv5 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 30 31) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16))))) (not (= A4.V<3> (_ bv15 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 25 88) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv2 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (- (/ 21 17)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 161 72))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 34 19))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv10 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 41 29))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv2 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 41 29))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 17 19))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv14 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv1 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 34 19))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv6 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 1001 1000))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv0 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 1001 1000))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv0 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 1001 1000))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv0 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv0 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv0 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 34 19))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 17 19))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 41 29))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv1 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (- (/ 55 41)) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 161 72))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv2 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 4 55))) (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 4 55) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (/ 161 72) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<2> (_ bv10 16))) (not (= A3.V<3> (_ bv12 16)))))))))
(assert (or (<= (/ 29 30) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<2> (_ bv10 16))) (not (= A3.V<3> (_ bv5 16)))))))))
(assert (or (<= (/ 38 17) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<2> (_ bv10 16))) (not (= A3.V<3> (_ bv4 16)))))))))
(assert (or (<= (/ 13 25) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<2> (_ bv10 16))) (not (= A3.V<3> (_ bv1 16)))))))))
(assert (or (<= 1 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<2> (_ bv10 16))) (not (= A3.V<3> (_ bv9 16)))))))))
(assert (or (<= (- (/ 4 17)) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<2> (_ bv10 16))) (not (= A3.V<3> (_ bv6 16)))))))))
(assert (or (<= (/ 161 72) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 29 30))) (or (not (= A4.V<2> (_ bv13 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<2> (_ bv10 16))) (not (= A3.V<3> (_ bv12 16)))))))))
(assert (or (<= (/ 161 72) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 38 17))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<2> (_ bv10 16))) (not (= A3.V<3> (_ bv12 16)))))))))
(assert (or (<= (/ 161 72) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<2> (_ bv10 16))) (not (= A3.V<3> (_ bv12 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (/ 55 41)) (or (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<2> (_ bv10 16))) (not (= A3.V<3> (_ bv12 16))))) (<= (/ 161 72) (+ A4.atime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))))))
(assert (or (<= (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (/ 55 41)) (or (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<2> (_ bv10 16))) (not (= A3.V<3> (_ bv4 16))))) (<= (/ 161 72) (+ A4.atime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))))))
(assert (or (and (not kass3) (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A2.atime<3>) (* (- 1) A2.wtime<3>)))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A2.atime<3>))) (- (/ 34 19))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A2.V<3> (_ bv9 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1 60))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 5 28))) (or (<= (/ 82 45) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 13 42))) (or (<= (/ 9 5) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 30 31))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 25 88))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 26 47))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv7 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 37 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv4 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 1 3)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 21 17)) (or (<= (/ 161 72) (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A4.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 11 9)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 21 40)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 296 295)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 23 28)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16))))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17)))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 29 24)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 53 50)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 26 47))) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 13 11)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 1001 1000))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv11 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 1001 1000))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 1001 1000))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv8 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 1001 1000))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 1001 1000))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 1001 1000))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 1001 1000))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv7 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv10 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv5 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 1001 1000))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 13 25))) (or (<= (/ 161 72) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 21 47)) (or (<= (/ 161 72) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 23 28)) (or (<= (/ 161 72) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 29 30))) (or (<= (/ 161 72) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 4 17)) (or (<= (/ 161 72) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 161 72) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv9 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 34 19))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv11 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 34 19))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv7 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 41 29))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv5 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 41 29))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 17 19))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv4 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A2.V<2> (_ bv6 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<2>))) (- 1)))))
(set-info :status sat)
(check-sat)
(assert (or (<= (- (/ 55 41)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv10 16))))))))
(assert (or (<= (- (/ 55 41)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv10 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (- (/ 21 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv5 16))))))))
(assert (or (<= (- (/ 12 29)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 41 29))) (or (not (= A2.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv5 16))))))))
(assert (or (<= (- (/ 21 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv4 16))) (or (not (= A2.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv5 16))))))))
(assert (or (<= (- (/ 21 47)) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 161 72))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv5 16))))))))
(assert (or (<= (- (/ 21 47)) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 38 17))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv5 16))))))))
(assert (or (<= (- (/ 12 29)) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 41 29))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv5 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) 0) (or (<= 1 (+ A0.atime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A4.V<2> (_ bv6 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) 0) (or (<= (/ 41 29) (+ A0.atime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (or (not (= A4.V<3> (_ bv11 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A4.V<2> (_ bv6 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) 0) (or (<= (/ 41 29) (+ A0.atime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (or (not (= A4.V<3> (_ bv3 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A4.V<2> (_ bv6 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) 0) (or (<= (/ 17 19) (+ A0.atime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (or (not (= A4.V<3> (_ bv15 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A4.V<2> (_ bv6 16))))))))
(assert (or (and (not kass3) (<= 0 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<3>) (* (- 1) A4.wtime<3>)))))) (or (<= (+ A0.atime<2> (+ A0.wtime<2> (* (- 1) A4.atime<3>))) (- 1)) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv6 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 41 29))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 41 29))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 37 41))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 34 19))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 17 41))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 17 41))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= (/ 41 29) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv11 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= (/ 1 12) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv9 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= (/ 1 36) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv8 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= (/ 41 29) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv3 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= (/ 1 12) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv1 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= (/ 3 17) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv13 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= (/ 1 36) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv0 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv10 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= (/ 37 41) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv15 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv2 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv7 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv11 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv11 16))) (not (= A0.V<3> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv11 16))) (not (= A0.V<3> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv11 16))) (not (= A0.V<3> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv11 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv11 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 58 41))) (or (<= 0 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv9 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv11 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 58 41))) (or (<= (- (/ 13 72)) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv8 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv11 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 58 41))) (or (<= 0 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv3 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv11 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 58 41))) (or (<= (/ 8 27) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv13 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv11 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 58 41))) (or (<= (- (/ 71 177)) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv0 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv11 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv10 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv11 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 58 41))) (or (<= (- (/ 44 133)) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv5 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv11 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 58 41))) (or (<= (/ 38 17) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv15 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv11 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 58 41))) (or (<= (- (/ 44 133)) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv2 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<2> (_ bv11 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (and (not kass3) (<= 0 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A4.atime<3>) (* (- 1) A4.wtime<3>)))))) (or (<= (+ A0.atime<2> (+ A0.wtime<2> (* (- 1) A4.atime<3>))) (- (/ 58 41))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A0.V<2> (_ bv11 16))) (not (= A0.V<3> (_ bv6 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 17 19))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 41 29))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 41 29))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A2.atime<1>))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 296 295)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 11 9)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 21 40)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 41))) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 29 24)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 1 3)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 26 47))) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 23 28)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 53 50)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 57 100))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 30 31))) (or (<= (/ 127 71) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 58 41))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= (/ 41 29) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 58 41))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv11 16)))))))))
(assert (or (<= (/ 29 28) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 58 41))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv7 16)))))))))
(assert (or (<= (/ 3 8) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 58 41))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv5 16)))))))))
(assert (or (<= (/ 17 29) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 58 41))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv10 16)))))))))
(assert (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 34 19))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 37 41))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 17 41))) (or (not (= A3.V<2> (_ bv11 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 21 17)) (or (<= (/ 161 72) (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A4.V<1> (_ bv8 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv11 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv9 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv8 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv3 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv1 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv13 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv0 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv10 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv5 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv15 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv2 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (/ 4 55) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv10 16)))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv4 16)))))))))
(assert (or (<= (- (/ 4 17)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv13 16))) (not (= A0.V<3> (_ bv9 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) 0) (or (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv15 16))))) (<= 1 (+ A3.atime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) 0) (or (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv11 16))))) (<= (/ 41 29) (+ A3.atime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) 0) (or (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A1.V<2> (_ bv14 16))) (not (= A1.V<3> (_ bv7 16))))) (<= (/ 17 19) (+ A3.atime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))))
(assert (or (and (not kass3) (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<3>) (* (- 1) A1.wtime<3>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A1.atime<3>))) (- (/ 1001 1000))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (not (= A1.V<3> (_ bv15 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (- (/ 21 17)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv8 16))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1 14))) (or (<= (/ 37 45) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv15 16))) (not (= A3.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv15 16))) (not (= A3.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 4 55))) (or (<= (/ 38 17) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv15 16))) (not (= A3.V<2> (_ bv10 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (/ 29 30) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv5 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv1 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 29 30))) (or (not (= A2.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv4 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 1001 1000))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv8 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv13 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv8 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv8 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 1001 1000))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv8 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 1001 1000))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv8 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv8 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv12 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv8 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv8 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (/ 161 72) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 29 30))) (or (<= (/ 161 72) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (/ 37 35)) (or (<= (/ 161 72) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (/ 55 42)) (or (<= (/ 161 72) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= (/ 161 72) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (/ 4 17)) (or (<= (/ 161 72) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 161 72))) (or (<= (/ 161 72) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv4 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv8 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (- (/ 55 41)) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 161 72))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= (- (/ 55 41)) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 38 17))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A3.V<2> (_ bv10 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (/ 38 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv7 16)))))))))
(assert (or (<= (/ 161 72) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv2 16)))))))))
(assert (or (<= (- (/ 1 3)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv10 16)))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv0 16)))))))))
(assert (or (<= (/ 26 47) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv5 16)))))))))
(assert (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 57 100))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 41 29))) (or (not (= A2.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 17 29))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 34 19))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 41 29))) (or (not (= A4.V<2> (_ bv13 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 41 29))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 34 19))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 17 19))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv9 16))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 58 41))) (or (<= (/ 34 19) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 41 29))) (or (<= (/ 34 19) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 5 28))) (or (<= (/ 82 45) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 34 19) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 1 60))) (or (<= (/ 34 19) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 34 19) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 17 19))) (or (<= (/ 34 19) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- 1)) (or (<= (/ 34 19) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 3 41))) (or (<= (/ 34 19) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 26 47))) (or (<= (/ 34 19) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 25 88))) (or (<= (/ 34 19) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv12 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv13 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv5 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 58 41))) (or (<= (/ 34 19) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv4 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 58 41))) (or (<= (/ 3 8) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv3 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 58 41))) (or (<= (/ 29 28) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv1 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 58 41))) (or (<= (/ 37 186) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv14 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv9 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (not (= A3.V<3> (_ bv6 16))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<2> (_ bv9 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 26 47))) (or (<= (/ 73 48) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 5 28))) (or (<= (/ 51 28) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 93 52) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 30 31))) (or (<= (/ 127 71) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 26 47))) (or (<= (/ 38 17) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv15 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (/ 55 41)) (or (<= (/ 161 72) (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A1.V<1> (_ bv13 16))) (not (= A3.V<1> (_ bv15 16))))))))
(assert (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv12 16)))))))))
(assert (or (<= (/ 29 30) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv5 16)))))))))
(assert (or (<= (/ 13 25) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv4 16)))))))))
(assert (or (<= (/ 161 72) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv3 16)))))))))
(assert (or (<= (/ 161 72) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv1 16)))))))))
(assert (or (<= (- (/ 4 17)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv9 16)))))))))
(assert (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- 1)) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<2> (_ bv10 16))) (not (= A0.V<3> (_ bv6 16)))))))))
(assert (or (<= (- (/ 55 41)) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 161 72))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv10 16))))))))
(assert (or (<= (- (/ 55 41)) (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 38 17))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv10 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 34 19))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A3.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 41 29))) (or (not (= A4.V<2> (_ bv13 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A3.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 41 29))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A3.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 34 19))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A3.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 17 19))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A3.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A3.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A3.V<2> (_ bv9 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 3 17))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1 12))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 41 29))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1 36))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 37 41))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 17 41))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 13 42))) (or (<= (/ 9 5) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv10 16))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 3 8))) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16))))) (not (= A4.V<3> (_ bv6 16)))))))
(set-info :status sat)
(check-sat)
(assert (<= 3 objtime))
(assert (<= objtime (/ 2901 493)))
(push 1)
(assert (<= objtime (/ 191 43)))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 37 186) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 17 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))) (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 29 28) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv14 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 161 72))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv11 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 3 14) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv8 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 13 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 4 17)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (- (/ 12 29)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 41 29))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv13 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv7 16)))))))))
(assert (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv6 16)))))))))
(assert (or (<= (/ 38 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv2 16)))))))))
(assert (or (<= (/ 26 47) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv10 16)))))))))
(assert (or (<= (/ 57 100) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 41 29))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= (/ 30 31) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 127 71))) (or (not (= A2.V<2> (_ bv14 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= (/ 17 19) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 7 60))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) 0) (or (<= (/ 17 19) (+ A3.atime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv15 16))))))))
(assert (or (<= (/ 41 29) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 37 186))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv14 16)))))))))
(assert (or (<= (/ 41 29) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 17 29))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv12 16)))))))))
(assert (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 17 41))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv13 16)))))))))
(assert (or (<= (/ 66 59) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 66 59))) (or (not (= A3.V<2> (_ bv11 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= (/ 29 28) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 41 29))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= (/ 17 19) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 41 29))) (or (not (= A3.V<2> (_ bv8 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= (/ 30 31) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 34 19))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= (/ 17 19) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 34 19))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= (/ 47 38) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 26 47))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= (/ 37 41) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv15 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) 0) (or (<= (/ 41 29) (+ A3.atime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv14 16))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) 0) (or (<= (/ 41 29) (+ A3.atime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv12 16))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) 0) (or (<= 1 (+ A3.atime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (or (not (= A3.V<1> (_ bv13 16))) (or (not (= A1.V<2> (_ bv9 16))) (not (= A1.V<3> (_ bv13 16))))))))
(set-info :status sat)
(check-sat)
(assert (<= objtime (/ 191 43)))
(push 1)
(assert (<= objtime (/ 15 4)))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 27 44))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 27 44))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 38 17))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 38 17))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 27 44) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 27 44) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv4 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A2.V<1> (_ bv6 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 3 8))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 29 28))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 37 186))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv8 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 37 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv13 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv0 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv8 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A2.V<1> (_ bv6 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A2.V<1> (_ bv6 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv13 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A2.V<1> (_ bv6 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv0 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A2.V<1> (_ bv6 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv5 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A2.V<1> (_ bv6 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv12 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv10 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv8 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv2 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv0 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= 1 (+ A2.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1 12))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 34 19))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1 12))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 37 41))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 34 19))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 17 41))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 3 17))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 17 41))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 34 19) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv10 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 34 19) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv2 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 29 28) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A2.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A2.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A2.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A2.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A2.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A4.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- 1)) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv7 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv11 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv9 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv8 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv3 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv1 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv13 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv0 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv10 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv5 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv15 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>))))) (or (not (= A4.V<3> (_ bv2 16))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 21 47)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 29 30))) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 23 28)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 37 35)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 4 17)) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 13 25))) (or (<= (/ 161 72) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 38 17) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A0.V<1> (_ bv5 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= 0 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (- (/ 21 40)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (/ 41 29) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (- (/ 23 28)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv14 16)))))))))
(assert (or (<= (/ 38 17) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= (- (/ 53 50)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv11 16)))))))))
(assert (or (<= (- (/ 1 3)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 26 47) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv6 16)))))))))
(assert (or (<= (/ 30 31) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 127 71))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (/ 57 100) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 29 30))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 29 30) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 29 30) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 26 31))) (or (<= (/ 29 30) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 27 44) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (or (<= (/ 13 25) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16))))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 161 72)))))
(assert (or (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16))))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 161 72)))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 19 43)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (- (/ 4 17)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 34 135)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv8 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 21 47)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 3 14) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv13 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 13 25) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv0 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv10 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv15 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 4 17)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv2 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 26 31))) (or (<= (/ 29 30) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 29 30) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 27 44) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 13 25))) (or (or (not (= A4.V<1> (_ bv7 16))) (or (not (= A4.V<0> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))) (<= (/ 38 17) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 53 50)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (- (/ 21 17)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16))))) (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 161 72))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 296 295)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv15 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 11 9)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 13 11)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv7 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 21 40)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 23 28)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 1 3)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv11 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 29 24)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 26 47) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 3 14) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 21 47)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 21 47)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv8 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 34 135)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 21 47)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv13 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 37 99)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv0 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 4 17)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv10 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 19 43)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv15 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv2 16))) (or (not (= A4.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv10 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv15 16))) (or (not (= A2.V<1> (_ bv10 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A2.V<1> (_ bv10 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A2.V<1> (_ bv10 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv7 16))) (or (not (= A2.V<1> (_ bv10 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv10 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A2.V<1> (_ bv10 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv10 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv10 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A2.V<1> (_ bv10 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv10 16))) (not (= A3.V<1> (_ bv10 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 29 28))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 66 59))) (or (<= (/ 66 59) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 47 38))) (or (<= (/ 26 47) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(set-info :status sat)
(check-sat)
(exit)
