(set-info :smt-lib-version 2.6)
(set-logic QF_BVLRA)
(set-info :source |
Generated by: Tomas Kolarik
Generated on: 2024-04-14
Generator: gitlab.com/Tomaqa/mapf_r
Application: Multi-Agent Path-Finding with Continuous Time
Target solver: Z3, CVC4, MathSAT
Publications: Tomas Kolarik, Stefan Ratschan and Pavel Surynek: "Multi-Agent Path-Finding with Continuous Time Using SAT Modulo Linear Real Arithmetic" in ICAART, SCITEPRESS, 2024.
The benchmarks mimic MAPF problems with continuous time where the objective time must be sub-optimal, bounded by a user-specified coefficient. In the original solver, a simulator checks whether there are collisions between particular agents, according to the current model. This check is missing in the case of the final 'check-sat'. The benchmarks also lack commands for preferring certain variables during the search which is of huge importance when searching for short paths in a graph. However, the final plan must still avoid all collisions encountered by the original solver and the objective time must obey the sub-optimal coefficient. Producing models is crucial for the application since the intended solver communicates values of particular variables with the simulator. This communication is ommited though for simplicity. The final 'get-value' allows to compare with the original solver that the objective time indeed obeys the coefficient. Filenames without the extensions correspond to filenames of resulting plans of the original solver.
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(declare-const objtime Real)
(declare-const oo Real)
(declare-const eps Real)
(declare-const A0.V<0> (_ BitVec 16))
(declare-const A0.atime<0> Real)
(assert (= A0.atime<0> 0))
(declare-const A0.rtime<0> Real)
(declare-const A0.wtime<0> Real)
(declare-const A0.mtime<0> Real)
(assert (= (+ A0.rtime<0> (+ (* (- 1) A0.wtime<0>) (* (- 1) A0.mtime<0>))) 0))
(assert (<= 0 A0.wtime<0>))
(assert (<= 0 A0.mtime<0>))
(declare-const wpref0 Bool)
(assert (or (= A0.wtime<0> 0) (not wpref0)))
(declare-const A0.ppref<0> Bool)
(declare-const A0.spref<0><1> Bool)
(declare-const A0.spref<0><2> Bool)
(declare-const A0.spref<0><3> Bool)
(declare-const A0.spref<0><4> Bool)
(declare-const A0.spref<0><5> Bool)
(declare-const A0.spref<0><6> Bool)
(declare-const A0.spref<0><7> Bool)
(declare-const A0.spref<0><8> Bool)
(declare-const A0.spref<0><9> Bool)
(declare-const A0.spref<0><10> Bool)
(declare-const A0.spref<0><11> Bool)
(declare-const A0.spref<0><12> Bool)
(declare-const A0.spref<0><13> Bool)
(declare-const A0.spref<0><14> Bool)
(declare-const A0.spref<0><15> Bool)
(declare-const A0.spref<0><16> Bool)
(declare-const A0.spref<0><17> Bool)
(declare-const A0.spref<0><18> Bool)
(declare-const A0.spref<0><19> Bool)
(declare-const A0.spref<0><20> Bool)
(declare-const A0.spref<0><21> Bool)
(declare-const A0.spref<0><22> Bool)
(declare-const A0.spref<0><23> Bool)
(declare-const A0.spref<0><24> Bool)
(declare-const A0.spref<0><25> Bool)
(declare-const A0.spref<0><26> Bool)
(declare-const A0.spref<0><27> Bool)
(declare-const A0.spref<0><28> Bool)
(declare-const A0.spref<0><29> Bool)
(declare-const A0.spref<0><30> Bool)
(declare-const A0.spref<0><31> Bool)
(declare-const A0.spref<0><32> Bool)
(declare-const A1.V<0> (_ BitVec 16))
(declare-const A1.atime<0> Real)
(assert (= A1.atime<0> 0))
(declare-const A1.rtime<0> Real)
(declare-const A1.wtime<0> Real)
(declare-const A1.mtime<0> Real)
(assert (= (+ A1.rtime<0> (+ (* (- 1) A1.wtime<0>) (* (- 1) A1.mtime<0>))) 0))
(assert (<= 0 A1.wtime<0>))
(assert (<= 0 A1.mtime<0>))
(declare-const wpref1 Bool)
(assert (or (= A1.wtime<0> 0) (not wpref1)))
(declare-const A1.ppref<0> Bool)
(declare-const A1.spref<0><1> Bool)
(declare-const A1.spref<0><2> Bool)
(declare-const A1.spref<0><3> Bool)
(declare-const A1.spref<0><4> Bool)
(declare-const A1.spref<0><5> Bool)
(declare-const A1.spref<0><6> Bool)
(declare-const A1.spref<0><7> Bool)
(declare-const A1.spref<0><8> Bool)
(declare-const A1.spref<0><9> Bool)
(declare-const A1.spref<0><10> Bool)
(declare-const A1.spref<0><11> Bool)
(declare-const A1.spref<0><12> Bool)
(declare-const A1.spref<0><13> Bool)
(declare-const A1.spref<0><14> Bool)
(declare-const A1.spref<0><15> Bool)
(declare-const A1.spref<0><16> Bool)
(declare-const A1.spref<0><17> Bool)
(declare-const A1.spref<0><18> Bool)
(declare-const A1.spref<0><19> Bool)
(declare-const A1.spref<0><20> Bool)
(declare-const A1.spref<0><21> Bool)
(declare-const A1.spref<0><22> Bool)
(declare-const A1.spref<0><23> Bool)
(declare-const A1.spref<0><24> Bool)
(declare-const A1.spref<0><25> Bool)
(declare-const A1.spref<0><26> Bool)
(declare-const A1.spref<0><27> Bool)
(declare-const A1.spref<0><28> Bool)
(declare-const A1.spref<0><29> Bool)
(declare-const A1.spref<0><30> Bool)
(declare-const A1.spref<0><31> Bool)
(declare-const A1.spref<0><32> Bool)
(declare-const A2.V<0> (_ BitVec 16))
(declare-const A2.atime<0> Real)
(assert (= A2.atime<0> 0))
(declare-const A2.rtime<0> Real)
(declare-const A2.wtime<0> Real)
(declare-const A2.mtime<0> Real)
(assert (= (+ A2.rtime<0> (+ (* (- 1) A2.wtime<0>) (* (- 1) A2.mtime<0>))) 0))
(assert (<= 0 A2.wtime<0>))
(assert (<= 0 A2.mtime<0>))
(declare-const wpref2 Bool)
(assert (or (= A2.wtime<0> 0) (not wpref2)))
(declare-const A2.ppref<0> Bool)
(declare-const A2.spref<0><1> Bool)
(declare-const A2.spref<0><2> Bool)
(declare-const A2.spref<0><3> Bool)
(declare-const A2.spref<0><4> Bool)
(declare-const A2.spref<0><5> Bool)
(declare-const A2.spref<0><6> Bool)
(declare-const A2.spref<0><7> Bool)
(declare-const A2.spref<0><8> Bool)
(declare-const A2.spref<0><9> Bool)
(declare-const A2.spref<0><10> Bool)
(declare-const A2.spref<0><11> Bool)
(declare-const A2.spref<0><12> Bool)
(declare-const A2.spref<0><13> Bool)
(declare-const A2.spref<0><14> Bool)
(declare-const A2.spref<0><15> Bool)
(declare-const A2.spref<0><16> Bool)
(declare-const A2.spref<0><17> Bool)
(declare-const A2.spref<0><18> Bool)
(declare-const A2.spref<0><19> Bool)
(declare-const A2.spref<0><20> Bool)
(declare-const A2.spref<0><21> Bool)
(declare-const A2.spref<0><22> Bool)
(declare-const A2.spref<0><23> Bool)
(declare-const A2.spref<0><24> Bool)
(declare-const A2.spref<0><25> Bool)
(declare-const A2.spref<0><26> Bool)
(declare-const A2.spref<0><27> Bool)
(declare-const A2.spref<0><28> Bool)
(declare-const A2.spref<0><29> Bool)
(declare-const A2.spref<0><30> Bool)
(declare-const A2.spref<0><31> Bool)
(declare-const A2.spref<0><32> Bool)
(assert (= A2.V<0> (_ bv3 16)))
(assert (= A1.V<0> (_ bv25 16)))
(assert (= A0.V<0> (_ bv39 16)))
(assert (or (= A0.wtime<0> 0) (or (= A1.wtime<0> 0) (= A2.wtime<0> 0))))
(assert (or (= A0.V<0> (_ bv39 16)) (not A0.ppref<0>)))
(assert (or (= A1.V<0> (_ bv25 16)) (not A1.ppref<0>)))
(assert (or (= A2.V<0> (_ bv3 16)) (not A2.ppref<0>)))
(declare-const A0.V<1> (_ BitVec 16))
(declare-const A0.atime<1> Real)
(assert (= (+ A0.atime<0> (+ A0.rtime<0> (* (- 1) A0.atime<1>))) 0))
(declare-const A0.rtime<1> Real)
(declare-const A0.wtime<1> Real)
(declare-const A0.mtime<1> Real)
(assert (= (+ A0.rtime<1> (+ (* (- 1) A0.wtime<1>) (* (- 1) A0.mtime<1>))) 0))
(assert (<= 0 A0.wtime<1>))
(assert (<= 0 A0.mtime<1>))
(declare-const A0.ppref<1> Bool)
(declare-const A0.spref<1><1> Bool)
(declare-const A0.spref<1><2> Bool)
(declare-const A0.spref<1><3> Bool)
(declare-const A0.spref<1><4> Bool)
(declare-const A0.spref<1><5> Bool)
(declare-const A0.spref<1><6> Bool)
(declare-const A0.spref<1><7> Bool)
(declare-const A0.spref<1><8> Bool)
(declare-const A0.spref<1><9> Bool)
(declare-const A0.spref<1><10> Bool)
(declare-const A0.spref<1><11> Bool)
(declare-const A0.spref<1><12> Bool)
(declare-const A0.spref<1><13> Bool)
(declare-const A0.spref<1><14> Bool)
(declare-const A0.spref<1><15> Bool)
(declare-const A0.spref<1><16> Bool)
(declare-const A0.spref<1><17> Bool)
(declare-const A0.spref<1><18> Bool)
(declare-const A0.spref<1><19> Bool)
(declare-const A0.spref<1><20> Bool)
(declare-const A0.spref<1><21> Bool)
(declare-const A0.spref<1><22> Bool)
(declare-const A0.spref<1><23> Bool)
(declare-const A0.spref<1><24> Bool)
(declare-const A0.spref<1><25> Bool)
(declare-const A0.spref<1><26> Bool)
(declare-const A0.spref<1><27> Bool)
(declare-const A0.spref<1><28> Bool)
(declare-const A0.spref<1><29> Bool)
(declare-const A0.spref<1><30> Bool)
(declare-const A0.spref<1><31> Bool)
(declare-const A0.spref<1><32> Bool)
(declare-const A1.V<1> (_ BitVec 16))
(declare-const A1.atime<1> Real)
(assert (= (+ A1.atime<0> (+ A1.rtime<0> (* (- 1) A1.atime<1>))) 0))
(declare-const A1.rtime<1> Real)
(declare-const A1.wtime<1> Real)
(declare-const A1.mtime<1> Real)
(assert (= (+ A1.rtime<1> (+ (* (- 1) A1.wtime<1>) (* (- 1) A1.mtime<1>))) 0))
(assert (<= 0 A1.wtime<1>))
(assert (<= 0 A1.mtime<1>))
(declare-const A1.ppref<1> Bool)
(declare-const A1.spref<1><1> Bool)
(declare-const A1.spref<1><2> Bool)
(declare-const A1.spref<1><3> Bool)
(declare-const A1.spref<1><4> Bool)
(declare-const A1.spref<1><5> Bool)
(declare-const A1.spref<1><6> Bool)
(declare-const A1.spref<1><7> Bool)
(declare-const A1.spref<1><8> Bool)
(declare-const A1.spref<1><9> Bool)
(declare-const A1.spref<1><10> Bool)
(declare-const A1.spref<1><11> Bool)
(declare-const A1.spref<1><12> Bool)
(declare-const A1.spref<1><13> Bool)
(declare-const A1.spref<1><14> Bool)
(declare-const A1.spref<1><15> Bool)
(declare-const A1.spref<1><16> Bool)
(declare-const A1.spref<1><17> Bool)
(declare-const A1.spref<1><18> Bool)
(declare-const A1.spref<1><19> Bool)
(declare-const A1.spref<1><20> Bool)
(declare-const A1.spref<1><21> Bool)
(declare-const A1.spref<1><22> Bool)
(declare-const A1.spref<1><23> Bool)
(declare-const A1.spref<1><24> Bool)
(declare-const A1.spref<1><25> Bool)
(declare-const A1.spref<1><26> Bool)
(declare-const A1.spref<1><27> Bool)
(declare-const A1.spref<1><28> Bool)
(declare-const A1.spref<1><29> Bool)
(declare-const A1.spref<1><30> Bool)
(declare-const A1.spref<1><31> Bool)
(declare-const A1.spref<1><32> Bool)
(declare-const A2.V<1> (_ BitVec 16))
(declare-const A2.atime<1> Real)
(assert (= (+ A2.atime<0> (+ A2.rtime<0> (* (- 1) A2.atime<1>))) 0))
(declare-const A2.rtime<1> Real)
(declare-const A2.wtime<1> Real)
(declare-const A2.mtime<1> Real)
(assert (= (+ A2.rtime<1> (+ (* (- 1) A2.wtime<1>) (* (- 1) A2.mtime<1>))) 0))
(assert (<= 0 A2.wtime<1>))
(assert (<= 0 A2.mtime<1>))
(declare-const A2.ppref<1> Bool)
(declare-const A2.spref<1><1> Bool)
(declare-const A2.spref<1><2> Bool)
(declare-const A2.spref<1><3> Bool)
(declare-const A2.spref<1><4> Bool)
(declare-const A2.spref<1><5> Bool)
(declare-const A2.spref<1><6> Bool)
(declare-const A2.spref<1><7> Bool)
(declare-const A2.spref<1><8> Bool)
(declare-const A2.spref<1><9> Bool)
(declare-const A2.spref<1><10> Bool)
(declare-const A2.spref<1><11> Bool)
(declare-const A2.spref<1><12> Bool)
(declare-const A2.spref<1><13> Bool)
(declare-const A2.spref<1><14> Bool)
(declare-const A2.spref<1><15> Bool)
(declare-const A2.spref<1><16> Bool)
(declare-const A2.spref<1><17> Bool)
(declare-const A2.spref<1><18> Bool)
(declare-const A2.spref<1><19> Bool)
(declare-const A2.spref<1><20> Bool)
(declare-const A2.spref<1><21> Bool)
(declare-const A2.spref<1><22> Bool)
(declare-const A2.spref<1><23> Bool)
(declare-const A2.spref<1><24> Bool)
(declare-const A2.spref<1><25> Bool)
(declare-const A2.spref<1><26> Bool)
(declare-const A2.spref<1><27> Bool)
(declare-const A2.spref<1><28> Bool)
(declare-const A2.spref<1><29> Bool)
(declare-const A2.spref<1><30> Bool)
(declare-const A2.spref<1><31> Bool)
(declare-const A2.spref<1><32> Bool)
(assert (or (= A0.V<1> (_ bv45 16)) (not A0.ppref<1>)))
(assert (or (= A1.V<1> (_ bv50 16)) (not A1.ppref<1>)))
(assert (or (= A2.V<1> (_ bv26 16)) (not A2.ppref<1>)))
(assert (or (= A0.mtime<0> (/ 98 31)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.mtime<0> (/ 137 38)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.mtime<0> (/ 137 38)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.mtime<0> (/ 98 31)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.mtime<0> (/ 137 38)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.mtime<0> (/ 98 31)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.mtime<0> (/ 137 38)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.mtime<0> (/ 41 29)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.mtime<0> (/ 98 31)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.mtime<0> (/ 41 29)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv45 16))))))
(assert (or (or (= A0.V<1> (_ bv45 16)) (or (= A0.V<1> (_ bv30 16)) (or (= A0.V<1> (_ bv29 16)) (or (= A0.V<1> (_ bv28 16)) (or (= A0.V<1> (_ bv22 16)) (or (= A0.V<1> (_ bv46 16)) (or (= A0.V<1> (_ bv20 16)) (or (= A0.V<1> (_ bv14 16)) (or (= A0.V<1> (_ bv13 16)) (or (= A0.V<1> (_ bv47 16)) (or (= A0.V<1> (_ bv44 16)) (or (= A0.V<1> (_ bv31 16)) (or (= A0.V<1> (_ bv38 16)) (or (= A0.V<1> (_ bv52 16)) (or (= A0.V<1> (_ bv54 16)) (or (= A0.V<1> (_ bv62 16)) (= A0.V<1> (_ bv61 16)))))))))))))))))) (not (= A0.V<0> (_ bv39 16)))))
(assert (or (= A0.V<1> (_ bv45 16)) (not (and A0.spref<0><1> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv44 16)) (not (and A0.spref<0><2> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv46 16)) (not (and A0.spref<0><3> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv52 16)) (not (and A0.spref<0><4> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv38 16)) (not (and A0.spref<0><5> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv47 16)) (not (and A0.spref<0><6> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv54 16)) (not (and A0.spref<0><7> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv30 16)) (not (and A0.spref<0><8> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv61 16)) (not (and A0.spref<0><9> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv29 16)) (not (and A0.spref<0><10> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv31 16)) (not (and A0.spref<0><11> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv28 16)) (not (and A0.spref<0><12> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv62 16)) (not (and A0.spref<0><13> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv22 16)) (not (and A0.spref<0><14> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv20 16)) (not (and A0.spref<0><15> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv14 16)) (not (and A0.spref<0><16> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A1.mtime<0> (/ 137 38)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.mtime<0> (/ 137 38)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.mtime<0> (/ 137 38)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.mtime<0> (/ 137 38)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv19 16))))))
(assert (or (or (= A1.V<1> (_ bv19 16)) (or (= A1.V<1> (_ bv48 16)) (or (= A1.V<1> (_ bv18 16)) (or (= A1.V<1> (_ bv12 16)) (or (= A1.V<1> (_ bv10 16)) (or (= A1.V<1> (_ bv8 16)) (or (= A1.V<1> (_ bv16 16)) (or (= A1.V<1> (_ bv3 16)) (or (= A1.V<1> (_ bv32 16)) (or (= A1.V<1> (_ bv2 16)) (or (= A1.V<1> (_ bv0 16)) (or (= A1.V<1> (_ bv26 16)) (or (= A1.V<1> (_ bv33 16)) (or (= A1.V<1> (_ bv24 16)) (or (= A1.V<1> (_ bv17 16)) (or (= A1.V<1> (_ bv20 16)) (or (= A1.V<1> (_ bv34 16)) (or (= A1.V<1> (_ bv35 16)) (or (= A1.V<1> (_ bv36 16)) (or (= A1.V<1> (_ bv40 16)) (or (= A1.V<1> (_ bv42 16)) (or (= A1.V<1> (_ bv44 16)) (or (= A1.V<1> (_ bv50 16)) (= A1.V<1> (_ bv51 16))))))))))))))))))))))))) (not (= A1.V<0> (_ bv25 16)))))
(assert (or (= A1.V<1> (_ bv50 16)) (not (and A1.spref<0><1> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv33 16)) (not (and A1.spref<0><2> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv42 16)) (not (and A1.spref<0><3> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv34 16)) (not (and A1.spref<0><4> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv26 16)) (not (and A1.spref<0><5> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv32 16)) (not (and A1.spref<0><6> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv35 16)) (not (and A1.spref<0><7> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv40 16)) (not (and A1.spref<0><8> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv24 16)) (not (and A1.spref<0><9> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv51 16)) (not (and A1.spref<0><10> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv17 16)) (not (and A1.spref<0><11> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv48 16)) (not (and A1.spref<0><12> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv18 16)) (not (and A1.spref<0><13> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv44 16)) (not (and A1.spref<0><14> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv16 16)) (not (and A1.spref<0><15> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv36 16)) (not (and A1.spref<0><16> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A2.mtime<0> (/ 137 38)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.mtime<0> (/ 98 31)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.mtime<0> (/ 98 31)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.mtime<0> (/ 137 38)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.mtime<0> (/ 98 31)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<0> (/ 137 38)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.mtime<0> (/ 41 29)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.mtime<0> (/ 41 29)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.mtime<0> (/ 98 31)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.mtime<0> (/ 137 38)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv20 16))))))
(assert (or (or (= A2.V<1> (_ bv20 16)) (or (= A2.V<1> (_ bv18 16)) (or (= A2.V<1> (_ bv16 16)) (or (= A2.V<1> (_ bv14 16)) (or (= A2.V<1> (_ bv13 16)) (or (= A2.V<1> (_ bv12 16)) (or (= A2.V<1> (_ bv10 16)) (or (= A2.V<1> (_ bv22 16)) (or (= A2.V<1> (_ bv9 16)) (or (= A2.V<1> (_ bv8 16)) (or (= A2.V<1> (_ bv4 16)) (or (= A2.V<1> (_ bv11 16)) (or (= A2.V<1> (_ bv2 16)) (or (= A2.V<1> (_ bv25 16)) (or (= A2.V<1> (_ bv26 16)) (or (= A2.V<1> (_ bv29 16)) (= A2.V<1> (_ bv28 16)))))))))))))))))) (not (= A2.V<0> (_ bv3 16)))))
(assert (or (= A2.V<1> (_ bv26 16)) (not (and A2.spref<0><1> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv18 16)) (not (and A2.spref<0><2> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv11 16)) (not (and A2.spref<0><3> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv10 16)) (not (and A2.spref<0><4> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv25 16)) (not (and A2.spref<0><5> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv2 16)) (not (and A2.spref<0><6> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv9 16)) (not (and A2.spref<0><7> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv20 16)) (not (and A2.spref<0><8> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv12 16)) (not (and A2.spref<0><9> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv28 16)) (not (and A2.spref<0><10> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv4 16)) (not (and A2.spref<0><11> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv16 16)) (not (and A2.spref<0><12> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv8 16)) (not (and A2.spref<0><13> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv29 16)) (not (and A2.spref<0><14> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv13 16)) (not (and A2.spref<0><15> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv22 16)) (not (and A2.spref<0><16> (= A2.V<0> (_ bv3 16))))))
(declare-const A0.V<2> (_ BitVec 16))
(declare-const A0.atime<2> Real)
(assert (= (+ A0.atime<1> (+ A0.rtime<1> (* (- 1) A0.atime<2>))) 0))
(declare-const A0.rtime<2> Real)
(declare-const A0.wtime<2> Real)
(declare-const A0.mtime<2> Real)
(assert (= (+ A0.rtime<2> (+ (* (- 1) A0.wtime<2>) (* (- 1) A0.mtime<2>))) 0))
(assert (<= 0 A0.wtime<2>))
(assert (<= 0 A0.mtime<2>))
(declare-const A0.ppref<2> Bool)
(declare-const A0.spref<2><1> Bool)
(declare-const A0.spref<2><2> Bool)
(declare-const A0.spref<2><3> Bool)
(declare-const A0.spref<2><4> Bool)
(declare-const A0.spref<2><5> Bool)
(declare-const A0.spref<2><6> Bool)
(declare-const A0.spref<2><7> Bool)
(declare-const A0.spref<2><8> Bool)
(declare-const A0.spref<2><9> Bool)
(declare-const A0.spref<2><10> Bool)
(declare-const A0.spref<2><11> Bool)
(declare-const A0.spref<2><12> Bool)
(declare-const A0.spref<2><13> Bool)
(declare-const A0.spref<2><14> Bool)
(declare-const A0.spref<2><15> Bool)
(declare-const A0.spref<2><16> Bool)
(declare-const A0.spref<2><17> Bool)
(declare-const A0.spref<2><18> Bool)
(declare-const A0.spref<2><19> Bool)
(declare-const A0.spref<2><20> Bool)
(declare-const A0.spref<2><21> Bool)
(declare-const A0.spref<2><22> Bool)
(declare-const A0.spref<2><23> Bool)
(declare-const A0.spref<2><24> Bool)
(declare-const A0.spref<2><25> Bool)
(declare-const A0.spref<2><26> Bool)
(declare-const A0.spref<2><27> Bool)
(declare-const A0.spref<2><28> Bool)
(declare-const A0.spref<2><29> Bool)
(declare-const A0.spref<2><30> Bool)
(declare-const A0.spref<2><31> Bool)
(declare-const A0.spref<2><32> Bool)
(declare-const A1.V<2> (_ BitVec 16))
(declare-const A1.atime<2> Real)
(assert (= (+ A1.atime<1> (+ A1.rtime<1> (* (- 1) A1.atime<2>))) 0))
(declare-const A1.rtime<2> Real)
(declare-const A1.wtime<2> Real)
(declare-const A1.mtime<2> Real)
(assert (= (+ A1.rtime<2> (+ (* (- 1) A1.wtime<2>) (* (- 1) A1.mtime<2>))) 0))
(assert (<= 0 A1.wtime<2>))
(assert (<= 0 A1.mtime<2>))
(declare-const A1.ppref<2> Bool)
(declare-const A1.spref<2><1> Bool)
(declare-const A1.spref<2><2> Bool)
(declare-const A1.spref<2><3> Bool)
(declare-const A1.spref<2><4> Bool)
(declare-const A1.spref<2><5> Bool)
(declare-const A1.spref<2><6> Bool)
(declare-const A1.spref<2><7> Bool)
(declare-const A1.spref<2><8> Bool)
(declare-const A1.spref<2><9> Bool)
(declare-const A1.spref<2><10> Bool)
(declare-const A1.spref<2><11> Bool)
(declare-const A1.spref<2><12> Bool)
(declare-const A1.spref<2><13> Bool)
(declare-const A1.spref<2><14> Bool)
(declare-const A1.spref<2><15> Bool)
(declare-const A1.spref<2><16> Bool)
(declare-const A1.spref<2><17> Bool)
(declare-const A1.spref<2><18> Bool)
(declare-const A1.spref<2><19> Bool)
(declare-const A1.spref<2><20> Bool)
(declare-const A1.spref<2><21> Bool)
(declare-const A1.spref<2><22> Bool)
(declare-const A1.spref<2><23> Bool)
(declare-const A1.spref<2><24> Bool)
(declare-const A1.spref<2><25> Bool)
(declare-const A1.spref<2><26> Bool)
(declare-const A1.spref<2><27> Bool)
(declare-const A1.spref<2><28> Bool)
(declare-const A1.spref<2><29> Bool)
(declare-const A1.spref<2><30> Bool)
(declare-const A1.spref<2><31> Bool)
(declare-const A1.spref<2><32> Bool)
(declare-const A2.V<2> (_ BitVec 16))
(declare-const A2.atime<2> Real)
(assert (= (+ A2.atime<1> (+ A2.rtime<1> (* (- 1) A2.atime<2>))) 0))
(declare-const A2.rtime<2> Real)
(declare-const A2.wtime<2> Real)
(declare-const A2.mtime<2> Real)
(assert (= (+ A2.rtime<2> (+ (* (- 1) A2.wtime<2>) (* (- 1) A2.mtime<2>))) 0))
(assert (<= 0 A2.wtime<2>))
(assert (<= 0 A2.mtime<2>))
(declare-const A2.ppref<2> Bool)
(declare-const A2.spref<2><1> Bool)
(declare-const A2.spref<2><2> Bool)
(declare-const A2.spref<2><3> Bool)
(declare-const A2.spref<2><4> Bool)
(declare-const A2.spref<2><5> Bool)
(declare-const A2.spref<2><6> Bool)
(declare-const A2.spref<2><7> Bool)
(declare-const A2.spref<2><8> Bool)
(declare-const A2.spref<2><9> Bool)
(declare-const A2.spref<2><10> Bool)
(declare-const A2.spref<2><11> Bool)
(declare-const A2.spref<2><12> Bool)
(declare-const A2.spref<2><13> Bool)
(declare-const A2.spref<2><14> Bool)
(declare-const A2.spref<2><15> Bool)
(declare-const A2.spref<2><16> Bool)
(declare-const A2.spref<2><17> Bool)
(declare-const A2.spref<2><18> Bool)
(declare-const A2.spref<2><19> Bool)
(declare-const A2.spref<2><20> Bool)
(declare-const A2.spref<2><21> Bool)
(declare-const A2.spref<2><22> Bool)
(declare-const A2.spref<2><23> Bool)
(declare-const A2.spref<2><24> Bool)
(declare-const A2.spref<2><25> Bool)
(declare-const A2.spref<2><26> Bool)
(declare-const A2.spref<2><27> Bool)
(declare-const A2.spref<2><28> Bool)
(declare-const A2.spref<2><29> Bool)
(declare-const A2.spref<2><30> Bool)
(declare-const A2.spref<2><31> Bool)
(declare-const A2.spref<2><32> Bool)
(assert (or (= A0.V<2> (_ bv51 16)) (not A0.ppref<2>)))
(assert (or (= A2.V<2> (_ bv49 16)) (not A2.ppref<2>)))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv34 16))))))
(assert (or (or (= A0.V<2> (_ bv34 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv26 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv50 16)) (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv58 16)) (or (= A0.V<2> (_ bv62 16)) (= A0.V<2> (_ bv60 16))))))))))))))))))))))))) (not (= A0.V<1> (_ bv45 16)))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv60 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv50 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv58 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv34 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv62 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv53 16)) (= A0.V<2> (_ bv55 16))))))))))))))))))))))))) (not (= A0.V<1> (_ bv30 16)))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv31 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv47 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv23 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv18 16))))))
(assert (or (or (= A0.V<2> (_ bv18 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv34 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv42 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv54 16)) (= A0.V<2> (_ bv55 16))))))))))))))))))))))))))))) (not (= A0.V<1> (_ bv29 16)))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv42 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv34 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv41 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv33 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv50 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv18 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv34 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv17 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv54 16)) (= A0.V<2> (_ bv53 16))))))))))))))))))))))))))))))))) (not (= A0.V<1> (_ bv28 16)))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv34 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv50 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv41 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv47 16)) (= A0.V<2> (_ bv45 16)))))))))))))))))))))) (not (= A0.V<1> (_ bv22 16)))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv31 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv23 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv14 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv47 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv12 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv39 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv62 16)) (= A0.V<2> (_ bv61 16)))))))))))))))))) (not (= A0.V<1> (_ bv39 16)))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv47 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv61 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv31 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv62 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv14 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv41 16))))))
(assert (or (or (= A0.V<2> (_ bv41 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv33 16)) (or (= A0.V<2> (_ bv62 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv59 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv58 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv26 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv60 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv42 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv57 16)) (or (= A0.V<2> (_ bv61 16)) (= A0.V<2> (_ bv63 16))))))))))))))))))))))))) (not (= A0.V<1> (_ bv52 16)))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv60 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv59 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv61 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv42 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv58 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv41 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv62 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv57 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv18 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv26 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv39 16)) (= A0.V<2> (_ bv38 16)))))))))))))))))))))) (not (= A0.V<1> (_ bv13 16)))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv12 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv26 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv14 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv18 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv23 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv61 16)) (or (= A0.V<2> (_ bv63 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv53 16)) (= A0.V<2> (_ bv55 16)))))))))))))) (not (= A0.V<1> (_ bv62 16)))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv61 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv63 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv55 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv47 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv50 16))))))
(assert (or (or (= A0.V<2> (_ bv50 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv42 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv62 16)) (or (= A0.V<2> (_ bv60 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv54 16)) (= A0.V<2> (_ bv55 16)))))))))))))))) (not (= A0.V<1> (_ bv61 16)))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv60 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv62 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv50 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv42 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv55 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv60 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv62 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv59 16)) (or (= A0.V<2> (_ bv61 16)) (= A0.V<2> (_ bv63 16))))))))))))))))))) (not (= A0.V<1> (_ bv54 16)))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv61 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv60 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv62 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv59 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv55 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv47 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv63 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv60 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv61 16)) (= A0.V<2> (_ bv63 16))))))))))))))))))))))))) (not (= A0.V<1> (_ bv38 16)))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv60 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv61 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv47 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv55 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv54 16)) (= A0.V<2> (_ bv53 16)))))))))))))))))) (not (= A0.V<1> (_ bv31 16)))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv23 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv14 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv12 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv33 16))))))
(assert (or (or (= A0.V<2> (_ bv33 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv25 16)) (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv50 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv18 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv34 16)) (or (= A0.V<2> (_ bv63 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv49 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv57 16)) (or (= A0.V<2> (_ bv61 16)) (= A0.V<2> (_ bv59 16))))))))))))))))))))))))))))) (not (= A0.V<1> (_ bv44 16)))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv59 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv50 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv34 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv61 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv49 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv62 16)) (= A0.V<2> (_ bv60 16)))))))))))))))) (not (= A0.V<1> (_ bv47 16)))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv55 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv60 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv62 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv39 16)) (= A0.V<2> (_ bv37 16))))))))))))))))))) (not (= A0.V<1> (_ bv14 16)))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv23 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv31 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv15 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv42 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv25 16)) (or (= A0.V<2> (_ bv26 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv33 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv46 16)) (= A0.V<2> (_ bv45 16))))))))))))))))))))))))))))) (not (= A0.V<1> (_ bv20 16)))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv42 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv26 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv12 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv33 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv25 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv59 16)) (or (= A0.V<2> (_ bv61 16)) (= A0.V<2> (_ bv63 16)))))))))))))))))))))) (not (= A0.V<1> (_ bv46 16)))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv61 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv59 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv47 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv55 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv63 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv38 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv30 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv45 16)) (= A1.V<2> (_ bv44 16))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv19 16)))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv20 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv56 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv59 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv58 16)) (= A1.V<2> (_ bv57 16)))))))))))))) (not (= A1.V<1> (_ bv48 16)))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv56 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv44 16)) (= A1.V<2> (_ bv43 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv18 16)))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv31 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv22 16)) (or (= A1.V<2> (_ bv23 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv38 16)) (= A1.V<2> (_ bv37 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv12 16)))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv20 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv21 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv4 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv22 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv36 16)) (= A1.V<2> (_ bv35 16)))))))))))))))))))))) (not (= A1.V<1> (_ bv10 16)))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv20 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv34 16)) (= A1.V<2> (_ bv33 16)))))))))))))) (not (= A1.V<1> (_ bv8 16)))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv0 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv42 16)) (= A1.V<2> (_ bv41 16)))))))))))))))) (not (= A1.V<1> (_ bv16 16)))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv22 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv28 16)) (= A1.V<2> (_ bv29 16)))))))))))))))))) (not (= A1.V<1> (_ bv3 16)))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv20 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv12 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv4 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv22 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv49 16)) (or (or (= A1.V<2> (_ bv58 16)) (= A1.V<2> (_ bv57 16))) (= A1.V<2> (_ bv51 16))))))))))))))))) (not (= A1.V<1> (_ bv32 16)))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv28 16)) (= A1.V<2> (_ bv27 16)))))))))))))))) (not (= A1.V<1> (_ bv2 16)))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv12 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv21 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv26 16)) (= A1.V<2> (_ bv25 16)))))))))) (not (= A1.V<1> (_ bv0 16)))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv51 16)) (= A1.V<2> (_ bv52 16))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv26 16)))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv48 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv25 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv51 16)) (= A1.V<2> (_ bv50 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv25 16)))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv48 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv61 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv58 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv57 16)) (or (= A1.V<2> (_ bv38 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv52 16)) (or (= A1.V<2> (_ bv59 16)) (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv46 16)) (or (= A1.V<2> (_ bv56 16)) (or (= A1.V<2> (_ bv62 16)) (= A1.V<2> (_ bv60 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv51 16)))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv60 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv61 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv56 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (and (= A1.mtime<1> 0) (= A1.wtime<1> 0)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<0> (_ bv50 16))))))
(assert (or (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv57 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv56 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv58 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv59 16)) (or (= A1.V<2> (_ bv60 16)) (= A1.V<2> (_ bv61 16))))))))))))))))))))))) (not (= A1.V<1> (_ bv50 16)))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv49 16)) (= A1.V<2> (_ bv50 16)))))))))))))))))) (not (= A1.V<1> (_ bv24 16)))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv54 16)) (or (= A1.V<2> (_ bv22 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv31 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv52 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv63 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv38 16)) (or (= A1.V<2> (_ bv39 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv53 16)) (or (= A1.V<2> (_ bv55 16)) (or (= A1.V<2> (_ bv57 16)) (or (= A1.V<2> (_ bv59 16)) (= A1.V<2> (_ bv61 16))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv44 16)))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv53 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv61 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv61 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv52 16)) (or (= A1.V<2> (_ bv53 16)) (or (= A1.V<2> (_ bv57 16)) (= A1.V<2> (_ bv59 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv42 16)))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv48 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv57 16)) (= A1.V<2> (_ bv59 16)))))))))))))))) (not (= A1.V<1> (_ bv40 16)))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv48 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv53 16))))))
(assert (or (or (= A1.V<2> (_ bv53 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv47 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv31 16)) (or (= A1.V<2> (_ bv30 16)) (or (= A1.V<2> (_ bv58 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv55 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv23 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv46 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv59 16)) (or (= A1.V<2> (_ bv62 16)) (= A1.V<2> (_ bv61 16))))))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv36 16)))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv53 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (or (= A1.V<2> (_ bv52 16)) (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv46 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv30 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv57 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv54 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv22 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv58 16)) (or (= A1.V<2> (_ bv60 16)) (= A1.V<2> (_ bv61 16))))))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv35 16)))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv60 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv53 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv56 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv57 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv59 16)) (= A1.V<2> (_ bv60 16))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv34 16)))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv56 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv39 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv30 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv15 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv31 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv45 16)) (= A1.V<2> (_ bv46 16))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv20 16)))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv21 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv12 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv56 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv52 16)) (or (= A1.V<2> (_ bv58 16)) (= A1.V<2> (_ bv59 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv33 16)))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv48 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv56 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv42 16)) (= A1.V<2> (_ bv43 16)))))))))))))))))))))) (not (= A1.V<1> (_ bv17 16)))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv42 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv39 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv43 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv30 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv28 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv29 16)) (or (= A2.V<2> (_ bv31 16)) (or (= A2.V<2> (_ bv33 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv37 16)) (or (= A2.V<2> (_ bv46 16)) (= A2.V<2> (_ bv45 16))))))))))))))))))))))))))))) (not (= A2.V<1> (_ bv20 16)))))
(assert (or (= A2.V<2> (_ bv42 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv26 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv43 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv33 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv25 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv29 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv37 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv45 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv41 16)) (or (= A2.V<2> (_ bv24 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv40 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv37 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv28 16)) (or (= A2.V<2> (_ bv29 16)) (or (= A2.V<2> (_ bv33 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv43 16)) (= A2.V<2> (_ bv44 16))))))))))))))))))))))))) (not (= A2.V<1> (_ bv18 16)))))
(assert (or (= A2.V<2> (_ bv41 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv26 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv33 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv25 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv40 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv43 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv24 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv44 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (or (= A2.V<2> (_ bv33 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv24 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv42 16)) (= A2.V<2> (_ bv41 16)))))))))))))))) (not (= A2.V<1> (_ bv16 16)))))
(assert (or (= A2.V<2> (_ bv41 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv24 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv33 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv25 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv42 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv26 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv8 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv23 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv36 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv22 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv29 16)) (or (= A2.V<2> (_ bv31 16)) (or (= A2.V<2> (_ bv37 16)) (= A2.V<2> (_ bv39 16))))))))))))))))))) (not (= A2.V<1> (_ bv14 16)))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv36 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv29 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv22 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv37 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv23 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv15 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv31 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv38 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv22 16))))))
(assert (or (or (= A2.V<2> (_ bv22 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv36 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv23 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv28 16)) (or (= A2.V<2> (_ bv30 16)) (or (= A2.V<2> (_ bv39 16)) (= A2.V<2> (_ bv38 16)))))))))))))))))))))) (not (= A2.V<1> (_ bv13 16)))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv26 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv36 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv22 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv30 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv38 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv3 16)) (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv16 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv22 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv29 16)) (= A2.V<2> (_ bv28 16)))))))))))))))))) (not (= A2.V<1> (_ bv3 16)))))
(assert (or (= A2.V<2> (_ bv26 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv25 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv16 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv8 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv29 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv22 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv55 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv38 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv39 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv36 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv30 16)) (or (= A2.V<2> (_ bv37 16)) (or (= A2.V<2> (_ bv28 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv22 16)) (or (= A2.V<2> (_ bv51 16)) (or (= A2.V<2> (_ bv23 16)) (or (= A2.V<2> (_ bv52 16)) (or (= A2.V<2> (_ bv34 16)) (or (= A2.V<2> (_ bv38 16)) (or (= A2.V<2> (_ bv42 16)) (or (= A2.V<2> (_ bv44 16)) (or (= A2.V<2> (_ bv46 16)) (or (= A2.V<2> (_ bv55 16)) (= A2.V<2> (_ bv54 16))))))))))))))))))))))))))))) (not (= A2.V<1> (_ bv29 16)))))
(assert (or (= A2.V<2> (_ bv42 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv36 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv44 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv34 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv37 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv51 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv52 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv38 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv30 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv46 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv38 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv45 16))))))
(assert (or (or (= A2.V<2> (_ bv45 16)) (or (= A2.V<2> (_ bv43 16)) (or (= A2.V<2> (_ bv41 16)) (or (= A2.V<2> (_ bv39 16)) (or (= A2.V<2> (_ bv37 16)) (or (= A2.V<2> (_ bv33 16)) (or (= A2.V<2> (_ bv23 16)) (or (= A2.V<2> (_ bv22 16)) (or (= A2.V<2> (_ bv50 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv47 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv36 16)) (or (= A2.V<2> (_ bv29 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv34 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv38 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv51 16)) (or (= A2.V<2> (_ bv54 16)) (= A2.V<2> (_ bv53 16))))))))))))))))))))))))))))))))) (not (= A2.V<1> (_ bv28 16)))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv43 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv34 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv41 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv50 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv36 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv51 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv33 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv37 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv29 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv45 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv24 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv27 16)) (= A2.V<2> (_ bv28 16)))))))))))))))) (not (= A2.V<1> (_ bv2 16)))))
(assert (or (= A2.V<2> (_ bv25 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv24 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv8 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv33 16)) (or (= A2.V<2> (_ bv16 16)) (or (= A2.V<2> (_ bv45 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv32 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv34 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv48 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv49 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv36 16)) (or (= A2.V<2> (_ bv37 16)) (or (= A2.V<2> (_ bv41 16)) (or (= A2.V<2> (_ bv43 16)) (or (= A2.V<2> (_ bv52 16)) (= A2.V<2> (_ bv51 16))))))))))))))))))))))))))))) (not (= A2.V<1> (_ bv26 16)))))
(assert (or (= A2.V<2> (_ bv49 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv41 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv34 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv33 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv25 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv43 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv32 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv48 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv51 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv36 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv16 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv48 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv16 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv32 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv33 16)) (or (= A2.V<2> (_ bv24 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv34 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv36 16)) (or (= A2.V<2> (_ bv40 16)) (or (= A2.V<2> (_ bv42 16)) (or (= A2.V<2> (_ bv44 16)) (or (= A2.V<2> (_ bv51 16)) (= A2.V<2> (_ bv50 16))))))))))))))))))))))))) (not (= A2.V<1> (_ bv25 16)))))
(assert (or (= A2.V<2> (_ bv33 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv32 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv42 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv40 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv34 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv50 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv48 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv26 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv24 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv16 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv51 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv36 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv38 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv34 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv31 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv22 16)) (or (= A2.V<2> (_ bv23 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv29 16)) (or (= A2.V<2> (_ bv37 16)) (= A2.V<2> (_ bv38 16))))))))))))))))))))))))) (not (= A2.V<1> (_ bv12 16)))))
(assert (or (= A2.V<2> (_ bv34 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv25 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv29 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv37 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv34 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv33 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv30 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv16 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv22 16)) (or (= A2.V<2> (_ bv24 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv28 16)) (or (= A2.V<2> (_ bv37 16)) (= A2.V<2> (_ bv36 16))))))))))))))))))))))))) (not (= A2.V<1> (_ bv11 16)))))
(assert (or (= A2.V<2> (_ bv34 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv26 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv33 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv36 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv24 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv16 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv23 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv29 16)) (= A2.V<2> (_ bv30 16)))))))))))))))))) (not (= A2.V<1> (_ bv4 16)))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv26 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv29 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv30 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv23 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv16 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv33 16)) (= A2.V<2> (_ bv34 16)))))))))))))) (not (= A2.V<1> (_ bv8 16)))))
(assert (or (= A2.V<2> (_ bv33 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv16 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv25 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv34 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv0 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv24 16))))))
(assert (or (or (= A2.V<2> (_ bv24 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv16 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv32 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv28 16)) (or (= A2.V<2> (_ bv35 16)) (= A2.V<2> (_ bv34 16))))))))))))))))))) (not (= A2.V<1> (_ bv9 16)))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv34 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv24 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv32 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv26 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv16 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv8 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv0 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv28 16))))))
(assert (or (or (= A2.V<2> (_ bv28 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv44 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv23 16)) (or (= A2.V<2> (_ bv30 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv29 16)) (or (= A2.V<2> (_ bv31 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv37 16)) (or (= A2.V<2> (_ bv39 16)) (or (= A2.V<2> (_ bv45 16)) (= A2.V<2> (_ bv47 16)))))))))))))))))))))) (not (= A2.V<1> (_ bv22 16)))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv29 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv37 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv44 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv30 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv45 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv31 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv23 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv39 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv33 16)) (or (= A2.V<2> (_ bv16 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv32 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv29 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv35 16)) (= A2.V<2> (_ bv36 16)))))))))))))))))))))) (not (= A2.V<1> (_ bv10 16)))))
(assert (or (= A2.V<2> (_ bv33 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv25 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv32 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv16 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv36 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv10 16))))))
(declare-const kass2 Bool)
(assert (or (= objtime A2.wtime<2>) (not kass2)))
(assert (or (not kass2) (= A2.mtime<2> 0)))
(assert (or (not kass2) (= objtime A1.wtime<2>)))
(assert (or (not kass2) (= A1.mtime<2> 0)))
(assert (or (not kass2) (= objtime A0.wtime<2>)))
(assert (or (not kass2) (= A0.mtime<2> 0)))
(push 1)
(assert kass2)
(assert (= A2.V<2> (_ bv49 16)))
(assert (= A1.V<2> (_ bv50 16)))
(assert (= A0.V<2> (_ bv51 16)))
(assert (let ((def_9358 (ite (<= A2.atime<2> 0) 0 A2.atime<2>))) (let ((def_9360 (ite (<= A1.atime<2> def_9358) def_9358 A1.atime<2>))) (= objtime (ite (<= A0.atime<2> def_9360) def_9360 A0.atime<2>)))))
(set-info :status sat)
(check-sat)
(assert (or (and (not kass2) (<= (- (/ 43 17)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 117 37))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (not (= A1.V<2> (_ bv50 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 2 25))) (or (<= (/ 73 35) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv50 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 23 47)) (or (<= (/ 51 25) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A2.V<1> (_ bv26 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 3 19))) (or (<= (/ 60 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv59 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 97 46) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv58 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 21 44))) (or (<= (/ 100 49) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv52 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 23 47)) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv48 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 18 23))) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv44 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 31 51))) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 13 43))) (or (<= (/ 41 20) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv42 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 51 25))) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv28 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv25 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 23 47)) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv32 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 9 34)) (or (<= (/ 93 43) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv41 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv34 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 51 25))) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 23 47)) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv40 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 54 23))) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 22 57)) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv24 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 5 28)) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv16 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv18 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 54 23))) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv20 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv26 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 23 47)) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv56 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv27 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 38 17) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv50 16))))) (not (= A2.V<2> (_ bv41 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 2 29)) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv50 16))))) (not (= A2.V<2> (_ bv48 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 2 19)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv50 16))))) (not (= A2.V<2> (_ bv34 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 37 99)) (or (<= (/ 38 17) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv50 16))))) (not (= A2.V<2> (_ bv32 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 13 72)) (or (<= (/ 41 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv50 16))))) (not (= A2.V<2> (_ bv33 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 21 47)) (or (<= (/ 38 17) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (or (not (= A1.V<1> (_ bv33 16))) (not (= A2.V<1> (_ bv26 16)))) (not (= A2.V<2> (_ bv41 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 17 40)) (or (<= (/ 54 23) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (or (not (= A1.V<1> (_ bv33 16))) (not (= A2.V<1> (_ bv26 16)))) (not (= A2.V<2> (_ bv48 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 21 47)) (or (<= (/ 38 17) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (or (not (= A1.V<1> (_ bv33 16))) (not (= A2.V<1> (_ bv26 16)))) (not (= A2.V<2> (_ bv32 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 12 29)) (or (<= (/ 41 29) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (or (not (= A1.V<1> (_ bv33 16))) (not (= A2.V<1> (_ bv26 16)))) (not (= A2.V<2> (_ bv33 16)))))))
(assert (or (and (not kass2) (<= (- (/ 55 41)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<2>) (* (- 1) A2.wtime<2>)))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<2>))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A1.V<1> (_ bv33 16))) (not (= A1.V<2> (_ bv50 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv50 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A2.V<1> (_ bv26 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv59 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 25 27)) (or (<= (/ 239 88) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv57 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 29 26)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv53 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 37 33)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv52 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv51 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 25 27)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv37 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 30 37)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv36 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 15 67)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv35 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv34 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 9 34)) (or (<= (/ 107 40) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv41 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 33 31)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 147 55))) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv17 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 92 55))) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv16 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 27 41)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv29 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 21 38)) (or (<= (/ 87 32) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv48 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 147 55))) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv19 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv61 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 14 39))) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv32 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 65 87)) (or (<= (/ 338 123) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv49 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 32 35))) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv20 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 49 53))) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv33 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv25 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv49 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv27 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv50 16))))) (not (= A2.V<2> (_ bv51 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 55 41)) (or (<= (/ 38 17) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv50 16))))) (not (= A2.V<2> (_ bv43 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 55 41)) (or (<= (/ 38 17) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv41 16))) (or (not (= A2.V<1> (_ bv26 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A1.V<2> (_ bv50 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (or (not (= A1.V<1> (_ bv42 16))) (not (= A2.V<1> (_ bv26 16)))) (not (= A2.V<2> (_ bv51 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 55 41)) (or (<= (/ 38 17) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (or (not (= A1.V<1> (_ bv42 16))) (not (= A2.V<1> (_ bv26 16)))) (not (= A2.V<2> (_ bv43 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 55 41)) (or (<= (/ 38 17) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv41 16))) (or (not (= A1.V<1> (_ bv42 16))) (not (= A2.V<1> (_ bv26 16))))))))
(set-info :status sat)
(check-sat)
(assert (<= (/ 196 31) objtime))
(assert (<= objtime (/ 166887 19499)))
(push 1)
(assert (<= objtime (/ 245 31)))
(set-info :status sat)
(check-sat)
(exit)
