(set-info :smt-lib-version 2.6)
(set-logic QF_BVLRA)
(set-info :source |
Generated by: Tomas Kolarik
Generated on: 2024-04-14
Generator: gitlab.com/Tomaqa/mapf_r
Application: Multi-Agent Path-Finding with Continuous Time
Target solver: Z3, CVC4, MathSAT
Publications: Tomas Kolarik, Stefan Ratschan and Pavel Surynek: "Multi-Agent Path-Finding with Continuous Time Using SAT Modulo Linear Real Arithmetic" in ICAART, SCITEPRESS, 2024.
The benchmarks mimic MAPF problems with continuous time where the objective time must be sub-optimal, bounded by a user-specified coefficient. In the original solver, a simulator checks whether there are collisions between particular agents, according to the current model. This check is missing in the case of the final 'check-sat'. The benchmarks also lack commands for preferring certain variables during the search which is of huge importance when searching for short paths in a graph. However, the final plan must still avoid all collisions encountered by the original solver and the objective time must obey the sub-optimal coefficient. Producing models is crucial for the application since the intended solver communicates values of particular variables with the simulator. This communication is ommited though for simplicity. The final 'get-value' allows to compare with the original solver that the objective time indeed obeys the coefficient. Filenames without the extensions correspond to filenames of resulting plans of the original solver.
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(declare-const objtime Real)
(declare-const oo Real)
(declare-const eps Real)
(declare-const A0.V<0> (_ BitVec 16))
(declare-const A0.atime<0> Real)
(assert (= A0.atime<0> 0))
(declare-const A0.rtime<0> Real)
(declare-const A0.wtime<0> Real)
(declare-const A0.mtime<0> Real)
(assert (= (+ A0.rtime<0> (+ (* (- 1) A0.wtime<0>) (* (- 1) A0.mtime<0>))) 0))
(assert (<= 0 A0.wtime<0>))
(assert (<= 0 A0.mtime<0>))
(declare-const wpref0 Bool)
(assert (or (= A0.wtime<0> 0) (not wpref0)))
(declare-const A0.ppref<0> Bool)
(declare-const A0.spref<0><1> Bool)
(declare-const A0.spref<0><2> Bool)
(declare-const A0.spref<0><3> Bool)
(declare-const A0.spref<0><4> Bool)
(declare-const A0.spref<0><5> Bool)
(declare-const A0.spref<0><6> Bool)
(declare-const A0.spref<0><7> Bool)
(declare-const A0.spref<0><8> Bool)
(declare-const A0.spref<0><9> Bool)
(declare-const A0.spref<0><10> Bool)
(declare-const A0.spref<0><11> Bool)
(declare-const A0.spref<0><12> Bool)
(declare-const A0.spref<0><13> Bool)
(declare-const A0.spref<0><14> Bool)
(declare-const A0.spref<0><15> Bool)
(declare-const A0.spref<0><16> Bool)
(declare-const A0.spref<0><17> Bool)
(declare-const A0.spref<0><18> Bool)
(declare-const A0.spref<0><19> Bool)
(declare-const A0.spref<0><20> Bool)
(declare-const A0.spref<0><21> Bool)
(declare-const A0.spref<0><22> Bool)
(declare-const A0.spref<0><23> Bool)
(declare-const A0.spref<0><24> Bool)
(declare-const A0.spref<0><25> Bool)
(declare-const A0.spref<0><26> Bool)
(declare-const A0.spref<0><27> Bool)
(declare-const A0.spref<0><28> Bool)
(declare-const A0.spref<0><29> Bool)
(declare-const A0.spref<0><30> Bool)
(declare-const A0.spref<0><31> Bool)
(declare-const A0.spref<0><32> Bool)
(declare-const A1.V<0> (_ BitVec 16))
(declare-const A1.atime<0> Real)
(assert (= A1.atime<0> 0))
(declare-const A1.rtime<0> Real)
(declare-const A1.wtime<0> Real)
(declare-const A1.mtime<0> Real)
(assert (= (+ A1.rtime<0> (+ (* (- 1) A1.wtime<0>) (* (- 1) A1.mtime<0>))) 0))
(assert (<= 0 A1.wtime<0>))
(assert (<= 0 A1.mtime<0>))
(declare-const wpref1 Bool)
(assert (or (= A1.wtime<0> 0) (not wpref1)))
(declare-const A1.ppref<0> Bool)
(declare-const A1.spref<0><1> Bool)
(declare-const A1.spref<0><2> Bool)
(declare-const A1.spref<0><3> Bool)
(declare-const A1.spref<0><4> Bool)
(declare-const A1.spref<0><5> Bool)
(declare-const A1.spref<0><6> Bool)
(declare-const A1.spref<0><7> Bool)
(declare-const A1.spref<0><8> Bool)
(declare-const A1.spref<0><9> Bool)
(declare-const A1.spref<0><10> Bool)
(declare-const A1.spref<0><11> Bool)
(declare-const A1.spref<0><12> Bool)
(declare-const A1.spref<0><13> Bool)
(declare-const A1.spref<0><14> Bool)
(declare-const A1.spref<0><15> Bool)
(declare-const A1.spref<0><16> Bool)
(declare-const A1.spref<0><17> Bool)
(declare-const A1.spref<0><18> Bool)
(declare-const A1.spref<0><19> Bool)
(declare-const A1.spref<0><20> Bool)
(declare-const A1.spref<0><21> Bool)
(declare-const A1.spref<0><22> Bool)
(declare-const A1.spref<0><23> Bool)
(declare-const A1.spref<0><24> Bool)
(declare-const A1.spref<0><25> Bool)
(declare-const A1.spref<0><26> Bool)
(declare-const A1.spref<0><27> Bool)
(declare-const A1.spref<0><28> Bool)
(declare-const A1.spref<0><29> Bool)
(declare-const A1.spref<0><30> Bool)
(declare-const A1.spref<0><31> Bool)
(declare-const A1.spref<0><32> Bool)
(declare-const A2.V<0> (_ BitVec 16))
(declare-const A2.atime<0> Real)
(assert (= A2.atime<0> 0))
(declare-const A2.rtime<0> Real)
(declare-const A2.wtime<0> Real)
(declare-const A2.mtime<0> Real)
(assert (= (+ A2.rtime<0> (+ (* (- 1) A2.wtime<0>) (* (- 1) A2.mtime<0>))) 0))
(assert (<= 0 A2.wtime<0>))
(assert (<= 0 A2.mtime<0>))
(declare-const wpref2 Bool)
(assert (or (= A2.wtime<0> 0) (not wpref2)))
(declare-const A2.ppref<0> Bool)
(declare-const A2.spref<0><1> Bool)
(declare-const A2.spref<0><2> Bool)
(declare-const A2.spref<0><3> Bool)
(declare-const A2.spref<0><4> Bool)
(declare-const A2.spref<0><5> Bool)
(declare-const A2.spref<0><6> Bool)
(declare-const A2.spref<0><7> Bool)
(declare-const A2.spref<0><8> Bool)
(declare-const A2.spref<0><9> Bool)
(declare-const A2.spref<0><10> Bool)
(declare-const A2.spref<0><11> Bool)
(declare-const A2.spref<0><12> Bool)
(declare-const A2.spref<0><13> Bool)
(declare-const A2.spref<0><14> Bool)
(declare-const A2.spref<0><15> Bool)
(declare-const A2.spref<0><16> Bool)
(declare-const A2.spref<0><17> Bool)
(declare-const A2.spref<0><18> Bool)
(declare-const A2.spref<0><19> Bool)
(declare-const A2.spref<0><20> Bool)
(declare-const A2.spref<0><21> Bool)
(declare-const A2.spref<0><22> Bool)
(declare-const A2.spref<0><23> Bool)
(declare-const A2.spref<0><24> Bool)
(declare-const A2.spref<0><25> Bool)
(declare-const A2.spref<0><26> Bool)
(declare-const A2.spref<0><27> Bool)
(declare-const A2.spref<0><28> Bool)
(declare-const A2.spref<0><29> Bool)
(declare-const A2.spref<0><30> Bool)
(declare-const A2.spref<0><31> Bool)
(declare-const A2.spref<0><32> Bool)
(declare-const A3.V<0> (_ BitVec 16))
(declare-const A3.atime<0> Real)
(assert (= A3.atime<0> 0))
(declare-const A3.rtime<0> Real)
(declare-const A3.wtime<0> Real)
(declare-const A3.mtime<0> Real)
(assert (= (+ A3.rtime<0> (+ (* (- 1) A3.wtime<0>) (* (- 1) A3.mtime<0>))) 0))
(assert (<= 0 A3.wtime<0>))
(assert (<= 0 A3.mtime<0>))
(declare-const wpref3 Bool)
(assert (or (= A3.wtime<0> 0) (not wpref3)))
(declare-const A3.ppref<0> Bool)
(declare-const A3.spref<0><1> Bool)
(declare-const A3.spref<0><2> Bool)
(declare-const A3.spref<0><3> Bool)
(declare-const A3.spref<0><4> Bool)
(declare-const A3.spref<0><5> Bool)
(declare-const A3.spref<0><6> Bool)
(declare-const A3.spref<0><7> Bool)
(declare-const A3.spref<0><8> Bool)
(declare-const A3.spref<0><9> Bool)
(declare-const A3.spref<0><10> Bool)
(declare-const A3.spref<0><11> Bool)
(declare-const A3.spref<0><12> Bool)
(declare-const A3.spref<0><13> Bool)
(declare-const A3.spref<0><14> Bool)
(declare-const A3.spref<0><15> Bool)
(declare-const A3.spref<0><16> Bool)
(declare-const A3.spref<0><17> Bool)
(declare-const A3.spref<0><18> Bool)
(declare-const A3.spref<0><19> Bool)
(declare-const A3.spref<0><20> Bool)
(declare-const A3.spref<0><21> Bool)
(declare-const A3.spref<0><22> Bool)
(declare-const A3.spref<0><23> Bool)
(declare-const A3.spref<0><24> Bool)
(declare-const A3.spref<0><25> Bool)
(declare-const A3.spref<0><26> Bool)
(declare-const A3.spref<0><27> Bool)
(declare-const A3.spref<0><28> Bool)
(declare-const A3.spref<0><29> Bool)
(declare-const A3.spref<0><30> Bool)
(declare-const A3.spref<0><31> Bool)
(declare-const A3.spref<0><32> Bool)
(assert (= A3.V<0> (_ bv54 16)))
(assert (= A2.V<0> (_ bv3 16)))
(assert (= A1.V<0> (_ bv25 16)))
(assert (= A0.V<0> (_ bv39 16)))
(assert (or (= A0.wtime<0> 0) (or (= A1.wtime<0> 0) (or (= A2.wtime<0> 0) (= A3.wtime<0> 0)))))
(assert (or (= A0.V<0> (_ bv39 16)) (not A0.ppref<0>)))
(assert (or (= A1.V<0> (_ bv25 16)) (not A1.ppref<0>)))
(assert (or (= A2.V<0> (_ bv3 16)) (not A2.ppref<0>)))
(assert (or (= A3.V<0> (_ bv54 16)) (not A3.ppref<0>)))
(declare-const A0.V<1> (_ BitVec 16))
(declare-const A0.atime<1> Real)
(assert (= (+ A0.atime<0> (+ A0.rtime<0> (* (- 1) A0.atime<1>))) 0))
(declare-const A0.rtime<1> Real)
(declare-const A0.wtime<1> Real)
(declare-const A0.mtime<1> Real)
(assert (= (+ A0.rtime<1> (+ (* (- 1) A0.wtime<1>) (* (- 1) A0.mtime<1>))) 0))
(assert (<= 0 A0.wtime<1>))
(assert (<= 0 A0.mtime<1>))
(declare-const A0.ppref<1> Bool)
(declare-const A0.spref<1><1> Bool)
(declare-const A0.spref<1><2> Bool)
(declare-const A0.spref<1><3> Bool)
(declare-const A0.spref<1><4> Bool)
(declare-const A0.spref<1><5> Bool)
(declare-const A0.spref<1><6> Bool)
(declare-const A0.spref<1><7> Bool)
(declare-const A0.spref<1><8> Bool)
(declare-const A0.spref<1><9> Bool)
(declare-const A0.spref<1><10> Bool)
(declare-const A0.spref<1><11> Bool)
(declare-const A0.spref<1><12> Bool)
(declare-const A0.spref<1><13> Bool)
(declare-const A0.spref<1><14> Bool)
(declare-const A0.spref<1><15> Bool)
(declare-const A0.spref<1><16> Bool)
(declare-const A0.spref<1><17> Bool)
(declare-const A0.spref<1><18> Bool)
(declare-const A0.spref<1><19> Bool)
(declare-const A0.spref<1><20> Bool)
(declare-const A0.spref<1><21> Bool)
(declare-const A0.spref<1><22> Bool)
(declare-const A0.spref<1><23> Bool)
(declare-const A0.spref<1><24> Bool)
(declare-const A0.spref<1><25> Bool)
(declare-const A0.spref<1><26> Bool)
(declare-const A0.spref<1><27> Bool)
(declare-const A0.spref<1><28> Bool)
(declare-const A0.spref<1><29> Bool)
(declare-const A0.spref<1><30> Bool)
(declare-const A0.spref<1><31> Bool)
(declare-const A0.spref<1><32> Bool)
(declare-const A1.V<1> (_ BitVec 16))
(declare-const A1.atime<1> Real)
(assert (= (+ A1.atime<0> (+ A1.rtime<0> (* (- 1) A1.atime<1>))) 0))
(declare-const A1.rtime<1> Real)
(declare-const A1.wtime<1> Real)
(declare-const A1.mtime<1> Real)
(assert (= (+ A1.rtime<1> (+ (* (- 1) A1.wtime<1>) (* (- 1) A1.mtime<1>))) 0))
(assert (<= 0 A1.wtime<1>))
(assert (<= 0 A1.mtime<1>))
(declare-const A1.ppref<1> Bool)
(declare-const A1.spref<1><1> Bool)
(declare-const A1.spref<1><2> Bool)
(declare-const A1.spref<1><3> Bool)
(declare-const A1.spref<1><4> Bool)
(declare-const A1.spref<1><5> Bool)
(declare-const A1.spref<1><6> Bool)
(declare-const A1.spref<1><7> Bool)
(declare-const A1.spref<1><8> Bool)
(declare-const A1.spref<1><9> Bool)
(declare-const A1.spref<1><10> Bool)
(declare-const A1.spref<1><11> Bool)
(declare-const A1.spref<1><12> Bool)
(declare-const A1.spref<1><13> Bool)
(declare-const A1.spref<1><14> Bool)
(declare-const A1.spref<1><15> Bool)
(declare-const A1.spref<1><16> Bool)
(declare-const A1.spref<1><17> Bool)
(declare-const A1.spref<1><18> Bool)
(declare-const A1.spref<1><19> Bool)
(declare-const A1.spref<1><20> Bool)
(declare-const A1.spref<1><21> Bool)
(declare-const A1.spref<1><22> Bool)
(declare-const A1.spref<1><23> Bool)
(declare-const A1.spref<1><24> Bool)
(declare-const A1.spref<1><25> Bool)
(declare-const A1.spref<1><26> Bool)
(declare-const A1.spref<1><27> Bool)
(declare-const A1.spref<1><28> Bool)
(declare-const A1.spref<1><29> Bool)
(declare-const A1.spref<1><30> Bool)
(declare-const A1.spref<1><31> Bool)
(declare-const A1.spref<1><32> Bool)
(declare-const A2.V<1> (_ BitVec 16))
(declare-const A2.atime<1> Real)
(assert (= (+ A2.atime<0> (+ A2.rtime<0> (* (- 1) A2.atime<1>))) 0))
(declare-const A2.rtime<1> Real)
(declare-const A2.wtime<1> Real)
(declare-const A2.mtime<1> Real)
(assert (= (+ A2.rtime<1> (+ (* (- 1) A2.wtime<1>) (* (- 1) A2.mtime<1>))) 0))
(assert (<= 0 A2.wtime<1>))
(assert (<= 0 A2.mtime<1>))
(declare-const A2.ppref<1> Bool)
(declare-const A2.spref<1><1> Bool)
(declare-const A2.spref<1><2> Bool)
(declare-const A2.spref<1><3> Bool)
(declare-const A2.spref<1><4> Bool)
(declare-const A2.spref<1><5> Bool)
(declare-const A2.spref<1><6> Bool)
(declare-const A2.spref<1><7> Bool)
(declare-const A2.spref<1><8> Bool)
(declare-const A2.spref<1><9> Bool)
(declare-const A2.spref<1><10> Bool)
(declare-const A2.spref<1><11> Bool)
(declare-const A2.spref<1><12> Bool)
(declare-const A2.spref<1><13> Bool)
(declare-const A2.spref<1><14> Bool)
(declare-const A2.spref<1><15> Bool)
(declare-const A2.spref<1><16> Bool)
(declare-const A2.spref<1><17> Bool)
(declare-const A2.spref<1><18> Bool)
(declare-const A2.spref<1><19> Bool)
(declare-const A2.spref<1><20> Bool)
(declare-const A2.spref<1><21> Bool)
(declare-const A2.spref<1><22> Bool)
(declare-const A2.spref<1><23> Bool)
(declare-const A2.spref<1><24> Bool)
(declare-const A2.spref<1><25> Bool)
(declare-const A2.spref<1><26> Bool)
(declare-const A2.spref<1><27> Bool)
(declare-const A2.spref<1><28> Bool)
(declare-const A2.spref<1><29> Bool)
(declare-const A2.spref<1><30> Bool)
(declare-const A2.spref<1><31> Bool)
(declare-const A2.spref<1><32> Bool)
(declare-const A3.V<1> (_ BitVec 16))
(declare-const A3.atime<1> Real)
(assert (= (+ A3.atime<0> (+ A3.rtime<0> (* (- 1) A3.atime<1>))) 0))
(declare-const A3.rtime<1> Real)
(declare-const A3.wtime<1> Real)
(declare-const A3.mtime<1> Real)
(assert (= (+ A3.rtime<1> (+ (* (- 1) A3.wtime<1>) (* (- 1) A3.mtime<1>))) 0))
(assert (<= 0 A3.wtime<1>))
(assert (<= 0 A3.mtime<1>))
(declare-const A3.ppref<1> Bool)
(declare-const A3.spref<1><1> Bool)
(declare-const A3.spref<1><2> Bool)
(declare-const A3.spref<1><3> Bool)
(declare-const A3.spref<1><4> Bool)
(declare-const A3.spref<1><5> Bool)
(declare-const A3.spref<1><6> Bool)
(declare-const A3.spref<1><7> Bool)
(declare-const A3.spref<1><8> Bool)
(declare-const A3.spref<1><9> Bool)
(declare-const A3.spref<1><10> Bool)
(declare-const A3.spref<1><11> Bool)
(declare-const A3.spref<1><12> Bool)
(declare-const A3.spref<1><13> Bool)
(declare-const A3.spref<1><14> Bool)
(declare-const A3.spref<1><15> Bool)
(declare-const A3.spref<1><16> Bool)
(declare-const A3.spref<1><17> Bool)
(declare-const A3.spref<1><18> Bool)
(declare-const A3.spref<1><19> Bool)
(declare-const A3.spref<1><20> Bool)
(declare-const A3.spref<1><21> Bool)
(declare-const A3.spref<1><22> Bool)
(declare-const A3.spref<1><23> Bool)
(declare-const A3.spref<1><24> Bool)
(declare-const A3.spref<1><25> Bool)
(declare-const A3.spref<1><26> Bool)
(declare-const A3.spref<1><27> Bool)
(declare-const A3.spref<1><28> Bool)
(declare-const A3.spref<1><29> Bool)
(declare-const A3.spref<1><30> Bool)
(declare-const A3.spref<1><31> Bool)
(declare-const A3.spref<1><32> Bool)
(assert (or (= A0.V<1> (_ bv28 16)) (not A0.ppref<1>)))
(assert (or (= A1.V<1> (_ bv34 16)) (not A1.ppref<1>)))
(assert (or (= A2.V<1> (_ bv29 16)) (not A2.ppref<1>)))
(assert (or (= A3.V<1> (_ bv59 16)) (not A3.ppref<1>)))
(assert (or (= A0.mtime<0> (/ 98 31)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.mtime<0> (/ 137 38)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.mtime<0> (/ 137 38)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.mtime<0> (/ 98 31)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.mtime<0> (/ 137 38)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.mtime<0> (/ 98 31)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.mtime<0> (/ 137 38)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.mtime<0> (/ 41 29)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.mtime<0> (/ 98 31)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.mtime<0> (/ 41 29)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv45 16))))))
(assert (or (or (= A0.V<1> (_ bv45 16)) (or (= A0.V<1> (_ bv30 16)) (or (= A0.V<1> (_ bv29 16)) (or (= A0.V<1> (_ bv28 16)) (or (= A0.V<1> (_ bv22 16)) (or (= A0.V<1> (_ bv46 16)) (or (= A0.V<1> (_ bv20 16)) (or (= A0.V<1> (_ bv14 16)) (or (= A0.V<1> (_ bv13 16)) (or (= A0.V<1> (_ bv47 16)) (or (= A0.V<1> (_ bv44 16)) (or (= A0.V<1> (_ bv31 16)) (or (= A0.V<1> (_ bv38 16)) (or (= A0.V<1> (_ bv52 16)) (or (= A0.V<1> (_ bv54 16)) (or (= A0.V<1> (_ bv62 16)) (= A0.V<1> (_ bv61 16)))))))))))))))))) (not (= A0.V<0> (_ bv39 16)))))
(assert (or (= A0.V<1> (_ bv28 16)) (not (and A0.spref<0><1> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv29 16)) (not (and A0.spref<0><2> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv38 16)) (not (and A0.spref<0><3> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv30 16)) (not (and A0.spref<0><4> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv20 16)) (not (and A0.spref<0><5> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv31 16)) (not (and A0.spref<0><6> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv22 16)) (not (and A0.spref<0><7> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv45 16)) (not (and A0.spref<0><8> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv46 16)) (not (and A0.spref<0><9> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv44 16)) (not (and A0.spref<0><10> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv47 16)) (not (and A0.spref<0><11> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv13 16)) (not (and A0.spref<0><12> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv14 16)) (not (and A0.spref<0><13> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv52 16)) (not (and A0.spref<0><14> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv54 16)) (not (and A0.spref<0><15> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv61 16)) (not (and A0.spref<0><16> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A1.mtime<0> (/ 137 38)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.mtime<0> (/ 137 38)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.mtime<0> (/ 137 38)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.mtime<0> (/ 137 38)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv19 16))))))
(assert (or (or (= A1.V<1> (_ bv19 16)) (or (= A1.V<1> (_ bv48 16)) (or (= A1.V<1> (_ bv18 16)) (or (= A1.V<1> (_ bv12 16)) (or (= A1.V<1> (_ bv10 16)) (or (= A1.V<1> (_ bv8 16)) (or (= A1.V<1> (_ bv16 16)) (or (= A1.V<1> (_ bv3 16)) (or (= A1.V<1> (_ bv32 16)) (or (= A1.V<1> (_ bv2 16)) (or (= A1.V<1> (_ bv0 16)) (or (= A1.V<1> (_ bv26 16)) (or (= A1.V<1> (_ bv33 16)) (or (= A1.V<1> (_ bv24 16)) (or (= A1.V<1> (_ bv17 16)) (or (= A1.V<1> (_ bv20 16)) (or (= A1.V<1> (_ bv34 16)) (or (= A1.V<1> (_ bv35 16)) (or (= A1.V<1> (_ bv36 16)) (or (= A1.V<1> (_ bv40 16)) (or (= A1.V<1> (_ bv42 16)) (or (= A1.V<1> (_ bv44 16)) (or (= A1.V<1> (_ bv51 16)) (= A1.V<1> (_ bv50 16))))))))))))))))))))))))) (not (= A1.V<0> (_ bv25 16)))))
(assert (or (= A1.V<1> (_ bv34 16)) (not (and A1.spref<0><1> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv42 16)) (not (and A1.spref<0><2> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv35 16)) (not (and A1.spref<0><3> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv51 16)) (not (and A1.spref<0><4> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv44 16)) (not (and A1.spref<0><5> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv26 16)) (not (and A1.spref<0><6> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv33 16)) (not (and A1.spref<0><7> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv50 16)) (not (and A1.spref<0><8> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv36 16)) (not (and A1.spref<0><9> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv32 16)) (not (and A1.spref<0><10> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv18 16)) (not (and A1.spref<0><11> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv17 16)) (not (and A1.spref<0><12> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv24 16)) (not (and A1.spref<0><13> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv40 16)) (not (and A1.spref<0><14> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv19 16)) (not (and A1.spref<0><15> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv16 16)) (not (and A1.spref<0><16> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A2.mtime<0> (/ 137 38)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.mtime<0> (/ 98 31)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.mtime<0> (/ 98 31)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.mtime<0> (/ 137 38)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.mtime<0> (/ 98 31)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<0> (/ 137 38)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.mtime<0> (/ 41 29)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.mtime<0> (/ 41 29)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.mtime<0> (/ 98 31)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.mtime<0> (/ 137 38)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv20 16))))))
(assert (or (or (= A2.V<1> (_ bv20 16)) (or (= A2.V<1> (_ bv18 16)) (or (= A2.V<1> (_ bv16 16)) (or (= A2.V<1> (_ bv14 16)) (or (= A2.V<1> (_ bv13 16)) (or (= A2.V<1> (_ bv12 16)) (or (= A2.V<1> (_ bv10 16)) (or (= A2.V<1> (_ bv22 16)) (or (= A2.V<1> (_ bv9 16)) (or (= A2.V<1> (_ bv8 16)) (or (= A2.V<1> (_ bv4 16)) (or (= A2.V<1> (_ bv11 16)) (or (= A2.V<1> (_ bv2 16)) (or (= A2.V<1> (_ bv25 16)) (or (= A2.V<1> (_ bv26 16)) (or (= A2.V<1> (_ bv29 16)) (= A2.V<1> (_ bv28 16)))))))))))))))))) (not (= A2.V<0> (_ bv3 16)))))
(assert (or (= A2.V<1> (_ bv29 16)) (not (and A2.spref<0><1> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv12 16)) (not (and A2.spref<0><2> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv20 16)) (not (and A2.spref<0><3> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv11 16)) (not (and A2.spref<0><4> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv28 16)) (not (and A2.spref<0><5> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv13 16)) (not (and A2.spref<0><6> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv4 16)) (not (and A2.spref<0><7> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv22 16)) (not (and A2.spref<0><8> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv14 16)) (not (and A2.spref<0><9> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv10 16)) (not (and A2.spref<0><10> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv2 16)) (not (and A2.spref<0><11> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv18 16)) (not (and A2.spref<0><12> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv26 16)) (not (and A2.spref<0><13> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv9 16)) (not (and A2.spref<0><14> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv25 16)) (not (and A2.spref<0><15> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv8 16)) (not (and A2.spref<0><16> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A3.mtime<0> (/ 41 29)) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv63 16))))))
(assert (or (= A3.mtime<0> (/ 41 29)) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv61 16))))))
(assert (or (= A3.mtime<0> (/ 98 31)) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv59 16))))))
(assert (or (= A3.mtime<0> (/ 41 29)) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv47 16))))))
(assert (or (= A3.mtime<0> 1) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.mtime<0> 1) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.mtime<0> 1) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv62 16))))))
(assert (or (= A3.mtime<0> 1) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv55 16))))))
(assert (or (= A3.mtime<0> (/ 98 31)) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.mtime<0> (/ 137 38)) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.mtime<0> (/ 38 17)) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.mtime<0> (/ 98 31)) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv31 16))))))
(assert (or (= A3.mtime<0> (/ 38 17)) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.mtime<0> (/ 137 38)) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.mtime<0> (/ 38 17)) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.mtime<0> (/ 38 17)) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.mtime<0> (/ 98 31)) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.mtime<0> (/ 41 29)) (not (and (= A3.V<0> (_ bv54 16)) (= A3.V<1> (_ bv45 16))))))
(assert (or (or (= A3.V<1> (_ bv45 16)) (or (= A3.V<1> (_ bv43 16)) (or (= A3.V<1> (_ bv39 16)) (or (= A3.V<1> (_ bv37 16)) (or (= A3.V<1> (_ bv35 16)) (or (= A3.V<1> (_ bv44 16)) (or (= A3.V<1> (_ bv31 16)) (or (= A3.V<1> (_ bv60 16)) (or (= A3.V<1> (_ bv28 16)) (or (= A3.V<1> (_ bv29 16)) (or (= A3.V<1> (_ bv55 16)) (or (= A3.V<1> (_ bv62 16)) (or (= A3.V<1> (_ bv53 16)) (or (= A3.V<1> (_ bv46 16)) (or (= A3.V<1> (_ bv47 16)) (or (= A3.V<1> (_ bv59 16)) (or (= A3.V<1> (_ bv63 16)) (= A3.V<1> (_ bv61 16))))))))))))))))))) (not (= A3.V<0> (_ bv54 16)))))
(assert (or (= A3.V<1> (_ bv59 16)) (not (and A3.spref<0><1> (= A3.V<0> (_ bv54 16))))))
(assert (or (= A3.V<1> (_ bv60 16)) (not (and A3.spref<0><2> (= A3.V<0> (_ bv54 16))))))
(assert (or (= A3.V<1> (_ bv53 16)) (not (and A3.spref<0><3> (= A3.V<0> (_ bv54 16))))))
(assert (or (= A3.V<1> (_ bv61 16)) (not (and A3.spref<0><4> (= A3.V<0> (_ bv54 16))))))
(assert (or (= A3.V<1> (_ bv62 16)) (not (and A3.spref<0><5> (= A3.V<0> (_ bv54 16))))))
(assert (or (= A3.V<1> (_ bv45 16)) (not (and A3.spref<0><6> (= A3.V<0> (_ bv54 16))))))
(assert (or (= A3.V<1> (_ bv44 16)) (not (and A3.spref<0><7> (= A3.V<0> (_ bv54 16))))))
(assert (or (= A3.V<1> (_ bv46 16)) (not (and A3.spref<0><8> (= A3.V<0> (_ bv54 16))))))
(assert (or (= A3.V<1> (_ bv55 16)) (not (and A3.spref<0><9> (= A3.V<0> (_ bv54 16))))))
(assert (or (= A3.V<1> (_ bv43 16)) (not (and A3.spref<0><10> (= A3.V<0> (_ bv54 16))))))
(assert (or (= A3.V<1> (_ bv63 16)) (not (and A3.spref<0><11> (= A3.V<0> (_ bv54 16))))))
(assert (or (= A3.V<1> (_ bv37 16)) (not (and A3.spref<0><12> (= A3.V<0> (_ bv54 16))))))
(assert (or (= A3.V<1> (_ bv47 16)) (not (and A3.spref<0><13> (= A3.V<0> (_ bv54 16))))))
(assert (or (= A3.V<1> (_ bv35 16)) (not (and A3.spref<0><14> (= A3.V<0> (_ bv54 16))))))
(assert (or (= A3.V<1> (_ bv39 16)) (not (and A3.spref<0><15> (= A3.V<0> (_ bv54 16))))))
(assert (or (= A3.V<1> (_ bv29 16)) (not (and A3.spref<0><16> (= A3.V<0> (_ bv54 16))))))
(declare-const A0.V<2> (_ BitVec 16))
(declare-const A0.atime<2> Real)
(assert (= (+ A0.atime<1> (+ A0.rtime<1> (* (- 1) A0.atime<2>))) 0))
(declare-const A0.rtime<2> Real)
(declare-const A0.wtime<2> Real)
(declare-const A0.mtime<2> Real)
(assert (= (+ A0.rtime<2> (+ (* (- 1) A0.wtime<2>) (* (- 1) A0.mtime<2>))) 0))
(assert (<= 0 A0.wtime<2>))
(assert (<= 0 A0.mtime<2>))
(declare-const A0.ppref<2> Bool)
(declare-const A0.spref<2><1> Bool)
(declare-const A0.spref<2><2> Bool)
(declare-const A0.spref<2><3> Bool)
(declare-const A0.spref<2><4> Bool)
(declare-const A0.spref<2><5> Bool)
(declare-const A0.spref<2><6> Bool)
(declare-const A0.spref<2><7> Bool)
(declare-const A0.spref<2><8> Bool)
(declare-const A0.spref<2><9> Bool)
(declare-const A0.spref<2><10> Bool)
(declare-const A0.spref<2><11> Bool)
(declare-const A0.spref<2><12> Bool)
(declare-const A0.spref<2><13> Bool)
(declare-const A0.spref<2><14> Bool)
(declare-const A0.spref<2><15> Bool)
(declare-const A0.spref<2><16> Bool)
(declare-const A0.spref<2><17> Bool)
(declare-const A0.spref<2><18> Bool)
(declare-const A0.spref<2><19> Bool)
(declare-const A0.spref<2><20> Bool)
(declare-const A0.spref<2><21> Bool)
(declare-const A0.spref<2><22> Bool)
(declare-const A0.spref<2><23> Bool)
(declare-const A0.spref<2><24> Bool)
(declare-const A0.spref<2><25> Bool)
(declare-const A0.spref<2><26> Bool)
(declare-const A0.spref<2><27> Bool)
(declare-const A0.spref<2><28> Bool)
(declare-const A0.spref<2><29> Bool)
(declare-const A0.spref<2><30> Bool)
(declare-const A0.spref<2><31> Bool)
(declare-const A0.spref<2><32> Bool)
(declare-const A1.V<2> (_ BitVec 16))
(declare-const A1.atime<2> Real)
(assert (= (+ A1.atime<1> (+ A1.rtime<1> (* (- 1) A1.atime<2>))) 0))
(declare-const A1.rtime<2> Real)
(declare-const A1.wtime<2> Real)
(declare-const A1.mtime<2> Real)
(assert (= (+ A1.rtime<2> (+ (* (- 1) A1.wtime<2>) (* (- 1) A1.mtime<2>))) 0))
(assert (<= 0 A1.wtime<2>))
(assert (<= 0 A1.mtime<2>))
(declare-const A1.ppref<2> Bool)
(declare-const A1.spref<2><1> Bool)
(declare-const A1.spref<2><2> Bool)
(declare-const A1.spref<2><3> Bool)
(declare-const A1.spref<2><4> Bool)
(declare-const A1.spref<2><5> Bool)
(declare-const A1.spref<2><6> Bool)
(declare-const A1.spref<2><7> Bool)
(declare-const A1.spref<2><8> Bool)
(declare-const A1.spref<2><9> Bool)
(declare-const A1.spref<2><10> Bool)
(declare-const A1.spref<2><11> Bool)
(declare-const A1.spref<2><12> Bool)
(declare-const A1.spref<2><13> Bool)
(declare-const A1.spref<2><14> Bool)
(declare-const A1.spref<2><15> Bool)
(declare-const A1.spref<2><16> Bool)
(declare-const A1.spref<2><17> Bool)
(declare-const A1.spref<2><18> Bool)
(declare-const A1.spref<2><19> Bool)
(declare-const A1.spref<2><20> Bool)
(declare-const A1.spref<2><21> Bool)
(declare-const A1.spref<2><22> Bool)
(declare-const A1.spref<2><23> Bool)
(declare-const A1.spref<2><24> Bool)
(declare-const A1.spref<2><25> Bool)
(declare-const A1.spref<2><26> Bool)
(declare-const A1.spref<2><27> Bool)
(declare-const A1.spref<2><28> Bool)
(declare-const A1.spref<2><29> Bool)
(declare-const A1.spref<2><30> Bool)
(declare-const A1.spref<2><31> Bool)
(declare-const A1.spref<2><32> Bool)
(declare-const A2.V<2> (_ BitVec 16))
(declare-const A2.atime<2> Real)
(assert (= (+ A2.atime<1> (+ A2.rtime<1> (* (- 1) A2.atime<2>))) 0))
(declare-const A2.rtime<2> Real)
(declare-const A2.wtime<2> Real)
(declare-const A2.mtime<2> Real)
(assert (= (+ A2.rtime<2> (+ (* (- 1) A2.wtime<2>) (* (- 1) A2.mtime<2>))) 0))
(assert (<= 0 A2.wtime<2>))
(assert (<= 0 A2.mtime<2>))
(declare-const A2.ppref<2> Bool)
(declare-const A2.spref<2><1> Bool)
(declare-const A2.spref<2><2> Bool)
(declare-const A2.spref<2><3> Bool)
(declare-const A2.spref<2><4> Bool)
(declare-const A2.spref<2><5> Bool)
(declare-const A2.spref<2><6> Bool)
(declare-const A2.spref<2><7> Bool)
(declare-const A2.spref<2><8> Bool)
(declare-const A2.spref<2><9> Bool)
(declare-const A2.spref<2><10> Bool)
(declare-const A2.spref<2><11> Bool)
(declare-const A2.spref<2><12> Bool)
(declare-const A2.spref<2><13> Bool)
(declare-const A2.spref<2><14> Bool)
(declare-const A2.spref<2><15> Bool)
(declare-const A2.spref<2><16> Bool)
(declare-const A2.spref<2><17> Bool)
(declare-const A2.spref<2><18> Bool)
(declare-const A2.spref<2><19> Bool)
(declare-const A2.spref<2><20> Bool)
(declare-const A2.spref<2><21> Bool)
(declare-const A2.spref<2><22> Bool)
(declare-const A2.spref<2><23> Bool)
(declare-const A2.spref<2><24> Bool)
(declare-const A2.spref<2><25> Bool)
(declare-const A2.spref<2><26> Bool)
(declare-const A2.spref<2><27> Bool)
(declare-const A2.spref<2><28> Bool)
(declare-const A2.spref<2><29> Bool)
(declare-const A2.spref<2><30> Bool)
(declare-const A2.spref<2><31> Bool)
(declare-const A2.spref<2><32> Bool)
(declare-const A3.V<2> (_ BitVec 16))
(declare-const A3.atime<2> Real)
(assert (= (+ A3.atime<1> (+ A3.rtime<1> (* (- 1) A3.atime<2>))) 0))
(declare-const A3.rtime<2> Real)
(declare-const A3.wtime<2> Real)
(declare-const A3.mtime<2> Real)
(assert (= (+ A3.rtime<2> (+ (* (- 1) A3.wtime<2>) (* (- 1) A3.mtime<2>))) 0))
(assert (<= 0 A3.wtime<2>))
(assert (<= 0 A3.mtime<2>))
(declare-const A3.ppref<2> Bool)
(declare-const A3.spref<2><1> Bool)
(declare-const A3.spref<2><2> Bool)
(declare-const A3.spref<2><3> Bool)
(declare-const A3.spref<2><4> Bool)
(declare-const A3.spref<2><5> Bool)
(declare-const A3.spref<2><6> Bool)
(declare-const A3.spref<2><7> Bool)
(declare-const A3.spref<2><8> Bool)
(declare-const A3.spref<2><9> Bool)
(declare-const A3.spref<2><10> Bool)
(declare-const A3.spref<2><11> Bool)
(declare-const A3.spref<2><12> Bool)
(declare-const A3.spref<2><13> Bool)
(declare-const A3.spref<2><14> Bool)
(declare-const A3.spref<2><15> Bool)
(declare-const A3.spref<2><16> Bool)
(declare-const A3.spref<2><17> Bool)
(declare-const A3.spref<2><18> Bool)
(declare-const A3.spref<2><19> Bool)
(declare-const A3.spref<2><20> Bool)
(declare-const A3.spref<2><21> Bool)
(declare-const A3.spref<2><22> Bool)
(declare-const A3.spref<2><23> Bool)
(declare-const A3.spref<2><24> Bool)
(declare-const A3.spref<2><25> Bool)
(declare-const A3.spref<2><26> Bool)
(declare-const A3.spref<2><27> Bool)
(declare-const A3.spref<2><28> Bool)
(declare-const A3.spref<2><29> Bool)
(declare-const A3.spref<2><30> Bool)
(declare-const A3.spref<2><31> Bool)
(declare-const A3.spref<2><32> Bool)
(assert (or (= A0.V<2> (_ bv17 16)) (not A0.ppref<2>)))
(assert (or (= A1.V<2> (_ bv43 16)) (not A1.ppref<2>)))
(assert (or (= A2.V<2> (_ bv38 16)) (not A2.ppref<2>)))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv34 16))))))
(assert (or (or (= A0.V<2> (_ bv34 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv26 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv50 16)) (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv58 16)) (or (= A0.V<2> (_ bv62 16)) (= A0.V<2> (_ bv60 16))))))))))))))))))))))))) (not (= A0.V<1> (_ bv45 16)))))
(assert (or (= A0.V<2> (_ bv26 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv34 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv50 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv53 16)) (= A0.V<2> (_ bv55 16))))))))))))))))))))))))) (not (= A0.V<1> (_ bv30 16)))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv31 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv23 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv18 16))))))
(assert (or (or (= A0.V<2> (_ bv18 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv34 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv42 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv54 16)) (= A0.V<2> (_ bv55 16))))))))))))))))))))))))))))) (not (= A0.V<1> (_ bv29 16)))))
(assert (or (= A0.V<2> (_ bv18 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv12 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv34 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv3 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv41 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv33 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv50 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv18 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv34 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv17 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv54 16)) (= A0.V<2> (_ bv53 16))))))))))))))))))))))))))))))))) (not (= A0.V<1> (_ bv28 16)))))
(assert (or (= A0.V<2> (_ bv17 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv18 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv34 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv33 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv47 16)) (= A0.V<2> (_ bv45 16)))))))))))))))))))))) (not (= A0.V<1> (_ bv22 16)))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv12 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv14 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv3 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv23 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv31 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv15 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv39 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv62 16)) (= A0.V<2> (_ bv61 16)))))))))))))))))) (not (= A0.V<1> (_ bv39 16)))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv31 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv47 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv14 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv61 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv41 16))))))
(assert (or (or (= A0.V<2> (_ bv41 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv33 16)) (or (= A0.V<2> (_ bv62 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv59 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv58 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv26 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv60 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv42 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv57 16)) (or (= A0.V<2> (_ bv61 16)) (= A0.V<2> (_ bv63 16))))))))))))))))))))))))) (not (= A0.V<1> (_ bv52 16)))))
(assert (or (= A0.V<2> (_ bv26 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv42 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv33 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv41 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv59 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv60 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv58 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv18 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv26 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv39 16)) (= A0.V<2> (_ bv38 16)))))))))))))))))))))) (not (= A0.V<1> (_ bv13 16)))))
(assert (or (= A0.V<2> (_ bv18 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv12 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv26 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv3 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv14 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv61 16)) (or (= A0.V<2> (_ bv63 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv53 16)) (= A0.V<2> (_ bv55 16)))))))))))))) (not (= A0.V<1> (_ bv62 16)))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv61 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv55 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv63 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv47 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv50 16))))))
(assert (or (or (= A0.V<2> (_ bv50 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv42 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv62 16)) (or (= A0.V<2> (_ bv60 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv54 16)) (= A0.V<2> (_ bv55 16)))))))))))))))) (not (= A0.V<1> (_ bv61 16)))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv42 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv60 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv50 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv62 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv55 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv60 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv62 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv59 16)) (or (= A0.V<2> (_ bv61 16)) (= A0.V<2> (_ bv63 16))))))))))))))))))) (not (= A0.V<1> (_ bv54 16)))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv61 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv62 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv60 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv47 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv55 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv59 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv60 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv61 16)) (= A0.V<2> (_ bv63 16))))))))))))))))))))))))) (not (= A0.V<1> (_ bv38 16)))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv12 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv31 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv54 16)) (= A0.V<2> (_ bv53 16)))))))))))))))))) (not (= A0.V<1> (_ bv31 16)))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv12 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv23 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv14 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv33 16))))))
(assert (or (or (= A0.V<2> (_ bv33 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv25 16)) (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv50 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv18 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv34 16)) (or (= A0.V<2> (_ bv63 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv49 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv57 16)) (or (= A0.V<2> (_ bv61 16)) (= A0.V<2> (_ bv59 16))))))))))))))))))))))))))))) (not (= A0.V<1> (_ bv44 16)))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv34 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv25 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv18 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv33 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv50 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv62 16)) (= A0.V<2> (_ bv60 16)))))))))))))))) (not (= A0.V<1> (_ bv47 16)))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv55 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv62 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv60 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv39 16)) (= A0.V<2> (_ bv37 16))))))))))))))))))) (not (= A0.V<1> (_ bv14 16)))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv3 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv15 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv23 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv42 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv25 16)) (or (= A0.V<2> (_ bv26 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv33 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv46 16)) (= A0.V<2> (_ bv45 16))))))))))))))))))))))))))))) (not (= A0.V<1> (_ bv20 16)))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv26 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv25 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv12 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv3 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv33 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv59 16)) (or (= A0.V<2> (_ bv61 16)) (= A0.V<2> (_ bv63 16)))))))))))))))))))))) (not (= A0.V<1> (_ bv46 16)))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv47 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv31 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv38 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv30 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv45 16)) (= A1.V<2> (_ bv44 16))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv19 16)))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv20 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv12 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv38 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv30 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv56 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv59 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv58 16)) (= A1.V<2> (_ bv57 16)))))))))))))) (not (= A1.V<1> (_ bv48 16)))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv56 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv43 16)) (= A1.V<2> (_ bv44 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv18 16)))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv12 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv31 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv22 16)) (or (= A1.V<2> (_ bv23 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv38 16)) (= A1.V<2> (_ bv37 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv12 16)))))
(assert (or (= A1.V<2> (_ bv20 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv21 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv38 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv22 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv4 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv36 16)) (= A1.V<2> (_ bv35 16)))))))))))))))))))))) (not (= A1.V<1> (_ bv10 16)))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv20 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv21 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv34 16)) (= A1.V<2> (_ bv33 16)))))))))))))) (not (= A1.V<1> (_ bv8 16)))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv0 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv42 16)) (= A1.V<2> (_ bv41 16)))))))))))))))) (not (= A1.V<1> (_ bv16 16)))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv22 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv28 16)) (= A1.V<2> (_ bv29 16)))))))))))))))))) (not (= A1.V<1> (_ bv3 16)))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv20 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv12 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv4 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv22 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv14 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv49 16)) (or (or (= A1.V<2> (_ bv58 16)) (= A1.V<2> (_ bv57 16))) (= A1.V<2> (_ bv51 16))))))))))))))))) (not (= A1.V<1> (_ bv32 16)))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv28 16)) (= A1.V<2> (_ bv27 16)))))))))))))))) (not (= A1.V<1> (_ bv2 16)))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv12 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv21 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv26 16)) (= A1.V<2> (_ bv25 16)))))))))) (not (= A1.V<1> (_ bv0 16)))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv51 16)) (= A1.V<2> (_ bv52 16))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv26 16)))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv20 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv25 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv51 16)) (= A1.V<2> (_ bv50 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv25 16)))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv61 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv58 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv57 16)) (or (= A1.V<2> (_ bv38 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv52 16)) (or (= A1.V<2> (_ bv59 16)) (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv46 16)) (or (= A1.V<2> (_ bv56 16)) (or (= A1.V<2> (_ bv62 16)) (= A1.V<2> (_ bv60 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv51 16)))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv60 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv61 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv46 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv62 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv57 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv56 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv58 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv59 16)) (or (= A1.V<2> (_ bv60 16)) (= A1.V<2> (_ bv61 16)))))))))))))))))))))) (not (= A1.V<1> (_ bv50 16)))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv60 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv61 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv49 16)) (= A1.V<2> (_ bv50 16)))))))))))))))))) (not (= A1.V<1> (_ bv24 16)))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv54 16)) (or (= A1.V<2> (_ bv22 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv31 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv52 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv63 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv38 16)) (or (= A1.V<2> (_ bv39 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv53 16)) (or (= A1.V<2> (_ bv55 16)) (or (= A1.V<2> (_ bv57 16)) (or (= A1.V<2> (_ bv59 16)) (= A1.V<2> (_ bv61 16))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv44 16)))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv53 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv61 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv54 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv38 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv61 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv52 16)) (or (= A1.V<2> (_ bv53 16)) (or (= A1.V<2> (_ bv57 16)) (= A1.V<2> (_ bv59 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv42 16)))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv53 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv61 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv57 16)) (= A1.V<2> (_ bv59 16)))))))))))))))) (not (= A1.V<1> (_ bv40 16)))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv48 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv53 16))))))
(assert (or (or (= A1.V<2> (_ bv53 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv47 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv31 16)) (or (= A1.V<2> (_ bv30 16)) (or (= A1.V<2> (_ bv58 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv55 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv23 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv46 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv59 16)) (or (= A1.V<2> (_ bv62 16)) (= A1.V<2> (_ bv61 16))))))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv36 16)))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv53 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv46 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv61 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv62 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (or (= A1.V<2> (_ bv52 16)) (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv46 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv30 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv57 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv54 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv22 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv58 16)) (or (= A1.V<2> (_ bv60 16)) (= A1.V<2> (_ bv61 16))))))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv35 16)))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv60 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv61 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv46 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv53 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv56 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv57 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv59 16)) (= A1.V<2> (_ bv60 16))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv34 16)))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv60 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv53 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv39 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv30 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv15 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv31 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv45 16)) (= A1.V<2> (_ bv46 16))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv20 16)))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv21 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv46 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv30 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv12 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv56 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv52 16)) (or (= A1.V<2> (_ bv58 16)) (= A1.V<2> (_ bv59 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv33 16)))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv48 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv43 16)) (= A1.V<2> (_ bv42 16)))))))))))))))))))))) (not (= A1.V<1> (_ bv17 16)))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv20 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv42 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv39 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv43 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv30 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv28 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv29 16)) (or (= A2.V<2> (_ bv31 16)) (or (= A2.V<2> (_ bv33 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv37 16)) (or (= A2.V<2> (_ bv46 16)) (= A2.V<2> (_ bv45 16))))))))))))))))))))))))))))) (not (= A2.V<1> (_ bv20 16)))))
(assert (or (= A2.V<2> (_ bv29 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv30 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv37 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv45 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv31 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv46 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv39 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv20 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv18 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv41 16)) (or (= A2.V<2> (_ bv24 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv40 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv37 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv28 16)) (or (= A2.V<2> (_ bv29 16)) (or (= A2.V<2> (_ bv33 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv43 16)) (= A2.V<2> (_ bv44 16))))))))))))))))))))))))) (not (= A2.V<1> (_ bv18 16)))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv29 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv37 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv26 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv44 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv43 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv25 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.V<2> (_ bv33 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv18 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv16 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (or (= A2.V<2> (_ bv33 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv24 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv42 16)) (= A2.V<2> (_ bv41 16)))))))))))))))) (not (= A2.V<1> (_ bv16 16)))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv26 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv25 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv24 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv33 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv8 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv42 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv41 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv16 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv23 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv36 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv22 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv29 16)) (or (= A2.V<2> (_ bv31 16)) (or (= A2.V<2> (_ bv37 16)) (= A2.V<2> (_ bv39 16))))))))))))))))))) (not (= A2.V<1> (_ bv14 16)))))
(assert (or (= A2.V<2> (_ bv22 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv31 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv29 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv23 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv37 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv39 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv15 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv7 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv36 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv38 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv22 16))))))
(assert (or (or (= A2.V<2> (_ bv22 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv36 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv23 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv28 16)) (or (= A2.V<2> (_ bv30 16)) (or (= A2.V<2> (_ bv38 16)) (= A2.V<2> (_ bv39 16)))))))))))))))))))))) (not (= A2.V<1> (_ bv13 16)))))
(assert (or (= A2.V<2> (_ bv38 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv30 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv22 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv23 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv39 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv36 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv7 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv3 16)) (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv16 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv22 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv29 16)) (= A2.V<2> (_ bv28 16)))))))))))))))))) (not (= A2.V<1> (_ bv3 16)))))
(assert (or (= A2.V<2> (_ bv29 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv22 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv26 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv25 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv8 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv55 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv38 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv29 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv39 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv36 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv30 16)) (or (= A2.V<2> (_ bv37 16)) (or (= A2.V<2> (_ bv28 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv22 16)) (or (= A2.V<2> (_ bv51 16)) (or (= A2.V<2> (_ bv23 16)) (or (= A2.V<2> (_ bv52 16)) (or (= A2.V<2> (_ bv34 16)) (or (= A2.V<2> (_ bv38 16)) (or (= A2.V<2> (_ bv42 16)) (or (= A2.V<2> (_ bv44 16)) (or (= A2.V<2> (_ bv46 16)) (or (= A2.V<2> (_ bv55 16)) (= A2.V<2> (_ bv54 16))))))))))))))))))))))))))))) (not (= A2.V<1> (_ bv29 16)))))
(assert (or (= A2.V<2> (_ bv38 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv30 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv37 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv39 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv46 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv36 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv22 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv44 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv23 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv54 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv29 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv38 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv28 16)) (= A2.V<2> (_ bv45 16))))))
(assert (or (or (= A2.V<2> (_ bv45 16)) (or (= A2.V<2> (_ bv43 16)) (or (= A2.V<2> (_ bv41 16)) (or (= A2.V<2> (_ bv39 16)) (or (= A2.V<2> (_ bv37 16)) (or (= A2.V<2> (_ bv33 16)) (or (= A2.V<2> (_ bv23 16)) (or (= A2.V<2> (_ bv22 16)) (or (= A2.V<2> (_ bv50 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv47 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv36 16)) (or (= A2.V<2> (_ bv29 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv34 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv38 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv51 16)) (or (= A2.V<2> (_ bv54 16)) (= A2.V<2> (_ bv53 16))))))))))))))))))))))))))))))))) (not (= A2.V<1> (_ bv28 16)))))
(assert (or (= A2.V<2> (_ bv38 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv37 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv29 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv36 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv45 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv39 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv22 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv47 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv43 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv53 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.V<2> (_ bv23 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv28 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv24 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv27 16)) (= A2.V<2> (_ bv28 16)))))))))))))))) (not (= A2.V<1> (_ bv2 16)))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv25 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv8 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv24 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv26 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv33 16)) (or (= A2.V<2> (_ bv16 16)) (or (= A2.V<2> (_ bv45 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv32 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv34 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv48 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv49 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv36 16)) (or (= A2.V<2> (_ bv37 16)) (or (= A2.V<2> (_ bv41 16)) (or (= A2.V<2> (_ bv43 16)) (or (= A2.V<2> (_ bv52 16)) (= A2.V<2> (_ bv51 16))))))))))))))))))))))))))))) (not (= A2.V<1> (_ bv26 16)))))
(assert (or (= A2.V<2> (_ bv37 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv36 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv34 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv45 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv43 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv25 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv33 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv52 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv26 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv25 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv48 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv16 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv32 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv33 16)) (or (= A2.V<2> (_ bv24 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv34 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv36 16)) (or (= A2.V<2> (_ bv40 16)) (or (= A2.V<2> (_ bv42 16)) (or (= A2.V<2> (_ bv44 16)) (or (= A2.V<2> (_ bv51 16)) (= A2.V<2> (_ bv50 16))))))))))))))))))))))))) (not (= A2.V<1> (_ bv25 16)))))
(assert (or (= A2.V<2> (_ bv36 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv26 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv34 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv44 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv33 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv42 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv24 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv51 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.V<2> (_ bv32 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv25 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv38 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv34 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv31 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv22 16)) (or (= A2.V<2> (_ bv23 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv29 16)) (or (= A2.V<2> (_ bv38 16)) (= A2.V<2> (_ bv37 16))))))))))))))))))))))))) (not (= A2.V<1> (_ bv12 16)))))
(assert (or (= A2.V<2> (_ bv38 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv29 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv37 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv22 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv31 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv23 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv11 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv34 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv33 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv30 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv16 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv22 16)) (or (= A2.V<2> (_ bv24 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv28 16)) (or (= A2.V<2> (_ bv37 16)) (= A2.V<2> (_ bv36 16))))))))))))))))))))))))) (not (= A2.V<1> (_ bv11 16)))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv37 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv30 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv36 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv22 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv26 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv23 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv29 16)) (= A2.V<2> (_ bv30 16)))))))))))))))))) (not (= A2.V<1> (_ bv4 16)))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv29 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv30 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv23 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv15 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv26 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv16 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv33 16)) (= A2.V<2> (_ bv34 16)))))))))))))) (not (= A2.V<1> (_ bv8 16)))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv16 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv25 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv34 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv33 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv0 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv9 16)) (= A2.V<2> (_ bv24 16))))))
(assert (or (or (= A2.V<2> (_ bv24 16)) (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv16 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv32 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv26 16)) (or (= A2.V<2> (_ bv28 16)) (or (= A2.V<2> (_ bv35 16)) (= A2.V<2> (_ bv34 16))))))))))))))))))) (not (= A2.V<1> (_ bv9 16)))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv26 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv34 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv8 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv16 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv24 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv22 16)) (= A2.V<2> (_ bv28 16))))))
(assert (or (or (= A2.V<2> (_ bv28 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv44 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv23 16)) (or (= A2.V<2> (_ bv30 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv29 16)) (or (= A2.V<2> (_ bv31 16)) (or (= A2.V<2> (_ bv35 16)) (or (= A2.V<2> (_ bv37 16)) (or (= A2.V<2> (_ bv39 16)) (or (= A2.V<2> (_ bv45 16)) (= A2.V<2> (_ bv47 16)))))))))))))))))))))) (not (= A2.V<1> (_ bv22 16)))))
(assert (or (= A2.V<2> (_ bv30 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv31 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv29 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv23 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv39 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv37 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv28 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv45 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv15 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv47 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv44 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv22 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv20 16))))))
(assert (or (or (= A2.V<2> (_ bv20 16)) (or (= A2.V<2> (_ bv19 16)) (or (= A2.V<2> (_ bv17 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv33 16)) (or (= A2.V<2> (_ bv16 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv32 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv29 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv18 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv21 16)) (or (= A2.V<2> (_ bv25 16)) (or (= A2.V<2> (_ bv27 16)) (or (= A2.V<2> (_ bv35 16)) (= A2.V<2> (_ bv36 16)))))))))))))))))))))) (not (= A2.V<1> (_ bv10 16)))))
(assert (or (= A2.V<2> (_ bv29 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv19 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv20 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv21 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv27 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv18 16)) (not (and A2.spref<1><7> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv36 16)) (not (and A2.spref<1><8> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv35 16)) (not (and A2.spref<1><9> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><10> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><11> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><12> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv17 16)) (not (and A2.spref<1><13> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><14> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><15> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv25 16)) (not (and A2.spref<1><16> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv45 16)) (= A3.V<2> (_ bv34 16))))))
(assert (or (or (= A3.V<2> (_ bv34 16)) (or (= A3.V<2> (_ bv30 16)) (or (= A3.V<2> (_ bv28 16)) (or (= A3.V<2> (_ bv26 16)) (or (= A3.V<2> (_ bv55 16)) (or (= A3.V<2> (_ bv23 16)) (or (= A3.V<2> (_ bv52 16)) (or (= A3.V<2> (_ bv35 16)) (or (= A3.V<2> (_ bv22 16)) (or (= A3.V<2> (_ bv51 16)) (or (= A3.V<2> (_ bv19 16)) (or (= A3.V<2> (_ bv20 16)) (or (= A3.V<2> (_ bv46 16)) (or (= A3.V<2> (_ bv53 16)) (or (= A3.V<2> (_ bv44 16)) (or (= A3.V<2> (_ bv37 16)) (or (= A3.V<2> (_ bv36 16)) (or (= A3.V<2> (_ bv38 16)) (or (= A3.V<2> (_ bv39 16)) (or (= A3.V<2> (_ bv50 16)) (or (= A3.V<2> (_ bv54 16)) (or (= A3.V<2> (_ bv58 16)) (or (= A3.V<2> (_ bv62 16)) (= A3.V<2> (_ bv60 16))))))))))))))))))))))))) (not (= A3.V<1> (_ bv45 16)))))
(assert (or (= A3.V<2> (_ bv52 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv45 16))))))
(assert (or (= A3.V<2> (_ bv60 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv45 16))))))
(assert (or (= A3.V<2> (_ bv44 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv45 16))))))
(assert (or (= A3.V<2> (_ bv53 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv45 16))))))
(assert (or (= A3.V<2> (_ bv51 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv45 16))))))
(assert (or (= A3.V<2> (_ bv54 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv45 16))))))
(assert (or (= A3.V<2> (_ bv50 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv45 16))))))
(assert (or (= A3.V<2> (_ bv36 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv45 16))))))
(assert (or (= A3.V<2> (_ bv58 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv45 16))))))
(assert (or (= A3.V<2> (_ bv37 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv45 16))))))
(assert (or (= A3.V<2> (_ bv46 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv45 16))))))
(assert (or (= A3.V<2> (_ bv62 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv45 16))))))
(assert (or (= A3.V<2> (_ bv35 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv45 16))))))
(assert (or (= A3.V<2> (_ bv38 16)) (not (and A3.spref<1><14> (= A3.V<1> (_ bv45 16))))))
(assert (or (= A3.V<2> (_ bv34 16)) (not (and A3.spref<1><15> (= A3.V<1> (_ bv45 16))))))
(assert (or (= A3.V<2> (_ bv55 16)) (not (and A3.spref<1><16> (= A3.V<1> (_ bv45 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv56 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv48 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv43 16)) (= A3.V<2> (_ bv32 16))))))
(assert (or (or (= A3.V<2> (_ bv32 16)) (or (= A3.V<2> (_ bv28 16)) (or (= A3.V<2> (_ bv26 16)) (or (= A3.V<2> (_ bv24 16)) (or (= A3.V<2> (_ bv53 16)) (or (= A3.V<2> (_ bv21 16)) (or (= A3.V<2> (_ bv50 16)) (or (= A3.V<2> (_ bv20 16)) (or (= A3.V<2> (_ bv49 16)) (or (= A3.V<2> (_ bv30 16)) (or (= A3.V<2> (_ bv17 16)) (or (= A3.V<2> (_ bv18 16)) (or (= A3.V<2> (_ bv44 16)) (or (= A3.V<2> (_ bv51 16)) (or (= A3.V<2> (_ bv42 16)) (or (= A3.V<2> (_ bv35 16)) (or (= A3.V<2> (_ bv33 16)) (or (= A3.V<2> (_ bv62 16)) (or (= A3.V<2> (_ bv34 16)) (or (= A3.V<2> (_ bv36 16)) (or (= A3.V<2> (_ bv37 16)) (or (= A3.V<2> (_ bv38 16)) (or (= A3.V<2> (_ bv48 16)) (or (= A3.V<2> (_ bv52 16)) (or (= A3.V<2> (_ bv54 16)) (or (= A3.V<2> (_ bv56 16)) (or (= A3.V<2> (_ bv60 16)) (= A3.V<2> (_ bv58 16))))))))))))))))))))))))))))) (not (= A3.V<1> (_ bv43 16)))))
(assert (or (= A3.V<2> (_ bv51 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.V<2> (_ bv50 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.V<2> (_ bv52 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.V<2> (_ bv58 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.V<2> (_ bv44 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.V<2> (_ bv42 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.V<2> (_ bv60 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.V<2> (_ bv35 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.V<2> (_ bv49 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.V<2> (_ bv53 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.V<2> (_ bv36 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.V<2> (_ bv34 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.V<2> (_ bv37 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.V<2> (_ bv33 16)) (not (and A3.spref<1><14> (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.V<2> (_ bv48 16)) (not (and A3.spref<1><15> (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.V<2> (_ bv54 16)) (not (and A3.spref<1><16> (= A3.V<1> (_ bv43 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv39 16)) (= A3.V<2> (_ bv45 16))))))
(assert (or (or (= A3.V<2> (_ bv45 16)) (or (= A3.V<2> (_ bv30 16)) (or (= A3.V<2> (_ bv29 16)) (or (= A3.V<2> (_ bv28 16)) (or (= A3.V<2> (_ bv22 16)) (or (= A3.V<2> (_ bv46 16)) (or (= A3.V<2> (_ bv20 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv13 16)) (or (= A3.V<2> (_ bv47 16)) (or (= A3.V<2> (_ bv44 16)) (or (= A3.V<2> (_ bv31 16)) (or (= A3.V<2> (_ bv38 16)) (or (= A3.V<2> (_ bv52 16)) (or (= A3.V<2> (_ bv54 16)) (or (= A3.V<2> (_ bv62 16)) (= A3.V<2> (_ bv61 16)))))))))))))))))) (not (= A3.V<1> (_ bv39 16)))))
(assert (or (= A3.V<2> (_ bv52 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.V<2> (_ bv46 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.V<2> (_ bv45 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.V<2> (_ bv38 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.V<2> (_ bv54 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.V<2> (_ bv44 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.V<2> (_ bv47 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.V<2> (_ bv61 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.V<2> (_ bv62 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.V<2> (_ bv30 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.V<2> (_ bv31 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.V<2> (_ bv29 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.V<2> (_ bv28 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.V<2> (_ bv22 16)) (not (and A3.spref<1><14> (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.V<2> (_ bv20 16)) (not (and A3.spref<1><15> (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.V<2> (_ bv14 16)) (not (and A3.spref<1><16> (= A3.V<1> (_ bv39 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv63 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv59 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv37 16)) (= A3.V<2> (_ bv26 16))))))
(assert (or (or (= A3.V<2> (_ bv26 16)) (or (= A3.V<2> (_ bv22 16)) (or (= A3.V<2> (_ bv20 16)) (or (= A3.V<2> (_ bv18 16)) (or (= A3.V<2> (_ bv47 16)) (or (= A3.V<2> (_ bv15 16)) (or (= A3.V<2> (_ bv44 16)) (or (= A3.V<2> (_ bv27 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv43 16)) (or (= A3.V<2> (_ bv11 16)) (or (= A3.V<2> (_ bv12 16)) (or (= A3.V<2> (_ bv38 16)) (or (= A3.V<2> (_ bv45 16)) (or (= A3.V<2> (_ bv36 16)) (or (= A3.V<2> (_ bv29 16)) (or (= A3.V<2> (_ bv28 16)) (or (= A3.V<2> (_ bv30 16)) (or (= A3.V<2> (_ bv59 16)) (or (= A3.V<2> (_ bv31 16)) (or (= A3.V<2> (_ bv60 16)) (or (= A3.V<2> (_ bv42 16)) (or (= A3.V<2> (_ bv46 16)) (or (= A3.V<2> (_ bv50 16)) (or (= A3.V<2> (_ bv52 16)) (or (= A3.V<2> (_ bv54 16)) (or (= A3.V<2> (_ bv62 16)) (= A3.V<2> (_ bv63 16))))))))))))))))))))))))))))) (not (= A3.V<1> (_ bv37 16)))))
(assert (or (= A3.V<2> (_ bv59 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.V<2> (_ bv44 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.V<2> (_ bv52 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.V<2> (_ bv45 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.V<2> (_ bv60 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.V<2> (_ bv36 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.V<2> (_ bv43 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.V<2> (_ bv50 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.V<2> (_ bv46 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.V<2> (_ bv38 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.V<2> (_ bv54 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.V<2> (_ bv42 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.V<2> (_ bv29 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.V<2> (_ bv28 16)) (not (and A3.spref<1><14> (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.V<2> (_ bv62 16)) (not (and A3.spref<1><15> (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.V<2> (_ bv27 16)) (not (and A3.spref<1><16> (= A3.V<1> (_ bv37 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv16 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv57 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv48 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv35 16)) (= A3.V<2> (_ bv52 16))))))
(assert (or (or (= A3.V<2> (_ bv52 16)) (or (= A3.V<2> (_ bv50 16)) (or (= A3.V<2> (_ bv48 16)) (or (= A3.V<2> (_ bv46 16)) (or (= A3.V<2> (_ bv44 16)) (or (= A3.V<2> (_ bv40 16)) (or (= A3.V<2> (_ bv30 16)) (or (= A3.V<2> (_ bv29 16)) (or (= A3.V<2> (_ bv57 16)) (or (= A3.V<2> (_ bv28 16)) (or (= A3.V<2> (_ bv26 16)) (or (= A3.V<2> (_ bv54 16)) (or (= A3.V<2> (_ bv25 16)) (or (= A3.V<2> (_ bv27 16)) (or (= A3.V<2> (_ bv34 16)) (or (= A3.V<2> (_ bv43 16)) (or (= A3.V<2> (_ bv36 16)) (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv22 16)) (or (= A3.V<2> (_ bv41 16)) (or (= A3.V<2> (_ bv12 16)) (or (= A3.V<2> (_ bv42 16)) (or (= A3.V<2> (_ bv13 16)) (or (= A3.V<2> (_ bv45 16)) (or (= A3.V<2> (_ bv16 16)) (or (= A3.V<2> (_ bv18 16)) (or (= A3.V<2> (_ bv20 16)) (or (= A3.V<2> (_ bv24 16)) (or (= A3.V<2> (_ bv58 16)) (or (= A3.V<2> (_ bv60 16)) (= A3.V<2> (_ bv61 16))))))))))))))))))))))))))))))))) (not (= A3.V<1> (_ bv35 16)))))
(assert (or (= A3.V<2> (_ bv43 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.V<2> (_ bv52 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.V<2> (_ bv50 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.V<2> (_ bv44 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.V<2> (_ bv42 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.V<2> (_ bv60 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.V<2> (_ bv58 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.V<2> (_ bv34 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.V<2> (_ bv36 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.V<2> (_ bv27 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.V<2> (_ bv45 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.V<2> (_ bv41 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.V<2> (_ bv28 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.V<2> (_ bv26 16)) (not (and A3.spref<1><14> (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.V<2> (_ bv61 16)) (not (and A3.spref<1><15> (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.V<2> (_ bv57 16)) (not (and A3.spref<1><16> (= A3.V<1> (_ bv35 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv59 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv57 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv63 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv44 16)) (= A3.V<2> (_ bv33 16))))))
(assert (or (or (= A3.V<2> (_ bv33 16)) (or (= A3.V<2> (_ bv29 16)) (or (= A3.V<2> (_ bv27 16)) (or (= A3.V<2> (_ bv25 16)) (or (= A3.V<2> (_ bv54 16)) (or (= A3.V<2> (_ bv22 16)) (or (= A3.V<2> (_ bv51 16)) (or (= A3.V<2> (_ bv21 16)) (or (= A3.V<2> (_ bv50 16)) (or (= A3.V<2> (_ bv31 16)) (or (= A3.V<2> (_ bv18 16)) (or (= A3.V<2> (_ bv19 16)) (or (= A3.V<2> (_ bv45 16)) (or (= A3.V<2> (_ bv52 16)) (or (= A3.V<2> (_ bv43 16)) (or (= A3.V<2> (_ bv36 16)) (or (= A3.V<2> (_ bv34 16)) (or (= A3.V<2> (_ bv63 16)) (or (= A3.V<2> (_ bv35 16)) (or (= A3.V<2> (_ bv37 16)) (or (= A3.V<2> (_ bv38 16)) (or (= A3.V<2> (_ bv39 16)) (or (= A3.V<2> (_ bv49 16)) (or (= A3.V<2> (_ bv53 16)) (or (= A3.V<2> (_ bv55 16)) (or (= A3.V<2> (_ bv57 16)) (or (= A3.V<2> (_ bv61 16)) (= A3.V<2> (_ bv59 16))))))))))))))))))))))))))))) (not (= A3.V<1> (_ bv44 16)))))
(assert (or (= A3.V<2> (_ bv59 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.V<2> (_ bv52 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.V<2> (_ bv51 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.V<2> (_ bv43 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.V<2> (_ bv53 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.V<2> (_ bv50 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.V<2> (_ bv45 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.V<2> (_ bv36 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.V<2> (_ bv61 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.V<2> (_ bv35 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.V<2> (_ bv37 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.V<2> (_ bv34 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.V<2> (_ bv54 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.V<2> (_ bv49 16)) (not (and A3.spref<1><14> (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.V<2> (_ bv57 16)) (not (and A3.spref<1><15> (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.V<2> (_ bv27 16)) (not (and A3.spref<1><16> (= A3.V<1> (_ bv44 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<2> (_ bv63 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<2> (_ bv61 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<2> (_ bv47 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<2> (_ bv62 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<2> (_ bv55 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<1> (_ bv54 16))))))
(assert (or (or (= A3.V<2> (_ bv45 16)) (or (= A3.V<2> (_ bv43 16)) (or (= A3.V<2> (_ bv39 16)) (or (= A3.V<2> (_ bv37 16)) (or (= A3.V<2> (_ bv35 16)) (or (= A3.V<2> (_ bv44 16)) (or (= A3.V<2> (_ bv31 16)) (or (= A3.V<2> (_ bv60 16)) (or (= A3.V<2> (_ bv28 16)) (or (= A3.V<2> (_ bv29 16)) (or (= A3.V<2> (_ bv55 16)) (or (= A3.V<2> (_ bv62 16)) (or (= A3.V<2> (_ bv53 16)) (or (= A3.V<2> (_ bv46 16)) (or (= A3.V<2> (_ bv47 16)) (or (= A3.V<2> (_ bv59 16)) (or (= A3.V<2> (_ bv61 16)) (= A3.V<2> (_ bv63 16))))))))))))))))))) (not (= A3.V<1> (_ bv54 16)))))
(assert (or (= A3.V<2> (_ bv59 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.V<2> (_ bv60 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.V<2> (_ bv53 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.V<2> (_ bv61 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.V<2> (_ bv62 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.V<2> (_ bv45 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.V<2> (_ bv44 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.V<2> (_ bv46 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.V<2> (_ bv55 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.V<2> (_ bv43 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.V<2> (_ bv63 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.V<2> (_ bv37 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.V<2> (_ bv47 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.V<2> (_ bv35 16)) (not (and A3.spref<1><14> (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.V<2> (_ bv39 16)) (not (and A3.spref<1><15> (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.V<2> (_ bv29 16)) (not (and A3.spref<1><16> (= A3.V<1> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv28 16)) (= A3.V<2> (_ bv45 16))))))
(assert (or (or (= A3.V<2> (_ bv45 16)) (or (= A3.V<2> (_ bv43 16)) (or (= A3.V<2> (_ bv41 16)) (or (= A3.V<2> (_ bv39 16)) (or (= A3.V<2> (_ bv37 16)) (or (= A3.V<2> (_ bv33 16)) (or (= A3.V<2> (_ bv23 16)) (or (= A3.V<2> (_ bv22 16)) (or (= A3.V<2> (_ bv50 16)) (or (= A3.V<2> (_ bv21 16)) (or (= A3.V<2> (_ bv19 16)) (or (= A3.V<2> (_ bv47 16)) (or (= A3.V<2> (_ bv18 16)) (or (= A3.V<2> (_ bv20 16)) (or (= A3.V<2> (_ bv27 16)) (or (= A3.V<2> (_ bv36 16)) (or (= A3.V<2> (_ bv29 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv15 16)) (or (= A3.V<2> (_ bv34 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv35 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv38 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv11 16)) (or (= A3.V<2> (_ bv13 16)) (or (= A3.V<2> (_ bv17 16)) (or (= A3.V<2> (_ bv51 16)) (or (= A3.V<2> (_ bv54 16)) (= A3.V<2> (_ bv53 16))))))))))))))))))))))))))))))))) (not (= A3.V<1> (_ bv28 16)))))
(assert (or (= A3.V<2> (_ bv51 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.V<2> (_ bv36 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.V<2> (_ bv43 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.V<2> (_ bv35 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.V<2> (_ bv27 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.V<2> (_ bv37 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.V<2> (_ bv50 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.V<2> (_ bv45 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.V<2> (_ bv53 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.V<2> (_ bv34 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.V<2> (_ bv29 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.V<2> (_ bv20 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.V<2> (_ bv19 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.V<2> (_ bv41 16)) (not (and A3.spref<1><14> (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.V<2> (_ bv38 16)) (not (and A3.spref<1><15> (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.V<2> (_ bv54 16)) (not (and A3.spref<1><16> (= A3.V<1> (_ bv28 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv63 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv63 16)) (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv63 16)) (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv63 16)) (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv63 16)) (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv63 16)) (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv63 16)) (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv63 16)) (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv63 16)) (= A3.V<2> (_ bv55 16))))))
(assert (or (or (= A3.V<2> (_ bv55 16)) (or (= A3.V<2> (_ bv62 16)) (or (= A3.V<2> (_ bv37 16)) (or (= A3.V<2> (_ bv38 16)) (or (= A3.V<2> (_ bv44 16)) (or (= A3.V<2> (_ bv46 16)) (or (= A3.V<2> (_ bv52 16)) (or (= A3.V<2> (_ bv54 16)) (= A3.V<2> (_ bv53 16)))))))))) (not (= A3.V<1> (_ bv63 16)))))
(assert (or (= A3.V<2> (_ bv62 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv63 16))))))
(assert (or (= A3.V<2> (_ bv53 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv63 16))))))
(assert (or (= A3.V<2> (_ bv54 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv63 16))))))
(assert (or (= A3.V<2> (_ bv52 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv63 16))))))
(assert (or (= A3.V<2> (_ bv55 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv63 16))))))
(assert (or (= A3.V<2> (_ bv46 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv63 16))))))
(assert (or (= A3.V<2> (_ bv44 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv63 16))))))
(assert (or (= A3.V<2> (_ bv37 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv63 16))))))
(assert (or (= A3.V<2> (_ bv38 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv63 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv61 16)) (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv61 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv61 16)) (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv61 16)) (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv61 16)) (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv61 16)) (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv61 16)) (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv61 16)) (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv61 16)) (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv61 16)) (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv61 16)) (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv61 16)) (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv61 16)) (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv61 16)) (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv61 16)) (= A3.V<2> (_ bv50 16))))))
(assert (or (or (= A3.V<2> (_ bv50 16)) (or (= A3.V<2> (_ bv46 16)) (or (= A3.V<2> (_ bv44 16)) (or (= A3.V<2> (_ bv42 16)) (or (= A3.V<2> (_ bv52 16)) (or (= A3.V<2> (_ bv39 16)) (or (= A3.V<2> (_ bv51 16)) (or (= A3.V<2> (_ bv38 16)) (or (= A3.V<2> (_ bv35 16)) (or (= A3.V<2> (_ bv36 16)) (or (= A3.V<2> (_ bv62 16)) (or (= A3.V<2> (_ bv60 16)) (or (= A3.V<2> (_ bv53 16)) (or (= A3.V<2> (_ bv54 16)) (= A3.V<2> (_ bv55 16)))))))))))))))) (not (= A3.V<1> (_ bv61 16)))))
(assert (or (= A3.V<2> (_ bv60 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv61 16))))))
(assert (or (= A3.V<2> (_ bv52 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv61 16))))))
(assert (or (= A3.V<2> (_ bv53 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv61 16))))))
(assert (or (= A3.V<2> (_ bv51 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv61 16))))))
(assert (or (= A3.V<2> (_ bv62 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv61 16))))))
(assert (or (= A3.V<2> (_ bv44 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv61 16))))))
(assert (or (= A3.V<2> (_ bv54 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv61 16))))))
(assert (or (= A3.V<2> (_ bv50 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv61 16))))))
(assert (or (= A3.V<2> (_ bv42 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv61 16))))))
(assert (or (= A3.V<2> (_ bv46 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv61 16))))))
(assert (or (= A3.V<2> (_ bv36 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv61 16))))))
(assert (or (= A3.V<2> (_ bv55 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv61 16))))))
(assert (or (= A3.V<2> (_ bv35 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv61 16))))))
(assert (or (= A3.V<2> (_ bv38 16)) (not (and A3.spref<1><14> (= A3.V<1> (_ bv61 16))))))
(assert (or (= A3.V<2> (_ bv39 16)) (not (and A3.spref<1><15> (= A3.V<1> (_ bv61 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv48 16))))))
(assert (or (and (= A3.mtime<1> 0) (= A3.wtime<1> 0)) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv59 16))))))
(assert (or (= A3.V<2> (_ bv59 16)) (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<0> (_ bv59 16))))))
(assert (or (or (= A3.V<2> (_ bv59 16)) (or (= A3.V<2> (_ bv48 16)) (or (= A3.V<2> (_ bv44 16)) (or (= A3.V<2> (_ bv42 16)) (or (= A3.V<2> (_ bv40 16)) (or (= A3.V<2> (_ bv37 16)) (or (= A3.V<2> (_ bv49 16)) (or (= A3.V<2> (_ bv36 16)) (or (= A3.V<2> (_ bv46 16)) (or (= A3.V<2> (_ bv33 16)) (or (= A3.V<2> (_ bv34 16)) (or (= A3.V<2> (_ bv60 16)) (or (= A3.V<2> (_ bv58 16)) (or (= A3.V<2> (_ bv51 16)) (or (= A3.V<2> (_ bv50 16)) (or (= A3.V<2> (_ bv52 16)) (or (= A3.V<2> (_ bv54 16)) (= A3.V<2> (_ bv53 16))))))))))))))))))) (not (= A3.V<1> (_ bv59 16)))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv63 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv59 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv46 16)) (= A3.V<2> (_ bv37 16))))))
(assert (or (or (= A3.V<2> (_ bv37 16)) (or (= A3.V<2> (_ bv35 16)) (or (= A3.V<2> (_ bv31 16)) (or (= A3.V<2> (_ bv29 16)) (or (= A3.V<2> (_ bv27 16)) (or (= A3.V<2> (_ bv36 16)) (or (= A3.V<2> (_ bv23 16)) (or (= A3.V<2> (_ bv52 16)) (or (= A3.V<2> (_ bv20 16)) (or (= A3.V<2> (_ bv21 16)) (or (= A3.V<2> (_ bv47 16)) (or (= A3.V<2> (_ bv54 16)) (or (= A3.V<2> (_ bv45 16)) (or (= A3.V<2> (_ bv38 16)) (or (= A3.V<2> (_ bv39 16)) (or (= A3.V<2> (_ bv51 16)) (or (= A3.V<2> (_ bv53 16)) (or (= A3.V<2> (_ bv55 16)) (or (= A3.V<2> (_ bv59 16)) (or (= A3.V<2> (_ bv61 16)) (= A3.V<2> (_ bv63 16)))))))))))))))))))))) (not (= A3.V<1> (_ bv46 16)))))
(assert (or (= A3.V<2> (_ bv59 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.V<2> (_ bv52 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.V<2> (_ bv53 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.V<2> (_ bv45 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.V<2> (_ bv51 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.V<2> (_ bv54 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.V<2> (_ bv61 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.V<2> (_ bv37 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.V<2> (_ bv38 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.V<2> (_ bv36 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.V<2> (_ bv47 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.V<2> (_ bv55 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.V<2> (_ bv35 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.V<2> (_ bv63 16)) (not (and A3.spref<1><14> (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.V<2> (_ bv39 16)) (not (and A3.spref<1><15> (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.V<2> (_ bv29 16)) (not (and A3.spref<1><16> (= A3.V<1> (_ bv46 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv47 16)) (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv47 16)) (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv47 16)) (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv47 16)) (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv47 16)) (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv47 16)) (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv47 16)) (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv47 16)) (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv47 16)) (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv47 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv47 16)) (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv47 16)) (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv47 16)) (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv47 16)) (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv47 16)) (= A3.V<2> (_ bv53 16))))))
(assert (or (or (= A3.V<2> (_ bv53 16)) (or (= A3.V<2> (_ bv38 16)) (or (= A3.V<2> (_ bv37 16)) (or (= A3.V<2> (_ bv36 16)) (or (= A3.V<2> (_ bv30 16)) (or (= A3.V<2> (_ bv54 16)) (or (= A3.V<2> (_ bv28 16)) (or (= A3.V<2> (_ bv22 16)) (or (= A3.V<2> (_ bv21 16)) (or (= A3.V<2> (_ bv55 16)) (or (= A3.V<2> (_ bv52 16)) (or (= A3.V<2> (_ bv39 16)) (or (= A3.V<2> (_ bv46 16)) (or (= A3.V<2> (_ bv62 16)) (= A3.V<2> (_ bv60 16)))))))))))))))) (not (= A3.V<1> (_ bv47 16)))))
(assert (or (= A3.V<2> (_ bv53 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv47 16))))))
(assert (or (= A3.V<2> (_ bv52 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv47 16))))))
(assert (or (= A3.V<2> (_ bv54 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv47 16))))))
(assert (or (= A3.V<2> (_ bv60 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv47 16))))))
(assert (or (= A3.V<2> (_ bv46 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv47 16))))))
(assert (or (= A3.V<2> (_ bv55 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv47 16))))))
(assert (or (= A3.V<2> (_ bv62 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv47 16))))))
(assert (or (= A3.V<2> (_ bv38 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv47 16))))))
(assert (or (= A3.V<2> (_ bv37 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv47 16))))))
(assert (or (= A3.V<2> (_ bv39 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv47 16))))))
(assert (or (= A3.V<2> (_ bv36 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv47 16))))))
(assert (or (= A3.V<2> (_ bv30 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv47 16))))))
(assert (or (= A3.V<2> (_ bv28 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv47 16))))))
(assert (or (= A3.V<2> (_ bv21 16)) (not (and A3.spref<1><14> (= A3.V<1> (_ bv47 16))))))
(assert (or (= A3.V<2> (_ bv22 16)) (not (and A3.spref<1><15> (= A3.V<1> (_ bv47 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv59 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv63 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv53 16)) (= A3.V<2> (_ bv42 16))))))
(assert (or (or (= A3.V<2> (_ bv42 16)) (or (= A3.V<2> (_ bv38 16)) (or (= A3.V<2> (_ bv36 16)) (or (= A3.V<2> (_ bv34 16)) (or (= A3.V<2> (_ bv63 16)) (or (= A3.V<2> (_ bv31 16)) (or (= A3.V<2> (_ bv60 16)) (or (= A3.V<2> (_ bv43 16)) (or (= A3.V<2> (_ bv30 16)) (or (= A3.V<2> (_ bv59 16)) (or (= A3.V<2> (_ bv27 16)) (or (= A3.V<2> (_ bv28 16)) (or (= A3.V<2> (_ bv54 16)) (or (= A3.V<2> (_ bv61 16)) (or (= A3.V<2> (_ bv52 16)) (or (= A3.V<2> (_ bv45 16)) (or (= A3.V<2> (_ bv44 16)) (or (= A3.V<2> (_ bv46 16)) (or (= A3.V<2> (_ bv47 16)) (or (= A3.V<2> (_ bv62 16)) (= A3.V<2> (_ bv58 16)))))))))))))))))))))) (not (= A3.V<1> (_ bv53 16)))))
(assert (or (= A3.V<2> (_ bv59 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.V<2> (_ bv52 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.V<2> (_ bv60 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.V<2> (_ bv61 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.V<2> (_ bv44 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.V<2> (_ bv45 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.V<2> (_ bv58 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.V<2> (_ bv54 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.V<2> (_ bv43 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.V<2> (_ bv62 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.V<2> (_ bv46 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.V<2> (_ bv42 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.V<2> (_ bv36 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.V<2> (_ bv63 16)) (not (and A3.spref<1><14> (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.V<2> (_ bv38 16)) (not (and A3.spref<1><15> (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.V<2> (_ bv47 16)) (not (and A3.spref<1><16> (= A3.V<1> (_ bv53 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv62 16)) (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv62 16)) (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv62 16)) (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv62 16)) (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv62 16)) (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv62 16)) (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv62 16)) (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv62 16)) (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv62 16)) (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv62 16)) (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv62 16)) (= A3.V<2> (_ bv63 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv62 16)) (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv62 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (or (= A3.V<2> (_ bv54 16)) (or (= A3.V<2> (_ bv61 16)) (or (= A3.V<2> (_ bv63 16)) (or (= A3.V<2> (_ bv37 16)) (or (= A3.V<2> (_ bv36 16)) (or (= A3.V<2> (_ bv39 16)) (or (= A3.V<2> (_ bv52 16)) (or (= A3.V<2> (_ bv43 16)) (or (= A3.V<2> (_ bv45 16)) (or (= A3.V<2> (_ bv47 16)) (or (= A3.V<2> (_ bv51 16)) (or (= A3.V<2> (_ bv53 16)) (= A3.V<2> (_ bv55 16)))))))))))))) (not (= A3.V<1> (_ bv62 16)))))
(assert (or (= A3.V<2> (_ bv61 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv62 16))))))
(assert (or (= A3.V<2> (_ bv53 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv62 16))))))
(assert (or (= A3.V<2> (_ bv52 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv62 16))))))
(assert (or (= A3.V<2> (_ bv51 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv62 16))))))
(assert (or (= A3.V<2> (_ bv54 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv62 16))))))
(assert (or (= A3.V<2> (_ bv63 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv62 16))))))
(assert (or (= A3.V<2> (_ bv45 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv62 16))))))
(assert (or (= A3.V<2> (_ bv55 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv62 16))))))
(assert (or (= A3.V<2> (_ bv43 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv62 16))))))
(assert (or (= A3.V<2> (_ bv47 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv62 16))))))
(assert (or (= A3.V<2> (_ bv36 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv62 16))))))
(assert (or (= A3.V<2> (_ bv37 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv62 16))))))
(assert (or (= A3.V<2> (_ bv39 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv62 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv55 16)) (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv55 16)) (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv55 16)) (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv55 16)) (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv55 16)) (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv55 16)) (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv55 16)) (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv55 16)) (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv55 16)) (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv55 16)) (= A3.V<2> (_ bv63 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv55 16)) (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv55 16)) (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv55 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (or (= A3.V<2> (_ bv54 16)) (or (= A3.V<2> (_ bv47 16)) (or (= A3.V<2> (_ bv60 16)) (or (= A3.V<2> (_ bv63 16)) (or (= A3.V<2> (_ bv29 16)) (or (= A3.V<2> (_ bv30 16)) (or (= A3.V<2> (_ bv36 16)) (or (= A3.V<2> (_ bv62 16)) (or (= A3.V<2> (_ bv38 16)) (or (= A3.V<2> (_ bv44 16)) (or (= A3.V<2> (_ bv45 16)) (or (= A3.V<2> (_ bv46 16)) (= A3.V<2> (_ bv61 16)))))))))))))) (not (= A3.V<1> (_ bv55 16)))))
(assert (or (= A3.V<2> (_ bv60 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv55 16))))))
(assert (or (= A3.V<2> (_ bv54 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv55 16))))))
(assert (or (= A3.V<2> (_ bv61 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv55 16))))))
(assert (or (= A3.V<2> (_ bv62 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv55 16))))))
(assert (or (= A3.V<2> (_ bv63 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv55 16))))))
(assert (or (= A3.V<2> (_ bv46 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv55 16))))))
(assert (or (= A3.V<2> (_ bv45 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv55 16))))))
(assert (or (= A3.V<2> (_ bv44 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv55 16))))))
(assert (or (= A3.V<2> (_ bv47 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv55 16))))))
(assert (or (= A3.V<2> (_ bv38 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv55 16))))))
(assert (or (= A3.V<2> (_ bv36 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv55 16))))))
(assert (or (= A3.V<2> (_ bv29 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv55 16))))))
(assert (or (= A3.V<2> (_ bv30 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv55 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv29 16)) (= A3.V<2> (_ bv18 16))))))
(assert (or (or (= A3.V<2> (_ bv18 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv12 16)) (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv39 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv36 16)) (or (= A3.V<2> (_ bv19 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv35 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv30 16)) (or (= A3.V<2> (_ bv37 16)) (or (= A3.V<2> (_ bv28 16)) (or (= A3.V<2> (_ bv21 16)) (or (= A3.V<2> (_ bv20 16)) (or (= A3.V<2> (_ bv22 16)) (or (= A3.V<2> (_ bv51 16)) (or (= A3.V<2> (_ bv23 16)) (or (= A3.V<2> (_ bv52 16)) (or (= A3.V<2> (_ bv34 16)) (or (= A3.V<2> (_ bv38 16)) (or (= A3.V<2> (_ bv42 16)) (or (= A3.V<2> (_ bv44 16)) (or (= A3.V<2> (_ bv46 16)) (or (= A3.V<2> (_ bv54 16)) (= A3.V<2> (_ bv55 16))))))))))))))))))))))))))))) (not (= A3.V<1> (_ bv29 16)))))
(assert (or (= A3.V<2> (_ bv44 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.V<2> (_ bv36 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.V<2> (_ bv52 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.V<2> (_ bv51 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.V<2> (_ bv37 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.V<2> (_ bv28 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.V<2> (_ bv35 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.V<2> (_ bv38 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.V<2> (_ bv46 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.V<2> (_ bv42 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.V<2> (_ bv30 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.V<2> (_ bv54 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.V<2> (_ bv34 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.V<2> (_ bv21 16)) (not (and A3.spref<1><14> (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.V<2> (_ bv20 16)) (not (and A3.spref<1><15> (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.V<2> (_ bv19 16)) (not (and A3.spref<1><16> (= A3.V<1> (_ bv29 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv59 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv60 16)) (= A3.V<2> (_ bv49 16))))))
(assert (or (or (= A3.V<2> (_ bv49 16)) (or (= A3.V<2> (_ bv45 16)) (or (= A3.V<2> (_ bv43 16)) (or (= A3.V<2> (_ bv41 16)) (or (= A3.V<2> (_ bv38 16)) (or (= A3.V<2> (_ bv50 16)) (or (= A3.V<2> (_ bv37 16)) (or (= A3.V<2> (_ bv47 16)) (or (= A3.V<2> (_ bv34 16)) (or (= A3.V<2> (_ bv35 16)) (or (= A3.V<2> (_ bv61 16)) (or (= A3.V<2> (_ bv59 16)) (or (= A3.V<2> (_ bv52 16)) (or (= A3.V<2> (_ bv51 16)) (or (= A3.V<2> (_ bv53 16)) (or (= A3.V<2> (_ bv54 16)) (= A3.V<2> (_ bv55 16)))))))))))))))))) (not (= A3.V<1> (_ bv60 16)))))
(assert (or (= A3.V<2> (_ bv59 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.V<2> (_ bv51 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.V<2> (_ bv52 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.V<2> (_ bv61 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.V<2> (_ bv53 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.V<2> (_ bv50 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.V<2> (_ bv43 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.V<2> (_ bv45 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.V<2> (_ bv54 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.V<2> (_ bv49 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.V<2> (_ bv35 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.V<2> (_ bv41 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.V<2> (_ bv37 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.V<2> (_ bv34 16)) (not (and A3.spref<1><14> (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.V<2> (_ bv55 16)) (not (and A3.spref<1><15> (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.V<2> (_ bv38 16)) (not (and A3.spref<1><16> (= A3.V<1> (_ bv60 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv31 16)) (= A3.V<2> (_ bv37 16))))))
(assert (or (or (= A3.V<2> (_ bv37 16)) (or (= A3.V<2> (_ bv22 16)) (or (= A3.V<2> (_ bv21 16)) (or (= A3.V<2> (_ bv20 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv38 16)) (or (= A3.V<2> (_ bv12 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv39 16)) (or (= A3.V<2> (_ bv36 16)) (or (= A3.V<2> (_ bv23 16)) (or (= A3.V<2> (_ bv30 16)) (or (= A3.V<2> (_ bv44 16)) (or (= A3.V<2> (_ bv46 16)) (or (= A3.V<2> (_ bv54 16)) (= A3.V<2> (_ bv53 16)))))))))))))))))) (not (= A3.V<1> (_ bv31 16)))))
(assert (or (= A3.V<2> (_ bv38 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv31 16))))))
(assert (or (= A3.V<2> (_ bv53 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv31 16))))))
(assert (or (= A3.V<2> (_ bv37 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv31 16))))))
(assert (or (= A3.V<2> (_ bv44 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv31 16))))))
(assert (or (= A3.V<2> (_ bv46 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv31 16))))))
(assert (or (= A3.V<2> (_ bv30 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv31 16))))))
(assert (or (= A3.V<2> (_ bv39 16)) (not (and A3.spref<1><7> (= A3.V<1> (_ bv31 16))))))
(assert (or (= A3.V<2> (_ bv36 16)) (not (and A3.spref<1><8> (= A3.V<1> (_ bv31 16))))))
(assert (or (= A3.V<2> (_ bv54 16)) (not (and A3.spref<1><9> (= A3.V<1> (_ bv31 16))))))
(assert (or (= A3.V<2> (_ bv22 16)) (not (and A3.spref<1><10> (= A3.V<1> (_ bv31 16))))))
(assert (or (= A3.V<2> (_ bv23 16)) (not (and A3.spref<1><11> (= A3.V<1> (_ bv31 16))))))
(assert (or (= A3.V<2> (_ bv21 16)) (not (and A3.spref<1><12> (= A3.V<1> (_ bv31 16))))))
(assert (or (= A3.V<2> (_ bv20 16)) (not (and A3.spref<1><13> (= A3.V<1> (_ bv31 16))))))
(assert (or (= A3.V<2> (_ bv14 16)) (not (and A3.spref<1><14> (= A3.V<1> (_ bv31 16))))))
(assert (or (= A3.V<2> (_ bv12 16)) (not (and A3.spref<1><15> (= A3.V<1> (_ bv31 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><16> (= A3.V<1> (_ bv31 16))))))
(declare-const A0.V<3> (_ BitVec 16))
(declare-const A0.atime<3> Real)
(assert (= (+ A0.atime<2> (+ A0.rtime<2> (* (- 1) A0.atime<3>))) 0))
(declare-const A0.rtime<3> Real)
(declare-const A0.wtime<3> Real)
(declare-const A0.mtime<3> Real)
(assert (= (+ A0.rtime<3> (+ (* (- 1) A0.wtime<3>) (* (- 1) A0.mtime<3>))) 0))
(assert (<= 0 A0.wtime<3>))
(assert (<= 0 A0.mtime<3>))
(declare-const A0.ppref<3> Bool)
(declare-const A0.spref<3><1> Bool)
(declare-const A0.spref<3><2> Bool)
(declare-const A0.spref<3><3> Bool)
(declare-const A0.spref<3><4> Bool)
(declare-const A0.spref<3><5> Bool)
(declare-const A0.spref<3><6> Bool)
(declare-const A0.spref<3><7> Bool)
(declare-const A0.spref<3><8> Bool)
(declare-const A0.spref<3><9> Bool)
(declare-const A0.spref<3><10> Bool)
(declare-const A0.spref<3><11> Bool)
(declare-const A0.spref<3><12> Bool)
(declare-const A0.spref<3><13> Bool)
(declare-const A0.spref<3><14> Bool)
(declare-const A0.spref<3><15> Bool)
(declare-const A0.spref<3><16> Bool)
(declare-const A0.spref<3><17> Bool)
(declare-const A0.spref<3><18> Bool)
(declare-const A0.spref<3><19> Bool)
(declare-const A0.spref<3><20> Bool)
(declare-const A0.spref<3><21> Bool)
(declare-const A0.spref<3><22> Bool)
(declare-const A0.spref<3><23> Bool)
(declare-const A0.spref<3><24> Bool)
(declare-const A0.spref<3><25> Bool)
(declare-const A0.spref<3><26> Bool)
(declare-const A0.spref<3><27> Bool)
(declare-const A0.spref<3><28> Bool)
(declare-const A0.spref<3><29> Bool)
(declare-const A0.spref<3><30> Bool)
(declare-const A0.spref<3><31> Bool)
(declare-const A0.spref<3><32> Bool)
(declare-const A1.V<3> (_ BitVec 16))
(declare-const A1.atime<3> Real)
(assert (= (+ A1.atime<2> (+ A1.rtime<2> (* (- 1) A1.atime<3>))) 0))
(declare-const A1.rtime<3> Real)
(declare-const A1.wtime<3> Real)
(declare-const A1.mtime<3> Real)
(assert (= (+ A1.rtime<3> (+ (* (- 1) A1.wtime<3>) (* (- 1) A1.mtime<3>))) 0))
(assert (<= 0 A1.wtime<3>))
(assert (<= 0 A1.mtime<3>))
(declare-const A1.ppref<3> Bool)
(declare-const A1.spref<3><1> Bool)
(declare-const A1.spref<3><2> Bool)
(declare-const A1.spref<3><3> Bool)
(declare-const A1.spref<3><4> Bool)
(declare-const A1.spref<3><5> Bool)
(declare-const A1.spref<3><6> Bool)
(declare-const A1.spref<3><7> Bool)
(declare-const A1.spref<3><8> Bool)
(declare-const A1.spref<3><9> Bool)
(declare-const A1.spref<3><10> Bool)
(declare-const A1.spref<3><11> Bool)
(declare-const A1.spref<3><12> Bool)
(declare-const A1.spref<3><13> Bool)
(declare-const A1.spref<3><14> Bool)
(declare-const A1.spref<3><15> Bool)
(declare-const A1.spref<3><16> Bool)
(declare-const A1.spref<3><17> Bool)
(declare-const A1.spref<3><18> Bool)
(declare-const A1.spref<3><19> Bool)
(declare-const A1.spref<3><20> Bool)
(declare-const A1.spref<3><21> Bool)
(declare-const A1.spref<3><22> Bool)
(declare-const A1.spref<3><23> Bool)
(declare-const A1.spref<3><24> Bool)
(declare-const A1.spref<3><25> Bool)
(declare-const A1.spref<3><26> Bool)
(declare-const A1.spref<3><27> Bool)
(declare-const A1.spref<3><28> Bool)
(declare-const A1.spref<3><29> Bool)
(declare-const A1.spref<3><30> Bool)
(declare-const A1.spref<3><31> Bool)
(declare-const A1.spref<3><32> Bool)
(declare-const A2.V<3> (_ BitVec 16))
(declare-const A2.atime<3> Real)
(assert (= (+ A2.atime<2> (+ A2.rtime<2> (* (- 1) A2.atime<3>))) 0))
(declare-const A2.rtime<3> Real)
(declare-const A2.wtime<3> Real)
(declare-const A2.mtime<3> Real)
(assert (= (+ A2.rtime<3> (+ (* (- 1) A2.wtime<3>) (* (- 1) A2.mtime<3>))) 0))
(assert (<= 0 A2.wtime<3>))
(assert (<= 0 A2.mtime<3>))
(declare-const A2.ppref<3> Bool)
(declare-const A2.spref<3><1> Bool)
(declare-const A2.spref<3><2> Bool)
(declare-const A2.spref<3><3> Bool)
(declare-const A2.spref<3><4> Bool)
(declare-const A2.spref<3><5> Bool)
(declare-const A2.spref<3><6> Bool)
(declare-const A2.spref<3><7> Bool)
(declare-const A2.spref<3><8> Bool)
(declare-const A2.spref<3><9> Bool)
(declare-const A2.spref<3><10> Bool)
(declare-const A2.spref<3><11> Bool)
(declare-const A2.spref<3><12> Bool)
(declare-const A2.spref<3><13> Bool)
(declare-const A2.spref<3><14> Bool)
(declare-const A2.spref<3><15> Bool)
(declare-const A2.spref<3><16> Bool)
(declare-const A2.spref<3><17> Bool)
(declare-const A2.spref<3><18> Bool)
(declare-const A2.spref<3><19> Bool)
(declare-const A2.spref<3><20> Bool)
(declare-const A2.spref<3><21> Bool)
(declare-const A2.spref<3><22> Bool)
(declare-const A2.spref<3><23> Bool)
(declare-const A2.spref<3><24> Bool)
(declare-const A2.spref<3><25> Bool)
(declare-const A2.spref<3><26> Bool)
(declare-const A2.spref<3><27> Bool)
(declare-const A2.spref<3><28> Bool)
(declare-const A2.spref<3><29> Bool)
(declare-const A2.spref<3><30> Bool)
(declare-const A2.spref<3><31> Bool)
(declare-const A2.spref<3><32> Bool)
(declare-const A3.V<3> (_ BitVec 16))
(declare-const A3.atime<3> Real)
(assert (= (+ A3.atime<2> (+ A3.rtime<2> (* (- 1) A3.atime<3>))) 0))
(declare-const A3.rtime<3> Real)
(declare-const A3.wtime<3> Real)
(declare-const A3.mtime<3> Real)
(assert (= (+ A3.rtime<3> (+ (* (- 1) A3.wtime<3>) (* (- 1) A3.mtime<3>))) 0))
(assert (<= 0 A3.wtime<3>))
(assert (<= 0 A3.mtime<3>))
(declare-const A3.ppref<3> Bool)
(declare-const A3.spref<3><1> Bool)
(declare-const A3.spref<3><2> Bool)
(declare-const A3.spref<3><3> Bool)
(declare-const A3.spref<3><4> Bool)
(declare-const A3.spref<3><5> Bool)
(declare-const A3.spref<3><6> Bool)
(declare-const A3.spref<3><7> Bool)
(declare-const A3.spref<3><8> Bool)
(declare-const A3.spref<3><9> Bool)
(declare-const A3.spref<3><10> Bool)
(declare-const A3.spref<3><11> Bool)
(declare-const A3.spref<3><12> Bool)
(declare-const A3.spref<3><13> Bool)
(declare-const A3.spref<3><14> Bool)
(declare-const A3.spref<3><15> Bool)
(declare-const A3.spref<3><16> Bool)
(declare-const A3.spref<3><17> Bool)
(declare-const A3.spref<3><18> Bool)
(declare-const A3.spref<3><19> Bool)
(declare-const A3.spref<3><20> Bool)
(declare-const A3.spref<3><21> Bool)
(declare-const A3.spref<3><22> Bool)
(declare-const A3.spref<3><23> Bool)
(declare-const A3.spref<3><24> Bool)
(declare-const A3.spref<3><25> Bool)
(declare-const A3.spref<3><26> Bool)
(declare-const A3.spref<3><27> Bool)
(declare-const A3.spref<3><28> Bool)
(declare-const A3.spref<3><29> Bool)
(declare-const A3.spref<3><30> Bool)
(declare-const A3.spref<3><31> Bool)
(declare-const A3.spref<3><32> Bool)
(assert (or (= A1.V<3> (_ bv52 16)) (not A1.ppref<3>)))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv56 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv57 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv59 16))))))))))))))))))) (not (= A0.V<2> (_ bv49 16)))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv48 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv57 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv56 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv50 16)) (= A0.V<3> (_ bv51 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv25 16)))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv0 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv56 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv51 16)) (= A0.V<3> (_ bv52 16)))))))))))))) (not (= A0.V<2> (_ bv57 16)))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv48 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv56 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv36 16)) (= A0.V<3> (_ bv35 16)))))))))))))))))))))) (not (= A0.V<2> (_ bv10 16)))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv0 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv61 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv59 16)) (= A0.V<3> (_ bv57 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv42 16)))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv48 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv60 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv53 16)) (= A0.V<3> (_ bv54 16)))))))))))))))))) (not (= A0.V<2> (_ bv59 16)))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv48 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv37 16)) (= A0.V<3> (_ bv38 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv12 16)))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv51 16)) (= A0.V<3> (_ bv52 16))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv26 16)))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv0 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv57 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv52 16)) (= A0.V<3> (_ bv53 16)))))))))))))))) (not (= A0.V<2> (_ bv58 16)))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv57 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv48 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv27 16)) (= A0.V<3> (_ bv20 16)))))))))))))) (not (= A0.V<2> (_ bv1 16)))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv0 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv61 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv54 16)) (= A0.V<3> (_ bv55 16)))))))))))))))))) (not (= A0.V<2> (_ bv60 16)))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv61 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv47 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv56 16)) (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv58 16)))))))))))))))))))))) (not (= A0.V<2> (_ bv41 16)))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.V<3> (_ bv48 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv56 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv59 16)) (= A0.V<3> (_ bv58 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv33 16)))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv57 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv56 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv61 16)))))))))))))))))))))) (not (= A0.V<2> (_ bv50 16)))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv57 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv44 16)) (= A0.V<3> (_ bv43 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv18 16)))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv52 16)) (= A0.V<3> (_ bv53 16))))))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv27 16)))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv56 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv57 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv49 16)) (or (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv59 16))) (= A0.V<3> (_ bv51 16)))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv34 16)))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv29 16)) (= A0.V<3> (_ bv23 16)))))))))))))) (not (= A0.V<2> (_ bv6 16)))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv7 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv15 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv23 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv31 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv34 16)) (= A0.V<3> (_ bv35 16))))))))))))))))))) (not (= A0.V<2> (_ bv9 16)))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv0 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (and (= A0.mtime<2> 0) (= A0.wtime<2> 0)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<1> (_ bv17 16))))))
(assert (or (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv42 16)) (= A0.V<3> (_ bv43 16))))))))))))))))))))))) (not (= A0.V<2> (_ bv17 16)))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv61 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv57 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv56 16)) (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv62 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv51 16)))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv57 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv46 16)) (= A0.V<3> (_ bv47 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv21 16)))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv44 16)) (= A0.V<3> (_ bv45 16))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv19 16)))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv0 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv22 16)) (or (or (= A0.V<3> (_ bv37 16)) (= A0.V<3> (_ bv38 16))) (= A0.V<3> (_ bv28 16))))))))))))) (not (= A0.V<2> (_ bv15 16)))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv23 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv7 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv55 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv61 16)) (= A0.V<3> (_ bv63 16)))))))))))))))))))))) (not (= A0.V<2> (_ bv46 16)))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv47 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv39 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv31 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv46 16)) (= A0.V<3> (_ bv45 16))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv20 16)))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv37 16)) (= A0.V<3> (_ bv39 16))))))))))))))))))) (not (= A0.V<2> (_ bv14 16)))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv15 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv23 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv7 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv62 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv56 16)) (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv58 16))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv43 16)))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv55 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv62 16)))))))))))))))) (not (= A0.V<2> (_ bv47 16)))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv39 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv55 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv62 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv63 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv55 16)) (or (= A0.V<3> (_ bv57 16)) (or (= A0.V<3> (_ bv59 16)) (= A0.V<3> (_ bv61 16))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv44 16)))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv53 16)) (= A0.V<3> (_ bv54 16)))))))))))))))))) (not (= A0.V<2> (_ bv31 16)))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv23 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv39 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv60 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv55 16)) (or (= A0.V<3> (_ bv61 16)) (= A0.V<3> (_ bv63 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv38 16)))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv39 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv31 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv60 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv55 16)) (or (= A0.V<3> (_ bv62 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv61 16)) (= A0.V<3> (_ bv63 16))))))))))))))))))) (not (= A0.V<2> (_ bv54 16)))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv61 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv62 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv47 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv55 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv39 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv27 16)) (= A0.V<3> (_ bv28 16)))))))))))))))) (not (= A0.V<2> (_ bv2 16)))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv62 16)) (or (= A0.V<3> (_ bv60 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv54 16)) (= A0.V<3> (_ bv55 16)))))))))))))))) (not (= A0.V<2> (_ bv61 16)))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv62 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv55 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv39 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv29 16)) (= A0.V<3> (_ bv28 16)))))))))))))))))) (not (= A0.V<2> (_ bv3 16)))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv61 16)) (or (= A0.V<3> (_ bv63 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv53 16)) (= A0.V<3> (_ bv55 16)))))))))))))) (not (= A0.V<2> (_ bv62 16)))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv61 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv55 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv63 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv47 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv39 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (or (= A0.V<3> (_ bv55 16)) (or (= A0.V<3> (_ bv62 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv53 16)) (= A0.V<3> (_ bv54 16)))))))))) (not (= A0.V<2> (_ bv63 16)))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.V<3> (_ bv62 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.V<3> (_ bv55 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv29 16)) (= A0.V<3> (_ bv30 16)))))))))))))))))) (not (= A0.V<2> (_ bv4 16)))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv15 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv38 16)) (= A0.V<3> (_ bv39 16)))))))))))))))))))))) (not (= A0.V<2> (_ bv13 16)))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv62 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv60 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv57 16)) (or (= A0.V<3> (_ bv61 16)) (= A0.V<3> (_ bv63 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv52 16)))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv46 16)) (= A0.V<3> (_ bv45 16)))))))))))))))) (not (= A0.V<2> (_ bv23 16)))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv15 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv31 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv61 16)) (= A0.V<3> (_ bv62 16)))))))))))))))))) (not (= A0.V<2> (_ bv39 16)))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv31 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv47 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv61 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv45 16)) (= A0.V<3> (_ bv47 16)))))))))))))))))))))) (not (= A0.V<2> (_ bv22 16)))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv23 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv31 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv15 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv53 16)) (= A0.V<3> (_ bv54 16))))))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv28 16)))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv54 16)) (= A0.V<3> (_ bv55 16))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv29 16)))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv53 16)) (= A0.V<3> (_ bv55 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv30 16)))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv31 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv23 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv55 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv62 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv45 16)))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv60 16)) (or (= A0.V<3> (_ bv63 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv62 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv61 16)) (= A0.V<3> (_ bv46 16)))))))))))))) (not (= A0.V<2> (_ bv55 16)))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv47 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv62 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv61 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv63 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv63 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv60 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv61 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv58 16)) (= A0.V<3> (_ bv62 16)))))))))))))))))))))) (not (= A0.V<2> (_ bv53 16)))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv61 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv60 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv62 16)) (= A0.V<3> (_ bv63 16))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv37 16)))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv57 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv61 16))))))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv35 16)))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv31 16)) (= A0.V<3> (_ bv30 16)))))))))))))))) (not (= A0.V<2> (_ bv5 16)))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv15 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv31 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv55 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv61 16)) (= A0.V<3> (_ bv62 16))))))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv36 16)))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv29 16)) (= A0.V<3> (_ bv30 16)))))))))) (not (= A0.V<2> (_ bv7 16)))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv15 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv36 16)) (= A0.V<3> (_ bv37 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv11 16)))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv0 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv38 16)) (= A1.V<3> (_ bv37 16)))))))))))))) (not (= A1.V<2> (_ bv15 16)))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv23 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv7 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv4 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (or (= A1.V<3> (_ bv55 16)) (or (= A1.V<3> (_ bv62 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv54 16)) (= A1.V<3> (_ bv53 16)))))))))) (not (= A1.V<2> (_ bv63 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv62 16)) (= A1.V<3> (_ bv61 16)))))))))))))))))) (not (= A1.V<2> (_ bv39 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv55 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv62 16)) (= A1.V<3> (_ bv60 16)))))))))))))))) (not (= A1.V<2> (_ bv47 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv60 16)) (or (= A1.V<3> (_ bv63 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv62 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv46 16)) (= A1.V<3> (_ bv61 16)))))))))))))) (not (= A1.V<2> (_ bv55 16)))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv63 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv37 16)) (= A1.V<3> (_ bv39 16))))))))))))))))))) (not (= A1.V<2> (_ bv14 16)))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv23 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv7 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv17 16)) (or (or (= A1.V<3> (_ bv54 16)) (= A1.V<3> (_ bv53 16))) (= A1.V<3> (_ bv51 16)))))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv28 16)))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv53 16)) (= A1.V<3> (_ bv55 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv30 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv44 16)) (= A1.V<3> (_ bv45 16))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv19 16)))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv56 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv58 16)) (= A1.V<3> (_ bv57 16)))))))))))))) (not (= A1.V<2> (_ bv48 16)))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv56 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv40 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv44 16)) (= A1.V<3> (_ bv43 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv18 16)))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv27 16)) (or (or (= A1.V<3> (_ bv38 16)) (= A1.V<3> (_ bv37 16))) (= A1.V<3> (_ bv29 16)))))))))))))))))))))))) (not (= A1.V<2> (_ bv12 16)))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv4 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv36 16)) (= A1.V<3> (_ bv35 16)))))))))))))))))))))) (not (= A1.V<2> (_ bv10 16)))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv2 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv16 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv34 16)) (= A1.V<3> (_ bv33 16)))))))))))))) (not (= A1.V<2> (_ bv8 16)))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv16 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv1 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv0 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv2 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv55 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv54 16)) (or (or (= A1.V<3> (_ bv62 16)) (= A1.V<3> (_ bv60 16))) (= A1.V<3> (_ bv58 16)))))))))))))))))))))))) (not (= A1.V<2> (_ bv45 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv41 16)) (= A1.V<3> (_ bv42 16)))))))))))))))) (not (= A1.V<2> (_ bv16 16)))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv24 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv8 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv1 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv28 16)) (= A1.V<3> (_ bv29 16)))))))))))))))))) (not (= A1.V<2> (_ bv3 16)))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv4 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv2 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv16 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv61 16)) (or (= A1.V<3> (_ bv63 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv53 16)) (= A1.V<3> (_ bv55 16)))))))))))))) (not (= A1.V<2> (_ bv62 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv63 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv58 16)) (= A1.V<3> (_ bv57 16)))))))))))))))))) (not (= A1.V<2> (_ bv32 16)))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv40 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv24 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv28 16)) (= A1.V<3> (_ bv27 16)))))))))))))))) (not (= A1.V<2> (_ bv2 16)))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv1 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv24 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv8 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv62 16)) (or (= A1.V<3> (_ bv60 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv54 16)) (= A1.V<3> (_ bv55 16)))))))))))))))) (not (= A1.V<2> (_ bv61 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv26 16)) (= A1.V<3> (_ bv25 16)))))))))) (not (= A1.V<2> (_ bv0 16)))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv8 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv1 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv60 16)) (or (= A1.V<3> (_ bv58 16)) (or (= A1.V<3> (_ bv51 16)) (or (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv54 16)) (= A1.V<3> (_ bv53 16)))) (= A1.V<3> (_ bv50 16)))))))))))))))) (not (= A1.V<2> (_ bv59 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv48 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv52 16)) (= A1.V<3> (_ bv51 16))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv26 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv51 16)) (= A1.V<3> (_ bv50 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv25 16)))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv24 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv40 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv16 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv61 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv58 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv46 16)) (or (or (= A1.V<3> (_ bv62 16)) (= A1.V<3> (_ bv60 16))) (= A1.V<3> (_ bv56 16)))))))))))))))))))))))) (not (= A1.V<2> (_ bv51 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv56 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv58 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv61 16)) (= A1.V<3> (_ bv60 16)))))))))))))))))))))) (not (= A1.V<2> (_ bv50 16)))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv50 16)) (= A1.V<3> (_ bv49 16)))))))))))))))))) (not (= A1.V<2> (_ bv24 16)))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv16 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv1 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv63 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv55 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv61 16)) (= A1.V<3> (_ bv59 16))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv44 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv61 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv57 16)) (= A1.V<3> (_ bv59 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv42 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv57 16)) (= A1.V<3> (_ bv59 16)))))))))))))))) (not (= A1.V<2> (_ bv40 16)))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv48 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv58 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv55 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv25 16)) (or (or (= A1.V<3> (_ bv62 16)) (= A1.V<3> (_ bv61 16))) (= A1.V<3> (_ bv59 16)))))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv36 16)))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv58 16)) (or (= A1.V<3> (_ bv61 16)) (= A1.V<3> (_ bv60 16))))))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv35 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv56 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv60 16)) (= A1.V<3> (_ bv59 16))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv34 16)))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv46 16)) (= A1.V<3> (_ bv45 16))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv20 16)))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv56 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv58 16)) (= A1.V<3> (_ bv59 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv33 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv40 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv48 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv43 16)) (= A1.V<3> (_ bv42 16)))))))))))))))))))))) (not (= A1.V<2> (_ bv17 16)))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv24 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv16 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv40 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv37 16)) (= A1.V<3> (_ bv36 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv11 16)))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv4 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv52 16)) (= A1.V<3> (_ bv53 16))))))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv27 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv54 16)) (= A1.V<3> (_ bv55 16))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv29 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv38 16)) (= A1.V<3> (_ bv39 16)))))))))))))))))))))) (not (= A1.V<2> (_ bv13 16)))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv23 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv4 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv30 16)) (= A1.V<3> (_ bv29 16)))))))))))))))))) (not (= A1.V<2> (_ bv4 16)))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv23 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv23 16)) (= A1.V<3> (_ bv29 16)))))))))))))) (not (= A1.V<2> (_ bv6 16)))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv23 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv7 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv60 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv55 16)) (or (= A1.V<3> (_ bv61 16)) (= A1.V<3> (_ bv63 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv38 16)))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv35 16)) (= A1.V<3> (_ bv34 16))))))))))))))))))) (not (= A1.V<2> (_ bv9 16)))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv16 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv24 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv8 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv1 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv2 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv56 16)) (or (= A1.V<3> (_ bv60 16)) (= A1.V<3> (_ bv58 16)))))))))))))))))))))) (not (= A1.V<2> (_ bv41 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv40 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv48 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv56 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv61 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv54 16)) (= A1.V<3> (_ bv55 16)))))))))))))))))) (not (= A1.V<2> (_ bv60 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv20 16)) (= A1.V<3> (_ bv27 16)))))))))))))) (not (= A1.V<2> (_ bv1 16)))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv2 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv8 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv16 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv24 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv0 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv56 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv58 16)) (or (= A1.V<3> (_ bv60 16)) (= A1.V<3> (_ bv59 16))))))))))))))))))) (not (= A1.V<2> (_ bv49 16)))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv48 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv56 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv40 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv62 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv56 16)) (or (= A1.V<3> (_ bv60 16)) (= A1.V<3> (_ bv58 16))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv43 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv56 16)) (or (= A1.V<3> (_ bv58 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv52 16)) (= A1.V<3> (_ bv51 16)))))))))))))) (not (= A1.V<2> (_ bv57 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv56 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv48 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv40 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv51 16)) (= A1.V<3> (_ bv50 16)))))))))) (not (= A1.V<2> (_ bv56 16)))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.V<3> (_ bv48 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv46 16)) (= A1.V<3> (_ bv47 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv21 16)))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv63 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv60 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv61 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv62 16)) (= A1.V<3> (_ bv58 16)))))))))))))))))))))) (not (= A1.V<2> (_ bv53 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv63 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv52 16)) (= A1.V<3> (_ bv53 16)))))))))))))))) (not (= A1.V<2> (_ bv58 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv48 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv47 16)) (= A1.V<3> (_ bv45 16)))))))))))))))))))))) (not (= A1.V<2> (_ bv22 16)))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv23 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv60 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv55 16)) (or (= A1.V<3> (_ bv62 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv61 16)) (= A1.V<3> (_ bv63 16))))))))))))))))))) (not (= A1.V<2> (_ bv54 16)))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv63 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv55 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv61 16)) (= A1.V<3> (_ bv63 16)))))))))))))))))))))) (not (= A1.V<2> (_ bv46 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv63 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (and (= A1.mtime<2> 0) (= A1.wtime<2> 0)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<1> (_ bv52 16))))))
(assert (or (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv62 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv58 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv60 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv61 16)) (= A1.V<3> (_ bv63 16)))))))))))))))))))))))))) (not (= A1.V<2> (_ bv52 16)))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv60 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv62 16)) (= A1.V<3> (_ bv63 16))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv37 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv46 16)) (= A1.V<3> (_ bv45 16)))))))))))))))) (not (= A1.V<2> (_ bv23 16)))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv4 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv30 16)) (= A1.V<3> (_ bv29 16)))))))))) (not (= A1.V<2> (_ bv7 16)))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv54 16)) (= A1.V<3> (_ bv53 16)))))))))))))))))) (not (= A1.V<2> (_ bv31 16)))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv23 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv30 16)) (= A1.V<3> (_ bv31 16)))))))))))))))) (not (= A1.V<2> (_ bv5 16)))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv4 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv47 16)) (= A2.V<3> (_ bv62 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv47 16)) (= A2.V<3> (_ bv60 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv47 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv47 16)) (= A2.V<3> (_ bv39 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv47 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv47 16)) (= A2.V<3> (_ bv55 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv47 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv47 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv47 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv47 16)) (= A2.V<3> (_ bv54 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv47 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv47 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv47 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv47 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv47 16)) (= A2.V<3> (_ bv53 16))))))
(assert (or (or (= A2.V<3> (_ bv53 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv54 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv55 16)) (or (= A2.V<3> (_ bv52 16)) (or (= A2.V<3> (_ bv39 16)) (or (= A2.V<3> (_ bv46 16)) (or (= A2.V<3> (_ bv62 16)) (= A2.V<3> (_ bv60 16)))))))))))))))) (not (= A2.V<2> (_ bv47 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.V<3> (_ bv39 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.V<3> (_ bv55 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.V<3> (_ bv54 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.V<3> (_ bv53 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.V<3> (_ bv62 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.V<3> (_ bv52 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.V<3> (_ bv60 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv47 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv62 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv58 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv47 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv61 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv54 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv59 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv60 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv63 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv53 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv63 16)) (or (= A2.V<3> (_ bv31 16)) (or (= A2.V<3> (_ bv60 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv59 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv54 16)) (or (= A2.V<3> (_ bv61 16)) (or (= A2.V<3> (_ bv52 16)) (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv46 16)) (or (= A2.V<3> (_ bv47 16)) (or (= A2.V<3> (_ bv62 16)) (= A2.V<3> (_ bv58 16)))))))))))))))))))))) (not (= A2.V<2> (_ bv53 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.V<3> (_ bv54 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.V<3> (_ bv47 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.V<3> (_ bv52 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.V<3> (_ bv61 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.V<3> (_ bv62 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.V<3> (_ bv60 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.V<3> (_ bv31 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.V<3> (_ bv63 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv53 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv63 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv61 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv59 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv47 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv53 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv62 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv55 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv60 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv39 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv54 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv39 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv31 16)) (or (= A2.V<3> (_ bv60 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv55 16)) (or (= A2.V<3> (_ bv62 16)) (or (= A2.V<3> (_ bv53 16)) (or (= A2.V<3> (_ bv46 16)) (or (= A2.V<3> (_ bv47 16)) (or (= A2.V<3> (_ bv59 16)) (or (= A2.V<3> (_ bv61 16)) (= A2.V<3> (_ bv63 16))))))))))))))))))) (not (= A2.V<2> (_ bv54 16)))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.V<3> (_ bv47 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.V<3> (_ bv39 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.V<3> (_ bv53 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.V<3> (_ bv55 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.V<3> (_ bv62 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.V<3> (_ bv61 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.V<3> (_ bv31 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.V<3> (_ bv63 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.V<3> (_ bv60 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv54 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv55 16)) (= A2.V<3> (_ bv61 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv55 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv55 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv55 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv55 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv55 16)) (= A2.V<3> (_ bv62 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv55 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv55 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv55 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv55 16)) (= A2.V<3> (_ bv63 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv55 16)) (= A2.V<3> (_ bv60 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv55 16)) (= A2.V<3> (_ bv47 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv55 16)) (= A2.V<3> (_ bv54 16))))))
(assert (or (or (= A2.V<3> (_ bv54 16)) (or (= A2.V<3> (_ bv47 16)) (or (= A2.V<3> (_ bv60 16)) (or (= A2.V<3> (_ bv63 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv62 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv46 16)) (= A2.V<3> (_ bv61 16)))))))))))))) (not (= A2.V<2> (_ bv55 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv55 16))))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv55 16))))))
(assert (or (= A2.V<3> (_ bv47 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv55 16))))))
(assert (or (= A2.V<3> (_ bv54 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv55 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv55 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv55 16))))))
(assert (or (= A2.V<3> (_ bv63 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv55 16))))))
(assert (or (= A2.V<3> (_ bv62 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv55 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv55 16))))))
(assert (or (= A2.V<3> (_ bv61 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv55 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv55 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv55 16))))))
(assert (or (= A2.V<3> (_ bv60 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv55 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv60 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv59 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv58 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv48 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv57 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv50 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv56 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv40 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv32 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv49 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv32 16)) (or (= A2.V<3> (_ bv40 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv56 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv50 16)) (or (= A2.V<3> (_ bv57 16)) (or (= A2.V<3> (_ bv48 16)) (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv58 16)) (or (= A2.V<3> (_ bv60 16)) (= A2.V<3> (_ bv59 16))))))))))))))))))) (not (= A2.V<2> (_ bv49 16)))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.V<3> (_ bv50 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.V<3> (_ bv42 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.V<3> (_ bv41 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.V<3> (_ bv34 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.V<3> (_ bv58 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.V<3> (_ bv59 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.V<3> (_ bv60 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.V<3> (_ bv57 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.V<3> (_ bv48 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.V<3> (_ bv40 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.V<3> (_ bv56 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv49 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv63 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv61 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv57 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv47 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv60 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv53 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv39 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv58 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv59 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv62 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv52 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv62 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv59 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv58 16)) (or (= A2.V<3> (_ bv39 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv53 16)) (or (= A2.V<3> (_ bv60 16)) (or (= A2.V<3> (_ bv51 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv46 16)) (or (= A2.V<3> (_ bv47 16)) (or (or (= A2.V<3> (_ bv61 16)) (= A2.V<3> (_ bv63 16))) (= A2.V<3> (_ bv57 16)))))))))))))))))))))))) (not (= A2.V<2> (_ bv52 16)))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.V<3> (_ bv53 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.V<3> (_ bv47 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.V<3> (_ bv61 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.V<3> (_ bv51 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.V<3> (_ bv60 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.V<3> (_ bv39 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.V<3> (_ bv62 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.V<3> (_ bv59 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv52 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv48 16)) (= A2.V<3> (_ bv58 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv48 16)) (= A2.V<3> (_ bv57 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv48 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv48 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv48 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv48 16)) (= A2.V<3> (_ bv59 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv48 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv48 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv48 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv48 16)) (= A2.V<3> (_ bv49 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv48 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv48 16)) (= A2.V<3> (_ bv56 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv48 16)) (= A2.V<3> (_ bv40 16))))))
(assert (or (or (= A2.V<3> (_ bv40 16)) (or (= A2.V<3> (_ bv56 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv49 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv59 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv58 16)) (= A2.V<3> (_ bv57 16)))))))))))))) (not (= A2.V<2> (_ bv48 16)))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.V<3> (_ bv42 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.V<3> (_ bv49 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.V<3> (_ bv41 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.V<3> (_ bv40 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.V<3> (_ bv33 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.V<3> (_ bv58 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.V<3> (_ bv57 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.V<3> (_ bv59 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.V<3> (_ bv56 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.V<3> (_ bv25 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv48 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv58 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv57 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv49 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv40 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv32 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv40 16)) (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv49 16)) (or (= A2.V<3> (_ bv51 16)) (or (= A2.V<3> (_ bv58 16)) (= A2.V<3> (_ bv57 16)))))))))))))))))) (not (= A2.V<2> (_ bv32 16)))))
(assert (or (= A2.V<3> (_ bv33 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.V<3> (_ bv42 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.V<3> (_ bv25 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.V<3> (_ bv41 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.V<3> (_ bv24 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.V<3> (_ bv40 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.V<3> (_ bv51 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.V<3> (_ bv49 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.V<3> (_ bv17 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.V<3> (_ bv58 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv32 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv26 16)) (= A2.V<3> (_ bv25 16)))))))))) (not (= A2.V<2> (_ bv0 16)))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.V<3> (_ bv1 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.V<3> (_ bv17 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.V<3> (_ bv8 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.V<3> (_ bv25 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv61 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv60 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv59 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv49 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv58 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv56 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv40 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv57 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv50 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv57 16)) (or (= A2.V<3> (_ bv40 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv56 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv51 16)) (or (= A2.V<3> (_ bv58 16)) (or (= A2.V<3> (_ bv49 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv59 16)) (or (= A2.V<3> (_ bv60 16)) (= A2.V<3> (_ bv61 16)))))))))))))))))))))) (not (= A2.V<2> (_ bv50 16)))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.V<3> (_ bv51 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.V<3> (_ bv42 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.V<3> (_ bv59 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.V<3> (_ bv60 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.V<3> (_ bv58 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.V<3> (_ bv61 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.V<3> (_ bv49 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.V<3> (_ bv41 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.V<3> (_ bv33 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv50 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv62 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv60 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv56 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv50 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv59 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv57 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv58 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv61 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv32 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv51 16)) (= A2.V<3> (_ bv40 16))))))
(assert (or (or (= A2.V<3> (_ bv40 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv32 16)) (or (= A2.V<3> (_ bv61 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv58 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv57 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv52 16)) (or (= A2.V<3> (_ bv59 16)) (or (= A2.V<3> (_ bv50 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv46 16)) (or (or (= A2.V<3> (_ bv62 16)) (= A2.V<3> (_ bv60 16))) (= A2.V<3> (_ bv56 16)))))))))))))))))))))))) (not (= A2.V<2> (_ bv51 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.V<3> (_ bv52 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.V<3> (_ bv60 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.V<3> (_ bv59 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.V<3> (_ bv61 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.V<3> (_ bv50 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.V<3> (_ bv42 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.V<3> (_ bv62 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.V<3> (_ bv34 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv51 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv60 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv59 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv49 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv57 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv56 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv40 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv53 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv34 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv53 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv40 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv56 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv57 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv49 16)) (or (or (= A2.V<3> (_ bv60 16)) (= A2.V<3> (_ bv59 16))) (= A2.V<3> (_ bv51 16)))))))))))))))))))))))))))) (not (= A2.V<2> (_ bv34 16)))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.V<3> (_ bv42 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.V<3> (_ bv53 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.V<3> (_ bv51 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.V<3> (_ bv33 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.V<3> (_ bv41 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.V<3> (_ bv25 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv63 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv61 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv55 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv53 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv47 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv60 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv39 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv23 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (and (= A2.mtime<2> 0) (= A2.wtime<2> 0)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and (= A2.V<2> (_ bv38 16)) (= A2.V<1> (_ bv38 16))))))
(assert (or (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv23 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv39 16)) (or (= A2.V<3> (_ bv46 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv31 16)) (or (= A2.V<3> (_ bv60 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv47 16)) (or (= A2.V<3> (_ bv51 16)) (or (= A2.V<3> (_ bv53 16)) (or (= A2.V<3> (_ bv55 16)) (or (= A2.V<3> (_ bv61 16)) (= A2.V<3> (_ bv63 16)))))))))))))))))))))))))) (not (= A2.V<2> (_ bv38 16)))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv23 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv23 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv23 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv23 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv23 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv23 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv23 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv23 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv23 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv23 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv23 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv23 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv23 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv23 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv23 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv31 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv46 16)) (= A2.V<3> (_ bv45 16)))))))))))))))) (not (= A2.V<2> (_ bv23 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.V<3> (_ bv31 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.V<3> (_ bv15 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.V<3> (_ bv4 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv23 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv62 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv61 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv59 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv23 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv55 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv58 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv47 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv49 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv36 16)) (= A2.V<3> (_ bv53 16))))))
(assert (or (or (= A2.V<3> (_ bv53 16)) (or (= A2.V<3> (_ bv51 16)) (or (= A2.V<3> (_ bv49 16)) (or (= A2.V<3> (_ bv47 16)) (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv31 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv58 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv55 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv23 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv46 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv59 16)) (or (= A2.V<3> (_ bv62 16)) (= A2.V<3> (_ bv61 16))))))))))))))))))))))))))))))))) (not (= A2.V<2> (_ bv36 16)))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.V<3> (_ bv53 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.V<3> (_ bv47 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.V<3> (_ bv31 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.V<3> (_ bv51 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.V<3> (_ bv23 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv23 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv31 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv29 16)) (= A2.V<3> (_ bv23 16)))))))))))))) (not (= A2.V<2> (_ bv6 16)))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv23 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv15 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv31 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv7 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv60 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv58 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv56 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv50 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv40 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv49 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv16 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv48 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv32 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv41 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv32 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv48 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv16 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv49 16)) (or (= A2.V<3> (_ bv40 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv50 16)) (or (= A2.V<3> (_ bv51 16)) (or (= A2.V<3> (_ bv52 16)) (or (= A2.V<3> (_ bv56 16)) (or (= A2.V<3> (_ bv60 16)) (= A2.V<3> (_ bv58 16)))))))))))))))))))))) (not (= A2.V<2> (_ bv41 16)))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.V<3> (_ bv42 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.V<3> (_ bv34 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.V<3> (_ bv51 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.V<3> (_ bv50 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.V<3> (_ bv52 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.V<3> (_ bv33 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.V<3> (_ bv49 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.V<3> (_ bv40 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.V<3> (_ bv60 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.V<3> (_ bv58 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.V<3> (_ bv32 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv41 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv50 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv49 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv16 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv32 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv24 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv32 16)) (or (= A2.V<3> (_ bv16 16)) (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv50 16)) (= A2.V<3> (_ bv49 16)))))))))))))))))) (not (= A2.V<2> (_ bv24 16)))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.V<3> (_ bv25 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.V<3> (_ bv34 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.V<3> (_ bv33 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.V<3> (_ bv18 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.V<3> (_ bv17 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.V<3> (_ bv32 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.V<3> (_ bv16 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.V<3> (_ bv41 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.V<3> (_ bv50 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.V<3> (_ bv49 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.V<3> (_ bv2 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv24 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv40 16)) (= A2.V<3> (_ bv59 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv40 16)) (= A2.V<3> (_ bv57 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv40 16)) (= A2.V<3> (_ bv32 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv40 16)) (= A2.V<3> (_ bv48 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv40 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv40 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv40 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv40 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv40 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv40 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv40 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv40 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv40 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv40 16)) (= A2.V<3> (_ bv49 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv40 16)) (= A2.V<3> (_ bv50 16))))))
(assert (or (or (= A2.V<3> (_ bv50 16)) (or (= A2.V<3> (_ bv49 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv51 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv48 16)) (or (= A2.V<3> (_ bv32 16)) (or (= A2.V<3> (_ bv59 16)) (= A2.V<3> (_ bv57 16)))))))))))))))) (not (= A2.V<2> (_ bv40 16)))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.V<3> (_ bv41 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.V<3> (_ bv34 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.V<3> (_ bv33 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.V<3> (_ bv50 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.V<3> (_ bv51 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.V<3> (_ bv49 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.V<3> (_ bv32 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.V<3> (_ bv48 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.V<3> (_ bv25 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.V<3> (_ bv59 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.V<3> (_ bv57 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.V<3> (_ bv18 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.V<3> (_ bv17 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv40 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv32 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv16 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv40 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv17 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv40 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv0 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv16 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv32 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv43 16)) (= A2.V<3> (_ bv42 16)))))))))))))))))))))) (not (= A2.V<2> (_ bv17 16)))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.V<3> (_ bv18 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.V<3> (_ bv25 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.V<3> (_ bv34 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.V<3> (_ bv42 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.V<3> (_ bv16 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.V<3> (_ bv24 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.V<3> (_ bv2 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv61 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv59 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv57 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv55 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv53 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv49 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv39 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv63 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv50 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv54 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv44 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv54 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv51 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv50 16)) (or (= A2.V<3> (_ bv31 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv52 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv63 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv39 16)) (or (= A2.V<3> (_ bv49 16)) (or (= A2.V<3> (_ bv53 16)) (or (= A2.V<3> (_ bv55 16)) (or (= A2.V<3> (_ bv57 16)) (or (= A2.V<3> (_ bv61 16)) (= A2.V<3> (_ bv59 16))))))))))))))))))))))))))))) (not (= A2.V<2> (_ bv44 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.V<3> (_ bv53 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.V<3> (_ bv52 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.V<3> (_ bv39 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.V<3> (_ bv54 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.V<3> (_ bv31 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.V<3> (_ bv51 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.V<3> (_ bv55 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv59 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv57 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv53 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv50 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv16 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv48 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv61 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv32 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv49 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv42 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv49 16)) (or (= A2.V<3> (_ bv32 16)) (or (= A2.V<3> (_ bv61 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv48 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv16 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv50 16)) (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv51 16)) (or (= A2.V<3> (_ bv52 16)) (or (= A2.V<3> (_ bv53 16)) (or (= A2.V<3> (_ bv59 16)) (= A2.V<3> (_ bv57 16))))))))))))))))))))))))) (not (= A2.V<2> (_ bv42 16)))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.V<3> (_ bv34 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.V<3> (_ bv51 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.V<3> (_ bv52 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.V<3> (_ bv53 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.V<3> (_ bv50 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.V<3> (_ bv41 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.V<3> (_ bv33 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.V<3> (_ bv59 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv42 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv62 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv61 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv54 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv47 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv39 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv46 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv47 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv31 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv52 16)) (or (= A2.V<3> (_ bv54 16)) (or (= A2.V<3> (_ bv62 16)) (= A2.V<3> (_ bv61 16)))))))))))))))))) (not (= A2.V<2> (_ bv39 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.V<3> (_ bv31 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.V<3> (_ bv47 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.V<3> (_ bv54 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.V<3> (_ bv62 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.V<3> (_ bv52 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv39 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv30 16)) (= A2.V<3> (_ bv29 16)))))))))) (not (= A2.V<2> (_ bv7 16)))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.V<3> (_ bv15 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv30 16)) (= A2.V<3> (_ bv31 16)))))))))))))))) (not (= A2.V<2> (_ bv5 16)))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv31 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv15 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv4 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv18 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv60 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv58 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv56 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv54 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv48 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv62 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv49 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv50 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv53 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv43 16)) (= A2.V<3> (_ bv32 16))))))
(assert (or (or (= A2.V<3> (_ bv32 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv53 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv50 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv49 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv51 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv62 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv48 16)) (or (= A2.V<3> (_ bv52 16)) (or (= A2.V<3> (_ bv54 16)) (or (= A2.V<3> (_ bv56 16)) (or (= A2.V<3> (_ bv60 16)) (= A2.V<3> (_ bv58 16))))))))))))))))))))))))))))) (not (= A2.V<2> (_ bv43 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.V<3> (_ bv52 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.V<3> (_ bv53 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.V<3> (_ bv51 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.V<3> (_ bv54 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.V<3> (_ bv42 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.V<3> (_ bv34 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.V<3> (_ bv60 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.V<3> (_ bv50 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv16 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (or (= A2.V<3> (_ bv0 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv16 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv27 16)) (= A2.V<3> (_ bv20 16)))))))))))))) (not (= A2.V<2> (_ bv1 16)))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv2 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv18 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv8 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv0 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv16 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv24 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv32 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv16 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv16 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv32 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv0 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv36 16)) (= A2.V<3> (_ bv35 16)))))))))))))))))))))) (not (= A2.V<2> (_ bv10 16)))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv18 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv3 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv2 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv4 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv17 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.V<3> (_ bv25 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv47 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv39 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv23 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv22 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv23 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv31 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv39 16)) (or (= A2.V<3> (_ bv47 16)) (= A2.V<3> (_ bv45 16)))))))))))))))))))))) (not (= A2.V<2> (_ bv22 16)))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.V<3> (_ bv31 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.V<3> (_ bv23 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.V<3> (_ bv39 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.V<3> (_ bv15 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.V<3> (_ bv47 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv32 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv16 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv9 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv16 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv32 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv0 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv34 16)) (= A2.V<3> (_ bv35 16))))))))))))))))))) (not (= A2.V<2> (_ bv9 16)))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.V<3> (_ bv18 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.V<3> (_ bv17 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.V<3> (_ bv2 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.V<3> (_ bv34 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.V<3> (_ bv3 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.V<3> (_ bv1 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.V<3> (_ bv4 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.V<3> (_ bv8 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.V<3> (_ bv16 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.V<3> (_ bv24 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv16 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (or (= A2.V<3> (_ bv0 16)) (or (= A2.V<3> (_ bv16 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv34 16)) (= A2.V<3> (_ bv33 16)))))))))))))) (not (= A2.V<2> (_ bv8 16)))))
(assert (or (= A2.V<3> (_ bv18 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv17 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv16 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv25 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv34 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv1 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv2 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv33 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv3 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.V<3> (_ bv0 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv63 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv62 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv54 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv50 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv60 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv59 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv47 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv37 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv47 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv59 16)) (or (= A2.V<3> (_ bv31 16)) (or (= A2.V<3> (_ bv60 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv46 16)) (or (= A2.V<3> (_ bv50 16)) (or (= A2.V<3> (_ bv52 16)) (or (= A2.V<3> (_ bv54 16)) (or (= A2.V<3> (_ bv62 16)) (= A2.V<3> (_ bv63 16))))))))))))))))))))))))))))) (not (= A2.V<2> (_ bv37 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.V<3> (_ bv47 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.V<3> (_ bv31 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.V<3> (_ bv54 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.V<3> (_ bv52 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv23 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv23 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv30 16)) (= A2.V<3> (_ bv29 16)))))))))))))))))) (not (= A2.V<2> (_ bv4 16)))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv23 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv3 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv15 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv59 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv58 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv50 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv48 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv32 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv40 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv16 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv56 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv33 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv56 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv16 16)) (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv40 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv32 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv48 16)) (or (= A2.V<3> (_ bv50 16)) (or (= A2.V<3> (_ bv52 16)) (or (= A2.V<3> (_ bv58 16)) (= A2.V<3> (_ bv59 16))))))))))))))))))))))))) (not (= A2.V<2> (_ bv33 16)))))
(assert (or (= A2.V<3> (_ bv34 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.V<3> (_ bv42 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.V<3> (_ bv25 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.V<3> (_ bv41 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.V<3> (_ bv52 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.V<3> (_ bv50 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.V<3> (_ bv18 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.V<3> (_ bv32 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.V<3> (_ bv40 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.V<3> (_ bv24 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv33 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv16 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv11 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv0 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv16 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv36 16)) (= A2.V<3> (_ bv37 16))))))))))))))))))))))))) (not (= A2.V<2> (_ bv11 16)))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv18 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv4 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv3 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.V<3> (_ bv2 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv23 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv31 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv23 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv37 16)) (= A2.V<3> (_ bv38 16))))))))))))))))))))))))) (not (= A2.V<2> (_ bv12 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv31 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv23 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv4 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv50 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv40 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv32 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv16 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv48 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv25 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv48 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv16 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv32 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv0 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv40 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv50 16)) (= A2.V<3> (_ bv51 16))))))))))))))))))))))))) (not (= A2.V<2> (_ bv25 16)))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.V<3> (_ bv34 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.V<3> (_ bv18 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.V<3> (_ bv33 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.V<3> (_ bv42 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.V<3> (_ bv17 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.V<3> (_ bv24 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.V<3> (_ bv51 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.V<3> (_ bv32 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv49 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv48 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv32 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv16 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv26 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv16 16)) (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv32 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv0 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv48 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv49 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv52 16)) (= A2.V<3> (_ bv51 16))))))))))))))))))))))))))))) (not (= A2.V<2> (_ bv26 16)))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.V<3> (_ bv34 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.V<3> (_ bv18 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.V<3> (_ bv25 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.V<3> (_ bv33 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.V<3> (_ bv52 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv28 16)) (= A2.V<3> (_ bv27 16)))))))))))))))) (not (= A2.V<2> (_ bv2 16)))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv3 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv1 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv17 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv25 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv8 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv24 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv54 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv53 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv23 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv39 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv31 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv39 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv23 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv46 16)) (or (= A2.V<3> (_ bv54 16)) (= A2.V<3> (_ bv53 16)))))))))))))))))) (not (= A2.V<2> (_ bv31 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.V<3> (_ bv39 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.V<3> (_ bv23 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.V<3> (_ bv54 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.V<3> (_ bv53 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv31 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv54 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv53 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv47 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv50 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv23 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv39 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv28 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv39 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv23 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv50 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv47 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv51 16)) (or (= A2.V<3> (_ bv54 16)) (= A2.V<3> (_ bv53 16))))))))))))))))))))))))))))))))) (not (= A2.V<2> (_ bv28 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.V<3> (_ bv39 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.V<3> (_ bv47 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.V<3> (_ bv53 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.V<3> (_ bv23 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv55 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv54 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv23 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv39 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv29 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv39 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv51 16)) (or (= A2.V<3> (_ bv23 16)) (or (= A2.V<3> (_ bv52 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv46 16)) (or (= A2.V<3> (_ bv55 16)) (= A2.V<3> (_ bv54 16))))))))))))))))))))))))))))) (not (= A2.V<2> (_ bv29 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.V<3> (_ bv39 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.V<3> (_ bv23 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.V<3> (_ bv54 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv16 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv16 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv28 16)) (= A2.V<3> (_ bv29 16)))))))))))))))))) (not (= A2.V<2> (_ bv3 16)))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv4 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv2 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv18 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv25 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv8 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv39 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv23 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv23 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv39 16)) (= A2.V<3> (_ bv38 16)))))))))))))))))))))) (not (= A2.V<2> (_ bv13 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv23 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv39 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv4 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.V<3> (_ bv7 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv39 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv23 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv23 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv31 16)) (or (= A2.V<3> (_ bv39 16)) (= A2.V<3> (_ bv37 16))))))))))))))))))) (not (= A2.V<2> (_ bv14 16)))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv31 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv23 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv39 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv15 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv7 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv4 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv16 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv16 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv16 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv16 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv16 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv16 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv16 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv16 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv16 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv16 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv16 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv16 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv16 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv16 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv16 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv42 16)) (= A2.V<3> (_ bv41 16)))))))))))))))) (not (= A2.V<2> (_ bv16 16)))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.V<3> (_ bv17 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.V<3> (_ bv25 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.V<3> (_ bv24 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.V<3> (_ bv33 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.V<3> (_ bv9 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.V<3> (_ bv8 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.V<3> (_ bv42 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.V<3> (_ bv41 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.V<3> (_ bv3 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.V<3> (_ bv1 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv16 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv62 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv60 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv58 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv54 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv50 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv39 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv53 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv23 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv55 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv45 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv55 16)) (or (= A2.V<3> (_ bv23 16)) (or (= A2.V<3> (_ bv52 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv51 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv46 16)) (or (= A2.V<3> (_ bv53 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv39 16)) (or (= A2.V<3> (_ bv50 16)) (or (= A2.V<3> (_ bv54 16)) (or (or (= A2.V<3> (_ bv62 16)) (= A2.V<3> (_ bv60 16))) (= A2.V<3> (_ bv58 16)))))))))))))))))))))))) (not (= A2.V<2> (_ bv45 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.V<3> (_ bv39 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.V<3> (_ bv53 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.V<3> (_ bv54 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.V<3> (_ bv52 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.V<3> (_ bv55 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.V<3> (_ bv62 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.V<3> (_ bv23 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv45 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv40 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv18 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv40 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv44 16)) (= A2.V<3> (_ bv43 16))))))))))))))))))))))))) (not (= A2.V<2> (_ bv18 16)))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.V<3> (_ bv10 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.V<3> (_ bv17 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.V<3> (_ bv25 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.V<3> (_ bv33 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv39 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv20 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv39 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv3 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv31 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv46 16)) (= A2.V<3> (_ bv45 16))))))))))))))))))))))))))))) (not (= A2.V<2> (_ bv20 16)))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.V<3> (_ bv31 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.V<3> (_ bv39 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv63 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv61 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv59 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv55 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv53 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv51 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv39 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv54 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv47 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv23 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv46 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv31 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv23 16)) (or (= A2.V<3> (_ bv52 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv47 16)) (or (= A2.V<3> (_ bv54 16)) (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv39 16)) (or (= A2.V<3> (_ bv51 16)) (or (= A2.V<3> (_ bv53 16)) (or (= A2.V<3> (_ bv55 16)) (or (= A2.V<3> (_ bv59 16)) (or (= A2.V<3> (_ bv61 16)) (= A2.V<3> (_ bv63 16)))))))))))))))))))))) (not (= A2.V<2> (_ bv46 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.V<3> (_ bv47 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.V<3> (_ bv39 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.V<3> (_ bv54 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.V<3> (_ bv53 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.V<3> (_ bv55 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.V<3> (_ bv31 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.V<3> (_ bv52 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.V<3> (_ bv63 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.V<3> (_ bv23 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.V<3> (_ bv61 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv46 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv61 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv60 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv58 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv16 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv54 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv57 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv40 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv48 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv50 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv35 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (or (= A2.V<3> (_ bv52 16)) (or (= A2.V<3> (_ bv50 16)) (or (= A2.V<3> (_ bv48 16)) (or (= A2.V<3> (_ bv46 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv40 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv57 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv54 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv16 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv58 16)) (or (= A2.V<3> (_ bv60 16)) (= A2.V<3> (_ bv61 16))))))))))))))))))))))))))))))))) (not (= A2.V<2> (_ bv35 16)))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.V<3> (_ bv43 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.V<3> (_ bv34 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.V<3> (_ bv52 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.V<3> (_ bv42 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.V<3> (_ bv54 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv53 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv50 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv16 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv33 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv17 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv49 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv32 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv40 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv27 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv40 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv32 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv49 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv46 16)) (or (= A2.V<3> (_ bv17 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv1 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv33 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv16 16)) (or (= A2.V<3> (_ bv50 16)) (or (= A2.V<3> (_ bv52 16)) (= A2.V<3> (_ bv53 16))))))))))))))))))))))))))))))))) (not (= A2.V<2> (_ bv27 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.V<3> (_ bv35 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.V<3> (_ bv19 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.V<3> (_ bv34 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.V<3> (_ bv53 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.V<3> (_ bv18 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv27 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv23 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv23 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv37 16)) (= A2.V<3> (_ bv38 16)))))))))))))) (not (= A2.V<2> (_ bv15 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.V<3> (_ bv23 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.V<3> (_ bv7 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.V<3> (_ bv6 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.V<3> (_ bv5 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.V<3> (_ bv4 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv32 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv25 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv24 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv18 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv42 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv8 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv9 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv41 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv19 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv41 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv9 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv8 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv42 16)) (or (= A2.V<3> (_ bv0 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv18 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv24 16)) (or (= A2.V<3> (_ bv25 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv32 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv44 16)) (= A2.V<3> (_ bv45 16))))))))))))))))))))))))))))) (not (= A2.V<2> (_ bv19 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.V<3> (_ bv11 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.V<3> (_ bv18 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.V<3> (_ bv26 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.V<3> (_ bv34 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv47 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv46 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv34 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv30 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv28 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv27 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv26 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv44 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv6 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv10 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv12 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv21 16)) (= A2.V<3> (_ bv14 16))))))
(assert (or (or (= A2.V<3> (_ bv14 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv12 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv10 16)) (or (= A2.V<3> (_ bv6 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv44 16)) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv31 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv26 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv27 16)) (or (= A2.V<3> (_ bv28 16)) (or (= A2.V<3> (_ bv30 16)) (or (= A2.V<3> (_ bv34 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv46 16)) (= A2.V<3> (_ bv47 16))))))))))))))))))))))))) (not (= A2.V<2> (_ bv21 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.V<3> (_ bv30 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.V<3> (_ bv31 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.V<3> (_ bv28 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.V<3> (_ bv46 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.V<3> (_ bv14 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.V<3> (_ bv47 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.V<3> (_ bv12 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.V<3> (_ bv27 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.V<3> (_ bv44 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.V<3> (_ bv15 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv21 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv55 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv53 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv47 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv45 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv43 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv39 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv37 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv35 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv52 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv23 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv22 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv29 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv38 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv31 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv5 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv4 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv36 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv7 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv20 16))))))
(assert (or (= A2.mtime<2> (/ 137 38)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv11 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv13 16))))))
(assert (or (= A2.mtime<2> (/ 38 17)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv15 16))))))
(assert (or (= A2.mtime<2> (/ 98 31)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv19 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv30 16)) (= A2.V<3> (_ bv21 16))))))
(assert (or (or (= A2.V<3> (_ bv21 16)) (or (= A2.V<3> (_ bv19 16)) (or (= A2.V<3> (_ bv15 16)) (or (= A2.V<3> (_ bv13 16)) (or (= A2.V<3> (_ bv11 16)) (or (= A2.V<3> (_ bv20 16)) (or (= A2.V<3> (_ bv7 16)) (or (= A2.V<3> (_ bv36 16)) (or (= A2.V<3> (_ bv4 16)) (or (= A2.V<3> (_ bv5 16)) (or (= A2.V<3> (_ bv31 16)) (or (= A2.V<3> (_ bv38 16)) (or (= A2.V<3> (_ bv29 16)) (or (= A2.V<3> (_ bv22 16)) (or (= A2.V<3> (_ bv23 16)) (or (= A2.V<3> (_ bv52 16)) (or (= A2.V<3> (_ bv35 16)) (or (= A2.V<3> (_ bv37 16)) (or (= A2.V<3> (_ bv39 16)) (or (= A2.V<3> (_ bv43 16)) (or (= A2.V<3> (_ bv45 16)) (or (= A2.V<3> (_ bv47 16)) (or (= A2.V<3> (_ bv55 16)) (= A2.V<3> (_ bv53 16))))))))))))))))))))))))) (not (= A2.V<2> (_ bv30 16)))))
(assert (or (= A2.V<3> (_ bv38 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.V<3> (_ bv31 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.V<3> (_ bv29 16)) (not (and A2.spref<2><3> (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.V<3> (_ bv39 16)) (not (and A2.spref<2><4> (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.V<3> (_ bv37 16)) (not (and A2.spref<2><5> (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.V<3> (_ bv22 16)) (not (and A2.spref<2><6> (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.V<3> (_ bv21 16)) (not (and A2.spref<2><7> (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.V<3> (_ bv23 16)) (not (and A2.spref<2><8> (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.V<3> (_ bv45 16)) (not (and A2.spref<2><9> (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.V<3> (_ bv47 16)) (not (and A2.spref<2><10> (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.V<3> (_ bv36 16)) (not (and A2.spref<2><11> (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.V<3> (_ bv20 16)) (not (and A2.spref<2><12> (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.V<3> (_ bv53 16)) (not (and A2.spref<2><13> (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.V<3> (_ bv13 16)) (not (and A2.spref<2><14> (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.V<3> (_ bv15 16)) (not (and A2.spref<2><15> (= A2.V<2> (_ bv30 16))))))
(assert (or (= A2.V<3> (_ bv55 16)) (not (and A2.spref<2><16> (= A2.V<2> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv7 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv30 16)) (= A3.V<3> (_ bv29 16)))))))))) (not (= A3.V<2> (_ bv7 16)))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.V<3> (_ bv22 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.V<3> (_ bv30 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.V<3> (_ bv15 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.V<3> (_ bv6 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv23 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv23 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv26 16)) (or (or (= A3.V<3> (_ bv30 16)) (= A3.V<3> (_ bv29 16))) (= A3.V<3> (_ bv27 16))))))))))))))))) (not (= A3.V<2> (_ bv4 16)))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv11 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv21 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv3 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv5 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv30 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv17 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<3> (_ bv23 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv23 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv23 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv23 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv23 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv23 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv23 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv23 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv23 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv23 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv23 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv23 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv23 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv23 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv23 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv23 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv31 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv46 16)) (= A3.V<3> (_ bv45 16)))))))))))))))) (not (= A3.V<2> (_ bv23 16)))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.V<3> (_ bv30 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.V<3> (_ bv31 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.V<3> (_ bv22 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.V<3> (_ bv15 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.V<3> (_ bv6 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.V<3> (_ bv4 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv23 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv63 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv61 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv57 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv47 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv58 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv62 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv52 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv62 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv59 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv58 16)) (or (= A3.V<3> (_ bv39 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv53 16)) (or (= A3.V<3> (_ bv60 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv47 16)) (or (= A3.V<3> (_ bv57 16)) (or (= A3.V<3> (_ bv63 16)) (= A3.V<3> (_ bv61 16))))))))))))))))))))))))) (not (= A3.V<2> (_ bv52 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.V<3> (_ bv60 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.V<3> (_ bv58 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.V<3> (_ bv61 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.V<3> (_ bv57 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.V<3> (_ bv62 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv47 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv23 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv22 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv7 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv23 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv31 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv39 16)) (or (= A3.V<3> (_ bv45 16)) (= A3.V<3> (_ bv47 16)))))))))))))))))))))) (not (= A3.V<2> (_ bv22 16)))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.V<3> (_ bv30 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.V<3> (_ bv21 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.V<3> (_ bv31 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.V<3> (_ bv39 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.V<3> (_ bv23 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.V<3> (_ bv47 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv62 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv56 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv57 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv58 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv61 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv51 16)) (= A3.V<3> (_ bv40 16))))))
(assert (or (or (= A3.V<3> (_ bv40 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv61 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv58 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv57 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv59 16)) (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv56 16)) (or (= A3.V<3> (_ bv60 16)) (= A3.V<3> (_ bv62 16))))))))))))))))))))))))) (not (= A3.V<2> (_ bv51 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.V<3> (_ bv60 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.V<3> (_ bv58 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.V<3> (_ bv61 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.V<3> (_ bv57 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.V<3> (_ bv62 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.V<3> (_ bv56 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv24 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv0 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv19 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv8 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv0 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv24 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv45 16)) (= A3.V<3> (_ bv44 16))))))))))))))))))))))))))))) (not (= A3.V<2> (_ bv19 16)))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.V<3> (_ bv18 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.V<3> (_ bv25 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.V<3> (_ bv11 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv20 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv39 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv7 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv31 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv35 16)) (or (or (= A3.V<3> (_ bv46 16)) (= A3.V<3> (_ bv45 16))) (= A3.V<3> (_ bv37 16)))))))))))))))))))))))))))) (not (= A3.V<2> (_ bv20 16)))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.V<3> (_ bv21 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.V<3> (_ bv30 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.V<3> (_ bv11 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv62 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv61 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv23 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv55 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv58 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv47 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv36 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (or (= A3.V<3> (_ bv53 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv47 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv31 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv58 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv55 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv23 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv59 16)) (or (= A3.V<3> (_ bv61 16)) (= A3.V<3> (_ bv62 16))))))))))))))))))))))))))))))))) (not (= A3.V<2> (_ bv36 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.V<3> (_ bv58 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.V<3> (_ bv61 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv63 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv61 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv55 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv47 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv23 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv38 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv23 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv39 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv31 16)) (or (= A3.V<3> (_ bv60 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv47 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv53 16)) (or (or (= A3.V<3> (_ bv63 16)) (= A3.V<3> (_ bv61 16))) (= A3.V<3> (_ bv55 16)))))))))))))))))))))))) (not (= A3.V<2> (_ bv38 16)))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.V<3> (_ bv60 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.V<3> (_ bv61 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.V<3> (_ bv47 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.V<3> (_ bv30 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.V<3> (_ bv39 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.V<3> (_ bv55 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.V<3> (_ bv31 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv61 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv58 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv24 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv56 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv40 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv57 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv50 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv57 16)) (or (= A3.V<3> (_ bv40 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv56 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv24 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv58 16)) (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv59 16)) (or (= A3.V<3> (_ bv61 16)) (= A3.V<3> (_ bv60 16)))))))))))))))))))))) (not (= A3.V<2> (_ bv50 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.V<3> (_ bv58 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.V<3> (_ bv60 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.V<3> (_ bv57 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.V<3> (_ bv61 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.V<3> (_ bv56 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.V<3> (_ bv40 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv50 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv62 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv58 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv23 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv55 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv45 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv55 16)) (or (= A3.V<3> (_ bv23 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv53 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv39 16)) (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv54 16)) (or (= A3.V<3> (_ bv58 16)) (or (= A3.V<3> (_ bv60 16)) (= A3.V<3> (_ bv62 16))))))))))))))))))))))))) (not (= A3.V<2> (_ bv45 16)))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.V<3> (_ bv60 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.V<3> (_ bv54 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.V<3> (_ bv58 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.V<3> (_ bv62 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.V<3> (_ bv55 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv58 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv56 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv48 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv62 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv24 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv43 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv24 16)) (or (= A3.V<3> (_ bv53 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv62 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv48 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv54 16)) (or (= A3.V<3> (_ bv56 16)) (or (= A3.V<3> (_ bv60 16)) (= A3.V<3> (_ bv58 16))))))))))))))))))))))))))))) (not (= A3.V<2> (_ bv43 16)))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.V<3> (_ bv58 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.V<3> (_ bv60 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.V<3> (_ bv48 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.V<3> (_ bv54 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv62 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv61 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv47 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv39 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv47 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv31 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv52 16)) (or (or (= A3.V<3> (_ bv61 16)) (= A3.V<3> (_ bv62 16))) (= A3.V<3> (_ bv54 16))))))))))))))))) (not (= A3.V<2> (_ bv39 16)))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.V<3> (_ bv54 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.V<3> (_ bv47 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.V<3> (_ bv61 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.V<3> (_ bv62 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.V<3> (_ bv30 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.V<3> (_ bv31 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.V<3> (_ bv22 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv63 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv62 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv47 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv37 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv47 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv59 16)) (or (= A3.V<3> (_ bv31 16)) (or (= A3.V<3> (_ bv60 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv54 16)) (or (= A3.V<3> (_ bv63 16)) (= A3.V<3> (_ bv62 16))))))))))))))))))))))))))))) (not (= A3.V<2> (_ bv37 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.V<3> (_ bv60 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.V<3> (_ bv54 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.V<3> (_ bv62 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv61 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv58 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv24 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv16 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv57 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv40 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv48 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv35 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv48 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv40 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv57 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv54 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv16 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv24 16)) (or (= A3.V<3> (_ bv58 16)) (or (= A3.V<3> (_ bv61 16)) (= A3.V<3> (_ bv60 16))))))))))))))))))))))))))))))))) (not (= A3.V<2> (_ bv35 16)))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.V<3> (_ bv60 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.V<3> (_ bv58 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.V<3> (_ bv61 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.V<3> (_ bv57 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv61 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv57 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv55 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv63 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv44 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv54 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv31 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv63 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv39 16)) (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv53 16)) (or (= A3.V<3> (_ bv55 16)) (or (= A3.V<3> (_ bv57 16)) (or (= A3.V<3> (_ bv61 16)) (= A3.V<3> (_ bv59 16))))))))))))))))))))))))))))) (not (= A3.V<2> (_ bv44 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.V<3> (_ bv61 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.V<3> (_ bv54 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.V<3> (_ bv57 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv63 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv61 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv47 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv62 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv55 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv54 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv39 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv31 16)) (or (= A3.V<3> (_ bv60 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv55 16)) (or (= A3.V<3> (_ bv62 16)) (or (= A3.V<3> (_ bv53 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv47 16)) (or (= A3.V<3> (_ bv59 16)) (or (= A3.V<3> (_ bv63 16)) (= A3.V<3> (_ bv61 16))))))))))))))))))) (not (= A3.V<2> (_ bv54 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.V<3> (_ bv60 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.V<3> (_ bv61 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.V<3> (_ bv62 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.V<3> (_ bv55 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.V<3> (_ bv63 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.V<3> (_ bv47 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.V<3> (_ bv39 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv54 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv47 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv23 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv28 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv39 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv23 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv47 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv53 16)) (= A3.V<3> (_ bv54 16))))))))))))))))))))))))))))))))) (not (= A3.V<2> (_ bv28 16)))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.V<3> (_ bv54 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv63 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv63 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv63 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv63 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv63 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv63 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv63 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv63 16)) (= A3.V<3> (_ bv62 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv63 16)) (= A3.V<3> (_ bv55 16))))))
(assert (or (or (= A3.V<3> (_ bv55 16)) (or (= A3.V<3> (_ bv62 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv53 16)) (= A3.V<3> (_ bv54 16)))))))))) (not (= A3.V<2> (_ bv63 16)))))
(assert (or (= A3.V<3> (_ bv62 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv63 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv63 16))))))
(assert (or (= A3.V<3> (_ bv54 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv63 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv63 16))))))
(assert (or (= A3.V<3> (_ bv55 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv63 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv63 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv63 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv63 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv63 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv61 16)) (= A3.V<3> (_ bv55 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv61 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv61 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv61 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv61 16)) (= A3.V<3> (_ bv62 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv61 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv61 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv61 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv61 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv61 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv61 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv61 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv61 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv61 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv61 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv39 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv62 16)) (or (= A3.V<3> (_ bv60 16)) (or (= A3.V<3> (_ bv53 16)) (or (= A3.V<3> (_ bv55 16)) (= A3.V<3> (_ bv54 16)))))))))))))))) (not (= A3.V<2> (_ bv61 16)))))
(assert (or (= A3.V<3> (_ bv60 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.V<3> (_ bv62 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.V<3> (_ bv54 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.V<3> (_ bv55 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.V<3> (_ bv39 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv61 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv24 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv24 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv8 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv27 16)) (= A3.V<3> (_ bv28 16)))))))))))))))) (not (= A3.V<2> (_ bv2 16)))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv11 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv25 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv17 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv3 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv1 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv24 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv8 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv21 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv58 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv40 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv48 16))))))
(assert (or (and (= A3.mtime<2> 0) (= A3.wtime<2> 0)) (not (and (= A3.V<2> (_ bv59 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (not (and (= A3.V<1> (_ bv59 16)) (= A3.V<2> (_ bv59 16)))) (= A3.V<3> (_ bv59 16))))
(assert (or (or (= A3.V<3> (_ bv59 16)) (or (= A3.V<3> (_ bv48 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv40 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv60 16)) (or (= A3.V<3> (_ bv58 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv53 16)) (= A3.V<3> (_ bv54 16))))))))))))))))))) (not (= A3.V<2> (_ bv59 16)))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv63 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv61 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv55 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv47 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv23 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv46 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv31 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv23 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv47 16)) (or (= A3.V<3> (_ bv54 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv39 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv53 16)) (or (= A3.V<3> (_ bv55 16)) (or (= A3.V<3> (_ bv59 16)) (or (= A3.V<3> (_ bv63 16)) (= A3.V<3> (_ bv61 16)))))))))))))))))))))) (not (= A3.V<2> (_ bv46 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.V<3> (_ bv54 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.V<3> (_ bv61 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.V<3> (_ bv47 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.V<3> (_ bv55 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.V<3> (_ bv63 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.V<3> (_ bv39 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv47 16)) (= A3.V<3> (_ bv62 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv47 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv47 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv47 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv47 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv47 16)) (= A3.V<3> (_ bv55 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv47 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv47 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv47 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv47 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv47 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv47 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv47 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv47 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv47 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (or (= A3.V<3> (_ bv53 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv54 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv55 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv39 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv60 16)) (= A3.V<3> (_ bv62 16)))))))))))))))) (not (= A3.V<2> (_ bv47 16)))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.V<3> (_ bv54 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.V<3> (_ bv60 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.V<3> (_ bv55 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.V<3> (_ bv62 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.V<3> (_ bv39 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.V<3> (_ bv30 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.V<3> (_ bv21 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.V<3> (_ bv22 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv47 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv62 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv58 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv47 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv61 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv63 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv53 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv63 16)) (or (= A3.V<3> (_ bv31 16)) (or (= A3.V<3> (_ bv60 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv59 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv54 16)) (or (= A3.V<3> (_ bv61 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv47 16)) (or (= A3.V<3> (_ bv58 16)) (= A3.V<3> (_ bv62 16)))))))))))))))))))))) (not (= A3.V<2> (_ bv53 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.V<3> (_ bv60 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.V<3> (_ bv61 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.V<3> (_ bv58 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.V<3> (_ bv54 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.V<3> (_ bv62 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.V<3> (_ bv63 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.V<3> (_ bv47 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv62 16)) (= A3.V<3> (_ bv55 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv62 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv62 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv62 16)) (= A3.V<3> (_ bv47 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv62 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv62 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv62 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv62 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv62 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv62 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv62 16)) (= A3.V<3> (_ bv63 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv62 16)) (= A3.V<3> (_ bv61 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv62 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (or (= A3.V<3> (_ bv54 16)) (or (= A3.V<3> (_ bv61 16)) (or (= A3.V<3> (_ bv63 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv39 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv47 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv53 16)) (= A3.V<3> (_ bv55 16)))))))))))))) (not (= A3.V<2> (_ bv62 16)))))
(assert (or (= A3.V<3> (_ bv61 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.V<3> (_ bv54 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.V<3> (_ bv63 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.V<3> (_ bv55 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.V<3> (_ bv47 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.V<3> (_ bv39 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv62 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv16 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv16 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv8 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv29 16)) (= A3.V<3> (_ bv28 16)))))))))))))))))) (not (= A3.V<2> (_ bv3 16)))))
(assert (or (= A3.V<3> (_ bv11 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv18 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv25 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv2 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv4 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv22 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv16 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv8 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv55 16)) (= A3.V<3> (_ bv61 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv55 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv55 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv55 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv55 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv55 16)) (= A3.V<3> (_ bv62 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv55 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv55 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv55 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv55 16)) (= A3.V<3> (_ bv63 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv55 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv55 16)) (= A3.V<3> (_ bv47 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv55 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (or (= A3.V<3> (_ bv54 16)) (or (= A3.V<3> (_ bv47 16)) (or (= A3.V<3> (_ bv60 16)) (or (= A3.V<3> (_ bv63 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv62 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv46 16)) (= A3.V<3> (_ bv61 16)))))))))))))) (not (= A3.V<2> (_ bv55 16)))))
(assert (or (= A3.V<3> (_ bv60 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.V<3> (_ bv54 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.V<3> (_ bv61 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.V<3> (_ bv62 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.V<3> (_ bv63 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.V<3> (_ bv47 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.V<3> (_ bv30 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv55 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv58 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv58 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv58 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv58 16)) (= A3.V<3> (_ bv57 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv58 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv58 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv58 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv58 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv58 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv58 16)) (= A3.V<3> (_ bv48 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv58 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv58 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv58 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv58 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv58 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv48 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv59 16)) (or (= A3.V<3> (_ bv57 16)) (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv53 16)) (= A3.V<3> (_ bv52 16)))))))))))))))) (not (= A3.V<2> (_ bv58 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.V<3> (_ bv57 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.V<3> (_ bv48 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.V<3> (_ bv32 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv58 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv55 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv23 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv29 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv39 16)) (or (= A3.V<3> (_ bv7 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv23 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv55 16)) (= A3.V<3> (_ bv54 16))))))))))))))))))))))))))))) (not (= A3.V<2> (_ bv29 16)))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.V<3> (_ bv30 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.V<3> (_ bv54 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.V<3> (_ bv21 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv55 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv61 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv47 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv60 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv47 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv61 16)) (or (= A3.V<3> (_ bv59 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv53 16)) (or (= A3.V<3> (_ bv55 16)) (= A3.V<3> (_ bv54 16)))))))))))))))))) (not (= A3.V<2> (_ bv60 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.V<3> (_ bv61 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.V<3> (_ bv54 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.V<3> (_ bv55 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv60 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv54 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv23 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv31 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv39 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv23 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv53 16)) (= A3.V<3> (_ bv54 16)))))))))))))))))) (not (= A3.V<2> (_ bv31 16)))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.V<3> (_ bv30 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.V<3> (_ bv39 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.V<3> (_ bv54 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.V<3> (_ bv22 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.V<3> (_ bv23 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.V<3> (_ bv21 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.V<3> (_ bv6 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv31 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv48 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv0 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv16 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv26 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv16 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv0 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv48 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv51 16)) (= A3.V<3> (_ bv52 16))))))))))))))))))))))))))))) (not (= A3.V<2> (_ bv26 16)))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.V<3> (_ bv25 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.V<3> (_ bv18 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.V<3> (_ bv32 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.V<3> (_ bv48 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv55 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv47 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv23 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv30 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv7 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv31 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv23 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv39 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv47 16)) (or (= A3.V<3> (_ bv53 16)) (= A3.V<3> (_ bv55 16))))))))))))))))))))))))) (not (= A3.V<2> (_ bv30 16)))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.V<3> (_ bv45 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.V<3> (_ bv39 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.V<3> (_ bv31 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.V<3> (_ bv47 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.V<3> (_ bv21 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.V<3> (_ bv22 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.V<3> (_ bv55 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv45 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv57 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv56 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv40 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv24 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv34 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv24 16)) (or (= A3.V<3> (_ bv53 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv40 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv8 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv56 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv57 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv45 16)) (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv60 16)) (= A3.V<3> (_ bv59 16))))))))))))))))))))))))))))) (not (= A3.V<2> (_ bv34 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.V<3> (_ bv60 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.V<3> (_ bv57 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.V<3> (_ bv40 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.V<3> (_ bv25 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv56 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv56 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv56 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv56 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv56 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv56 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv56 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv56 16)) (= A3.V<3> (_ bv57 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv56 16)) (= A3.V<3> (_ bv48 16))))))
(assert (or (or (= A3.V<3> (_ bv48 16)) (or (= A3.V<3> (_ bv57 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv51 16)) (= A3.V<3> (_ bv50 16)))))))))) (not (= A3.V<2> (_ bv56 16)))))
(assert (or (= A3.V<3> (_ bv57 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv56 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv56 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv56 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv56 16))))))
(assert (or (= A3.V<3> (_ bv48 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv56 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv56 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv56 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv56 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv56 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv48 16)) (= A3.V<3> (_ bv58 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv48 16)) (= A3.V<3> (_ bv57 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv48 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv48 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv48 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv48 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv48 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv48 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv48 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv48 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv48 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv48 16)) (= A3.V<3> (_ bv56 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv48 16)) (= A3.V<3> (_ bv40 16))))))
(assert (or (or (= A3.V<3> (_ bv40 16)) (or (= A3.V<3> (_ bv56 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv59 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv57 16)) (= A3.V<3> (_ bv58 16)))))))))))))) (not (= A3.V<2> (_ bv48 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv48 16))))))
(assert (or (= A3.V<3> (_ bv58 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv48 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv48 16))))))
(assert (or (= A3.V<3> (_ bv57 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv48 16))))))
(assert (or (= A3.V<3> (_ bv56 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv48 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv48 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv48 16))))))
(assert (or (= A3.V<3> (_ bv40 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv48 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv48 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv48 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv48 16))))))
(assert (or (= A3.V<3> (_ bv25 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv48 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv48 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv58 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv48 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv40 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv24 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv16 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv56 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv33 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv56 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv16 16)) (or (= A3.V<3> (_ bv24 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv40 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv8 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv48 16)) (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv58 16)) (= A3.V<3> (_ bv59 16))))))))))))))))))))))))) (not (= A3.V<2> (_ bv33 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.V<3> (_ bv58 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.V<3> (_ bv40 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.V<3> (_ bv32 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.V<3> (_ bv48 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.V<3> (_ bv25 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.V<3> (_ bv56 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv57 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv16 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv48 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv61 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv42 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv61 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv48 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv16 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv53 16)) (or (= A3.V<3> (_ bv57 16)) (= A3.V<3> (_ bv59 16))))))))))))))))))))))))) (not (= A3.V<2> (_ bv42 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.V<3> (_ bv57 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.V<3> (_ bv48 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.V<3> (_ bv61 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv40 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv24 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv18 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv24 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv40 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv8 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv43 16)) (= A3.V<3> (_ bv44 16))))))))))))))))))))))))) (not (= A3.V<2> (_ bv18 16)))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.V<3> (_ bv25 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.V<3> (_ bv17 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.V<3> (_ bv40 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.V<3> (_ bv24 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.V<3> (_ bv11 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv16 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv0 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv40 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv17 16)) (= A3.V<3> (_ bv24 16))))))
(assert (or (or (= A3.V<3> (_ bv24 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv40 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv8 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv0 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv16 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv43 16)) (= A3.V<3> (_ bv42 16)))))))))))))))))))))) (not (= A3.V<2> (_ bv17 16)))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.V<3> (_ bv25 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.V<3> (_ bv18 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.V<3> (_ bv24 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.V<3> (_ bv32 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.V<3> (_ bv40 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.V<3> (_ bv16 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.V<3> (_ bv8 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv58 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv48 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv57 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv24 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv56 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv40 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv49 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv40 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv56 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv24 16)) (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv57 16)) (or (= A3.V<3> (_ bv48 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv58 16)) (or (= A3.V<3> (_ bv60 16)) (= A3.V<3> (_ bv59 16))))))))))))))))))) (not (= A3.V<2> (_ bv49 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.V<3> (_ bv58 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.V<3> (_ bv57 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.V<3> (_ bv60 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.V<3> (_ bv48 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.V<3> (_ bv56 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.V<3> (_ bv40 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.V<3> (_ bv32 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv49 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv47 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv21 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv31 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv46 16)) (= A3.V<3> (_ bv47 16))))))))))))))))))))))))) (not (= A3.V<2> (_ bv21 16)))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.V<3> (_ bv30 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.V<3> (_ bv46 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.V<3> (_ bv22 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.V<3> (_ bv31 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv16 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv24 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv16 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv50 16)) (= A3.V<3> (_ bv49 16)))))))))))))))))) (not (= A3.V<2> (_ bv24 16)))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.V<3> (_ bv32 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.V<3> (_ bv25 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.V<3> (_ bv17 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.V<3> (_ bv16 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.V<3> (_ bv18 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.V<3> (_ bv11 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.V<3> (_ bv1 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv24 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv58 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv57 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv24 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv40 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv43 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv32 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv43 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv40 16)) (or (= A3.V<3> (_ bv24 16)) (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv57 16)) (= A3.V<3> (_ bv58 16)))))))))))))))))) (not (= A3.V<2> (_ bv32 16)))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv32 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv32 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv32 16))))))
(assert (or (= A3.V<3> (_ bv58 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv32 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv32 16))))))
(assert (or (= A3.V<3> (_ bv40 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv32 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv32 16))))))
(assert (or (= A3.V<3> (_ bv57 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv32 16))))))
(assert (or (= A3.V<3> (_ bv43 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv32 16))))))
(assert (or (= A3.V<3> (_ bv25 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv32 16))))))
(assert (or (= A3.V<3> (_ bv24 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv32 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv32 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv32 16))))))
(assert (or (= A3.V<3> (_ bv17 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv32 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv32 16))))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv32 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv16 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv16 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv16 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv16 16)) (= A3.V<3> (_ bv24 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv16 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv16 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv16 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv16 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv16 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv16 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv16 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv16 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv16 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv16 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv16 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv24 16)) (or (= A3.V<3> (_ bv8 16)) (or (= A3.V<3> (_ bv42 16)) (= A3.V<3> (_ bv41 16)))))))))))))))) (not (= A3.V<2> (_ bv16 16)))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv16 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv16 16))))))
(assert (or (= A3.V<3> (_ bv25 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv16 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv16 16))))))
(assert (or (= A3.V<3> (_ bv24 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv16 16))))))
(assert (or (= A3.V<3> (_ bv17 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv16 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv16 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv16 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv16 16))))))
(assert (or (= A3.V<3> (_ bv8 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv16 16))))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv16 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv16 16))))))
(assert (or (= A3.V<3> (_ bv11 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv16 16))))))
(assert (or (= A3.V<3> (_ bv1 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv16 16))))))
(assert (or (= A3.V<3> (_ bv3 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv16 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv23 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv7 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv23 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv38 16)) (= A3.V<3> (_ bv39 16)))))))))))))))))))))) (not (= A3.V<2> (_ bv13 16)))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv21 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv22 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv30 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv18 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv5 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv4 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.V<3> (_ bv39 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv23 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv31 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv7 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv23 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv38 16)) (= A3.V<3> (_ bv37 16))))))))))))))))))))))))) (not (= A3.V<2> (_ bv12 16)))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.V<3> (_ bv21 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.V<3> (_ bv11 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.V<3> (_ bv18 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.V<3> (_ bv22 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.V<3> (_ bv25 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.V<3> (_ bv4 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.V<3> (_ bv3 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv60 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv58 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv56 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv40 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv16 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv48 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv24 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv41 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv24 16)) (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv48 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv16 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv40 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv52 16)) (or (= A3.V<3> (_ bv56 16)) (or (= A3.V<3> (_ bv60 16)) (= A3.V<3> (_ bv58 16)))))))))))))))))))))) (not (= A3.V<2> (_ bv41 16)))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.V<3> (_ bv58 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.V<3> (_ bv48 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.V<3> (_ bv40 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.V<3> (_ bv60 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.V<3> (_ bv56 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.V<3> (_ bv32 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv41 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv0 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv16 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<3> (_ bv24 16))))))
(assert (or (or (= A3.V<3> (_ bv24 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv16 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv0 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv8 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv35 16)) (= A3.V<3> (_ bv34 16))))))))))))))))))) (not (= A3.V<2> (_ bv9 16)))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv17 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv18 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv24 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv16 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv32 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv8 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv1 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv2 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.V<3> (_ bv0 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv9 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv0 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv16 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv16 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv0 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv9 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv36 16)) (= A3.V<3> (_ bv35 16)))))))))))))))))))))) (not (= A3.V<2> (_ bv10 16)))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv18 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv25 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv17 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv11 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv9 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv32 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv16 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv2 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.V<3> (_ bv3 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv53 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv16 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv46 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv40 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv27 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv40 16)) (or (= A3.V<3> (_ bv38 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv46 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv37 16)) (or (= A3.V<3> (_ bv8 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv16 16)) (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv53 16)) (= A3.V<3> (_ bv52 16))))))))))))))))))))))))))))))))) (not (= A3.V<2> (_ bv27 16)))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.V<3> (_ bv53 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.V<3> (_ bv18 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv40 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv24 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv0 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv16 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv8 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv48 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv25 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv48 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv8 16)) (or (= A3.V<3> (_ bv16 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv0 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv24 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv40 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv51 16)) (= A3.V<3> (_ bv50 16))))))))))))))))))))))))) (not (= A3.V<2> (_ bv25 16)))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.V<3> (_ bv32 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.V<3> (_ bv40 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.V<3> (_ bv24 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.V<3> (_ bv48 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.V<3> (_ bv17 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.V<3> (_ bv18 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv57 16)) (= A3.V<3> (_ bv52 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv57 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv57 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv57 16)) (= A3.V<3> (_ bv44 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv57 16)) (= A3.V<3> (_ bv42 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv57 16)) (= A3.V<3> (_ bv40 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv57 16)) (= A3.V<3> (_ bv48 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv57 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv57 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv57 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv57 16)) (= A3.V<3> (_ bv58 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv57 16)) (= A3.V<3> (_ bv56 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv57 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv56 16)) (or (= A3.V<3> (_ bv58 16)) (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv48 16)) (or (= A3.V<3> (_ bv40 16)) (or (= A3.V<3> (_ bv42 16)) (or (= A3.V<3> (_ bv44 16)) (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv51 16)) (= A3.V<3> (_ bv52 16)))))))))))))) (not (= A3.V<2> (_ bv57 16)))))
(assert (or (= A3.V<3> (_ bv58 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv57 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv57 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv57 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv57 16))))))
(assert (or (= A3.V<3> (_ bv56 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv57 16))))))
(assert (or (= A3.V<3> (_ bv42 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv57 16))))))
(assert (or (= A3.V<3> (_ bv52 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv57 16))))))
(assert (or (= A3.V<3> (_ bv48 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv57 16))))))
(assert (or (= A3.V<3> (_ bv44 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv57 16))))))
(assert (or (= A3.V<3> (_ bv40 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv57 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv57 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv57 16))))))
(assert (or (= A3.V<3> (_ bv32 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv57 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv40 16)) (= A3.V<3> (_ bv59 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv40 16)) (= A3.V<3> (_ bv57 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv40 16)) (= A3.V<3> (_ bv32 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv40 16)) (= A3.V<3> (_ bv48 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv40 16)) (= A3.V<3> (_ bv35 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv40 16)) (= A3.V<3> (_ bv41 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv40 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv40 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv40 16)) (= A3.V<3> (_ bv25 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv40 16)) (= A3.V<3> (_ bv51 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv40 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv40 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv40 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv40 16)) (= A3.V<3> (_ bv49 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv40 16)) (= A3.V<3> (_ bv50 16))))))
(assert (or (or (= A3.V<3> (_ bv50 16)) (or (= A3.V<3> (_ bv49 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv51 16)) (or (= A3.V<3> (_ bv25 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv41 16)) (or (= A3.V<3> (_ bv35 16)) (or (= A3.V<3> (_ bv48 16)) (or (= A3.V<3> (_ bv32 16)) (or (= A3.V<3> (_ bv57 16)) (= A3.V<3> (_ bv59 16)))))))))))))))) (not (= A3.V<2> (_ bv40 16)))))
(assert (or (= A3.V<3> (_ bv59 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.V<3> (_ bv49 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.V<3> (_ bv50 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.V<3> (_ bv41 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.V<3> (_ bv48 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.V<3> (_ bv51 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.V<3> (_ bv57 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.V<3> (_ bv32 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.V<3> (_ bv35 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.V<3> (_ bv25 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.V<3> (_ bv17 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.V<3> (_ bv18 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv40 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv30 16)) (= A3.V<3> (_ bv31 16)))))))))))))))) (not (= A3.V<2> (_ bv5 16)))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv22 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv4 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv30 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv11 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv6 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv18 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv31 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.V<3> (_ bv15 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv23 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv11 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv31 16)) (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv7 16)) (or (= A3.V<3> (_ bv11 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv29 16)) (= A3.V<3> (_ bv23 16)))))))))))))) (not (= A3.V<2> (_ bv6 16)))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv21 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv5 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv15 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv23 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv31 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv7 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.V<3> (_ bv11 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv39 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv31 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv29 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv13 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv15 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv23 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<3> (_ bv27 16))))))
(assert (or (or (= A3.V<3> (_ bv27 16)) (or (= A3.V<3> (_ bv23 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv7 16)) (or (= A3.V<3> (_ bv36 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv15 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv13 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv29 16)) (or (= A3.V<3> (_ bv31 16)) (or (= A3.V<3> (_ bv39 16)) (= A3.V<3> (_ bv37 16))))))))))))))))))) (not (= A3.V<2> (_ bv14 16)))))
(assert (or (= A3.V<3> (_ bv29 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv21 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv22 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv13 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv27 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv23 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv31 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv39 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv15 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv6 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv5 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.V<3> (_ bv4 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv36 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv26 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv24 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv16 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv10 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv19 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv12 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv0 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv33 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv17 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv34 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<3> (_ bv18 16))))))
(assert (or (or (= A3.V<3> (_ bv18 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv34 16)) (or (= A3.V<3> (_ bv17 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv33 16)) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv1 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv0 16)) (or (= A3.V<3> (_ bv12 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv19 16)) (or (= A3.V<3> (_ bv10 16)) (or (= A3.V<3> (_ bv16 16)) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv24 16)) (or (= A3.V<3> (_ bv26 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv36 16)) (= A3.V<3> (_ bv37 16))))))))))))))))))))))))) (not (= A3.V<2> (_ bv11 16)))))
(assert (or (= A3.V<3> (_ bv19 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv36 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv34 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv26 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv18 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv10 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv12 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv33 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv21 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv17 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv3 16)) (not (and A3.spref<2><14> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv2 16)) (not (and A3.spref<2><15> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.V<3> (_ bv4 16)) (not (and A3.spref<2><16> (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv38 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv37 16))))))
(assert (or (= A3.mtime<2> (/ 137 38)) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv28 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv22 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv21 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv6 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv5 16))))))
(assert (or (= A3.mtime<2> (/ 38 17)) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv30 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv4 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv23 16))))))
(assert (or (= A3.mtime<2> (/ 98 31)) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv20 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv7 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<3> (_ bv14 16))))))
(assert (or (or (= A3.V<3> (_ bv14 16)) (or (= A3.V<3> (_ bv7 16)) (or (= A3.V<3> (_ bv20 16)) (or (= A3.V<3> (_ bv23 16)) (or (= A3.V<3> (_ bv4 16)) (or (= A3.V<3> (_ bv30 16)) (or (= A3.V<3> (_ bv5 16)) (or (= A3.V<3> (_ bv6 16)) (or (= A3.V<3> (_ bv21 16)) (or (= A3.V<3> (_ bv22 16)) (or (= A3.V<3> (_ bv28 16)) (or (= A3.V<3> (_ bv38 16)) (= A3.V<3> (_ bv37 16)))))))))))))) (not (= A3.V<2> (_ bv15 16)))))
(assert (or (= A3.V<3> (_ bv37 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.V<3> (_ bv22 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.V<3> (_ bv30 16)) (not (and A3.spref<2><3> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.V<3> (_ bv38 16)) (not (and A3.spref<2><4> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.V<3> (_ bv23 16)) (not (and A3.spref<2><5> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.V<3> (_ bv21 16)) (not (and A3.spref<2><6> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.V<3> (_ bv14 16)) (not (and A3.spref<2><7> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.V<3> (_ bv28 16)) (not (and A3.spref<2><8> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.V<3> (_ bv20 16)) (not (and A3.spref<2><9> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.V<3> (_ bv6 16)) (not (and A3.spref<2><10> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.V<3> (_ bv7 16)) (not (and A3.spref<2><11> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.V<3> (_ bv5 16)) (not (and A3.spref<2><12> (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.V<3> (_ bv4 16)) (not (and A3.spref<2><13> (= A3.V<2> (_ bv15 16))))))
(declare-const kass3 Bool)
(assert (or (= objtime A3.wtime<3>) (not kass3)))
(assert (or (not kass3) (= A3.mtime<3> 0)))
(assert (or (not kass3) (= objtime A2.wtime<3>)))
(assert (or (not kass3) (= A2.mtime<3> 0)))
(assert (or (not kass3) (= objtime A1.wtime<3>)))
(assert (or (not kass3) (= A1.mtime<3> 0)))
(assert (or (not kass3) (= objtime A0.wtime<3>)))
(assert (or (not kass3) (= A0.mtime<3> 0)))
(push 1)
(assert kass3)
(assert (= A3.V<3> (_ bv59 16)))
(assert (= A2.V<3> (_ bv38 16)))
(assert (= A1.V<3> (_ bv52 16)))
(assert (= A0.V<3> (_ bv17 16)))
(assert (let ((def_42891 (ite (<= A3.atime<3> 0) 0 A3.atime<3>))) (let ((def_42893 (ite (<= A2.atime<3> def_42891) def_42891 A2.atime<3>))) (let ((def_42895 (ite (<= A1.atime<3> def_42893) def_42893 A1.atime<3>))) (= objtime (ite (<= A0.atime<3> def_42895) def_42895 A0.atime<3>))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 159 239))) (or (<= (/ 103 44) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv28 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 54 23))) (or (<= (/ 54 23) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv20 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 632 633))) (or (<= (/ 632 633) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv28 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv28 16)))))))))
(assert (or (<= (- (/ 79 33)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv17 16)))))))))
(assert (or (<= (- (/ 262 105)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv54 16)))))))))
(assert (or (<= (- (/ 262 105)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv53 16)))))))))
(assert (or (<= (- (/ 262 105)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv51 16)))))))))
(assert (or (<= (/ 38 101) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (- (/ 19 9)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (- (/ 69 38)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv38 16)))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (- (/ 262 105)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv35 16)))))))))
(assert (or (<= (/ 38 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (- (/ 262 105)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv34 16)))))))))
(assert (or (<= (- (/ 37 46)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (/ 119 33) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (/ 117 37) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (- (/ 61 38)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv29 16)))))))))
(assert (or (<= (- (/ 262 105)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv36 16)))))))))
(assert (or (<= (- (/ 87 35)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv27 16)))))))))
(assert (or (<= (- (/ 9 35)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv20 16)))))))))
(assert (or (<= (- (/ 151 66)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv18 16)))))))))
(assert (or (<= (- (/ 33 17)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv47 16)))))))))
(assert (or (<= (- (/ 30 23)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv19 16)))))))))
(assert (or (<= (- (/ 29 55)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv21 16)))))))))
(assert (or (<= (- (/ 262 105)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv50 16)))))))))
(assert (or (<= (- (/ 53 54)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv22 16)))))))))
(assert (or (<= (- (/ 37 32)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv23 16)))))))))
(assert (or (<= (- (/ 262 105)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv33 16)))))))))
(assert (or (<= (- (/ 46 21)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv37 16)))))))))
(assert (or (<= (- (/ 70 41)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv39 16)))))))))
(assert (or (<= (- (/ 262 105)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv41 16)))))))))
(assert (or (<= (- (/ 262 105)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (- (/ 262 105)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 119 33))) (or (not (= A2.V<1> (_ bv29 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv28 16))) (not (= A0.V<2> (_ bv45 16)))))))))
(set-info :status sat)
(check-sat)
(assert (<= (/ 196 31) objtime))
(assert (<= objtime (/ 245 31)))
(set-info :status sat)
(check-sat)
(exit)
