(set-info :smt-lib-version 2.6)
(set-logic QF_BVLRA)
(set-info :source |
Generated by: Tomas Kolarik
Generated on: 2024-04-14
Generator: gitlab.com/Tomaqa/mapf_r
Application: Multi-Agent Path-Finding with Continuous Time
Target solver: Z3, CVC4, MathSAT
Publications: Tomas Kolarik, Stefan Ratschan and Pavel Surynek: "Multi-Agent Path-Finding with Continuous Time Using SAT Modulo Linear Real Arithmetic" in ICAART, SCITEPRESS, 2024.
The benchmarks mimic MAPF problems with continuous time where the objective time must be sub-optimal, bounded by a user-specified coefficient. In the original solver, a simulator checks whether there are collisions between particular agents, according to the current model. This check is missing in the case of the final 'check-sat'. The benchmarks also lack commands for preferring certain variables during the search which is of huge importance when searching for short paths in a graph. However, the final plan must still avoid all collisions encountered by the original solver and the objective time must obey the sub-optimal coefficient. Producing models is crucial for the application since the intended solver communicates values of particular variables with the simulator. This communication is ommited though for simplicity. The final 'get-value' allows to compare with the original solver that the objective time indeed obeys the coefficient. Filenames without the extensions correspond to filenames of resulting plans of the original solver.
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(declare-const objtime Real)
(declare-const oo Real)
(declare-const eps Real)
(declare-const A0.V<0> (_ BitVec 16))
(declare-const A0.atime<0> Real)
(assert (= A0.atime<0> 0))
(declare-const A0.rtime<0> Real)
(declare-const A0.wtime<0> Real)
(declare-const A0.mtime<0> Real)
(assert (= (+ A0.rtime<0> (+ (* (- 1) A0.wtime<0>) (* (- 1) A0.mtime<0>))) 0))
(assert (<= 0 A0.wtime<0>))
(assert (<= 0 A0.mtime<0>))
(declare-const wpref0 Bool)
(assert (or (= A0.wtime<0> 0) (not wpref0)))
(declare-const A0.ppref<0> Bool)
(declare-const A0.spref<0><1> Bool)
(declare-const A0.spref<0><2> Bool)
(declare-const A0.spref<0><3> Bool)
(declare-const A0.spref<0><4> Bool)
(declare-const A0.spref<0><5> Bool)
(declare-const A0.spref<0><6> Bool)
(declare-const A0.spref<0><7> Bool)
(declare-const A0.spref<0><8> Bool)
(declare-const A0.spref<0><9> Bool)
(declare-const A0.spref<0><10> Bool)
(declare-const A0.spref<0><11> Bool)
(declare-const A0.spref<0><12> Bool)
(declare-const A1.V<0> (_ BitVec 16))
(declare-const A1.atime<0> Real)
(assert (= A1.atime<0> 0))
(declare-const A1.rtime<0> Real)
(declare-const A1.wtime<0> Real)
(declare-const A1.mtime<0> Real)
(assert (= (+ A1.rtime<0> (+ (* (- 1) A1.wtime<0>) (* (- 1) A1.mtime<0>))) 0))
(assert (<= 0 A1.wtime<0>))
(assert (<= 0 A1.mtime<0>))
(declare-const wpref1 Bool)
(assert (or (= A1.wtime<0> 0) (not wpref1)))
(declare-const A1.ppref<0> Bool)
(declare-const A1.spref<0><1> Bool)
(declare-const A1.spref<0><2> Bool)
(declare-const A1.spref<0><3> Bool)
(declare-const A1.spref<0><4> Bool)
(declare-const A1.spref<0><5> Bool)
(declare-const A1.spref<0><6> Bool)
(declare-const A1.spref<0><7> Bool)
(declare-const A1.spref<0><8> Bool)
(declare-const A1.spref<0><9> Bool)
(declare-const A1.spref<0><10> Bool)
(declare-const A1.spref<0><11> Bool)
(declare-const A1.spref<0><12> Bool)
(declare-const A2.V<0> (_ BitVec 16))
(declare-const A2.atime<0> Real)
(assert (= A2.atime<0> 0))
(declare-const A2.rtime<0> Real)
(declare-const A2.wtime<0> Real)
(declare-const A2.mtime<0> Real)
(assert (= (+ A2.rtime<0> (+ (* (- 1) A2.wtime<0>) (* (- 1) A2.mtime<0>))) 0))
(assert (<= 0 A2.wtime<0>))
(assert (<= 0 A2.mtime<0>))
(declare-const wpref2 Bool)
(assert (or (= A2.wtime<0> 0) (not wpref2)))
(declare-const A2.ppref<0> Bool)
(declare-const A2.spref<0><1> Bool)
(declare-const A2.spref<0><2> Bool)
(declare-const A2.spref<0><3> Bool)
(declare-const A2.spref<0><4> Bool)
(declare-const A2.spref<0><5> Bool)
(declare-const A2.spref<0><6> Bool)
(declare-const A2.spref<0><7> Bool)
(declare-const A2.spref<0><8> Bool)
(declare-const A2.spref<0><9> Bool)
(declare-const A2.spref<0><10> Bool)
(declare-const A2.spref<0><11> Bool)
(declare-const A2.spref<0><12> Bool)
(declare-const A3.V<0> (_ BitVec 16))
(declare-const A3.atime<0> Real)
(assert (= A3.atime<0> 0))
(declare-const A3.rtime<0> Real)
(declare-const A3.wtime<0> Real)
(declare-const A3.mtime<0> Real)
(assert (= (+ A3.rtime<0> (+ (* (- 1) A3.wtime<0>) (* (- 1) A3.mtime<0>))) 0))
(assert (<= 0 A3.wtime<0>))
(assert (<= 0 A3.mtime<0>))
(declare-const wpref3 Bool)
(assert (or (= A3.wtime<0> 0) (not wpref3)))
(declare-const A3.ppref<0> Bool)
(declare-const A3.spref<0><1> Bool)
(declare-const A3.spref<0><2> Bool)
(declare-const A3.spref<0><3> Bool)
(declare-const A3.spref<0><4> Bool)
(declare-const A3.spref<0><5> Bool)
(declare-const A3.spref<0><6> Bool)
(declare-const A3.spref<0><7> Bool)
(declare-const A3.spref<0><8> Bool)
(declare-const A3.spref<0><9> Bool)
(declare-const A3.spref<0><10> Bool)
(declare-const A3.spref<0><11> Bool)
(declare-const A3.spref<0><12> Bool)
(declare-const A4.V<0> (_ BitVec 16))
(declare-const A4.atime<0> Real)
(assert (= A4.atime<0> 0))
(declare-const A4.rtime<0> Real)
(declare-const A4.wtime<0> Real)
(declare-const A4.mtime<0> Real)
(assert (= (+ A4.rtime<0> (+ (* (- 1) A4.wtime<0>) (* (- 1) A4.mtime<0>))) 0))
(assert (<= 0 A4.wtime<0>))
(assert (<= 0 A4.mtime<0>))
(declare-const wpref4 Bool)
(assert (or (= A4.wtime<0> 0) (not wpref4)))
(declare-const A4.ppref<0> Bool)
(declare-const A4.spref<0><1> Bool)
(declare-const A4.spref<0><2> Bool)
(declare-const A4.spref<0><3> Bool)
(declare-const A4.spref<0><4> Bool)
(declare-const A4.spref<0><5> Bool)
(declare-const A4.spref<0><6> Bool)
(declare-const A4.spref<0><7> Bool)
(declare-const A4.spref<0><8> Bool)
(declare-const A4.spref<0><9> Bool)
(declare-const A4.spref<0><10> Bool)
(declare-const A4.spref<0><11> Bool)
(declare-const A4.spref<0><12> Bool)
(assert (= A4.V<0> (_ bv4 16)))
(assert (= A3.V<0> (_ bv5 16)))
(assert (= A2.V<0> (_ bv9 16)))
(assert (= A1.V<0> (_ bv1 16)))
(assert (= A0.V<0> (_ bv7 16)))
(assert (or (= A0.wtime<0> 0) (or (= A1.wtime<0> 0) (or (= A2.wtime<0> 0) (or (= A3.wtime<0> 0) (= A4.wtime<0> 0))))))
(assert (or (= A0.V<0> (_ bv7 16)) (not A0.ppref<0>)))
(assert (or (= A1.V<0> (_ bv1 16)) (not A1.ppref<0>)))
(assert (or (= A2.V<0> (_ bv9 16)) (not A2.ppref<0>)))
(assert (or (= A3.V<0> (_ bv5 16)) (not A3.ppref<0>)))
(assert (or (= A4.V<0> (_ bv4 16)) (not A4.ppref<0>)))
(declare-const A0.V<1> (_ BitVec 16))
(declare-const A0.atime<1> Real)
(assert (= (+ A0.atime<0> (+ A0.rtime<0> (* (- 1) A0.atime<1>))) 0))
(declare-const A0.rtime<1> Real)
(declare-const A0.wtime<1> Real)
(declare-const A0.mtime<1> Real)
(assert (= (+ A0.rtime<1> (+ (* (- 1) A0.wtime<1>) (* (- 1) A0.mtime<1>))) 0))
(assert (<= 0 A0.wtime<1>))
(assert (<= 0 A0.mtime<1>))
(declare-const A0.ppref<1> Bool)
(declare-const A0.spref<1><1> Bool)
(declare-const A0.spref<1><2> Bool)
(declare-const A0.spref<1><3> Bool)
(declare-const A0.spref<1><4> Bool)
(declare-const A0.spref<1><5> Bool)
(declare-const A0.spref<1><6> Bool)
(declare-const A0.spref<1><7> Bool)
(declare-const A0.spref<1><8> Bool)
(declare-const A0.spref<1><9> Bool)
(declare-const A0.spref<1><10> Bool)
(declare-const A0.spref<1><11> Bool)
(declare-const A0.spref<1><12> Bool)
(declare-const A1.V<1> (_ BitVec 16))
(declare-const A1.atime<1> Real)
(assert (= (+ A1.atime<0> (+ A1.rtime<0> (* (- 1) A1.atime<1>))) 0))
(declare-const A1.rtime<1> Real)
(declare-const A1.wtime<1> Real)
(declare-const A1.mtime<1> Real)
(assert (= (+ A1.rtime<1> (+ (* (- 1) A1.wtime<1>) (* (- 1) A1.mtime<1>))) 0))
(assert (<= 0 A1.wtime<1>))
(assert (<= 0 A1.mtime<1>))
(declare-const A1.ppref<1> Bool)
(declare-const A1.spref<1><1> Bool)
(declare-const A1.spref<1><2> Bool)
(declare-const A1.spref<1><3> Bool)
(declare-const A1.spref<1><4> Bool)
(declare-const A1.spref<1><5> Bool)
(declare-const A1.spref<1><6> Bool)
(declare-const A1.spref<1><7> Bool)
(declare-const A1.spref<1><8> Bool)
(declare-const A1.spref<1><9> Bool)
(declare-const A1.spref<1><10> Bool)
(declare-const A1.spref<1><11> Bool)
(declare-const A1.spref<1><12> Bool)
(declare-const A2.V<1> (_ BitVec 16))
(declare-const A2.atime<1> Real)
(assert (= (+ A2.atime<0> (+ A2.rtime<0> (* (- 1) A2.atime<1>))) 0))
(declare-const A2.rtime<1> Real)
(declare-const A2.wtime<1> Real)
(declare-const A2.mtime<1> Real)
(assert (= (+ A2.rtime<1> (+ (* (- 1) A2.wtime<1>) (* (- 1) A2.mtime<1>))) 0))
(assert (<= 0 A2.wtime<1>))
(assert (<= 0 A2.mtime<1>))
(declare-const A2.ppref<1> Bool)
(declare-const A2.spref<1><1> Bool)
(declare-const A2.spref<1><2> Bool)
(declare-const A2.spref<1><3> Bool)
(declare-const A2.spref<1><4> Bool)
(declare-const A2.spref<1><5> Bool)
(declare-const A2.spref<1><6> Bool)
(declare-const A2.spref<1><7> Bool)
(declare-const A2.spref<1><8> Bool)
(declare-const A2.spref<1><9> Bool)
(declare-const A2.spref<1><10> Bool)
(declare-const A2.spref<1><11> Bool)
(declare-const A2.spref<1><12> Bool)
(declare-const A3.V<1> (_ BitVec 16))
(declare-const A3.atime<1> Real)
(assert (= (+ A3.atime<0> (+ A3.rtime<0> (* (- 1) A3.atime<1>))) 0))
(declare-const A3.rtime<1> Real)
(declare-const A3.wtime<1> Real)
(declare-const A3.mtime<1> Real)
(assert (= (+ A3.rtime<1> (+ (* (- 1) A3.wtime<1>) (* (- 1) A3.mtime<1>))) 0))
(assert (<= 0 A3.wtime<1>))
(assert (<= 0 A3.mtime<1>))
(declare-const A3.ppref<1> Bool)
(declare-const A3.spref<1><1> Bool)
(declare-const A3.spref<1><2> Bool)
(declare-const A3.spref<1><3> Bool)
(declare-const A3.spref<1><4> Bool)
(declare-const A3.spref<1><5> Bool)
(declare-const A3.spref<1><6> Bool)
(declare-const A3.spref<1><7> Bool)
(declare-const A3.spref<1><8> Bool)
(declare-const A3.spref<1><9> Bool)
(declare-const A3.spref<1><10> Bool)
(declare-const A3.spref<1><11> Bool)
(declare-const A3.spref<1><12> Bool)
(declare-const A4.V<1> (_ BitVec 16))
(declare-const A4.atime<1> Real)
(assert (= (+ A4.atime<0> (+ A4.rtime<0> (* (- 1) A4.atime<1>))) 0))
(declare-const A4.rtime<1> Real)
(declare-const A4.wtime<1> Real)
(declare-const A4.mtime<1> Real)
(assert (= (+ A4.rtime<1> (+ (* (- 1) A4.wtime<1>) (* (- 1) A4.mtime<1>))) 0))
(assert (<= 0 A4.wtime<1>))
(assert (<= 0 A4.mtime<1>))
(declare-const A4.ppref<1> Bool)
(declare-const A4.spref<1><1> Bool)
(declare-const A4.spref<1><2> Bool)
(declare-const A4.spref<1><3> Bool)
(declare-const A4.spref<1><4> Bool)
(declare-const A4.spref<1><5> Bool)
(declare-const A4.spref<1><6> Bool)
(declare-const A4.spref<1><7> Bool)
(declare-const A4.spref<1><8> Bool)
(declare-const A4.spref<1><9> Bool)
(declare-const A4.spref<1><10> Bool)
(declare-const A4.spref<1><11> Bool)
(declare-const A4.spref<1><12> Bool)
(assert (or (= A0.V<1> (_ bv1 16)) (not A0.ppref<1>)))
(assert (or (= A1.V<1> (_ bv7 16)) (not A1.ppref<1>)))
(assert (or (= A2.V<1> (_ bv6 16)) (not A2.ppref<1>)))
(assert (or (= A3.V<1> (_ bv4 16)) (not A3.ppref<1>)))
(assert (or (= A4.V<1> (_ bv5 16)) (not A4.ppref<1>)))
(assert (or (= A0.mtime<0> (/ 137 38)) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.mtime<0> (/ 41 29)) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.mtime<0> (/ 98 31)) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.mtime<0> (/ 41 29)) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv1 16))))))
(assert (or (= A0.mtime<0> (/ 98 31)) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv11 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv6 16))))))
(assert (or (or (= A0.V<1> (_ bv6 16)) (or (= A0.V<1> (_ bv3 16)) (or (= A0.V<1> (_ bv11 16)) (or (= A0.V<1> (_ bv0 16)) (or (= A0.V<1> (_ bv1 16)) (or (= A0.V<1> (_ bv14 16)) (or (= A0.V<1> (_ bv2 16)) (or (= A0.V<1> (_ bv8 16)) (or (= A0.V<1> (_ bv9 16)) (or (= A0.V<1> (_ bv12 16)) (= A0.V<1> (_ bv10 16)))))))))))) (not (= A0.V<0> (_ bv7 16)))))
(assert (or (= A0.V<1> (_ bv1 16)) (not (and A0.spref<0><1> (= A0.V<0> (_ bv7 16))))))
(assert (or (= A0.V<1> (_ bv2 16)) (not (and A0.spref<0><2> (= A0.V<0> (_ bv7 16))))))
(assert (or (= A0.V<1> (_ bv6 16)) (not (and A0.spref<0><3> (= A0.V<0> (_ bv7 16))))))
(assert (or (= A0.V<1> (_ bv3 16)) (not (and A0.spref<0><4> (= A0.V<0> (_ bv7 16))))))
(assert (or (= A0.V<1> (_ bv10 16)) (not (and A0.spref<0><5> (= A0.V<0> (_ bv7 16))))))
(assert (or (= A0.V<1> (_ bv11 16)) (not (and A0.spref<0><6> (= A0.V<0> (_ bv7 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv14 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv7 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv6 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv4 16))))))
(assert (or (= A1.mtime<0> (/ 137 38)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv15 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv0 16))))))
(assert (or (or (= A1.V<1> (_ bv0 16)) (or (= A1.V<1> (_ bv5 16)) (or (= A1.V<1> (_ bv2 16)) (or (= A1.V<1> (_ bv15 16)) (or (= A1.V<1> (_ bv4 16)) (or (= A1.V<1> (_ bv6 16)) (or (= A1.V<1> (_ bv7 16)) (or (= A1.V<1> (_ bv8 16)) (or (= A1.V<1> (_ bv10 16)) (or (= A1.V<1> (_ bv14 16)) (= A1.V<1> (_ bv12 16)))))))))))) (not (= A1.V<0> (_ bv1 16)))))
(assert (or (= A1.V<1> (_ bv7 16)) (not (and A1.spref<0><1> (= A1.V<0> (_ bv1 16))))))
(assert (or (= A1.V<1> (_ bv6 16)) (not (and A1.spref<0><2> (= A1.V<0> (_ bv1 16))))))
(assert (or (= A1.V<1> (_ bv2 16)) (not (and A1.spref<0><3> (= A1.V<0> (_ bv1 16))))))
(assert (or (= A1.V<1> (_ bv5 16)) (not (and A1.spref<0><4> (= A1.V<0> (_ bv1 16))))))
(assert (or (= A1.V<1> (_ bv10 16)) (not (and A1.spref<0><5> (= A1.V<0> (_ bv1 16))))))
(assert (or (= A1.V<1> (_ bv0 16)) (not (and A1.spref<0><6> (= A1.V<0> (_ bv1 16))))))
(assert (or (= A2.mtime<0> (/ 41 29)) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.mtime<0> (/ 41 29)) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.mtime<0> (/ 41 29)) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.mtime<0> (/ 41 29)) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv15 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv0 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv5 16))))))
(assert (or (or (= A2.V<1> (_ bv5 16)) (or (= A2.V<1> (_ bv8 16)) (or (= A2.V<1> (_ bv13 16)) (or (= A2.V<1> (_ bv0 16)) (or (= A2.V<1> (_ bv10 16)) (or (= A2.V<1> (_ bv2 16)) (or (= A2.V<1> (_ bv15 16)) (or (= A2.V<1> (_ bv4 16)) (or (= A2.V<1> (_ bv6 16)) (or (= A2.V<1> (_ bv7 16)) (or (= A2.V<1> (_ bv14 16)) (= A2.V<1> (_ bv12 16))))))))))))) (not (= A2.V<0> (_ bv9 16)))))
(assert (or (= A2.V<1> (_ bv6 16)) (not (and A2.spref<0><1> (= A2.V<0> (_ bv9 16))))))
(assert (or (= A2.V<1> (_ bv7 16)) (not (and A2.spref<0><2> (= A2.V<0> (_ bv9 16))))))
(assert (or (= A2.V<1> (_ bv2 16)) (not (and A2.spref<0><3> (= A2.V<0> (_ bv9 16))))))
(assert (or (= A2.V<1> (_ bv10 16)) (not (and A2.spref<0><4> (= A2.V<0> (_ bv9 16))))))
(assert (or (= A2.V<1> (_ bv5 16)) (not (and A2.spref<0><5> (= A2.V<0> (_ bv9 16))))))
(assert (or (= A2.V<1> (_ bv14 16)) (not (and A2.spref<0><6> (= A2.V<0> (_ bv9 16))))))
(assert (or (= A3.mtime<0> (/ 38 17)) (not (and (= A3.V<0> (_ bv5 16)) (= A3.V<1> (_ bv12 16))))))
(assert (or (= A3.mtime<0> (/ 38 17)) (not (and (= A3.V<0> (_ bv5 16)) (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.mtime<0> (/ 41 29)) (not (and (= A3.V<0> (_ bv5 16)) (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.mtime<0> (/ 41 29)) (not (and (= A3.V<0> (_ bv5 16)) (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.mtime<0> (/ 38 17)) (not (and (= A3.V<0> (_ bv5 16)) (= A3.V<1> (_ bv3 16))))))
(assert (or (= A3.mtime<0> (/ 41 29)) (not (and (= A3.V<0> (_ bv5 16)) (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.mtime<0> (/ 41 29)) (not (and (= A3.V<0> (_ bv5 16)) (= A3.V<1> (_ bv0 16))))))
(assert (or (= A3.mtime<0> 1) (not (and (= A3.V<0> (_ bv5 16)) (= A3.V<1> (_ bv6 16))))))
(assert (or (= A3.mtime<0> 1) (not (and (= A3.V<0> (_ bv5 16)) (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.mtime<0> 1) (not (and (= A3.V<0> (_ bv5 16)) (= A3.V<1> (_ bv4 16))))))
(assert (or (= A3.mtime<0> (/ 38 17)) (not (and (= A3.V<0> (_ bv5 16)) (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.mtime<0> 1) (not (and (= A3.V<0> (_ bv5 16)) (= A3.V<1> (_ bv1 16))))))
(assert (or (or (= A3.V<1> (_ bv1 16)) (or (= A3.V<1> (_ bv14 16)) (or (= A3.V<1> (_ bv4 16)) (or (= A3.V<1> (_ bv9 16)) (or (= A3.V<1> (_ bv6 16)) (or (= A3.V<1> (_ bv0 16)) (or (= A3.V<1> (_ bv2 16)) (or (= A3.V<1> (_ bv3 16)) (or (= A3.V<1> (_ bv8 16)) (or (= A3.V<1> (_ bv10 16)) (or (= A3.V<1> (_ bv12 16)) (= A3.V<1> (_ bv11 16))))))))))))) (not (= A3.V<0> (_ bv5 16)))))
(assert (or (= A3.V<1> (_ bv4 16)) (not (and A3.spref<0><1> (= A3.V<0> (_ bv5 16))))))
(assert (or (= A3.V<1> (_ bv8 16)) (not (and A3.spref<0><2> (= A3.V<0> (_ bv5 16))))))
(assert (or (= A3.V<1> (_ bv0 16)) (not (and A3.spref<0><3> (= A3.V<0> (_ bv5 16))))))
(assert (or (= A3.V<1> (_ bv9 16)) (not (and A3.spref<0><4> (= A3.V<0> (_ bv5 16))))))
(assert (or (= A3.V<1> (_ bv1 16)) (not (and A3.spref<0><5> (= A3.V<0> (_ bv5 16))))))
(assert (or (= A3.V<1> (_ bv6 16)) (not (and A3.spref<0><6> (= A3.V<0> (_ bv5 16))))))
(assert (or (= A4.mtime<0> (/ 98 31)) (not (and (= A4.V<0> (_ bv4 16)) (= A4.V<1> (_ bv11 16))))))
(assert (or (= A4.mtime<0> (/ 38 17)) (not (and (= A4.V<0> (_ bv4 16)) (= A4.V<1> (_ bv10 16))))))
(assert (or (= A4.mtime<0> (/ 41 29)) (not (and (= A4.V<0> (_ bv4 16)) (= A4.V<1> (_ bv9 16))))))
(assert (or (= A4.mtime<0> (/ 98 31)) (not (and (= A4.V<0> (_ bv4 16)) (= A4.V<1> (_ bv3 16))))))
(assert (or (= A4.mtime<0> (/ 137 38)) (not (and (= A4.V<0> (_ bv4 16)) (= A4.V<1> (_ bv15 16))))))
(assert (or (= A4.mtime<0> (/ 38 17)) (not (and (= A4.V<0> (_ bv4 16)) (= A4.V<1> (_ bv2 16))))))
(assert (or (= A4.mtime<0> (/ 41 29)) (not (and (= A4.V<0> (_ bv4 16)) (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.mtime<0> 1) (not (and (= A4.V<0> (_ bv4 16)) (= A4.V<1> (_ bv5 16))))))
(assert (or (= A4.mtime<0> 1) (not (and (= A4.V<0> (_ bv4 16)) (= A4.V<1> (_ bv8 16))))))
(assert (or (= A4.mtime<0> (/ 38 17)) (not (and (= A4.V<0> (_ bv4 16)) (= A4.V<1> (_ bv13 16))))))
(assert (or (= A4.mtime<0> 1) (not (and (= A4.V<0> (_ bv4 16)) (= A4.V<1> (_ bv0 16))))))
(assert (or (or (= A4.V<1> (_ bv0 16)) (or (= A4.V<1> (_ bv13 16)) (or (= A4.V<1> (_ bv8 16)) (or (= A4.V<1> (_ bv5 16)) (or (= A4.V<1> (_ bv1 16)) (or (= A4.V<1> (_ bv2 16)) (or (= A4.V<1> (_ bv15 16)) (or (= A4.V<1> (_ bv3 16)) (or (= A4.V<1> (_ bv9 16)) (or (= A4.V<1> (_ bv11 16)) (= A4.V<1> (_ bv10 16)))))))))))) (not (= A4.V<0> (_ bv4 16)))))
(assert (or (= A4.V<1> (_ bv5 16)) (not (and A4.spref<0><1> (= A4.V<0> (_ bv4 16))))))
(assert (or (= A4.V<1> (_ bv9 16)) (not (and A4.spref<0><2> (= A4.V<0> (_ bv4 16))))))
(assert (or (= A4.V<1> (_ bv1 16)) (not (and A4.spref<0><3> (= A4.V<0> (_ bv4 16))))))
(assert (or (= A4.V<1> (_ bv8 16)) (not (and A4.spref<0><4> (= A4.V<0> (_ bv4 16))))))
(assert (or (= A4.V<1> (_ bv0 16)) (not (and A4.spref<0><5> (= A4.V<0> (_ bv4 16))))))
(assert (or (= A4.V<1> (_ bv10 16)) (not (and A4.spref<0><6> (= A4.V<0> (_ bv4 16))))))
(declare-const A0.V<2> (_ BitVec 16))
(declare-const A0.atime<2> Real)
(assert (= (+ A0.atime<1> (+ A0.rtime<1> (* (- 1) A0.atime<2>))) 0))
(declare-const A0.rtime<2> Real)
(declare-const A0.wtime<2> Real)
(declare-const A0.mtime<2> Real)
(assert (= (+ A0.rtime<2> (+ (* (- 1) A0.wtime<2>) (* (- 1) A0.mtime<2>))) 0))
(assert (<= 0 A0.wtime<2>))
(assert (<= 0 A0.mtime<2>))
(declare-const A0.ppref<2> Bool)
(declare-const A0.spref<2><1> Bool)
(declare-const A0.spref<2><2> Bool)
(declare-const A0.spref<2><3> Bool)
(declare-const A0.spref<2><4> Bool)
(declare-const A0.spref<2><5> Bool)
(declare-const A0.spref<2><6> Bool)
(declare-const A0.spref<2><7> Bool)
(declare-const A0.spref<2><8> Bool)
(declare-const A0.spref<2><9> Bool)
(declare-const A0.spref<2><10> Bool)
(declare-const A0.spref<2><11> Bool)
(declare-const A0.spref<2><12> Bool)
(declare-const A1.V<2> (_ BitVec 16))
(declare-const A1.atime<2> Real)
(assert (= (+ A1.atime<1> (+ A1.rtime<1> (* (- 1) A1.atime<2>))) 0))
(declare-const A1.rtime<2> Real)
(declare-const A1.wtime<2> Real)
(declare-const A1.mtime<2> Real)
(assert (= (+ A1.rtime<2> (+ (* (- 1) A1.wtime<2>) (* (- 1) A1.mtime<2>))) 0))
(assert (<= 0 A1.wtime<2>))
(assert (<= 0 A1.mtime<2>))
(declare-const A1.ppref<2> Bool)
(declare-const A1.spref<2><1> Bool)
(declare-const A1.spref<2><2> Bool)
(declare-const A1.spref<2><3> Bool)
(declare-const A1.spref<2><4> Bool)
(declare-const A1.spref<2><5> Bool)
(declare-const A1.spref<2><6> Bool)
(declare-const A1.spref<2><7> Bool)
(declare-const A1.spref<2><8> Bool)
(declare-const A1.spref<2><9> Bool)
(declare-const A1.spref<2><10> Bool)
(declare-const A1.spref<2><11> Bool)
(declare-const A1.spref<2><12> Bool)
(declare-const A2.V<2> (_ BitVec 16))
(declare-const A2.atime<2> Real)
(assert (= (+ A2.atime<1> (+ A2.rtime<1> (* (- 1) A2.atime<2>))) 0))
(declare-const A2.rtime<2> Real)
(declare-const A2.wtime<2> Real)
(declare-const A2.mtime<2> Real)
(assert (= (+ A2.rtime<2> (+ (* (- 1) A2.wtime<2>) (* (- 1) A2.mtime<2>))) 0))
(assert (<= 0 A2.wtime<2>))
(assert (<= 0 A2.mtime<2>))
(declare-const A2.ppref<2> Bool)
(declare-const A2.spref<2><1> Bool)
(declare-const A2.spref<2><2> Bool)
(declare-const A2.spref<2><3> Bool)
(declare-const A2.spref<2><4> Bool)
(declare-const A2.spref<2><5> Bool)
(declare-const A2.spref<2><6> Bool)
(declare-const A2.spref<2><7> Bool)
(declare-const A2.spref<2><8> Bool)
(declare-const A2.spref<2><9> Bool)
(declare-const A2.spref<2><10> Bool)
(declare-const A2.spref<2><11> Bool)
(declare-const A2.spref<2><12> Bool)
(declare-const A3.V<2> (_ BitVec 16))
(declare-const A3.atime<2> Real)
(assert (= (+ A3.atime<1> (+ A3.rtime<1> (* (- 1) A3.atime<2>))) 0))
(declare-const A3.rtime<2> Real)
(declare-const A3.wtime<2> Real)
(declare-const A3.mtime<2> Real)
(assert (= (+ A3.rtime<2> (+ (* (- 1) A3.wtime<2>) (* (- 1) A3.mtime<2>))) 0))
(assert (<= 0 A3.wtime<2>))
(assert (<= 0 A3.mtime<2>))
(declare-const A3.ppref<2> Bool)
(declare-const A3.spref<2><1> Bool)
(declare-const A3.spref<2><2> Bool)
(declare-const A3.spref<2><3> Bool)
(declare-const A3.spref<2><4> Bool)
(declare-const A3.spref<2><5> Bool)
(declare-const A3.spref<2><6> Bool)
(declare-const A3.spref<2><7> Bool)
(declare-const A3.spref<2><8> Bool)
(declare-const A3.spref<2><9> Bool)
(declare-const A3.spref<2><10> Bool)
(declare-const A3.spref<2><11> Bool)
(declare-const A3.spref<2><12> Bool)
(declare-const A4.V<2> (_ BitVec 16))
(declare-const A4.atime<2> Real)
(assert (= (+ A4.atime<1> (+ A4.rtime<1> (* (- 1) A4.atime<2>))) 0))
(declare-const A4.rtime<2> Real)
(declare-const A4.wtime<2> Real)
(declare-const A4.mtime<2> Real)
(assert (= (+ A4.rtime<2> (+ (* (- 1) A4.wtime<2>) (* (- 1) A4.mtime<2>))) 0))
(assert (<= 0 A4.wtime<2>))
(assert (<= 0 A4.mtime<2>))
(declare-const A4.ppref<2> Bool)
(declare-const A4.spref<2><1> Bool)
(declare-const A4.spref<2><2> Bool)
(declare-const A4.spref<2><3> Bool)
(declare-const A4.spref<2><4> Bool)
(declare-const A4.spref<2><5> Bool)
(declare-const A4.spref<2><6> Bool)
(declare-const A4.spref<2><7> Bool)
(declare-const A4.spref<2><8> Bool)
(declare-const A4.spref<2><9> Bool)
(declare-const A4.spref<2><10> Bool)
(declare-const A4.spref<2><11> Bool)
(declare-const A4.spref<2><12> Bool)
(assert (or (= A2.V<2> (_ bv3 16)) (not A2.ppref<2>)))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv0 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv11 16)) (= A0.V<2> (_ bv9 16))))))))))))) (not (= A0.V<1> (_ bv6 16)))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv6 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv6 16))))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv6 16))))))
(assert (or (= A0.V<2> (_ bv0 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv6 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv6 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv13 16)) (= A0.V<2> (_ bv14 16)))))))))) (not (= A0.V<1> (_ bv3 16)))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv0 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv14 16)) (= A0.V<2> (_ bv12 16)))))))))))) (not (= A0.V<1> (_ bv11 16)))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv11 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv11 16))))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv11 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv11 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv11 16))))))
(assert (or (= A0.V<2> (_ bv14 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv11 16)) (= A0.V<2> (_ bv13 16)))))))))) (not (= A0.V<1> (_ bv0 16)))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv0 16))))))
(assert (or (and (= A0.mtime<1> 0) (= A0.wtime<1> 0)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<0> (_ bv1 16))))))
(assert (or (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv14 16)) (= A0.V<2> (_ bv12 16))))))))))))) (not (= A0.V<1> (_ bv1 16)))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv0 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv11 16)) (= A0.V<2> (_ bv9 16)))))))))))) (not (= A0.V<1> (_ bv14 16)))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv13 16)) (= A0.V<2> (_ bv15 16)))))))))))) (not (= A0.V<1> (_ bv2 16)))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv3 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv13 16)) (= A0.V<2> (_ bv15 16)))))))))))) (not (= A0.V<1> (_ bv8 16)))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.V<2> (_ bv12 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv0 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv14 16)) (= A0.V<2> (_ bv12 16))))))))))))) (not (= A0.V<1> (_ bv9 16)))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.V<2> (_ bv0 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv13 16)) (= A0.V<2> (_ bv15 16))))))))))))) (not (= A0.V<1> (_ bv10 16)))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv11 16)) (= A0.V<2> (_ bv10 16)))))))))) (not (= A0.V<1> (_ bv12 16)))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.V<2> (_ bv8 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<2> (_ bv8 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<2> (_ bv0 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv10 16)) (= A0.V<2> (_ bv12 16)))))))))))) (not (= A0.V<1> (_ bv7 16)))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.V<2> (_ bv3 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv13 16)) (= A1.V<2> (_ bv11 16)))))))))) (not (= A1.V<1> (_ bv0 16)))))
(assert (or (= A1.V<2> (_ bv7 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv4 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv11 16)) (= A1.V<2> (_ bv12 16))))))))))))) (not (= A1.V<1> (_ bv5 16)))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv13 16)) (= A1.V<2> (_ bv15 16)))))))))))) (not (= A1.V<1> (_ bv2 16)))))
(assert (or (= A1.V<2> (_ bv7 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv9 16)) (= A1.V<2> (_ bv10 16)))))))))) (not (= A1.V<1> (_ bv15 16)))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv15 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv15 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv15 16))))))
(assert (or (= A1.V<2> (_ bv14 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv15 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv15 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv15 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv15 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv11 16)) (= A1.V<2> (_ bv10 16)))))))))))) (not (= A1.V<1> (_ bv4 16)))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv4 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv4 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv4 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv4 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv4 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv15 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv11 16)) (= A1.V<2> (_ bv9 16))))))))))))) (not (= A1.V<1> (_ bv6 16)))))
(assert (or (= A1.V<2> (_ bv7 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv6 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv6 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv6 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv6 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv6 16))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (and (= A1.mtime<1> 0) (= A1.wtime<1> 0)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<2> (_ bv7 16)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<0> (_ bv7 16))))))
(assert (or (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv12 16)) (= A1.V<2> (_ bv10 16))))))))))))) (not (= A1.V<1> (_ bv7 16)))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv13 16)) (= A1.V<2> (_ bv15 16)))))))))))) (not (= A1.V<1> (_ bv8 16)))))
(assert (or (= A1.V<2> (_ bv7 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv4 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv13 16)) (= A1.V<2> (_ bv15 16))))))))))))) (not (= A1.V<1> (_ bv10 16)))))
(assert (or (= A1.V<2> (_ bv7 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv14 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv11 16)) (= A1.V<2> (_ bv10 16)))))))))) (not (= A1.V<1> (_ bv12 16)))))
(assert (or (= A1.V<2> (_ bv7 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv15 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv11 16)) (= A1.V<2> (_ bv9 16)))))))))))) (not (= A1.V<1> (_ bv14 16)))))
(assert (or (= A1.V<2> (_ bv7 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv14 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv14 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv14 16))))))
(assert (or (= A1.V<2> (_ bv15 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv14 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv14 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv15 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv14 16)) (= A1.V<2> (_ bv12 16)))))))))))) (not (= A1.V<1> (_ bv1 16)))))
(assert (or (= A1.V<2> (_ bv7 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.V<2> (_ bv0 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv12 16)) (= A2.V<2> (_ bv11 16))))))))))))) (not (= A2.V<1> (_ bv5 16)))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv15 16)) (= A2.V<2> (_ bv13 16)))))))))))) (not (= A2.V<1> (_ bv8 16)))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv7 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv11 16)) (= A2.V<2> (_ bv10 16)))))))))))) (not (= A2.V<1> (_ bv13 16)))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv11 16)) (= A2.V<2> (_ bv13 16)))))))))) (not (= A2.V<1> (_ bv0 16)))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv0 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv0 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv0 16))))))
(assert (or (= A2.V<2> (_ bv7 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv0 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv0 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv0 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv15 16)) (= A2.V<2> (_ bv13 16))))))))))))) (not (= A2.V<1> (_ bv10 16)))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv7 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv15 16)) (= A2.V<2> (_ bv13 16)))))))))))) (not (= A2.V<1> (_ bv2 16)))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv7 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv10 16)) (= A2.V<2> (_ bv9 16)))))))))) (not (= A2.V<1> (_ bv15 16)))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv15 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv15 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv15 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv15 16))))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv15 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv11 16)) (= A2.V<2> (_ bv10 16)))))))))))) (not (= A2.V<1> (_ bv4 16)))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv0 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv11 16)) (= A2.V<2> (_ bv9 16))))))))))))) (not (= A2.V<1> (_ bv6 16)))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.V<2> (_ bv7 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv12 16)) (= A2.V<2> (_ bv10 16)))))))))))) (not (= A2.V<1> (_ bv7 16)))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv11 16)) (= A2.V<2> (_ bv10 16)))))))))) (not (= A2.V<1> (_ bv12 16)))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv7 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv11 16)) (= A2.V<2> (_ bv9 16)))))))))))) (not (= A2.V<1> (_ bv14 16)))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv7 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv15 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv12 16)) (= A2.V<2> (_ bv14 16))))))))))))) (not (= A2.V<1> (_ bv9 16)))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv7 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv0 16))))))
(assert (or (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv15 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv14 16)) (= A3.V<2> (_ bv12 16)))))))))))) (not (= A3.V<1> (_ bv1 16)))))
(assert (or (= A3.V<2> (_ bv4 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv1 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv1 16))))))
(assert (or (= A3.V<2> (_ bv0 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv1 16))))))
(assert (or (= A3.V<2> (_ bv8 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv1 16))))))
(assert (or (= A3.V<2> (_ bv2 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv1 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv1 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv14 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv14 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv14 16)) (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv14 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv14 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv14 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv14 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv14 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv14 16)) (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv14 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv14 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv13 16)) (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv15 16)) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv11 16)) (= A3.V<2> (_ bv9 16)))))))))))) (not (= A3.V<1> (_ bv14 16)))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.V<2> (_ bv8 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.V<2> (_ bv13 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.V<2> (_ bv11 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv4 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv4 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv4 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv4 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv4 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv4 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv4 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv4 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv4 16)) (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv4 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv4 16)) (= A3.V<2> (_ bv0 16))))))
(assert (or (and (= A3.mtime<1> 0) (= A3.wtime<1> 0)) (not (and (= A3.V<1> (_ bv4 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.V<2> (_ bv4 16)) (not (and (= A3.V<1> (_ bv4 16)) (= A3.V<0> (_ bv4 16))))))
(assert (or (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv13 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv15 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv10 16)) (= A3.V<2> (_ bv11 16))))))))))))) (not (= A3.V<1> (_ bv4 16)))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv13 16)) (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv15 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv14 16)) (= A3.V<2> (_ bv12 16))))))))))))) (not (= A3.V<1> (_ bv9 16)))))
(assert (or (= A3.V<2> (_ bv4 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.V<2> (_ bv8 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.V<2> (_ bv0 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.V<2> (_ bv13 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv6 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv6 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv6 16)) (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv6 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv6 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv6 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv6 16)) (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv6 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv6 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv6 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv6 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv6 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv15 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv13 16)) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv11 16)) (= A3.V<2> (_ bv9 16))))))))))))) (not (= A3.V<1> (_ bv6 16)))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv6 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv6 16))))))
(assert (or (= A3.V<2> (_ bv1 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv6 16))))))
(assert (or (= A3.V<2> (_ bv8 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv6 16))))))
(assert (or (= A3.V<2> (_ bv0 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv6 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv11 16)) (= A3.V<2> (_ bv13 16)))))))))) (not (= A3.V<1> (_ bv0 16)))))
(assert (or (= A3.V<2> (_ bv4 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv0 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv0 16))))))
(assert (or (= A3.V<2> (_ bv1 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv0 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv0 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv0 16))))))
(assert (or (= A3.V<2> (_ bv13 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv0 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv11 16)) (or (= A3.V<2> (_ bv12 16)) (or (= A3.V<2> (_ bv15 16)) (= A3.V<2> (_ bv13 16)))))))))))) (not (= A3.V<1> (_ bv2 16)))))
(assert (or (= A3.V<2> (_ bv4 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.V<2> (_ bv1 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.V<2> (_ bv3 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv14 16)) (= A3.V<2> (_ bv13 16)))))))))) (not (= A3.V<1> (_ bv3 16)))))
(assert (or (= A3.V<2> (_ bv4 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv3 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv3 16))))))
(assert (or (= A3.V<2> (_ bv2 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv3 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv3 16))))))
(assert (or (= A3.V<2> (_ bv7 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv3 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv3 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv12 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv15 16)) (= A3.V<2> (_ bv13 16)))))))))))) (not (= A3.V<1> (_ bv8 16)))))
(assert (or (= A3.V<2> (_ bv4 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.V<2> (_ bv12 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.V<2> (_ bv13 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.V<2> (_ bv1 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv11 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv12 16)) (or (= A3.V<2> (_ bv15 16)) (= A3.V<2> (_ bv13 16))))))))))))) (not (= A3.V<1> (_ bv10 16)))))
(assert (or (= A3.V<2> (_ bv4 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.V<2> (_ bv13 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.V<2> (_ bv1 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv15 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv13 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv14 16)) (= A3.V<2> (_ bv12 16)))))))))))) (not (= A3.V<1> (_ bv11 16)))))
(assert (or (= A3.V<2> (_ bv4 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.V<2> (_ bv7 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.V<2> (_ bv14 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv12 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv12 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv12 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv12 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv12 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv12 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv12 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv12 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv12 16)) (= A3.V<2> (_ bv8 16))))))
(assert (or (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv13 16)) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv10 16)) (= A3.V<2> (_ bv11 16)))))))))) (not (= A3.V<1> (_ bv12 16)))))
(assert (or (= A3.V<2> (_ bv8 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv12 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv12 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv12 16))))))
(assert (or (= A3.V<2> (_ bv13 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv12 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv12 16))))))
(assert (or (= A3.V<2> (_ bv1 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<2> (_ bv12 16)) (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<2> (_ bv8 16)) (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<2> (_ bv0 16)) (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<2> (_ bv6 16)) (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<2> (_ bv4 16)) (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<2> (_ bv14 16)) (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<2> (_ bv1 16)) (= A3.V<1> (_ bv5 16))))))
(assert (or (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv12 16)) (= A3.V<2> (_ bv11 16))))))))))))) (not (= A3.V<1> (_ bv5 16)))))
(assert (or (= A3.V<2> (_ bv4 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.V<2> (_ bv8 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.V<2> (_ bv0 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.V<2> (_ bv1 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<1> (_ bv0 16)) (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.mtime<1> (/ 137 38)) (not (and (= A4.V<1> (_ bv0 16)) (= A4.V<2> (_ bv11 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv0 16)) (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<1> (_ bv0 16)) (= A4.V<2> (_ bv7 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv0 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv0 16)) (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.mtime<1> (/ 137 38)) (not (and (= A4.V<1> (_ bv0 16)) (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv0 16)) (= A4.V<2> (_ bv1 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv0 16)) (= A4.V<2> (_ bv4 16))))))
(assert (or (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv1 16)) (or (= A4.V<2> (_ bv14 16)) (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv6 16)) (or (= A4.V<2> (_ bv7 16)) (or (= A4.V<2> (_ bv9 16)) (or (= A4.V<2> (_ bv13 16)) (= A4.V<2> (_ bv11 16)))))))))) (not (= A4.V<1> (_ bv0 16)))))
(assert (or (= A4.V<2> (_ bv5 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv0 16))))))
(assert (or (= A4.V<2> (_ bv1 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv0 16))))))
(assert (or (= A4.V<2> (_ bv4 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv0 16))))))
(assert (or (= A4.V<2> (_ bv9 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv0 16))))))
(assert (or (= A4.V<2> (_ bv6 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv0 16))))))
(assert (or (= A4.V<2> (_ bv13 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv0 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv13 16)) (= A4.V<2> (_ bv11 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv13 16)) (= A4.V<2> (_ bv10 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv13 16)) (= A4.V<2> (_ bv8 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv13 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv13 16)) (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 137 38)) (not (and (= A4.V<1> (_ bv13 16)) (= A4.V<2> (_ bv3 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<1> (_ bv13 16)) (= A4.V<2> (_ bv2 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<1> (_ bv13 16)) (= A4.V<2> (_ bv0 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv13 16)) (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv13 16)) (= A4.V<2> (_ bv12 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv13 16)) (= A4.V<2> (_ bv9 16))))))
(assert (or (or (= A4.V<2> (_ bv9 16)) (or (= A4.V<2> (_ bv12 16)) (or (= A4.V<2> (_ bv14 16)) (or (= A4.V<2> (_ bv0 16)) (or (= A4.V<2> (_ bv2 16)) (or (= A4.V<2> (_ bv3 16)) (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv6 16)) (or (= A4.V<2> (_ bv8 16)) (or (= A4.V<2> (_ bv11 16)) (= A4.V<2> (_ bv10 16)))))))))))) (not (= A4.V<1> (_ bv13 16)))))
(assert (or (= A4.V<2> (_ bv9 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv13 16))))))
(assert (or (= A4.V<2> (_ bv10 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv13 16))))))
(assert (or (= A4.V<2> (_ bv8 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv13 16))))))
(assert (or (= A4.V<2> (_ bv6 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv13 16))))))
(assert (or (= A4.V<2> (_ bv4 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv13 16))))))
(assert (or (= A4.V<2> (_ bv14 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv13 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv15 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv7 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.mtime<1> (/ 137 38)) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv3 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv1 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv12 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv8 16)) (= A4.V<2> (_ bv4 16))))))
(assert (or (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv12 16)) (or (= A4.V<2> (_ bv9 16)) (or (= A4.V<2> (_ bv1 16)) (or (= A4.V<2> (_ bv14 16)) (or (= A4.V<2> (_ bv3 16)) (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv6 16)) (or (= A4.V<2> (_ bv7 16)) (or (= A4.V<2> (_ bv13 16)) (= A4.V<2> (_ bv15 16)))))))))))) (not (= A4.V<1> (_ bv8 16)))))
(assert (or (= A4.V<2> (_ bv5 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv8 16))))))
(assert (or (= A4.V<2> (_ bv9 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv8 16))))))
(assert (or (= A4.V<2> (_ bv4 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv8 16))))))
(assert (or (= A4.V<2> (_ bv6 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv8 16))))))
(assert (or (= A4.V<2> (_ bv1 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv8 16))))))
(assert (or (= A4.V<2> (_ bv12 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv8 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv12 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv11 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv10 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv8 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv3 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv2 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv0 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv1 16))))))
(assert (or (and (= A4.mtime<1> 0) (= A4.wtime<1> 0)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.V<2> (_ bv5 16)) (not (and (= A4.V<1> (_ bv5 16)) (= A4.V<0> (_ bv5 16))))))
(assert (or (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv1 16)) (or (= A4.V<2> (_ bv14 16)) (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv9 16)) (or (= A4.V<2> (_ bv6 16)) (or (= A4.V<2> (_ bv0 16)) (or (= A4.V<2> (_ bv2 16)) (or (= A4.V<2> (_ bv3 16)) (or (= A4.V<2> (_ bv8 16)) (or (= A4.V<2> (_ bv10 16)) (or (= A4.V<2> (_ bv11 16)) (= A4.V<2> (_ bv12 16)))))))))))))) (not (= A4.V<1> (_ bv5 16)))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<1> (_ bv1 16)) (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<1> (_ bv1 16)) (= A4.V<2> (_ bv12 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv1 16)) (= A4.V<2> (_ bv10 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv1 16)) (= A4.V<2> (_ bv8 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv1 16)) (= A4.V<2> (_ bv7 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv1 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv1 16)) (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 137 38)) (not (and (= A4.V<1> (_ bv1 16)) (= A4.V<2> (_ bv15 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv1 16)) (= A4.V<2> (_ bv2 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv1 16)) (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv1 16)) (= A4.V<2> (_ bv0 16))))))
(assert (or (or (= A4.V<2> (_ bv0 16)) (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv2 16)) (or (= A4.V<2> (_ bv15 16)) (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv6 16)) (or (= A4.V<2> (_ bv7 16)) (or (= A4.V<2> (_ bv8 16)) (or (= A4.V<2> (_ bv10 16)) (or (= A4.V<2> (_ bv14 16)) (= A4.V<2> (_ bv12 16)))))))))))) (not (= A4.V<1> (_ bv1 16)))))
(assert (or (= A4.V<2> (_ bv5 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.V<2> (_ bv6 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.V<2> (_ bv4 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.V<2> (_ bv2 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.V<2> (_ bv0 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.V<2> (_ bv10 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv1 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv15 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.mtime<1> (/ 137 38)) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv12 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv11 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv7 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv3 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv2 16)) (= A4.V<2> (_ bv1 16))))))
(assert (or (or (= A4.V<2> (_ bv1 16)) (or (= A4.V<2> (_ bv6 16)) (or (= A4.V<2> (_ bv3 16)) (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv7 16)) (or (= A4.V<2> (_ bv9 16)) (or (= A4.V<2> (_ bv11 16)) (or (= A4.V<2> (_ bv12 16)) (or (= A4.V<2> (_ bv13 16)) (= A4.V<2> (_ bv15 16)))))))))))) (not (= A4.V<1> (_ bv2 16)))))
(assert (or (= A4.V<2> (_ bv5 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv2 16))))))
(assert (or (= A4.V<2> (_ bv6 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv2 16))))))
(assert (or (= A4.V<2> (_ bv1 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv2 16))))))
(assert (or (= A4.V<2> (_ bv9 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv2 16))))))
(assert (or (= A4.V<2> (_ bv4 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv2 16))))))
(assert (or (= A4.V<2> (_ bv3 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv2 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv15 16)) (= A4.V<2> (_ bv10 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv15 16)) (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<1> (_ bv15 16)) (= A4.V<2> (_ bv8 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv15 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.mtime<1> (/ 137 38)) (not (and (= A4.V<1> (_ bv15 16)) (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<1> (_ bv15 16)) (= A4.V<2> (_ bv2 16))))))
(assert (or (= A4.mtime<1> (/ 137 38)) (not (and (= A4.V<1> (_ bv15 16)) (= A4.V<2> (_ bv1 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv15 16)) (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv15 16)) (= A4.V<2> (_ bv11 16))))))
(assert (or (or (= A4.V<2> (_ bv11 16)) (or (= A4.V<2> (_ bv14 16)) (or (= A4.V<2> (_ bv1 16)) (or (= A4.V<2> (_ bv2 16)) (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv6 16)) (or (= A4.V<2> (_ bv8 16)) (or (= A4.V<2> (_ bv9 16)) (= A4.V<2> (_ bv10 16)))))))))) (not (= A4.V<1> (_ bv15 16)))))
(assert (or (= A4.V<2> (_ bv10 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv15 16))))))
(assert (or (= A4.V<2> (_ bv9 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv15 16))))))
(assert (or (= A4.V<2> (_ bv6 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv15 16))))))
(assert (or (= A4.V<2> (_ bv14 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv15 16))))))
(assert (or (= A4.V<2> (_ bv11 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv15 16))))))
(assert (or (= A4.V<2> (_ bv8 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv15 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<1> (_ bv3 16)) (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.mtime<1> (/ 137 38)) (not (and (= A4.V<1> (_ bv3 16)) (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv3 16)) (= A4.V<2> (_ bv10 16))))))
(assert (or (= A4.mtime<1> (/ 137 38)) (not (and (= A4.V<1> (_ bv3 16)) (= A4.V<2> (_ bv8 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv3 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv3 16)) (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<1> (_ bv3 16)) (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv3 16)) (= A4.V<2> (_ bv7 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv3 16)) (= A4.V<2> (_ bv2 16))))))
(assert (or (or (= A4.V<2> (_ bv2 16)) (or (= A4.V<2> (_ bv7 16)) (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv6 16)) (or (= A4.V<2> (_ bv8 16)) (or (= A4.V<2> (_ bv10 16)) (or (= A4.V<2> (_ bv13 16)) (= A4.V<2> (_ bv14 16)))))))))) (not (= A4.V<1> (_ bv3 16)))))
(assert (or (= A4.V<2> (_ bv5 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv3 16))))))
(assert (or (= A4.V<2> (_ bv6 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv3 16))))))
(assert (or (= A4.V<2> (_ bv2 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv3 16))))))
(assert (or (= A4.V<2> (_ bv7 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv3 16))))))
(assert (or (= A4.V<2> (_ bv10 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv3 16))))))
(assert (or (= A4.V<2> (_ bv4 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv3 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv9 16)) (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv9 16)) (= A4.V<2> (_ bv12 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv9 16)) (= A4.V<2> (_ bv7 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv9 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv9 16)) (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv9 16)) (= A4.V<2> (_ bv15 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv9 16)) (= A4.V<2> (_ bv2 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv9 16)) (= A4.V<2> (_ bv10 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv9 16)) (= A4.V<2> (_ bv0 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv9 16)) (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv9 16)) (= A4.V<2> (_ bv8 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv9 16)) (= A4.V<2> (_ bv5 16))))))
(assert (or (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv8 16)) (or (= A4.V<2> (_ bv13 16)) (or (= A4.V<2> (_ bv0 16)) (or (= A4.V<2> (_ bv10 16)) (or (= A4.V<2> (_ bv2 16)) (or (= A4.V<2> (_ bv15 16)) (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv6 16)) (or (= A4.V<2> (_ bv7 16)) (or (= A4.V<2> (_ bv14 16)) (= A4.V<2> (_ bv12 16))))))))))))) (not (= A4.V<1> (_ bv9 16)))))
(assert (or (= A4.V<2> (_ bv5 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv9 16))))))
(assert (or (= A4.V<2> (_ bv6 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv9 16))))))
(assert (or (= A4.V<2> (_ bv4 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv9 16))))))
(assert (or (= A4.V<2> (_ bv10 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv9 16))))))
(assert (or (= A4.V<2> (_ bv8 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv9 16))))))
(assert (or (= A4.V<2> (_ bv13 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv9 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv15 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv12 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv7 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv3 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv11 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv1 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv9 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv10 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (or (= A4.V<2> (_ bv6 16)) (or (= A4.V<2> (_ bv9 16)) (or (= A4.V<2> (_ bv14 16)) (or (= A4.V<2> (_ bv1 16)) (or (= A4.V<2> (_ bv11 16)) (or (= A4.V<2> (_ bv3 16)) (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv7 16)) (or (= A4.V<2> (_ bv12 16)) (or (= A4.V<2> (_ bv13 16)) (= A4.V<2> (_ bv15 16))))))))))))) (not (= A4.V<1> (_ bv10 16)))))
(assert (or (= A4.V<2> (_ bv5 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv10 16))))))
(assert (or (= A4.V<2> (_ bv9 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv10 16))))))
(assert (or (= A4.V<2> (_ bv6 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv10 16))))))
(assert (or (= A4.V<2> (_ bv4 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv10 16))))))
(assert (or (= A4.V<2> (_ bv11 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv10 16))))))
(assert (or (= A4.V<2> (_ bv1 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv10 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv11 16)) (= A4.V<2> (_ bv14 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<1> (_ bv11 16)) (= A4.V<2> (_ bv12 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<1> (_ bv11 16)) (= A4.V<2> (_ bv6 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv11 16)) (= A4.V<2> (_ bv5 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<1> (_ bv11 16)) (= A4.V<2> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv11 16)) (= A4.V<2> (_ bv13 16))))))
(assert (or (= A4.mtime<1> (/ 137 38)) (not (and (= A4.V<1> (_ bv11 16)) (= A4.V<2> (_ bv0 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<1> (_ bv11 16)) (= A4.V<2> (_ bv2 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv11 16)) (= A4.V<2> (_ bv15 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv11 16)) (= A4.V<2> (_ bv7 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<1> (_ bv11 16)) (= A4.V<2> (_ bv10 16))))))
(assert (or (or (= A4.V<2> (_ bv10 16)) (or (= A4.V<2> (_ bv7 16)) (or (= A4.V<2> (_ bv15 16)) (or (= A4.V<2> (_ bv2 16)) (or (= A4.V<2> (_ bv0 16)) (or (= A4.V<2> (_ bv13 16)) (or (= A4.V<2> (_ bv4 16)) (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv6 16)) (or (= A4.V<2> (_ bv14 16)) (= A4.V<2> (_ bv12 16)))))))))))) (not (= A4.V<1> (_ bv11 16)))))
(assert (or (= A4.V<2> (_ bv5 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv11 16))))))
(assert (or (= A4.V<2> (_ bv6 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv11 16))))))
(assert (or (= A4.V<2> (_ bv10 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv11 16))))))
(assert (or (= A4.V<2> (_ bv7 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv11 16))))))
(assert (or (= A4.V<2> (_ bv14 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv11 16))))))
(assert (or (= A4.V<2> (_ bv2 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv11 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<2> (_ bv11 16)) (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<2> (_ bv10 16)) (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<2> (_ bv9 16)) (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 98 31)) (not (and (= A4.V<2> (_ bv3 16)) (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 137 38)) (not (and (= A4.V<2> (_ bv15 16)) (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<2> (_ bv2 16)) (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 41 29)) (not (and (= A4.V<2> (_ bv1 16)) (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<2> (_ bv5 16)) (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<2> (_ bv8 16)) (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.mtime<1> (/ 38 17)) (not (and (= A4.V<2> (_ bv13 16)) (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.mtime<1> 1) (not (and (= A4.V<2> (_ bv0 16)) (= A4.V<1> (_ bv4 16))))))
(assert (or (or (= A4.V<2> (_ bv0 16)) (or (= A4.V<2> (_ bv13 16)) (or (= A4.V<2> (_ bv8 16)) (or (= A4.V<2> (_ bv5 16)) (or (= A4.V<2> (_ bv1 16)) (or (= A4.V<2> (_ bv2 16)) (or (= A4.V<2> (_ bv15 16)) (or (= A4.V<2> (_ bv3 16)) (or (= A4.V<2> (_ bv9 16)) (or (= A4.V<2> (_ bv11 16)) (= A4.V<2> (_ bv10 16)))))))))))) (not (= A4.V<1> (_ bv4 16)))))
(assert (or (= A4.V<2> (_ bv5 16)) (not (and A4.spref<1><1> (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.V<2> (_ bv9 16)) (not (and A4.spref<1><2> (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.V<2> (_ bv1 16)) (not (and A4.spref<1><3> (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.V<2> (_ bv8 16)) (not (and A4.spref<1><4> (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.V<2> (_ bv0 16)) (not (and A4.spref<1><5> (= A4.V<1> (_ bv4 16))))))
(assert (or (= A4.V<2> (_ bv10 16)) (not (and A4.spref<1><6> (= A4.V<1> (_ bv4 16))))))
(declare-const kass2 Bool)
(assert (or (= objtime A4.wtime<2>) (not kass2)))
(assert (or (not kass2) (= A4.mtime<2> 0)))
(assert (or (not kass2) (= objtime A3.wtime<2>)))
(assert (or (not kass2) (= A3.mtime<2> 0)))
(assert (or (not kass2) (= objtime A2.wtime<2>)))
(assert (or (not kass2) (= A2.mtime<2> 0)))
(assert (or (not kass2) (= objtime A1.wtime<2>)))
(assert (or (not kass2) (= A1.mtime<2> 0)))
(assert (or (not kass2) (= objtime A0.wtime<2>)))
(assert (or (not kass2) (= A0.mtime<2> 0)))
(push 1)
(assert kass2)
(assert (= A4.V<2> (_ bv5 16)))
(assert (= A3.V<2> (_ bv4 16)))
(assert (= A2.V<2> (_ bv3 16)))
(assert (= A1.V<2> (_ bv7 16)))
(assert (= A0.V<2> (_ bv1 16)))
(assert (let ((def_4853 (ite (<= A4.atime<2> 0) 0 A4.atime<2>))) (let ((def_4855 (ite (<= A3.atime<2> def_4853) def_4853 A3.atime<2>))) (let ((def_4857 (ite (<= A2.atime<2> def_4855) def_4855 A2.atime<2>))) (let ((def_4859 (ite (<= A1.atime<2> def_4857) def_4857 A1.atime<2>))) (= objtime (ite (<= A0.atime<2> def_4859) def_4859 A0.atime<2>)))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv7 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 17 45))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv7 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv7 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv7 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 26 47))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv7 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 17 45) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv14 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 38 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 88 53) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv15 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 26 47) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 57 100))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 159 50))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 37 40))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 30 31))) (or (<= (/ 127 71) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 218 131))) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A2.V<2> (_ bv11 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 1 60) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A2.V<2> (_ bv9 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A2.V<2> (_ bv8 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 82 45))) (or (<= (/ 5 28) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A2.V<2> (_ bv1 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 3 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A2.V<2> (_ bv13 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A2.V<2> (_ bv0 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A2.V<2> (_ bv7 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 25 88) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A2.V<2> (_ bv10 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A2.V<2> (_ bv5 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 17 19) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A2.V<2> (_ bv15 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 26 47) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A2.V<2> (_ bv2 16)))))))
(assert (or (and (not kass2) (<= (- (/ 55 41)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A4.atime<2>))) (- (/ 161 72))) (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A4.V<2> (_ bv5 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 26 31))) (or (<= (/ 29 30) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 147 55))) (or (<= (/ 49 53) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 29 30) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 17 9))) (or (<= (/ 82 83) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= (/ 27 44) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 13 25))) (or (<= (/ 38 17) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 19))) (or (<= (/ 7 60) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 11 34) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 20 39) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 25 88) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 26 47) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 37 186) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 17 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 218 131))) (or (<= (/ 36 143) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 66 59))) (or (<= (/ 66 59) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 29 28))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 19))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 47 38))) (or (<= (/ 26 47) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv6 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 37 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 3 14) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 51 25))) (or (<= (- (/ 22 57)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (<= (- (/ 34 135)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 54 23))) (or (<= (- (/ 5 34)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 21 47)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 34 135)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv8 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 37 99)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv13 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv0 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 4 17)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv7 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 19 43)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 21 47)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv15 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 37 186) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 19))) (or (<= (/ 7 60) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 17 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 25 88) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 26 47) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 34 19) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv12 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 29 28) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 3 8) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv6 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 34 19) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv14 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 41 29))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 27 34))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 38 17))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 13 43))) (or (<= (/ 41 20) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 3 14))) (or (<= (/ 38 17) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 7 24))) (or (<= (/ 39 31) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 7 52))) (or (<= (/ 54 23) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 3 41))) (or (<= (/ 37 45) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (and (not kass2) (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A4.atime<2>))) (- (/ 58 41))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 37 41))) (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 1 36))) (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv11 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 1 12))) (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 41 29))) (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 1 36))) (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 1 12))) (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 41 29))) (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 3 17))) (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 41 29) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 218 131) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 41 29) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 37 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv13 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16)))))))))
(assert (or (and (not kass2) (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 58 41))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv7 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 117 37) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 119 33) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<2> (_ bv11 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<2> (_ bv6 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 4 55) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<2> (_ bv5 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 143 64))) (or (<= (- (/ 45 49)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<2> (_ bv14 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 38 17))) (or (<= (- (/ 4 17)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<2> (_ bv1 16)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 19))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))) (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 1 44))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 37 186))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 19))) (or (<= (/ 34 19) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv12 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 66 59))) (or (<= (/ 66 59) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 29 28))) (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 47 38))) (or (<= (/ 26 47) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv6 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 37 41))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 19))) (or (<= (/ 7 60) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 30 31))) (or (<= (/ 34 19) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv14 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 29 28))) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16)))))) (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 3 8))) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 37 186))) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 218 131) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16))))))) (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41)))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 29 28) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv13 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 37 186) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (and (not kass2) (<= (- (/ 43 17)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<2>) (* (- 1) A2.wtime<2>)))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<2>))) (- (/ 117 37))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 74 39))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv1 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 29 30) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 147 55))) (or (<= (/ 49 53) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 27 44) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv6 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 73 35))) (or (<= (/ 2 25) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 51 25) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A3.V<2> (_ bv15 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 61 87) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A3.V<2> (_ bv13 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 12 31) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A3.V<2> (_ bv12 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A3.V<2> (_ bv11 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 13 25) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A3.V<2> (_ bv9 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A3.V<2> (_ bv7 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 3 14) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A3.V<2> (_ bv5 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A3.V<2> (_ bv3 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A3.V<2> (_ bv6 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 4 17)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A3.V<2> (_ bv1 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 29 28))) (or (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))) (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 218 131))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 37 186))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 3 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 1 60) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 82 45))) (or (<= (/ 5 28) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 17 19) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 25 88) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv6 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 26 47) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 3 14) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 39 31))) (or (<= (/ 7 24) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 41 20))) (or (<= (/ 13 43) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 37 45))) (or (<= (/ 3 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 61 87) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 13 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 12 31) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 161 72))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 161 72))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (- (/ 55 41)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))))))
(assert (or (<= (- (/ 46 41)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 147 55))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16))))))))
(assert (or (<= (- (/ 46 41)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 147 55))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16))))))))
(assert (or (<= (- (/ 55 41)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 38 17))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 74 39))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv7 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 74 39))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv15 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 34 19))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv6 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv5 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 218 131))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv3 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 34 19))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv14 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 17 19))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv1 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv9 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 34 19))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 51 28))) (or (<= (/ 5 28) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 7 47) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 89 51))) (or (<= (/ 117 37) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 93 52))) (or (<= (/ 93 52) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (- (/ 21 17)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))))))
(assert (or (<= (- (/ 43 34)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 117 37))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 19))) (or (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))) (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 218 131))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 37 186))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 79 41))) (or (<= (/ 2 27) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv12 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 6 59) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 1 31) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 78 41))) (or (<= (/ 2 13) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 17 19) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 11 34) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv6 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 20 39) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 1 269) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv14 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 51 25))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 21 43))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 8 27))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 38 17))) (or (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))) (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 8 49))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 51 25))) (or (<= (/ 18 23) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 51 25))) (or (<= (/ 31 51) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 41 20))) (or (<= (/ 13 43) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 51 25))) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 100 49))) (or (<= (/ 21 44) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 51 25))) (or (<= (/ 38 17) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 51 25))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 73 35))) (or (<= (/ 2 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv13 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 51 25))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 17 19))) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 37 186))) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16)))))) (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 1 44))) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 218 131) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16)))))))))
(assert (or (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16))))))) (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41)))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 37 186) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 17 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv13 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16)))))))))
(assert (or (and (not kass2) (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv1 16))) (not (= A0.V<2> (_ bv1 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 29 30) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 147 55))) (or (<= (- (/ 15 67)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 147 55))) (or (<= (/ 49 53) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 23 28)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))) (not (= A3.V<2> (_ bv2 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))) (not (= A3.V<2> (_ bv0 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 4 17)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))) (not (= A3.V<2> (_ bv8 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (- (/ 21 17)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))))))
(assert (or (<= (- (/ 43 34)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 117 37))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 1 12))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 1 12))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 37 41))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 3 17))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 25 88))) (or (<= (/ 34 19) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv12 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 26 47))) (or (<= (/ 47 38) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 37 186))) (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 26 47))) (or (<= (/ 34 19) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv14 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 218 131))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 29 28))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 37 186))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 41 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv7 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv15 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv6 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv5 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv3 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv14 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv1 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv12 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv4 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 19 30))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv7 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 58 41))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv12 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 17 19))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv0 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv8 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 58 41))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (not (= A3.V<2> (_ bv4 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (- (/ 55 41)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 161 72))))))
(assert (or (<= (- (/ 46 41)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 147 55))))))
(assert (or (<= (- (/ 46 41)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 147 55))))))
(assert (or (<= (- (/ 55 41)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 38 17))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 22 31)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))) (not (= A4.V<2> (_ bv15 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 296 295)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))) (not (= A4.V<2> (_ bv13 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 17 45) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))) (not (= A4.V<2> (_ bv7 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))) (not (= A4.V<2> (_ bv6 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 88 53) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))) (not (= A4.V<2> (_ bv3 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 23 28)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))) (not (= A4.V<2> (_ bv14 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))) (not (= A4.V<2> (_ bv1 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 1 3)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))) (not (= A4.V<2> (_ bv9 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 29 24)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))) (not (= A4.V<2> (_ bv12 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 26 47) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))) (not (= A4.V<2> (_ bv4 16)))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv7 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 74 39))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv15 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 74 39))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv13 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 41 29))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv6 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 34 19))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv5 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 41 29))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv3 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 218 131))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv14 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 34 19))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv1 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 17 19))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv9 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- 1)))))
(assert (or (and (not kass2) (<= (- (/ 23 47)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 51 25))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A1.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv7 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 218 131))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 17 19))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv11 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 41 29))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv10 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 41 29))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv8 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 34 19))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv6 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 34 19))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv4 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 74 39))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv2 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 74 39))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv0 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv9 16))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A3.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A4.V<1> (_ bv8 16))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 74 39) (+ A3.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv15 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A4.V<1> (_ bv8 16))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A3.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A4.V<1> (_ bv8 16))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 74 39) (+ A3.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A4.V<1> (_ bv8 16))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A3.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A4.V<1> (_ bv8 16))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 218 131) (+ A3.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A4.V<1> (_ bv8 16))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A3.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A4.V<1> (_ bv8 16))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A3.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A4.V<1> (_ bv8 16))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 1001 1000) (+ A3.atime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A4.V<1> (_ bv8 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 58 41))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 29 30))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 89 51))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 147 55))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 13 25))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 38 17))) (or (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))) (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 147 55))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 27 44))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv6 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 29 30))) (or (<= (/ 26 31) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv14 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 66 59))) (or (<= (/ 66 59) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 33 35) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 17 19) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 30 31) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 17 19) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 29 28) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 17 19) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 218 131))) (or (<= (/ 118 119) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 29 28))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 47 38))) (or (<= (/ 26 47) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 37 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 66 59))) (or (<= (/ 66 59) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 29 28) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 17 19) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 30 31) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 26 47))) (or (<= (/ 47 38) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 17 19) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 7 60))) (or (<= (/ 17 19) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 34 19) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv12 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 3 17) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 1 12) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 1 12) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv6 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 34 19) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv14 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 8 27))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 51 25) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 38 17) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 41 43) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 54 23) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 27 34) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 38 17) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv13 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (/ 161 72) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (- (/ 34 135)) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= 0 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv12 16)))))))))
(assert (or (<= (/ 3 14) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (/ 41 29) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (/ 38 17) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (/ 13 25) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (- (/ 4 17)) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (- (/ 19 43)) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv14 16)))))))))
(assert (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (/ 161 72) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 38 17))) (or (not (= A3.V<1> (_ bv14 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 13 25) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 3 41))) (or (<= (/ 37 45) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 27 34) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16))))) (not (= A2.V<2> (_ bv14 16)))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 17 19))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 34 19))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv12 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv5 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 34 19))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv4 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 29 28) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv12 16)))))))))
(assert (or (<= 0 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv11 16)))))))))
(assert (or (<= 0 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (/ 41 29) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv8 16)))))))))
(assert (or (<= 0 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (/ 41 29) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv0 16)))))))))
(assert (or (<= 0 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv6 16)))))))))
(assert (or (<= (/ 17 29) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= 1 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv4 16)))))))))
(assert (or (<= (/ 3 8) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv14 16)))))))))
(assert (or (<= (/ 37 186) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 1 269) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 74 39))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= 0 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 2 27) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 79 41))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= 0 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 218 131))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= 0 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= 0 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 107 40))) (or (<= (- (/ 9 34)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (- (/ 46 41)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16))))) (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 147 55))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 147 55))) (or (<= (- (/ 33 31)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (- (/ 4 17)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (- (/ 55 41)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 86 39))) (or (<= (- (/ 9 35)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 147 55))) (or (<= (- (/ 15 67)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 147 55))) (or (<= (- (/ 46 41)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv12 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 147 55))) (or (<= (/ 38 17) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 147 55))) (or (<= (/ 49 53) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 338 123))) (or (<= (- (/ 65 87)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 147 55))) (or (<= (/ 38 17) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv15 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 147 55))) (or (<= (/ 14 39) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16))))) (not (= A4.V<2> (_ bv2 16)))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 147 55))) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16))))) (not (= A4.V<2> (_ bv10 16)))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 87 32))) (or (<= (- (/ 21 38)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16))))) (not (= A4.V<2> (_ bv0 16)))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 147 55))) (or (<= (- (/ 33 31)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv13 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 147 55))) (or (<= (- (/ 46 41)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16))))) (not (= A4.V<2> (_ bv8 16)))))))
(assert (or (<= (- (/ 46 41)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 147 55))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv12 16))))))))
(assert (or (<= (- (/ 55 41)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv5 16))))) (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 38 17))))))
(assert (or (<= (- (/ 55 41)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv13 16))))) (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 38 17))))))
(assert (or (and (not kass2) (<= (- (/ 55 41)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv7 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 19 30))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A1.V<2> (_ bv7 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 51 28))) (or (<= (/ 5 28) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 38 41))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 127 71))) (or (<= (/ 30 31) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv15 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 73 48))) (or (<= (/ 26 47) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 26 31))) (or (<= (/ 29 30) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 9))) (or (<= (/ 82 83) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 29 30) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 147 55))) (or (<= (/ 49 53) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 27 44) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 13 25))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv14 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 117 37) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 117 37) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 21 40)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 23 28)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv8 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv7 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 17 45) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 1 3)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv15 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 9 37)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv0 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 53 50)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv13 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 26 47) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 37 99)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 54 23))) (or (<= (- (/ 2 29)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 38 17))) (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 73 35))) (or (<= (/ 2 25) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 3 14) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv15 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 21 47)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 21 47)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv7 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 34 135)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv11 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 4 17)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16))))) (not (= A3.V<2> (_ bv14 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 19 43)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv8 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv7 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv15 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv0 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv13 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 93 43))) (or (<= (- (/ 9 34)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (- (/ 23 47)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 51 25))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (- (/ 19 43)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (- (/ 4 17)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 54 23))) (or (<= (- (/ 9 35)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (- (/ 12 29)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv9 16))))))))
(assert (or (<= (- (/ 21 47)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv8 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 38 17))))))
(assert (or (<= (- (/ 21 47)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv5 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 38 17))))))
(assert (or (<= (- (/ 17 40)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv0 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 54 23))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 6 59) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 1 44) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 3 8) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 3 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 9 5))) (or (<= (/ 13 42) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 9 34) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 43 25))) (or (<= (/ 7 20) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 3 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv15 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 17 19) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 78 41))) (or (<= (/ 2 13) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv7 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 1 31) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 79 41))) (or (<= (/ 2 27) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 20 39) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv11 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 1 269) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 74 39))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 11 34) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 34 19))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv4 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 34 19))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv12 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv5 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 17 19))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv1 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv9 16))))))))
(assert (or (and (not kass2) (<= (- (/ 43 34)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 117 37))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A1.V<2> (_ bv7 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 2 29)) (or (<= (/ 54 23) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 5 34)) (or (<= (/ 54 23) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 54 23) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 54 23) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 7 52))) (or (<= (/ 54 23) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 18 41))) (or (<= (/ 54 23) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 24 65)) (or (<= (/ 64 27) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 2 5)) (or (<= (/ 54 23) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 54 23) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 54 23) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 9 35)) (or (<= (/ 54 23) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 37 99)) (or (<= (/ 38 17) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 13 72)) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 38 17) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 2 25))) (or (<= (/ 73 35) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 17 58)) (or (<= (/ 25 27) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv0 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 2 19)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 29 30) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 29 30) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 143 64))) (or (<= (- (/ 36 31)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv13 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 119 33) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16))))) (not (= A4.V<2> (_ bv11 16)))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 38 17) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 117 56) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 38 17) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 119 33) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (- (/ 4 17)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 218 131))) (or (<= (/ 1 138) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 1 60) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 82 45))) (or (<= (/ 5 28) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 1 31) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 78 41))) (or (<= (/ 2 13) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1 12) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 218 131))) (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16))))) (not (= A3.V<2> (_ bv14 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 218 131))) (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 43 25))) (or (<= (/ 7 20) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv7 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 83 47))) (or (<= (/ 5 32) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 218 131))) (or (<= (/ 118 119) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv15 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 152 91))) (or (<= (/ 23 40) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16))))) (not (= A3.V<2> (_ bv10 16)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 218 131))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 218 131))) (or (<= (/ 36 143) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv8 16))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (and (not kass2) (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 58 41))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (and (not kass2) (<= (- (/ 33 17)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 119 33))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv7 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A4.atime<1> (+ A4.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))))) (or (<= (+ A4.atime<1> (+ A4.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 58 41))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv0 16))) (not (= A3.V<2> (_ bv4 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 17 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (or (<= (/ 26 47) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 38 17)))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 24 47) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 41 29))) (or (or (not (= A1.V<1> (_ bv7 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv2 16)))))) (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 39 44) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv15 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (- (/ 12 29)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 58 41))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv2 16))))))))
(assert (or (<= (- (/ 21 47)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 38 17))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))))))
(assert (or (<= (- (/ 23 47)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 51 25))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 37 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 218 131))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 26 47))) (or (<= (/ 47 38) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 37 186))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv15 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv12 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv11 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv9 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv5 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv4 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv3 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv1 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv15 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- (/ 1001 1000))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv13 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- (/ 1001 1000))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv12 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv11 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv7 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv5 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv4 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv6 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 37 186))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 218 131))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 17 19))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 26 47))) (or (<= (/ 47 38) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv0 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 17 41))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1 12) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<1>))) (- 1)))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 19 30))) (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 81 73))) (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 19))) (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 82 45))) (or (<= (/ 5 28) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 27 38) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 7 30) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 37 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 3 17) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv8 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv7 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 81 73) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv15 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv0 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv13 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 19 30))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv12 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 81 73))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv9 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 17 19))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv5 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 41 29))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv4 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 34 19))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A2.V<1> (_ bv6 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 74 39))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 218 131))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 17 19))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 37 186))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 1 44) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv8 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 19) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv0 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv7 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 37 186) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A2.V<1> (_ bv6 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A2.V<1> (_ bv6 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A2.V<1> (_ bv6 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<2>) (* (- 1) A2.wtime<2>)))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<2>))) (- (/ 58 41))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv7 16))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 41 29) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv1 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 37 40))) (or (<= (/ 41 29) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv1 16))) (not (= A3.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 41 29) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv1 16))) (not (= A3.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 57 100))) (or (<= (/ 41 29) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv1 16))) (not (= A3.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 41 29) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv1 16))) (not (= A3.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv1 16))) (not (= A3.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 15 47))) (or (<= (/ 41 29) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv1 16))) (not (= A3.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 41 29) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv1 16))) (not (= A3.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 39 44) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv1 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 38 17) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv1 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 17 29) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv1 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (and (not kass2) (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 58 41))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv1 16))) (not (= A3.V<2> (_ bv4 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv1 16))) (not (= A0.V<2> (_ bv1 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 29 30))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 147 55))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 38 17))) (or (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))) (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 147 55))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 27 44))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv6 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 7 60))) (or (<= (/ 17 19) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 33 35) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 17 19) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 30 31) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 17 19) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 66 59))) (or (<= (/ 66 59) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 29 28) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 17 19) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 218 131))) (or (<= (/ 118 119) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 26 47))) (or (<= (/ 47 38) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 37 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 37 186))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (* (- 1) A0.atime<1>))) (- (/ 161 72))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A0.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A0.atime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A1.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (/ 25 54)) (or (<= (/ 27 10) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 3 20))) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 11 19))) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (/ 21 38)) (or (<= (/ 87 32) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 14 39))) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (/ 65 87)) (or (<= (/ 338 123) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 49 53))) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (/ 9 34)) (or (<= (/ 107 40) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 38 17) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv6 16))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (/ 55 41)) (or (<= (/ 38 17) (+ A0.atime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (or (not (= A1.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A1.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 74 39) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 74 39) (+ A0.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A3.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 18 23))) (or (<= (/ 74 39) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 19 58))) (or (<= (/ 74 39) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 5 23))) (or (<= (/ 74 39) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 33 35))) (or (<= (/ 74 39) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 9 34))) (or (<= (/ 74 39) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 74 39) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 2 13))) (or (<= (/ 78 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 2 27))) (or (<= (/ 79 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 74 39) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 20 39))) (or (<= (/ 74 39) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 81 73) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 218 131) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv8 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 19 30) (+ A0.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A3.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 81 73) (+ A0.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A3.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A0.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A3.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 218 131) (+ A0.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv8 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A3.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A0.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A3.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A0.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A3.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A3.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 45 31)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 31 35)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv12 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 34 27)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 17 31)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv8 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 7 24) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 121 74)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv14 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 38 17) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv0 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 137 71)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 9 34)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 37 27))) (or (<= (/ 117 37) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 89 51))) (or (<= (/ 117 37) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 14 29)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 1 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 7 31)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 37 27) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv8 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 7 47) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 89 51) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 36 31)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv7 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 5 41)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 56 51))) (or (<= (/ 24 47) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 24 47) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 163 82))) (or (<= (/ 23 40) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 26 47) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 73 48))) (or (<= (/ 26 47) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 17 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 159 50))) (or (<= (/ 23 40) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 52 27))) (or (<= (/ 2 27) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 73 41))) (or (<= (/ 10 67) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 89 58))) (or (<= (/ 49 44) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv2 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (and (not kass2) (<= (- (/ 23 47)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 51 25))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A1.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv7 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 19 30) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A3.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 74 39) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A3.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 218 131) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A3.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A3.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 81 73) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv8 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A3.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A3.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A3.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv7 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A3.V<1> (_ bv3 16))))))))
(assert (or (and (not kass2) (<= (- (/ 43 34)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 117 37))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv3 16))) (not (= A3.V<2> (_ bv4 16))))))))
(assert (or (and (not kass2) (<= (- (/ 46 41)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 147 55))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A1.atime<2>))) (- 1)) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv7 16))) (not (= A1.V<2> (_ bv7 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 5 28))) (or (<= (/ 51 28) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 159 50))) (or (<= (/ 19 30) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 38 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 57 49) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 30 31))) (or (<= (/ 127 71) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 140 109))) (or (<= (/ 103 59) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 26 47))) (or (<= (/ 73 48) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 147 55))) (or (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 147 55))) (or (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 13 25))) (or (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))) (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 29 30))) (or (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 89 51))) (or (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 13 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (or (<= (/ 29 30) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16))))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 161 72)))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 161 72))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 82 45))) (or (<= (/ 5 28) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 78 41))) (or (<= (/ 2 13) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 1 31) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 1 60) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 83 47))) (or (<= (/ 5 32) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 1 12) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 9 5))) (or (<= (/ 13 42) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 1 60) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 30 31) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 26 47) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv6 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 25 88) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 57 49) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 159 50))) (or (<= (/ 19 30) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 11 9)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv15 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 296 295)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 23 28)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 21 40)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv7 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 53 50)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv11 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 29 24)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 1 3)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 26 47) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 29 28))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16)))))) (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 3 8))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 37 186))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 34 19) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv12 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 30 31) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 9 5))) (or (<= (/ 13 42) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 82 45))) (or (<= (/ 5 28) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 1 60) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 26 47) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv6 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 25 88) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 34 19) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv14 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (- (/ 21 17)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A0.atime<1>))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv15 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv13 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv12 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv7 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv4 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv15 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv7 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv11 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 29 30) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 26 31))) (or (<= (/ 29 30) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 27 44) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 147 55) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv15 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 147 55) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 89 51) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 13 25) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 4 17)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (and (not kass2) (<= (- (/ 21 47)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 161 72))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv4 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 56 47))) (or (<= (/ 34 35) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 51 25))) (or (<= (/ 31 51) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (or (<= (/ 13 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 38 17)))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 3 41))) (or (<= (/ 37 45) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 8 27) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 17 18))) (or (<= (/ 45 46) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 27 34) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 34 35))) (or (<= (/ 56 47) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 37 45))) (or (<= (/ 3 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 31 51))) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 45 46))) (or (<= (/ 17 18) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 13 25))) (or (<= (/ 38 17) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 8 27))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 27 34))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 21))) (or (<= (/ 60 37) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 37 27) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 101 56))) (or (<= (/ 101 56) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 59 33))) (or (<= (/ 3 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 51 28))) (or (<= (/ 5 28) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 93 52))) (or (<= (/ 93 52) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 89 51))) (or (<= (/ 117 37) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 23 17))) (or (<= (- (/ 14 41)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 26 47))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 30 31))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 5 28))) (or (<= (/ 82 45) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 1 60))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 13 42))) (or (<= (/ 9 5) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 25 88))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 20 39))) (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 41 29) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 11 34))) (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 23 40))) (or (<= (/ 152 91) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 25 88))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 37 186))) (or (<= (/ 41 29) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 26 47))) (or (<= (/ 47 38) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv13 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 87 35)) (or (<= (/ 119 33) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 262 105)) (or (<= (/ 119 33) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 41))) (or (<= (/ 119 33) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 119 33) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 119 33))) (or (<= (/ 119 33) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 101))) (or (<= (/ 119 33) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 119 33) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 29 55)) (or (<= (/ 119 33) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 30 23)) (or (<= (/ 119 33) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 151 66)) (or (<= (/ 119 33) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 61 38)) (or (<= (/ 119 33) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 9 35)) (or (<= (/ 119 33) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 45 31)) (or (<= (/ 117 37) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 67 31)) (or (<= (/ 117 37) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 17 40)) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 17 40)) (or (<= (/ 54 23) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 5 34)) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 7 52))) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 18 41))) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 24 65)) (or (<= (/ 64 27) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 2 5)) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 2 29)) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 9 35)) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 21 47)) (or (<= (/ 38 17) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 21 47)) (or (<= (/ 38 17) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 21 47)) (or (<= (/ 38 17) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 12 29)) (or (<= (/ 41 29) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 21 47)) (or (<= (/ 38 17) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 23 47)) (or (<= (/ 51 25) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv15 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv13 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv12 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (/ 27 37) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 105 58))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= 0 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 93 52))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv11 16)))))))))
(assert (or (<= (/ 5 28) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 51 28))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (/ 30 31) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 127 71))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv6 16)))))))))
(assert (or (<= (/ 140 109) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 103 59))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (/ 117 37) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 57 49))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv0 16)))))))))
(assert (or (<= (/ 26 47) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 73 48))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (/ 31 35) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 80 49))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 15 47) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 46 79) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 155 69))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (- (/ 9 37)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (not (= A4.V<1> (_ bv13 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 54 23))) (or (<= (/ 7 52) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (- (/ 17 40)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 54 23))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (- (/ 34 135)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 3 14) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 54 23))) (or (<= (- (/ 5 34)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv15 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 54 23))) (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv13 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 54 23))) (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv12 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 54 23))) (or (<= (- (/ 17 40)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 54 23))) (or (<= (/ 18 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 64 27))) (or (<= (- (/ 24 65)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 54 23))) (or (<= (- (/ 2 5)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 54 23))) (or (<= (- (/ 2 29)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 54 23))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 54 23))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 54 23))) (or (<= (- (/ 9 35)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv11 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 38 17))))))
(assert (or (<= (- (/ 12 29)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv10 16))))))))
(assert (or (<= (- (/ 21 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv6 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 38 17))))))
(assert (or (<= (- (/ 23 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 51 25))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv2 16))))))))
(assert (or (<= (/ 58 41) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv14 16)))))))))
(assert (or (<= (- (/ 34 135)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv12 16)))))))))
(assert (or (<= 0 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv7 16)))))))))
(assert (or (<= (/ 3 14) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv6 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv15 16)))))))))
(assert (or (<= (/ 13 25) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv2 16)))))))))
(assert (or (<= (- (/ 4 17)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv10 16)))))))))
(assert (or (<= (/ 38 17) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv0 16)))))))))
(assert (or (<= (- (/ 19 43)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv13 16)))))))))
(assert (or (<= 1 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv8 16)))))))))
(assert (or (<= 1 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv5 16)))))))))
(assert (or (<= (/ 58 41) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 51 25))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (/ 58 41) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (/ 58 41) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 54 23))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (/ 58 41) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 38 17))) (or (not (= A4.V<1> (_ bv13 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 9 34) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 6 59) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 9 5))) (or (<= (/ 13 42) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 19))) (or (<= (/ 3 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 3 8) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 1 44) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 43 25))) (or (<= (/ 7 20) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 3 17) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 1 269) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv12 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 78 41))) (or (<= (/ 2 13) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 1 31) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 33 35) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 20 39) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv6 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= (/ 11 34) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 79 41))) (or (<= (/ 2 27) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv14 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 74 39))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 9 16) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 119 33))) (or (<= (/ 38 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 34 27)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 7 24) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 17 31)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv8 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 17 31)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv7 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 38 17) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 119 33) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv0 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 9 34)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 85 38))) (or (<= (/ 85 38) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 119 33))) (or (<= (/ 77 40) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 283 103))) (or (<= (- (/ 71 95)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 147 55))) (or (<= (/ 3 20) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 277 102))) (or (<= (- (/ 4 37)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 87 35))) (or (<= (- (/ 9 34)) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 43 17)) (or (<= (/ 117 37) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 43 17)) (or (<= (/ 117 37) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A2.V<1> (_ bv14 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 103 43)) (or (<= (/ 117 37) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 89 51))) (or (<= (/ 117 37) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 71 34)) (or (<= (/ 117 37) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 7 47))) (or (<= (/ 117 37) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 103 41)) (or (<= (/ 117 37) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 43 17)) (or (<= (/ 117 37) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 36 31)) (or (<= (/ 117 37) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 5 41)) (or (<= (/ 117 37) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 36 31)) (or (<= (/ 117 37) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 43 17)) (or (<= (/ 117 37) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A2.V<1> (_ bv14 16))))))))
(assert (or (<= (/ 140 109) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 103 59))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 5 28) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 51 28))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv11 16)))))))))
(assert (or (<= (/ 30 31) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 127 71))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv7 16)))))))))
(assert (or (<= (/ 26 47) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 73 48))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (/ 17 45) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (not (= A3.V<1> (_ bv14 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 51 25))) (or (<= (/ 18 23) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 21 43) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 61 87) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 34 35))) (or (<= (/ 56 47) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 66 59))) (or (<= (/ 66 59) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 49 57))) (or (<= (/ 49 39) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 41 43) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 51 25))) (or (<= (/ 41 29) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 51 25))) (or (<= (/ 51 25) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv12 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 20))) (or (<= (/ 13 43) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 51 25))) (or (<= (/ 31 51) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 51 25))) (or (<= (/ 38 17) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 100 49))) (or (<= (/ 21 44) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv0 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 73 35))) (or (<= (/ 2 25) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 51 25))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv15 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 93 43))) (or (<= (- (/ 9 34)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv7 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 51 25))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv10 16))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 7 47) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 51 28))) (or (<= (/ 5 28) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 92 45))) (or (<= (/ 5 32) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv15 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 89 51) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 37 27) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 7 31)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 5 41)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 36 31)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (and (not kass2) (<= (- (/ 43 34)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 117 37))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv11 16))) (not (= A3.V<2> (_ bv4 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 15 47))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 57 100))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 37 40))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 38 17)))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 19 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv14 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 57 49) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 117 37))) (or (or (not (= A1.V<1> (_ bv7 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))) (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 34 19) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv15 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 24 47) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 89 51) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 5 28))) (or (<= (/ 51 28) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 93 52))) (or (<= (/ 93 52) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 7 47) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 74 39))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16))))))))
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 218 131))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv12 16))))))))
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 34 19))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv9 16))))))))
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 74 39))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16))))))))
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 34 19))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 3 14))) (or (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 61 87))) (or (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 51 25))) (or (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))) (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 13 25))) (or (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))) (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 38 17))) (or (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))) (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 12 31))) (or (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 161 72) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 7 24))) (or (<= (/ 39 31) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 3 41))) (or (<= (/ 37 45) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 13 43))) (or (<= (/ 41 20) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 1 60))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 17 19))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 5 28))) (or (<= (/ 82 45) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 25 88))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 3 41))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 26 47))) (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 2 13))) (or (<= (/ 78 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 5 28))) (or (<= (/ 82 45) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 1 31))) (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 5 32))) (or (<= (/ 83 47) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 1 12))) (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 27 44) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 67 107))) (or (<= (/ 61 66) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 17 9))) (or (<= (/ 82 83) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 26 31))) (or (<= (/ 29 30) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 147 55))) (or (<= (/ 49 53) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 29 30) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 27 26))) (or (<= (/ 81 82) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 38 17) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (- (/ 55 41)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 161 72))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (not (= A1.V<1> (_ bv6 16))))))))
(assert (or (<= (- (/ 46 41)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 147 55))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (not (= A1.V<1> (_ bv6 16))))))))
(assert (or (<= (- (/ 55 41)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 38 17))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (not (= A1.V<1> (_ bv6 16))))))))
(assert (or (<= (- (/ 46 41)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 147 55))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (not (= A1.V<1> (_ bv6 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 9 34)) (or (<= (/ 107 40) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv14 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 49 53))) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 15 67)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 30 37)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 65 87)) (or (<= (/ 338 123) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 37 33)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 33 31)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 4 17)) (or (<= (/ 38 17) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv7 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 55 41)) (or (<= (/ 38 17) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 33 31)) (or (<= (/ 147 55) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 55 41)) (or (<= (/ 38 17) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv14 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 55 41)) (or (<= (/ 38 17) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv5 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv14 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv14 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 7 60))) (or (<= (/ 17 19) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 17 19) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 29 28) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 66 59))) (or (<= (/ 66 59) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 30 31) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 37 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 26 47))) (or (<= (/ 47 38) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 17 19) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 41 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv7 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 37 186))) (or (<= (/ 41 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 26 47))) (or (<= (/ 34 19) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 25 88))) (or (<= (/ 34 19) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 41))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A3.V<1> (_ bv10 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 74 39))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 41 29))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv11 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 41 29))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 17 19))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv8 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 34 19))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv7 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 34 19))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv5 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 74 39))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv1 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 218 131))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv0 16))))))))
(assert (or (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv10 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 103 41)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (- (/ 43 17)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16))))) (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 117 37))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 7 47) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv15 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv13 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 103 43)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv12 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 89 51) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv11 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 71 34)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 7 47) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 43 17)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 36 31)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 5 41)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 43 17)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (- (/ 43 17)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 117 37))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A2.V<1> (_ bv14 16))) (not (= A2.V<2> (_ bv1 16))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 26 31))) (or (<= (/ 29 30) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 29 30) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 27 44) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A3.V<1> (_ bv10 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= 0 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16))))) (<= (+ A3.atime<0> (+ A3.wtime<0> (* (- 1) A4.atime<0>))) (- 1)))))
(assert (or (<= 0 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv12 16))))) (<= (+ A3.atime<0> (+ A3.wtime<0> (* (- 1) A4.atime<0>))) (- (/ 17 19))))))
(assert (or (<= 0 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16))))) (<= (+ A3.atime<0> (+ A3.wtime<0> (* (- 1) A4.atime<0>))) (- (/ 41 29))))))
(assert (or (<= 0 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16))))) (<= (+ A3.atime<0> (+ A3.wtime<0> (* (- 1) A4.atime<0>))) (- (/ 41 29))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 1 44))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 17 19))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 37 186))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 74 39) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv15 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 74 39) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 218 131) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv12 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv11 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv9 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv5 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 29 28) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv4 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 37 186) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv3 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv6 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv1 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1 60))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 17 19))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 5 28))) (or (<= (/ 82 45) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 3 41))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 26 47))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 25 88))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 5 28))) (or (<= (/ 82 45) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1 12))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 29 30))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 147 55))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 147 55))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 161 72) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv7 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 27 44))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (and (not kass2) (<= (- (/ 21 47)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 161 72))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv10 16))) (not (= A1.V<2> (_ bv7 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (* (- 1) A3.atime<2>))) (- 1)) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (not (= A3.V<2> (_ bv4 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 25 88) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 17 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 37 186) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 17 19))) (or (<= (/ 7 60) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 26 47) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv11 16))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv9 16))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 30 31) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv8 16))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 82 45))) (or (<= (/ 5 28) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv1 16))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv13 16))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 9 5))) (or (<= (/ 13 42) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 34 19))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv10 16))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 26 47) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv5 16))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv15 16))) (or (not (= A1.V<1> (_ bv6 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 17 40)) (or (<= (/ 54 23) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 21 47)) (or (<= (/ 38 17) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 12 29)) (or (<= (/ 58 41) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 21 47)) (or (<= (/ 38 17) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 23 47)) (or (<= (/ 51 25) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 47 38))) (or (<= (/ 26 47) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 37 186) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 25 88) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 17 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 26 47) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 17 19))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 30 31))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 29 28))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 17 19))) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv15 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 66 59))) (or (<= (/ 66 59) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16))))) (not (= A4.V<2> (_ bv2 16)))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 37 41))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16))))) (not (= A4.V<2> (_ bv10 16)))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 17 19))) (or (<= (/ 7 60) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv13 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (and (not kass2) (<= (- (/ 21 47)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 161 72))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 29 31)) (or (<= (/ 159 50) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 44 35)) (or (<= (/ 159 50) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 10 33)) (or (<= (/ 159 50) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 159 50) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 19 30))) (or (<= (/ 159 50) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 25 21)) (or (<= (/ 83 26) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 53 46)) (or (<= (/ 159 50) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 159 50) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 47 46)) (or (<= (/ 159 50) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 23 40))) (or (<= (/ 159 50) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 21 34)) (or (<= (/ 159 50) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 26 103))) (or (<= (/ 159 50) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 44 35)) (or (<= (/ 159 50) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 29 24)) (or (<= (/ 117 37) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 21 17)) (or (<= (/ 38 17) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 43 34)) (or (<= (/ 117 37) (+ A1.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A1.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (/ 12 29)) (or (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16))))) (<= (/ 58 41) (+ A4.atime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))))))
(assert (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (/ 21 47)) (or (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv0 16))))) (<= (/ 38 17) (+ A4.atime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))))))
(assert (or (and (not kass2) (<= 0 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (* (- 1) A3.atime<2>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (not (= A3.V<2> (_ bv4 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 17 19))))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 74 39))))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 74 39))))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 34 19))))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 34 19))))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 41 29))))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv4 16))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 41 29))))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 218 131))))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A3.atime<0>))) (- 1)))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) 0) (or (<= 1 (+ A3.atime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A4.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) 0) (or (<= (/ 74 39) (+ A3.atime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A4.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) 0) (or (<= (/ 34 19) (+ A3.atime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A4.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) 0) (or (<= (/ 41 29) (+ A3.atime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A4.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) 0) (or (<= (/ 74 39) (+ A3.atime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A4.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) 0) (or (<= (/ 218 131) (+ A3.atime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A4.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) 0) (or (<= (/ 34 19) (+ A3.atime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A4.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) 0) (or (<= (/ 41 29) (+ A3.atime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (or (not (= A4.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A4.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) 0) (or (<= (/ 17 19) (+ A3.atime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (or (not (= A4.V<1> (_ bv13 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A4.V<0> (_ bv4 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (* (- 1) A4.atime<2>))) (- 1)) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16))))))))
(assert (or (<= (/ 117 37) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 29 24)) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 43 34)) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (/ 117 37) (+ A3.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (<= (/ 38 17) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 53 50)) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (/ 159 50) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 29 31)) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (/ 117 37) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 4 11)) (or (not (= A3.V<1> (_ bv12 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 117 37) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 57 49))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 117 37) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 41 29))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 117 37) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 37 45)) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 117 37) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 8 13)) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 117 37) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 16 19)) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 117 37) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 43 34)) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 117 37) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 5 41)) (or (not (= A3.V<1> (_ bv6 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 117 37) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 24 47))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 117 37) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 38 17))) (or (not (= A3.V<1> (_ bv14 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 117 37) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 36 31)) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 21 17)) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv5 16))))) (<= (/ 38 17) (+ A3.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 44 35)) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv0 16))))) (<= (/ 159 50) (+ A3.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (and (not kass2) (<= (- (/ 43 34)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 117 37))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 17 40)) (or (<= (/ 54 23) (+ A3.atime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv8 16))) (not (= A2.V<2> (_ bv3 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 23 47)) (or (<= (/ 51 25) (+ A3.atime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv8 16))) (not (= A2.V<2> (_ bv7 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 21 47)) (or (<= (/ 38 17) (+ A3.atime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv8 16))) (not (= A2.V<2> (_ bv6 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 12 29)) (or (<= (/ 41 29) (+ A3.atime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv8 16))) (not (= A2.V<2> (_ bv5 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 21 47)) (or (<= (/ 38 17) (+ A3.atime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv8 16))) (not (= A2.V<2> (_ bv1 16))))))))
(assert (or (and (not kass2) (<= (- (/ 17 40)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 54 23))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv8 16))) (not (= A2.V<2> (_ bv3 16))))))))
(assert (or (and (not kass2) (<= (- (/ 262 105)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 119 33))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv8 16))) (not (= A1.V<2> (_ bv7 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16))))) (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 58 41))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv7 16))))) (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 17 19))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16))))) (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 41 29))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16))))) (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 34 19))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv0 16))))) (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 34 19))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16))))) (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<0>))) (- 1)))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 38 17))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- 1)) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 51 25) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 38 17) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16)))))) (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 21 43) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 54 23) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 8 27) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16)))))))))
(assert (or (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16))))))) (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41)))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 38 17) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>))))) (or (not (= A4.V<1> (_ bv13 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16)))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 58 41))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv12 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 13 72)) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv11 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 71 177)) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 44 133)) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 8 27))) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (/ 44 133)) (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 21 43) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv15 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 51 25) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 38 17) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 54 23) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 38 17) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (not (= A3.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (or (not (= A1.V<2> (_ bv7 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A1.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) 0) (or (<= (/ 74 39) (+ A0.atime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (or (not (= A1.V<2> (_ bv15 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A1.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) 0) (or (<= (/ 74 39) (+ A0.atime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (or (not (= A1.V<2> (_ bv13 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A1.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) 0) (or (<= (/ 218 131) (+ A0.atime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (or (not (= A1.V<2> (_ bv12 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A1.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A0.atime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (or (not (= A1.V<2> (_ bv11 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A1.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) 0) (or (<= (/ 34 19) (+ A0.atime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (or (not (= A1.V<2> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A1.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A0.atime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (or (not (= A1.V<2> (_ bv5 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A1.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) 0) (or (<= (/ 17 19) (+ A0.atime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (or (not (= A1.V<2> (_ bv4 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A1.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (or (not (= A1.V<2> (_ bv6 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A1.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 49 53))) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv4 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 15 67)) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 65 87)) (or (<= (/ 338 123) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 30 37)) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 33 31)) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 37 33)) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 9 34)) (or (<= (/ 107 40) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 15 67)) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 46 41)) (or (<= (/ 147 55) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv4 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 55 41)) (or (<= (/ 38 17) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv10 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv4 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 55 41)) (or (<= (/ 38 17) (+ A0.atime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A2.V<1> (_ bv4 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 58 41))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 16 19)) (or (<= (/ 117 37) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 14 29)) (or (<= (/ 117 37) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 19 29))) (or (<= (/ 117 37) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 117 37) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 8 13)) (or (<= (/ 117 37) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 57 49))) (or (<= (/ 117 37) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 117 37) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 117 37) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (/ 5 41)) (or (<= (/ 117 37) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 24 47))) (or (<= (/ 117 37) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16))))) (<= (/ 74 39) (+ A3.atime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))))))
(assert (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv11 16)))))))))
(assert (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (/ 41 29) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (/ 218 131) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv15 16)))))))))
(assert (or (<= (/ 34 19) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (/ 41 29) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv5 16)))))))))
(assert (or (<= (/ 17 29) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv8 16)))))))))
(assert (or (<= (/ 29 28) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv13 16)))))))))
(assert (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 17 19))) (or (not (= A3.V<1> (_ bv12 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1 269))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 1 31))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 79 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 2 27))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 78 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 2 13))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (not (= A3.V<1> (_ bv6 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 11 34))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (not (= A3.V<1> (_ bv4 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 6 59))) (or (not (= A3.V<1> (_ bv14 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 74 39) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 20 39))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 74 39) (+ A3.atime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv11 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv10 16))))) (<= (/ 34 19) (+ A3.atime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A3.atime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv9 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv15 16))))) (<= (/ 218 131) (+ A3.atime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv2 16))))) (<= (/ 34 19) (+ A3.atime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A3.atime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv1 16))))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv5 16))))) (<= 1 (+ A3.atime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))))))
(assert (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) 0) (or (or (not (= A3.V<0> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv13 16))))) (<= (/ 17 19) (+ A3.atime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 15 31))) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 29 32))) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 29 28))) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 7 6))) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 3 8))) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 17 39))) (or (<= (/ 49 44) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 34 61))) (or (<= (/ 140 97) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 28 75))) (or (<= (/ 43 24) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 7 30))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (and (not kass2) (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A4.atime<2>) (* (- 1) A4.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A4.atime<2>))) (- (/ 74 39))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A2.V<2> (_ bv3 16))))))))
(assert (or (and (not kass2) (<= (- (/ 43 17)) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 117 37))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv4 16))) (not (= A1.V<2> (_ bv7 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) 0) (or (<= 1 (+ A2.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A3.V<0> (_ bv5 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) 0) (or (<= (/ 34 19) (+ A2.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv12 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A3.V<0> (_ bv5 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) 0) (or (<= (/ 17 19) (+ A2.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A3.V<0> (_ bv5 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) 0) (or (<= (/ 41 29) (+ A2.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A3.V<0> (_ bv5 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) 0) (or (<= (/ 41 29) (+ A2.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A3.V<0> (_ bv5 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) 0) (or (<= (/ 34 19) (+ A2.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv14 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A3.V<0> (_ bv5 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (/ 12 29)) (or (<= (/ 58 41) (+ A2.atime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A4.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (/ 23 47)) (or (<= (/ 51 25) (+ A2.atime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A4.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (/ 21 47)) (or (<= (/ 38 17) (+ A2.atime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A4.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (/ 17 40)) (or (<= (/ 54 23) (+ A2.atime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A4.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (/ 21 47)) (or (<= (/ 38 17) (+ A2.atime<0> (+ (* (- 1) A4.atime<0>) (* (- 1) A4.wtime<0>)))) (or (not (= A4.V<1> (_ bv13 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A4.V<0> (_ bv4 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 1001 1000))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 1001 1000))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv14 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 1001 1000))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv12 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 1001 1000))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv7 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 1001 1000))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 1001 1000))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 1001 1000))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv15 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv10 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 1001 1000))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv0 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv8 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv2 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv14 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv12 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv7 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv6 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv4 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv15 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv10 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv0 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv13 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv8 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A2.V<1> (_ bv5 16))))))))
(assert (or (<= (/ 66 59) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 66 59))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) 0) (or (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (/ 17 19) (+ A2.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 17 19))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (/ 34 19) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 17 19))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv12 16)))))))))
(assert (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 29 28))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (/ 34 19) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 30 31))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 37 41))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (/ 30 31) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 34 19))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 29 28) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 41 29))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 37 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- 1)) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 47 38) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 26 47))) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) 0) (or (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv13 16))))) (<= (/ 41 29) (+ A2.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) 0) (or (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv12 16))))) (<= (/ 34 19) (+ A2.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) 0) (or (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv5 16))))) (<= (/ 41 29) (+ A2.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) 0) (or (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv4 16))))) (<= (/ 34 19) (+ A2.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) 0) (or (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv9 16))))) (<= 1 (+ A2.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (<= (- (/ 4 17)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (/ 57 100) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv12 16)))))))))
(assert (or (<= (/ 41 29) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (/ 38 17) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (/ 17 29) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 41 29))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (/ 57 49) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 117 37))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 38 41) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 38 17))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 103 59) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 140 109))) (or (not (= A4.V<1> (_ bv3 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 19 30) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 159 50))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 127 71) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 30 31))) (or (not (= A4.V<1> (_ bv2 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 73 48) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 26 47))) (or (not (= A4.V<1> (_ bv5 16))) (or (not (= A4.V<0> (_ bv4 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 17 19))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 41 29))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 34 19))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv12 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 41 29))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv5 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 34 19))) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv4 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv9 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv9 16))))))))
(assert (or (<= (- (/ 12 29)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 58 41))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A4.V<0> (_ bv4 16))) (not (= A3.V<1> (_ bv9 16))))))))
(assert (or (<= (- (/ 23 47)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 51 25))) (or (not (= A4.V<1> (_ bv11 16))) (or (not (= A4.V<0> (_ bv4 16))) (not (= A3.V<1> (_ bv9 16))))))))
(assert (or (<= (- (/ 21 47)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 38 17))) (or (not (= A4.V<1> (_ bv10 16))) (or (not (= A4.V<0> (_ bv4 16))) (not (= A3.V<1> (_ bv9 16))))))))
(assert (or (<= (- (/ 17 40)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 54 23))) (or (not (= A4.V<1> (_ bv15 16))) (or (not (= A4.V<0> (_ bv4 16))) (not (= A3.V<1> (_ bv9 16))))))))
(assert (or (<= (- (/ 21 47)) (+ A4.atime<0> (+ A4.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (<= (+ A4.atime<0> (+ A4.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 38 17))) (or (not (= A4.V<1> (_ bv13 16))) (or (not (= A4.V<0> (_ bv4 16))) (not (= A3.V<1> (_ bv9 16))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16))))) (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv12 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv15 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv2 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv10 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv0 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv13 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv8 16))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv14 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv12 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv7 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv6 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv15 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv2 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv10 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv0 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv8 16))))))))
(assert (or (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv9 16))) (or (not (= A3.V<1> (_ bv9 16))) (not (= A3.V<2> (_ bv5 16))))))))
(assert (or (and (not kass2) (<= (- (/ 55 41)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A0.atime<2>))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A0.V<2> (_ bv1 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (/ 3 14) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A0.atime<1>))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16))))))))
(assert (or (<= (- (/ 34 135)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv11 16)))))))))
(assert (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (/ 13 25) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (- (/ 19 43)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv10 16)))))))))
(assert (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (- (/ 4 17)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (- (/ 34 135)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 38 17))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 41 29))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 17 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- 1)) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (- (/ 21 47)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A0.atime<1>))) (- (/ 38 17))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16))))))))
(assert (or (<= (- (/ 12 29)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A0.atime<1>))) (- (/ 41 29))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv6 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- (/ 58 41))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- (/ 41 29))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv0 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- (/ 17 19))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv2 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 58 41))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 41 29))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv6 16))) (not (= A0.V<2> (_ bv3 16))))))))
(assert (or (<= (- (/ 21 17)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A1.V<1> (_ bv2 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 1001 1000))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv7 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 1001 1000))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv15 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 1001 1000))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 1001 1000))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv12 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<1>))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv11 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<1>))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 1001 1000))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv5 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<1>))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv4 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<1>))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv3 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<1>))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv6 16))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<1>))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv1 16))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 27 44) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv0 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 147 55))) (or (<= (/ 49 53) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv0 16))) (not (= A3.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 27 26))) (or (<= (/ 81 82) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv0 16))) (not (= A3.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 29 30) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv0 16))) (not (= A3.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 67 107))) (or (<= (/ 61 66) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv0 16))) (not (= A3.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 26 31))) (or (<= (/ 29 30) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv0 16))) (not (= A3.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv0 16))) (not (= A3.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 17 9))) (or (<= (/ 82 83) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv0 16))) (not (= A3.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 38 17) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv0 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A3.V<1> (_ bv0 16))) (not (= A3.V<2> (_ bv4 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A0.atime<1>))) (- (/ 17 19))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv10 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A0.atime<1>))) (- (/ 41 29))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv10 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A0.atime<1>))) (- (/ 34 19))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv10 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A0.atime<1>))) (- (/ 41 29))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv10 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A0.atime<1>))) (- (/ 34 19))) (or (not (= A2.V<1> (_ bv15 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv10 16))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A0.atime<1>))) (- 1)) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv9 16))) (not (= A0.V<1> (_ bv10 16))))))))
(assert (or (<= (- (/ 55 41)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (<= (- (/ 55 41)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv3 16))))))))
(assert (or (<= (- (/ 21 40)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= (/ 17 45) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv15 16)))))))))
(assert (or (<= (/ 117 37) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv13 16)))))))))
(assert (or (<= (/ 159 50) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv12 16)))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv5 16)))))))))
(assert (or (<= (/ 38 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv4 16)))))))))
(assert (or (<= (- (/ 53 50)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 26 47) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (- (/ 1 3)) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 5 28) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 51 28))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 41 29))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv7 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 41 29))) (or (<= (- (/ 4 17)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 159 50))) (or (<= (/ 19 30) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 38 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 57 49) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 30 31))) (or (<= (/ 127 71) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 140 109))) (or (<= (/ 103 59) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 26 47))) (or (<= (/ 73 48) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 41 29))) (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 57 100) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv15 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 17 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 26 31))) (or (<= (/ 29 30) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 29 30) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 27 44) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv10 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (- (/ 43 34)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A2.atime<0>))) (- (/ 117 37))))))
(assert (or (<= (- (/ 44 35)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv12 16))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A2.atime<0>))) (- (/ 159 50))))))
(assert (or (<= (- (/ 21 17)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv9 16))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A2.atime<0>))) (- (/ 38 17))))))
(assert (or (<= (- (/ 67 31)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 117 37))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16))))))))
(assert (or (<= (- (/ 262 105)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A4.atime<1>))) (- (/ 119 33))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv12 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv4 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (- (/ 55 41)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 161 72))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 147 55) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv13 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 39 53) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv11 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 14 45) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv7 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 13 25) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 29 30) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv5 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 89 51) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 4 17)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv15 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv13 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv7 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv15 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv13 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv7 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv6 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv3 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv14 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv9 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv12 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv4 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv15 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv13 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv7 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- (/ 1001 1000))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv6 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv5 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv3 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv14 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv9 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv12 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A4.atime<1>))) (- 1)) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv8 16))) (not (= A0.V<2> (_ bv4 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (/ 73 35) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 2 25))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 23 47)) (or (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (/ 51 25) (+ A2.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 13 72)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv9 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 37 99)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (/ 38 17) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) 0) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (/ 25 27) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 17 58)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 54 23) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 2 29)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 2 19)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv10 16)))))))))
(assert (or (<= (/ 51 25) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 41 29))) (or (not (= A2.V<1> (_ bv14 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 51 25) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 22 57)) (or (not (= A2.V<1> (_ bv12 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 51 25) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 31 51))) (or (not (= A2.V<1> (_ bv7 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 41 20) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 13 43))) (or (not (= A2.V<1> (_ bv6 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 51 25) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 23 47)) (or (not (= A2.V<1> (_ bv4 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 51 25) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 38 17))) (or (not (= A2.V<1> (_ bv15 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 51 25) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- 1)) (or (not (= A2.V<1> (_ bv10 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 51 25) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 23 47)) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 51 25) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- 1)) (or (not (= A2.V<1> (_ bv13 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 51 25) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 23 47)) (or (not (= A2.V<1> (_ bv8 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 93 43) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 9 34)) (or (not (= A2.V<1> (_ bv5 16))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 12 29)) (or (<= (/ 41 29) (+ A2.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv9 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 21 47)) (or (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv8 16))))) (<= (/ 38 17) (+ A2.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 21 47)) (or (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv5 16))))) (<= (/ 38 17) (+ A2.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (/ 17 40)) (or (or (not (= A2.V<0> (_ bv9 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv0 16))))) (<= (/ 54 23) (+ A2.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 43 17)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 36 31)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv15 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv13 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 37 27) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv12 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 71 34)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv11 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 89 51) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv9 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 103 41)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv7 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 7 47) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv5 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 7 31)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv4 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 5 41)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv6 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 117 37))) (or (<= (- (/ 36 31)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 73 41))) (or (<= (/ 10 67) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 38 17))) (or (<= (- (/ 21 40)) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 51 28))) (or (<= (/ 5 28) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv5 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 100 43))) (or (<= (/ 5 32) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv5 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>)))) (- (/ 52 27))) (or (<= (/ 2 27) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A4.atime<1>) (* (- 1) A4.wtime<1>))))) (or (not (= A4.V<2> (_ bv1 16))) (or (not (= A4.V<1> (_ bv8 16))) (or (not (= A0.V<1> (_ bv14 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(set-info :status sat)
(check-sat)
(assert (<= (/ 147 52) objtime))
(assert (<= objtime (/ 11073971 1668700)))
(push 1)
(assert (<= objtime (/ 311 55)))
(set-info :status sat)
(check-sat)
(exit)
