(set-info :smt-lib-version 2.6)
(set-logic QF_BVLRA)
(set-info :source |
Generated by: Tomas Kolarik
Generated on: 2024-04-14
Generator: gitlab.com/Tomaqa/mapf_r
Application: Multi-Agent Path-Finding with Continuous Time
Target solver: Z3, CVC4, MathSAT
Publications: Tomas Kolarik, Stefan Ratschan and Pavel Surynek: "Multi-Agent Path-Finding with Continuous Time Using SAT Modulo Linear Real Arithmetic" in ICAART, SCITEPRESS, 2024.
The benchmarks mimic MAPF problems with continuous time where the objective time must be sub-optimal, bounded by a user-specified coefficient. In the original solver, a simulator checks whether there are collisions between particular agents, according to the current model. This check is missing in the case of the final 'check-sat'. The benchmarks also lack commands for preferring certain variables during the search which is of huge importance when searching for short paths in a graph. However, the final plan must still avoid all collisions encountered by the original solver and the objective time must obey the sub-optimal coefficient. Producing models is crucial for the application since the intended solver communicates values of particular variables with the simulator. This communication is ommited though for simplicity. The final 'get-value' allows to compare with the original solver that the objective time indeed obeys the coefficient. Filenames without the extensions correspond to filenames of resulting plans of the original solver.
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(declare-const objtime Real)
(declare-const oo Real)
(declare-const eps Real)
(declare-const A0.V<0> (_ BitVec 16))
(declare-const A0.atime<0> Real)
(assert (= A0.atime<0> 0))
(declare-const A0.rtime<0> Real)
(declare-const A0.wtime<0> Real)
(declare-const A0.mtime<0> Real)
(assert (= (+ A0.rtime<0> (+ (* (- 1) A0.wtime<0>) (* (- 1) A0.mtime<0>))) 0))
(assert (<= 0 A0.wtime<0>))
(assert (<= 0 A0.mtime<0>))
(declare-const wpref0 Bool)
(assert (or (= A0.wtime<0> 0) (not wpref0)))
(declare-const A0.ppref<0> Bool)
(declare-const A0.spref<0><1> Bool)
(declare-const A0.spref<0><2> Bool)
(declare-const A0.spref<0><3> Bool)
(declare-const A0.spref<0><4> Bool)
(declare-const A0.spref<0><5> Bool)
(declare-const A0.spref<0><6> Bool)
(declare-const A0.spref<0><7> Bool)
(declare-const A0.spref<0><8> Bool)
(declare-const A0.spref<0><9> Bool)
(declare-const A0.spref<0><10> Bool)
(declare-const A0.spref<0><11> Bool)
(declare-const A0.spref<0><12> Bool)
(declare-const A1.V<0> (_ BitVec 16))
(declare-const A1.atime<0> Real)
(assert (= A1.atime<0> 0))
(declare-const A1.rtime<0> Real)
(declare-const A1.wtime<0> Real)
(declare-const A1.mtime<0> Real)
(assert (= (+ A1.rtime<0> (+ (* (- 1) A1.wtime<0>) (* (- 1) A1.mtime<0>))) 0))
(assert (<= 0 A1.wtime<0>))
(assert (<= 0 A1.mtime<0>))
(declare-const wpref1 Bool)
(assert (or (= A1.wtime<0> 0) (not wpref1)))
(declare-const A1.ppref<0> Bool)
(declare-const A1.spref<0><1> Bool)
(declare-const A1.spref<0><2> Bool)
(declare-const A1.spref<0><3> Bool)
(declare-const A1.spref<0><4> Bool)
(declare-const A1.spref<0><5> Bool)
(declare-const A1.spref<0><6> Bool)
(declare-const A1.spref<0><7> Bool)
(declare-const A1.spref<0><8> Bool)
(declare-const A1.spref<0><9> Bool)
(declare-const A1.spref<0><10> Bool)
(declare-const A1.spref<0><11> Bool)
(declare-const A1.spref<0><12> Bool)
(declare-const A2.V<0> (_ BitVec 16))
(declare-const A2.atime<0> Real)
(assert (= A2.atime<0> 0))
(declare-const A2.rtime<0> Real)
(declare-const A2.wtime<0> Real)
(declare-const A2.mtime<0> Real)
(assert (= (+ A2.rtime<0> (+ (* (- 1) A2.wtime<0>) (* (- 1) A2.mtime<0>))) 0))
(assert (<= 0 A2.wtime<0>))
(assert (<= 0 A2.mtime<0>))
(declare-const wpref2 Bool)
(assert (or (= A2.wtime<0> 0) (not wpref2)))
(declare-const A2.ppref<0> Bool)
(declare-const A2.spref<0><1> Bool)
(declare-const A2.spref<0><2> Bool)
(declare-const A2.spref<0><3> Bool)
(declare-const A2.spref<0><4> Bool)
(declare-const A2.spref<0><5> Bool)
(declare-const A2.spref<0><6> Bool)
(declare-const A2.spref<0><7> Bool)
(declare-const A2.spref<0><8> Bool)
(declare-const A2.spref<0><9> Bool)
(declare-const A2.spref<0><10> Bool)
(declare-const A2.spref<0><11> Bool)
(declare-const A2.spref<0><12> Bool)
(declare-const A3.V<0> (_ BitVec 16))
(declare-const A3.atime<0> Real)
(assert (= A3.atime<0> 0))
(declare-const A3.rtime<0> Real)
(declare-const A3.wtime<0> Real)
(declare-const A3.mtime<0> Real)
(assert (= (+ A3.rtime<0> (+ (* (- 1) A3.wtime<0>) (* (- 1) A3.mtime<0>))) 0))
(assert (<= 0 A3.wtime<0>))
(assert (<= 0 A3.mtime<0>))
(declare-const wpref3 Bool)
(assert (or (= A3.wtime<0> 0) (not wpref3)))
(declare-const A3.ppref<0> Bool)
(declare-const A3.spref<0><1> Bool)
(declare-const A3.spref<0><2> Bool)
(declare-const A3.spref<0><3> Bool)
(declare-const A3.spref<0><4> Bool)
(declare-const A3.spref<0><5> Bool)
(declare-const A3.spref<0><6> Bool)
(declare-const A3.spref<0><7> Bool)
(declare-const A3.spref<0><8> Bool)
(declare-const A3.spref<0><9> Bool)
(declare-const A3.spref<0><10> Bool)
(declare-const A3.spref<0><11> Bool)
(declare-const A3.spref<0><12> Bool)
(assert (= A3.V<0> (_ bv4 16)))
(assert (= A2.V<0> (_ bv9 16)))
(assert (= A1.V<0> (_ bv1 16)))
(assert (= A0.V<0> (_ bv7 16)))
(assert (or (= A0.wtime<0> 0) (or (= A1.wtime<0> 0) (or (= A2.wtime<0> 0) (= A3.wtime<0> 0)))))
(assert (or (= A0.V<0> (_ bv7 16)) (not A0.ppref<0>)))
(assert (or (= A1.V<0> (_ bv1 16)) (not A1.ppref<0>)))
(assert (or (= A2.V<0> (_ bv9 16)) (not A2.ppref<0>)))
(assert (or (= A3.V<0> (_ bv4 16)) (not A3.ppref<0>)))
(declare-const A0.V<1> (_ BitVec 16))
(declare-const A0.atime<1> Real)
(assert (= (+ A0.atime<0> (+ A0.rtime<0> (* (- 1) A0.atime<1>))) 0))
(declare-const A0.rtime<1> Real)
(declare-const A0.wtime<1> Real)
(declare-const A0.mtime<1> Real)
(assert (= (+ A0.rtime<1> (+ (* (- 1) A0.wtime<1>) (* (- 1) A0.mtime<1>))) 0))
(assert (<= 0 A0.wtime<1>))
(assert (<= 0 A0.mtime<1>))
(declare-const A0.ppref<1> Bool)
(declare-const A0.spref<1><1> Bool)
(declare-const A0.spref<1><2> Bool)
(declare-const A0.spref<1><3> Bool)
(declare-const A0.spref<1><4> Bool)
(declare-const A0.spref<1><5> Bool)
(declare-const A0.spref<1><6> Bool)
(declare-const A0.spref<1><7> Bool)
(declare-const A0.spref<1><8> Bool)
(declare-const A0.spref<1><9> Bool)
(declare-const A0.spref<1><10> Bool)
(declare-const A0.spref<1><11> Bool)
(declare-const A0.spref<1><12> Bool)
(declare-const A1.V<1> (_ BitVec 16))
(declare-const A1.atime<1> Real)
(assert (= (+ A1.atime<0> (+ A1.rtime<0> (* (- 1) A1.atime<1>))) 0))
(declare-const A1.rtime<1> Real)
(declare-const A1.wtime<1> Real)
(declare-const A1.mtime<1> Real)
(assert (= (+ A1.rtime<1> (+ (* (- 1) A1.wtime<1>) (* (- 1) A1.mtime<1>))) 0))
(assert (<= 0 A1.wtime<1>))
(assert (<= 0 A1.mtime<1>))
(declare-const A1.ppref<1> Bool)
(declare-const A1.spref<1><1> Bool)
(declare-const A1.spref<1><2> Bool)
(declare-const A1.spref<1><3> Bool)
(declare-const A1.spref<1><4> Bool)
(declare-const A1.spref<1><5> Bool)
(declare-const A1.spref<1><6> Bool)
(declare-const A1.spref<1><7> Bool)
(declare-const A1.spref<1><8> Bool)
(declare-const A1.spref<1><9> Bool)
(declare-const A1.spref<1><10> Bool)
(declare-const A1.spref<1><11> Bool)
(declare-const A1.spref<1><12> Bool)
(declare-const A2.V<1> (_ BitVec 16))
(declare-const A2.atime<1> Real)
(assert (= (+ A2.atime<0> (+ A2.rtime<0> (* (- 1) A2.atime<1>))) 0))
(declare-const A2.rtime<1> Real)
(declare-const A2.wtime<1> Real)
(declare-const A2.mtime<1> Real)
(assert (= (+ A2.rtime<1> (+ (* (- 1) A2.wtime<1>) (* (- 1) A2.mtime<1>))) 0))
(assert (<= 0 A2.wtime<1>))
(assert (<= 0 A2.mtime<1>))
(declare-const A2.ppref<1> Bool)
(declare-const A2.spref<1><1> Bool)
(declare-const A2.spref<1><2> Bool)
(declare-const A2.spref<1><3> Bool)
(declare-const A2.spref<1><4> Bool)
(declare-const A2.spref<1><5> Bool)
(declare-const A2.spref<1><6> Bool)
(declare-const A2.spref<1><7> Bool)
(declare-const A2.spref<1><8> Bool)
(declare-const A2.spref<1><9> Bool)
(declare-const A2.spref<1><10> Bool)
(declare-const A2.spref<1><11> Bool)
(declare-const A2.spref<1><12> Bool)
(declare-const A3.V<1> (_ BitVec 16))
(declare-const A3.atime<1> Real)
(assert (= (+ A3.atime<0> (+ A3.rtime<0> (* (- 1) A3.atime<1>))) 0))
(declare-const A3.rtime<1> Real)
(declare-const A3.wtime<1> Real)
(declare-const A3.mtime<1> Real)
(assert (= (+ A3.rtime<1> (+ (* (- 1) A3.wtime<1>) (* (- 1) A3.mtime<1>))) 0))
(assert (<= 0 A3.wtime<1>))
(assert (<= 0 A3.mtime<1>))
(declare-const A3.ppref<1> Bool)
(declare-const A3.spref<1><1> Bool)
(declare-const A3.spref<1><2> Bool)
(declare-const A3.spref<1><3> Bool)
(declare-const A3.spref<1><4> Bool)
(declare-const A3.spref<1><5> Bool)
(declare-const A3.spref<1><6> Bool)
(declare-const A3.spref<1><7> Bool)
(declare-const A3.spref<1><8> Bool)
(declare-const A3.spref<1><9> Bool)
(declare-const A3.spref<1><10> Bool)
(declare-const A3.spref<1><11> Bool)
(declare-const A3.spref<1><12> Bool)
(assert (or (= A0.V<1> (_ bv1 16)) (not A0.ppref<1>)))
(assert (or (= A1.V<1> (_ bv10 16)) (not A1.ppref<1>)))
(assert (or (= A2.V<1> (_ bv14 16)) (not A2.ppref<1>)))
(assert (or (= A3.V<1> (_ bv3 16)) (not A3.ppref<1>)))
(assert (or (= A0.mtime<0> (/ 137 38)) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.mtime<0> (/ 41 29)) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.mtime<0> (/ 98 31)) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.mtime<0> (/ 41 29)) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv1 16))))))
(assert (or (= A0.mtime<0> (/ 98 31)) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv11 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv7 16)) (= A0.V<1> (_ bv6 16))))))
(assert (or (or (= A0.V<1> (_ bv6 16)) (or (= A0.V<1> (_ bv3 16)) (or (= A0.V<1> (_ bv11 16)) (or (= A0.V<1> (_ bv0 16)) (or (= A0.V<1> (_ bv1 16)) (or (= A0.V<1> (_ bv14 16)) (or (= A0.V<1> (_ bv2 16)) (or (= A0.V<1> (_ bv8 16)) (or (= A0.V<1> (_ bv9 16)) (or (= A0.V<1> (_ bv12 16)) (= A0.V<1> (_ bv10 16)))))))))))) (not (= A0.V<0> (_ bv7 16)))))
(assert (or (= A0.V<1> (_ bv1 16)) (not (and A0.spref<0><1> (= A0.V<0> (_ bv7 16))))))
(assert (or (= A0.V<1> (_ bv2 16)) (not (and A0.spref<0><2> (= A0.V<0> (_ bv7 16))))))
(assert (or (= A0.V<1> (_ bv6 16)) (not (and A0.spref<0><3> (= A0.V<0> (_ bv7 16))))))
(assert (or (= A0.V<1> (_ bv3 16)) (not (and A0.spref<0><4> (= A0.V<0> (_ bv7 16))))))
(assert (or (= A0.V<1> (_ bv10 16)) (not (and A0.spref<0><5> (= A0.V<0> (_ bv7 16))))))
(assert (or (= A0.V<1> (_ bv11 16)) (not (and A0.spref<0><6> (= A0.V<0> (_ bv7 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv14 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv7 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv6 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv4 16))))))
(assert (or (= A1.mtime<0> (/ 137 38)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv15 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv0 16))))))
(assert (or (or (= A1.V<1> (_ bv0 16)) (or (= A1.V<1> (_ bv5 16)) (or (= A1.V<1> (_ bv2 16)) (or (= A1.V<1> (_ bv15 16)) (or (= A1.V<1> (_ bv4 16)) (or (= A1.V<1> (_ bv6 16)) (or (= A1.V<1> (_ bv7 16)) (or (= A1.V<1> (_ bv8 16)) (or (= A1.V<1> (_ bv10 16)) (or (= A1.V<1> (_ bv14 16)) (= A1.V<1> (_ bv12 16)))))))))))) (not (= A1.V<0> (_ bv1 16)))))
(assert (or (= A1.V<1> (_ bv10 16)) (not (and A1.spref<0><1> (= A1.V<0> (_ bv1 16))))))
(assert (or (= A1.V<1> (_ bv6 16)) (not (and A1.spref<0><2> (= A1.V<0> (_ bv1 16))))))
(assert (or (= A1.V<1> (_ bv5 16)) (not (and A1.spref<0><3> (= A1.V<0> (_ bv1 16))))))
(assert (or (= A1.V<1> (_ bv2 16)) (not (and A1.spref<0><4> (= A1.V<0> (_ bv1 16))))))
(assert (or (= A1.V<1> (_ bv7 16)) (not (and A1.spref<0><5> (= A1.V<0> (_ bv1 16))))))
(assert (or (= A1.V<1> (_ bv4 16)) (not (and A1.spref<0><6> (= A1.V<0> (_ bv1 16))))))
(assert (or (= A2.mtime<0> (/ 41 29)) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv14 16))))))
(assert (or (= A2.mtime<0> (/ 41 29)) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.mtime<0> (/ 41 29)) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.mtime<0> (/ 41 29)) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv15 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.mtime<0> (/ 38 17)) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv0 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv9 16)) (= A2.V<1> (_ bv5 16))))))
(assert (or (or (= A2.V<1> (_ bv5 16)) (or (= A2.V<1> (_ bv8 16)) (or (= A2.V<1> (_ bv13 16)) (or (= A2.V<1> (_ bv0 16)) (or (= A2.V<1> (_ bv10 16)) (or (= A2.V<1> (_ bv2 16)) (or (= A2.V<1> (_ bv15 16)) (or (= A2.V<1> (_ bv4 16)) (or (= A2.V<1> (_ bv6 16)) (or (= A2.V<1> (_ bv7 16)) (or (= A2.V<1> (_ bv14 16)) (= A2.V<1> (_ bv12 16))))))))))))) (not (= A2.V<0> (_ bv9 16)))))
(assert (or (= A2.V<1> (_ bv14 16)) (not (and A2.spref<0><1> (= A2.V<0> (_ bv9 16))))))
(assert (or (= A2.V<1> (_ bv10 16)) (not (and A2.spref<0><2> (= A2.V<0> (_ bv9 16))))))
(assert (or (= A2.V<1> (_ bv13 16)) (not (and A2.spref<0><3> (= A2.V<0> (_ bv9 16))))))
(assert (or (= A2.V<1> (_ bv15 16)) (not (and A2.spref<0><4> (= A2.V<0> (_ bv9 16))))))
(assert (or (= A2.V<1> (_ bv8 16)) (not (and A2.spref<0><5> (= A2.V<0> (_ bv9 16))))))
(assert (or (= A2.V<1> (_ bv5 16)) (not (and A2.spref<0><6> (= A2.V<0> (_ bv9 16))))))
(assert (or (= A3.mtime<0> (/ 98 31)) (not (and (= A3.V<0> (_ bv4 16)) (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.mtime<0> (/ 38 17)) (not (and (= A3.V<0> (_ bv4 16)) (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.mtime<0> (/ 41 29)) (not (and (= A3.V<0> (_ bv4 16)) (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.mtime<0> (/ 98 31)) (not (and (= A3.V<0> (_ bv4 16)) (= A3.V<1> (_ bv3 16))))))
(assert (or (= A3.mtime<0> (/ 137 38)) (not (and (= A3.V<0> (_ bv4 16)) (= A3.V<1> (_ bv15 16))))))
(assert (or (= A3.mtime<0> (/ 38 17)) (not (and (= A3.V<0> (_ bv4 16)) (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.mtime<0> (/ 41 29)) (not (and (= A3.V<0> (_ bv4 16)) (= A3.V<1> (_ bv1 16))))))
(assert (or (= A3.mtime<0> 1) (not (and (= A3.V<0> (_ bv4 16)) (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.mtime<0> 1) (not (and (= A3.V<0> (_ bv4 16)) (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.mtime<0> (/ 38 17)) (not (and (= A3.V<0> (_ bv4 16)) (= A3.V<1> (_ bv13 16))))))
(assert (or (= A3.mtime<0> 1) (not (and (= A3.V<0> (_ bv4 16)) (= A3.V<1> (_ bv0 16))))))
(assert (or (or (= A3.V<1> (_ bv0 16)) (or (= A3.V<1> (_ bv13 16)) (or (= A3.V<1> (_ bv8 16)) (or (= A3.V<1> (_ bv5 16)) (or (= A3.V<1> (_ bv1 16)) (or (= A3.V<1> (_ bv2 16)) (or (= A3.V<1> (_ bv15 16)) (or (= A3.V<1> (_ bv3 16)) (or (= A3.V<1> (_ bv9 16)) (or (= A3.V<1> (_ bv11 16)) (= A3.V<1> (_ bv10 16)))))))))))) (not (= A3.V<0> (_ bv4 16)))))
(assert (or (= A3.V<1> (_ bv3 16)) (not (and A3.spref<0><1> (= A3.V<0> (_ bv4 16))))))
(assert (or (= A3.V<1> (_ bv2 16)) (not (and A3.spref<0><2> (= A3.V<0> (_ bv4 16))))))
(assert (or (= A3.V<1> (_ bv5 16)) (not (and A3.spref<0><3> (= A3.V<0> (_ bv4 16))))))
(assert (or (= A3.V<1> (_ bv1 16)) (not (and A3.spref<0><4> (= A3.V<0> (_ bv4 16))))))
(assert (or (= A3.V<1> (_ bv0 16)) (not (and A3.spref<0><5> (= A3.V<0> (_ bv4 16))))))
(assert (or (= A3.V<1> (_ bv9 16)) (not (and A3.spref<0><6> (= A3.V<0> (_ bv4 16))))))
(declare-const kass1 Bool)
(assert (or (= objtime A3.wtime<1>) (not kass1)))
(assert (or (not kass1) (= A3.mtime<1> 0)))
(assert (or (not kass1) (= objtime A2.wtime<1>)))
(assert (or (not kass1) (= A2.mtime<1> 0)))
(assert (or (not kass1) (= objtime A1.wtime<1>)))
(assert (or (not kass1) (= A1.mtime<1> 0)))
(assert (or (not kass1) (= objtime A0.wtime<1>)))
(assert (or (not kass1) (= A0.mtime<1> 0)))
(push 1)
(assert kass1)
(assert (= A3.V<1> (_ bv3 16)))
(assert (= A2.V<1> (_ bv14 16)))
(assert (= A1.V<1> (_ bv10 16)))
(assert (= A0.V<1> (_ bv1 16)))
(assert (let ((def_643 (ite (<= A3.atime<1> 0) 0 A3.atime<1>))) (let ((def_645 (ite (<= A2.atime<1> def_643) def_643 A2.atime<1>))) (let ((def_647 (ite (<= A1.atime<1> def_645) def_645 A1.atime<1>))) (= objtime (ite (<= A0.atime<1> def_647) def_647 A0.atime<1>))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 38 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 27 37))) (or (<= (/ 105 58) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 5 28))) (or (<= (/ 51 28) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 30 31))) (or (<= (/ 127 71) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 140 109))) (or (<= (/ 103 59) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 57 49) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 26 47))) (or (<= (/ 73 48) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 17 45) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv14 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv7 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv6 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 88 53) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv15 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 26 47) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv2 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 89 51))) (or (<= (/ 117 37) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 7 47))) (or (<= (/ 117 37) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 93 52))) (or (<= (/ 93 52) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A3.V<1> (_ bv2 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 51 28))) (or (<= (/ 5 28) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A3.V<1> (_ bv1 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 31 51))) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 18 23))) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 51 25))) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 2 25))) (or (<= (/ 73 35) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 13 43))) (or (<= (/ 41 20) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 21 44))) (or (<= (/ 100 49) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 35))) (or (<= (/ 56 47) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16))))) (not (= A3.V<1> (_ bv11 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16))))) (not (= A3.V<1> (_ bv10 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 37 45))) (or (<= (/ 3 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16))))) (not (= A3.V<1> (_ bv9 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 45 46))) (or (<= (/ 17 18) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16))))) (not (= A3.V<1> (_ bv15 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 13 25))) (or (<= (/ 38 17) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 8 27))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 27 34))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16))))) (not (= A3.V<1> (_ bv5 16)))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (- (/ 21 17)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<0>))) (- (/ 161 72))))))
(assert (or (<= (- (/ 43 34)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<0>))) (- (/ 117 37))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (/ 23 47)) (or (<= (/ 51 25) (+ A1.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A3.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (/ 21 47)) (or (<= (/ 38 17) (+ A1.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A3.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (/ 12 29)) (or (<= (/ 58 41) (+ A1.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A3.V<0> (_ bv4 16))))))))
(assert (or (and (not kass1) (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A0.atime<1>))) (- (/ 1001 1000))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A0.V<1> (_ bv1 16))))))))
(assert (or (and (not kass1) (<= (- (/ 23 47)) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (* (- 1) A0.atime<1>))) (- (/ 51 25))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (not (= A0.V<1> (_ bv1 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (/ 43 17)) (or (<= (/ 117 37) (+ A0.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A3.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (/ 43 17)) (or (<= (/ 117 37) (+ A0.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A3.V<0> (_ bv4 16))))))))
(assert (or (and (not kass1) (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 17 19))) (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A3.V<1> (_ bv3 16)))))))
(set-info :status unsat)
(check-sat)
(pop 1)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 38 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 27 37))) (or (<= (/ 105 58) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 5 28))) (or (<= (/ 51 28) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 30 31))) (or (<= (/ 127 71) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv9 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 140 109))) (or (<= (/ 103 59) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 57 49) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 26 47))) (or (<= (/ 73 48) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 17 45) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv14 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv7 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv6 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 88 53) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv15 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 161 72))) (or (<= (/ 26 47) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv2 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 89 51))) (or (<= (/ 117 37) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 7 47))) (or (<= (/ 117 37) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 117 37))) (or (<= (/ 117 37) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 93 52))) (or (<= (/ 93 52) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A3.V<1> (_ bv2 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 51 28))) (or (<= (/ 5 28) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A3.V<1> (_ bv1 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 31 51))) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 18 23))) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 51 25))) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 38 17))) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 2 25))) (or (<= (/ 73 35) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv7 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 13 43))) (or (<= (/ 41 20) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 21 44))) (or (<= (/ 100 49) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 34 35))) (or (<= (/ 56 47) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16))))) (not (= A3.V<1> (_ bv11 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16))))) (not (= A3.V<1> (_ bv10 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 37 45))) (or (<= (/ 3 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16))))) (not (= A3.V<1> (_ bv9 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 45 46))) (or (<= (/ 17 18) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16))))) (not (= A3.V<1> (_ bv15 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 13 25))) (or (<= (/ 38 17) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 8 27))) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 27 34))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16))))) (not (= A3.V<1> (_ bv5 16)))))))
(assert (or (<= (- (/ 21 17)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<0>))) (- (/ 161 72))))))
(assert (or (<= (- (/ 43 34)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<0>))) (- (/ 117 37))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (/ 23 47)) (or (<= (/ 51 25) (+ A1.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A3.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (/ 21 47)) (or (<= (/ 38 17) (+ A1.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A3.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (/ 12 29)) (or (<= (/ 58 41) (+ A1.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A3.V<0> (_ bv4 16))))))))
(assert (or (and (not kass1) (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A0.atime<1>))) (- (/ 1001 1000))) (or (not (= A1.V<1> (_ bv10 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A0.V<1> (_ bv1 16))))))))
(assert (or (and (not kass1) (<= (- (/ 23 47)) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (* (- 1) A0.atime<1>))) (- (/ 51 25))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (not (= A0.V<1> (_ bv1 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (/ 43 17)) (or (<= (/ 117 37) (+ A0.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A3.V<0> (_ bv4 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (/ 43 17)) (or (<= (/ 117 37) (+ A0.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv11 16))) (or (not (= A0.V<0> (_ bv7 16))) (not (= A3.V<0> (_ bv4 16))))))))
(assert (or (and (not kass1) (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A3.atime<1>))) (- (/ 17 19))) (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A3.V<1> (_ bv3 16)))))))
(declare-const A0.V<2> (_ BitVec 16))
(declare-const A0.atime<2> Real)
(assert (= (+ A0.atime<1> (+ A0.rtime<1> (* (- 1) A0.atime<2>))) 0))
(declare-const A0.rtime<2> Real)
(declare-const A0.wtime<2> Real)
(declare-const A0.mtime<2> Real)
(assert (= (+ A0.rtime<2> (+ (* (- 1) A0.wtime<2>) (* (- 1) A0.mtime<2>))) 0))
(assert (<= 0 A0.wtime<2>))
(assert (<= 0 A0.mtime<2>))
(declare-const A0.ppref<2> Bool)
(declare-const A0.spref<2><1> Bool)
(declare-const A0.spref<2><2> Bool)
(declare-const A0.spref<2><3> Bool)
(declare-const A0.spref<2><4> Bool)
(declare-const A0.spref<2><5> Bool)
(declare-const A0.spref<2><6> Bool)
(declare-const A0.spref<2><7> Bool)
(declare-const A0.spref<2><8> Bool)
(declare-const A0.spref<2><9> Bool)
(declare-const A0.spref<2><10> Bool)
(declare-const A0.spref<2><11> Bool)
(declare-const A0.spref<2><12> Bool)
(declare-const A1.V<2> (_ BitVec 16))
(declare-const A1.atime<2> Real)
(assert (= (+ A1.atime<1> (+ A1.rtime<1> (* (- 1) A1.atime<2>))) 0))
(declare-const A1.rtime<2> Real)
(declare-const A1.wtime<2> Real)
(declare-const A1.mtime<2> Real)
(assert (= (+ A1.rtime<2> (+ (* (- 1) A1.wtime<2>) (* (- 1) A1.mtime<2>))) 0))
(assert (<= 0 A1.wtime<2>))
(assert (<= 0 A1.mtime<2>))
(declare-const A1.ppref<2> Bool)
(declare-const A1.spref<2><1> Bool)
(declare-const A1.spref<2><2> Bool)
(declare-const A1.spref<2><3> Bool)
(declare-const A1.spref<2><4> Bool)
(declare-const A1.spref<2><5> Bool)
(declare-const A1.spref<2><6> Bool)
(declare-const A1.spref<2><7> Bool)
(declare-const A1.spref<2><8> Bool)
(declare-const A1.spref<2><9> Bool)
(declare-const A1.spref<2><10> Bool)
(declare-const A1.spref<2><11> Bool)
(declare-const A1.spref<2><12> Bool)
(declare-const A2.V<2> (_ BitVec 16))
(declare-const A2.atime<2> Real)
(assert (= (+ A2.atime<1> (+ A2.rtime<1> (* (- 1) A2.atime<2>))) 0))
(declare-const A2.rtime<2> Real)
(declare-const A2.wtime<2> Real)
(declare-const A2.mtime<2> Real)
(assert (= (+ A2.rtime<2> (+ (* (- 1) A2.wtime<2>) (* (- 1) A2.mtime<2>))) 0))
(assert (<= 0 A2.wtime<2>))
(assert (<= 0 A2.mtime<2>))
(declare-const A2.ppref<2> Bool)
(declare-const A2.spref<2><1> Bool)
(declare-const A2.spref<2><2> Bool)
(declare-const A2.spref<2><3> Bool)
(declare-const A2.spref<2><4> Bool)
(declare-const A2.spref<2><5> Bool)
(declare-const A2.spref<2><6> Bool)
(declare-const A2.spref<2><7> Bool)
(declare-const A2.spref<2><8> Bool)
(declare-const A2.spref<2><9> Bool)
(declare-const A2.spref<2><10> Bool)
(declare-const A2.spref<2><11> Bool)
(declare-const A2.spref<2><12> Bool)
(declare-const A3.V<2> (_ BitVec 16))
(declare-const A3.atime<2> Real)
(assert (= (+ A3.atime<1> (+ A3.rtime<1> (* (- 1) A3.atime<2>))) 0))
(declare-const A3.rtime<2> Real)
(declare-const A3.wtime<2> Real)
(declare-const A3.mtime<2> Real)
(assert (= (+ A3.rtime<2> (+ (* (- 1) A3.wtime<2>) (* (- 1) A3.mtime<2>))) 0))
(assert (<= 0 A3.wtime<2>))
(assert (<= 0 A3.mtime<2>))
(declare-const A3.ppref<2> Bool)
(declare-const A3.spref<2><1> Bool)
(declare-const A3.spref<2><2> Bool)
(declare-const A3.spref<2><3> Bool)
(declare-const A3.spref<2><4> Bool)
(declare-const A3.spref<2><5> Bool)
(declare-const A3.spref<2><6> Bool)
(declare-const A3.spref<2><7> Bool)
(declare-const A3.spref<2><8> Bool)
(declare-const A3.spref<2><9> Bool)
(declare-const A3.spref<2><10> Bool)
(declare-const A3.spref<2><11> Bool)
(declare-const A3.spref<2><12> Bool)
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv0 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv6 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (not (= A0.V<1> (_ bv6 16))) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv11 16)) (= A0.V<2> (_ bv9 16)))))))))))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv6 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv6 16))))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv6 16))))))
(assert (or (= A0.V<2> (_ bv0 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv6 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv6 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv13 16)) (= A0.V<2> (_ bv14 16)))))))))) (not (= A0.V<1> (_ bv3 16)))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv0 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv11 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv14 16)) (= A0.V<2> (_ bv12 16)))))))))))) (not (= A0.V<1> (_ bv11 16)))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv11 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv11 16))))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv11 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv11 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv11 16))))))
(assert (or (= A0.V<2> (_ bv14 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv0 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (not (= A0.V<1> (_ bv0 16))) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv11 16)) (= A0.V<2> (_ bv13 16))))))))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv0 16))))))
(assert (or (and (= A0.mtime<1> 0) (= A0.wtime<1> 0)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<0> (_ bv1 16))))))
(assert (or (not (= A0.V<1> (_ bv1 16))) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv14 16)) (= A0.V<2> (_ bv12 16)))))))))))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv0 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv11 16)) (= A0.V<2> (_ bv9 16)))))))))))) (not (= A0.V<1> (_ bv14 16)))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (not (= A0.V<1> (_ bv2 16))) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv13 16)) (= A0.V<2> (_ bv15 16))))))))))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv3 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv8 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (not (= A0.V<1> (_ bv8 16))) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv13 16)) (= A0.V<2> (_ bv15 16))))))))))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.V<2> (_ bv12 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv8 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv0 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv9 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (not (= A0.V<1> (_ bv9 16))) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv14 16)) (= A0.V<2> (_ bv12 16)))))))))))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.V<2> (_ bv0 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv10 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (not (= A0.V<1> (_ bv10 16))) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv13 16)) (= A0.V<2> (_ bv15 16)))))))))))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.V<2> (_ bv7 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv12 16)) (= A0.V<2> (_ bv8 16))))))
(assert (or (not (= A0.V<1> (_ bv12 16))) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv11 16)) (= A0.V<2> (_ bv10 16))))))))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.V<2> (_ bv8 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.V<2> (_ bv9 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<2> (_ bv8 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<2> (_ bv0 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<1> (_ bv7 16))))))
(assert (or (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv8 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv10 16)) (= A0.V<2> (_ bv12 16)))))))))))) (not (= A0.V<1> (_ bv7 16)))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.V<2> (_ bv3 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (not (= A1.V<1> (_ bv0 16))) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv13 16)) (= A1.V<2> (_ bv11 16))))))))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv4 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv5 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (not (= A1.V<1> (_ bv5 16))) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv11 16)) (= A1.V<2> (_ bv12 16)))))))))))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.V<2> (_ bv4 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.V<2> (_ bv14 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (not (= A1.V<1> (_ bv2 16))) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv13 16)) (= A1.V<2> (_ bv15 16))))))))))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv7 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv15 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (not (= A1.V<1> (_ bv15 16))) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv9 16)) (= A1.V<2> (_ bv10 16))))))))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv15 16))))))
(assert (or (= A1.V<2> (_ bv14 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv15 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv15 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv15 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv15 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv15 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv4 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (not (= A1.V<1> (_ bv4 16))) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv15 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv11 16)) (= A1.V<2> (_ bv10 16))))))))))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv4 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv4 16))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv4 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv4 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv4 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv6 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (not (= A1.V<1> (_ bv6 16))) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv15 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv11 16)) (= A1.V<2> (_ bv9 16)))))))))))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv6 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv6 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv6 16))))))
(assert (or (= A1.V<2> (_ bv7 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv6 16))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv6 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv7 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (not (= A1.V<1> (_ bv7 16))) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv12 16)) (= A1.V<2> (_ bv10 16))))))))))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv7 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv7 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv7 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv7 16))))))
(assert (or (= A1.V<2> (_ bv14 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv7 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (not (= A1.V<1> (_ bv8 16))) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv13 16)) (= A1.V<2> (_ bv15 16))))))))))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv14 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv12 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (and (= A1.mtime<1> 0) (= A1.wtime<1> 0)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<0> (_ bv10 16))))))
(assert (or (not (= A1.V<1> (_ bv10 16))) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv13 16)) (= A1.V<2> (_ bv15 16))))))))))))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (not (= A1.V<1> (_ bv12 16))) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv11 16)) (= A1.V<2> (_ bv10 16))))))))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv14 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (not (= A1.V<1> (_ bv14 16))) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv15 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv11 16)) (= A1.V<2> (_ bv9 16))))))))))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv14 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv14 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv14 16))))))
(assert (or (= A1.V<2> (_ bv15 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv14 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv14 16))))))
(assert (or (= A1.V<2> (_ bv7 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv15 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv14 16)) (= A1.V<2> (_ bv12 16)))))))))))) (not (= A1.V<1> (_ bv1 16)))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.V<2> (_ bv6 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.V<2> (_ bv7 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.V<2> (_ bv4 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv5 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv12 16)) (= A2.V<2> (_ bv11 16))))))))))))) (not (= A2.V<1> (_ bv5 16)))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.V<2> (_ bv8 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv8 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv15 16)) (= A2.V<2> (_ bv13 16)))))))))))) (not (= A2.V<1> (_ bv8 16)))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv13 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv11 16)) (= A2.V<2> (_ bv10 16)))))))))))) (not (= A2.V<1> (_ bv13 16)))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv12 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.V<2> (_ bv8 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv11 16)) (= A2.V<2> (_ bv13 16)))))))))) (not (= A2.V<1> (_ bv0 16)))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv0 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv0 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv0 16))))))
(assert (or (= A2.V<2> (_ bv4 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv0 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv0 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv0 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv10 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv15 16)) (= A2.V<2> (_ bv13 16))))))))))))) (not (= A2.V<1> (_ bv10 16)))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv15 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv12 16)) (or (= A2.V<2> (_ bv15 16)) (= A2.V<2> (_ bv13 16)))))))))))) (not (= A2.V<1> (_ bv2 16)))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv7 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv15 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv15 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv10 16)) (= A2.V<2> (_ bv9 16)))))))))) (not (= A2.V<1> (_ bv15 16)))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv15 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv15 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv15 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv15 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv15 16))))))
(assert (or (= A2.V<2> (_ bv8 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv4 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv11 16)) (= A2.V<2> (_ bv10 16)))))))))))) (not (= A2.V<1> (_ bv4 16)))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv8 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv4 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv6 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv11 16)) (= A2.V<2> (_ bv9 16))))))))))))) (not (= A2.V<1> (_ bv6 16)))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.V<2> (_ bv7 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv6 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv7 16)) (= A2.V<2> (_ bv6 16))))))
(assert (or (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv11 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv12 16)) (= A2.V<2> (_ bv10 16)))))))))))) (not (= A2.V<1> (_ bv7 16)))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.V<2> (_ bv6 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv12 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv9 16)) (or (= A2.V<2> (_ bv11 16)) (= A2.V<2> (_ bv10 16)))))))))) (not (= A2.V<1> (_ bv12 16)))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv9 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv8 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.V<2> (_ bv11 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv12 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv11 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv8 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv7 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv5 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 98 31)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv15 16))))))
(assert (or (= A2.mtime<1> (/ 137 38)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv13 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv10 16))))))
(assert (or (and (= A2.mtime<1> 0) (= A2.wtime<1> 0)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<2> (_ bv14 16))))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and (= A2.V<1> (_ bv14 16)) (= A2.V<0> (_ bv14 16))))))
(assert (or (or (= A2.V<2> (_ bv14 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv1 16)) (or (= A2.V<2> (_ bv3 16)) (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv11 16)) (= A2.V<2> (_ bv9 16))))))))))))) (not (= A2.V<1> (_ bv14 16)))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<2> (_ bv14 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<2> (_ bv12 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv7 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<2> (_ bv6 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<2> (_ bv4 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv15 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv10 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> (/ 38 17)) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv13 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv8 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv5 16)) (= A2.V<1> (_ bv9 16))))))
(assert (or (or (= A2.V<2> (_ bv5 16)) (or (= A2.V<2> (_ bv8 16)) (or (= A2.V<2> (_ bv13 16)) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv10 16)) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv15 16)) (or (= A2.V<2> (_ bv4 16)) (or (= A2.V<2> (_ bv6 16)) (or (= A2.V<2> (_ bv7 16)) (or (= A2.V<2> (_ bv12 16)) (= A2.V<2> (_ bv14 16))))))))))))) (not (= A2.V<1> (_ bv9 16)))))
(assert (or (= A2.V<2> (_ bv14 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv10 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv13 16)) (not (and A2.spref<1><3> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv15 16)) (not (and A2.spref<1><4> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv8 16)) (not (and A2.spref<1><5> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A2.V<2> (_ bv5 16)) (not (and A2.spref<1><6> (= A2.V<1> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv13 16)) (= A3.V<2> (_ bv11 16)))))))))) (not (= A3.V<1> (_ bv0 16)))))
(assert (or (= A3.V<2> (_ bv1 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv0 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv0 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv0 16))))))
(assert (or (= A3.V<2> (_ bv7 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv0 16))))))
(assert (or (= A3.V<2> (_ bv4 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv0 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv0 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv13 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv12 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv11 16)) (= A3.V<2> (_ bv10 16)))))))))))) (not (= A3.V<1> (_ bv13 16)))))
(assert (or (= A3.V<2> (_ bv3 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv13 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv13 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv13 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv13 16))))))
(assert (or (= A3.V<2> (_ bv2 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv13 16))))))
(assert (or (= A3.V<2> (_ bv14 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv8 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv12 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv13 16)) (= A3.V<2> (_ bv15 16)))))))))))) (not (= A3.V<1> (_ bv8 16)))))
(assert (or (= A3.V<2> (_ bv3 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.V<2> (_ bv7 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.V<2> (_ bv4 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv8 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv5 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (not (= A3.V<1> (_ bv5 16))) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv11 16)) (= A3.V<2> (_ bv12 16)))))))))))))))
(assert (or (= A3.V<2> (_ bv3 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.V<2> (_ bv2 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.V<2> (_ bv1 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv0 16))))))
(assert (or (not (= A3.V<1> (_ bv1 16))) (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv15 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv14 16)) (= A3.V<2> (_ bv12 16))))))))))))))
(assert (or (= A3.V<2> (_ bv2 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv1 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv1 16))))))
(assert (or (= A3.V<2> (_ bv7 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv1 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv1 16))))))
(assert (or (= A3.V<2> (_ bv0 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv1 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv1 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv2 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (not (= A3.V<1> (_ bv2 16))) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv11 16)) (or (= A3.V<2> (_ bv12 16)) (or (= A3.V<2> (_ bv13 16)) (= A3.V<2> (_ bv15 16))))))))))))))
(assert (or (= A3.V<2> (_ bv3 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.V<2> (_ bv7 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.V<2> (_ bv1 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.V<2> (_ bv11 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv15 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv15 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv15 16)) (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv15 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv15 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv15 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv15 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv15 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv15 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (not (= A3.V<1> (_ bv15 16))) (or (= A3.V<2> (_ bv11 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv9 16)) (= A3.V<2> (_ bv10 16))))))))))))
(assert (or (= A3.V<2> (_ bv11 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv15 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv15 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv15 16))))))
(assert (or (= A3.V<2> (_ bv2 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv15 16))))))
(assert (or (= A3.V<2> (_ bv14 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv15 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv15 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (and (= A3.mtime<1> 0) (= A3.wtime<1> 0)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<2> (_ bv3 16)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<0> (_ bv3 16))))))
(assert (or (not (= A3.V<1> (_ bv3 16))) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv13 16)) (= A3.V<2> (_ bv14 16)))))))))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv8 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv9 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (not (= A3.V<1> (_ bv9 16))) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv13 16)) (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv15 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv14 16)) (= A3.V<2> (_ bv12 16)))))))))))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.V<2> (_ bv7 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.V<2> (_ bv2 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.V<2> (_ bv14 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv9 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv9 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv10 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (not (= A3.V<1> (_ bv10 16))) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv14 16)) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv11 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv12 16)) (or (= A3.V<2> (_ bv13 16)) (= A3.V<2> (_ bv15 16)))))))))))))))
(assert (or (= A3.V<2> (_ bv3 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.V<2> (_ bv7 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.V<2> (_ bv11 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv10 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv14 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv12 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv6 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv5 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv13 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv15 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv7 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv11 16)) (= A3.V<2> (_ bv10 16))))))
(assert (or (not (= A3.V<1> (_ bv11 16))) (or (= A3.V<2> (_ bv10 16)) (or (= A3.V<2> (_ bv7 16)) (or (= A3.V<2> (_ bv15 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv13 16)) (or (= A3.V<2> (_ bv4 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv6 16)) (or (= A3.V<2> (_ bv14 16)) (= A3.V<2> (_ bv12 16))))))))))))))
(assert (or (= A3.V<2> (_ bv7 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.V<2> (_ bv6 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.V<2> (_ bv2 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.V<2> (_ bv10 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.V<2> (_ bv15 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv11 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<2> (_ bv11 16)) (= A3.V<1> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<2> (_ bv10 16)) (= A3.V<1> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<2> (_ bv9 16)) (= A3.V<1> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 98 31)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<1> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 137 38)) (not (and (= A3.V<2> (_ bv15 16)) (= A3.V<1> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<1> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<2> (_ bv1 16)) (= A3.V<1> (_ bv4 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<2> (_ bv5 16)) (= A3.V<1> (_ bv4 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<2> (_ bv8 16)) (= A3.V<1> (_ bv4 16))))))
(assert (or (= A3.mtime<1> (/ 38 17)) (not (and (= A3.V<2> (_ bv13 16)) (= A3.V<1> (_ bv4 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<2> (_ bv0 16)) (= A3.V<1> (_ bv4 16))))))
(assert (or (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv13 16)) (or (= A3.V<2> (_ bv8 16)) (or (= A3.V<2> (_ bv5 16)) (or (= A3.V<2> (_ bv1 16)) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv15 16)) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv9 16)) (or (= A3.V<2> (_ bv11 16)) (= A3.V<2> (_ bv10 16)))))))))))) (not (= A3.V<1> (_ bv4 16)))))
(assert (or (= A3.V<2> (_ bv3 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv4 16))))))
(assert (or (= A3.V<2> (_ bv2 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv4 16))))))
(assert (or (= A3.V<2> (_ bv5 16)) (not (and A3.spref<1><3> (= A3.V<1> (_ bv4 16))))))
(assert (or (= A3.V<2> (_ bv1 16)) (not (and A3.spref<1><4> (= A3.V<1> (_ bv4 16))))))
(assert (or (= A3.V<2> (_ bv0 16)) (not (and A3.spref<1><5> (= A3.V<1> (_ bv4 16))))))
(assert (or (= A3.V<2> (_ bv9 16)) (not (and A3.spref<1><6> (= A3.V<1> (_ bv4 16))))))
(declare-const kass2 Bool)
(assert (or (= objtime A3.wtime<2>) (not kass2)))
(assert (or (not kass2) (= A3.mtime<2> 0)))
(assert (or (not kass2) (= objtime A2.wtime<2>)))
(assert (or (not kass2) (= A2.mtime<2> 0)))
(assert (or (not kass2) (= objtime A1.wtime<2>)))
(assert (or (not kass2) (= A1.mtime<2> 0)))
(assert (or (not kass2) (= objtime A0.wtime<2>)))
(assert (or (not kass2) (= A0.mtime<2> 0)))
(push 1)
(assert kass2)
(assert (= A3.V<2> (_ bv3 16)))
(assert (= A2.V<2> (_ bv14 16)))
(assert (= A1.V<2> (_ bv10 16)))
(assert (= A0.V<2> (_ bv1 16)))
(assert (let ((def_4593 (ite (<= A3.atime<2> 0) 0 A3.atime<2>))) (let ((def_4595 (ite (<= A2.atime<2> def_4593) def_4593 A2.atime<2>))) (let ((def_4597 (ite (<= A1.atime<2> def_4595) def_4595 A1.atime<2>))) (= objtime (ite (<= A0.atime<2> def_4597) def_4597 A0.atime<2>))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 37 35)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv10 16))) (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv5 16))))))))
(assert (or (<= (- (/ 55 41)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv5 16)))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 161 72))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 17 9))) (or (<= (/ 82 83) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv10 16))) (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv12 16)))) (not (= A1.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 29 30) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv10 16))) (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv9 16)))) (not (= A1.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 147 55))) (or (<= (/ 49 53) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv10 16))) (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))) (not (= A1.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 147 55))) (or (<= (- (/ 15 67)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv10 16))) (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))) (not (= A1.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 55 41)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv5 16)))) (not (= A1.V<2> (_ bv12 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv5 16)))) (not (= A1.V<2> (_ bv11 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 55 41)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv5 16)))) (not (= A1.V<2> (_ bv8 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv5 16)))) (not (= A1.V<2> (_ bv3 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 29 30) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv5 16)))) (not (= A1.V<2> (_ bv2 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 23 28)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv5 16)))) (not (= A1.V<2> (_ bv0 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 1001 1000) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv5 16)))) (not (= A1.V<2> (_ bv6 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 55 41)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv5 16)))) (not (= A1.V<2> (_ bv9 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 55 41)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv5 16)))) (not (= A1.V<2> (_ bv4 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 55 42)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv5 16)))) (not (= A1.V<2> (_ bv14 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 4 17)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv5 16)))) (not (= A1.V<2> (_ bv1 16)))))))
(assert (or (<= (- (/ 55 41)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv9 16)))) (not (= A1.V<1> (_ bv5 16)))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 38 17))))))
(assert (or (<= (- (/ 46 41)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))) (not (= A1.V<1> (_ bv5 16)))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 147 55))))))
(assert (or (<= (- (/ 46 41)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))) (not (= A1.V<1> (_ bv5 16)))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<1>))) (- (/ 147 55))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A3.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv9 16)))) (not (= A3.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 147 55))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv8 16)))) (not (= A3.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 147 55))) (or (<= (/ 161 72) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv0 16)))) (not (= A3.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 38 17) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A3.V<1> (_ bv5 16)))) (not (= A3.V<2> (_ bv11 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (/ 29 30) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A3.V<1> (_ bv5 16)))) (not (= A3.V<2> (_ bv2 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 23 28)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A3.V<1> (_ bv5 16)))) (not (= A3.V<2> (_ bv0 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A3.V<1> (_ bv5 16)))) (not (= A3.V<2> (_ bv6 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 161 72))) (or (<= (- (/ 4 17)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv7 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A3.V<1> (_ bv5 16)))) (not (= A3.V<2> (_ bv1 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16))))) (not (= A3.V<1> (_ bv5 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 43))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv14 16))))) (not (= A3.V<1> (_ bv5 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 51 25))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv12 16))))) (not (= A3.V<1> (_ bv5 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 27 34))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv10 16))))) (not (= A3.V<1> (_ bv5 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 38 17))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv8 16))))) (not (= A3.V<1> (_ bv5 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv6 16))))) (not (= A3.V<1> (_ bv5 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv4 16))))) (not (= A3.V<1> (_ bv5 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 87 131))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv15 16))))) (not (= A3.V<1> (_ bv5 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 41 43) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16))))) (not (= A3.V<1> (_ bv11 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 27 34) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16))))) (not (= A3.V<1> (_ bv10 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16))))) (not (= A3.V<1> (_ bv9 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 51 25) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 87 131) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16))))) (not (= A3.V<1> (_ bv15 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 38 17) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv2 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv4 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv5 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A3.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv11 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv6 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16))))) (not (= A3.V<2> (_ bv12 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv11 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16))))) (not (= A3.V<2> (_ bv10 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16))))) (not (= A3.V<2> (_ bv8 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv0 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16))))) (not (= A3.V<2> (_ bv9 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16))))) (not (= A3.V<2> (_ bv4 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16))))) (not (= A3.V<2> (_ bv14 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv5 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (or (not (= A1.V<1> (_ bv5 16))) (not (= A3.V<1> (_ bv5 16)))) (not (= A3.V<2> (_ bv12 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv11 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A3.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (or (not (= A1.V<1> (_ bv5 16))) (not (= A3.V<1> (_ bv5 16)))) (not (= A3.V<2> (_ bv10 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (or (not (= A1.V<1> (_ bv5 16))) (not (= A3.V<1> (_ bv5 16)))) (not (= A3.V<2> (_ bv8 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A3.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A3.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A3.V<1> (_ bv5 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (or (not (= A1.V<1> (_ bv5 16))) (not (= A3.V<1> (_ bv5 16)))) (not (= A3.V<2> (_ bv9 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (or (not (= A1.V<1> (_ bv5 16))) (not (= A3.V<1> (_ bv5 16)))) (not (= A3.V<2> (_ bv4 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (or (not (= A1.V<1> (_ bv5 16))) (not (= A3.V<1> (_ bv5 16)))) (not (= A3.V<2> (_ bv14 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A3.V<1> (_ bv5 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (and (not kass2) (<= (- (/ 17 40)) (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 54 23))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv13 16))) (not (= A1.V<2> (_ bv10 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A2.atime<2>) (* (- 1) A2.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A2.atime<2>))) (- (/ 81 73))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv13 16))) (not (= A2.V<2> (_ bv14 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 7 52))) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv12 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv8 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv9 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv4 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 18 41))) (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv14 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 7 24))) (or (<= (/ 39 31) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16))))) (not (= A3.V<2> (_ bv15 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 13 43))) (or (<= (/ 41 20) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16))))) (not (= A3.V<2> (_ bv7 16)))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 3 14))) (or (<= (/ 38 17) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv6 16))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 3 41))) (or (<= (/ 37 45) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv14 16))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 41))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv9 16))) (or (not (= A3.V<1> (_ bv8 16))) (or (not (= A1.V<1> (_ bv5 16))) (not (= A1.V<2> (_ bv10 16)))))))))
(set-info :status sat)
(check-sat)
(assert (<= (/ 98 31) objtime))
(assert (<= objtime (/ 4683 988)))
(set-info :status sat)
(check-sat)
(exit)
