(set-info :smt-lib-version 2.6)
(set-logic QF_BVLRA)
(set-info :source |
Generated by: Tomas Kolarik
Generated on: 2024-04-14
Generator: gitlab.com/Tomaqa/mapf_r
Application: Multi-Agent Path-Finding with Continuous Time
Target solver: Z3, CVC4, MathSAT
Publications: Tomas Kolarik, Stefan Ratschan and Pavel Surynek: "Multi-Agent Path-Finding with Continuous Time Using SAT Modulo Linear Real Arithmetic" in ICAART, SCITEPRESS, 2024.
The benchmarks mimic MAPF problems with continuous time where the objective time must be sub-optimal, bounded by a user-specified coefficient. In the original solver, a simulator checks whether there are collisions between particular agents, according to the current model. This check is missing in the case of the final 'check-sat'. The benchmarks also lack commands for preferring certain variables during the search which is of huge importance when searching for short paths in a graph. However, the final plan must still avoid all collisions encountered by the original solver and the objective time must obey the sub-optimal coefficient. Producing models is crucial for the application since the intended solver communicates values of particular variables with the simulator. This communication is ommited though for simplicity. The final 'get-value' allows to compare with the original solver that the objective time indeed obeys the coefficient. Filenames without the extensions correspond to filenames of resulting plans of the original solver.
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(declare-const objtime Real)
(declare-const oo Real)
(declare-const eps Real)
(declare-const A0.V<0> (_ BitVec 16))
(declare-const A0.atime<0> Real)
(assert (= A0.atime<0> 0))
(declare-const A0.rtime<0> Real)
(declare-const A0.wtime<0> Real)
(declare-const A0.mtime<0> Real)
(assert (= (+ A0.rtime<0> (+ (* (- 1) A0.wtime<0>) (* (- 1) A0.mtime<0>))) 0))
(assert (<= 0 A0.wtime<0>))
(assert (<= 0 A0.mtime<0>))
(declare-const wpref0 Bool)
(assert (or (= A0.wtime<0> 0) (not wpref0)))
(declare-const A0.ppref<0> Bool)
(declare-const A0.spref<0><1> Bool)
(declare-const A0.spref<0><2> Bool)
(declare-const A0.spref<0><3> Bool)
(declare-const A1.V<0> (_ BitVec 16))
(declare-const A1.atime<0> Real)
(assert (= A1.atime<0> 0))
(declare-const A1.rtime<0> Real)
(declare-const A1.wtime<0> Real)
(declare-const A1.mtime<0> Real)
(assert (= (+ A1.rtime<0> (+ (* (- 1) A1.wtime<0>) (* (- 1) A1.mtime<0>))) 0))
(assert (<= 0 A1.wtime<0>))
(assert (<= 0 A1.mtime<0>))
(declare-const wpref1 Bool)
(assert (or (= A1.wtime<0> 0) (not wpref1)))
(declare-const A1.ppref<0> Bool)
(declare-const A1.spref<0><1> Bool)
(declare-const A1.spref<0><2> Bool)
(declare-const A1.spref<0><3> Bool)
(declare-const A2.V<0> (_ BitVec 16))
(declare-const A2.atime<0> Real)
(assert (= A2.atime<0> 0))
(declare-const A2.rtime<0> Real)
(declare-const A2.wtime<0> Real)
(declare-const A2.mtime<0> Real)
(assert (= (+ A2.rtime<0> (+ (* (- 1) A2.wtime<0>) (* (- 1) A2.mtime<0>))) 0))
(assert (<= 0 A2.wtime<0>))
(assert (<= 0 A2.mtime<0>))
(declare-const wpref2 Bool)
(assert (or (= A2.wtime<0> 0) (not wpref2)))
(declare-const A2.ppref<0> Bool)
(declare-const A2.spref<0><1> Bool)
(declare-const A2.spref<0><2> Bool)
(declare-const A2.spref<0><3> Bool)
(declare-const A3.V<0> (_ BitVec 16))
(declare-const A3.atime<0> Real)
(assert (= A3.atime<0> 0))
(declare-const A3.rtime<0> Real)
(declare-const A3.wtime<0> Real)
(declare-const A3.mtime<0> Real)
(assert (= (+ A3.rtime<0> (+ (* (- 1) A3.wtime<0>) (* (- 1) A3.mtime<0>))) 0))
(assert (<= 0 A3.wtime<0>))
(assert (<= 0 A3.mtime<0>))
(declare-const wpref3 Bool)
(assert (or (= A3.wtime<0> 0) (not wpref3)))
(declare-const A3.ppref<0> Bool)
(declare-const A3.spref<0><1> Bool)
(declare-const A3.spref<0><2> Bool)
(declare-const A3.spref<0><3> Bool)
(assert (= A3.V<0> (_ bv2 16)))
(assert (= A2.V<0> (_ bv3 16)))
(assert (= A1.V<0> (_ bv1 16)))
(assert (= A0.V<0> (_ bv0 16)))
(assert (or (= A0.wtime<0> 0) (or (= A1.wtime<0> 0) (or (= A2.wtime<0> 0) (= A3.wtime<0> 0)))))
(assert (or (= A0.V<0> (_ bv0 16)) (not A0.ppref<0>)))
(assert (or (= A1.V<0> (_ bv1 16)) (not A1.ppref<0>)))
(assert (or (= A2.V<0> (_ bv3 16)) (not A2.ppref<0>)))
(assert (or (= A3.V<0> (_ bv2 16)) (not A3.ppref<0>)))
(declare-const A0.V<1> (_ BitVec 16))
(declare-const A0.atime<1> Real)
(assert (= (+ A0.atime<0> (+ A0.rtime<0> (* (- 1) A0.atime<1>))) 0))
(declare-const A0.rtime<1> Real)
(declare-const A0.wtime<1> Real)
(declare-const A0.mtime<1> Real)
(assert (= (+ A0.rtime<1> (+ (* (- 1) A0.wtime<1>) (* (- 1) A0.mtime<1>))) 0))
(assert (<= 0 A0.wtime<1>))
(assert (<= 0 A0.mtime<1>))
(declare-const A0.ppref<1> Bool)
(declare-const A0.spref<1><1> Bool)
(declare-const A0.spref<1><2> Bool)
(declare-const A0.spref<1><3> Bool)
(declare-const A1.V<1> (_ BitVec 16))
(declare-const A1.atime<1> Real)
(assert (= (+ A1.atime<0> (+ A1.rtime<0> (* (- 1) A1.atime<1>))) 0))
(declare-const A1.rtime<1> Real)
(declare-const A1.wtime<1> Real)
(declare-const A1.mtime<1> Real)
(assert (= (+ A1.rtime<1> (+ (* (- 1) A1.wtime<1>) (* (- 1) A1.mtime<1>))) 0))
(assert (<= 0 A1.wtime<1>))
(assert (<= 0 A1.mtime<1>))
(declare-const A1.ppref<1> Bool)
(declare-const A1.spref<1><1> Bool)
(declare-const A1.spref<1><2> Bool)
(declare-const A1.spref<1><3> Bool)
(declare-const A2.V<1> (_ BitVec 16))
(declare-const A2.atime<1> Real)
(assert (= (+ A2.atime<0> (+ A2.rtime<0> (* (- 1) A2.atime<1>))) 0))
(declare-const A2.rtime<1> Real)
(declare-const A2.wtime<1> Real)
(declare-const A2.mtime<1> Real)
(assert (= (+ A2.rtime<1> (+ (* (- 1) A2.wtime<1>) (* (- 1) A2.mtime<1>))) 0))
(assert (<= 0 A2.wtime<1>))
(assert (<= 0 A2.mtime<1>))
(declare-const A2.ppref<1> Bool)
(declare-const A2.spref<1><1> Bool)
(declare-const A2.spref<1><2> Bool)
(declare-const A2.spref<1><3> Bool)
(declare-const A3.V<1> (_ BitVec 16))
(declare-const A3.atime<1> Real)
(assert (= (+ A3.atime<0> (+ A3.rtime<0> (* (- 1) A3.atime<1>))) 0))
(declare-const A3.rtime<1> Real)
(declare-const A3.wtime<1> Real)
(declare-const A3.mtime<1> Real)
(assert (= (+ A3.rtime<1> (+ (* (- 1) A3.wtime<1>) (* (- 1) A3.mtime<1>))) 0))
(assert (<= 0 A3.wtime<1>))
(assert (<= 0 A3.mtime<1>))
(declare-const A3.ppref<1> Bool)
(declare-const A3.spref<1><1> Bool)
(declare-const A3.spref<1><2> Bool)
(declare-const A3.spref<1><3> Bool)
(assert (or (= A0.V<1> (_ bv1 16)) (not A0.ppref<1>)))
(assert (or (= A1.V<1> (_ bv0 16)) (not A1.ppref<1>)))
(assert (or (= A2.V<1> (_ bv2 16)) (not A2.ppref<1>)))
(assert (or (= A3.V<1> (_ bv3 16)) (not A3.ppref<1>)))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv0 16)) (= A0.V<1> (_ bv1 16))))))
(assert (or (= A0.mtime<0> (/ 41 29)) (not (and (= A0.V<0> (_ bv0 16)) (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv0 16)) (= A0.V<1> (_ bv2 16))))))
(assert (or (or (= A0.V<1> (_ bv2 16)) (or (= A0.V<1> (_ bv1 16)) (= A0.V<1> (_ bv3 16)))) (not (= A0.V<0> (_ bv0 16)))))
(assert (or (= A0.V<1> (_ bv1 16)) (not (and A0.spref<0><1> (= A0.V<0> (_ bv0 16))))))
(assert (or (= A0.V<1> (_ bv3 16)) (not (and A0.spref<0><2> (= A0.V<0> (_ bv0 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv1 16)) (= A1.V<1> (_ bv0 16))))))
(assert (or (or (= A1.V<1> (_ bv0 16)) (or (= A1.V<1> (_ bv3 16)) (= A1.V<1> (_ bv2 16)))) (not (= A1.V<0> (_ bv1 16)))))
(assert (or (= A1.V<1> (_ bv0 16)) (not (and A1.spref<0><1> (= A1.V<0> (_ bv1 16))))))
(assert (or (= A1.V<1> (_ bv3 16)) (not (and A1.spref<0><2> (= A1.V<0> (_ bv1 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv2 16))))))
(assert (or (= A2.mtime<0> 1) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv1 16))))))
(assert (or (= A2.mtime<0> (/ 41 29)) (not (and (= A2.V<0> (_ bv3 16)) (= A2.V<1> (_ bv0 16))))))
(assert (or (or (= A2.V<1> (_ bv0 16)) (or (= A2.V<1> (_ bv2 16)) (= A2.V<1> (_ bv1 16)))) (not (= A2.V<0> (_ bv3 16)))))
(assert (or (= A2.V<1> (_ bv2 16)) (not (and A2.spref<0><1> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A2.V<1> (_ bv1 16)) (not (and A2.spref<0><2> (= A2.V<0> (_ bv3 16))))))
(assert (or (= A3.mtime<0> 1) (not (and (= A3.V<0> (_ bv2 16)) (= A3.V<1> (_ bv3 16))))))
(assert (or (= A3.mtime<0> (/ 41 29)) (not (and (= A3.V<0> (_ bv2 16)) (= A3.V<1> (_ bv1 16))))))
(assert (or (= A3.mtime<0> 1) (not (and (= A3.V<0> (_ bv2 16)) (= A3.V<1> (_ bv0 16))))))
(assert (or (or (= A3.V<1> (_ bv0 16)) (or (= A3.V<1> (_ bv3 16)) (= A3.V<1> (_ bv1 16)))) (not (= A3.V<0> (_ bv2 16)))))
(assert (or (= A3.V<1> (_ bv3 16)) (not (and A3.spref<0><1> (= A3.V<0> (_ bv2 16))))))
(assert (or (= A3.V<1> (_ bv1 16)) (not (and A3.spref<0><2> (= A3.V<0> (_ bv2 16))))))
(declare-const kass1 Bool)
(assert (or (= objtime A3.wtime<1>) (not kass1)))
(assert (or (not kass1) (= A3.mtime<1> 0)))
(assert (or (not kass1) (= objtime A2.wtime<1>)))
(assert (or (not kass1) (= A2.mtime<1> 0)))
(assert (or (not kass1) (= objtime A1.wtime<1>)))
(assert (or (not kass1) (= A1.mtime<1> 0)))
(assert (or (not kass1) (= objtime A0.wtime<1>)))
(assert (or (not kass1) (= A0.mtime<1> 0)))
(push 1)
(assert kass1)
(assert (= A3.V<1> (_ bv3 16)))
(assert (= A2.V<1> (_ bv2 16)))
(assert (= A1.V<1> (_ bv0 16)))
(assert (= A0.V<1> (_ bv1 16)))
(assert (= (+ objtime (+ (* (- 1) A0.atime<1>) (+ (* (- 1) A1.atime<1>) (+ (* (- 1) A2.atime<1>) (* (- 1) A3.atime<1>))))) 0))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 41 29))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv3 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- 1)) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv2 16)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16))))) (not (= A3.V<1> (_ bv1 16)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16))))) (not (= A3.V<1> (_ bv0 16)))))))
(set-info :status sat)
(check-sat)
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<0>))) (- 1)))))
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<0>))) (- (/ 41 29))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16))))) (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<0>))) (- 1)))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16))))) (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 41 29))))))
(assert (or (and (not kass1) (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A0.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A0.V<1> (_ bv1 16))))))))
(assert (or (and (not kass1) (<= 0 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (* (- 1) A2.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (not (= A2.V<1> (_ bv2 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) 0) (or (<= 1 (+ A0.atime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A1.V<0> (_ bv1 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) 0) (or (<= (/ 41 29) (+ A0.atime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A1.V<0> (_ bv1 16))))))))
(assert (or (and (not kass1) (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) 0) (or (<= 1 (+ A2.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A3.V<0> (_ bv2 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) 0) (or (<= (/ 41 29) (+ A2.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A3.V<0> (_ bv2 16))))))))
(assert (or (and (not kass1) (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16))))))))
(set-info :status unsat)
(check-sat)
(pop 1)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 41 29))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv3 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- 1)) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv2 16)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16))))) (not (= A3.V<1> (_ bv1 16)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16))))) (not (= A3.V<1> (_ bv0 16)))))))
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<0>))) (- 1)))))
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<0>))) (- (/ 41 29))))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16))))) (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<0>))) (- 1)))))
(assert (or (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16))))) (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 41 29))))))
(assert (or (and (not kass1) (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A0.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A0.V<1> (_ bv1 16))))))))
(assert (or (and (not kass1) (<= 0 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (* (- 1) A2.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (not (= A2.V<1> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) 0) (or (<= 1 (+ A0.atime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A1.V<0> (_ bv1 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) 0) (or (<= (/ 41 29) (+ A0.atime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A1.V<0> (_ bv1 16))))))))
(assert (or (and (not kass1) (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) 0) (or (<= 1 (+ A2.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A3.V<0> (_ bv2 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) 0) (or (<= (/ 41 29) (+ A2.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A3.V<0> (_ bv2 16))))))))
(assert (or (and (not kass1) (<= 0 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (* (- 1) A3.atime<1>))) (- 1)) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16))))))))
(declare-const A0.V<2> (_ BitVec 16))
(declare-const A0.atime<2> Real)
(assert (= (+ A0.atime<1> (+ A0.rtime<1> (* (- 1) A0.atime<2>))) 0))
(declare-const A0.rtime<2> Real)
(declare-const A0.wtime<2> Real)
(declare-const A0.mtime<2> Real)
(assert (= (+ A0.rtime<2> (+ (* (- 1) A0.wtime<2>) (* (- 1) A0.mtime<2>))) 0))
(assert (<= 0 A0.wtime<2>))
(assert (<= 0 A0.mtime<2>))
(declare-const A0.ppref<2> Bool)
(declare-const A0.spref<2><1> Bool)
(declare-const A0.spref<2><2> Bool)
(declare-const A0.spref<2><3> Bool)
(declare-const A1.V<2> (_ BitVec 16))
(declare-const A1.atime<2> Real)
(assert (= (+ A1.atime<1> (+ A1.rtime<1> (* (- 1) A1.atime<2>))) 0))
(declare-const A1.rtime<2> Real)
(declare-const A1.wtime<2> Real)
(declare-const A1.mtime<2> Real)
(assert (= (+ A1.rtime<2> (+ (* (- 1) A1.wtime<2>) (* (- 1) A1.mtime<2>))) 0))
(assert (<= 0 A1.wtime<2>))
(assert (<= 0 A1.mtime<2>))
(declare-const A1.ppref<2> Bool)
(declare-const A1.spref<2><1> Bool)
(declare-const A1.spref<2><2> Bool)
(declare-const A1.spref<2><3> Bool)
(declare-const A2.V<2> (_ BitVec 16))
(declare-const A2.atime<2> Real)
(assert (= (+ A2.atime<1> (+ A2.rtime<1> (* (- 1) A2.atime<2>))) 0))
(declare-const A2.rtime<2> Real)
(declare-const A2.wtime<2> Real)
(declare-const A2.mtime<2> Real)
(assert (= (+ A2.rtime<2> (+ (* (- 1) A2.wtime<2>) (* (- 1) A2.mtime<2>))) 0))
(assert (<= 0 A2.wtime<2>))
(assert (<= 0 A2.mtime<2>))
(declare-const A2.ppref<2> Bool)
(declare-const A2.spref<2><1> Bool)
(declare-const A2.spref<2><2> Bool)
(declare-const A2.spref<2><3> Bool)
(declare-const A3.V<2> (_ BitVec 16))
(declare-const A3.atime<2> Real)
(assert (= (+ A3.atime<1> (+ A3.rtime<1> (* (- 1) A3.atime<2>))) 0))
(declare-const A3.rtime<2> Real)
(declare-const A3.wtime<2> Real)
(declare-const A3.mtime<2> Real)
(assert (= (+ A3.rtime<2> (+ (* (- 1) A3.wtime<2>) (* (- 1) A3.mtime<2>))) 0))
(assert (<= 0 A3.wtime<2>))
(assert (<= 0 A3.mtime<2>))
(declare-const A3.ppref<2> Bool)
(declare-const A3.spref<2><1> Bool)
(declare-const A3.spref<2><2> Bool)
(declare-const A3.spref<2><3> Bool)
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv2 16)) (= A0.V<2> (_ bv0 16))))))
(assert (or (not (= A0.V<1> (_ bv2 16))) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv3 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv3 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv2 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv3 16)) (= A0.V<2> (_ bv0 16))))))
(assert (or (not (= A0.V<1> (_ bv3 16))) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv1 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv3 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv0 16))))))
(assert (or (and (= A0.mtime<1> 0) (= A0.wtime<1> 0)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<0> (_ bv1 16))))))
(assert (or (not (= A0.V<1> (_ bv1 16))) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv0 16)) (or (= A0.V<2> (_ bv3 16)) (= A0.V<2> (_ bv2 16)))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<1> (_ bv0 16))))))
(assert (or (or (or (= A0.V<2> (_ bv3 16)) (= A0.V<2> (_ bv1 16))) (= A0.V<2> (_ bv2 16))) (not (= A0.V<1> (_ bv0 16)))))
(assert (or (= A0.V<2> (_ bv1 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A0.V<2> (_ bv3 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv0 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (and (= A1.mtime<1> 0) (= A1.wtime<1> 0)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv0 16)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<0> (_ bv0 16))))))
(assert (or (not (= A1.V<1> (_ bv0 16))) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv1 16)) (= A1.V<2> (_ bv3 16)))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (not (= A1.V<1> (_ bv2 16))) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv1 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv0 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (not (= A1.V<1> (_ bv3 16))) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv1 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv0 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<1> (_ bv1 16))))))
(assert (or (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv3 16)) (= A1.V<2> (_ bv2 16)))) (not (= A1.V<1> (_ bv1 16)))))
(assert (or (= A1.V<2> (_ bv0 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv1 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv0 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (not (= A2.V<1> (_ bv0 16))) (or (= A2.V<2> (_ bv2 16)) (or (= A2.V<2> (_ bv1 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv0 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv0 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv1 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv1 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv1 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (not (= A2.V<1> (_ bv1 16))) (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv3 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv1 16))))))
(assert (or (= A2.V<2> (_ bv3 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv0 16))))))
(assert (or (and (= A2.mtime<1> 0) (= A2.wtime<1> 0)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv2 16))))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<0> (_ bv2 16))))))
(assert (or (not (= A2.V<1> (_ bv2 16))) (or (= A2.V<2> (_ bv2 16)) (or (or (= A2.V<2> (_ bv1 16)) (= A2.V<2> (_ bv3 16))) (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> 1) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.mtime<1> (/ 41 29)) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<1> (_ bv3 16))))))
(assert (or (or (= A2.V<2> (_ bv0 16)) (or (= A2.V<2> (_ bv1 16)) (= A2.V<2> (_ bv2 16)))) (not (= A2.V<1> (_ bv3 16)))))
(assert (or (= A2.V<2> (_ bv2 16)) (not (and A2.spref<1><1> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A2.V<2> (_ bv1 16)) (not (and A2.spref<1><2> (= A2.V<1> (_ bv3 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv0 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (not (= A3.V<1> (_ bv0 16))) (or (= A3.V<2> (_ bv2 16)) (or (= A3.V<2> (_ bv1 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<2> (_ bv3 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv0 16))))))
(assert (or (= A3.V<2> (_ bv1 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv0 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv1 16)) (= A3.V<2> (_ bv0 16))))))
(assert (or (not (= A3.V<1> (_ bv1 16))) (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv3 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<2> (_ bv3 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv1 16))))))
(assert (or (= A3.V<2> (_ bv2 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv1 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv0 16))))))
(assert (or (and (= A3.mtime<1> 0) (= A3.wtime<1> 0)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv3 16))))))
(assert (or (= A3.V<2> (_ bv3 16)) (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<0> (_ bv3 16))))))
(assert (or (not (= A3.V<1> (_ bv3 16))) (or (= A3.V<2> (_ bv3 16)) (or (= A3.V<2> (_ bv0 16)) (or (= A3.V<2> (_ bv1 16)) (= A3.V<2> (_ bv2 16)))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.mtime<1> (/ 41 29)) (not (and (= A3.V<2> (_ bv1 16)) (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.mtime<1> 1) (not (and (= A3.V<2> (_ bv0 16)) (= A3.V<1> (_ bv2 16))))))
(assert (or (or (or (= A3.V<2> (_ bv1 16)) (= A3.V<2> (_ bv3 16))) (= A3.V<2> (_ bv0 16))) (not (= A3.V<1> (_ bv2 16)))))
(assert (or (= A3.V<2> (_ bv3 16)) (not (and A3.spref<1><1> (= A3.V<1> (_ bv2 16))))))
(assert (or (= A3.V<2> (_ bv1 16)) (not (and A3.spref<1><2> (= A3.V<1> (_ bv2 16))))))
(declare-const kass2 Bool)
(assert (or (= objtime A3.wtime<2>) (not kass2)))
(assert (or (not kass2) (= A3.mtime<2> 0)))
(assert (or (not kass2) (= objtime A2.wtime<2>)))
(assert (or (not kass2) (= A2.mtime<2> 0)))
(assert (or (not kass2) (= objtime A1.wtime<2>)))
(assert (or (not kass2) (= A1.mtime<2> 0)))
(assert (or (not kass2) (= objtime A0.wtime<2>)))
(assert (or (not kass2) (= A0.mtime<2> 0)))
(push 1)
(assert kass2)
(assert (= A3.V<2> (_ bv3 16)))
(assert (= A2.V<2> (_ bv2 16)))
(assert (= A1.V<2> (_ bv0 16)))
(assert (= A0.V<2> (_ bv1 16)))
(assert (= (+ objtime (+ (* (- 1) A0.atime<2>) (+ (* (- 1) A1.atime<2>) (+ (* (- 1) A2.atime<2>) (* (- 1) A3.atime<2>))))) 0))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16))))) (not (= A1.V<1> (_ bv3 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv3 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16))))) (not (= A1.V<1> (_ bv2 16)))))))
(assert (or (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16))))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 58 41)))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))) (not (= A1.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))) (not (= A1.V<1> (_ bv3 16)))) (not (= A1.V<2> (_ bv2 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))) (not (= A1.V<1> (_ bv3 16)))) (not (= A1.V<2> (_ bv1 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))) (not (= A2.V<1> (_ bv1 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))) (not (= A2.V<1> (_ bv1 16)))) (not (= A2.V<2> (_ bv3 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))) (not (= A2.V<1> (_ bv1 16)))) (not (= A2.V<2> (_ bv0 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 41 29))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv1 16))))) (not (= A3.V<1> (_ bv1 16)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16))))) (not (= A3.V<1> (_ bv1 16)))) (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16))))) (not (= A3.V<1> (_ bv1 16)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv0 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 41))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16))))) (not (= A3.V<2> (_ bv2 16)))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16))))) (not (= A3.V<2> (_ bv0 16)))))))
(assert (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv2 16)))))))))
(assert (or (<= (/ 17 29) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv0 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 41))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv0 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv0 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16))))) (not (= A1.V<1> (_ bv2 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- 1)) (or (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv2 16)))) (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 41 29))) (or (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16))))) (not (= A1.V<1> (_ bv2 16)))) (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 41 29))) (or (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))))) (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16))))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29)))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))))) (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16)))))) (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16))))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 58 41)))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))) (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16))))) (not (= A3.V<2> (_ bv1 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16))))) (not (= A3.V<1> (_ bv0 16)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16))))) (not (= A3.V<1> (_ bv0 16)))))))
(assert (or (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16))))))) (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41)))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16))))) (not (= A3.V<1> (_ bv1 16)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16)))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16)))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16)))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 58 41))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 58 41))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 58 41))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 58 41))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 58 41))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 17 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 58 41))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))) (not (= A1.V<2> (_ bv3 16)))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv1 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 58 41))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))) (not (= A2.V<2> (_ bv1 16)))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A2.atime<1>))) (- 1)))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 17 41))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 17 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 41 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv0 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv0 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv0 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv0 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv0 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv0 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv0 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv0 16))) (not (= A3.V<1> (_ bv0 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A3.atime<0>))) (- 1)))))
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 41 29))))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A2.atime<0>))) (- 1)))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A2.atime<0>))) (- (/ 41 29))))))
(assert (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) 0) (or (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (/ 58 41) (+ A2.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 17 29))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))) (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 41 29))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) 0) (or (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16))))) (<= 1 (+ A2.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (<= (/ 1001 1000) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- 1)) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- 1)) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- 1)) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (/ 1001 1000) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- 1)) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 1001 1000) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 1001 1000))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- (/ 58 41))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 58 41))))))
(assert (or (<= (/ 1001 1000) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv2 16)))))))))
(assert (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 1001 1000) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (/ 1001 1000) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 1001 1000))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 17 29))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))) (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 41 29))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (- (/ 12 29)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 58 41))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (and (not kass2) (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<2>) (* (- 1) A2.wtime<2>)))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<2>))) (- (/ 58 41))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 58 41))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 1001 1000))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv0 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A2.atime<2>) (* (- 1) A2.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A2.atime<2>))) (- (/ 58 41))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (not (= A2.V<2> (_ bv2 16))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) 0) (or (<= 1 (+ A0.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A3.V<0> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) 0) (or (<= (/ 41 29) (+ A0.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A3.V<0> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (/ 12 29)) (or (<= (/ 58 41) (+ A0.atime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A1.V<1> (_ bv3 16))))))))
(assert (or (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))) (not (= A1.V<1> (_ bv3 16)))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 41 29)))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))) (not (= A1.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv1 16))) (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv3 16))))))))
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A2.atime<1>))) (- 1)) (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A2.V<1> (_ bv1 16)))))))
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))) (not (= A2.V<1> (_ bv1 16)))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A2.atime<1>))) (- (/ 41 29))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<2>))) (- 1)) (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<2> (_ bv0 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) 0) (or (<= 1 (+ A1.atime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A2.V<0> (_ bv3 16))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) 0) (or (<= (/ 41 29) (+ A1.atime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A2.V<0> (_ bv3 16))))))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A2.atime<1>))) (- 1)) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16))))))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A2.atime<1>))) (- 1)) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16))))))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A2.atime<1>))) (- 1)) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16)))))))))
(assert (or (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16))))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29)))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16)))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 58 41))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv1 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<1>))) (- 1)))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (/ 12 29)) (or (<= (/ 58 41) (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 1001 1000))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 58 41))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv2 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 58 41))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A1.V<2> (_ bv0 16))))))))
(set-info :status unsat)
(check-sat)
(pop 1)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16))))) (not (= A1.V<1> (_ bv3 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv3 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16))))) (not (= A1.V<1> (_ bv2 16)))))))
(assert (or (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16))))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 58 41)))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))) (not (= A1.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))) (not (= A1.V<1> (_ bv3 16)))) (not (= A1.V<2> (_ bv2 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))) (not (= A1.V<1> (_ bv3 16)))) (not (= A1.V<2> (_ bv1 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))) (not (= A2.V<1> (_ bv1 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))) (not (= A2.V<1> (_ bv1 16)))) (not (= A2.V<2> (_ bv3 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))) (not (= A2.V<1> (_ bv1 16)))) (not (= A2.V<2> (_ bv0 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 41 29))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv1 16))))) (not (= A3.V<1> (_ bv1 16)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16))))) (not (= A3.V<1> (_ bv1 16)))) (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16))))) (not (= A3.V<1> (_ bv1 16)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv0 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 41))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16))))) (not (= A3.V<2> (_ bv2 16)))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16))))) (not (= A3.V<2> (_ bv0 16)))))))
(assert (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv2 16)))))))))
(assert (or (<= (/ 17 29) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv0 16))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 41))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv0 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv0 16))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16))))) (not (= A1.V<1> (_ bv2 16)))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- 1)) (or (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16))))) (not (= A1.V<1> (_ bv2 16)))) (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 41 29))) (or (or (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16))))) (not (= A1.V<1> (_ bv2 16)))) (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<0>) (* (- 1) A1.wtime<0>))))) (or (not (= A1.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 41 29))) (or (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))))) (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 17 41))) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))))))))
(assert (or (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16))))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 41 29)))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))))) (<= (/ 41 29) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- 1)) (or (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16)))))) (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16))))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (- (/ 58 41)))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))) (<= (/ 41 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16))))) (not (= A3.V<2> (_ bv1 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16))))) (not (= A3.V<1> (_ bv0 16)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- 1)) (or (<= (/ 17 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv2 16))))) (not (= A3.V<1> (_ bv0 16)))))))
(assert (or (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16))))))) (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41)))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16))))) (not (= A3.V<1> (_ bv1 16)))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16)))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16)))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (or (not (= A2.V<0> (_ bv3 16))) (not (= A2.V<1> (_ bv0 16)))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 58 41))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 58 41))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 58 41))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A1.V<0> (_ bv1 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 58 41))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 58 41))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 17 29) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 58 41))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 1001 1000))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))) (not (= A1.V<2> (_ bv3 16)))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv1 16))) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 58 41))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))) (not (= A2.V<2> (_ bv1 16)))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A2.atime<1>))) (- 1)))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 17 41))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- (/ 41 29))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 17 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>)))) (- 1)) (or (<= (/ 41 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (not (= A2.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A1.V<1> (_ bv2 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv0 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv0 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv0 16))) (not (= A2.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv0 16))) (not (= A2.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv0 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= 1 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A2.V<1> (_ bv0 16))) (not (= A2.V<2> (_ bv2 16)))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv0 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv0 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A3.atime<0>))) (- 1)))))
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>))))) (or (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A3.atime<0>))) (- (/ 41 29))))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A2.atime<0>))) (- 1)))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>))))) (or (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A2.atime<0>))) (- (/ 41 29))))))
(assert (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) 0) (or (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (/ 58 41) (+ A2.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 17 29))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 58 41) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))) (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 41 29))))))
(assert (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) 0) (or (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16))))) (<= 1 (+ A2.atime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))))))
(assert (or (<= (/ 1001 1000) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- 1)) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- 1)) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= 1 (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- 1)) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (/ 1001 1000) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- 1)) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 1001 1000) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A0.atime<1>) (* (- 1) A0.wtime<1>)))) (- (/ 1001 1000))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- (/ 58 41))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 17 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16)))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A1.atime<1>))) (- 1)) (or (not (= A1.V<1> (_ bv3 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv3 16))))))))
(assert (or (<= 0 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<1> (_ bv2 16))) (not (= A0.V<2> (_ bv1 16))))) (<= (+ A0.atime<1> (+ A0.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 58 41))))))
(assert (or (<= (/ 1001 1000) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv2 16)))))))))
(assert (or (<= 1 (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (not (= A2.V<1> (_ bv2 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv1 16)))))))))
(assert (or (<= (/ 1001 1000) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (/ 1001 1000) (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A2.atime<0> (+ A2.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 1001 1000))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A2.V<0> (_ bv3 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 17 29))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (not (= A3.V<1> (_ bv3 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (/ 58 41) (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A3.V<0> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))) (<= (+ A3.atime<0> (+ A3.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 41 29))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= (/ 58 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (- (/ 12 29)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<1>))) (- (/ 58 41))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 58 41))) (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16)))))))))
(assert (or (and (not kass2) (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<2>) (* (- 1) A2.wtime<2>)))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<2>))) (- (/ 58 41))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A0.atime<2>))) (- (/ 58 41))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 1001 1000))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (not (= A1.V<2> (_ bv0 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A3.atime<1> (+ A3.wtime<1> (+ (* (- 1) A2.atime<2>) (* (- 1) A2.wtime<2>)))))) (or (<= (+ A3.atime<1> (+ A3.wtime<1> (* (- 1) A2.atime<2>))) (- (/ 58 41))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (not (= A2.V<2> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) 0) (or (<= 1 (+ A0.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A3.V<0> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) 0) (or (<= (/ 41 29) (+ A0.atime<0> (+ (* (- 1) A3.atime<0>) (* (- 1) A3.wtime<0>)))) (or (not (= A3.V<1> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A3.V<0> (_ bv2 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (/ 12 29)) (or (<= (/ 58 41) (+ A0.atime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (or (not (= A1.V<2> (_ bv0 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A1.V<1> (_ bv3 16))))))))
(assert (or (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))) (not (= A1.V<1> (_ bv3 16)))))) (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 41 29)))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv0 16))) (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv2 16)))) (not (= A1.V<1> (_ bv3 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- 1)) (or (<= 1 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv1 16))) (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<1> (_ bv3 16))))))))
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A2.atime<1>))) (- 1)) (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A2.V<1> (_ bv1 16)))))))
(assert (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv3 16)))) (not (= A2.V<1> (_ bv1 16)))) (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A2.atime<1>))) (- (/ 41 29))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A0.atime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv2 16))) (or (not (= A0.V<0> (_ bv0 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A0.atime<0> (+ A0.wtime<0> (* (- 1) A1.atime<2>))) (- 1)) (or (or (not (= A0.V<0> (_ bv0 16))) (not (= A0.V<1> (_ bv1 16)))) (not (= A1.V<2> (_ bv0 16)))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) 0) (or (<= 1 (+ A1.atime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A2.V<0> (_ bv3 16))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) 0) (or (<= (/ 41 29) (+ A1.atime<0> (+ (* (- 1) A2.atime<0>) (* (- 1) A2.wtime<0>)))) (or (not (= A2.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A2.V<0> (_ bv3 16))))))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A2.atime<1>))) (- 1)) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16))))))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A2.atime<1>))) (- 1)) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16))))))))
(assert (or (<= 0 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (<= (+ A1.atime<0> (+ A1.wtime<0> (* (- 1) A2.atime<1>))) (- 1)) (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16)))))))))
(assert (or (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv2 16))))))) (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 41 29)))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- 1)) (or (<= (/ 58 41) (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv0 16)))))))))
(assert (or (<= (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (- (/ 17 41))) (or (<= 1 (+ A1.atime<0> (+ A1.wtime<0> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>))))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A3.V<1> (_ bv0 16))) (or (not (= A1.V<0> (_ bv1 16))) (not (= A1.V<1> (_ bv3 16)))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<1>))) (- (/ 58 41))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A2.atime<1>) (* (- 1) A2.wtime<1>))))) (or (or (not (= A2.V<1> (_ bv1 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv1 16))))) (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A2.atime<1>))) (- 1)))))
(assert (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (/ 12 29)) (or (<= (/ 58 41) (+ A1.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 1001 1000))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A1.V<1> (_ bv3 16))) (not (= A1.V<2> (_ bv0 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= (/ 58 41) (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (<= (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) 0) (or (<= 1 (+ A2.atime<1> (+ (* (- 1) A3.atime<1>) (* (- 1) A3.wtime<1>)))) (or (not (= A3.V<2> (_ bv1 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A3.V<1> (_ bv0 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A3.atime<2>) (* (- 1) A3.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A3.atime<2>))) (- (/ 58 41))) (or (not (= A3.V<2> (_ bv3 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A2.V<2> (_ bv2 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A0.atime<2>))) (- 1)) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A0.V<2> (_ bv1 16))))))))
(assert (or (and (not kass2) (<= 0 (+ A2.atime<1> (+ A2.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))))) (or (<= (+ A2.atime<1> (+ A2.wtime<1> (* (- 1) A1.atime<2>))) (- (/ 58 41))) (or (not (= A2.V<2> (_ bv2 16))) (or (not (= A2.V<1> (_ bv1 16))) (not (= A1.V<2> (_ bv0 16))))))))
(declare-const A0.V<3> (_ BitVec 16))
(declare-const A0.atime<3> Real)
(assert (= (+ A0.atime<2> (+ A0.rtime<2> (* (- 1) A0.atime<3>))) 0))
(declare-const A0.rtime<3> Real)
(declare-const A0.wtime<3> Real)
(declare-const A0.mtime<3> Real)
(assert (= (+ A0.rtime<3> (+ (* (- 1) A0.wtime<3>) (* (- 1) A0.mtime<3>))) 0))
(assert (<= 0 A0.wtime<3>))
(assert (<= 0 A0.mtime<3>))
(declare-const A0.ppref<3> Bool)
(declare-const A0.spref<3><1> Bool)
(declare-const A0.spref<3><2> Bool)
(declare-const A0.spref<3><3> Bool)
(declare-const A1.V<3> (_ BitVec 16))
(declare-const A1.atime<3> Real)
(assert (= (+ A1.atime<2> (+ A1.rtime<2> (* (- 1) A1.atime<3>))) 0))
(declare-const A1.rtime<3> Real)
(declare-const A1.wtime<3> Real)
(declare-const A1.mtime<3> Real)
(assert (= (+ A1.rtime<3> (+ (* (- 1) A1.wtime<3>) (* (- 1) A1.mtime<3>))) 0))
(assert (<= 0 A1.wtime<3>))
(assert (<= 0 A1.mtime<3>))
(declare-const A1.ppref<3> Bool)
(declare-const A1.spref<3><1> Bool)
(declare-const A1.spref<3><2> Bool)
(declare-const A1.spref<3><3> Bool)
(declare-const A2.V<3> (_ BitVec 16))
(declare-const A2.atime<3> Real)
(assert (= (+ A2.atime<2> (+ A2.rtime<2> (* (- 1) A2.atime<3>))) 0))
(declare-const A2.rtime<3> Real)
(declare-const A2.wtime<3> Real)
(declare-const A2.mtime<3> Real)
(assert (= (+ A2.rtime<3> (+ (* (- 1) A2.wtime<3>) (* (- 1) A2.mtime<3>))) 0))
(assert (<= 0 A2.wtime<3>))
(assert (<= 0 A2.mtime<3>))
(declare-const A2.ppref<3> Bool)
(declare-const A2.spref<3><1> Bool)
(declare-const A2.spref<3><2> Bool)
(declare-const A2.spref<3><3> Bool)
(declare-const A3.V<3> (_ BitVec 16))
(declare-const A3.atime<3> Real)
(assert (= (+ A3.atime<2> (+ A3.rtime<2> (* (- 1) A3.atime<3>))) 0))
(declare-const A3.rtime<3> Real)
(declare-const A3.wtime<3> Real)
(declare-const A3.mtime<3> Real)
(assert (= (+ A3.rtime<3> (+ (* (- 1) A3.wtime<3>) (* (- 1) A3.mtime<3>))) 0))
(assert (<= 0 A3.wtime<3>))
(assert (<= 0 A3.mtime<3>))
(declare-const A3.ppref<3> Bool)
(declare-const A3.spref<3><1> Bool)
(declare-const A3.spref<3><2> Bool)
(declare-const A3.spref<3><3> Bool)
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (not (= A0.V<2> (_ bv2 16))) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv3 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (not (= A0.V<2> (_ bv3 16))) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv1 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (and (= A0.mtime<2> 0) (= A0.wtime<2> 0)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (not (and (= A0.V<1> (_ bv1 16)) (= A0.V<2> (_ bv1 16)))) (= A0.V<3> (_ bv1 16))))
(assert (or (not (= A0.V<2> (_ bv1 16))) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv3 16)) (= A0.V<3> (_ bv2 16)))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv0 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv0 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv0 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (not (= A0.V<2> (_ bv0 16))) (or (or (= A0.V<3> (_ bv3 16)) (= A0.V<3> (_ bv1 16))) (= A0.V<3> (_ bv2 16)))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv0 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (and (= A1.mtime<2> 0) (= A1.wtime<2> 0)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv0 16)))) (= A1.V<3> (_ bv0 16))))
(assert (or (not (= A1.V<2> (_ bv0 16))) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv1 16)) (= A1.V<3> (_ bv3 16)))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (not (= A1.V<2> (_ bv2 16))) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv1 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv0 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (not (= A1.V<2> (_ bv3 16))) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv1 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv0 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv2 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (not (= A1.V<2> (_ bv1 16))) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv3 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv0 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv0 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (not (= A2.V<2> (_ bv0 16))) (or (= A2.V<3> (_ bv2 16)) (or (= A2.V<3> (_ bv1 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv2 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.V<3> (_ bv1 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv0 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv1 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (not (= A2.V<2> (_ bv1 16))) (or (= A2.V<3> (_ bv0 16)) (or (= A2.V<3> (_ bv3 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv2 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.V<3> (_ bv3 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv1 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (and (= A2.mtime<2> 0) (= A2.wtime<2> 0)) (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (not (and (= A2.V<1> (_ bv2 16)) (= A2.V<2> (_ bv2 16)))) (= A2.V<3> (_ bv2 16))))
(assert (or (not (= A2.V<2> (_ bv2 16))) (or (= A2.V<3> (_ bv2 16)) (or (or (= A2.V<3> (_ bv1 16)) (= A2.V<3> (_ bv3 16))) (= A2.V<3> (_ bv0 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.mtime<2> 1) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<2> (/ 41 29)) (not (and (= A2.V<2> (_ bv3 16)) (= A2.V<3> (_ bv0 16))))))
(assert (or (not (= A2.V<2> (_ bv3 16))) (or (= A2.V<3> (_ bv0 16)) (or (= A2.V<3> (_ bv1 16)) (= A2.V<3> (_ bv2 16))))))
(assert (or (= A2.V<3> (_ bv2 16)) (not (and A2.spref<2><1> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A2.V<3> (_ bv1 16)) (not (and A2.spref<2><2> (= A2.V<2> (_ bv3 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv0 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv0 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv0 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (not (= A3.V<2> (_ bv0 16))) (or (= A3.V<3> (_ bv2 16)) (or (= A3.V<3> (_ bv1 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.V<3> (_ bv3 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.V<3> (_ bv1 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv0 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv1 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv1 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv1 16)) (= A3.V<3> (_ bv0 16))))))
(assert (or (not (= A3.V<2> (_ bv1 16))) (or (= A3.V<3> (_ bv0 16)) (or (= A3.V<3> (_ bv3 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv3 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.V<3> (_ bv2 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv1 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv0 16))))))
(assert (or (and (= A3.mtime<2> 0) (= A3.wtime<2> 0)) (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (not (and (= A3.V<1> (_ bv3 16)) (= A3.V<2> (_ bv3 16)))) (= A3.V<3> (_ bv3 16))))
(assert (or (not (= A3.V<2> (_ bv3 16))) (or (= A3.V<3> (_ bv3 16)) (or (= A3.V<3> (_ bv0 16)) (or (= A3.V<3> (_ bv1 16)) (= A3.V<3> (_ bv2 16)))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<2> (/ 41 29)) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<2> 1) (not (and (= A3.V<2> (_ bv2 16)) (= A3.V<3> (_ bv0 16))))))
(assert (or (not (= A3.V<2> (_ bv2 16))) (or (or (= A3.V<3> (_ bv1 16)) (= A3.V<3> (_ bv3 16))) (= A3.V<3> (_ bv0 16)))))
(assert (or (= A3.V<3> (_ bv3 16)) (not (and A3.spref<2><1> (= A3.V<2> (_ bv2 16))))))
(assert (or (= A3.V<3> (_ bv1 16)) (not (and A3.spref<2><2> (= A3.V<2> (_ bv2 16))))))
(declare-const kass3 Bool)
(assert (or (= objtime A3.wtime<3>) (not kass3)))
(assert (or (not kass3) (= A3.mtime<3> 0)))
(assert (or (not kass3) (= objtime A2.wtime<3>)))
(assert (or (not kass3) (= A2.mtime<3> 0)))
(assert (or (not kass3) (= objtime A1.wtime<3>)))
(assert (or (not kass3) (= A1.mtime<3> 0)))
(assert (or (not kass3) (= objtime A0.wtime<3>)))
(assert (or (not kass3) (= A0.mtime<3> 0)))
(push 1)
(assert kass3)
(assert (= A3.V<3> (_ bv3 16)))
(assert (= A2.V<3> (_ bv2 16)))
(assert (= A1.V<3> (_ bv0 16)))
(assert (= A0.V<3> (_ bv1 16)))
(assert (= (+ objtime (+ (* (- 1) A0.atime<3>) (+ (* (- 1) A1.atime<3>) (+ (* (- 1) A2.atime<3>) (* (- 1) A3.atime<3>))))) 0))
(set-info :status unsat)
(check-sat)
(pop 1)
(declare-const A0.V<4> (_ BitVec 16))
(declare-const A0.atime<4> Real)
(assert (= (+ A0.atime<3> (+ A0.rtime<3> (* (- 1) A0.atime<4>))) 0))
(declare-const A0.rtime<4> Real)
(declare-const A0.wtime<4> Real)
(declare-const A0.mtime<4> Real)
(assert (= (+ A0.rtime<4> (+ (* (- 1) A0.wtime<4>) (* (- 1) A0.mtime<4>))) 0))
(assert (<= 0 A0.wtime<4>))
(assert (<= 0 A0.mtime<4>))
(declare-const A0.ppref<4> Bool)
(declare-const A0.spref<4><1> Bool)
(declare-const A0.spref<4><2> Bool)
(declare-const A0.spref<4><3> Bool)
(declare-const A1.V<4> (_ BitVec 16))
(declare-const A1.atime<4> Real)
(assert (= (+ A1.atime<3> (+ A1.rtime<3> (* (- 1) A1.atime<4>))) 0))
(declare-const A1.rtime<4> Real)
(declare-const A1.wtime<4> Real)
(declare-const A1.mtime<4> Real)
(assert (= (+ A1.rtime<4> (+ (* (- 1) A1.wtime<4>) (* (- 1) A1.mtime<4>))) 0))
(assert (<= 0 A1.wtime<4>))
(assert (<= 0 A1.mtime<4>))
(declare-const A1.ppref<4> Bool)
(declare-const A1.spref<4><1> Bool)
(declare-const A1.spref<4><2> Bool)
(declare-const A1.spref<4><3> Bool)
(declare-const A2.V<4> (_ BitVec 16))
(declare-const A2.atime<4> Real)
(assert (= (+ A2.atime<3> (+ A2.rtime<3> (* (- 1) A2.atime<4>))) 0))
(declare-const A2.rtime<4> Real)
(declare-const A2.wtime<4> Real)
(declare-const A2.mtime<4> Real)
(assert (= (+ A2.rtime<4> (+ (* (- 1) A2.wtime<4>) (* (- 1) A2.mtime<4>))) 0))
(assert (<= 0 A2.wtime<4>))
(assert (<= 0 A2.mtime<4>))
(declare-const A2.ppref<4> Bool)
(declare-const A2.spref<4><1> Bool)
(declare-const A2.spref<4><2> Bool)
(declare-const A2.spref<4><3> Bool)
(declare-const A3.V<4> (_ BitVec 16))
(declare-const A3.atime<4> Real)
(assert (= (+ A3.atime<3> (+ A3.rtime<3> (* (- 1) A3.atime<4>))) 0))
(declare-const A3.rtime<4> Real)
(declare-const A3.wtime<4> Real)
(declare-const A3.mtime<4> Real)
(assert (= (+ A3.rtime<4> (+ (* (- 1) A3.wtime<4>) (* (- 1) A3.mtime<4>))) 0))
(assert (<= 0 A3.wtime<4>))
(assert (<= 0 A3.mtime<4>))
(declare-const A3.ppref<4> Bool)
(declare-const A3.spref<4><1> Bool)
(declare-const A3.spref<4><2> Bool)
(declare-const A3.spref<4><3> Bool)
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv0 16))))))
(assert (or (or (= A0.V<4> (_ bv0 16)) (or (= A0.V<4> (_ bv3 16)) (= A0.V<4> (_ bv1 16)))) (not (= A0.V<3> (_ bv2 16)))))
(assert (or (= A0.V<4> (_ bv1 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.V<4> (_ bv3 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv0 16))))))
(assert (or (or (= A0.V<4> (_ bv0 16)) (or (= A0.V<4> (_ bv1 16)) (= A0.V<4> (_ bv2 16)))) (not (= A0.V<3> (_ bv3 16)))))
(assert (or (= A0.V<4> (_ bv1 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.V<4> (_ bv2 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv0 16))))))
(assert (or (and (= A0.mtime<3> 0) (= A0.wtime<3> 0)) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv1 16)))) (= A0.V<4> (_ bv1 16))))
(assert (or (or (= A0.V<4> (_ bv1 16)) (or (= A0.V<4> (_ bv0 16)) (or (= A0.V<4> (_ bv3 16)) (= A0.V<4> (_ bv2 16))))) (not (= A0.V<3> (_ bv1 16)))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv0 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv0 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv0 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (or (or (= A0.V<4> (_ bv3 16)) (= A0.V<4> (_ bv1 16))) (= A0.V<4> (_ bv2 16))) (not (= A0.V<3> (_ bv0 16)))))
(assert (or (= A0.V<4> (_ bv1 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.V<4> (_ bv3 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv0 16)) (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv0 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv0 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (and (= A1.mtime<3> 0) (= A1.wtime<3> 0)) (not (and (= A1.V<3> (_ bv0 16)) (= A1.V<4> (_ bv0 16))))))
(assert (or (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv0 16)))) (= A1.V<4> (_ bv0 16))))
(assert (or (or (= A1.V<4> (_ bv0 16)) (or (= A1.V<4> (_ bv2 16)) (or (= A1.V<4> (_ bv1 16)) (= A1.V<4> (_ bv3 16))))) (not (= A1.V<3> (_ bv0 16)))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv0 16))))))
(assert (or (or (= A1.V<4> (_ bv0 16)) (or (= A1.V<4> (_ bv1 16)) (= A1.V<4> (_ bv3 16)))) (not (= A1.V<3> (_ bv2 16)))))
(assert (or (= A1.V<4> (_ bv0 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<4> (_ bv3 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv0 16))))))
(assert (or (or (= A1.V<4> (_ bv0 16)) (or (= A1.V<4> (_ bv1 16)) (= A1.V<4> (_ bv2 16)))) (not (= A1.V<3> (_ bv3 16)))))
(assert (or (= A1.V<4> (_ bv0 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<4> (_ bv2 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv1 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv1 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv1 16)) (= A1.V<4> (_ bv0 16))))))
(assert (or (or (= A1.V<4> (_ bv0 16)) (or (= A1.V<4> (_ bv3 16)) (= A1.V<4> (_ bv2 16)))) (not (= A1.V<3> (_ bv1 16)))))
(assert (or (= A1.V<4> (_ bv0 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.V<4> (_ bv3 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<3> 1) (not (and (= A2.V<3> (_ bv0 16)) (= A2.V<4> (_ bv1 16))))))
(assert (or (= A2.mtime<3> (/ 41 29)) (not (and (= A2.V<3> (_ bv0 16)) (= A2.V<4> (_ bv3 16))))))
(assert (or (= A2.mtime<3> 1) (not (and (= A2.V<3> (_ bv0 16)) (= A2.V<4> (_ bv2 16))))))
(assert (or (or (= A2.V<4> (_ bv2 16)) (or (= A2.V<4> (_ bv1 16)) (= A2.V<4> (_ bv3 16)))) (not (= A2.V<3> (_ bv0 16)))))
(assert (or (= A2.V<4> (_ bv2 16)) (not (and A2.spref<3><1> (= A2.V<3> (_ bv0 16))))))
(assert (or (= A2.V<4> (_ bv1 16)) (not (and A2.spref<3><2> (= A2.V<3> (_ bv0 16))))))
(assert (or (= A2.mtime<3> 1) (not (and (= A2.V<3> (_ bv1 16)) (= A2.V<4> (_ bv3 16))))))
(assert (or (= A2.mtime<3> (/ 41 29)) (not (and (= A2.V<3> (_ bv1 16)) (= A2.V<4> (_ bv2 16))))))
(assert (or (= A2.mtime<3> 1) (not (and (= A2.V<3> (_ bv1 16)) (= A2.V<4> (_ bv0 16))))))
(assert (or (or (= A2.V<4> (_ bv0 16)) (or (= A2.V<4> (_ bv3 16)) (= A2.V<4> (_ bv2 16)))) (not (= A2.V<3> (_ bv1 16)))))
(assert (or (= A2.V<4> (_ bv2 16)) (not (and A2.spref<3><1> (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.V<4> (_ bv3 16)) (not (and A2.spref<3><2> (= A2.V<3> (_ bv1 16))))))
(assert (or (= A2.mtime<3> 1) (not (and (= A2.V<3> (_ bv2 16)) (= A2.V<4> (_ bv3 16))))))
(assert (or (= A2.mtime<3> (/ 41 29)) (not (and (= A2.V<3> (_ bv2 16)) (= A2.V<4> (_ bv1 16))))))
(assert (or (= A2.mtime<3> 1) (not (and (= A2.V<3> (_ bv2 16)) (= A2.V<4> (_ bv0 16))))))
(assert (or (and (= A2.mtime<3> 0) (= A2.wtime<3> 0)) (not (and (= A2.V<3> (_ bv2 16)) (= A2.V<4> (_ bv2 16))))))
(assert (or (not (and (= A2.V<2> (_ bv2 16)) (= A2.V<3> (_ bv2 16)))) (= A2.V<4> (_ bv2 16))))
(assert (or (or (= A2.V<4> (_ bv2 16)) (or (or (= A2.V<4> (_ bv1 16)) (= A2.V<4> (_ bv3 16))) (= A2.V<4> (_ bv0 16)))) (not (= A2.V<3> (_ bv2 16)))))
(assert (or (= A2.mtime<3> 1) (not (and (= A2.V<3> (_ bv3 16)) (= A2.V<4> (_ bv2 16))))))
(assert (or (= A2.mtime<3> 1) (not (and (= A2.V<3> (_ bv3 16)) (= A2.V<4> (_ bv1 16))))))
(assert (or (= A2.mtime<3> (/ 41 29)) (not (and (= A2.V<3> (_ bv3 16)) (= A2.V<4> (_ bv0 16))))))
(assert (or (or (= A2.V<4> (_ bv0 16)) (or (= A2.V<4> (_ bv1 16)) (= A2.V<4> (_ bv2 16)))) (not (= A2.V<3> (_ bv3 16)))))
(assert (or (= A2.V<4> (_ bv2 16)) (not (and A2.spref<3><1> (= A2.V<3> (_ bv3 16))))))
(assert (or (= A2.V<4> (_ bv1 16)) (not (and A2.spref<3><2> (= A2.V<3> (_ bv3 16))))))
(assert (or (= A3.mtime<3> 1) (not (and (= A3.V<3> (_ bv0 16)) (= A3.V<4> (_ bv1 16))))))
(assert (or (= A3.mtime<3> (/ 41 29)) (not (and (= A3.V<3> (_ bv0 16)) (= A3.V<4> (_ bv3 16))))))
(assert (or (= A3.mtime<3> 1) (not (and (= A3.V<3> (_ bv0 16)) (= A3.V<4> (_ bv2 16))))))
(assert (or (or (= A3.V<4> (_ bv2 16)) (or (= A3.V<4> (_ bv1 16)) (= A3.V<4> (_ bv3 16)))) (not (= A3.V<3> (_ bv0 16)))))
(assert (or (= A3.V<4> (_ bv3 16)) (not (and A3.spref<3><1> (= A3.V<3> (_ bv0 16))))))
(assert (or (= A3.V<4> (_ bv1 16)) (not (and A3.spref<3><2> (= A3.V<3> (_ bv0 16))))))
(assert (or (= A3.mtime<3> 1) (not (and (= A3.V<3> (_ bv1 16)) (= A3.V<4> (_ bv3 16))))))
(assert (or (= A3.mtime<3> (/ 41 29)) (not (and (= A3.V<3> (_ bv1 16)) (= A3.V<4> (_ bv2 16))))))
(assert (or (= A3.mtime<3> 1) (not (and (= A3.V<3> (_ bv1 16)) (= A3.V<4> (_ bv0 16))))))
(assert (or (or (= A3.V<4> (_ bv0 16)) (or (= A3.V<4> (_ bv3 16)) (= A3.V<4> (_ bv2 16)))) (not (= A3.V<3> (_ bv1 16)))))
(assert (or (= A3.V<4> (_ bv3 16)) (not (and A3.spref<3><1> (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.V<4> (_ bv2 16)) (not (and A3.spref<3><2> (= A3.V<3> (_ bv1 16))))))
(assert (or (= A3.mtime<3> 1) (not (and (= A3.V<3> (_ bv3 16)) (= A3.V<4> (_ bv2 16))))))
(assert (or (= A3.mtime<3> 1) (not (and (= A3.V<3> (_ bv3 16)) (= A3.V<4> (_ bv1 16))))))
(assert (or (= A3.mtime<3> (/ 41 29)) (not (and (= A3.V<3> (_ bv3 16)) (= A3.V<4> (_ bv0 16))))))
(assert (or (and (= A3.mtime<3> 0) (= A3.wtime<3> 0)) (not (and (= A3.V<3> (_ bv3 16)) (= A3.V<4> (_ bv3 16))))))
(assert (or (not (and (= A3.V<2> (_ bv3 16)) (= A3.V<3> (_ bv3 16)))) (= A3.V<4> (_ bv3 16))))
(assert (or (or (= A3.V<4> (_ bv3 16)) (or (= A3.V<4> (_ bv0 16)) (or (= A3.V<4> (_ bv1 16)) (= A3.V<4> (_ bv2 16))))) (not (= A3.V<3> (_ bv3 16)))))
(assert (or (= A3.mtime<3> 1) (not (and (= A3.V<3> (_ bv2 16)) (= A3.V<4> (_ bv3 16))))))
(assert (or (= A3.mtime<3> (/ 41 29)) (not (and (= A3.V<3> (_ bv2 16)) (= A3.V<4> (_ bv1 16))))))
(assert (or (= A3.mtime<3> 1) (not (and (= A3.V<3> (_ bv2 16)) (= A3.V<4> (_ bv0 16))))))
(assert (or (or (or (= A3.V<4> (_ bv1 16)) (= A3.V<4> (_ bv3 16))) (= A3.V<4> (_ bv0 16))) (not (= A3.V<3> (_ bv2 16)))))
(assert (or (= A3.V<4> (_ bv3 16)) (not (and A3.spref<3><1> (= A3.V<3> (_ bv2 16))))))
(assert (or (= A3.V<4> (_ bv1 16)) (not (and A3.spref<3><2> (= A3.V<3> (_ bv2 16))))))
(declare-const kass4 Bool)
(assert (or (= objtime A3.wtime<4>) (not kass4)))
(assert (or (not kass4) (= A3.mtime<4> 0)))
(assert (or (not kass4) (= objtime A2.wtime<4>)))
(assert (or (not kass4) (= A2.mtime<4> 0)))
(assert (or (not kass4) (= objtime A1.wtime<4>)))
(assert (or (not kass4) (= A1.mtime<4> 0)))
(assert (or (not kass4) (= objtime A0.wtime<4>)))
(assert (or (not kass4) (= A0.mtime<4> 0)))
(push 1)
(assert kass4)
(assert (= A3.V<4> (_ bv3 16)))
(assert (= A2.V<4> (_ bv2 16)))
(assert (= A1.V<4> (_ bv0 16)))
(assert (= A0.V<4> (_ bv1 16)))
(assert (= (+ objtime (+ (* (- 1) A0.atime<4>) (+ (* (- 1) A1.atime<4>) (+ (* (- 1) A2.atime<4>) (* (- 1) A3.atime<4>))))) 0))
(set-info :status unsat)
(check-sat)
(pop 1)
(declare-const A0.V<5> (_ BitVec 16))
(declare-const A0.atime<5> Real)
(assert (= (+ A0.atime<4> (+ A0.rtime<4> (* (- 1) A0.atime<5>))) 0))
(declare-const A0.rtime<5> Real)
(declare-const A0.wtime<5> Real)
(declare-const A0.mtime<5> Real)
(assert (= (+ A0.rtime<5> (+ (* (- 1) A0.wtime<5>) (* (- 1) A0.mtime<5>))) 0))
(assert (<= 0 A0.wtime<5>))
(assert (<= 0 A0.mtime<5>))
(declare-const A0.ppref<5> Bool)
(declare-const A0.spref<5><1> Bool)
(declare-const A0.spref<5><2> Bool)
(declare-const A0.spref<5><3> Bool)
(declare-const A1.V<5> (_ BitVec 16))
(declare-const A1.atime<5> Real)
(assert (= (+ A1.atime<4> (+ A1.rtime<4> (* (- 1) A1.atime<5>))) 0))
(declare-const A1.rtime<5> Real)
(declare-const A1.wtime<5> Real)
(declare-const A1.mtime<5> Real)
(assert (= (+ A1.rtime<5> (+ (* (- 1) A1.wtime<5>) (* (- 1) A1.mtime<5>))) 0))
(assert (<= 0 A1.wtime<5>))
(assert (<= 0 A1.mtime<5>))
(declare-const A1.ppref<5> Bool)
(declare-const A1.spref<5><1> Bool)
(declare-const A1.spref<5><2> Bool)
(declare-const A1.spref<5><3> Bool)
(declare-const A2.V<5> (_ BitVec 16))
(declare-const A2.atime<5> Real)
(assert (= (+ A2.atime<4> (+ A2.rtime<4> (* (- 1) A2.atime<5>))) 0))
(declare-const A2.rtime<5> Real)
(declare-const A2.wtime<5> Real)
(declare-const A2.mtime<5> Real)
(assert (= (+ A2.rtime<5> (+ (* (- 1) A2.wtime<5>) (* (- 1) A2.mtime<5>))) 0))
(assert (<= 0 A2.wtime<5>))
(assert (<= 0 A2.mtime<5>))
(declare-const A2.ppref<5> Bool)
(declare-const A2.spref<5><1> Bool)
(declare-const A2.spref<5><2> Bool)
(declare-const A2.spref<5><3> Bool)
(declare-const A3.V<5> (_ BitVec 16))
(declare-const A3.atime<5> Real)
(assert (= (+ A3.atime<4> (+ A3.rtime<4> (* (- 1) A3.atime<5>))) 0))
(declare-const A3.rtime<5> Real)
(declare-const A3.wtime<5> Real)
(declare-const A3.mtime<5> Real)
(assert (= (+ A3.rtime<5> (+ (* (- 1) A3.wtime<5>) (* (- 1) A3.mtime<5>))) 0))
(assert (<= 0 A3.wtime<5>))
(assert (<= 0 A3.mtime<5>))
(declare-const A3.ppref<5> Bool)
(declare-const A3.spref<5><1> Bool)
(declare-const A3.spref<5><2> Bool)
(declare-const A3.spref<5><3> Bool)
(assert (or (= A0.mtime<4> 1) (not (and (= A0.V<4> (_ bv2 16)) (= A0.V<5> (_ bv3 16))))))
(assert (or (= A0.mtime<4> (/ 41 29)) (not (and (= A0.V<4> (_ bv2 16)) (= A0.V<5> (_ bv1 16))))))
(assert (or (= A0.mtime<4> 1) (not (and (= A0.V<4> (_ bv2 16)) (= A0.V<5> (_ bv0 16))))))
(assert (or (or (= A0.V<5> (_ bv0 16)) (or (= A0.V<5> (_ bv3 16)) (= A0.V<5> (_ bv1 16)))) (not (= A0.V<4> (_ bv2 16)))))
(assert (or (= A0.V<5> (_ bv1 16)) (not (and A0.spref<4><1> (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.V<5> (_ bv3 16)) (not (and A0.spref<4><2> (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<4> 1) (not (and (= A0.V<4> (_ bv3 16)) (= A0.V<5> (_ bv2 16))))))
(assert (or (= A0.mtime<4> 1) (not (and (= A0.V<4> (_ bv3 16)) (= A0.V<5> (_ bv1 16))))))
(assert (or (= A0.mtime<4> (/ 41 29)) (not (and (= A0.V<4> (_ bv3 16)) (= A0.V<5> (_ bv0 16))))))
(assert (or (or (= A0.V<5> (_ bv0 16)) (or (= A0.V<5> (_ bv1 16)) (= A0.V<5> (_ bv2 16)))) (not (= A0.V<4> (_ bv3 16)))))
(assert (or (= A0.V<5> (_ bv1 16)) (not (and A0.spref<4><1> (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.V<5> (_ bv2 16)) (not (and A0.spref<4><2> (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<4> 1) (not (and (= A0.V<4> (_ bv1 16)) (= A0.V<5> (_ bv3 16))))))
(assert (or (= A0.mtime<4> (/ 41 29)) (not (and (= A0.V<4> (_ bv1 16)) (= A0.V<5> (_ bv2 16))))))
(assert (or (= A0.mtime<4> 1) (not (and (= A0.V<4> (_ bv1 16)) (= A0.V<5> (_ bv0 16))))))
(assert (or (and (= A0.mtime<4> 0) (= A0.wtime<4> 0)) (not (and (= A0.V<4> (_ bv1 16)) (= A0.V<5> (_ bv1 16))))))
(assert (or (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv1 16)))) (= A0.V<5> (_ bv1 16))))
(assert (or (or (= A0.V<5> (_ bv1 16)) (or (= A0.V<5> (_ bv0 16)) (or (= A0.V<5> (_ bv3 16)) (= A0.V<5> (_ bv2 16))))) (not (= A0.V<4> (_ bv1 16)))))
(assert (or (= A0.mtime<4> 1) (not (and (= A0.V<4> (_ bv0 16)) (= A0.V<5> (_ bv1 16))))))
(assert (or (= A0.mtime<4> (/ 41 29)) (not (and (= A0.V<4> (_ bv0 16)) (= A0.V<5> (_ bv3 16))))))
(assert (or (= A0.mtime<4> 1) (not (and (= A0.V<4> (_ bv0 16)) (= A0.V<5> (_ bv2 16))))))
(assert (or (or (or (= A0.V<5> (_ bv3 16)) (= A0.V<5> (_ bv1 16))) (= A0.V<5> (_ bv2 16))) (not (= A0.V<4> (_ bv0 16)))))
(assert (or (= A0.V<5> (_ bv1 16)) (not (and A0.spref<4><1> (= A0.V<4> (_ bv0 16))))))
(assert (or (= A0.V<5> (_ bv3 16)) (not (and A0.spref<4><2> (= A0.V<4> (_ bv0 16))))))
(assert (or (= A1.mtime<4> 1) (not (and (= A1.V<4> (_ bv0 16)) (= A1.V<5> (_ bv1 16))))))
(assert (or (= A1.mtime<4> (/ 41 29)) (not (and (= A1.V<4> (_ bv0 16)) (= A1.V<5> (_ bv3 16))))))
(assert (or (= A1.mtime<4> 1) (not (and (= A1.V<4> (_ bv0 16)) (= A1.V<5> (_ bv2 16))))))
(assert (or (and (= A1.mtime<4> 0) (= A1.wtime<4> 0)) (not (and (= A1.V<4> (_ bv0 16)) (= A1.V<5> (_ bv0 16))))))
(assert (or (not (and (= A1.V<3> (_ bv0 16)) (= A1.V<4> (_ bv0 16)))) (= A1.V<5> (_ bv0 16))))
(assert (or (or (= A1.V<5> (_ bv0 16)) (or (= A1.V<5> (_ bv2 16)) (or (= A1.V<5> (_ bv1 16)) (= A1.V<5> (_ bv3 16))))) (not (= A1.V<4> (_ bv0 16)))))
(assert (or (= A1.mtime<4> 1) (not (and (= A1.V<4> (_ bv2 16)) (= A1.V<5> (_ bv3 16))))))
(assert (or (= A1.mtime<4> (/ 41 29)) (not (and (= A1.V<4> (_ bv2 16)) (= A1.V<5> (_ bv1 16))))))
(assert (or (= A1.mtime<4> 1) (not (and (= A1.V<4> (_ bv2 16)) (= A1.V<5> (_ bv0 16))))))
(assert (or (or (= A1.V<5> (_ bv0 16)) (or (= A1.V<5> (_ bv1 16)) (= A1.V<5> (_ bv3 16)))) (not (= A1.V<4> (_ bv2 16)))))
(assert (or (= A1.V<5> (_ bv0 16)) (not (and A1.spref<4><1> (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.V<5> (_ bv3 16)) (not (and A1.spref<4><2> (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<4> 1) (not (and (= A1.V<4> (_ bv3 16)) (= A1.V<5> (_ bv2 16))))))
(assert (or (= A1.mtime<4> 1) (not (and (= A1.V<4> (_ bv3 16)) (= A1.V<5> (_ bv1 16))))))
(assert (or (= A1.mtime<4> (/ 41 29)) (not (and (= A1.V<4> (_ bv3 16)) (= A1.V<5> (_ bv0 16))))))
(assert (or (or (= A1.V<5> (_ bv0 16)) (or (= A1.V<5> (_ bv1 16)) (= A1.V<5> (_ bv2 16)))) (not (= A1.V<4> (_ bv3 16)))))
(assert (or (= A1.V<5> (_ bv0 16)) (not (and A1.spref<4><1> (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.V<5> (_ bv2 16)) (not (and A1.spref<4><2> (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<4> 1) (not (and (= A1.V<4> (_ bv1 16)) (= A1.V<5> (_ bv3 16))))))
(assert (or (= A1.mtime<4> (/ 41 29)) (not (and (= A1.V<4> (_ bv1 16)) (= A1.V<5> (_ bv2 16))))))
(assert (or (= A1.mtime<4> 1) (not (and (= A1.V<4> (_ bv1 16)) (= A1.V<5> (_ bv0 16))))))
(assert (or (or (= A1.V<5> (_ bv0 16)) (or (= A1.V<5> (_ bv3 16)) (= A1.V<5> (_ bv2 16)))) (not (= A1.V<4> (_ bv1 16)))))
(assert (or (= A1.V<5> (_ bv0 16)) (not (and A1.spref<4><1> (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.V<5> (_ bv3 16)) (not (and A1.spref<4><2> (= A1.V<4> (_ bv1 16))))))
(assert (or (= A2.mtime<4> 1) (not (and (= A2.V<4> (_ bv0 16)) (= A2.V<5> (_ bv1 16))))))
(assert (or (= A2.mtime<4> (/ 41 29)) (not (and (= A2.V<4> (_ bv0 16)) (= A2.V<5> (_ bv3 16))))))
(assert (or (= A2.mtime<4> 1) (not (and (= A2.V<4> (_ bv0 16)) (= A2.V<5> (_ bv2 16))))))
(assert (or (or (= A2.V<5> (_ bv2 16)) (or (= A2.V<5> (_ bv1 16)) (= A2.V<5> (_ bv3 16)))) (not (= A2.V<4> (_ bv0 16)))))
(assert (or (= A2.V<5> (_ bv2 16)) (not (and A2.spref<4><1> (= A2.V<4> (_ bv0 16))))))
(assert (or (= A2.V<5> (_ bv1 16)) (not (and A2.spref<4><2> (= A2.V<4> (_ bv0 16))))))
(assert (or (= A2.mtime<4> 1) (not (and (= A2.V<4> (_ bv1 16)) (= A2.V<5> (_ bv3 16))))))
(assert (or (= A2.mtime<4> (/ 41 29)) (not (and (= A2.V<4> (_ bv1 16)) (= A2.V<5> (_ bv2 16))))))
(assert (or (= A2.mtime<4> 1) (not (and (= A2.V<4> (_ bv1 16)) (= A2.V<5> (_ bv0 16))))))
(assert (or (or (= A2.V<5> (_ bv0 16)) (or (= A2.V<5> (_ bv3 16)) (= A2.V<5> (_ bv2 16)))) (not (= A2.V<4> (_ bv1 16)))))
(assert (or (= A2.V<5> (_ bv2 16)) (not (and A2.spref<4><1> (= A2.V<4> (_ bv1 16))))))
(assert (or (= A2.V<5> (_ bv3 16)) (not (and A2.spref<4><2> (= A2.V<4> (_ bv1 16))))))
(assert (or (= A2.mtime<4> 1) (not (and (= A2.V<4> (_ bv2 16)) (= A2.V<5> (_ bv3 16))))))
(assert (or (= A2.mtime<4> (/ 41 29)) (not (and (= A2.V<4> (_ bv2 16)) (= A2.V<5> (_ bv1 16))))))
(assert (or (= A2.mtime<4> 1) (not (and (= A2.V<4> (_ bv2 16)) (= A2.V<5> (_ bv0 16))))))
(assert (or (and (= A2.mtime<4> 0) (= A2.wtime<4> 0)) (not (and (= A2.V<4> (_ bv2 16)) (= A2.V<5> (_ bv2 16))))))
(assert (or (not (and (= A2.V<3> (_ bv2 16)) (= A2.V<4> (_ bv2 16)))) (= A2.V<5> (_ bv2 16))))
(assert (or (or (= A2.V<5> (_ bv2 16)) (or (or (= A2.V<5> (_ bv1 16)) (= A2.V<5> (_ bv3 16))) (= A2.V<5> (_ bv0 16)))) (not (= A2.V<4> (_ bv2 16)))))
(assert (or (= A2.mtime<4> 1) (not (and (= A2.V<4> (_ bv3 16)) (= A2.V<5> (_ bv2 16))))))
(assert (or (= A2.mtime<4> 1) (not (and (= A2.V<4> (_ bv3 16)) (= A2.V<5> (_ bv1 16))))))
(assert (or (= A2.mtime<4> (/ 41 29)) (not (and (= A2.V<4> (_ bv3 16)) (= A2.V<5> (_ bv0 16))))))
(assert (or (or (= A2.V<5> (_ bv0 16)) (or (= A2.V<5> (_ bv1 16)) (= A2.V<5> (_ bv2 16)))) (not (= A2.V<4> (_ bv3 16)))))
(assert (or (= A2.V<5> (_ bv2 16)) (not (and A2.spref<4><1> (= A2.V<4> (_ bv3 16))))))
(assert (or (= A2.V<5> (_ bv1 16)) (not (and A2.spref<4><2> (= A2.V<4> (_ bv3 16))))))
(assert (or (= A3.mtime<4> 1) (not (and (= A3.V<4> (_ bv0 16)) (= A3.V<5> (_ bv1 16))))))
(assert (or (= A3.mtime<4> (/ 41 29)) (not (and (= A3.V<4> (_ bv0 16)) (= A3.V<5> (_ bv3 16))))))
(assert (or (= A3.mtime<4> 1) (not (and (= A3.V<4> (_ bv0 16)) (= A3.V<5> (_ bv2 16))))))
(assert (or (or (= A3.V<5> (_ bv2 16)) (or (= A3.V<5> (_ bv1 16)) (= A3.V<5> (_ bv3 16)))) (not (= A3.V<4> (_ bv0 16)))))
(assert (or (= A3.V<5> (_ bv3 16)) (not (and A3.spref<4><1> (= A3.V<4> (_ bv0 16))))))
(assert (or (= A3.V<5> (_ bv1 16)) (not (and A3.spref<4><2> (= A3.V<4> (_ bv0 16))))))
(assert (or (= A3.mtime<4> 1) (not (and (= A3.V<4> (_ bv1 16)) (= A3.V<5> (_ bv3 16))))))
(assert (or (= A3.mtime<4> (/ 41 29)) (not (and (= A3.V<4> (_ bv1 16)) (= A3.V<5> (_ bv2 16))))))
(assert (or (= A3.mtime<4> 1) (not (and (= A3.V<4> (_ bv1 16)) (= A3.V<5> (_ bv0 16))))))
(assert (or (or (= A3.V<5> (_ bv0 16)) (or (= A3.V<5> (_ bv3 16)) (= A3.V<5> (_ bv2 16)))) (not (= A3.V<4> (_ bv1 16)))))
(assert (or (= A3.V<5> (_ bv3 16)) (not (and A3.spref<4><1> (= A3.V<4> (_ bv1 16))))))
(assert (or (= A3.V<5> (_ bv2 16)) (not (and A3.spref<4><2> (= A3.V<4> (_ bv1 16))))))
(assert (or (= A3.mtime<4> 1) (not (and (= A3.V<4> (_ bv3 16)) (= A3.V<5> (_ bv2 16))))))
(assert (or (= A3.mtime<4> 1) (not (and (= A3.V<4> (_ bv3 16)) (= A3.V<5> (_ bv1 16))))))
(assert (or (= A3.mtime<4> (/ 41 29)) (not (and (= A3.V<4> (_ bv3 16)) (= A3.V<5> (_ bv0 16))))))
(assert (or (and (= A3.mtime<4> 0) (= A3.wtime<4> 0)) (not (and (= A3.V<4> (_ bv3 16)) (= A3.V<5> (_ bv3 16))))))
(assert (or (not (and (= A3.V<3> (_ bv3 16)) (= A3.V<4> (_ bv3 16)))) (= A3.V<5> (_ bv3 16))))
(assert (or (or (= A3.V<5> (_ bv3 16)) (or (= A3.V<5> (_ bv0 16)) (or (= A3.V<5> (_ bv1 16)) (= A3.V<5> (_ bv2 16))))) (not (= A3.V<4> (_ bv3 16)))))
(assert (or (= A3.mtime<4> 1) (not (and (= A3.V<4> (_ bv2 16)) (= A3.V<5> (_ bv3 16))))))
(assert (or (= A3.mtime<4> (/ 41 29)) (not (and (= A3.V<4> (_ bv2 16)) (= A3.V<5> (_ bv1 16))))))
(assert (or (= A3.mtime<4> 1) (not (and (= A3.V<4> (_ bv2 16)) (= A3.V<5> (_ bv0 16))))))
(assert (or (or (or (= A3.V<5> (_ bv1 16)) (= A3.V<5> (_ bv3 16))) (= A3.V<5> (_ bv0 16))) (not (= A3.V<4> (_ bv2 16)))))
(assert (or (= A3.V<5> (_ bv3 16)) (not (and A3.spref<4><1> (= A3.V<4> (_ bv2 16))))))
(assert (or (= A3.V<5> (_ bv1 16)) (not (and A3.spref<4><2> (= A3.V<4> (_ bv2 16))))))
(declare-const kass5 Bool)
(assert (or (= objtime A3.wtime<5>) (not kass5)))
(assert (or (not kass5) (= A3.mtime<5> 0)))
(assert (or (not kass5) (= objtime A2.wtime<5>)))
(assert (or (not kass5) (= A2.mtime<5> 0)))
(assert (or (not kass5) (= objtime A1.wtime<5>)))
(assert (or (not kass5) (= A1.mtime<5> 0)))
(assert (or (not kass5) (= objtime A0.wtime<5>)))
(assert (or (not kass5) (= A0.mtime<5> 0)))
(push 1)
(assert kass5)
(assert (= A3.V<5> (_ bv3 16)))
(assert (= A2.V<5> (_ bv2 16)))
(assert (= A1.V<5> (_ bv0 16)))
(assert (= A0.V<5> (_ bv1 16)))
(assert (= (+ objtime (+ (* (- 1) A0.atime<5>) (+ (* (- 1) A1.atime<5>) (+ (* (- 1) A2.atime<5>) (* (- 1) A3.atime<5>))))) 0))
(set-info :status unsat)
(check-sat)
(pop 1)
(declare-const A0.V<6> (_ BitVec 16))
(declare-const A0.atime<6> Real)
(assert (= (+ A0.atime<5> (+ A0.rtime<5> (* (- 1) A0.atime<6>))) 0))
(declare-const A0.rtime<6> Real)
(declare-const A0.wtime<6> Real)
(declare-const A0.mtime<6> Real)
(assert (= (+ A0.rtime<6> (+ (* (- 1) A0.wtime<6>) (* (- 1) A0.mtime<6>))) 0))
(assert (<= 0 A0.wtime<6>))
(assert (<= 0 A0.mtime<6>))
(declare-const A0.ppref<6> Bool)
(declare-const A0.spref<6><1> Bool)
(declare-const A0.spref<6><2> Bool)
(declare-const A0.spref<6><3> Bool)
(declare-const A1.V<6> (_ BitVec 16))
(declare-const A1.atime<6> Real)
(assert (= (+ A1.atime<5> (+ A1.rtime<5> (* (- 1) A1.atime<6>))) 0))
(declare-const A1.rtime<6> Real)
(declare-const A1.wtime<6> Real)
(declare-const A1.mtime<6> Real)
(assert (= (+ A1.rtime<6> (+ (* (- 1) A1.wtime<6>) (* (- 1) A1.mtime<6>))) 0))
(assert (<= 0 A1.wtime<6>))
(assert (<= 0 A1.mtime<6>))
(declare-const A1.ppref<6> Bool)
(declare-const A1.spref<6><1> Bool)
(declare-const A1.spref<6><2> Bool)
(declare-const A1.spref<6><3> Bool)
(declare-const A2.V<6> (_ BitVec 16))
(declare-const A2.atime<6> Real)
(assert (= (+ A2.atime<5> (+ A2.rtime<5> (* (- 1) A2.atime<6>))) 0))
(declare-const A2.rtime<6> Real)
(declare-const A2.wtime<6> Real)
(declare-const A2.mtime<6> Real)
(assert (= (+ A2.rtime<6> (+ (* (- 1) A2.wtime<6>) (* (- 1) A2.mtime<6>))) 0))
(assert (<= 0 A2.wtime<6>))
(assert (<= 0 A2.mtime<6>))
(declare-const A2.ppref<6> Bool)
(declare-const A2.spref<6><1> Bool)
(declare-const A2.spref<6><2> Bool)
(declare-const A2.spref<6><3> Bool)
(declare-const A3.V<6> (_ BitVec 16))
(declare-const A3.atime<6> Real)
(assert (= (+ A3.atime<5> (+ A3.rtime<5> (* (- 1) A3.atime<6>))) 0))
(declare-const A3.rtime<6> Real)
(declare-const A3.wtime<6> Real)
(declare-const A3.mtime<6> Real)
(assert (= (+ A3.rtime<6> (+ (* (- 1) A3.wtime<6>) (* (- 1) A3.mtime<6>))) 0))
(assert (<= 0 A3.wtime<6>))
(assert (<= 0 A3.mtime<6>))
(declare-const A3.ppref<6> Bool)
(declare-const A3.spref<6><1> Bool)
(declare-const A3.spref<6><2> Bool)
(declare-const A3.spref<6><3> Bool)
(assert (or (= A0.mtime<5> 1) (not (and (= A0.V<5> (_ bv2 16)) (= A0.V<6> (_ bv3 16))))))
(assert (or (= A0.mtime<5> (/ 41 29)) (not (and (= A0.V<5> (_ bv2 16)) (= A0.V<6> (_ bv1 16))))))
(assert (or (= A0.mtime<5> 1) (not (and (= A0.V<5> (_ bv2 16)) (= A0.V<6> (_ bv0 16))))))
(assert (or (or (= A0.V<6> (_ bv0 16)) (or (= A0.V<6> (_ bv3 16)) (= A0.V<6> (_ bv1 16)))) (not (= A0.V<5> (_ bv2 16)))))
(assert (or (= A0.V<6> (_ bv1 16)) (not (and A0.spref<5><1> (= A0.V<5> (_ bv2 16))))))
(assert (or (= A0.V<6> (_ bv3 16)) (not (and A0.spref<5><2> (= A0.V<5> (_ bv2 16))))))
(assert (or (= A0.mtime<5> 1) (not (and (= A0.V<5> (_ bv3 16)) (= A0.V<6> (_ bv2 16))))))
(assert (or (= A0.mtime<5> 1) (not (and (= A0.V<5> (_ bv3 16)) (= A0.V<6> (_ bv1 16))))))
(assert (or (= A0.mtime<5> (/ 41 29)) (not (and (= A0.V<5> (_ bv3 16)) (= A0.V<6> (_ bv0 16))))))
(assert (or (or (= A0.V<6> (_ bv0 16)) (or (= A0.V<6> (_ bv1 16)) (= A0.V<6> (_ bv2 16)))) (not (= A0.V<5> (_ bv3 16)))))
(assert (or (= A0.V<6> (_ bv1 16)) (not (and A0.spref<5><1> (= A0.V<5> (_ bv3 16))))))
(assert (or (= A0.V<6> (_ bv2 16)) (not (and A0.spref<5><2> (= A0.V<5> (_ bv3 16))))))
(assert (or (= A0.mtime<5> 1) (not (and (= A0.V<5> (_ bv1 16)) (= A0.V<6> (_ bv3 16))))))
(assert (or (= A0.mtime<5> (/ 41 29)) (not (and (= A0.V<5> (_ bv1 16)) (= A0.V<6> (_ bv2 16))))))
(assert (or (= A0.mtime<5> 1) (not (and (= A0.V<5> (_ bv1 16)) (= A0.V<6> (_ bv0 16))))))
(assert (or (and (= A0.mtime<5> 0) (= A0.wtime<5> 0)) (not (and (= A0.V<5> (_ bv1 16)) (= A0.V<6> (_ bv1 16))))))
(assert (or (not (and (= A0.V<4> (_ bv1 16)) (= A0.V<5> (_ bv1 16)))) (= A0.V<6> (_ bv1 16))))
(assert (or (or (= A0.V<6> (_ bv1 16)) (or (= A0.V<6> (_ bv0 16)) (or (= A0.V<6> (_ bv3 16)) (= A0.V<6> (_ bv2 16))))) (not (= A0.V<5> (_ bv1 16)))))
(assert (or (= A0.mtime<5> 1) (not (and (= A0.V<5> (_ bv0 16)) (= A0.V<6> (_ bv1 16))))))
(assert (or (= A0.mtime<5> (/ 41 29)) (not (and (= A0.V<5> (_ bv0 16)) (= A0.V<6> (_ bv3 16))))))
(assert (or (= A0.mtime<5> 1) (not (and (= A0.V<5> (_ bv0 16)) (= A0.V<6> (_ bv2 16))))))
(assert (or (or (or (= A0.V<6> (_ bv3 16)) (= A0.V<6> (_ bv1 16))) (= A0.V<6> (_ bv2 16))) (not (= A0.V<5> (_ bv0 16)))))
(assert (or (= A0.V<6> (_ bv1 16)) (not (and A0.spref<5><1> (= A0.V<5> (_ bv0 16))))))
(assert (or (= A0.V<6> (_ bv3 16)) (not (and A0.spref<5><2> (= A0.V<5> (_ bv0 16))))))
(assert (or (= A1.mtime<5> 1) (not (and (= A1.V<5> (_ bv0 16)) (= A1.V<6> (_ bv1 16))))))
(assert (or (= A1.mtime<5> (/ 41 29)) (not (and (= A1.V<5> (_ bv0 16)) (= A1.V<6> (_ bv3 16))))))
(assert (or (= A1.mtime<5> 1) (not (and (= A1.V<5> (_ bv0 16)) (= A1.V<6> (_ bv2 16))))))
(assert (or (and (= A1.mtime<5> 0) (= A1.wtime<5> 0)) (not (and (= A1.V<5> (_ bv0 16)) (= A1.V<6> (_ bv0 16))))))
(assert (or (not (and (= A1.V<4> (_ bv0 16)) (= A1.V<5> (_ bv0 16)))) (= A1.V<6> (_ bv0 16))))
(assert (or (or (= A1.V<6> (_ bv0 16)) (or (= A1.V<6> (_ bv2 16)) (or (= A1.V<6> (_ bv1 16)) (= A1.V<6> (_ bv3 16))))) (not (= A1.V<5> (_ bv0 16)))))
(assert (or (= A1.mtime<5> 1) (not (and (= A1.V<5> (_ bv2 16)) (= A1.V<6> (_ bv3 16))))))
(assert (or (= A1.mtime<5> (/ 41 29)) (not (and (= A1.V<5> (_ bv2 16)) (= A1.V<6> (_ bv1 16))))))
(assert (or (= A1.mtime<5> 1) (not (and (= A1.V<5> (_ bv2 16)) (= A1.V<6> (_ bv0 16))))))
(assert (or (or (= A1.V<6> (_ bv0 16)) (or (= A1.V<6> (_ bv1 16)) (= A1.V<6> (_ bv3 16)))) (not (= A1.V<5> (_ bv2 16)))))
(assert (or (= A1.V<6> (_ bv0 16)) (not (and A1.spref<5><1> (= A1.V<5> (_ bv2 16))))))
(assert (or (= A1.V<6> (_ bv3 16)) (not (and A1.spref<5><2> (= A1.V<5> (_ bv2 16))))))
(assert (or (= A1.mtime<5> 1) (not (and (= A1.V<5> (_ bv3 16)) (= A1.V<6> (_ bv2 16))))))
(assert (or (= A1.mtime<5> 1) (not (and (= A1.V<5> (_ bv3 16)) (= A1.V<6> (_ bv1 16))))))
(assert (or (= A1.mtime<5> (/ 41 29)) (not (and (= A1.V<5> (_ bv3 16)) (= A1.V<6> (_ bv0 16))))))
(assert (or (or (= A1.V<6> (_ bv0 16)) (or (= A1.V<6> (_ bv1 16)) (= A1.V<6> (_ bv2 16)))) (not (= A1.V<5> (_ bv3 16)))))
(assert (or (= A1.V<6> (_ bv0 16)) (not (and A1.spref<5><1> (= A1.V<5> (_ bv3 16))))))
(assert (or (= A1.V<6> (_ bv2 16)) (not (and A1.spref<5><2> (= A1.V<5> (_ bv3 16))))))
(assert (or (= A1.mtime<5> 1) (not (and (= A1.V<5> (_ bv1 16)) (= A1.V<6> (_ bv3 16))))))
(assert (or (= A1.mtime<5> (/ 41 29)) (not (and (= A1.V<5> (_ bv1 16)) (= A1.V<6> (_ bv2 16))))))
(assert (or (= A1.mtime<5> 1) (not (and (= A1.V<5> (_ bv1 16)) (= A1.V<6> (_ bv0 16))))))
(assert (or (or (= A1.V<6> (_ bv0 16)) (or (= A1.V<6> (_ bv3 16)) (= A1.V<6> (_ bv2 16)))) (not (= A1.V<5> (_ bv1 16)))))
(assert (or (= A1.V<6> (_ bv0 16)) (not (and A1.spref<5><1> (= A1.V<5> (_ bv1 16))))))
(assert (or (= A1.V<6> (_ bv3 16)) (not (and A1.spref<5><2> (= A1.V<5> (_ bv1 16))))))
(assert (or (= A2.mtime<5> 1) (not (and (= A2.V<5> (_ bv0 16)) (= A2.V<6> (_ bv1 16))))))
(assert (or (= A2.mtime<5> (/ 41 29)) (not (and (= A2.V<5> (_ bv0 16)) (= A2.V<6> (_ bv3 16))))))
(assert (or (= A2.mtime<5> 1) (not (and (= A2.V<5> (_ bv0 16)) (= A2.V<6> (_ bv2 16))))))
(assert (or (or (= A2.V<6> (_ bv2 16)) (or (= A2.V<6> (_ bv1 16)) (= A2.V<6> (_ bv3 16)))) (not (= A2.V<5> (_ bv0 16)))))
(assert (or (= A2.V<6> (_ bv2 16)) (not (and A2.spref<5><1> (= A2.V<5> (_ bv0 16))))))
(assert (or (= A2.V<6> (_ bv1 16)) (not (and A2.spref<5><2> (= A2.V<5> (_ bv0 16))))))
(assert (or (= A2.mtime<5> 1) (not (and (= A2.V<5> (_ bv1 16)) (= A2.V<6> (_ bv3 16))))))
(assert (or (= A2.mtime<5> (/ 41 29)) (not (and (= A2.V<5> (_ bv1 16)) (= A2.V<6> (_ bv2 16))))))
(assert (or (= A2.mtime<5> 1) (not (and (= A2.V<5> (_ bv1 16)) (= A2.V<6> (_ bv0 16))))))
(assert (or (or (= A2.V<6> (_ bv0 16)) (or (= A2.V<6> (_ bv3 16)) (= A2.V<6> (_ bv2 16)))) (not (= A2.V<5> (_ bv1 16)))))
(assert (or (= A2.V<6> (_ bv2 16)) (not (and A2.spref<5><1> (= A2.V<5> (_ bv1 16))))))
(assert (or (= A2.V<6> (_ bv3 16)) (not (and A2.spref<5><2> (= A2.V<5> (_ bv1 16))))))
(assert (or (= A2.mtime<5> 1) (not (and (= A2.V<5> (_ bv2 16)) (= A2.V<6> (_ bv3 16))))))
(assert (or (= A2.mtime<5> (/ 41 29)) (not (and (= A2.V<5> (_ bv2 16)) (= A2.V<6> (_ bv1 16))))))
(assert (or (= A2.mtime<5> 1) (not (and (= A2.V<5> (_ bv2 16)) (= A2.V<6> (_ bv0 16))))))
(assert (or (and (= A2.mtime<5> 0) (= A2.wtime<5> 0)) (not (and (= A2.V<5> (_ bv2 16)) (= A2.V<6> (_ bv2 16))))))
(assert (or (not (and (= A2.V<4> (_ bv2 16)) (= A2.V<5> (_ bv2 16)))) (= A2.V<6> (_ bv2 16))))
(assert (or (or (= A2.V<6> (_ bv2 16)) (or (or (= A2.V<6> (_ bv1 16)) (= A2.V<6> (_ bv3 16))) (= A2.V<6> (_ bv0 16)))) (not (= A2.V<5> (_ bv2 16)))))
(assert (or (= A2.mtime<5> 1) (not (and (= A2.V<5> (_ bv3 16)) (= A2.V<6> (_ bv2 16))))))
(assert (or (= A2.mtime<5> 1) (not (and (= A2.V<5> (_ bv3 16)) (= A2.V<6> (_ bv1 16))))))
(assert (or (= A2.mtime<5> (/ 41 29)) (not (and (= A2.V<5> (_ bv3 16)) (= A2.V<6> (_ bv0 16))))))
(assert (or (or (= A2.V<6> (_ bv0 16)) (or (= A2.V<6> (_ bv1 16)) (= A2.V<6> (_ bv2 16)))) (not (= A2.V<5> (_ bv3 16)))))
(assert (or (= A2.V<6> (_ bv2 16)) (not (and A2.spref<5><1> (= A2.V<5> (_ bv3 16))))))
(assert (or (= A2.V<6> (_ bv1 16)) (not (and A2.spref<5><2> (= A2.V<5> (_ bv3 16))))))
(assert (or (= A3.mtime<5> 1) (not (and (= A3.V<5> (_ bv0 16)) (= A3.V<6> (_ bv1 16))))))
(assert (or (= A3.mtime<5> (/ 41 29)) (not (and (= A3.V<5> (_ bv0 16)) (= A3.V<6> (_ bv3 16))))))
(assert (or (= A3.mtime<5> 1) (not (and (= A3.V<5> (_ bv0 16)) (= A3.V<6> (_ bv2 16))))))
(assert (or (or (= A3.V<6> (_ bv2 16)) (or (= A3.V<6> (_ bv1 16)) (= A3.V<6> (_ bv3 16)))) (not (= A3.V<5> (_ bv0 16)))))
(assert (or (= A3.V<6> (_ bv3 16)) (not (and A3.spref<5><1> (= A3.V<5> (_ bv0 16))))))
(assert (or (= A3.V<6> (_ bv1 16)) (not (and A3.spref<5><2> (= A3.V<5> (_ bv0 16))))))
(assert (or (= A3.mtime<5> 1) (not (and (= A3.V<5> (_ bv1 16)) (= A3.V<6> (_ bv3 16))))))
(assert (or (= A3.mtime<5> (/ 41 29)) (not (and (= A3.V<5> (_ bv1 16)) (= A3.V<6> (_ bv2 16))))))
(assert (or (= A3.mtime<5> 1) (not (and (= A3.V<5> (_ bv1 16)) (= A3.V<6> (_ bv0 16))))))
(assert (or (or (= A3.V<6> (_ bv0 16)) (or (= A3.V<6> (_ bv3 16)) (= A3.V<6> (_ bv2 16)))) (not (= A3.V<5> (_ bv1 16)))))
(assert (or (= A3.V<6> (_ bv3 16)) (not (and A3.spref<5><1> (= A3.V<5> (_ bv1 16))))))
(assert (or (= A3.V<6> (_ bv2 16)) (not (and A3.spref<5><2> (= A3.V<5> (_ bv1 16))))))
(assert (or (= A3.mtime<5> 1) (not (and (= A3.V<5> (_ bv3 16)) (= A3.V<6> (_ bv2 16))))))
(assert (or (= A3.mtime<5> 1) (not (and (= A3.V<5> (_ bv3 16)) (= A3.V<6> (_ bv1 16))))))
(assert (or (= A3.mtime<5> (/ 41 29)) (not (and (= A3.V<5> (_ bv3 16)) (= A3.V<6> (_ bv0 16))))))
(assert (or (and (= A3.mtime<5> 0) (= A3.wtime<5> 0)) (not (and (= A3.V<5> (_ bv3 16)) (= A3.V<6> (_ bv3 16))))))
(assert (or (not (and (= A3.V<4> (_ bv3 16)) (= A3.V<5> (_ bv3 16)))) (= A3.V<6> (_ bv3 16))))
(assert (or (or (= A3.V<6> (_ bv3 16)) (or (= A3.V<6> (_ bv0 16)) (or (= A3.V<6> (_ bv1 16)) (= A3.V<6> (_ bv2 16))))) (not (= A3.V<5> (_ bv3 16)))))
(assert (or (= A3.mtime<5> 1) (not (and (= A3.V<5> (_ bv2 16)) (= A3.V<6> (_ bv3 16))))))
(assert (or (= A3.mtime<5> (/ 41 29)) (not (and (= A3.V<5> (_ bv2 16)) (= A3.V<6> (_ bv1 16))))))
(assert (or (= A3.mtime<5> 1) (not (and (= A3.V<5> (_ bv2 16)) (= A3.V<6> (_ bv0 16))))))
(assert (or (or (or (= A3.V<6> (_ bv1 16)) (= A3.V<6> (_ bv3 16))) (= A3.V<6> (_ bv0 16))) (not (= A3.V<5> (_ bv2 16)))))
(assert (or (= A3.V<6> (_ bv3 16)) (not (and A3.spref<5><1> (= A3.V<5> (_ bv2 16))))))
(assert (or (= A3.V<6> (_ bv1 16)) (not (and A3.spref<5><2> (= A3.V<5> (_ bv2 16))))))
(declare-const kass6 Bool)
(assert (or (= objtime A3.wtime<6>) (not kass6)))
(assert (or (not kass6) (= A3.mtime<6> 0)))
(assert (or (not kass6) (= objtime A2.wtime<6>)))
(assert (or (not kass6) (= A2.mtime<6> 0)))
(assert (or (not kass6) (= objtime A1.wtime<6>)))
(assert (or (not kass6) (= A1.mtime<6> 0)))
(assert (or (not kass6) (= objtime A0.wtime<6>)))
(assert (or (not kass6) (= A0.mtime<6> 0)))
(push 1)
(assert kass6)
(assert (= A3.V<6> (_ bv3 16)))
(assert (= A2.V<6> (_ bv2 16)))
(assert (= A1.V<6> (_ bv0 16)))
(assert (= A0.V<6> (_ bv1 16)))
(assert (= (+ objtime (+ (* (- 1) A0.atime<6>) (+ (* (- 1) A1.atime<6>) (+ (* (- 1) A2.atime<6>) (* (- 1) A3.atime<6>))))) 0))
(set-info :status unsat)
(check-sat)
(pop 1)
(declare-const A0.V<7> (_ BitVec 16))
(declare-const A0.atime<7> Real)
(assert (= (+ A0.atime<6> (+ A0.rtime<6> (* (- 1) A0.atime<7>))) 0))
(declare-const A0.rtime<7> Real)
(declare-const A0.wtime<7> Real)
(declare-const A0.mtime<7> Real)
(assert (= (+ A0.rtime<7> (+ (* (- 1) A0.wtime<7>) (* (- 1) A0.mtime<7>))) 0))
(assert (<= 0 A0.wtime<7>))
(assert (<= 0 A0.mtime<7>))
(declare-const A0.ppref<7> Bool)
(declare-const A0.spref<7><1> Bool)
(declare-const A0.spref<7><2> Bool)
(declare-const A0.spref<7><3> Bool)
(declare-const A1.V<7> (_ BitVec 16))
(declare-const A1.atime<7> Real)
(assert (= (+ A1.atime<6> (+ A1.rtime<6> (* (- 1) A1.atime<7>))) 0))
(declare-const A1.rtime<7> Real)
(declare-const A1.wtime<7> Real)
(declare-const A1.mtime<7> Real)
(assert (= (+ A1.rtime<7> (+ (* (- 1) A1.wtime<7>) (* (- 1) A1.mtime<7>))) 0))
(assert (<= 0 A1.wtime<7>))
(assert (<= 0 A1.mtime<7>))
(declare-const A1.ppref<7> Bool)
(declare-const A1.spref<7><1> Bool)
(declare-const A1.spref<7><2> Bool)
(declare-const A1.spref<7><3> Bool)
(declare-const A2.V<7> (_ BitVec 16))
(declare-const A2.atime<7> Real)
(assert (= (+ A2.atime<6> (+ A2.rtime<6> (* (- 1) A2.atime<7>))) 0))
(declare-const A2.rtime<7> Real)
(declare-const A2.wtime<7> Real)
(declare-const A2.mtime<7> Real)
(assert (= (+ A2.rtime<7> (+ (* (- 1) A2.wtime<7>) (* (- 1) A2.mtime<7>))) 0))
(assert (<= 0 A2.wtime<7>))
(assert (<= 0 A2.mtime<7>))
(declare-const A2.ppref<7> Bool)
(declare-const A2.spref<7><1> Bool)
(declare-const A2.spref<7><2> Bool)
(declare-const A2.spref<7><3> Bool)
(declare-const A3.V<7> (_ BitVec 16))
(declare-const A3.atime<7> Real)
(assert (= (+ A3.atime<6> (+ A3.rtime<6> (* (- 1) A3.atime<7>))) 0))
(declare-const A3.rtime<7> Real)
(declare-const A3.wtime<7> Real)
(declare-const A3.mtime<7> Real)
(assert (= (+ A3.rtime<7> (+ (* (- 1) A3.wtime<7>) (* (- 1) A3.mtime<7>))) 0))
(assert (<= 0 A3.wtime<7>))
(assert (<= 0 A3.mtime<7>))
(declare-const A3.ppref<7> Bool)
(declare-const A3.spref<7><1> Bool)
(declare-const A3.spref<7><2> Bool)
(declare-const A3.spref<7><3> Bool)
(assert (or (= A0.mtime<6> 1) (not (and (= A0.V<6> (_ bv2 16)) (= A0.V<7> (_ bv3 16))))))
(assert (or (= A0.mtime<6> (/ 41 29)) (not (and (= A0.V<6> (_ bv2 16)) (= A0.V<7> (_ bv1 16))))))
(assert (or (= A0.mtime<6> 1) (not (and (= A0.V<6> (_ bv2 16)) (= A0.V<7> (_ bv0 16))))))
(assert (or (or (= A0.V<7> (_ bv0 16)) (or (= A0.V<7> (_ bv3 16)) (= A0.V<7> (_ bv1 16)))) (not (= A0.V<6> (_ bv2 16)))))
(assert (or (= A0.V<7> (_ bv1 16)) (not (and A0.spref<6><1> (= A0.V<6> (_ bv2 16))))))
(assert (or (= A0.V<7> (_ bv3 16)) (not (and A0.spref<6><2> (= A0.V<6> (_ bv2 16))))))
(assert (or (= A0.mtime<6> 1) (not (and (= A0.V<6> (_ bv3 16)) (= A0.V<7> (_ bv2 16))))))
(assert (or (= A0.mtime<6> 1) (not (and (= A0.V<6> (_ bv3 16)) (= A0.V<7> (_ bv1 16))))))
(assert (or (= A0.mtime<6> (/ 41 29)) (not (and (= A0.V<6> (_ bv3 16)) (= A0.V<7> (_ bv0 16))))))
(assert (or (or (= A0.V<7> (_ bv0 16)) (or (= A0.V<7> (_ bv1 16)) (= A0.V<7> (_ bv2 16)))) (not (= A0.V<6> (_ bv3 16)))))
(assert (or (= A0.V<7> (_ bv1 16)) (not (and A0.spref<6><1> (= A0.V<6> (_ bv3 16))))))
(assert (or (= A0.V<7> (_ bv2 16)) (not (and A0.spref<6><2> (= A0.V<6> (_ bv3 16))))))
(assert (or (= A0.mtime<6> 1) (not (and (= A0.V<6> (_ bv1 16)) (= A0.V<7> (_ bv3 16))))))
(assert (or (= A0.mtime<6> (/ 41 29)) (not (and (= A0.V<6> (_ bv1 16)) (= A0.V<7> (_ bv2 16))))))
(assert (or (= A0.mtime<6> 1) (not (and (= A0.V<6> (_ bv1 16)) (= A0.V<7> (_ bv0 16))))))
(assert (or (and (= A0.mtime<6> 0) (= A0.wtime<6> 0)) (not (and (= A0.V<6> (_ bv1 16)) (= A0.V<7> (_ bv1 16))))))
(assert (or (not (and (= A0.V<5> (_ bv1 16)) (= A0.V<6> (_ bv1 16)))) (= A0.V<7> (_ bv1 16))))
(assert (or (or (= A0.V<7> (_ bv1 16)) (or (= A0.V<7> (_ bv0 16)) (or (= A0.V<7> (_ bv3 16)) (= A0.V<7> (_ bv2 16))))) (not (= A0.V<6> (_ bv1 16)))))
(assert (or (= A0.mtime<6> 1) (not (and (= A0.V<6> (_ bv0 16)) (= A0.V<7> (_ bv1 16))))))
(assert (or (= A0.mtime<6> (/ 41 29)) (not (and (= A0.V<6> (_ bv0 16)) (= A0.V<7> (_ bv3 16))))))
(assert (or (= A0.mtime<6> 1) (not (and (= A0.V<6> (_ bv0 16)) (= A0.V<7> (_ bv2 16))))))
(assert (or (or (or (= A0.V<7> (_ bv3 16)) (= A0.V<7> (_ bv1 16))) (= A0.V<7> (_ bv2 16))) (not (= A0.V<6> (_ bv0 16)))))
(assert (or (= A0.V<7> (_ bv1 16)) (not (and A0.spref<6><1> (= A0.V<6> (_ bv0 16))))))
(assert (or (= A0.V<7> (_ bv3 16)) (not (and A0.spref<6><2> (= A0.V<6> (_ bv0 16))))))
(assert (or (= A1.mtime<6> 1) (not (and (= A1.V<6> (_ bv0 16)) (= A1.V<7> (_ bv1 16))))))
(assert (or (= A1.mtime<6> (/ 41 29)) (not (and (= A1.V<6> (_ bv0 16)) (= A1.V<7> (_ bv3 16))))))
(assert (or (= A1.mtime<6> 1) (not (and (= A1.V<6> (_ bv0 16)) (= A1.V<7> (_ bv2 16))))))
(assert (or (and (= A1.mtime<6> 0) (= A1.wtime<6> 0)) (not (and (= A1.V<6> (_ bv0 16)) (= A1.V<7> (_ bv0 16))))))
(assert (or (not (and (= A1.V<5> (_ bv0 16)) (= A1.V<6> (_ bv0 16)))) (= A1.V<7> (_ bv0 16))))
(assert (or (or (= A1.V<7> (_ bv0 16)) (or (= A1.V<7> (_ bv2 16)) (or (= A1.V<7> (_ bv1 16)) (= A1.V<7> (_ bv3 16))))) (not (= A1.V<6> (_ bv0 16)))))
(assert (or (= A1.mtime<6> 1) (not (and (= A1.V<6> (_ bv2 16)) (= A1.V<7> (_ bv3 16))))))
(assert (or (= A1.mtime<6> (/ 41 29)) (not (and (= A1.V<6> (_ bv2 16)) (= A1.V<7> (_ bv1 16))))))
(assert (or (= A1.mtime<6> 1) (not (and (= A1.V<6> (_ bv2 16)) (= A1.V<7> (_ bv0 16))))))
(assert (or (or (= A1.V<7> (_ bv0 16)) (or (= A1.V<7> (_ bv1 16)) (= A1.V<7> (_ bv3 16)))) (not (= A1.V<6> (_ bv2 16)))))
(assert (or (= A1.V<7> (_ bv0 16)) (not (and A1.spref<6><1> (= A1.V<6> (_ bv2 16))))))
(assert (or (= A1.V<7> (_ bv3 16)) (not (and A1.spref<6><2> (= A1.V<6> (_ bv2 16))))))
(assert (or (= A1.mtime<6> 1) (not (and (= A1.V<6> (_ bv3 16)) (= A1.V<7> (_ bv2 16))))))
(assert (or (= A1.mtime<6> 1) (not (and (= A1.V<6> (_ bv3 16)) (= A1.V<7> (_ bv1 16))))))
(assert (or (= A1.mtime<6> (/ 41 29)) (not (and (= A1.V<6> (_ bv3 16)) (= A1.V<7> (_ bv0 16))))))
(assert (or (or (= A1.V<7> (_ bv0 16)) (or (= A1.V<7> (_ bv1 16)) (= A1.V<7> (_ bv2 16)))) (not (= A1.V<6> (_ bv3 16)))))
(assert (or (= A1.V<7> (_ bv0 16)) (not (and A1.spref<6><1> (= A1.V<6> (_ bv3 16))))))
(assert (or (= A1.V<7> (_ bv2 16)) (not (and A1.spref<6><2> (= A1.V<6> (_ bv3 16))))))
(assert (or (= A1.mtime<6> 1) (not (and (= A1.V<6> (_ bv1 16)) (= A1.V<7> (_ bv3 16))))))
(assert (or (= A1.mtime<6> (/ 41 29)) (not (and (= A1.V<6> (_ bv1 16)) (= A1.V<7> (_ bv2 16))))))
(assert (or (= A1.mtime<6> 1) (not (and (= A1.V<6> (_ bv1 16)) (= A1.V<7> (_ bv0 16))))))
(assert (or (or (= A1.V<7> (_ bv0 16)) (or (= A1.V<7> (_ bv3 16)) (= A1.V<7> (_ bv2 16)))) (not (= A1.V<6> (_ bv1 16)))))
(assert (or (= A1.V<7> (_ bv0 16)) (not (and A1.spref<6><1> (= A1.V<6> (_ bv1 16))))))
(assert (or (= A1.V<7> (_ bv3 16)) (not (and A1.spref<6><2> (= A1.V<6> (_ bv1 16))))))
(assert (or (= A2.mtime<6> 1) (not (and (= A2.V<6> (_ bv0 16)) (= A2.V<7> (_ bv1 16))))))
(assert (or (= A2.mtime<6> (/ 41 29)) (not (and (= A2.V<6> (_ bv0 16)) (= A2.V<7> (_ bv3 16))))))
(assert (or (= A2.mtime<6> 1) (not (and (= A2.V<6> (_ bv0 16)) (= A2.V<7> (_ bv2 16))))))
(assert (or (or (= A2.V<7> (_ bv2 16)) (or (= A2.V<7> (_ bv1 16)) (= A2.V<7> (_ bv3 16)))) (not (= A2.V<6> (_ bv0 16)))))
(assert (or (= A2.V<7> (_ bv2 16)) (not (and A2.spref<6><1> (= A2.V<6> (_ bv0 16))))))
(assert (or (= A2.V<7> (_ bv1 16)) (not (and A2.spref<6><2> (= A2.V<6> (_ bv0 16))))))
(assert (or (= A2.mtime<6> 1) (not (and (= A2.V<6> (_ bv1 16)) (= A2.V<7> (_ bv3 16))))))
(assert (or (= A2.mtime<6> (/ 41 29)) (not (and (= A2.V<6> (_ bv1 16)) (= A2.V<7> (_ bv2 16))))))
(assert (or (= A2.mtime<6> 1) (not (and (= A2.V<6> (_ bv1 16)) (= A2.V<7> (_ bv0 16))))))
(assert (or (or (= A2.V<7> (_ bv0 16)) (or (= A2.V<7> (_ bv3 16)) (= A2.V<7> (_ bv2 16)))) (not (= A2.V<6> (_ bv1 16)))))
(assert (or (= A2.V<7> (_ bv2 16)) (not (and A2.spref<6><1> (= A2.V<6> (_ bv1 16))))))
(assert (or (= A2.V<7> (_ bv3 16)) (not (and A2.spref<6><2> (= A2.V<6> (_ bv1 16))))))
(assert (or (= A2.mtime<6> 1) (not (and (= A2.V<6> (_ bv2 16)) (= A2.V<7> (_ bv3 16))))))
(assert (or (= A2.mtime<6> (/ 41 29)) (not (and (= A2.V<6> (_ bv2 16)) (= A2.V<7> (_ bv1 16))))))
(assert (or (= A2.mtime<6> 1) (not (and (= A2.V<6> (_ bv2 16)) (= A2.V<7> (_ bv0 16))))))
(assert (or (and (= A2.mtime<6> 0) (= A2.wtime<6> 0)) (not (and (= A2.V<6> (_ bv2 16)) (= A2.V<7> (_ bv2 16))))))
(assert (or (not (and (= A2.V<5> (_ bv2 16)) (= A2.V<6> (_ bv2 16)))) (= A2.V<7> (_ bv2 16))))
(assert (or (or (= A2.V<7> (_ bv2 16)) (or (or (= A2.V<7> (_ bv1 16)) (= A2.V<7> (_ bv3 16))) (= A2.V<7> (_ bv0 16)))) (not (= A2.V<6> (_ bv2 16)))))
(assert (or (= A2.mtime<6> 1) (not (and (= A2.V<6> (_ bv3 16)) (= A2.V<7> (_ bv2 16))))))
(assert (or (= A2.mtime<6> 1) (not (and (= A2.V<6> (_ bv3 16)) (= A2.V<7> (_ bv1 16))))))
(assert (or (= A2.mtime<6> (/ 41 29)) (not (and (= A2.V<6> (_ bv3 16)) (= A2.V<7> (_ bv0 16))))))
(assert (or (or (= A2.V<7> (_ bv0 16)) (or (= A2.V<7> (_ bv1 16)) (= A2.V<7> (_ bv2 16)))) (not (= A2.V<6> (_ bv3 16)))))
(assert (or (= A2.V<7> (_ bv2 16)) (not (and A2.spref<6><1> (= A2.V<6> (_ bv3 16))))))
(assert (or (= A2.V<7> (_ bv1 16)) (not (and A2.spref<6><2> (= A2.V<6> (_ bv3 16))))))
(assert (or (= A3.mtime<6> 1) (not (and (= A3.V<6> (_ bv0 16)) (= A3.V<7> (_ bv1 16))))))
(assert (or (= A3.mtime<6> (/ 41 29)) (not (and (= A3.V<6> (_ bv0 16)) (= A3.V<7> (_ bv3 16))))))
(assert (or (= A3.mtime<6> 1) (not (and (= A3.V<6> (_ bv0 16)) (= A3.V<7> (_ bv2 16))))))
(assert (or (or (= A3.V<7> (_ bv2 16)) (or (= A3.V<7> (_ bv1 16)) (= A3.V<7> (_ bv3 16)))) (not (= A3.V<6> (_ bv0 16)))))
(assert (or (= A3.V<7> (_ bv3 16)) (not (and A3.spref<6><1> (= A3.V<6> (_ bv0 16))))))
(assert (or (= A3.V<7> (_ bv1 16)) (not (and A3.spref<6><2> (= A3.V<6> (_ bv0 16))))))
(assert (or (= A3.mtime<6> 1) (not (and (= A3.V<6> (_ bv1 16)) (= A3.V<7> (_ bv3 16))))))
(assert (or (= A3.mtime<6> (/ 41 29)) (not (and (= A3.V<6> (_ bv1 16)) (= A3.V<7> (_ bv2 16))))))
(assert (or (= A3.mtime<6> 1) (not (and (= A3.V<6> (_ bv1 16)) (= A3.V<7> (_ bv0 16))))))
(assert (or (or (= A3.V<7> (_ bv0 16)) (or (= A3.V<7> (_ bv3 16)) (= A3.V<7> (_ bv2 16)))) (not (= A3.V<6> (_ bv1 16)))))
(assert (or (= A3.V<7> (_ bv3 16)) (not (and A3.spref<6><1> (= A3.V<6> (_ bv1 16))))))
(assert (or (= A3.V<7> (_ bv2 16)) (not (and A3.spref<6><2> (= A3.V<6> (_ bv1 16))))))
(assert (or (= A3.mtime<6> 1) (not (and (= A3.V<6> (_ bv3 16)) (= A3.V<7> (_ bv2 16))))))
(assert (or (= A3.mtime<6> 1) (not (and (= A3.V<6> (_ bv3 16)) (= A3.V<7> (_ bv1 16))))))
(assert (or (= A3.mtime<6> (/ 41 29)) (not (and (= A3.V<6> (_ bv3 16)) (= A3.V<7> (_ bv0 16))))))
(assert (or (and (= A3.mtime<6> 0) (= A3.wtime<6> 0)) (not (and (= A3.V<6> (_ bv3 16)) (= A3.V<7> (_ bv3 16))))))
(assert (or (not (and (= A3.V<5> (_ bv3 16)) (= A3.V<6> (_ bv3 16)))) (= A3.V<7> (_ bv3 16))))
(assert (or (or (= A3.V<7> (_ bv3 16)) (or (= A3.V<7> (_ bv0 16)) (or (= A3.V<7> (_ bv1 16)) (= A3.V<7> (_ bv2 16))))) (not (= A3.V<6> (_ bv3 16)))))
(assert (or (= A3.mtime<6> 1) (not (and (= A3.V<6> (_ bv2 16)) (= A3.V<7> (_ bv3 16))))))
(assert (or (= A3.mtime<6> (/ 41 29)) (not (and (= A3.V<6> (_ bv2 16)) (= A3.V<7> (_ bv1 16))))))
(assert (or (= A3.mtime<6> 1) (not (and (= A3.V<6> (_ bv2 16)) (= A3.V<7> (_ bv0 16))))))
(assert (or (or (or (= A3.V<7> (_ bv1 16)) (= A3.V<7> (_ bv3 16))) (= A3.V<7> (_ bv0 16))) (not (= A3.V<6> (_ bv2 16)))))
(assert (or (= A3.V<7> (_ bv3 16)) (not (and A3.spref<6><1> (= A3.V<6> (_ bv2 16))))))
(assert (or (= A3.V<7> (_ bv1 16)) (not (and A3.spref<6><2> (= A3.V<6> (_ bv2 16))))))
(declare-const kass7 Bool)
(assert (or (= objtime A3.wtime<7>) (not kass7)))
(assert (or (not kass7) (= A3.mtime<7> 0)))
(assert (or (not kass7) (= objtime A2.wtime<7>)))
(assert (or (not kass7) (= A2.mtime<7> 0)))
(assert (or (not kass7) (= objtime A1.wtime<7>)))
(assert (or (not kass7) (= A1.mtime<7> 0)))
(assert (or (not kass7) (= objtime A0.wtime<7>)))
(assert (or (not kass7) (= A0.mtime<7> 0)))
(push 1)
(assert kass7)
(assert (= A3.V<7> (_ bv3 16)))
(assert (= A2.V<7> (_ bv2 16)))
(assert (= A1.V<7> (_ bv0 16)))
(assert (= A0.V<7> (_ bv1 16)))
(assert (= (+ objtime (+ (* (- 1) A0.atime<7>) (+ (* (- 1) A1.atime<7>) (+ (* (- 1) A2.atime<7>) (* (- 1) A3.atime<7>))))) 0))
(set-info :status unsat)
(check-sat)
(pop 1)
(declare-const A0.V<8> (_ BitVec 16))
(declare-const A0.atime<8> Real)
(assert (= (+ A0.atime<7> (+ A0.rtime<7> (* (- 1) A0.atime<8>))) 0))
(declare-const A0.rtime<8> Real)
(declare-const A0.wtime<8> Real)
(declare-const A0.mtime<8> Real)
(assert (= (+ A0.rtime<8> (+ (* (- 1) A0.wtime<8>) (* (- 1) A0.mtime<8>))) 0))
(assert (<= 0 A0.wtime<8>))
(assert (<= 0 A0.mtime<8>))
(declare-const A0.ppref<8> Bool)
(declare-const A0.spref<8><1> Bool)
(declare-const A0.spref<8><2> Bool)
(declare-const A0.spref<8><3> Bool)
(declare-const A1.V<8> (_ BitVec 16))
(declare-const A1.atime<8> Real)
(assert (= (+ A1.atime<7> (+ A1.rtime<7> (* (- 1) A1.atime<8>))) 0))
(declare-const A1.rtime<8> Real)
(declare-const A1.wtime<8> Real)
(declare-const A1.mtime<8> Real)
(assert (= (+ A1.rtime<8> (+ (* (- 1) A1.wtime<8>) (* (- 1) A1.mtime<8>))) 0))
(assert (<= 0 A1.wtime<8>))
(assert (<= 0 A1.mtime<8>))
(declare-const A1.ppref<8> Bool)
(declare-const A1.spref<8><1> Bool)
(declare-const A1.spref<8><2> Bool)
(declare-const A1.spref<8><3> Bool)
(declare-const A2.V<8> (_ BitVec 16))
(declare-const A2.atime<8> Real)
(assert (= (+ A2.atime<7> (+ A2.rtime<7> (* (- 1) A2.atime<8>))) 0))
(declare-const A2.rtime<8> Real)
(declare-const A2.wtime<8> Real)
(declare-const A2.mtime<8> Real)
(assert (= (+ A2.rtime<8> (+ (* (- 1) A2.wtime<8>) (* (- 1) A2.mtime<8>))) 0))
(assert (<= 0 A2.wtime<8>))
(assert (<= 0 A2.mtime<8>))
(declare-const A2.ppref<8> Bool)
(declare-const A2.spref<8><1> Bool)
(declare-const A2.spref<8><2> Bool)
(declare-const A2.spref<8><3> Bool)
(declare-const A3.V<8> (_ BitVec 16))
(declare-const A3.atime<8> Real)
(assert (= (+ A3.atime<7> (+ A3.rtime<7> (* (- 1) A3.atime<8>))) 0))
(declare-const A3.rtime<8> Real)
(declare-const A3.wtime<8> Real)
(declare-const A3.mtime<8> Real)
(assert (= (+ A3.rtime<8> (+ (* (- 1) A3.wtime<8>) (* (- 1) A3.mtime<8>))) 0))
(assert (<= 0 A3.wtime<8>))
(assert (<= 0 A3.mtime<8>))
(declare-const A3.ppref<8> Bool)
(declare-const A3.spref<8><1> Bool)
(declare-const A3.spref<8><2> Bool)
(declare-const A3.spref<8><3> Bool)
(assert (or (= A0.mtime<7> 1) (not (and (= A0.V<7> (_ bv2 16)) (= A0.V<8> (_ bv3 16))))))
(assert (or (= A0.mtime<7> (/ 41 29)) (not (and (= A0.V<7> (_ bv2 16)) (= A0.V<8> (_ bv1 16))))))
(assert (or (= A0.mtime<7> 1) (not (and (= A0.V<7> (_ bv2 16)) (= A0.V<8> (_ bv0 16))))))
(assert (or (or (= A0.V<8> (_ bv0 16)) (or (= A0.V<8> (_ bv3 16)) (= A0.V<8> (_ bv1 16)))) (not (= A0.V<7> (_ bv2 16)))))
(assert (or (= A0.V<8> (_ bv1 16)) (not (and A0.spref<7><1> (= A0.V<7> (_ bv2 16))))))
(assert (or (= A0.V<8> (_ bv3 16)) (not (and A0.spref<7><2> (= A0.V<7> (_ bv2 16))))))
(assert (or (= A0.mtime<7> 1) (not (and (= A0.V<7> (_ bv3 16)) (= A0.V<8> (_ bv2 16))))))
(assert (or (= A0.mtime<7> 1) (not (and (= A0.V<7> (_ bv3 16)) (= A0.V<8> (_ bv1 16))))))
(assert (or (= A0.mtime<7> (/ 41 29)) (not (and (= A0.V<7> (_ bv3 16)) (= A0.V<8> (_ bv0 16))))))
(assert (or (or (= A0.V<8> (_ bv0 16)) (or (= A0.V<8> (_ bv1 16)) (= A0.V<8> (_ bv2 16)))) (not (= A0.V<7> (_ bv3 16)))))
(assert (or (= A0.V<8> (_ bv1 16)) (not (and A0.spref<7><1> (= A0.V<7> (_ bv3 16))))))
(assert (or (= A0.V<8> (_ bv2 16)) (not (and A0.spref<7><2> (= A0.V<7> (_ bv3 16))))))
(assert (or (= A0.mtime<7> 1) (not (and (= A0.V<7> (_ bv1 16)) (= A0.V<8> (_ bv3 16))))))
(assert (or (= A0.mtime<7> (/ 41 29)) (not (and (= A0.V<7> (_ bv1 16)) (= A0.V<8> (_ bv2 16))))))
(assert (or (= A0.mtime<7> 1) (not (and (= A0.V<7> (_ bv1 16)) (= A0.V<8> (_ bv0 16))))))
(assert (or (and (= A0.mtime<7> 0) (= A0.wtime<7> 0)) (not (and (= A0.V<7> (_ bv1 16)) (= A0.V<8> (_ bv1 16))))))
(assert (or (not (and (= A0.V<6> (_ bv1 16)) (= A0.V<7> (_ bv1 16)))) (= A0.V<8> (_ bv1 16))))
(assert (or (or (= A0.V<8> (_ bv1 16)) (or (= A0.V<8> (_ bv0 16)) (or (= A0.V<8> (_ bv3 16)) (= A0.V<8> (_ bv2 16))))) (not (= A0.V<7> (_ bv1 16)))))
(assert (or (= A0.mtime<7> 1) (not (and (= A0.V<7> (_ bv0 16)) (= A0.V<8> (_ bv1 16))))))
(assert (or (= A0.mtime<7> (/ 41 29)) (not (and (= A0.V<7> (_ bv0 16)) (= A0.V<8> (_ bv3 16))))))
(assert (or (= A0.mtime<7> 1) (not (and (= A0.V<7> (_ bv0 16)) (= A0.V<8> (_ bv2 16))))))
(assert (or (or (or (= A0.V<8> (_ bv3 16)) (= A0.V<8> (_ bv1 16))) (= A0.V<8> (_ bv2 16))) (not (= A0.V<7> (_ bv0 16)))))
(assert (or (= A0.V<8> (_ bv1 16)) (not (and A0.spref<7><1> (= A0.V<7> (_ bv0 16))))))
(assert (or (= A0.V<8> (_ bv3 16)) (not (and A0.spref<7><2> (= A0.V<7> (_ bv0 16))))))
(assert (or (= A1.mtime<7> 1) (not (and (= A1.V<7> (_ bv0 16)) (= A1.V<8> (_ bv1 16))))))
(assert (or (= A1.mtime<7> (/ 41 29)) (not (and (= A1.V<7> (_ bv0 16)) (= A1.V<8> (_ bv3 16))))))
(assert (or (= A1.mtime<7> 1) (not (and (= A1.V<7> (_ bv0 16)) (= A1.V<8> (_ bv2 16))))))
(assert (or (and (= A1.mtime<7> 0) (= A1.wtime<7> 0)) (not (and (= A1.V<7> (_ bv0 16)) (= A1.V<8> (_ bv0 16))))))
(assert (or (not (and (= A1.V<6> (_ bv0 16)) (= A1.V<7> (_ bv0 16)))) (= A1.V<8> (_ bv0 16))))
(assert (or (or (= A1.V<8> (_ bv0 16)) (or (= A1.V<8> (_ bv2 16)) (or (= A1.V<8> (_ bv1 16)) (= A1.V<8> (_ bv3 16))))) (not (= A1.V<7> (_ bv0 16)))))
(assert (or (= A1.mtime<7> 1) (not (and (= A1.V<7> (_ bv2 16)) (= A1.V<8> (_ bv3 16))))))
(assert (or (= A1.mtime<7> (/ 41 29)) (not (and (= A1.V<7> (_ bv2 16)) (= A1.V<8> (_ bv1 16))))))
(assert (or (= A1.mtime<7> 1) (not (and (= A1.V<7> (_ bv2 16)) (= A1.V<8> (_ bv0 16))))))
(assert (or (or (= A1.V<8> (_ bv0 16)) (or (= A1.V<8> (_ bv1 16)) (= A1.V<8> (_ bv3 16)))) (not (= A1.V<7> (_ bv2 16)))))
(assert (or (= A1.V<8> (_ bv0 16)) (not (and A1.spref<7><1> (= A1.V<7> (_ bv2 16))))))
(assert (or (= A1.V<8> (_ bv3 16)) (not (and A1.spref<7><2> (= A1.V<7> (_ bv2 16))))))
(assert (or (= A1.mtime<7> 1) (not (and (= A1.V<7> (_ bv3 16)) (= A1.V<8> (_ bv2 16))))))
(assert (or (= A1.mtime<7> 1) (not (and (= A1.V<7> (_ bv3 16)) (= A1.V<8> (_ bv1 16))))))
(assert (or (= A1.mtime<7> (/ 41 29)) (not (and (= A1.V<7> (_ bv3 16)) (= A1.V<8> (_ bv0 16))))))
(assert (or (or (= A1.V<8> (_ bv0 16)) (or (= A1.V<8> (_ bv1 16)) (= A1.V<8> (_ bv2 16)))) (not (= A1.V<7> (_ bv3 16)))))
(assert (or (= A1.V<8> (_ bv0 16)) (not (and A1.spref<7><1> (= A1.V<7> (_ bv3 16))))))
(assert (or (= A1.V<8> (_ bv2 16)) (not (and A1.spref<7><2> (= A1.V<7> (_ bv3 16))))))
(assert (or (= A1.mtime<7> 1) (not (and (= A1.V<7> (_ bv1 16)) (= A1.V<8> (_ bv3 16))))))
(assert (or (= A1.mtime<7> (/ 41 29)) (not (and (= A1.V<7> (_ bv1 16)) (= A1.V<8> (_ bv2 16))))))
(assert (or (= A1.mtime<7> 1) (not (and (= A1.V<7> (_ bv1 16)) (= A1.V<8> (_ bv0 16))))))
(assert (or (or (= A1.V<8> (_ bv0 16)) (or (= A1.V<8> (_ bv3 16)) (= A1.V<8> (_ bv2 16)))) (not (= A1.V<7> (_ bv1 16)))))
(assert (or (= A1.V<8> (_ bv0 16)) (not (and A1.spref<7><1> (= A1.V<7> (_ bv1 16))))))
(assert (or (= A1.V<8> (_ bv3 16)) (not (and A1.spref<7><2> (= A1.V<7> (_ bv1 16))))))
(assert (or (= A2.mtime<7> 1) (not (and (= A2.V<7> (_ bv0 16)) (= A2.V<8> (_ bv1 16))))))
(assert (or (= A2.mtime<7> (/ 41 29)) (not (and (= A2.V<7> (_ bv0 16)) (= A2.V<8> (_ bv3 16))))))
(assert (or (= A2.mtime<7> 1) (not (and (= A2.V<7> (_ bv0 16)) (= A2.V<8> (_ bv2 16))))))
(assert (or (or (= A2.V<8> (_ bv2 16)) (or (= A2.V<8> (_ bv1 16)) (= A2.V<8> (_ bv3 16)))) (not (= A2.V<7> (_ bv0 16)))))
(assert (or (= A2.V<8> (_ bv2 16)) (not (and A2.spref<7><1> (= A2.V<7> (_ bv0 16))))))
(assert (or (= A2.V<8> (_ bv1 16)) (not (and A2.spref<7><2> (= A2.V<7> (_ bv0 16))))))
(assert (or (= A2.mtime<7> 1) (not (and (= A2.V<7> (_ bv1 16)) (= A2.V<8> (_ bv3 16))))))
(assert (or (= A2.mtime<7> (/ 41 29)) (not (and (= A2.V<7> (_ bv1 16)) (= A2.V<8> (_ bv2 16))))))
(assert (or (= A2.mtime<7> 1) (not (and (= A2.V<7> (_ bv1 16)) (= A2.V<8> (_ bv0 16))))))
(assert (or (or (= A2.V<8> (_ bv0 16)) (or (= A2.V<8> (_ bv3 16)) (= A2.V<8> (_ bv2 16)))) (not (= A2.V<7> (_ bv1 16)))))
(assert (or (= A2.V<8> (_ bv2 16)) (not (and A2.spref<7><1> (= A2.V<7> (_ bv1 16))))))
(assert (or (= A2.V<8> (_ bv3 16)) (not (and A2.spref<7><2> (= A2.V<7> (_ bv1 16))))))
(assert (or (= A2.mtime<7> 1) (not (and (= A2.V<7> (_ bv2 16)) (= A2.V<8> (_ bv3 16))))))
(assert (or (= A2.mtime<7> (/ 41 29)) (not (and (= A2.V<7> (_ bv2 16)) (= A2.V<8> (_ bv1 16))))))
(assert (or (= A2.mtime<7> 1) (not (and (= A2.V<7> (_ bv2 16)) (= A2.V<8> (_ bv0 16))))))
(assert (or (and (= A2.mtime<7> 0) (= A2.wtime<7> 0)) (not (and (= A2.V<7> (_ bv2 16)) (= A2.V<8> (_ bv2 16))))))
(assert (or (not (and (= A2.V<6> (_ bv2 16)) (= A2.V<7> (_ bv2 16)))) (= A2.V<8> (_ bv2 16))))
(assert (or (or (= A2.V<8> (_ bv2 16)) (or (or (= A2.V<8> (_ bv1 16)) (= A2.V<8> (_ bv3 16))) (= A2.V<8> (_ bv0 16)))) (not (= A2.V<7> (_ bv2 16)))))
(assert (or (= A2.mtime<7> 1) (not (and (= A2.V<7> (_ bv3 16)) (= A2.V<8> (_ bv2 16))))))
(assert (or (= A2.mtime<7> 1) (not (and (= A2.V<7> (_ bv3 16)) (= A2.V<8> (_ bv1 16))))))
(assert (or (= A2.mtime<7> (/ 41 29)) (not (and (= A2.V<7> (_ bv3 16)) (= A2.V<8> (_ bv0 16))))))
(assert (or (or (= A2.V<8> (_ bv0 16)) (or (= A2.V<8> (_ bv1 16)) (= A2.V<8> (_ bv2 16)))) (not (= A2.V<7> (_ bv3 16)))))
(assert (or (= A2.V<8> (_ bv2 16)) (not (and A2.spref<7><1> (= A2.V<7> (_ bv3 16))))))
(assert (or (= A2.V<8> (_ bv1 16)) (not (and A2.spref<7><2> (= A2.V<7> (_ bv3 16))))))
(assert (or (= A3.mtime<7> 1) (not (and (= A3.V<7> (_ bv0 16)) (= A3.V<8> (_ bv1 16))))))
(assert (or (= A3.mtime<7> (/ 41 29)) (not (and (= A3.V<7> (_ bv0 16)) (= A3.V<8> (_ bv3 16))))))
(assert (or (= A3.mtime<7> 1) (not (and (= A3.V<7> (_ bv0 16)) (= A3.V<8> (_ bv2 16))))))
(assert (or (or (= A3.V<8> (_ bv2 16)) (or (= A3.V<8> (_ bv1 16)) (= A3.V<8> (_ bv3 16)))) (not (= A3.V<7> (_ bv0 16)))))
(assert (or (= A3.V<8> (_ bv3 16)) (not (and A3.spref<7><1> (= A3.V<7> (_ bv0 16))))))
(assert (or (= A3.V<8> (_ bv1 16)) (not (and A3.spref<7><2> (= A3.V<7> (_ bv0 16))))))
(assert (or (= A3.mtime<7> 1) (not (and (= A3.V<7> (_ bv1 16)) (= A3.V<8> (_ bv3 16))))))
(assert (or (= A3.mtime<7> (/ 41 29)) (not (and (= A3.V<7> (_ bv1 16)) (= A3.V<8> (_ bv2 16))))))
(assert (or (= A3.mtime<7> 1) (not (and (= A3.V<7> (_ bv1 16)) (= A3.V<8> (_ bv0 16))))))
(assert (or (or (= A3.V<8> (_ bv0 16)) (or (= A3.V<8> (_ bv3 16)) (= A3.V<8> (_ bv2 16)))) (not (= A3.V<7> (_ bv1 16)))))
(assert (or (= A3.V<8> (_ bv3 16)) (not (and A3.spref<7><1> (= A3.V<7> (_ bv1 16))))))
(assert (or (= A3.V<8> (_ bv2 16)) (not (and A3.spref<7><2> (= A3.V<7> (_ bv1 16))))))
(assert (or (= A3.mtime<7> 1) (not (and (= A3.V<7> (_ bv3 16)) (= A3.V<8> (_ bv2 16))))))
(assert (or (= A3.mtime<7> 1) (not (and (= A3.V<7> (_ bv3 16)) (= A3.V<8> (_ bv1 16))))))
(assert (or (= A3.mtime<7> (/ 41 29)) (not (and (= A3.V<7> (_ bv3 16)) (= A3.V<8> (_ bv0 16))))))
(assert (or (and (= A3.mtime<7> 0) (= A3.wtime<7> 0)) (not (and (= A3.V<7> (_ bv3 16)) (= A3.V<8> (_ bv3 16))))))
(assert (or (not (and (= A3.V<6> (_ bv3 16)) (= A3.V<7> (_ bv3 16)))) (= A3.V<8> (_ bv3 16))))
(assert (or (or (= A3.V<8> (_ bv3 16)) (or (= A3.V<8> (_ bv0 16)) (or (= A3.V<8> (_ bv1 16)) (= A3.V<8> (_ bv2 16))))) (not (= A3.V<7> (_ bv3 16)))))
(assert (or (= A3.mtime<7> 1) (not (and (= A3.V<7> (_ bv2 16)) (= A3.V<8> (_ bv3 16))))))
(assert (or (= A3.mtime<7> (/ 41 29)) (not (and (= A3.V<7> (_ bv2 16)) (= A3.V<8> (_ bv1 16))))))
(assert (or (= A3.mtime<7> 1) (not (and (= A3.V<7> (_ bv2 16)) (= A3.V<8> (_ bv0 16))))))
(assert (or (or (or (= A3.V<8> (_ bv1 16)) (= A3.V<8> (_ bv3 16))) (= A3.V<8> (_ bv0 16))) (not (= A3.V<7> (_ bv2 16)))))
(assert (or (= A3.V<8> (_ bv3 16)) (not (and A3.spref<7><1> (= A3.V<7> (_ bv2 16))))))
(assert (or (= A3.V<8> (_ bv1 16)) (not (and A3.spref<7><2> (= A3.V<7> (_ bv2 16))))))
(declare-const kass8 Bool)
(assert (or (= objtime A3.wtime<8>) (not kass8)))
(assert (or (not kass8) (= A3.mtime<8> 0)))
(assert (or (not kass8) (= objtime A2.wtime<8>)))
(assert (or (not kass8) (= A2.mtime<8> 0)))
(assert (or (not kass8) (= objtime A1.wtime<8>)))
(assert (or (not kass8) (= A1.mtime<8> 0)))
(assert (or (not kass8) (= objtime A0.wtime<8>)))
(assert (or (not kass8) (= A0.mtime<8> 0)))
(push 1)
(assert kass8)
(assert (= A3.V<8> (_ bv3 16)))
(assert (= A2.V<8> (_ bv2 16)))
(assert (= A1.V<8> (_ bv0 16)))
(assert (= A0.V<8> (_ bv1 16)))
(assert (= (+ objtime (+ (* (- 1) A0.atime<8>) (+ (* (- 1) A1.atime<8>) (+ (* (- 1) A2.atime<8>) (* (- 1) A3.atime<8>))))) 0))
(set-info :status unsat)
(check-sat)
(pop 1)
(declare-const A0.V<9> (_ BitVec 16))
(declare-const A0.atime<9> Real)
(assert (= (+ A0.atime<8> (+ A0.rtime<8> (* (- 1) A0.atime<9>))) 0))
(declare-const A0.rtime<9> Real)
(declare-const A0.wtime<9> Real)
(declare-const A0.mtime<9> Real)
(assert (= (+ A0.rtime<9> (+ (* (- 1) A0.wtime<9>) (* (- 1) A0.mtime<9>))) 0))
(assert (<= 0 A0.wtime<9>))
(assert (<= 0 A0.mtime<9>))
(declare-const A0.ppref<9> Bool)
(declare-const A0.spref<9><1> Bool)
(declare-const A0.spref<9><2> Bool)
(declare-const A0.spref<9><3> Bool)
(declare-const A1.V<9> (_ BitVec 16))
(declare-const A1.atime<9> Real)
(assert (= (+ A1.atime<8> (+ A1.rtime<8> (* (- 1) A1.atime<9>))) 0))
(declare-const A1.rtime<9> Real)
(declare-const A1.wtime<9> Real)
(declare-const A1.mtime<9> Real)
(assert (= (+ A1.rtime<9> (+ (* (- 1) A1.wtime<9>) (* (- 1) A1.mtime<9>))) 0))
(assert (<= 0 A1.wtime<9>))
(assert (<= 0 A1.mtime<9>))
(declare-const A1.ppref<9> Bool)
(declare-const A1.spref<9><1> Bool)
(declare-const A1.spref<9><2> Bool)
(declare-const A1.spref<9><3> Bool)
(declare-const A2.V<9> (_ BitVec 16))
(declare-const A2.atime<9> Real)
(assert (= (+ A2.atime<8> (+ A2.rtime<8> (* (- 1) A2.atime<9>))) 0))
(declare-const A2.rtime<9> Real)
(declare-const A2.wtime<9> Real)
(declare-const A2.mtime<9> Real)
(assert (= (+ A2.rtime<9> (+ (* (- 1) A2.wtime<9>) (* (- 1) A2.mtime<9>))) 0))
(assert (<= 0 A2.wtime<9>))
(assert (<= 0 A2.mtime<9>))
(declare-const A2.ppref<9> Bool)
(declare-const A2.spref<9><1> Bool)
(declare-const A2.spref<9><2> Bool)
(declare-const A2.spref<9><3> Bool)
(declare-const A3.V<9> (_ BitVec 16))
(declare-const A3.atime<9> Real)
(assert (= (+ A3.atime<8> (+ A3.rtime<8> (* (- 1) A3.atime<9>))) 0))
(declare-const A3.rtime<9> Real)
(declare-const A3.wtime<9> Real)
(declare-const A3.mtime<9> Real)
(assert (= (+ A3.rtime<9> (+ (* (- 1) A3.wtime<9>) (* (- 1) A3.mtime<9>))) 0))
(assert (<= 0 A3.wtime<9>))
(assert (<= 0 A3.mtime<9>))
(declare-const A3.ppref<9> Bool)
(declare-const A3.spref<9><1> Bool)
(declare-const A3.spref<9><2> Bool)
(declare-const A3.spref<9><3> Bool)
(assert (or (= A0.mtime<8> 1) (not (and (= A0.V<8> (_ bv2 16)) (= A0.V<9> (_ bv3 16))))))
(assert (or (= A0.mtime<8> (/ 41 29)) (not (and (= A0.V<8> (_ bv2 16)) (= A0.V<9> (_ bv1 16))))))
(assert (or (= A0.mtime<8> 1) (not (and (= A0.V<8> (_ bv2 16)) (= A0.V<9> (_ bv0 16))))))
(assert (or (or (= A0.V<9> (_ bv0 16)) (or (= A0.V<9> (_ bv3 16)) (= A0.V<9> (_ bv1 16)))) (not (= A0.V<8> (_ bv2 16)))))
(assert (or (= A0.V<9> (_ bv1 16)) (not (and A0.spref<8><1> (= A0.V<8> (_ bv2 16))))))
(assert (or (= A0.V<9> (_ bv3 16)) (not (and A0.spref<8><2> (= A0.V<8> (_ bv2 16))))))
(assert (or (= A0.mtime<8> 1) (not (and (= A0.V<8> (_ bv3 16)) (= A0.V<9> (_ bv2 16))))))
(assert (or (= A0.mtime<8> 1) (not (and (= A0.V<8> (_ bv3 16)) (= A0.V<9> (_ bv1 16))))))
(assert (or (= A0.mtime<8> (/ 41 29)) (not (and (= A0.V<8> (_ bv3 16)) (= A0.V<9> (_ bv0 16))))))
(assert (or (or (= A0.V<9> (_ bv0 16)) (or (= A0.V<9> (_ bv1 16)) (= A0.V<9> (_ bv2 16)))) (not (= A0.V<8> (_ bv3 16)))))
(assert (or (= A0.V<9> (_ bv1 16)) (not (and A0.spref<8><1> (= A0.V<8> (_ bv3 16))))))
(assert (or (= A0.V<9> (_ bv2 16)) (not (and A0.spref<8><2> (= A0.V<8> (_ bv3 16))))))
(assert (or (= A0.mtime<8> 1) (not (and (= A0.V<8> (_ bv1 16)) (= A0.V<9> (_ bv3 16))))))
(assert (or (= A0.mtime<8> (/ 41 29)) (not (and (= A0.V<8> (_ bv1 16)) (= A0.V<9> (_ bv2 16))))))
(assert (or (= A0.mtime<8> 1) (not (and (= A0.V<8> (_ bv1 16)) (= A0.V<9> (_ bv0 16))))))
(assert (or (and (= A0.mtime<8> 0) (= A0.wtime<8> 0)) (not (and (= A0.V<8> (_ bv1 16)) (= A0.V<9> (_ bv1 16))))))
(assert (or (not (and (= A0.V<7> (_ bv1 16)) (= A0.V<8> (_ bv1 16)))) (= A0.V<9> (_ bv1 16))))
(assert (or (or (= A0.V<9> (_ bv1 16)) (or (= A0.V<9> (_ bv0 16)) (or (= A0.V<9> (_ bv3 16)) (= A0.V<9> (_ bv2 16))))) (not (= A0.V<8> (_ bv1 16)))))
(assert (or (= A0.mtime<8> 1) (not (and (= A0.V<8> (_ bv0 16)) (= A0.V<9> (_ bv1 16))))))
(assert (or (= A0.mtime<8> (/ 41 29)) (not (and (= A0.V<8> (_ bv0 16)) (= A0.V<9> (_ bv3 16))))))
(assert (or (= A0.mtime<8> 1) (not (and (= A0.V<8> (_ bv0 16)) (= A0.V<9> (_ bv2 16))))))
(assert (or (or (or (= A0.V<9> (_ bv3 16)) (= A0.V<9> (_ bv1 16))) (= A0.V<9> (_ bv2 16))) (not (= A0.V<8> (_ bv0 16)))))
(assert (or (= A0.V<9> (_ bv1 16)) (not (and A0.spref<8><1> (= A0.V<8> (_ bv0 16))))))
(assert (or (= A0.V<9> (_ bv3 16)) (not (and A0.spref<8><2> (= A0.V<8> (_ bv0 16))))))
(assert (or (= A1.mtime<8> 1) (not (and (= A1.V<8> (_ bv0 16)) (= A1.V<9> (_ bv1 16))))))
(assert (or (= A1.mtime<8> (/ 41 29)) (not (and (= A1.V<8> (_ bv0 16)) (= A1.V<9> (_ bv3 16))))))
(assert (or (= A1.mtime<8> 1) (not (and (= A1.V<8> (_ bv0 16)) (= A1.V<9> (_ bv2 16))))))
(assert (or (and (= A1.mtime<8> 0) (= A1.wtime<8> 0)) (not (and (= A1.V<8> (_ bv0 16)) (= A1.V<9> (_ bv0 16))))))
(assert (or (not (and (= A1.V<7> (_ bv0 16)) (= A1.V<8> (_ bv0 16)))) (= A1.V<9> (_ bv0 16))))
(assert (or (or (= A1.V<9> (_ bv0 16)) (or (= A1.V<9> (_ bv2 16)) (or (= A1.V<9> (_ bv1 16)) (= A1.V<9> (_ bv3 16))))) (not (= A1.V<8> (_ bv0 16)))))
(assert (or (= A1.mtime<8> 1) (not (and (= A1.V<8> (_ bv2 16)) (= A1.V<9> (_ bv3 16))))))
(assert (or (= A1.mtime<8> (/ 41 29)) (not (and (= A1.V<8> (_ bv2 16)) (= A1.V<9> (_ bv1 16))))))
(assert (or (= A1.mtime<8> 1) (not (and (= A1.V<8> (_ bv2 16)) (= A1.V<9> (_ bv0 16))))))
(assert (or (or (= A1.V<9> (_ bv0 16)) (or (= A1.V<9> (_ bv1 16)) (= A1.V<9> (_ bv3 16)))) (not (= A1.V<8> (_ bv2 16)))))
(assert (or (= A1.V<9> (_ bv0 16)) (not (and A1.spref<8><1> (= A1.V<8> (_ bv2 16))))))
(assert (or (= A1.V<9> (_ bv3 16)) (not (and A1.spref<8><2> (= A1.V<8> (_ bv2 16))))))
(assert (or (= A1.mtime<8> 1) (not (and (= A1.V<8> (_ bv3 16)) (= A1.V<9> (_ bv2 16))))))
(assert (or (= A1.mtime<8> 1) (not (and (= A1.V<8> (_ bv3 16)) (= A1.V<9> (_ bv1 16))))))
(assert (or (= A1.mtime<8> (/ 41 29)) (not (and (= A1.V<8> (_ bv3 16)) (= A1.V<9> (_ bv0 16))))))
(assert (or (or (= A1.V<9> (_ bv0 16)) (or (= A1.V<9> (_ bv1 16)) (= A1.V<9> (_ bv2 16)))) (not (= A1.V<8> (_ bv3 16)))))
(assert (or (= A1.V<9> (_ bv0 16)) (not (and A1.spref<8><1> (= A1.V<8> (_ bv3 16))))))
(assert (or (= A1.V<9> (_ bv2 16)) (not (and A1.spref<8><2> (= A1.V<8> (_ bv3 16))))))
(assert (or (= A1.mtime<8> 1) (not (and (= A1.V<8> (_ bv1 16)) (= A1.V<9> (_ bv3 16))))))
(assert (or (= A1.mtime<8> (/ 41 29)) (not (and (= A1.V<8> (_ bv1 16)) (= A1.V<9> (_ bv2 16))))))
(assert (or (= A1.mtime<8> 1) (not (and (= A1.V<8> (_ bv1 16)) (= A1.V<9> (_ bv0 16))))))
(assert (or (or (= A1.V<9> (_ bv0 16)) (or (= A1.V<9> (_ bv3 16)) (= A1.V<9> (_ bv2 16)))) (not (= A1.V<8> (_ bv1 16)))))
(assert (or (= A1.V<9> (_ bv0 16)) (not (and A1.spref<8><1> (= A1.V<8> (_ bv1 16))))))
(assert (or (= A1.V<9> (_ bv3 16)) (not (and A1.spref<8><2> (= A1.V<8> (_ bv1 16))))))
(assert (or (= A2.mtime<8> 1) (not (and (= A2.V<8> (_ bv0 16)) (= A2.V<9> (_ bv1 16))))))
(assert (or (= A2.mtime<8> (/ 41 29)) (not (and (= A2.V<8> (_ bv0 16)) (= A2.V<9> (_ bv3 16))))))
(assert (or (= A2.mtime<8> 1) (not (and (= A2.V<8> (_ bv0 16)) (= A2.V<9> (_ bv2 16))))))
(assert (or (or (= A2.V<9> (_ bv2 16)) (or (= A2.V<9> (_ bv1 16)) (= A2.V<9> (_ bv3 16)))) (not (= A2.V<8> (_ bv0 16)))))
(assert (or (= A2.V<9> (_ bv2 16)) (not (and A2.spref<8><1> (= A2.V<8> (_ bv0 16))))))
(assert (or (= A2.V<9> (_ bv1 16)) (not (and A2.spref<8><2> (= A2.V<8> (_ bv0 16))))))
(assert (or (= A2.mtime<8> 1) (not (and (= A2.V<8> (_ bv1 16)) (= A2.V<9> (_ bv3 16))))))
(assert (or (= A2.mtime<8> (/ 41 29)) (not (and (= A2.V<8> (_ bv1 16)) (= A2.V<9> (_ bv2 16))))))
(assert (or (= A2.mtime<8> 1) (not (and (= A2.V<8> (_ bv1 16)) (= A2.V<9> (_ bv0 16))))))
(assert (or (or (= A2.V<9> (_ bv0 16)) (or (= A2.V<9> (_ bv3 16)) (= A2.V<9> (_ bv2 16)))) (not (= A2.V<8> (_ bv1 16)))))
(assert (or (= A2.V<9> (_ bv2 16)) (not (and A2.spref<8><1> (= A2.V<8> (_ bv1 16))))))
(assert (or (= A2.V<9> (_ bv3 16)) (not (and A2.spref<8><2> (= A2.V<8> (_ bv1 16))))))
(assert (or (= A2.mtime<8> 1) (not (and (= A2.V<8> (_ bv2 16)) (= A2.V<9> (_ bv3 16))))))
(assert (or (= A2.mtime<8> (/ 41 29)) (not (and (= A2.V<8> (_ bv2 16)) (= A2.V<9> (_ bv1 16))))))
(assert (or (= A2.mtime<8> 1) (not (and (= A2.V<8> (_ bv2 16)) (= A2.V<9> (_ bv0 16))))))
(assert (or (and (= A2.mtime<8> 0) (= A2.wtime<8> 0)) (not (and (= A2.V<8> (_ bv2 16)) (= A2.V<9> (_ bv2 16))))))
(assert (or (not (and (= A2.V<7> (_ bv2 16)) (= A2.V<8> (_ bv2 16)))) (= A2.V<9> (_ bv2 16))))
(assert (or (or (= A2.V<9> (_ bv2 16)) (or (or (= A2.V<9> (_ bv1 16)) (= A2.V<9> (_ bv3 16))) (= A2.V<9> (_ bv0 16)))) (not (= A2.V<8> (_ bv2 16)))))
(assert (or (= A2.mtime<8> 1) (not (and (= A2.V<8> (_ bv3 16)) (= A2.V<9> (_ bv2 16))))))
(assert (or (= A2.mtime<8> 1) (not (and (= A2.V<8> (_ bv3 16)) (= A2.V<9> (_ bv1 16))))))
(assert (or (= A2.mtime<8> (/ 41 29)) (not (and (= A2.V<8> (_ bv3 16)) (= A2.V<9> (_ bv0 16))))))
(assert (or (or (= A2.V<9> (_ bv0 16)) (or (= A2.V<9> (_ bv1 16)) (= A2.V<9> (_ bv2 16)))) (not (= A2.V<8> (_ bv3 16)))))
(assert (or (= A2.V<9> (_ bv2 16)) (not (and A2.spref<8><1> (= A2.V<8> (_ bv3 16))))))
(assert (or (= A2.V<9> (_ bv1 16)) (not (and A2.spref<8><2> (= A2.V<8> (_ bv3 16))))))
(assert (or (= A3.mtime<8> 1) (not (and (= A3.V<8> (_ bv0 16)) (= A3.V<9> (_ bv1 16))))))
(assert (or (= A3.mtime<8> (/ 41 29)) (not (and (= A3.V<8> (_ bv0 16)) (= A3.V<9> (_ bv3 16))))))
(assert (or (= A3.mtime<8> 1) (not (and (= A3.V<8> (_ bv0 16)) (= A3.V<9> (_ bv2 16))))))
(assert (or (or (= A3.V<9> (_ bv2 16)) (or (= A3.V<9> (_ bv1 16)) (= A3.V<9> (_ bv3 16)))) (not (= A3.V<8> (_ bv0 16)))))
(assert (or (= A3.V<9> (_ bv3 16)) (not (and A3.spref<8><1> (= A3.V<8> (_ bv0 16))))))
(assert (or (= A3.V<9> (_ bv1 16)) (not (and A3.spref<8><2> (= A3.V<8> (_ bv0 16))))))
(assert (or (= A3.mtime<8> 1) (not (and (= A3.V<8> (_ bv1 16)) (= A3.V<9> (_ bv3 16))))))
(assert (or (= A3.mtime<8> (/ 41 29)) (not (and (= A3.V<8> (_ bv1 16)) (= A3.V<9> (_ bv2 16))))))
(assert (or (= A3.mtime<8> 1) (not (and (= A3.V<8> (_ bv1 16)) (= A3.V<9> (_ bv0 16))))))
(assert (or (or (= A3.V<9> (_ bv0 16)) (or (= A3.V<9> (_ bv3 16)) (= A3.V<9> (_ bv2 16)))) (not (= A3.V<8> (_ bv1 16)))))
(assert (or (= A3.V<9> (_ bv3 16)) (not (and A3.spref<8><1> (= A3.V<8> (_ bv1 16))))))
(assert (or (= A3.V<9> (_ bv2 16)) (not (and A3.spref<8><2> (= A3.V<8> (_ bv1 16))))))
(assert (or (= A3.mtime<8> 1) (not (and (= A3.V<8> (_ bv3 16)) (= A3.V<9> (_ bv2 16))))))
(assert (or (= A3.mtime<8> 1) (not (and (= A3.V<8> (_ bv3 16)) (= A3.V<9> (_ bv1 16))))))
(assert (or (= A3.mtime<8> (/ 41 29)) (not (and (= A3.V<8> (_ bv3 16)) (= A3.V<9> (_ bv0 16))))))
(assert (or (and (= A3.mtime<8> 0) (= A3.wtime<8> 0)) (not (and (= A3.V<8> (_ bv3 16)) (= A3.V<9> (_ bv3 16))))))
(assert (or (not (and (= A3.V<7> (_ bv3 16)) (= A3.V<8> (_ bv3 16)))) (= A3.V<9> (_ bv3 16))))
(assert (or (or (= A3.V<9> (_ bv3 16)) (or (= A3.V<9> (_ bv0 16)) (or (= A3.V<9> (_ bv1 16)) (= A3.V<9> (_ bv2 16))))) (not (= A3.V<8> (_ bv3 16)))))
(assert (or (= A3.mtime<8> 1) (not (and (= A3.V<8> (_ bv2 16)) (= A3.V<9> (_ bv3 16))))))
(assert (or (= A3.mtime<8> (/ 41 29)) (not (and (= A3.V<8> (_ bv2 16)) (= A3.V<9> (_ bv1 16))))))
(assert (or (= A3.mtime<8> 1) (not (and (= A3.V<8> (_ bv2 16)) (= A3.V<9> (_ bv0 16))))))
(assert (or (or (or (= A3.V<9> (_ bv1 16)) (= A3.V<9> (_ bv3 16))) (= A3.V<9> (_ bv0 16))) (not (= A3.V<8> (_ bv2 16)))))
(assert (or (= A3.V<9> (_ bv3 16)) (not (and A3.spref<8><1> (= A3.V<8> (_ bv2 16))))))
(assert (or (= A3.V<9> (_ bv1 16)) (not (and A3.spref<8><2> (= A3.V<8> (_ bv2 16))))))
(declare-const kass9 Bool)
(assert (or (= objtime A3.wtime<9>) (not kass9)))
(assert (or (not kass9) (= A3.mtime<9> 0)))
(assert (or (not kass9) (= objtime A2.wtime<9>)))
(assert (or (not kass9) (= A2.mtime<9> 0)))
(assert (or (not kass9) (= objtime A1.wtime<9>)))
(assert (or (not kass9) (= A1.mtime<9> 0)))
(assert (or (not kass9) (= objtime A0.wtime<9>)))
(assert (or (not kass9) (= A0.mtime<9> 0)))
(push 1)
(assert kass9)
(assert (= A3.V<9> (_ bv3 16)))
(assert (= A2.V<9> (_ bv2 16)))
(assert (= A1.V<9> (_ bv0 16)))
(assert (= A0.V<9> (_ bv1 16)))
(assert (= (+ objtime (+ (* (- 1) A0.atime<9>) (+ (* (- 1) A1.atime<9>) (+ (* (- 1) A2.atime<9>) (* (- 1) A3.atime<9>))))) 0))
(set-info :status unsat)
(check-sat)
(pop 1)
(declare-const A0.V<10> (_ BitVec 16))
(declare-const A0.atime<10> Real)
(assert (= (+ A0.atime<9> (+ A0.rtime<9> (* (- 1) A0.atime<10>))) 0))
(declare-const A0.rtime<10> Real)
(declare-const A0.wtime<10> Real)
(declare-const A0.mtime<10> Real)
(assert (= (+ A0.rtime<10> (+ (* (- 1) A0.wtime<10>) (* (- 1) A0.mtime<10>))) 0))
(assert (<= 0 A0.wtime<10>))
(assert (<= 0 A0.mtime<10>))
(declare-const A0.ppref<10> Bool)
(declare-const A0.spref<10><1> Bool)
(declare-const A0.spref<10><2> Bool)
(declare-const A0.spref<10><3> Bool)
(declare-const A1.V<10> (_ BitVec 16))
(declare-const A1.atime<10> Real)
(assert (= (+ A1.atime<9> (+ A1.rtime<9> (* (- 1) A1.atime<10>))) 0))
(declare-const A1.rtime<10> Real)
(declare-const A1.wtime<10> Real)
(declare-const A1.mtime<10> Real)
(assert (= (+ A1.rtime<10> (+ (* (- 1) A1.wtime<10>) (* (- 1) A1.mtime<10>))) 0))
(assert (<= 0 A1.wtime<10>))
(assert (<= 0 A1.mtime<10>))
(declare-const A1.ppref<10> Bool)
(declare-const A1.spref<10><1> Bool)
(declare-const A1.spref<10><2> Bool)
(declare-const A1.spref<10><3> Bool)
(declare-const A2.V<10> (_ BitVec 16))
(declare-const A2.atime<10> Real)
(assert (= (+ A2.atime<9> (+ A2.rtime<9> (* (- 1) A2.atime<10>))) 0))
(declare-const A2.rtime<10> Real)
(declare-const A2.wtime<10> Real)
(declare-const A2.mtime<10> Real)
(assert (= (+ A2.rtime<10> (+ (* (- 1) A2.wtime<10>) (* (- 1) A2.mtime<10>))) 0))
(assert (<= 0 A2.wtime<10>))
(assert (<= 0 A2.mtime<10>))
(declare-const A2.ppref<10> Bool)
(declare-const A2.spref<10><1> Bool)
(declare-const A2.spref<10><2> Bool)
(declare-const A2.spref<10><3> Bool)
(declare-const A3.V<10> (_ BitVec 16))
(declare-const A3.atime<10> Real)
(assert (= (+ A3.atime<9> (+ A3.rtime<9> (* (- 1) A3.atime<10>))) 0))
(declare-const A3.rtime<10> Real)
(declare-const A3.wtime<10> Real)
(declare-const A3.mtime<10> Real)
(assert (= (+ A3.rtime<10> (+ (* (- 1) A3.wtime<10>) (* (- 1) A3.mtime<10>))) 0))
(assert (<= 0 A3.wtime<10>))
(assert (<= 0 A3.mtime<10>))
(declare-const A3.ppref<10> Bool)
(declare-const A3.spref<10><1> Bool)
(declare-const A3.spref<10><2> Bool)
(declare-const A3.spref<10><3> Bool)
(assert (or (= A0.mtime<9> 1) (not (and (= A0.V<9> (_ bv2 16)) (= A0.V<10> (_ bv3 16))))))
(assert (or (= A0.mtime<9> (/ 41 29)) (not (and (= A0.V<9> (_ bv2 16)) (= A0.V<10> (_ bv1 16))))))
(assert (or (= A0.mtime<9> 1) (not (and (= A0.V<9> (_ bv2 16)) (= A0.V<10> (_ bv0 16))))))
(assert (or (or (= A0.V<10> (_ bv0 16)) (or (= A0.V<10> (_ bv3 16)) (= A0.V<10> (_ bv1 16)))) (not (= A0.V<9> (_ bv2 16)))))
(assert (or (= A0.V<10> (_ bv1 16)) (not (and A0.spref<9><1> (= A0.V<9> (_ bv2 16))))))
(assert (or (= A0.V<10> (_ bv3 16)) (not (and A0.spref<9><2> (= A0.V<9> (_ bv2 16))))))
(assert (or (= A0.mtime<9> 1) (not (and (= A0.V<9> (_ bv3 16)) (= A0.V<10> (_ bv2 16))))))
(assert (or (= A0.mtime<9> 1) (not (and (= A0.V<9> (_ bv3 16)) (= A0.V<10> (_ bv1 16))))))
(assert (or (= A0.mtime<9> (/ 41 29)) (not (and (= A0.V<9> (_ bv3 16)) (= A0.V<10> (_ bv0 16))))))
(assert (or (or (= A0.V<10> (_ bv0 16)) (or (= A0.V<10> (_ bv1 16)) (= A0.V<10> (_ bv2 16)))) (not (= A0.V<9> (_ bv3 16)))))
(assert (or (= A0.V<10> (_ bv1 16)) (not (and A0.spref<9><1> (= A0.V<9> (_ bv3 16))))))
(assert (or (= A0.V<10> (_ bv2 16)) (not (and A0.spref<9><2> (= A0.V<9> (_ bv3 16))))))
(assert (or (= A0.mtime<9> 1) (not (and (= A0.V<9> (_ bv1 16)) (= A0.V<10> (_ bv3 16))))))
(assert (or (= A0.mtime<9> (/ 41 29)) (not (and (= A0.V<9> (_ bv1 16)) (= A0.V<10> (_ bv2 16))))))
(assert (or (= A0.mtime<9> 1) (not (and (= A0.V<9> (_ bv1 16)) (= A0.V<10> (_ bv0 16))))))
(assert (or (and (= A0.mtime<9> 0) (= A0.wtime<9> 0)) (not (and (= A0.V<9> (_ bv1 16)) (= A0.V<10> (_ bv1 16))))))
(assert (or (not (and (= A0.V<8> (_ bv1 16)) (= A0.V<9> (_ bv1 16)))) (= A0.V<10> (_ bv1 16))))
(assert (or (or (= A0.V<10> (_ bv1 16)) (or (= A0.V<10> (_ bv0 16)) (or (= A0.V<10> (_ bv3 16)) (= A0.V<10> (_ bv2 16))))) (not (= A0.V<9> (_ bv1 16)))))
(assert (or (= A0.mtime<9> 1) (not (and (= A0.V<9> (_ bv0 16)) (= A0.V<10> (_ bv1 16))))))
(assert (or (= A0.mtime<9> (/ 41 29)) (not (and (= A0.V<9> (_ bv0 16)) (= A0.V<10> (_ bv3 16))))))
(assert (or (= A0.mtime<9> 1) (not (and (= A0.V<9> (_ bv0 16)) (= A0.V<10> (_ bv2 16))))))
(assert (or (or (or (= A0.V<10> (_ bv3 16)) (= A0.V<10> (_ bv1 16))) (= A0.V<10> (_ bv2 16))) (not (= A0.V<9> (_ bv0 16)))))
(assert (or (= A0.V<10> (_ bv1 16)) (not (and A0.spref<9><1> (= A0.V<9> (_ bv0 16))))))
(assert (or (= A0.V<10> (_ bv3 16)) (not (and A0.spref<9><2> (= A0.V<9> (_ bv0 16))))))
(assert (or (= A1.mtime<9> 1) (not (and (= A1.V<9> (_ bv0 16)) (= A1.V<10> (_ bv1 16))))))
(assert (or (= A1.mtime<9> (/ 41 29)) (not (and (= A1.V<9> (_ bv0 16)) (= A1.V<10> (_ bv3 16))))))
(assert (or (= A1.mtime<9> 1) (not (and (= A1.V<9> (_ bv0 16)) (= A1.V<10> (_ bv2 16))))))
(assert (or (and (= A1.mtime<9> 0) (= A1.wtime<9> 0)) (not (and (= A1.V<9> (_ bv0 16)) (= A1.V<10> (_ bv0 16))))))
(assert (or (not (and (= A1.V<8> (_ bv0 16)) (= A1.V<9> (_ bv0 16)))) (= A1.V<10> (_ bv0 16))))
(assert (or (or (= A1.V<10> (_ bv0 16)) (or (= A1.V<10> (_ bv2 16)) (or (= A1.V<10> (_ bv1 16)) (= A1.V<10> (_ bv3 16))))) (not (= A1.V<9> (_ bv0 16)))))
(assert (or (= A1.mtime<9> 1) (not (and (= A1.V<9> (_ bv2 16)) (= A1.V<10> (_ bv3 16))))))
(assert (or (= A1.mtime<9> (/ 41 29)) (not (and (= A1.V<9> (_ bv2 16)) (= A1.V<10> (_ bv1 16))))))
(assert (or (= A1.mtime<9> 1) (not (and (= A1.V<9> (_ bv2 16)) (= A1.V<10> (_ bv0 16))))))
(assert (or (or (= A1.V<10> (_ bv0 16)) (or (= A1.V<10> (_ bv1 16)) (= A1.V<10> (_ bv3 16)))) (not (= A1.V<9> (_ bv2 16)))))
(assert (or (= A1.V<10> (_ bv0 16)) (not (and A1.spref<9><1> (= A1.V<9> (_ bv2 16))))))
(assert (or (= A1.V<10> (_ bv3 16)) (not (and A1.spref<9><2> (= A1.V<9> (_ bv2 16))))))
(assert (or (= A1.mtime<9> 1) (not (and (= A1.V<9> (_ bv3 16)) (= A1.V<10> (_ bv2 16))))))
(assert (or (= A1.mtime<9> 1) (not (and (= A1.V<9> (_ bv3 16)) (= A1.V<10> (_ bv1 16))))))
(assert (or (= A1.mtime<9> (/ 41 29)) (not (and (= A1.V<9> (_ bv3 16)) (= A1.V<10> (_ bv0 16))))))
(assert (or (or (= A1.V<10> (_ bv0 16)) (or (= A1.V<10> (_ bv1 16)) (= A1.V<10> (_ bv2 16)))) (not (= A1.V<9> (_ bv3 16)))))
(assert (or (= A1.V<10> (_ bv0 16)) (not (and A1.spref<9><1> (= A1.V<9> (_ bv3 16))))))
(assert (or (= A1.V<10> (_ bv2 16)) (not (and A1.spref<9><2> (= A1.V<9> (_ bv3 16))))))
(assert (or (= A1.mtime<9> 1) (not (and (= A1.V<9> (_ bv1 16)) (= A1.V<10> (_ bv3 16))))))
(assert (or (= A1.mtime<9> (/ 41 29)) (not (and (= A1.V<9> (_ bv1 16)) (= A1.V<10> (_ bv2 16))))))
(assert (or (= A1.mtime<9> 1) (not (and (= A1.V<9> (_ bv1 16)) (= A1.V<10> (_ bv0 16))))))
(assert (or (or (= A1.V<10> (_ bv0 16)) (or (= A1.V<10> (_ bv3 16)) (= A1.V<10> (_ bv2 16)))) (not (= A1.V<9> (_ bv1 16)))))
(assert (or (= A1.V<10> (_ bv0 16)) (not (and A1.spref<9><1> (= A1.V<9> (_ bv1 16))))))
(assert (or (= A1.V<10> (_ bv3 16)) (not (and A1.spref<9><2> (= A1.V<9> (_ bv1 16))))))
(assert (or (= A2.mtime<9> 1) (not (and (= A2.V<9> (_ bv0 16)) (= A2.V<10> (_ bv1 16))))))
(assert (or (= A2.mtime<9> (/ 41 29)) (not (and (= A2.V<9> (_ bv0 16)) (= A2.V<10> (_ bv3 16))))))
(assert (or (= A2.mtime<9> 1) (not (and (= A2.V<9> (_ bv0 16)) (= A2.V<10> (_ bv2 16))))))
(assert (or (or (= A2.V<10> (_ bv2 16)) (or (= A2.V<10> (_ bv1 16)) (= A2.V<10> (_ bv3 16)))) (not (= A2.V<9> (_ bv0 16)))))
(assert (or (= A2.V<10> (_ bv2 16)) (not (and A2.spref<9><1> (= A2.V<9> (_ bv0 16))))))
(assert (or (= A2.V<10> (_ bv1 16)) (not (and A2.spref<9><2> (= A2.V<9> (_ bv0 16))))))
(assert (or (= A2.mtime<9> 1) (not (and (= A2.V<9> (_ bv1 16)) (= A2.V<10> (_ bv3 16))))))
(assert (or (= A2.mtime<9> (/ 41 29)) (not (and (= A2.V<9> (_ bv1 16)) (= A2.V<10> (_ bv2 16))))))
(assert (or (= A2.mtime<9> 1) (not (and (= A2.V<9> (_ bv1 16)) (= A2.V<10> (_ bv0 16))))))
(assert (or (or (= A2.V<10> (_ bv0 16)) (or (= A2.V<10> (_ bv3 16)) (= A2.V<10> (_ bv2 16)))) (not (= A2.V<9> (_ bv1 16)))))
(assert (or (= A2.V<10> (_ bv2 16)) (not (and A2.spref<9><1> (= A2.V<9> (_ bv1 16))))))
(assert (or (= A2.V<10> (_ bv3 16)) (not (and A2.spref<9><2> (= A2.V<9> (_ bv1 16))))))
(assert (or (= A2.mtime<9> 1) (not (and (= A2.V<9> (_ bv2 16)) (= A2.V<10> (_ bv3 16))))))
(assert (or (= A2.mtime<9> (/ 41 29)) (not (and (= A2.V<9> (_ bv2 16)) (= A2.V<10> (_ bv1 16))))))
(assert (or (= A2.mtime<9> 1) (not (and (= A2.V<9> (_ bv2 16)) (= A2.V<10> (_ bv0 16))))))
(assert (or (and (= A2.mtime<9> 0) (= A2.wtime<9> 0)) (not (and (= A2.V<9> (_ bv2 16)) (= A2.V<10> (_ bv2 16))))))
(assert (or (not (and (= A2.V<8> (_ bv2 16)) (= A2.V<9> (_ bv2 16)))) (= A2.V<10> (_ bv2 16))))
(assert (or (or (= A2.V<10> (_ bv2 16)) (or (or (= A2.V<10> (_ bv1 16)) (= A2.V<10> (_ bv3 16))) (= A2.V<10> (_ bv0 16)))) (not (= A2.V<9> (_ bv2 16)))))
(assert (or (= A2.mtime<9> 1) (not (and (= A2.V<9> (_ bv3 16)) (= A2.V<10> (_ bv2 16))))))
(assert (or (= A2.mtime<9> 1) (not (and (= A2.V<9> (_ bv3 16)) (= A2.V<10> (_ bv1 16))))))
(assert (or (= A2.mtime<9> (/ 41 29)) (not (and (= A2.V<9> (_ bv3 16)) (= A2.V<10> (_ bv0 16))))))
(assert (or (or (= A2.V<10> (_ bv0 16)) (or (= A2.V<10> (_ bv1 16)) (= A2.V<10> (_ bv2 16)))) (not (= A2.V<9> (_ bv3 16)))))
(assert (or (= A2.V<10> (_ bv2 16)) (not (and A2.spref<9><1> (= A2.V<9> (_ bv3 16))))))
(assert (or (= A2.V<10> (_ bv1 16)) (not (and A2.spref<9><2> (= A2.V<9> (_ bv3 16))))))
(assert (or (= A3.mtime<9> 1) (not (and (= A3.V<9> (_ bv0 16)) (= A3.V<10> (_ bv1 16))))))
(assert (or (= A3.mtime<9> (/ 41 29)) (not (and (= A3.V<9> (_ bv0 16)) (= A3.V<10> (_ bv3 16))))))
(assert (or (= A3.mtime<9> 1) (not (and (= A3.V<9> (_ bv0 16)) (= A3.V<10> (_ bv2 16))))))
(assert (or (or (= A3.V<10> (_ bv2 16)) (or (= A3.V<10> (_ bv1 16)) (= A3.V<10> (_ bv3 16)))) (not (= A3.V<9> (_ bv0 16)))))
(assert (or (= A3.V<10> (_ bv3 16)) (not (and A3.spref<9><1> (= A3.V<9> (_ bv0 16))))))
(assert (or (= A3.V<10> (_ bv1 16)) (not (and A3.spref<9><2> (= A3.V<9> (_ bv0 16))))))
(assert (or (= A3.mtime<9> 1) (not (and (= A3.V<9> (_ bv1 16)) (= A3.V<10> (_ bv3 16))))))
(assert (or (= A3.mtime<9> (/ 41 29)) (not (and (= A3.V<9> (_ bv1 16)) (= A3.V<10> (_ bv2 16))))))
(assert (or (= A3.mtime<9> 1) (not (and (= A3.V<9> (_ bv1 16)) (= A3.V<10> (_ bv0 16))))))
(assert (or (or (= A3.V<10> (_ bv0 16)) (or (= A3.V<10> (_ bv3 16)) (= A3.V<10> (_ bv2 16)))) (not (= A3.V<9> (_ bv1 16)))))
(assert (or (= A3.V<10> (_ bv3 16)) (not (and A3.spref<9><1> (= A3.V<9> (_ bv1 16))))))
(assert (or (= A3.V<10> (_ bv2 16)) (not (and A3.spref<9><2> (= A3.V<9> (_ bv1 16))))))
(assert (or (= A3.mtime<9> 1) (not (and (= A3.V<9> (_ bv3 16)) (= A3.V<10> (_ bv2 16))))))
(assert (or (= A3.mtime<9> 1) (not (and (= A3.V<9> (_ bv3 16)) (= A3.V<10> (_ bv1 16))))))
(assert (or (= A3.mtime<9> (/ 41 29)) (not (and (= A3.V<9> (_ bv3 16)) (= A3.V<10> (_ bv0 16))))))
(assert (or (and (= A3.mtime<9> 0) (= A3.wtime<9> 0)) (not (and (= A3.V<9> (_ bv3 16)) (= A3.V<10> (_ bv3 16))))))
(assert (or (not (and (= A3.V<8> (_ bv3 16)) (= A3.V<9> (_ bv3 16)))) (= A3.V<10> (_ bv3 16))))
(assert (or (or (= A3.V<10> (_ bv3 16)) (or (= A3.V<10> (_ bv0 16)) (or (= A3.V<10> (_ bv1 16)) (= A3.V<10> (_ bv2 16))))) (not (= A3.V<9> (_ bv3 16)))))
(assert (or (= A3.mtime<9> 1) (not (and (= A3.V<9> (_ bv2 16)) (= A3.V<10> (_ bv3 16))))))
(assert (or (= A3.mtime<9> (/ 41 29)) (not (and (= A3.V<9> (_ bv2 16)) (= A3.V<10> (_ bv1 16))))))
(assert (or (= A3.mtime<9> 1) (not (and (= A3.V<9> (_ bv2 16)) (= A3.V<10> (_ bv0 16))))))
(assert (or (or (or (= A3.V<10> (_ bv1 16)) (= A3.V<10> (_ bv3 16))) (= A3.V<10> (_ bv0 16))) (not (= A3.V<9> (_ bv2 16)))))
(assert (or (= A3.V<10> (_ bv3 16)) (not (and A3.spref<9><1> (= A3.V<9> (_ bv2 16))))))
(assert (or (= A3.V<10> (_ bv1 16)) (not (and A3.spref<9><2> (= A3.V<9> (_ bv2 16))))))
(declare-const kass10 Bool)
(assert (or (= objtime A3.wtime<10>) (not kass10)))
(assert (or (not kass10) (= A3.mtime<10> 0)))
(assert (or (not kass10) (= objtime A2.wtime<10>)))
(assert (or (not kass10) (= A2.mtime<10> 0)))
(assert (or (not kass10) (= objtime A1.wtime<10>)))
(assert (or (not kass10) (= A1.mtime<10> 0)))
(assert (or (not kass10) (= objtime A0.wtime<10>)))
(assert (or (not kass10) (= A0.mtime<10> 0)))
(push 1)
(assert kass10)
(assert (= A3.V<10> (_ bv3 16)))
(assert (= A2.V<10> (_ bv2 16)))
(assert (= A1.V<10> (_ bv0 16)))
(assert (= A0.V<10> (_ bv1 16)))
(assert (= (+ objtime (+ (* (- 1) A0.atime<10>) (+ (* (- 1) A1.atime<10>) (+ (* (- 1) A2.atime<10>) (* (- 1) A3.atime<10>))))) 0))
(set-info :status unsat)
(check-sat)
(pop 1)
(declare-const A0.V<11> (_ BitVec 16))
(declare-const A0.atime<11> Real)
(assert (= (+ A0.atime<10> (+ A0.rtime<10> (* (- 1) A0.atime<11>))) 0))
(declare-const A0.rtime<11> Real)
(declare-const A0.wtime<11> Real)
(declare-const A0.mtime<11> Real)
(assert (= (+ A0.rtime<11> (+ (* (- 1) A0.wtime<11>) (* (- 1) A0.mtime<11>))) 0))
(assert (<= 0 A0.wtime<11>))
(assert (<= 0 A0.mtime<11>))
(declare-const A0.ppref<11> Bool)
(declare-const A0.spref<11><1> Bool)
(declare-const A0.spref<11><2> Bool)
(declare-const A0.spref<11><3> Bool)
(declare-const A1.V<11> (_ BitVec 16))
(declare-const A1.atime<11> Real)
(assert (= (+ A1.atime<10> (+ A1.rtime<10> (* (- 1) A1.atime<11>))) 0))
(declare-const A1.rtime<11> Real)
(declare-const A1.wtime<11> Real)
(declare-const A1.mtime<11> Real)
(assert (= (+ A1.rtime<11> (+ (* (- 1) A1.wtime<11>) (* (- 1) A1.mtime<11>))) 0))
(assert (<= 0 A1.wtime<11>))
(assert (<= 0 A1.mtime<11>))
(declare-const A1.ppref<11> Bool)
(declare-const A1.spref<11><1> Bool)
(declare-const A1.spref<11><2> Bool)
(declare-const A1.spref<11><3> Bool)
(declare-const A2.V<11> (_ BitVec 16))
(declare-const A2.atime<11> Real)
(assert (= (+ A2.atime<10> (+ A2.rtime<10> (* (- 1) A2.atime<11>))) 0))
(declare-const A2.rtime<11> Real)
(declare-const A2.wtime<11> Real)
(declare-const A2.mtime<11> Real)
(assert (= (+ A2.rtime<11> (+ (* (- 1) A2.wtime<11>) (* (- 1) A2.mtime<11>))) 0))
(assert (<= 0 A2.wtime<11>))
(assert (<= 0 A2.mtime<11>))
(declare-const A2.ppref<11> Bool)
(declare-const A2.spref<11><1> Bool)
(declare-const A2.spref<11><2> Bool)
(declare-const A2.spref<11><3> Bool)
(declare-const A3.V<11> (_ BitVec 16))
(declare-const A3.atime<11> Real)
(assert (= (+ A3.atime<10> (+ A3.rtime<10> (* (- 1) A3.atime<11>))) 0))
(declare-const A3.rtime<11> Real)
(declare-const A3.wtime<11> Real)
(declare-const A3.mtime<11> Real)
(assert (= (+ A3.rtime<11> (+ (* (- 1) A3.wtime<11>) (* (- 1) A3.mtime<11>))) 0))
(assert (<= 0 A3.wtime<11>))
(assert (<= 0 A3.mtime<11>))
(declare-const A3.ppref<11> Bool)
(declare-const A3.spref<11><1> Bool)
(declare-const A3.spref<11><2> Bool)
(declare-const A3.spref<11><3> Bool)
(assert (or (= A0.mtime<10> 1) (not (and (= A0.V<10> (_ bv2 16)) (= A0.V<11> (_ bv3 16))))))
(assert (or (= A0.mtime<10> (/ 41 29)) (not (and (= A0.V<10> (_ bv2 16)) (= A0.V<11> (_ bv1 16))))))
(assert (or (= A0.mtime<10> 1) (not (and (= A0.V<10> (_ bv2 16)) (= A0.V<11> (_ bv0 16))))))
(assert (or (or (= A0.V<11> (_ bv0 16)) (or (= A0.V<11> (_ bv3 16)) (= A0.V<11> (_ bv1 16)))) (not (= A0.V<10> (_ bv2 16)))))
(assert (or (= A0.V<11> (_ bv1 16)) (not (and A0.spref<10><1> (= A0.V<10> (_ bv2 16))))))
(assert (or (= A0.V<11> (_ bv3 16)) (not (and A0.spref<10><2> (= A0.V<10> (_ bv2 16))))))
(assert (or (= A0.mtime<10> 1) (not (and (= A0.V<10> (_ bv3 16)) (= A0.V<11> (_ bv2 16))))))
(assert (or (= A0.mtime<10> 1) (not (and (= A0.V<10> (_ bv3 16)) (= A0.V<11> (_ bv1 16))))))
(assert (or (= A0.mtime<10> (/ 41 29)) (not (and (= A0.V<10> (_ bv3 16)) (= A0.V<11> (_ bv0 16))))))
(assert (or (or (= A0.V<11> (_ bv0 16)) (or (= A0.V<11> (_ bv1 16)) (= A0.V<11> (_ bv2 16)))) (not (= A0.V<10> (_ bv3 16)))))
(assert (or (= A0.V<11> (_ bv1 16)) (not (and A0.spref<10><1> (= A0.V<10> (_ bv3 16))))))
(assert (or (= A0.V<11> (_ bv2 16)) (not (and A0.spref<10><2> (= A0.V<10> (_ bv3 16))))))
(assert (or (= A0.mtime<10> 1) (not (and (= A0.V<10> (_ bv1 16)) (= A0.V<11> (_ bv3 16))))))
(assert (or (= A0.mtime<10> (/ 41 29)) (not (and (= A0.V<10> (_ bv1 16)) (= A0.V<11> (_ bv2 16))))))
(assert (or (= A0.mtime<10> 1) (not (and (= A0.V<10> (_ bv1 16)) (= A0.V<11> (_ bv0 16))))))
(assert (or (and (= A0.mtime<10> 0) (= A0.wtime<10> 0)) (not (and (= A0.V<10> (_ bv1 16)) (= A0.V<11> (_ bv1 16))))))
(assert (or (not (and (= A0.V<9> (_ bv1 16)) (= A0.V<10> (_ bv1 16)))) (= A0.V<11> (_ bv1 16))))
(assert (or (or (= A0.V<11> (_ bv1 16)) (or (= A0.V<11> (_ bv0 16)) (or (= A0.V<11> (_ bv3 16)) (= A0.V<11> (_ bv2 16))))) (not (= A0.V<10> (_ bv1 16)))))
(assert (or (= A0.mtime<10> 1) (not (and (= A0.V<10> (_ bv0 16)) (= A0.V<11> (_ bv1 16))))))
(assert (or (= A0.mtime<10> (/ 41 29)) (not (and (= A0.V<10> (_ bv0 16)) (= A0.V<11> (_ bv3 16))))))
(assert (or (= A0.mtime<10> 1) (not (and (= A0.V<10> (_ bv0 16)) (= A0.V<11> (_ bv2 16))))))
(assert (or (or (or (= A0.V<11> (_ bv3 16)) (= A0.V<11> (_ bv1 16))) (= A0.V<11> (_ bv2 16))) (not (= A0.V<10> (_ bv0 16)))))
(assert (or (= A0.V<11> (_ bv1 16)) (not (and A0.spref<10><1> (= A0.V<10> (_ bv0 16))))))
(assert (or (= A0.V<11> (_ bv3 16)) (not (and A0.spref<10><2> (= A0.V<10> (_ bv0 16))))))
(assert (or (= A1.mtime<10> 1) (not (and (= A1.V<10> (_ bv0 16)) (= A1.V<11> (_ bv1 16))))))
(assert (or (= A1.mtime<10> (/ 41 29)) (not (and (= A1.V<10> (_ bv0 16)) (= A1.V<11> (_ bv3 16))))))
(assert (or (= A1.mtime<10> 1) (not (and (= A1.V<10> (_ bv0 16)) (= A1.V<11> (_ bv2 16))))))
(assert (or (and (= A1.mtime<10> 0) (= A1.wtime<10> 0)) (not (and (= A1.V<10> (_ bv0 16)) (= A1.V<11> (_ bv0 16))))))
(assert (or (not (and (= A1.V<9> (_ bv0 16)) (= A1.V<10> (_ bv0 16)))) (= A1.V<11> (_ bv0 16))))
(assert (or (or (= A1.V<11> (_ bv0 16)) (or (= A1.V<11> (_ bv2 16)) (or (= A1.V<11> (_ bv1 16)) (= A1.V<11> (_ bv3 16))))) (not (= A1.V<10> (_ bv0 16)))))
(assert (or (= A1.mtime<10> 1) (not (and (= A1.V<10> (_ bv2 16)) (= A1.V<11> (_ bv3 16))))))
(assert (or (= A1.mtime<10> (/ 41 29)) (not (and (= A1.V<10> (_ bv2 16)) (= A1.V<11> (_ bv1 16))))))
(assert (or (= A1.mtime<10> 1) (not (and (= A1.V<10> (_ bv2 16)) (= A1.V<11> (_ bv0 16))))))
(assert (or (or (= A1.V<11> (_ bv0 16)) (or (= A1.V<11> (_ bv1 16)) (= A1.V<11> (_ bv3 16)))) (not (= A1.V<10> (_ bv2 16)))))
(assert (or (= A1.V<11> (_ bv0 16)) (not (and A1.spref<10><1> (= A1.V<10> (_ bv2 16))))))
(assert (or (= A1.V<11> (_ bv3 16)) (not (and A1.spref<10><2> (= A1.V<10> (_ bv2 16))))))
(assert (or (= A1.mtime<10> 1) (not (and (= A1.V<10> (_ bv3 16)) (= A1.V<11> (_ bv2 16))))))
(assert (or (= A1.mtime<10> 1) (not (and (= A1.V<10> (_ bv3 16)) (= A1.V<11> (_ bv1 16))))))
(assert (or (= A1.mtime<10> (/ 41 29)) (not (and (= A1.V<10> (_ bv3 16)) (= A1.V<11> (_ bv0 16))))))
(assert (or (or (= A1.V<11> (_ bv0 16)) (or (= A1.V<11> (_ bv1 16)) (= A1.V<11> (_ bv2 16)))) (not (= A1.V<10> (_ bv3 16)))))
(assert (or (= A1.V<11> (_ bv0 16)) (not (and A1.spref<10><1> (= A1.V<10> (_ bv3 16))))))
(assert (or (= A1.V<11> (_ bv2 16)) (not (and A1.spref<10><2> (= A1.V<10> (_ bv3 16))))))
(assert (or (= A1.mtime<10> 1) (not (and (= A1.V<10> (_ bv1 16)) (= A1.V<11> (_ bv3 16))))))
(assert (or (= A1.mtime<10> (/ 41 29)) (not (and (= A1.V<10> (_ bv1 16)) (= A1.V<11> (_ bv2 16))))))
(assert (or (= A1.mtime<10> 1) (not (and (= A1.V<10> (_ bv1 16)) (= A1.V<11> (_ bv0 16))))))
(assert (or (or (= A1.V<11> (_ bv0 16)) (or (= A1.V<11> (_ bv3 16)) (= A1.V<11> (_ bv2 16)))) (not (= A1.V<10> (_ bv1 16)))))
(assert (or (= A1.V<11> (_ bv0 16)) (not (and A1.spref<10><1> (= A1.V<10> (_ bv1 16))))))
(assert (or (= A1.V<11> (_ bv3 16)) (not (and A1.spref<10><2> (= A1.V<10> (_ bv1 16))))))
(assert (or (= A2.mtime<10> 1) (not (and (= A2.V<10> (_ bv0 16)) (= A2.V<11> (_ bv1 16))))))
(assert (or (= A2.mtime<10> (/ 41 29)) (not (and (= A2.V<10> (_ bv0 16)) (= A2.V<11> (_ bv3 16))))))
(assert (or (= A2.mtime<10> 1) (not (and (= A2.V<10> (_ bv0 16)) (= A2.V<11> (_ bv2 16))))))
(assert (or (or (= A2.V<11> (_ bv2 16)) (or (= A2.V<11> (_ bv1 16)) (= A2.V<11> (_ bv3 16)))) (not (= A2.V<10> (_ bv0 16)))))
(assert (or (= A2.V<11> (_ bv2 16)) (not (and A2.spref<10><1> (= A2.V<10> (_ bv0 16))))))
(assert (or (= A2.V<11> (_ bv1 16)) (not (and A2.spref<10><2> (= A2.V<10> (_ bv0 16))))))
(assert (or (= A2.mtime<10> 1) (not (and (= A2.V<10> (_ bv1 16)) (= A2.V<11> (_ bv3 16))))))
(assert (or (= A2.mtime<10> (/ 41 29)) (not (and (= A2.V<10> (_ bv1 16)) (= A2.V<11> (_ bv2 16))))))
(assert (or (= A2.mtime<10> 1) (not (and (= A2.V<10> (_ bv1 16)) (= A2.V<11> (_ bv0 16))))))
(assert (or (or (= A2.V<11> (_ bv0 16)) (or (= A2.V<11> (_ bv3 16)) (= A2.V<11> (_ bv2 16)))) (not (= A2.V<10> (_ bv1 16)))))
(assert (or (= A2.V<11> (_ bv2 16)) (not (and A2.spref<10><1> (= A2.V<10> (_ bv1 16))))))
(assert (or (= A2.V<11> (_ bv3 16)) (not (and A2.spref<10><2> (= A2.V<10> (_ bv1 16))))))
(assert (or (= A2.mtime<10> 1) (not (and (= A2.V<10> (_ bv2 16)) (= A2.V<11> (_ bv3 16))))))
(assert (or (= A2.mtime<10> (/ 41 29)) (not (and (= A2.V<10> (_ bv2 16)) (= A2.V<11> (_ bv1 16))))))
(assert (or (= A2.mtime<10> 1) (not (and (= A2.V<10> (_ bv2 16)) (= A2.V<11> (_ bv0 16))))))
(assert (or (and (= A2.mtime<10> 0) (= A2.wtime<10> 0)) (not (and (= A2.V<10> (_ bv2 16)) (= A2.V<11> (_ bv2 16))))))
(assert (or (not (and (= A2.V<9> (_ bv2 16)) (= A2.V<10> (_ bv2 16)))) (= A2.V<11> (_ bv2 16))))
(assert (or (or (= A2.V<11> (_ bv2 16)) (or (or (= A2.V<11> (_ bv1 16)) (= A2.V<11> (_ bv3 16))) (= A2.V<11> (_ bv0 16)))) (not (= A2.V<10> (_ bv2 16)))))
(assert (or (= A2.mtime<10> 1) (not (and (= A2.V<10> (_ bv3 16)) (= A2.V<11> (_ bv2 16))))))
(assert (or (= A2.mtime<10> 1) (not (and (= A2.V<10> (_ bv3 16)) (= A2.V<11> (_ bv1 16))))))
(assert (or (= A2.mtime<10> (/ 41 29)) (not (and (= A2.V<10> (_ bv3 16)) (= A2.V<11> (_ bv0 16))))))
(assert (or (or (= A2.V<11> (_ bv0 16)) (or (= A2.V<11> (_ bv1 16)) (= A2.V<11> (_ bv2 16)))) (not (= A2.V<10> (_ bv3 16)))))
(assert (or (= A2.V<11> (_ bv2 16)) (not (and A2.spref<10><1> (= A2.V<10> (_ bv3 16))))))
(assert (or (= A2.V<11> (_ bv1 16)) (not (and A2.spref<10><2> (= A2.V<10> (_ bv3 16))))))
(assert (or (= A3.mtime<10> 1) (not (and (= A3.V<10> (_ bv0 16)) (= A3.V<11> (_ bv1 16))))))
(assert (or (= A3.mtime<10> (/ 41 29)) (not (and (= A3.V<10> (_ bv0 16)) (= A3.V<11> (_ bv3 16))))))
(assert (or (= A3.mtime<10> 1) (not (and (= A3.V<10> (_ bv0 16)) (= A3.V<11> (_ bv2 16))))))
(assert (or (or (= A3.V<11> (_ bv2 16)) (or (= A3.V<11> (_ bv1 16)) (= A3.V<11> (_ bv3 16)))) (not (= A3.V<10> (_ bv0 16)))))
(assert (or (= A3.V<11> (_ bv3 16)) (not (and A3.spref<10><1> (= A3.V<10> (_ bv0 16))))))
(assert (or (= A3.V<11> (_ bv1 16)) (not (and A3.spref<10><2> (= A3.V<10> (_ bv0 16))))))
(assert (or (= A3.mtime<10> 1) (not (and (= A3.V<10> (_ bv1 16)) (= A3.V<11> (_ bv3 16))))))
(assert (or (= A3.mtime<10> (/ 41 29)) (not (and (= A3.V<10> (_ bv1 16)) (= A3.V<11> (_ bv2 16))))))
(assert (or (= A3.mtime<10> 1) (not (and (= A3.V<10> (_ bv1 16)) (= A3.V<11> (_ bv0 16))))))
(assert (or (or (= A3.V<11> (_ bv0 16)) (or (= A3.V<11> (_ bv3 16)) (= A3.V<11> (_ bv2 16)))) (not (= A3.V<10> (_ bv1 16)))))
(assert (or (= A3.V<11> (_ bv3 16)) (not (and A3.spref<10><1> (= A3.V<10> (_ bv1 16))))))
(assert (or (= A3.V<11> (_ bv2 16)) (not (and A3.spref<10><2> (= A3.V<10> (_ bv1 16))))))
(assert (or (= A3.mtime<10> 1) (not (and (= A3.V<10> (_ bv3 16)) (= A3.V<11> (_ bv2 16))))))
(assert (or (= A3.mtime<10> 1) (not (and (= A3.V<10> (_ bv3 16)) (= A3.V<11> (_ bv1 16))))))
(assert (or (= A3.mtime<10> (/ 41 29)) (not (and (= A3.V<10> (_ bv3 16)) (= A3.V<11> (_ bv0 16))))))
(assert (or (and (= A3.mtime<10> 0) (= A3.wtime<10> 0)) (not (and (= A3.V<10> (_ bv3 16)) (= A3.V<11> (_ bv3 16))))))
(assert (or (not (and (= A3.V<9> (_ bv3 16)) (= A3.V<10> (_ bv3 16)))) (= A3.V<11> (_ bv3 16))))
(assert (or (or (= A3.V<11> (_ bv3 16)) (or (= A3.V<11> (_ bv0 16)) (or (= A3.V<11> (_ bv1 16)) (= A3.V<11> (_ bv2 16))))) (not (= A3.V<10> (_ bv3 16)))))
(assert (or (= A3.mtime<10> 1) (not (and (= A3.V<10> (_ bv2 16)) (= A3.V<11> (_ bv3 16))))))
(assert (or (= A3.mtime<10> (/ 41 29)) (not (and (= A3.V<10> (_ bv2 16)) (= A3.V<11> (_ bv1 16))))))
(assert (or (= A3.mtime<10> 1) (not (and (= A3.V<10> (_ bv2 16)) (= A3.V<11> (_ bv0 16))))))
(assert (or (or (or (= A3.V<11> (_ bv1 16)) (= A3.V<11> (_ bv3 16))) (= A3.V<11> (_ bv0 16))) (not (= A3.V<10> (_ bv2 16)))))
(assert (or (= A3.V<11> (_ bv3 16)) (not (and A3.spref<10><1> (= A3.V<10> (_ bv2 16))))))
(assert (or (= A3.V<11> (_ bv1 16)) (not (and A3.spref<10><2> (= A3.V<10> (_ bv2 16))))))
(declare-const kass11 Bool)
(assert (or (= objtime A3.wtime<11>) (not kass11)))
(assert (or (not kass11) (= A3.mtime<11> 0)))
(assert (or (not kass11) (= objtime A2.wtime<11>)))
(assert (or (not kass11) (= A2.mtime<11> 0)))
(assert (or (not kass11) (= objtime A1.wtime<11>)))
(assert (or (not kass11) (= A1.mtime<11> 0)))
(assert (or (not kass11) (= objtime A0.wtime<11>)))
(assert (or (not kass11) (= A0.mtime<11> 0)))
(push 1)
(assert kass11)
(assert (= A3.V<11> (_ bv3 16)))
(assert (= A2.V<11> (_ bv2 16)))
(assert (= A1.V<11> (_ bv0 16)))
(assert (= A0.V<11> (_ bv1 16)))
(assert (= (+ objtime (+ (* (- 1) A0.atime<11>) (+ (* (- 1) A1.atime<11>) (+ (* (- 1) A2.atime<11>) (* (- 1) A3.atime<11>))))) 0))
(set-info :status unsat)
(check-sat)
(pop 1)
(declare-const A0.V<12> (_ BitVec 16))
(declare-const A0.atime<12> Real)
(assert (= (+ A0.atime<11> (+ A0.rtime<11> (* (- 1) A0.atime<12>))) 0))
(declare-const A0.rtime<12> Real)
(declare-const A0.wtime<12> Real)
(declare-const A0.mtime<12> Real)
(assert (= (+ A0.rtime<12> (+ (* (- 1) A0.wtime<12>) (* (- 1) A0.mtime<12>))) 0))
(assert (<= 0 A0.wtime<12>))
(assert (<= 0 A0.mtime<12>))
(declare-const A0.ppref<12> Bool)
(declare-const A0.spref<12><1> Bool)
(declare-const A0.spref<12><2> Bool)
(declare-const A0.spref<12><3> Bool)
(declare-const A1.V<12> (_ BitVec 16))
(declare-const A1.atime<12> Real)
(assert (= (+ A1.atime<11> (+ A1.rtime<11> (* (- 1) A1.atime<12>))) 0))
(declare-const A1.rtime<12> Real)
(declare-const A1.wtime<12> Real)
(declare-const A1.mtime<12> Real)
(assert (= (+ A1.rtime<12> (+ (* (- 1) A1.wtime<12>) (* (- 1) A1.mtime<12>))) 0))
(assert (<= 0 A1.wtime<12>))
(assert (<= 0 A1.mtime<12>))
(declare-const A1.ppref<12> Bool)
(declare-const A1.spref<12><1> Bool)
(declare-const A1.spref<12><2> Bool)
(declare-const A1.spref<12><3> Bool)
(declare-const A2.V<12> (_ BitVec 16))
(declare-const A2.atime<12> Real)
(assert (= (+ A2.atime<11> (+ A2.rtime<11> (* (- 1) A2.atime<12>))) 0))
(declare-const A2.rtime<12> Real)
(declare-const A2.wtime<12> Real)
(declare-const A2.mtime<12> Real)
(assert (= (+ A2.rtime<12> (+ (* (- 1) A2.wtime<12>) (* (- 1) A2.mtime<12>))) 0))
(assert (<= 0 A2.wtime<12>))
(assert (<= 0 A2.mtime<12>))
(declare-const A2.ppref<12> Bool)
(declare-const A2.spref<12><1> Bool)
(declare-const A2.spref<12><2> Bool)
(declare-const A2.spref<12><3> Bool)
(declare-const A3.V<12> (_ BitVec 16))
(declare-const A3.atime<12> Real)
(assert (= (+ A3.atime<11> (+ A3.rtime<11> (* (- 1) A3.atime<12>))) 0))
(declare-const A3.rtime<12> Real)
(declare-const A3.wtime<12> Real)
(declare-const A3.mtime<12> Real)
(assert (= (+ A3.rtime<12> (+ (* (- 1) A3.wtime<12>) (* (- 1) A3.mtime<12>))) 0))
(assert (<= 0 A3.wtime<12>))
(assert (<= 0 A3.mtime<12>))
(declare-const A3.ppref<12> Bool)
(declare-const A3.spref<12><1> Bool)
(declare-const A3.spref<12><2> Bool)
(declare-const A3.spref<12><3> Bool)
(assert (or (= A0.mtime<11> 1) (not (and (= A0.V<11> (_ bv2 16)) (= A0.V<12> (_ bv3 16))))))
(assert (or (= A0.mtime<11> (/ 41 29)) (not (and (= A0.V<11> (_ bv2 16)) (= A0.V<12> (_ bv1 16))))))
(assert (or (= A0.mtime<11> 1) (not (and (= A0.V<11> (_ bv2 16)) (= A0.V<12> (_ bv0 16))))))
(assert (or (or (= A0.V<12> (_ bv0 16)) (or (= A0.V<12> (_ bv3 16)) (= A0.V<12> (_ bv1 16)))) (not (= A0.V<11> (_ bv2 16)))))
(assert (or (= A0.V<12> (_ bv1 16)) (not (and A0.spref<11><1> (= A0.V<11> (_ bv2 16))))))
(assert (or (= A0.V<12> (_ bv3 16)) (not (and A0.spref<11><2> (= A0.V<11> (_ bv2 16))))))
(assert (or (= A0.mtime<11> 1) (not (and (= A0.V<11> (_ bv3 16)) (= A0.V<12> (_ bv2 16))))))
(assert (or (= A0.mtime<11> 1) (not (and (= A0.V<11> (_ bv3 16)) (= A0.V<12> (_ bv1 16))))))
(assert (or (= A0.mtime<11> (/ 41 29)) (not (and (= A0.V<11> (_ bv3 16)) (= A0.V<12> (_ bv0 16))))))
(assert (or (or (= A0.V<12> (_ bv0 16)) (or (= A0.V<12> (_ bv1 16)) (= A0.V<12> (_ bv2 16)))) (not (= A0.V<11> (_ bv3 16)))))
(assert (or (= A0.V<12> (_ bv1 16)) (not (and A0.spref<11><1> (= A0.V<11> (_ bv3 16))))))
(assert (or (= A0.V<12> (_ bv2 16)) (not (and A0.spref<11><2> (= A0.V<11> (_ bv3 16))))))
(assert (or (= A0.mtime<11> 1) (not (and (= A0.V<11> (_ bv1 16)) (= A0.V<12> (_ bv3 16))))))
(assert (or (= A0.mtime<11> (/ 41 29)) (not (and (= A0.V<11> (_ bv1 16)) (= A0.V<12> (_ bv2 16))))))
(assert (or (= A0.mtime<11> 1) (not (and (= A0.V<11> (_ bv1 16)) (= A0.V<12> (_ bv0 16))))))
(assert (or (and (= A0.mtime<11> 0) (= A0.wtime<11> 0)) (not (and (= A0.V<11> (_ bv1 16)) (= A0.V<12> (_ bv1 16))))))
(assert (or (not (and (= A0.V<10> (_ bv1 16)) (= A0.V<11> (_ bv1 16)))) (= A0.V<12> (_ bv1 16))))
(assert (or (or (= A0.V<12> (_ bv1 16)) (or (= A0.V<12> (_ bv0 16)) (or (= A0.V<12> (_ bv3 16)) (= A0.V<12> (_ bv2 16))))) (not (= A0.V<11> (_ bv1 16)))))
(assert (or (= A0.mtime<11> 1) (not (and (= A0.V<11> (_ bv0 16)) (= A0.V<12> (_ bv1 16))))))
(assert (or (= A0.mtime<11> (/ 41 29)) (not (and (= A0.V<11> (_ bv0 16)) (= A0.V<12> (_ bv3 16))))))
(assert (or (= A0.mtime<11> 1) (not (and (= A0.V<11> (_ bv0 16)) (= A0.V<12> (_ bv2 16))))))
(assert (or (or (or (= A0.V<12> (_ bv3 16)) (= A0.V<12> (_ bv1 16))) (= A0.V<12> (_ bv2 16))) (not (= A0.V<11> (_ bv0 16)))))
(assert (or (= A0.V<12> (_ bv1 16)) (not (and A0.spref<11><1> (= A0.V<11> (_ bv0 16))))))
(assert (or (= A0.V<12> (_ bv3 16)) (not (and A0.spref<11><2> (= A0.V<11> (_ bv0 16))))))
(assert (or (= A1.mtime<11> 1) (not (and (= A1.V<11> (_ bv0 16)) (= A1.V<12> (_ bv1 16))))))
(assert (or (= A1.mtime<11> (/ 41 29)) (not (and (= A1.V<11> (_ bv0 16)) (= A1.V<12> (_ bv3 16))))))
(assert (or (= A1.mtime<11> 1) (not (and (= A1.V<11> (_ bv0 16)) (= A1.V<12> (_ bv2 16))))))
(assert (or (and (= A1.mtime<11> 0) (= A1.wtime<11> 0)) (not (and (= A1.V<11> (_ bv0 16)) (= A1.V<12> (_ bv0 16))))))
(assert (or (not (and (= A1.V<10> (_ bv0 16)) (= A1.V<11> (_ bv0 16)))) (= A1.V<12> (_ bv0 16))))
(assert (or (or (= A1.V<12> (_ bv0 16)) (or (= A1.V<12> (_ bv2 16)) (or (= A1.V<12> (_ bv1 16)) (= A1.V<12> (_ bv3 16))))) (not (= A1.V<11> (_ bv0 16)))))
(assert (or (= A1.mtime<11> 1) (not (and (= A1.V<11> (_ bv2 16)) (= A1.V<12> (_ bv3 16))))))
(assert (or (= A1.mtime<11> (/ 41 29)) (not (and (= A1.V<11> (_ bv2 16)) (= A1.V<12> (_ bv1 16))))))
(assert (or (= A1.mtime<11> 1) (not (and (= A1.V<11> (_ bv2 16)) (= A1.V<12> (_ bv0 16))))))
(assert (or (or (= A1.V<12> (_ bv0 16)) (or (= A1.V<12> (_ bv1 16)) (= A1.V<12> (_ bv3 16)))) (not (= A1.V<11> (_ bv2 16)))))
(assert (or (= A1.V<12> (_ bv0 16)) (not (and A1.spref<11><1> (= A1.V<11> (_ bv2 16))))))
(assert (or (= A1.V<12> (_ bv3 16)) (not (and A1.spref<11><2> (= A1.V<11> (_ bv2 16))))))
(assert (or (= A1.mtime<11> 1) (not (and (= A1.V<11> (_ bv3 16)) (= A1.V<12> (_ bv2 16))))))
(assert (or (= A1.mtime<11> 1) (not (and (= A1.V<11> (_ bv3 16)) (= A1.V<12> (_ bv1 16))))))
(assert (or (= A1.mtime<11> (/ 41 29)) (not (and (= A1.V<11> (_ bv3 16)) (= A1.V<12> (_ bv0 16))))))
(assert (or (or (= A1.V<12> (_ bv0 16)) (or (= A1.V<12> (_ bv1 16)) (= A1.V<12> (_ bv2 16)))) (not (= A1.V<11> (_ bv3 16)))))
(assert (or (= A1.V<12> (_ bv0 16)) (not (and A1.spref<11><1> (= A1.V<11> (_ bv3 16))))))
(assert (or (= A1.V<12> (_ bv2 16)) (not (and A1.spref<11><2> (= A1.V<11> (_ bv3 16))))))
(assert (or (= A1.mtime<11> 1) (not (and (= A1.V<11> (_ bv1 16)) (= A1.V<12> (_ bv3 16))))))
(assert (or (= A1.mtime<11> (/ 41 29)) (not (and (= A1.V<11> (_ bv1 16)) (= A1.V<12> (_ bv2 16))))))
(assert (or (= A1.mtime<11> 1) (not (and (= A1.V<11> (_ bv1 16)) (= A1.V<12> (_ bv0 16))))))
(assert (or (or (= A1.V<12> (_ bv0 16)) (or (= A1.V<12> (_ bv3 16)) (= A1.V<12> (_ bv2 16)))) (not (= A1.V<11> (_ bv1 16)))))
(assert (or (= A1.V<12> (_ bv0 16)) (not (and A1.spref<11><1> (= A1.V<11> (_ bv1 16))))))
(assert (or (= A1.V<12> (_ bv3 16)) (not (and A1.spref<11><2> (= A1.V<11> (_ bv1 16))))))
(assert (or (= A2.mtime<11> 1) (not (and (= A2.V<11> (_ bv0 16)) (= A2.V<12> (_ bv1 16))))))
(assert (or (= A2.mtime<11> (/ 41 29)) (not (and (= A2.V<11> (_ bv0 16)) (= A2.V<12> (_ bv3 16))))))
(assert (or (= A2.mtime<11> 1) (not (and (= A2.V<11> (_ bv0 16)) (= A2.V<12> (_ bv2 16))))))
(assert (or (or (= A2.V<12> (_ bv2 16)) (or (= A2.V<12> (_ bv1 16)) (= A2.V<12> (_ bv3 16)))) (not (= A2.V<11> (_ bv0 16)))))
(assert (or (= A2.V<12> (_ bv2 16)) (not (and A2.spref<11><1> (= A2.V<11> (_ bv0 16))))))
(assert (or (= A2.V<12> (_ bv1 16)) (not (and A2.spref<11><2> (= A2.V<11> (_ bv0 16))))))
(assert (or (= A2.mtime<11> 1) (not (and (= A2.V<11> (_ bv1 16)) (= A2.V<12> (_ bv3 16))))))
(assert (or (= A2.mtime<11> (/ 41 29)) (not (and (= A2.V<11> (_ bv1 16)) (= A2.V<12> (_ bv2 16))))))
(assert (or (= A2.mtime<11> 1) (not (and (= A2.V<11> (_ bv1 16)) (= A2.V<12> (_ bv0 16))))))
(assert (or (or (= A2.V<12> (_ bv0 16)) (or (= A2.V<12> (_ bv3 16)) (= A2.V<12> (_ bv2 16)))) (not (= A2.V<11> (_ bv1 16)))))
(assert (or (= A2.V<12> (_ bv2 16)) (not (and A2.spref<11><1> (= A2.V<11> (_ bv1 16))))))
(assert (or (= A2.V<12> (_ bv3 16)) (not (and A2.spref<11><2> (= A2.V<11> (_ bv1 16))))))
(assert (or (= A2.mtime<11> 1) (not (and (= A2.V<11> (_ bv2 16)) (= A2.V<12> (_ bv3 16))))))
(assert (or (= A2.mtime<11> (/ 41 29)) (not (and (= A2.V<11> (_ bv2 16)) (= A2.V<12> (_ bv1 16))))))
(assert (or (= A2.mtime<11> 1) (not (and (= A2.V<11> (_ bv2 16)) (= A2.V<12> (_ bv0 16))))))
(assert (or (and (= A2.mtime<11> 0) (= A2.wtime<11> 0)) (not (and (= A2.V<11> (_ bv2 16)) (= A2.V<12> (_ bv2 16))))))
(assert (or (not (and (= A2.V<10> (_ bv2 16)) (= A2.V<11> (_ bv2 16)))) (= A2.V<12> (_ bv2 16))))
(assert (or (or (= A2.V<12> (_ bv2 16)) (or (or (= A2.V<12> (_ bv1 16)) (= A2.V<12> (_ bv3 16))) (= A2.V<12> (_ bv0 16)))) (not (= A2.V<11> (_ bv2 16)))))
(assert (or (= A2.mtime<11> 1) (not (and (= A2.V<11> (_ bv3 16)) (= A2.V<12> (_ bv2 16))))))
(assert (or (= A2.mtime<11> 1) (not (and (= A2.V<11> (_ bv3 16)) (= A2.V<12> (_ bv1 16))))))
(assert (or (= A2.mtime<11> (/ 41 29)) (not (and (= A2.V<11> (_ bv3 16)) (= A2.V<12> (_ bv0 16))))))
(assert (or (or (= A2.V<12> (_ bv0 16)) (or (= A2.V<12> (_ bv1 16)) (= A2.V<12> (_ bv2 16)))) (not (= A2.V<11> (_ bv3 16)))))
(assert (or (= A2.V<12> (_ bv2 16)) (not (and A2.spref<11><1> (= A2.V<11> (_ bv3 16))))))
(assert (or (= A2.V<12> (_ bv1 16)) (not (and A2.spref<11><2> (= A2.V<11> (_ bv3 16))))))
(assert (or (= A3.mtime<11> 1) (not (and (= A3.V<11> (_ bv0 16)) (= A3.V<12> (_ bv1 16))))))
(assert (or (= A3.mtime<11> (/ 41 29)) (not (and (= A3.V<11> (_ bv0 16)) (= A3.V<12> (_ bv3 16))))))
(assert (or (= A3.mtime<11> 1) (not (and (= A3.V<11> (_ bv0 16)) (= A3.V<12> (_ bv2 16))))))
(assert (or (or (= A3.V<12> (_ bv2 16)) (or (= A3.V<12> (_ bv1 16)) (= A3.V<12> (_ bv3 16)))) (not (= A3.V<11> (_ bv0 16)))))
(assert (or (= A3.V<12> (_ bv3 16)) (not (and A3.spref<11><1> (= A3.V<11> (_ bv0 16))))))
(assert (or (= A3.V<12> (_ bv1 16)) (not (and A3.spref<11><2> (= A3.V<11> (_ bv0 16))))))
(assert (or (= A3.mtime<11> 1) (not (and (= A3.V<11> (_ bv1 16)) (= A3.V<12> (_ bv3 16))))))
(assert (or (= A3.mtime<11> (/ 41 29)) (not (and (= A3.V<11> (_ bv1 16)) (= A3.V<12> (_ bv2 16))))))
(assert (or (= A3.mtime<11> 1) (not (and (= A3.V<11> (_ bv1 16)) (= A3.V<12> (_ bv0 16))))))
(assert (or (or (= A3.V<12> (_ bv0 16)) (or (= A3.V<12> (_ bv3 16)) (= A3.V<12> (_ bv2 16)))) (not (= A3.V<11> (_ bv1 16)))))
(assert (or (= A3.V<12> (_ bv3 16)) (not (and A3.spref<11><1> (= A3.V<11> (_ bv1 16))))))
(assert (or (= A3.V<12> (_ bv2 16)) (not (and A3.spref<11><2> (= A3.V<11> (_ bv1 16))))))
(assert (or (= A3.mtime<11> 1) (not (and (= A3.V<11> (_ bv3 16)) (= A3.V<12> (_ bv2 16))))))
(assert (or (= A3.mtime<11> 1) (not (and (= A3.V<11> (_ bv3 16)) (= A3.V<12> (_ bv1 16))))))
(assert (or (= A3.mtime<11> (/ 41 29)) (not (and (= A3.V<11> (_ bv3 16)) (= A3.V<12> (_ bv0 16))))))
(assert (or (and (= A3.mtime<11> 0) (= A3.wtime<11> 0)) (not (and (= A3.V<11> (_ bv3 16)) (= A3.V<12> (_ bv3 16))))))
(assert (or (not (and (= A3.V<10> (_ bv3 16)) (= A3.V<11> (_ bv3 16)))) (= A3.V<12> (_ bv3 16))))
(assert (or (or (= A3.V<12> (_ bv3 16)) (or (= A3.V<12> (_ bv0 16)) (or (= A3.V<12> (_ bv1 16)) (= A3.V<12> (_ bv2 16))))) (not (= A3.V<11> (_ bv3 16)))))
(assert (or (= A3.mtime<11> 1) (not (and (= A3.V<11> (_ bv2 16)) (= A3.V<12> (_ bv3 16))))))
(assert (or (= A3.mtime<11> (/ 41 29)) (not (and (= A3.V<11> (_ bv2 16)) (= A3.V<12> (_ bv1 16))))))
(assert (or (= A3.mtime<11> 1) (not (and (= A3.V<11> (_ bv2 16)) (= A3.V<12> (_ bv0 16))))))
(assert (or (or (or (= A3.V<12> (_ bv1 16)) (= A3.V<12> (_ bv3 16))) (= A3.V<12> (_ bv0 16))) (not (= A3.V<11> (_ bv2 16)))))
(assert (or (= A3.V<12> (_ bv3 16)) (not (and A3.spref<11><1> (= A3.V<11> (_ bv2 16))))))
(assert (or (= A3.V<12> (_ bv1 16)) (not (and A3.spref<11><2> (= A3.V<11> (_ bv2 16))))))
(declare-const kass12 Bool)
(assert (or (= objtime A3.wtime<12>) (not kass12)))
(assert (or (not kass12) (= A3.mtime<12> 0)))
(assert (or (not kass12) (= objtime A2.wtime<12>)))
(assert (or (not kass12) (= A2.mtime<12> 0)))
(assert (or (not kass12) (= objtime A1.wtime<12>)))
(assert (or (not kass12) (= A1.mtime<12> 0)))
(assert (or (not kass12) (= objtime A0.wtime<12>)))
(assert (or (not kass12) (= A0.mtime<12> 0)))
(push 1)
(assert kass12)
(assert (= A3.V<12> (_ bv3 16)))
(assert (= A2.V<12> (_ bv2 16)))
(assert (= A1.V<12> (_ bv0 16)))
(assert (= A0.V<12> (_ bv1 16)))
(assert (= (+ objtime (+ (* (- 1) A0.atime<12>) (+ (* (- 1) A1.atime<12>) (+ (* (- 1) A2.atime<12>) (* (- 1) A3.atime<12>))))) 0))
(set-info :status unsat)
(check-sat)
(exit)
