(set-info :smt-lib-version 2.6)
(set-logic QF_BVLRA)
(set-info :source |
Generated by: Tomas Kolarik
Generated on: 2024-04-14
Generator: gitlab.com/Tomaqa/mapf_r
Application: Multi-Agent Path-Finding with Continuous Time
Target solver: Z3, CVC4, MathSAT
Publications: Tomas Kolarik, Stefan Ratschan and Pavel Surynek: "Multi-Agent Path-Finding with Continuous Time Using SAT Modulo Linear Real Arithmetic" in ICAART, SCITEPRESS, 2024.
The benchmarks mimic MAPF problems with continuous time where the objective time must be sub-optimal, bounded by a user-specified coefficient. In the original solver, a simulator checks whether there are collisions between particular agents, according to the current model. This check is missing in the case of the final 'check-sat'. The benchmarks also lack commands for preferring certain variables during the search which is of huge importance when searching for short paths in a graph. However, the final plan must still avoid all collisions encountered by the original solver and the objective time must obey the sub-optimal coefficient. Producing models is crucial for the application since the intended solver communicates values of particular variables with the simulator. This communication is ommited though for simplicity. The final 'get-value' allows to compare with the original solver that the objective time indeed obeys the coefficient. Filenames without the extensions correspond to filenames of resulting plans of the original solver.
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(declare-const objtime Real)
(declare-const oo Real)
(declare-const eps Real)
(declare-const A0.V<0> (_ BitVec 16))
(declare-const A0.atime<0> Real)
(assert (= A0.atime<0> 0))
(declare-const A0.rtime<0> Real)
(declare-const A0.wtime<0> Real)
(declare-const A0.mtime<0> Real)
(assert (= (+ A0.rtime<0> (+ (* (- 1) A0.wtime<0>) (* (- 1) A0.mtime<0>))) 0))
(assert (<= 0 A0.wtime<0>))
(assert (<= 0 A0.mtime<0>))
(declare-const wpref0 Bool)
(assert (or (= A0.wtime<0> 0) (not wpref0)))
(declare-const A0.ppref<0> Bool)
(declare-const A0.spref<0><1> Bool)
(declare-const A0.spref<0><2> Bool)
(declare-const A0.spref<0><3> Bool)
(declare-const A0.spref<0><4> Bool)
(declare-const A0.spref<0><5> Bool)
(declare-const A0.spref<0><6> Bool)
(declare-const A0.spref<0><7> Bool)
(declare-const A0.spref<0><8> Bool)
(declare-const A0.spref<0><9> Bool)
(declare-const A0.spref<0><10> Bool)
(declare-const A0.spref<0><11> Bool)
(declare-const A0.spref<0><12> Bool)
(declare-const A0.spref<0><13> Bool)
(declare-const A0.spref<0><14> Bool)
(declare-const A0.spref<0><15> Bool)
(declare-const A0.spref<0><16> Bool)
(declare-const A0.spref<0><17> Bool)
(declare-const A0.spref<0><18> Bool)
(declare-const A0.spref<0><19> Bool)
(declare-const A0.spref<0><20> Bool)
(declare-const A0.spref<0><21> Bool)
(declare-const A0.spref<0><22> Bool)
(declare-const A0.spref<0><23> Bool)
(declare-const A0.spref<0><24> Bool)
(declare-const A0.spref<0><25> Bool)
(declare-const A0.spref<0><26> Bool)
(declare-const A0.spref<0><27> Bool)
(declare-const A0.spref<0><28> Bool)
(declare-const A0.spref<0><29> Bool)
(declare-const A0.spref<0><30> Bool)
(declare-const A0.spref<0><31> Bool)
(declare-const A0.spref<0><32> Bool)
(declare-const A1.V<0> (_ BitVec 16))
(declare-const A1.atime<0> Real)
(assert (= A1.atime<0> 0))
(declare-const A1.rtime<0> Real)
(declare-const A1.wtime<0> Real)
(declare-const A1.mtime<0> Real)
(assert (= (+ A1.rtime<0> (+ (* (- 1) A1.wtime<0>) (* (- 1) A1.mtime<0>))) 0))
(assert (<= 0 A1.wtime<0>))
(assert (<= 0 A1.mtime<0>))
(declare-const wpref1 Bool)
(assert (or (= A1.wtime<0> 0) (not wpref1)))
(declare-const A1.ppref<0> Bool)
(declare-const A1.spref<0><1> Bool)
(declare-const A1.spref<0><2> Bool)
(declare-const A1.spref<0><3> Bool)
(declare-const A1.spref<0><4> Bool)
(declare-const A1.spref<0><5> Bool)
(declare-const A1.spref<0><6> Bool)
(declare-const A1.spref<0><7> Bool)
(declare-const A1.spref<0><8> Bool)
(declare-const A1.spref<0><9> Bool)
(declare-const A1.spref<0><10> Bool)
(declare-const A1.spref<0><11> Bool)
(declare-const A1.spref<0><12> Bool)
(declare-const A1.spref<0><13> Bool)
(declare-const A1.spref<0><14> Bool)
(declare-const A1.spref<0><15> Bool)
(declare-const A1.spref<0><16> Bool)
(declare-const A1.spref<0><17> Bool)
(declare-const A1.spref<0><18> Bool)
(declare-const A1.spref<0><19> Bool)
(declare-const A1.spref<0><20> Bool)
(declare-const A1.spref<0><21> Bool)
(declare-const A1.spref<0><22> Bool)
(declare-const A1.spref<0><23> Bool)
(declare-const A1.spref<0><24> Bool)
(declare-const A1.spref<0><25> Bool)
(declare-const A1.spref<0><26> Bool)
(declare-const A1.spref<0><27> Bool)
(declare-const A1.spref<0><28> Bool)
(declare-const A1.spref<0><29> Bool)
(declare-const A1.spref<0><30> Bool)
(declare-const A1.spref<0><31> Bool)
(declare-const A1.spref<0><32> Bool)
(assert (= A1.V<0> (_ bv25 16)))
(assert (= A0.V<0> (_ bv39 16)))
(assert (or (= A0.wtime<0> 0) (= A1.wtime<0> 0)))
(assert (or (= A0.V<0> (_ bv39 16)) (not A0.ppref<0>)))
(assert (or (= A1.V<0> (_ bv25 16)) (not A1.ppref<0>)))
(declare-const A0.V<1> (_ BitVec 16))
(declare-const A0.atime<1> Real)
(assert (= (+ A0.atime<0> (+ A0.rtime<0> (* (- 1) A0.atime<1>))) 0))
(declare-const A0.rtime<1> Real)
(declare-const A0.wtime<1> Real)
(declare-const A0.mtime<1> Real)
(assert (= (+ A0.rtime<1> (+ (* (- 1) A0.wtime<1>) (* (- 1) A0.mtime<1>))) 0))
(assert (<= 0 A0.wtime<1>))
(assert (<= 0 A0.mtime<1>))
(declare-const A0.ppref<1> Bool)
(declare-const A0.spref<1><1> Bool)
(declare-const A0.spref<1><2> Bool)
(declare-const A0.spref<1><3> Bool)
(declare-const A0.spref<1><4> Bool)
(declare-const A0.spref<1><5> Bool)
(declare-const A0.spref<1><6> Bool)
(declare-const A0.spref<1><7> Bool)
(declare-const A0.spref<1><8> Bool)
(declare-const A0.spref<1><9> Bool)
(declare-const A0.spref<1><10> Bool)
(declare-const A0.spref<1><11> Bool)
(declare-const A0.spref<1><12> Bool)
(declare-const A0.spref<1><13> Bool)
(declare-const A0.spref<1><14> Bool)
(declare-const A0.spref<1><15> Bool)
(declare-const A0.spref<1><16> Bool)
(declare-const A0.spref<1><17> Bool)
(declare-const A0.spref<1><18> Bool)
(declare-const A0.spref<1><19> Bool)
(declare-const A0.spref<1><20> Bool)
(declare-const A0.spref<1><21> Bool)
(declare-const A0.spref<1><22> Bool)
(declare-const A0.spref<1><23> Bool)
(declare-const A0.spref<1><24> Bool)
(declare-const A0.spref<1><25> Bool)
(declare-const A0.spref<1><26> Bool)
(declare-const A0.spref<1><27> Bool)
(declare-const A0.spref<1><28> Bool)
(declare-const A0.spref<1><29> Bool)
(declare-const A0.spref<1><30> Bool)
(declare-const A0.spref<1><31> Bool)
(declare-const A0.spref<1><32> Bool)
(declare-const A1.V<1> (_ BitVec 16))
(declare-const A1.atime<1> Real)
(assert (= (+ A1.atime<0> (+ A1.rtime<0> (* (- 1) A1.atime<1>))) 0))
(declare-const A1.rtime<1> Real)
(declare-const A1.wtime<1> Real)
(declare-const A1.mtime<1> Real)
(assert (= (+ A1.rtime<1> (+ (* (- 1) A1.wtime<1>) (* (- 1) A1.mtime<1>))) 0))
(assert (<= 0 A1.wtime<1>))
(assert (<= 0 A1.mtime<1>))
(declare-const A1.ppref<1> Bool)
(declare-const A1.spref<1><1> Bool)
(declare-const A1.spref<1><2> Bool)
(declare-const A1.spref<1><3> Bool)
(declare-const A1.spref<1><4> Bool)
(declare-const A1.spref<1><5> Bool)
(declare-const A1.spref<1><6> Bool)
(declare-const A1.spref<1><7> Bool)
(declare-const A1.spref<1><8> Bool)
(declare-const A1.spref<1><9> Bool)
(declare-const A1.spref<1><10> Bool)
(declare-const A1.spref<1><11> Bool)
(declare-const A1.spref<1><12> Bool)
(declare-const A1.spref<1><13> Bool)
(declare-const A1.spref<1><14> Bool)
(declare-const A1.spref<1><15> Bool)
(declare-const A1.spref<1><16> Bool)
(declare-const A1.spref<1><17> Bool)
(declare-const A1.spref<1><18> Bool)
(declare-const A1.spref<1><19> Bool)
(declare-const A1.spref<1><20> Bool)
(declare-const A1.spref<1><21> Bool)
(declare-const A1.spref<1><22> Bool)
(declare-const A1.spref<1><23> Bool)
(declare-const A1.spref<1><24> Bool)
(declare-const A1.spref<1><25> Bool)
(declare-const A1.spref<1><26> Bool)
(declare-const A1.spref<1><27> Bool)
(declare-const A1.spref<1><28> Bool)
(declare-const A1.spref<1><29> Bool)
(declare-const A1.spref<1><30> Bool)
(declare-const A1.spref<1><31> Bool)
(declare-const A1.spref<1><32> Bool)
(assert (or (= A0.V<1> (_ bv44 16)) (not A0.ppref<1>)))
(assert (or (= A1.V<1> (_ bv34 16)) (not A1.ppref<1>)))
(assert (or (= A0.mtime<0> (/ 98 31)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.mtime<0> (/ 137 38)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.mtime<0> (/ 137 38)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.mtime<0> (/ 98 31)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.mtime<0> 1) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.mtime<0> (/ 137 38)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.mtime<0> (/ 98 31)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.mtime<0> (/ 137 38)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.mtime<0> (/ 41 29)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.mtime<0> (/ 98 31)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.mtime<0> (/ 41 29)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.mtime<0> (/ 38 17)) (not (and (= A0.V<0> (_ bv39 16)) (= A0.V<1> (_ bv45 16))))))
(assert (or (or (= A0.V<1> (_ bv45 16)) (or (= A0.V<1> (_ bv30 16)) (or (= A0.V<1> (_ bv29 16)) (or (= A0.V<1> (_ bv28 16)) (or (= A0.V<1> (_ bv22 16)) (or (= A0.V<1> (_ bv46 16)) (or (= A0.V<1> (_ bv20 16)) (or (= A0.V<1> (_ bv14 16)) (or (= A0.V<1> (_ bv13 16)) (or (= A0.V<1> (_ bv47 16)) (or (= A0.V<1> (_ bv44 16)) (or (= A0.V<1> (_ bv31 16)) (or (= A0.V<1> (_ bv38 16)) (or (= A0.V<1> (_ bv52 16)) (or (= A0.V<1> (_ bv54 16)) (or (= A0.V<1> (_ bv62 16)) (= A0.V<1> (_ bv61 16)))))))))))))))))) (not (= A0.V<0> (_ bv39 16)))))
(assert (or (= A0.V<1> (_ bv44 16)) (not (and A0.spref<0><1> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv38 16)) (not (and A0.spref<0><2> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv45 16)) (not (and A0.spref<0><3> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv46 16)) (not (and A0.spref<0><4> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv29 16)) (not (and A0.spref<0><5> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv52 16)) (not (and A0.spref<0><6> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv28 16)) (not (and A0.spref<0><7> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv30 16)) (not (and A0.spref<0><8> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv47 16)) (not (and A0.spref<0><9> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv31 16)) (not (and A0.spref<0><10> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv54 16)) (not (and A0.spref<0><11> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv20 16)) (not (and A0.spref<0><12> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv61 16)) (not (and A0.spref<0><13> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv22 16)) (not (and A0.spref<0><14> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv62 16)) (not (and A0.spref<0><15> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A0.V<1> (_ bv13 16)) (not (and A0.spref<0><16> (= A0.V<0> (_ bv39 16))))))
(assert (or (= A1.mtime<0> (/ 137 38)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.mtime<0> (/ 137 38)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.mtime<0> 1) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.mtime<0> (/ 137 38)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.mtime<0> (/ 137 38)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.mtime<0> (/ 41 29)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.mtime<0> (/ 98 31)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.mtime<0> (/ 38 17)) (not (and (= A1.V<0> (_ bv25 16)) (= A1.V<1> (_ bv19 16))))))
(assert (or (or (= A1.V<1> (_ bv19 16)) (or (= A1.V<1> (_ bv48 16)) (or (= A1.V<1> (_ bv18 16)) (or (= A1.V<1> (_ bv12 16)) (or (= A1.V<1> (_ bv10 16)) (or (= A1.V<1> (_ bv8 16)) (or (= A1.V<1> (_ bv16 16)) (or (= A1.V<1> (_ bv3 16)) (or (= A1.V<1> (_ bv32 16)) (or (= A1.V<1> (_ bv2 16)) (or (= A1.V<1> (_ bv0 16)) (or (= A1.V<1> (_ bv26 16)) (or (= A1.V<1> (_ bv33 16)) (or (= A1.V<1> (_ bv24 16)) (or (= A1.V<1> (_ bv17 16)) (or (= A1.V<1> (_ bv20 16)) (or (= A1.V<1> (_ bv34 16)) (or (= A1.V<1> (_ bv35 16)) (or (= A1.V<1> (_ bv36 16)) (or (= A1.V<1> (_ bv40 16)) (or (= A1.V<1> (_ bv42 16)) (or (= A1.V<1> (_ bv44 16)) (or (= A1.V<1> (_ bv51 16)) (= A1.V<1> (_ bv50 16))))))))))))))))))))))))) (not (= A1.V<0> (_ bv25 16)))))
(assert (or (= A1.V<1> (_ bv34 16)) (not (and A1.spref<0><1> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv51 16)) (not (and A1.spref<0><2> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv44 16)) (not (and A1.spref<0><3> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv42 16)) (not (and A1.spref<0><4> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv35 16)) (not (and A1.spref<0><5> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv26 16)) (not (and A1.spref<0><6> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv33 16)) (not (and A1.spref<0><7> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv50 16)) (not (and A1.spref<0><8> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv36 16)) (not (and A1.spref<0><9> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv32 16)) (not (and A1.spref<0><10> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv18 16)) (not (and A1.spref<0><11> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv17 16)) (not (and A1.spref<0><12> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv24 16)) (not (and A1.spref<0><13> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv40 16)) (not (and A1.spref<0><14> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv19 16)) (not (and A1.spref<0><15> (= A1.V<0> (_ bv25 16))))))
(assert (or (= A1.V<1> (_ bv20 16)) (not (and A1.spref<0><16> (= A1.V<0> (_ bv25 16))))))
(declare-const A0.V<2> (_ BitVec 16))
(declare-const A0.atime<2> Real)
(assert (= (+ A0.atime<1> (+ A0.rtime<1> (* (- 1) A0.atime<2>))) 0))
(declare-const A0.rtime<2> Real)
(declare-const A0.wtime<2> Real)
(declare-const A0.mtime<2> Real)
(assert (= (+ A0.rtime<2> (+ (* (- 1) A0.wtime<2>) (* (- 1) A0.mtime<2>))) 0))
(assert (<= 0 A0.wtime<2>))
(assert (<= 0 A0.mtime<2>))
(declare-const A0.ppref<2> Bool)
(declare-const A0.spref<2><1> Bool)
(declare-const A0.spref<2><2> Bool)
(declare-const A0.spref<2><3> Bool)
(declare-const A0.spref<2><4> Bool)
(declare-const A0.spref<2><5> Bool)
(declare-const A0.spref<2><6> Bool)
(declare-const A0.spref<2><7> Bool)
(declare-const A0.spref<2><8> Bool)
(declare-const A0.spref<2><9> Bool)
(declare-const A0.spref<2><10> Bool)
(declare-const A0.spref<2><11> Bool)
(declare-const A0.spref<2><12> Bool)
(declare-const A0.spref<2><13> Bool)
(declare-const A0.spref<2><14> Bool)
(declare-const A0.spref<2><15> Bool)
(declare-const A0.spref<2><16> Bool)
(declare-const A0.spref<2><17> Bool)
(declare-const A0.spref<2><18> Bool)
(declare-const A0.spref<2><19> Bool)
(declare-const A0.spref<2><20> Bool)
(declare-const A0.spref<2><21> Bool)
(declare-const A0.spref<2><22> Bool)
(declare-const A0.spref<2><23> Bool)
(declare-const A0.spref<2><24> Bool)
(declare-const A0.spref<2><25> Bool)
(declare-const A0.spref<2><26> Bool)
(declare-const A0.spref<2><27> Bool)
(declare-const A0.spref<2><28> Bool)
(declare-const A0.spref<2><29> Bool)
(declare-const A0.spref<2><30> Bool)
(declare-const A0.spref<2><31> Bool)
(declare-const A0.spref<2><32> Bool)
(declare-const A1.V<2> (_ BitVec 16))
(declare-const A1.atime<2> Real)
(assert (= (+ A1.atime<1> (+ A1.rtime<1> (* (- 1) A1.atime<2>))) 0))
(declare-const A1.rtime<2> Real)
(declare-const A1.wtime<2> Real)
(declare-const A1.mtime<2> Real)
(assert (= (+ A1.rtime<2> (+ (* (- 1) A1.wtime<2>) (* (- 1) A1.mtime<2>))) 0))
(assert (<= 0 A1.wtime<2>))
(assert (<= 0 A1.mtime<2>))
(declare-const A1.ppref<2> Bool)
(declare-const A1.spref<2><1> Bool)
(declare-const A1.spref<2><2> Bool)
(declare-const A1.spref<2><3> Bool)
(declare-const A1.spref<2><4> Bool)
(declare-const A1.spref<2><5> Bool)
(declare-const A1.spref<2><6> Bool)
(declare-const A1.spref<2><7> Bool)
(declare-const A1.spref<2><8> Bool)
(declare-const A1.spref<2><9> Bool)
(declare-const A1.spref<2><10> Bool)
(declare-const A1.spref<2><11> Bool)
(declare-const A1.spref<2><12> Bool)
(declare-const A1.spref<2><13> Bool)
(declare-const A1.spref<2><14> Bool)
(declare-const A1.spref<2><15> Bool)
(declare-const A1.spref<2><16> Bool)
(declare-const A1.spref<2><17> Bool)
(declare-const A1.spref<2><18> Bool)
(declare-const A1.spref<2><19> Bool)
(declare-const A1.spref<2><20> Bool)
(declare-const A1.spref<2><21> Bool)
(declare-const A1.spref<2><22> Bool)
(declare-const A1.spref<2><23> Bool)
(declare-const A1.spref<2><24> Bool)
(declare-const A1.spref<2><25> Bool)
(declare-const A1.spref<2><26> Bool)
(declare-const A1.spref<2><27> Bool)
(declare-const A1.spref<2><28> Bool)
(declare-const A1.spref<2><29> Bool)
(declare-const A1.spref<2><30> Bool)
(declare-const A1.spref<2><31> Bool)
(declare-const A1.spref<2><32> Bool)
(assert (or (= A0.V<2> (_ bv43 16)) (not A0.ppref<2>)))
(assert (or (= A1.V<2> (_ bv43 16)) (not A1.ppref<2>)))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv45 16)) (= A0.V<2> (_ bv34 16))))))
(assert (or (or (= A0.V<2> (_ bv34 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv26 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv50 16)) (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv58 16)) (or (= A0.V<2> (_ bv62 16)) (= A0.V<2> (_ bv60 16))))))))))))))))))))))))) (not (= A0.V<1> (_ bv45 16)))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv34 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv50 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv60 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv26 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv58 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv30 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv53 16)) (= A0.V<2> (_ bv55 16))))))))))))))))))))))))) (not (= A0.V<1> (_ bv30 16)))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv31 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv29 16)) (= A0.V<2> (_ bv18 16))))))
(assert (or (or (= A0.V<2> (_ bv18 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv34 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv42 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv54 16)) (= A0.V<2> (_ bv55 16))))))))))))))))))))))))))))) (not (= A0.V<1> (_ bv29 16)))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv34 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv42 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv18 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv41 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv28 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv41 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv33 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv50 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv18 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv34 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv17 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv54 16)) (= A0.V<2> (_ bv53 16))))))))))))))))))))))))))))))))) (not (= A0.V<1> (_ bv28 16)))))
(assert (or (= A0.V<2> (_ bv41 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv34 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv33 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv50 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv18 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv17 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv22 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv47 16)) (= A0.V<2> (_ bv45 16)))))))))))))))))))))) (not (= A0.V<1> (_ bv22 16)))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv12 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv14 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv23 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv31 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv39 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<1> (_ bv39 16))))))
(assert (or (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv62 16)) (= A0.V<2> (_ bv61 16)))))))))))))))))) (not (= A0.V<1> (_ bv39 16)))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv47 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv31 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv61 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv62 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv52 16)) (= A0.V<2> (_ bv41 16))))))
(assert (or (or (= A0.V<2> (_ bv41 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv33 16)) (or (= A0.V<2> (_ bv62 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv59 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv58 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv26 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv60 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv42 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv57 16)) (or (= A0.V<2> (_ bv61 16)) (= A0.V<2> (_ bv63 16))))))))))))))))))))))))) (not (= A0.V<1> (_ bv52 16)))))
(assert (or (= A0.V<2> (_ bv41 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv42 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv59 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv58 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv33 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv60 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv57 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv26 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv61 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv13 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv2 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv18 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv26 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv39 16)) (= A0.V<2> (_ bv38 16)))))))))))))))))))))) (not (= A0.V<1> (_ bv13 16)))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv26 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv12 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv18 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv14 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv3 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.V<2> (_ bv2 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv62 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv61 16)) (or (= A0.V<2> (_ bv63 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv53 16)) (= A0.V<2> (_ bv55 16)))))))))))))) (not (= A0.V<1> (_ bv62 16)))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv61 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv63 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv55 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv47 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv62 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv61 16)) (= A0.V<2> (_ bv50 16))))))
(assert (or (or (= A0.V<2> (_ bv50 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv42 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv62 16)) (or (= A0.V<2> (_ bv60 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv54 16)) (= A0.V<2> (_ bv55 16)))))))))))))))) (not (= A0.V<1> (_ bv61 16)))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv50 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv60 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv42 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv62 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv55 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv54 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv60 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv62 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv59 16)) (or (= A0.V<2> (_ bv61 16)) (= A0.V<2> (_ bv63 16))))))))))))))))))) (not (= A0.V<1> (_ bv54 16)))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv60 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv61 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv59 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv62 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv55 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv47 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.V<2> (_ bv63 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv38 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv60 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv61 16)) (= A0.V<2> (_ bv63 16))))))))))))))))))))))))) (not (= A0.V<1> (_ bv38 16)))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv60 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.V<2> (_ bv47 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv31 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv44 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv54 16)) (= A0.V<2> (_ bv53 16)))))))))))))))))) (not (= A0.V<1> (_ bv31 16)))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv44 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv23 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv12 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv14 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv44 16)) (= A0.V<2> (_ bv33 16))))))
(assert (or (or (= A0.V<2> (_ bv33 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv25 16)) (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv50 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv18 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv34 16)) (or (= A0.V<2> (_ bv63 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv49 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv57 16)) (or (= A0.V<2> (_ bv61 16)) (= A0.V<2> (_ bv59 16))))))))))))))))))))))))))))) (not (= A0.V<1> (_ bv44 16)))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv50 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv34 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv33 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv49 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv59 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv25 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.V<2> (_ bv57 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv44 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv47 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv46 16)) (or (= A0.V<2> (_ bv62 16)) (= A0.V<2> (_ bv60 16)))))))))))))))) (not (= A0.V<1> (_ bv47 16)))))
(assert (or (= A0.V<2> (_ bv46 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv55 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv60 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv62 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv30 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv14 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv4 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv22 16)) (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv6 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv39 16)) (= A0.V<2> (_ bv37 16))))))))))))))))))) (not (= A0.V<1> (_ bv14 16)))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv20 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv22 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv5 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv6 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv4 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv23 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv15 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv3 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.V<2> (_ bv31 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv20 16)) (= A0.V<2> (_ bv13 16))))))
(assert (or (or (= A0.V<2> (_ bv13 16)) (or (= A0.V<2> (_ bv42 16)) (or (= A0.V<2> (_ bv11 16)) (or (= A0.V<2> (_ bv10 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv9 16)) (or (= A0.V<2> (_ bv7 16)) (or (= A0.V<2> (_ bv5 16)) (or (= A0.V<2> (_ bv3 16)) (or (= A0.V<2> (_ bv14 16)) (or (= A0.V<2> (_ bv43 16)) (or (= A0.V<2> (_ bv1 16)) (or (= A0.V<2> (_ bv30 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv28 16)) (or (= A0.V<2> (_ bv19 16)) (or (= A0.V<2> (_ bv12 16)) (or (= A0.V<2> (_ bv15 16)) (or (= A0.V<2> (_ bv25 16)) (or (= A0.V<2> (_ bv26 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv33 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv46 16)) (= A0.V<2> (_ bv45 16))))))))))))))))))))))))))))) (not (= A0.V<1> (_ bv20 16)))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv26 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv42 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv33 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv19 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv28 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv25 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv43 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv11 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv12 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv21 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv10 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.V<2> (_ bv13 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<1> 1) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<1> (/ 137 38)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<1> (/ 38 17)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<1> (/ 98 31)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<1> (/ 41 29)) (not (and (= A0.V<1> (_ bv46 16)) (= A0.V<2> (_ bv37 16))))))
(assert (or (or (= A0.V<2> (_ bv37 16)) (or (= A0.V<2> (_ bv35 16)) (or (= A0.V<2> (_ bv31 16)) (or (= A0.V<2> (_ bv29 16)) (or (= A0.V<2> (_ bv27 16)) (or (= A0.V<2> (_ bv36 16)) (or (= A0.V<2> (_ bv23 16)) (or (= A0.V<2> (_ bv52 16)) (or (= A0.V<2> (_ bv20 16)) (or (= A0.V<2> (_ bv21 16)) (or (= A0.V<2> (_ bv47 16)) (or (= A0.V<2> (_ bv54 16)) (or (= A0.V<2> (_ bv45 16)) (or (= A0.V<2> (_ bv38 16)) (or (= A0.V<2> (_ bv39 16)) (or (= A0.V<2> (_ bv51 16)) (or (= A0.V<2> (_ bv53 16)) (or (= A0.V<2> (_ bv55 16)) (or (= A0.V<2> (_ bv59 16)) (or (= A0.V<2> (_ bv61 16)) (= A0.V<2> (_ bv63 16)))))))))))))))))))))) (not (= A0.V<1> (_ bv46 16)))))
(assert (or (= A0.V<2> (_ bv45 16)) (not (and A0.spref<1><1> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv35 16)) (not (and A0.spref<1><2> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv51 16)) (not (and A0.spref<1><3> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv36 16)) (not (and A0.spref<1><4> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv52 16)) (not (and A0.spref<1><5> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv37 16)) (not (and A0.spref<1><6> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv53 16)) (not (and A0.spref<1><7> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv38 16)) (not (and A0.spref<1><8> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv54 16)) (not (and A0.spref<1><9> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv59 16)) (not (and A0.spref<1><10> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv27 16)) (not (and A0.spref<1><11> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv61 16)) (not (and A0.spref<1><12> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv29 16)) (not (and A0.spref<1><13> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv47 16)) (not (and A0.spref<1><14> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv39 16)) (not (and A0.spref<1><15> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A0.V<2> (_ bv55 16)) (not (and A0.spref<1><16> (= A0.V<1> (_ bv46 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv19 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv38 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv30 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv45 16)) (= A1.V<2> (_ bv44 16))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv19 16)))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv20 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv38 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv30 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv12 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv48 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv56 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv59 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv58 16)) (= A1.V<2> (_ bv57 16)))))))))))))) (not (= A1.V<1> (_ bv48 16)))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv56 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv18 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv43 16)) (= A1.V<2> (_ bv44 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv18 16)))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.V<2> (_ bv12 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv12 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv6 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv31 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv22 16)) (or (= A1.V<2> (_ bv23 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv38 16)) (= A1.V<2> (_ bv37 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv12 16)))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv20 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv21 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv38 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv22 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv31 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv4 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.V<2> (_ bv5 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv10 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv36 16)) (= A1.V<2> (_ bv35 16)))))))))))))))))))))) (not (= A1.V<1> (_ bv10 16)))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv20 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv21 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv8 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv34 16)) (= A1.V<2> (_ bv33 16)))))))))))))) (not (= A1.V<1> (_ bv8 16)))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv0 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv16 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv42 16)) (= A1.V<2> (_ bv41 16)))))))))))))))) (not (= A1.V<1> (_ bv16 16)))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv3 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv22 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv28 16)) (= A1.V<2> (_ bv29 16)))))))))))))))))) (not (= A1.V<1> (_ bv3 16)))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv20 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv12 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv4 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv22 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv14 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv32 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv49 16)) (or (or (= A1.V<2> (_ bv58 16)) (= A1.V<2> (_ bv57 16))) (= A1.V<2> (_ bv51 16))))))))))))))))) (not (= A1.V<1> (_ bv32 16)))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv2 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv28 16)) (= A1.V<2> (_ bv27 16)))))))))))))))) (not (= A1.V<1> (_ bv2 16)))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv3 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv12 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv21 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv0 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv26 16)) (= A1.V<2> (_ bv25 16)))))))))) (not (= A1.V<1> (_ bv0 16)))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv8 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv1 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv26 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv51 16)) (= A1.V<2> (_ bv52 16))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv26 16)))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.V<2> (_ bv20 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv25 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<1> (_ bv25 16))))))
(assert (or (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv51 16)) (= A1.V<2> (_ bv50 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv25 16)))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.V<2> (_ bv20 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv51 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv61 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv58 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv57 16)) (or (= A1.V<2> (_ bv38 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv52 16)) (or (= A1.V<2> (_ bv59 16)) (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv46 16)) (or (= A1.V<2> (_ bv56 16)) (or (= A1.V<2> (_ bv62 16)) (= A1.V<2> (_ bv60 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv51 16)))))
(assert (or (= A1.V<2> (_ bv61 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv60 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv62 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv46 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv50 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv57 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv56 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv58 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv59 16)) (or (= A1.V<2> (_ bv60 16)) (= A1.V<2> (_ bv61 16)))))))))))))))))))))) (not (= A1.V<1> (_ bv50 16)))))
(assert (or (= A1.V<2> (_ bv61 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv60 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv56 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv24 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv49 16)) (= A1.V<2> (_ bv50 16)))))))))))))))))) (not (= A1.V<1> (_ bv24 16)))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.V<2> (_ bv2 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv44 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv54 16)) (or (= A1.V<2> (_ bv22 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv31 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv52 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv63 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv38 16)) (or (= A1.V<2> (_ bv39 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv53 16)) (or (= A1.V<2> (_ bv55 16)) (or (= A1.V<2> (_ bv57 16)) (or (= A1.V<2> (_ bv59 16)) (= A1.V<2> (_ bv61 16))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv44 16)))))
(assert (or (= A1.V<2> (_ bv61 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv53 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv54 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv38 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv55 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv63 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv42 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv61 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv52 16)) (or (= A1.V<2> (_ bv53 16)) (or (= A1.V<2> (_ bv57 16)) (= A1.V<2> (_ bv59 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv42 16)))))
(assert (or (= A1.V<2> (_ bv61 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv53 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv40 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv57 16)) (= A1.V<2> (_ bv59 16)))))))))))))))) (not (= A1.V<1> (_ bv40 16)))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv48 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv57 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.V<2> (_ bv17 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv36 16)) (= A1.V<2> (_ bv53 16))))))
(assert (or (or (= A1.V<2> (_ bv53 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv47 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv31 16)) (or (= A1.V<2> (_ bv30 16)) (or (= A1.V<2> (_ bv58 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv55 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv23 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv46 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv59 16)) (or (= A1.V<2> (_ bv62 16)) (= A1.V<2> (_ bv61 16))))))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv36 16)))))
(assert (or (= A1.V<2> (_ bv61 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv53 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv46 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv62 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv55 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv61 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv35 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (or (= A1.V<2> (_ bv52 16)) (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv46 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv30 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv57 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv54 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv22 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv58 16)) (or (= A1.V<2> (_ bv60 16)) (= A1.V<2> (_ bv61 16))))))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv35 16)))))
(assert (or (= A1.V<2> (_ bv61 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv60 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv54 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv46 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv34 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv17 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv53 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv56 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv57 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv45 16)) (or (= A1.V<2> (_ bv49 16)) (or (= A1.V<2> (_ bv51 16)) (or (= A1.V<2> (_ bv59 16)) (= A1.V<2> (_ bv60 16))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv34 16)))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv51 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv60 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv53 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv33 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv49 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv20 16)) (= A1.V<2> (_ bv13 16))))))
(assert (or (or (= A1.V<2> (_ bv13 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv39 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv7 16)) (or (= A1.V<2> (_ bv5 16)) (or (= A1.V<2> (_ bv3 16)) (or (= A1.V<2> (_ bv14 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv1 16)) (or (= A1.V<2> (_ bv30 16)) (or (= A1.V<2> (_ bv21 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv19 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv15 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv29 16)) (or (= A1.V<2> (_ bv31 16)) (or (= A1.V<2> (_ bv33 16)) (or (= A1.V<2> (_ bv35 16)) (or (= A1.V<2> (_ bv37 16)) (or (= A1.V<2> (_ bv45 16)) (= A1.V<2> (_ bv46 16))))))))))))))))))))))))))))) (not (= A1.V<1> (_ bv20 16)))))
(assert (or (= A1.V<2> (_ bv45 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv37 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv29 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv35 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv46 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv21 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv19 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv30 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv12 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv39 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.V<2> (_ bv13 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv33 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv56 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv20 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv41 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv42 16)) (or (= A1.V<2> (_ bv43 16)) (or (= A1.V<2> (_ bv44 16)) (or (= A1.V<2> (_ bv48 16)) (or (= A1.V<2> (_ bv50 16)) (or (= A1.V<2> (_ bv52 16)) (or (= A1.V<2> (_ bv58 16)) (= A1.V<2> (_ bv59 16))))))))))))))))))))))))) (not (= A1.V<1> (_ bv33 16)))))
(assert (or (= A1.V<2> (_ bv52 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv50 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv44 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv41 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv59 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv58 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.V<2> (_ bv48 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv33 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<1> 1) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<1> (/ 137 38)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<1> (/ 98 31)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<1> (/ 38 17)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<1> (/ 41 29)) (not (and (= A1.V<1> (_ bv17 16)) (= A1.V<2> (_ bv24 16))))))
(assert (or (or (= A1.V<2> (_ bv24 16)) (or (= A1.V<2> (_ bv11 16)) (or (= A1.V<2> (_ bv40 16)) (or (= A1.V<2> (_ bv10 16)) (or (= A1.V<2> (_ bv8 16)) (or (= A1.V<2> (_ bv4 16)) (or (= A1.V<2> (_ bv2 16)) (or (= A1.V<2> (_ bv26 16)) (or (= A1.V<2> (_ bv0 16)) (or (= A1.V<2> (_ bv18 16)) (or (= A1.V<2> (_ bv12 16)) (or (= A1.V<2> (_ bv25 16)) (or (= A1.V<2> (_ bv16 16)) (or (= A1.V<2> (_ bv9 16)) (or (= A1.V<2> (_ bv27 16)) (or (= A1.V<2> (_ bv28 16)) (or (= A1.V<2> (_ bv32 16)) (or (= A1.V<2> (_ bv34 16)) (or (= A1.V<2> (_ bv36 16)) (or (= A1.V<2> (_ bv43 16)) (= A1.V<2> (_ bv42 16)))))))))))))))))))))) (not (= A1.V<1> (_ bv17 16)))))
(assert (or (= A1.V<2> (_ bv43 16)) (not (and A1.spref<1><1> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv26 16)) (not (and A1.spref<1><2> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv34 16)) (not (and A1.spref<1><3> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv25 16)) (not (and A1.spref<1><4> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv27 16)) (not (and A1.spref<1><5> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv42 16)) (not (and A1.spref<1><6> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv36 16)) (not (and A1.spref<1><7> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv18 16)) (not (and A1.spref<1><8> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv28 16)) (not (and A1.spref<1><9> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv24 16)) (not (and A1.spref<1><10> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv16 16)) (not (and A1.spref<1><11> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv32 16)) (not (and A1.spref<1><12> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv10 16)) (not (and A1.spref<1><13> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv9 16)) (not (and A1.spref<1><14> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv40 16)) (not (and A1.spref<1><15> (= A1.V<1> (_ bv17 16))))))
(assert (or (= A1.V<2> (_ bv11 16)) (not (and A1.spref<1><16> (= A1.V<1> (_ bv17 16))))))
(declare-const A0.V<3> (_ BitVec 16))
(declare-const A0.atime<3> Real)
(assert (= (+ A0.atime<2> (+ A0.rtime<2> (* (- 1) A0.atime<3>))) 0))
(declare-const A0.rtime<3> Real)
(declare-const A0.wtime<3> Real)
(declare-const A0.mtime<3> Real)
(assert (= (+ A0.rtime<3> (+ (* (- 1) A0.wtime<3>) (* (- 1) A0.mtime<3>))) 0))
(assert (<= 0 A0.wtime<3>))
(assert (<= 0 A0.mtime<3>))
(declare-const A0.ppref<3> Bool)
(declare-const A0.spref<3><1> Bool)
(declare-const A0.spref<3><2> Bool)
(declare-const A0.spref<3><3> Bool)
(declare-const A0.spref<3><4> Bool)
(declare-const A0.spref<3><5> Bool)
(declare-const A0.spref<3><6> Bool)
(declare-const A0.spref<3><7> Bool)
(declare-const A0.spref<3><8> Bool)
(declare-const A0.spref<3><9> Bool)
(declare-const A0.spref<3><10> Bool)
(declare-const A0.spref<3><11> Bool)
(declare-const A0.spref<3><12> Bool)
(declare-const A0.spref<3><13> Bool)
(declare-const A0.spref<3><14> Bool)
(declare-const A0.spref<3><15> Bool)
(declare-const A0.spref<3><16> Bool)
(declare-const A0.spref<3><17> Bool)
(declare-const A0.spref<3><18> Bool)
(declare-const A0.spref<3><19> Bool)
(declare-const A0.spref<3><20> Bool)
(declare-const A0.spref<3><21> Bool)
(declare-const A0.spref<3><22> Bool)
(declare-const A0.spref<3><23> Bool)
(declare-const A0.spref<3><24> Bool)
(declare-const A0.spref<3><25> Bool)
(declare-const A0.spref<3><26> Bool)
(declare-const A0.spref<3><27> Bool)
(declare-const A0.spref<3><28> Bool)
(declare-const A0.spref<3><29> Bool)
(declare-const A0.spref<3><30> Bool)
(declare-const A0.spref<3><31> Bool)
(declare-const A0.spref<3><32> Bool)
(declare-const A1.V<3> (_ BitVec 16))
(declare-const A1.atime<3> Real)
(assert (= (+ A1.atime<2> (+ A1.rtime<2> (* (- 1) A1.atime<3>))) 0))
(declare-const A1.rtime<3> Real)
(declare-const A1.wtime<3> Real)
(declare-const A1.mtime<3> Real)
(assert (= (+ A1.rtime<3> (+ (* (- 1) A1.wtime<3>) (* (- 1) A1.mtime<3>))) 0))
(assert (<= 0 A1.wtime<3>))
(assert (<= 0 A1.mtime<3>))
(declare-const A1.ppref<3> Bool)
(declare-const A1.spref<3><1> Bool)
(declare-const A1.spref<3><2> Bool)
(declare-const A1.spref<3><3> Bool)
(declare-const A1.spref<3><4> Bool)
(declare-const A1.spref<3><5> Bool)
(declare-const A1.spref<3><6> Bool)
(declare-const A1.spref<3><7> Bool)
(declare-const A1.spref<3><8> Bool)
(declare-const A1.spref<3><9> Bool)
(declare-const A1.spref<3><10> Bool)
(declare-const A1.spref<3><11> Bool)
(declare-const A1.spref<3><12> Bool)
(declare-const A1.spref<3><13> Bool)
(declare-const A1.spref<3><14> Bool)
(declare-const A1.spref<3><15> Bool)
(declare-const A1.spref<3><16> Bool)
(declare-const A1.spref<3><17> Bool)
(declare-const A1.spref<3><18> Bool)
(declare-const A1.spref<3><19> Bool)
(declare-const A1.spref<3><20> Bool)
(declare-const A1.spref<3><21> Bool)
(declare-const A1.spref<3><22> Bool)
(declare-const A1.spref<3><23> Bool)
(declare-const A1.spref<3><24> Bool)
(declare-const A1.spref<3><25> Bool)
(declare-const A1.spref<3><26> Bool)
(declare-const A1.spref<3><27> Bool)
(declare-const A1.spref<3><28> Bool)
(declare-const A1.spref<3><29> Bool)
(declare-const A1.spref<3><30> Bool)
(declare-const A1.spref<3><31> Bool)
(declare-const A1.spref<3><32> Bool)
(assert (or (= A0.V<3> (_ bv42 16)) (not A0.ppref<3>)))
(assert (or (= A1.V<3> (_ bv52 16)) (not A1.ppref<3>)))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv49 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv56 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv57 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv59 16))))))))))))))))))) (not (= A0.V<2> (_ bv49 16)))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv48 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv57 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv56 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv25 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv50 16)) (= A0.V<3> (_ bv51 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv25 16)))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv48 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv57 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv56 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv51 16)) (= A0.V<3> (_ bv52 16)))))))))))))) (not (= A0.V<2> (_ bv57 16)))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv48 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv56 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv57 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv10 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv36 16)) (= A0.V<3> (_ bv35 16)))))))))))))))))))))) (not (= A0.V<2> (_ bv10 16)))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv42 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv61 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv59 16)) (= A0.V<3> (_ bv57 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv42 16)))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv48 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv57 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv59 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv60 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv53 16)) (= A0.V<3> (_ bv54 16)))))))))))))))))) (not (= A0.V<2> (_ bv59 16)))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv48 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv12 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv37 16)) (= A0.V<3> (_ bv38 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv12 16)))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv26 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv51 16)) (= A0.V<3> (_ bv52 16))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv26 16)))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv48 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv58 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv57 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv52 16)) (= A0.V<3> (_ bv53 16)))))))))))))))) (not (= A0.V<2> (_ bv58 16)))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv57 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv48 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv1 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv27 16)) (= A0.V<3> (_ bv20 16)))))))))))))) (not (= A0.V<2> (_ bv1 16)))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv0 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv60 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv61 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv54 16)) (= A0.V<3> (_ bv55 16)))))))))))))))))) (not (= A0.V<2> (_ bv60 16)))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv61 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.V<3> (_ bv55 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (and (= A0.mtime<2> 0) (= A0.wtime<2> 0)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<1> (_ bv41 16))))))
(assert (or (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv56 16)) (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv58 16))))))))))))))))))))))) (not (= A0.V<2> (_ bv41 16)))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv33 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv56 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv59 16)) (= A0.V<3> (_ bv58 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv33 16)))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv48 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.V<3> (_ bv56 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv50 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv57 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv56 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv61 16)))))))))))))))))))))) (not (= A0.V<2> (_ bv50 16)))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv57 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv56 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv18 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv44 16)) (= A0.V<3> (_ bv43 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv18 16)))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv27 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv52 16)) (= A0.V<3> (_ bv53 16))))))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv27 16)))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv34 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv56 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv57 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv49 16)) (or (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv59 16))) (= A0.V<3> (_ bv51 16)))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv34 16)))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv57 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv6 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv29 16)) (= A0.V<3> (_ bv23 16)))))))))))))) (not (= A0.V<2> (_ bv6 16)))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv15 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv7 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv23 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.V<3> (_ bv31 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv9 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv34 16)) (= A0.V<3> (_ bv35 16))))))))))))))))))) (not (= A0.V<2> (_ bv9 16)))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv0 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv17 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv42 16)) (= A0.V<3> (_ bv43 16)))))))))))))))))))))) (not (= A0.V<2> (_ bv17 16)))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv51 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv61 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv57 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv56 16)) (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv62 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv51 16)))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv57 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv56 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv21 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv46 16)) (= A0.V<3> (_ bv47 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv21 16)))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv19 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv44 16)) (= A0.V<3> (_ bv45 16))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv19 16)))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv15 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv22 16)) (or (or (= A0.V<3> (_ bv37 16)) (= A0.V<3> (_ bv38 16))) (= A0.V<3> (_ bv28 16))))))))))))) (not (= A0.V<2> (_ bv15 16)))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv23 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv7 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv46 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv55 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv61 16)) (= A0.V<3> (_ bv63 16)))))))))))))))))))))) (not (= A0.V<2> (_ bv46 16)))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv61 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv47 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv39 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.V<3> (_ bv55 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv20 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv46 16)) (= A0.V<3> (_ bv45 16))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv20 16)))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv14 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv37 16)) (= A0.V<3> (_ bv39 16))))))))))))))))))) (not (= A0.V<2> (_ bv14 16)))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv23 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv15 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.V<3> (_ bv31 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv43 16)) (= A0.V<3> (_ bv32 16))))))
(assert (or (or (= A0.V<3> (_ bv32 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv62 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv56 16)) (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv58 16))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv43 16)))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv32 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv48 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv56 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv47 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv55 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv62 16)))))))))))))))) (not (= A0.V<2> (_ bv47 16)))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv39 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv55 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv62 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv44 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv63 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv55 16)) (or (= A0.V<3> (_ bv57 16)) (or (= A0.V<3> (_ bv59 16)) (= A0.V<3> (_ bv61 16))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv44 16)))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.V<3> (_ bv57 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv31 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv53 16)) (= A0.V<3> (_ bv54 16)))))))))))))))))) (not (= A0.V<2> (_ bv31 16)))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv39 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv23 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv38 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv60 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv55 16)) (or (= A0.V<3> (_ bv61 16)) (= A0.V<3> (_ bv63 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv38 16)))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv39 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.V<3> (_ bv47 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv54 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv60 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv55 16)) (or (= A0.V<3> (_ bv62 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv61 16)) (= A0.V<3> (_ bv63 16))))))))))))))))))) (not (= A0.V<2> (_ bv54 16)))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv61 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv62 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv55 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv47 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.V<3> (_ bv63 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv2 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv27 16)) (= A0.V<3> (_ bv28 16)))))))))))))))) (not (= A0.V<2> (_ bv2 16)))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv61 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv62 16)) (or (= A0.V<3> (_ bv60 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv54 16)) (= A0.V<3> (_ bv55 16)))))))))))))))) (not (= A0.V<2> (_ bv61 16)))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv62 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv55 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.V<3> (_ bv39 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv3 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv8 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv29 16)) (= A0.V<3> (_ bv28 16)))))))))))))))))) (not (= A0.V<2> (_ bv3 16)))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv8 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv62 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv61 16)) (or (= A0.V<3> (_ bv63 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv53 16)) (= A0.V<3> (_ bv55 16)))))))))))))) (not (= A0.V<2> (_ bv62 16)))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv61 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv63 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv55 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv47 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.V<3> (_ bv39 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv63 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (or (= A0.V<3> (_ bv55 16)) (or (= A0.V<3> (_ bv62 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv53 16)) (= A0.V<3> (_ bv54 16)))))))))) (not (= A0.V<2> (_ bv63 16)))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.V<3> (_ bv62 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.V<3> (_ bv55 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv4 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv29 16)) (= A0.V<3> (_ bv30 16)))))))))))))))))) (not (= A0.V<2> (_ bv4 16)))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv9 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.V<3> (_ bv23 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv13 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv38 16)) (= A0.V<3> (_ bv39 16)))))))))))))))))))))) (not (= A0.V<2> (_ bv13 16)))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv5 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv52 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv62 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv60 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv57 16)) (or (= A0.V<3> (_ bv61 16)) (= A0.V<3> (_ bv63 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv52 16)))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv57 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv61 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv23 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv46 16)) (= A0.V<3> (_ bv45 16)))))))))))))))) (not (= A0.V<2> (_ bv23 16)))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv31 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv15 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv39 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv61 16)) (= A0.V<3> (_ bv62 16)))))))))))))))))) (not (= A0.V<2> (_ bv39 16)))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv47 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv31 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv61 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv62 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv22 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv45 16)) (= A0.V<3> (_ bv47 16)))))))))))))))))))))) (not (= A0.V<2> (_ bv22 16)))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv23 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv31 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.V<3> (_ bv39 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv28 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv53 16)) (= A0.V<3> (_ bv54 16))))))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv28 16)))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv29 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv54 16)) (= A0.V<3> (_ bv55 16))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv29 16)))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv30 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv7 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv53 16)) (= A0.V<3> (_ bv55 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv30 16)))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv21 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv31 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv39 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv45 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv55 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv39 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv62 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv45 16)))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv53 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv55 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv60 16)) (or (= A0.V<3> (_ bv63 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv62 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv61 16)) (= A0.V<3> (_ bv46 16)))))))))))))) (not (= A0.V<2> (_ bv55 16)))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv61 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv62 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv47 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv63 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv53 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv63 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv60 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv61 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv58 16)) (= A0.V<3> (_ bv62 16)))))))))))))))))))))) (not (= A0.V<2> (_ bv53 16)))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv61 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv54 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.V<3> (_ bv62 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv53 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv37 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv38 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv60 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv62 16)) (= A0.V<3> (_ bv63 16))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv37 16)))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv38 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv46 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv59 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.V<3> (_ bv60 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv35 16)) (= A0.V<3> (_ bv52 16))))))
(assert (or (or (= A0.V<3> (_ bv52 16)) (or (= A0.V<3> (_ bv50 16)) (or (= A0.V<3> (_ bv48 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv40 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv57 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv54 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv36 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv9 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv60 16)) (= A0.V<3> (_ bv61 16))))))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv35 16)))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv50 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv40 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv48 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv52 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv35 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv5 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv31 16)) (= A0.V<3> (_ bv30 16)))))))))))))))) (not (= A0.V<2> (_ bv5 16)))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv11 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv4 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv15 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.V<3> (_ bv31 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv41 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv36 16)) (= A0.V<3> (_ bv53 16))))))
(assert (or (or (= A0.V<3> (_ bv53 16)) (or (= A0.V<3> (_ bv51 16)) (or (= A0.V<3> (_ bv49 16)) (or (= A0.V<3> (_ bv47 16)) (or (= A0.V<3> (_ bv45 16)) (or (= A0.V<3> (_ bv41 16)) (or (= A0.V<3> (_ bv31 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv58 16)) (or (= A0.V<3> (_ bv29 16)) (or (= A0.V<3> (_ bv27 16)) (or (= A0.V<3> (_ bv55 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv35 16)) (or (= A0.V<3> (_ bv44 16)) (or (= A0.V<3> (_ bv37 16)) (or (= A0.V<3> (_ bv11 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv23 16)) (or (= A0.V<3> (_ bv42 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv43 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv46 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv25 16)) (or (= A0.V<3> (_ bv59 16)) (or (= A0.V<3> (_ bv61 16)) (= A0.V<3> (_ bv62 16))))))))))))))))))))))))))))))))) (not (= A0.V<2> (_ bv36 16)))))
(assert (or (= A0.V<3> (_ bv41 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv35 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv42 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv43 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv44 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv27 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv51 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv49 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv25 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv37 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv45 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv58 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv7 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv15 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv13 16)) (or (= A0.V<3> (_ bv14 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv29 16)) (= A0.V<3> (_ bv30 16)))))))))) (not (= A0.V<2> (_ bv7 16)))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv14 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv13 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv6 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv29 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv22 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv15 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.V<3> (_ bv30 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv7 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<2> 1) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<2> (/ 137 38)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<2> (/ 98 31)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<2> (/ 38 17)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<2> (/ 41 29)) (not (and (= A0.V<2> (_ bv11 16)) (= A0.V<3> (_ bv18 16))))))
(assert (or (or (= A0.V<3> (_ bv18 16)) (or (= A0.V<3> (_ bv5 16)) (or (= A0.V<3> (_ bv34 16)) (or (= A0.V<3> (_ bv17 16)) (or (= A0.V<3> (_ bv4 16)) (or (= A0.V<3> (_ bv33 16)) (or (= A0.V<3> (_ bv2 16)) (or (= A0.V<3> (_ bv1 16)) (or (= A0.V<3> (_ bv30 16)) (or (= A0.V<3> (_ bv0 16)) (or (= A0.V<3> (_ bv12 16)) (or (= A0.V<3> (_ bv6 16)) (or (= A0.V<3> (_ bv19 16)) (or (= A0.V<3> (_ bv10 16)) (or (= A0.V<3> (_ bv16 16)) (or (= A0.V<3> (_ bv3 16)) (or (= A0.V<3> (_ bv20 16)) (or (= A0.V<3> (_ bv21 16)) (or (= A0.V<3> (_ bv22 16)) (or (= A0.V<3> (_ bv24 16)) (or (= A0.V<3> (_ bv26 16)) (or (= A0.V<3> (_ bv28 16)) (or (= A0.V<3> (_ bv36 16)) (= A0.V<3> (_ bv37 16))))))))))))))))))))))))) (not (= A0.V<2> (_ bv11 16)))))
(assert (or (= A0.V<3> (_ bv26 16)) (not (and A0.spref<2><1> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv18 16)) (not (and A0.spref<2><2> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv34 16)) (not (and A0.spref<2><3> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv33 16)) (not (and A0.spref<2><4> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv19 16)) (not (and A0.spref<2><5> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv10 16)) (not (and A0.spref<2><6> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv17 16)) (not (and A0.spref<2><7> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv20 16)) (not (and A0.spref<2><8> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv28 16)) (not (and A0.spref<2><9> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv24 16)) (not (and A0.spref<2><10> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv12 16)) (not (and A0.spref<2><11> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv36 16)) (not (and A0.spref<2><12> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv16 16)) (not (and A0.spref<2><13> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv3 16)) (not (and A0.spref<2><14> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv2 16)) (not (and A0.spref<2><15> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A0.V<3> (_ bv1 16)) (not (and A0.spref<2><16> (= A0.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv15 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv38 16)) (= A1.V<3> (_ bv37 16)))))))))))))) (not (= A1.V<2> (_ bv15 16)))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv23 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv7 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.V<3> (_ bv4 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv63 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (or (= A1.V<3> (_ bv55 16)) (or (= A1.V<3> (_ bv62 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv54 16)) (= A1.V<3> (_ bv53 16)))))))))) (not (= A1.V<2> (_ bv63 16)))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv39 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv62 16)) (= A1.V<3> (_ bv61 16)))))))))))))))))) (not (= A1.V<2> (_ bv39 16)))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv47 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv55 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv62 16)) (= A1.V<3> (_ bv60 16)))))))))))))))) (not (= A1.V<2> (_ bv47 16)))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv55 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv60 16)) (or (= A1.V<3> (_ bv63 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv62 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv46 16)) (= A1.V<3> (_ bv61 16)))))))))))))) (not (= A1.V<2> (_ bv55 16)))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv63 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv14 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv37 16)) (= A1.V<3> (_ bv39 16))))))))))))))))))) (not (= A1.V<2> (_ bv14 16)))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv23 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.V<3> (_ bv7 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv28 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv17 16)) (or (or (= A1.V<3> (_ bv54 16)) (= A1.V<3> (_ bv53 16))) (= A1.V<3> (_ bv51 16)))))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv28 16)))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv30 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv53 16)) (= A1.V<3> (_ bv55 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv30 16)))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.V<3> (_ bv23 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv19 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv44 16)) (= A1.V<3> (_ bv45 16))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv19 16)))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv48 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv56 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv58 16)) (= A1.V<3> (_ bv57 16)))))))))))))) (not (= A1.V<2> (_ bv48 16)))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv56 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv40 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv18 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv44 16)) (= A1.V<3> (_ bv43 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv18 16)))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv12 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv27 16)) (or (or (= A1.V<3> (_ bv38 16)) (= A1.V<3> (_ bv37 16))) (= A1.V<3> (_ bv29 16)))))))))))))))))))))))) (not (= A1.V<2> (_ bv12 16)))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv4 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv10 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv36 16)) (= A1.V<3> (_ bv35 16)))))))))))))))))))))) (not (= A1.V<2> (_ bv10 16)))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv2 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.V<3> (_ bv16 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv8 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv34 16)) (= A1.V<3> (_ bv33 16)))))))))))))) (not (= A1.V<2> (_ bv8 16)))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv16 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv1 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv0 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv2 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv45 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv55 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv54 16)) (or (or (= A1.V<3> (_ bv62 16)) (= A1.V<3> (_ bv60 16))) (= A1.V<3> (_ bv58 16)))))))))))))))))))))))) (not (= A1.V<2> (_ bv45 16)))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv16 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv41 16)) (= A1.V<3> (_ bv42 16)))))))))))))))) (not (= A1.V<2> (_ bv16 16)))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv24 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv8 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv1 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv3 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv28 16)) (= A1.V<3> (_ bv29 16)))))))))))))))))) (not (= A1.V<2> (_ bv3 16)))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv4 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv2 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.V<3> (_ bv16 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv62 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv61 16)) (or (= A1.V<3> (_ bv63 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv53 16)) (= A1.V<3> (_ bv55 16)))))))))))))) (not (= A1.V<2> (_ bv62 16)))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv63 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv32 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv58 16)) (= A1.V<3> (_ bv57 16)))))))))))))))))) (not (= A1.V<2> (_ bv32 16)))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv40 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv24 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv2 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv28 16)) (= A1.V<3> (_ bv27 16)))))))))))))))) (not (= A1.V<2> (_ bv2 16)))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv1 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv24 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.V<3> (_ bv8 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (and (= A1.mtime<2> 0) (= A1.wtime<2> 0)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<1> (_ bv61 16))))))
(assert (or (or (= A1.V<3> (_ bv61 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv62 16)) (or (= A1.V<3> (_ bv60 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv54 16)) (= A1.V<3> (_ bv55 16))))))))))))))))) (not (= A1.V<2> (_ bv61 16)))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv0 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv26 16)) (= A1.V<3> (_ bv25 16)))))))))) (not (= A1.V<2> (_ bv0 16)))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv8 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv1 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv59 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv60 16)) (or (= A1.V<3> (_ bv58 16)) (or (= A1.V<3> (_ bv51 16)) (or (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv54 16)) (= A1.V<3> (_ bv53 16)))) (= A1.V<3> (_ bv50 16)))))))))))))))) (not (= A1.V<2> (_ bv59 16)))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv48 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv26 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv52 16)) (= A1.V<3> (_ bv51 16))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv26 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv25 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv51 16)) (= A1.V<3> (_ bv50 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv25 16)))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv24 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv40 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv51 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv61 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv58 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv46 16)) (or (or (= A1.V<3> (_ bv62 16)) (= A1.V<3> (_ bv60 16))) (= A1.V<3> (_ bv56 16)))))))))))))))))))))))) (not (= A1.V<2> (_ bv51 16)))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv50 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv56 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv58 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv61 16)) (= A1.V<3> (_ bv60 16)))))))))))))))))))))) (not (= A1.V<2> (_ bv50 16)))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv56 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv24 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv50 16)) (= A1.V<3> (_ bv49 16)))))))))))))))))) (not (= A1.V<2> (_ bv24 16)))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv16 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.V<3> (_ bv2 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv44 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv63 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv55 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv61 16)) (= A1.V<3> (_ bv59 16))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv44 16)))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv63 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv42 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv61 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv57 16)) (= A1.V<3> (_ bv59 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv42 16)))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv40 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv57 16)) (= A1.V<3> (_ bv59 16)))))))))))))))) (not (= A1.V<2> (_ bv40 16)))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv48 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv36 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv58 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv55 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv25 16)) (or (or (= A1.V<3> (_ bv62 16)) (= A1.V<3> (_ bv61 16))) (= A1.V<3> (_ bv59 16)))))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv36 16)))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv35 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv58 16)) (or (= A1.V<3> (_ bv61 16)) (= A1.V<3> (_ bv60 16))))))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv35 16)))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv34 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv56 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv60 16)) (= A1.V<3> (_ bv59 16))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv34 16)))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv20 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv46 16)) (= A1.V<3> (_ bv45 16))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv20 16)))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv33 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv56 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv58 16)) (= A1.V<3> (_ bv59 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv33 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv40 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.V<3> (_ bv48 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv17 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv25 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv43 16)) (= A1.V<3> (_ bv42 16)))))))))))))))))))))) (not (= A1.V<2> (_ bv17 16)))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv25 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv24 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv16 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv40 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv11 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv37 16)) (= A1.V<3> (_ bv36 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv11 16)))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv4 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv27 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv52 16)) (= A1.V<3> (_ bv53 16))))))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv27 16)))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv29 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv54 16)) (= A1.V<3> (_ bv55 16))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv29 16)))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv13 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv38 16)) (= A1.V<3> (_ bv39 16)))))))))))))))))))))) (not (= A1.V<2> (_ bv13 16)))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv23 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv4 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv4 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv30 16)) (= A1.V<3> (_ bv29 16)))))))))))))))))) (not (= A1.V<2> (_ bv4 16)))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv23 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv6 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv23 16)) (= A1.V<3> (_ bv29 16)))))))))))))) (not (= A1.V<2> (_ bv6 16)))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv23 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv5 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv7 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv38 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv60 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv55 16)) (or (= A1.V<3> (_ bv61 16)) (= A1.V<3> (_ bv63 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv38 16)))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv63 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv9 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv1 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv35 16)) (= A1.V<3> (_ bv34 16))))))))))))))))))) (not (= A1.V<2> (_ bv9 16)))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv17 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv19 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv16 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv24 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv8 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv2 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv1 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.V<3> (_ bv3 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv41 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv19 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv56 16)) (or (= A1.V<3> (_ bv60 16)) (= A1.V<3> (_ bv58 16)))))))))))))))))))))) (not (= A1.V<2> (_ bv41 16)))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv40 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv48 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv56 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv60 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv61 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv54 16)) (= A1.V<3> (_ bv55 16)))))))))))))))))) (not (= A1.V<2> (_ bv60 16)))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv1 16)) (= A1.V<3> (_ bv0 16))))))
(assert (or (or (= A1.V<3> (_ bv0 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv9 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv8 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv16 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv20 16)) (= A1.V<3> (_ bv27 16)))))))))))))) (not (= A1.V<2> (_ bv1 16)))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv26 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv9 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv2 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv8 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv16 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv24 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.V<3> (_ bv0 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv1 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv49 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv56 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv58 16)) (or (= A1.V<3> (_ bv60 16)) (= A1.V<3> (_ bv59 16))))))))))))))))))) (not (= A1.V<2> (_ bv49 16)))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv48 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv56 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv40 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv43 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv24 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv17 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv62 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv56 16)) (or (= A1.V<3> (_ bv60 16)) (= A1.V<3> (_ bv58 16))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv43 16)))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv57 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv56 16)) (or (= A1.V<3> (_ bv58 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv40 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv52 16)) (= A1.V<3> (_ bv51 16)))))))))))))) (not (= A1.V<2> (_ bv57 16)))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv56 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv48 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv40 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv56 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv51 16)) (= A1.V<3> (_ bv50 16)))))))))) (not (= A1.V<2> (_ bv56 16)))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.V<3> (_ bv48 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.V<3> (_ bv34 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv56 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv21 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv2 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv46 16)) (= A1.V<3> (_ bv47 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv21 16)))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv53 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv34 16)) (or (= A1.V<3> (_ bv63 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv60 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv61 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv62 16)) (= A1.V<3> (_ bv58 16)))))))))))))))))))))) (not (= A1.V<2> (_ bv53 16)))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv63 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv58 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv49 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv48 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv32 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv52 16)) (= A1.V<3> (_ bv53 16)))))))))))))))) (not (= A1.V<2> (_ bv58 16)))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv50 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv57 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv49 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv41 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv48 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv33 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.V<3> (_ bv32 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv22 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv7 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv3 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv47 16)) (= A1.V<3> (_ bv45 16)))))))))))))))))))))) (not (= A1.V<2> (_ bv22 16)))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv23 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv54 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv60 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv55 16)) (or (= A1.V<3> (_ bv62 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv61 16)) (= A1.V<3> (_ bv63 16))))))))))))))))))) (not (= A1.V<2> (_ bv54 16)))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv63 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv46 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv55 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv61 16)) (= A1.V<3> (_ bv63 16)))))))))))))))))))))) (not (= A1.V<2> (_ bv46 16)))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv55 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv63 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv61 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv52 16)) (= A1.V<3> (_ bv41 16))))))
(assert (or (or (= A1.V<3> (_ bv41 16)) (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv35 16)) (or (= A1.V<3> (_ bv33 16)) (or (= A1.V<3> (_ bv62 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv58 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv53 16)) (or (= A1.V<3> (_ bv60 16)) (or (= A1.V<3> (_ bv51 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv57 16)) (or (= A1.V<3> (_ bv61 16)) (= A1.V<3> (_ bv63 16))))))))))))))))))))))))) (not (= A1.V<2> (_ bv52 16)))))
(assert (or (= A1.V<3> (_ bv61 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.V<3> (_ bv51 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.V<3> (_ bv63 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.V<3> (_ bv58 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.V<3> (_ bv42 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.V<3> (_ bv35 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv37 16)) (= A1.V<3> (_ bv26 16))))))
(assert (or (or (= A1.V<3> (_ bv26 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv47 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv43 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv45 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv59 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv60 16)) (or (= A1.V<3> (_ bv42 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv50 16)) (or (= A1.V<3> (_ bv52 16)) (or (= A1.V<3> (_ bv54 16)) (or (= A1.V<3> (_ bv62 16)) (= A1.V<3> (_ bv63 16))))))))))))))))))))))))))))) (not (= A1.V<2> (_ bv37 16)))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv52 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv62 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv60 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv47 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv43 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv59 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.V<3> (_ bv63 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv37 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv23 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv29 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv31 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv46 16)) (= A1.V<3> (_ bv45 16)))))))))))))))) (not (= A1.V<2> (_ bv23 16)))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv45 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.V<3> (_ bv4 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv7 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv30 16)) (= A1.V<3> (_ bv29 16)))))))))) (not (= A1.V<2> (_ bv7 16)))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv29 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv7 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv31 16)) (= A1.V<3> (_ bv37 16))))))
(assert (or (or (= A1.V<3> (_ bv37 16)) (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv21 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv38 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv5 16)) (or (= A1.V<3> (_ bv39 16)) (or (= A1.V<3> (_ bv36 16)) (or (= A1.V<3> (_ bv23 16)) (or (= A1.V<3> (_ bv30 16)) (or (= A1.V<3> (_ bv44 16)) (or (= A1.V<3> (_ bv46 16)) (or (= A1.V<3> (_ bv54 16)) (= A1.V<3> (_ bv53 16)))))))))))))))))) (not (= A1.V<2> (_ bv31 16)))))
(assert (or (= A1.V<3> (_ bv46 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv54 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv38 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv53 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv39 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv37 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv44 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv36 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv23 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv21 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><16> (= A1.V<2> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<2> 1) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<2> (/ 41 29)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<2> (/ 98 31)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<2> (/ 137 38)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<2> (/ 38 17)) (not (and (= A1.V<2> (_ bv5 16)) (= A1.V<3> (_ bv22 16))))))
(assert (or (or (= A1.V<3> (_ bv22 16)) (or (= A1.V<3> (_ bv20 16)) (or (= A1.V<3> (_ bv18 16)) (or (= A1.V<3> (_ bv28 16)) (or (= A1.V<3> (_ bv15 16)) (or (= A1.V<3> (_ bv27 16)) (or (= A1.V<3> (_ bv14 16)) (or (= A1.V<3> (_ bv12 16)) (or (= A1.V<3> (_ bv11 16)) (or (= A1.V<3> (_ bv10 16)) (or (= A1.V<3> (_ bv6 16)) (or (= A1.V<3> (_ bv13 16)) (or (= A1.V<3> (_ bv4 16)) (or (= A1.V<3> (_ bv30 16)) (= A1.V<3> (_ bv31 16)))))))))))))))) (not (= A1.V<2> (_ bv5 16)))))
(assert (or (= A1.V<3> (_ bv13 16)) (not (and A1.spref<2><1> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv30 16)) (not (and A1.spref<2><2> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv28 16)) (not (and A1.spref<2><3> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv20 16)) (not (and A1.spref<2><4> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv22 16)) (not (and A1.spref<2><5> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv12 16)) (not (and A1.spref<2><6> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv14 16)) (not (and A1.spref<2><7> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv31 16)) (not (and A1.spref<2><8> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv27 16)) (not (and A1.spref<2><9> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv4 16)) (not (and A1.spref<2><10> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv6 16)) (not (and A1.spref<2><11> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv11 16)) (not (and A1.spref<2><12> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv15 16)) (not (and A1.spref<2><13> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv18 16)) (not (and A1.spref<2><14> (= A1.V<2> (_ bv5 16))))))
(assert (or (= A1.V<3> (_ bv10 16)) (not (and A1.spref<2><15> (= A1.V<2> (_ bv5 16))))))
(declare-const A0.V<4> (_ BitVec 16))
(declare-const A0.atime<4> Real)
(assert (= (+ A0.atime<3> (+ A0.rtime<3> (* (- 1) A0.atime<4>))) 0))
(declare-const A0.rtime<4> Real)
(declare-const A0.wtime<4> Real)
(declare-const A0.mtime<4> Real)
(assert (= (+ A0.rtime<4> (+ (* (- 1) A0.wtime<4>) (* (- 1) A0.mtime<4>))) 0))
(assert (<= 0 A0.wtime<4>))
(assert (<= 0 A0.mtime<4>))
(declare-const A0.ppref<4> Bool)
(declare-const A0.spref<4><1> Bool)
(declare-const A0.spref<4><2> Bool)
(declare-const A0.spref<4><3> Bool)
(declare-const A0.spref<4><4> Bool)
(declare-const A0.spref<4><5> Bool)
(declare-const A0.spref<4><6> Bool)
(declare-const A0.spref<4><7> Bool)
(declare-const A0.spref<4><8> Bool)
(declare-const A0.spref<4><9> Bool)
(declare-const A0.spref<4><10> Bool)
(declare-const A0.spref<4><11> Bool)
(declare-const A0.spref<4><12> Bool)
(declare-const A0.spref<4><13> Bool)
(declare-const A0.spref<4><14> Bool)
(declare-const A0.spref<4><15> Bool)
(declare-const A0.spref<4><16> Bool)
(declare-const A0.spref<4><17> Bool)
(declare-const A0.spref<4><18> Bool)
(declare-const A0.spref<4><19> Bool)
(declare-const A0.spref<4><20> Bool)
(declare-const A0.spref<4><21> Bool)
(declare-const A0.spref<4><22> Bool)
(declare-const A0.spref<4><23> Bool)
(declare-const A0.spref<4><24> Bool)
(declare-const A0.spref<4><25> Bool)
(declare-const A0.spref<4><26> Bool)
(declare-const A0.spref<4><27> Bool)
(declare-const A0.spref<4><28> Bool)
(declare-const A0.spref<4><29> Bool)
(declare-const A0.spref<4><30> Bool)
(declare-const A0.spref<4><31> Bool)
(declare-const A0.spref<4><32> Bool)
(declare-const A1.V<4> (_ BitVec 16))
(declare-const A1.atime<4> Real)
(assert (= (+ A1.atime<3> (+ A1.rtime<3> (* (- 1) A1.atime<4>))) 0))
(declare-const A1.rtime<4> Real)
(declare-const A1.wtime<4> Real)
(declare-const A1.mtime<4> Real)
(assert (= (+ A1.rtime<4> (+ (* (- 1) A1.wtime<4>) (* (- 1) A1.mtime<4>))) 0))
(assert (<= 0 A1.wtime<4>))
(assert (<= 0 A1.mtime<4>))
(declare-const A1.ppref<4> Bool)
(declare-const A1.spref<4><1> Bool)
(declare-const A1.spref<4><2> Bool)
(declare-const A1.spref<4><3> Bool)
(declare-const A1.spref<4><4> Bool)
(declare-const A1.spref<4><5> Bool)
(declare-const A1.spref<4><6> Bool)
(declare-const A1.spref<4><7> Bool)
(declare-const A1.spref<4><8> Bool)
(declare-const A1.spref<4><9> Bool)
(declare-const A1.spref<4><10> Bool)
(declare-const A1.spref<4><11> Bool)
(declare-const A1.spref<4><12> Bool)
(declare-const A1.spref<4><13> Bool)
(declare-const A1.spref<4><14> Bool)
(declare-const A1.spref<4><15> Bool)
(declare-const A1.spref<4><16> Bool)
(declare-const A1.spref<4><17> Bool)
(declare-const A1.spref<4><18> Bool)
(declare-const A1.spref<4><19> Bool)
(declare-const A1.spref<4><20> Bool)
(declare-const A1.spref<4><21> Bool)
(declare-const A1.spref<4><22> Bool)
(declare-const A1.spref<4><23> Bool)
(declare-const A1.spref<4><24> Bool)
(declare-const A1.spref<4><25> Bool)
(declare-const A1.spref<4><26> Bool)
(declare-const A1.spref<4><27> Bool)
(declare-const A1.spref<4><28> Bool)
(declare-const A1.spref<4><29> Bool)
(declare-const A1.spref<4><30> Bool)
(declare-const A1.spref<4><31> Bool)
(declare-const A1.spref<4><32> Bool)
(assert (or (= A0.V<4> (_ bv41 16)) (not A0.ppref<4>)))
(assert (or (= A1.V<4> (_ bv61 16)) (not A1.ppref<4>)))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv0 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv0 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv0 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv0 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv0 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv0 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv0 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv0 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv0 16)) (= A0.V<4> (_ bv8 16))))))
(assert (or (or (= A0.V<4> (_ bv8 16)) (or (= A0.V<4> (_ bv1 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv26 16)) (= A0.V<4> (_ bv25 16)))))))))) (not (= A0.V<3> (_ bv0 16)))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.V<4> (_ bv8 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.V<4> (_ bv9 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.V<4> (_ bv1 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.V<4> (_ bv10 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv0 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv16 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv16 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv16 16)) (= A0.V<4> (_ bv8 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv16 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv16 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv16 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv16 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv16 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv16 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv16 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv16 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv16 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv16 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv16 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv16 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv1 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv8 16)) (or (= A0.V<4> (_ bv41 16)) (= A0.V<4> (_ bv42 16)))))))))))))))) (not (= A0.V<3> (_ bv16 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.V<4> (_ bv24 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.V<4> (_ bv8 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.V<4> (_ bv9 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.V<4> (_ bv10 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.V<4> (_ bv1 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.V<4> (_ bv3 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv16 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv8 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv8 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv8 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv8 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv8 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv8 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv8 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv8 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv8 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv8 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv8 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv8 16)) (= A0.V<4> (_ bv16 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv8 16)) (= A0.V<4> (_ bv0 16))))))
(assert (or (or (= A0.V<4> (_ bv0 16)) (or (= A0.V<4> (_ bv16 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv1 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv2 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv33 16)) (= A0.V<4> (_ bv34 16)))))))))))))) (not (= A0.V<3> (_ bv8 16)))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.V<4> (_ bv16 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.V<4> (_ bv9 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.V<4> (_ bv0 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.V<4> (_ bv1 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.V<4> (_ bv2 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.V<4> (_ bv3 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv8 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv58 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv57 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv40 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv32 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv40 16)) (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv58 16)) (= A0.V<4> (_ bv57 16)))))))))))))))))) (not (= A0.V<3> (_ bv32 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.V<4> (_ bv40 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.V<4> (_ bv24 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.V<4> (_ bv57 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.V<4> (_ bv58 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.V<4> (_ bv9 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv32 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv40 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv40 16)) (= A0.V<4> (_ bv57 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv40 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv40 16)) (= A0.V<4> (_ bv48 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv40 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv40 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv40 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv40 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv40 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv40 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv40 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv40 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv40 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv40 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv40 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv48 16)) (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv57 16)) (= A0.V<4> (_ bv59 16)))))))))))))))) (not (= A0.V<3> (_ bv40 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.V<4> (_ bv32 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.V<4> (_ bv48 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.V<4> (_ bv57 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.V<4> (_ bv59 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv40 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv16 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv6 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv0 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv5 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv11 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv5 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv2 16)) (or (= A0.V<4> (_ bv1 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv0 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv6 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv16 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv37 16)) (= A0.V<4> (_ bv36 16))))))))))))))))))))))))) (not (= A0.V<3> (_ bv11 16)))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.V<4> (_ bv10 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.V<4> (_ bv24 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.V<4> (_ bv12 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.V<4> (_ bv16 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.V<4> (_ bv3 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.V<4> (_ bv2 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.V<4> (_ bv1 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv7 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv7 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv7 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv7 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv7 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv7 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv7 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv7 16)) (= A0.V<4> (_ bv15 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv7 16)) (= A0.V<4> (_ bv6 16))))))
(assert (or (or (= A0.V<4> (_ bv6 16)) (or (= A0.V<4> (_ bv15 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv30 16)) (= A0.V<4> (_ bv29 16)))))))))) (not (= A0.V<3> (_ bv7 16)))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.V<4> (_ bv14 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.V<4> (_ bv13 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.V<4> (_ bv6 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.V<4> (_ bv22 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.V<4> (_ bv12 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.V<4> (_ bv15 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.V<4> (_ bv30 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv7 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv62 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv61 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv23 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv55 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv58 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv47 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv36 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (or (= A0.V<4> (_ bv53 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv47 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv31 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv58 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv55 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv23 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv46 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv59 16)) (or (= A0.V<4> (_ bv62 16)) (= A0.V<4> (_ bv61 16))))))))))))))))))))))))))))))))) (not (= A0.V<3> (_ bv36 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.V<4> (_ bv58 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv5 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv5 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv5 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv5 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv5 16)) (= A0.V<4> (_ bv6 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv5 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv5 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv5 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv5 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv5 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv5 16)) (= A0.V<4> (_ bv15 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv5 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv5 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv5 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv5 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv15 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv6 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv30 16)) (= A0.V<4> (_ bv31 16)))))))))))))))) (not (= A0.V<3> (_ bv5 16)))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.V<4> (_ bv12 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.V<4> (_ bv13 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.V<4> (_ bv4 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.V<4> (_ bv10 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.V<4> (_ bv14 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.V<4> (_ bv6 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.V<4> (_ bv22 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.V<4> (_ bv30 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.V<4> (_ bv15 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.V<4> (_ bv31 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv5 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv61 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv58 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv16 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv57 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv40 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv48 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv35 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv48 16)) (or (= A0.V<4> (_ bv46 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv40 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv57 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv54 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv16 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv58 16)) (or (= A0.V<4> (_ bv61 16)) (= A0.V<4> (_ bv60 16))))))))))))))))))))))))))))))))) (not (= A0.V<3> (_ bv35 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.V<4> (_ bv40 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.V<4> (_ bv48 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.V<4> (_ bv58 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.V<4> (_ bv24 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv63 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv62 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv15 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv47 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv37 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv47 16)) (or (= A0.V<4> (_ bv15 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv59 16)) (or (= A0.V<4> (_ bv31 16)) (or (= A0.V<4> (_ bv60 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv46 16)) (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv54 16)) (or (= A0.V<4> (_ bv62 16)) (= A0.V<4> (_ bv63 16))))))))))))))))))))))))))))) (not (= A0.V<3> (_ bv37 16)))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.V<4> (_ bv38 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.V<4> (_ bv46 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.V<4> (_ bv59 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.V<4> (_ bv60 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv62 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv58 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv47 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv61 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv63 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv53 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv63 16)) (or (= A0.V<4> (_ bv31 16)) (or (= A0.V<4> (_ bv60 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv59 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv54 16)) (or (= A0.V<4> (_ bv61 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv46 16)) (or (= A0.V<4> (_ bv47 16)) (or (= A0.V<4> (_ bv58 16)) (= A0.V<4> (_ bv62 16)))))))))))))))))))))) (not (= A0.V<3> (_ bv53 16)))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.V<4> (_ bv60 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.V<4> (_ bv59 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.V<4> (_ bv58 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.V<4> (_ bv61 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.V<4> (_ bv54 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.V<4> (_ bv46 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.V<4> (_ bv62 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv55 16)) (= A0.V<4> (_ bv61 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv55 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv55 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv55 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv55 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv55 16)) (= A0.V<4> (_ bv62 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv55 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv55 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv55 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv55 16)) (= A0.V<4> (_ bv63 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv55 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv55 16)) (= A0.V<4> (_ bv47 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv55 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (or (= A0.V<4> (_ bv54 16)) (or (= A0.V<4> (_ bv47 16)) (or (= A0.V<4> (_ bv60 16)) (or (= A0.V<4> (_ bv63 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv62 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv61 16)) (= A0.V<4> (_ bv46 16)))))))))))))) (not (= A0.V<3> (_ bv55 16)))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.V<4> (_ bv54 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.V<4> (_ bv46 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.V<4> (_ bv61 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.V<4> (_ bv60 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.V<4> (_ bv62 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.V<4> (_ bv47 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.V<4> (_ bv63 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.V<4> (_ bv38 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.V<4> (_ bv30 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv55 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv62 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv58 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv23 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv55 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv45 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv55 16)) (or (= A0.V<4> (_ bv23 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv46 16)) (or (= A0.V<4> (_ bv53 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv39 16)) (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv54 16)) (or (= A0.V<4> (_ bv58 16)) (or (= A0.V<4> (_ bv62 16)) (= A0.V<4> (_ bv60 16))))))))))))))))))))))))) (not (= A0.V<3> (_ bv45 16)))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.V<4> (_ bv53 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.V<4> (_ bv60 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.V<4> (_ bv58 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.V<4> (_ bv46 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.V<4> (_ bv38 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.V<4> (_ bv54 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv55 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv47 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv23 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv5 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv7 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv15 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv30 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv15 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv7 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv5 16)) (or (= A0.V<4> (_ bv31 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv23 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv39 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv47 16)) (or (= A0.V<4> (_ bv55 16)) (= A0.V<4> (_ bv53 16))))))))))))))))))))))))) (not (= A0.V<3> (_ bv30 16)))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.V<4> (_ bv38 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.V<4> (_ bv21 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.V<4> (_ bv22 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.V<4> (_ bv31 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.V<4> (_ bv53 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.V<4> (_ bv39 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.V<4> (_ bv13 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv55 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv23 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv6 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv7 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv29 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv39 16)) (or (= A0.V<4> (_ bv7 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv6 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv23 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv46 16)) (or (= A0.V<4> (_ bv55 16)) (= A0.V<4> (_ bv54 16))))))))))))))))))))))))))))) (not (= A0.V<3> (_ bv29 16)))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.V<4> (_ bv21 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.V<4> (_ bv30 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.V<4> (_ bv38 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.V<4> (_ bv46 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv6 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv5 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv15 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv47 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv23 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv28 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv39 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv23 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv47 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv2 16)) (or (= A0.V<4> (_ bv15 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv5 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv6 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv53 16)) (= A0.V<4> (_ bv54 16))))))))))))))))))))))))))))))))) (not (= A0.V<3> (_ bv28 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv47 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv23 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv5 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv7 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv15 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv22 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv15 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv7 16)) (or (= A0.V<4> (_ bv5 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv23 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv31 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv39 16)) (or (= A0.V<4> (_ bv45 16)) (= A0.V<4> (_ bv47 16)))))))))))))))))))))) (not (= A0.V<3> (_ bv22 16)))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.V<4> (_ bv21 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.V<4> (_ bv30 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.V<4> (_ bv13 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.V<4> (_ bv12 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.V<4> (_ bv14 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.V<4> (_ bv23 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.V<4> (_ bv31 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.V<4> (_ bv39 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv62 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv61 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv47 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv39 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv46 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv47 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv31 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv52 16)) (or (or (= A0.V<4> (_ bv62 16)) (= A0.V<4> (_ bv61 16))) (= A0.V<4> (_ bv54 16))))))))))))))))) (not (= A0.V<3> (_ bv39 16)))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.V<4> (_ bv38 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.V<4> (_ bv46 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.V<4> (_ bv30 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.V<4> (_ bv47 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.V<4> (_ bv31 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.V<4> (_ bv54 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.V<4> (_ bv61 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.V<4> (_ bv22 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.V<4> (_ bv62 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.V<4> (_ bv13 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv23 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv23 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv23 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv23 16)) (= A0.V<4> (_ bv15 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv23 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv23 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv23 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv23 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv23 16)) (= A0.V<4> (_ bv6 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv23 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv23 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv23 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv23 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv23 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv23 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv6 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv31 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv15 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv46 16)) (= A0.V<4> (_ bv45 16)))))))))))))))) (not (= A0.V<3> (_ bv23 16)))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.V<4> (_ bv30 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.V<4> (_ bv22 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.V<4> (_ bv31 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.V<4> (_ bv38 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.V<4> (_ bv14 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.V<4> (_ bv13 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.V<4> (_ bv46 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.V<4> (_ bv12 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.V<4> (_ bv15 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.V<4> (_ bv6 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.V<4> (_ bv4 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv23 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv63 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv61 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv57 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv47 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv58 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv62 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv52 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv62 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv59 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv58 16)) (or (= A0.V<4> (_ bv39 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv53 16)) (or (= A0.V<4> (_ bv60 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv46 16)) (or (= A0.V<4> (_ bv47 16)) (or (= A0.V<4> (_ bv57 16)) (or (= A0.V<4> (_ bv61 16)) (= A0.V<4> (_ bv63 16))))))))))))))))))))))))) (not (= A0.V<3> (_ bv52 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.V<4> (_ bv59 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.V<4> (_ bv58 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.V<4> (_ bv60 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.V<4> (_ bv57 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.V<4> (_ bv53 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.V<4> (_ bv61 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv23 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv5 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv6 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv7 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv13 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv7 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv6 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv2 16)) (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv5 16)) (or (= A0.V<4> (_ bv23 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv38 16)) (= A0.V<4> (_ bv39 16)))))))))))))))))))))) (not (= A0.V<3> (_ bv13 16)))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.V<4> (_ bv12 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.V<4> (_ bv21 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.V<4> (_ bv22 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.V<4> (_ bv4 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.V<4> (_ bv14 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.V<4> (_ bv5 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.V<4> (_ bv3 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.V<4> (_ bv30 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.V<4> (_ bv2 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv5 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv23 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv15 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv4 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv15 16)) (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv23 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv5 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv30 16)) (= A0.V<4> (_ bv29 16)))))))))))))))))) (not (= A0.V<3> (_ bv4 16)))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.V<4> (_ bv12 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.V<4> (_ bv3 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.V<4> (_ bv10 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.V<4> (_ bv13 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.V<4> (_ bv9 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.V<4> (_ bv21 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.V<4> (_ bv5 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.V<4> (_ bv14 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.V<4> (_ bv30 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.V<4> (_ bv23 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv4 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv63 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv63 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv63 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv63 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv63 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv63 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv63 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv63 16)) (= A0.V<4> (_ bv62 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv63 16)) (= A0.V<4> (_ bv55 16))))))
(assert (or (or (= A0.V<4> (_ bv55 16)) (or (= A0.V<4> (_ bv62 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv46 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv53 16)) (= A0.V<4> (_ bv54 16)))))))))) (not (= A0.V<3> (_ bv63 16)))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.V<4> (_ bv53 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.V<4> (_ bv62 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.V<4> (_ bv54 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.V<4> (_ bv55 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.V<4> (_ bv46 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.V<4> (_ bv38 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv63 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv62 16)) (= A0.V<4> (_ bv55 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv62 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv62 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv62 16)) (= A0.V<4> (_ bv47 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv62 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv62 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv62 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv62 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv62 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv62 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv62 16)) (= A0.V<4> (_ bv63 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv62 16)) (= A0.V<4> (_ bv61 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv62 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (or (= A0.V<4> (_ bv54 16)) (or (= A0.V<4> (_ bv61 16)) (or (= A0.V<4> (_ bv63 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv39 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv47 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv55 16)) (= A0.V<4> (_ bv53 16)))))))))))))) (not (= A0.V<3> (_ bv62 16)))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.V<4> (_ bv61 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.V<4> (_ bv53 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.V<4> (_ bv54 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.V<4> (_ bv63 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.V<4> (_ bv55 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.V<4> (_ bv47 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.V<4> (_ bv39 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv62 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv8 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv16 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv3 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv16 16)) (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv8 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv2 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv28 16)) (= A0.V<4> (_ bv29 16)))))))))))))))))) (not (= A0.V<3> (_ bv3 16)))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.V<4> (_ bv10 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.V<4> (_ bv2 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.V<4> (_ bv9 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.V<4> (_ bv12 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.V<4> (_ bv16 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.V<4> (_ bv4 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.V<4> (_ bv8 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.V<4> (_ bv13 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.V<4> (_ bv22 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv61 16)) (= A0.V<4> (_ bv55 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv61 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv61 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv61 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv61 16)) (= A0.V<4> (_ bv62 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv61 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv61 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv61 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv61 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv61 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv61 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv61 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv61 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv61 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv61 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv46 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv39 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv62 16)) (or (= A0.V<4> (_ bv60 16)) (or (= A0.V<4> (_ bv53 16)) (or (= A0.V<4> (_ bv55 16)) (= A0.V<4> (_ bv54 16)))))))))))))))) (not (= A0.V<3> (_ bv61 16)))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.V<4> (_ bv60 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.V<4> (_ bv53 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.V<4> (_ bv62 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.V<4> (_ bv54 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.V<4> (_ bv46 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.V<4> (_ bv38 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.V<4> (_ bv55 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.V<4> (_ bv39 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv61 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv8 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv2 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv8 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv1 16)) (or (= A0.V<4> (_ bv27 16)) (= A0.V<4> (_ bv28 16)))))))))))))))) (not (= A0.V<3> (_ bv2 16)))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.V<4> (_ bv10 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.V<4> (_ bv9 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.V<4> (_ bv24 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.V<4> (_ bv1 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.V<4> (_ bv3 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.V<4> (_ bv8 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.V<4> (_ bv12 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.V<4> (_ bv21 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.V<4> (_ bv13 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv2 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv63 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv61 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv47 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv62 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv55 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv54 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv39 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv31 16)) (or (= A0.V<4> (_ bv60 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv55 16)) (or (= A0.V<4> (_ bv62 16)) (or (= A0.V<4> (_ bv53 16)) (or (= A0.V<4> (_ bv46 16)) (or (= A0.V<4> (_ bv47 16)) (or (= A0.V<4> (_ bv59 16)) (or (= A0.V<4> (_ bv61 16)) (= A0.V<4> (_ bv63 16))))))))))))))))))) (not (= A0.V<3> (_ bv54 16)))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.V<4> (_ bv53 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.V<4> (_ bv60 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.V<4> (_ bv61 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.V<4> (_ bv59 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.V<4> (_ bv46 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.V<4> (_ bv62 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.V<4> (_ bv55 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.V<4> (_ bv47 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.V<4> (_ bv63 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv54 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv63 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv61 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv55 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv47 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv15 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv23 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv38 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv23 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv15 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv39 16)) (or (= A0.V<4> (_ bv46 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv31 16)) (or (= A0.V<4> (_ bv60 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv47 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv53 16)) (or (= A0.V<4> (_ bv55 16)) (or (= A0.V<4> (_ bv61 16)) (= A0.V<4> (_ bv63 16))))))))))))))))))))))))) (not (= A0.V<3> (_ bv38 16)))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.V<4> (_ bv46 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.V<4> (_ bv30 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.V<4> (_ bv53 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.V<4> (_ bv39 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.V<4> (_ bv60 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.V<4> (_ bv21 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.V<4> (_ bv47 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv23 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv5 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv6 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv31 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv6 16)) (or (= A0.V<4> (_ bv5 16)) (or (= A0.V<4> (_ bv39 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv23 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv46 16)) (or (= A0.V<4> (_ bv53 16)) (= A0.V<4> (_ bv54 16)))))))))))))))))) (not (= A0.V<3> (_ bv31 16)))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.V<4> (_ bv30 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.V<4> (_ bv38 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.V<4> (_ bv39 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.V<4> (_ bv46 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.V<4> (_ bv22 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.V<4> (_ bv21 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.V<4> (_ bv23 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.V<4> (_ bv53 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.V<4> (_ bv54 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.V<4> (_ bv12 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.V<4> (_ bv14 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.V<4> (_ bv5 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv31 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv61 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv57 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv55 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv63 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv44 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv54 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv31 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv63 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv39 16)) (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv53 16)) (or (= A0.V<4> (_ bv55 16)) (or (= A0.V<4> (_ bv57 16)) (or (= A0.V<4> (_ bv59 16)) (= A0.V<4> (_ bv61 16))))))))))))))))))))))))))))) (not (= A0.V<3> (_ bv44 16)))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.V<4> (_ bv59 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.V<4> (_ bv53 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.V<4> (_ bv57 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv47 16)) (= A0.V<4> (_ bv62 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv47 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv47 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv47 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv47 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv47 16)) (= A0.V<4> (_ bv55 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv47 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv47 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv47 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv47 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv47 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv47 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv47 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv47 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv47 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (or (= A0.V<4> (_ bv53 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv54 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv55 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv39 16)) (or (= A0.V<4> (_ bv46 16)) (or (= A0.V<4> (_ bv62 16)) (= A0.V<4> (_ bv60 16)))))))))))))))) (not (= A0.V<3> (_ bv47 16)))))
(assert (or (= A0.V<4> (_ bv46 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.V<4> (_ bv53 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.V<4> (_ bv54 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.V<4> (_ bv38 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.V<4> (_ bv39 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.V<4> (_ bv55 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.V<4> (_ bv60 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.V<4> (_ bv62 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.V<4> (_ bv30 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.V<4> (_ bv21 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.V<4> (_ bv22 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv47 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv58 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv56 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv48 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv62 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv43 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv53 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv62 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv48 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv54 16)) (or (= A0.V<4> (_ bv56 16)) (or (= A0.V<4> (_ bv58 16)) (= A0.V<4> (_ bv60 16))))))))))))))))))))))))))))) (not (= A0.V<3> (_ bv43 16)))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.V<4> (_ bv58 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.V<4> (_ bv32 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.V<4> (_ bv48 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.V<4> (_ bv56 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.V<4> (_ bv24 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv6 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv15 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv5 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv7 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv23 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv14 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv23 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv7 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv5 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv15 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv6 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv31 16)) (or (= A0.V<4> (_ bv37 16)) (= A0.V<4> (_ bv39 16))))))))))))))))))) (not (= A0.V<3> (_ bv14 16)))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.V<4> (_ bv21 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.V<4> (_ bv13 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.V<4> (_ bv22 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.V<4> (_ bv5 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.V<4> (_ bv6 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.V<4> (_ bv4 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.V<4> (_ bv23 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.V<4> (_ bv15 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.V<4> (_ bv3 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.V<4> (_ bv31 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv14 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv15 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv5 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv7 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv20 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv39 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv7 16)) (or (= A0.V<4> (_ bv5 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv1 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv15 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv31 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv46 16)) (= A0.V<4> (_ bv45 16))))))))))))))))))))))))))))) (not (= A0.V<3> (_ bv20 16)))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.V<4> (_ bv12 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.V<4> (_ bv21 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.V<4> (_ bv10 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.V<4> (_ bv13 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv63 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv61 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv55 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv39 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv47 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv23 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv46 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv31 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv23 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv47 16)) (or (= A0.V<4> (_ bv54 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv39 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv53 16)) (or (= A0.V<4> (_ bv55 16)) (or (= A0.V<4> (_ bv59 16)) (or (= A0.V<4> (_ bv61 16)) (= A0.V<4> (_ bv63 16)))))))))))))))))))))) (not (= A0.V<3> (_ bv46 16)))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.V<4> (_ bv53 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.V<4> (_ bv38 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.V<4> (_ bv54 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.V<4> (_ bv59 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.V<4> (_ bv61 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.V<4> (_ bv47 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.V<4> (_ bv39 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.V<4> (_ bv55 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv15 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv15 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv15 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv15 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv15 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv15 16)) (= A0.V<4> (_ bv6 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv15 16)) (= A0.V<4> (_ bv5 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv15 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv15 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv15 16)) (= A0.V<4> (_ bv23 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv15 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv15 16)) (= A0.V<4> (_ bv7 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv15 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv7 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv23 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv5 16)) (or (= A0.V<4> (_ bv6 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv37 16)) (= A0.V<4> (_ bv38 16)))))))))))))) (not (= A0.V<3> (_ bv15 16)))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.V<4> (_ bv22 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.V<4> (_ bv21 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.V<4> (_ bv14 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.V<4> (_ bv30 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.V<4> (_ bv23 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.V<4> (_ bv38 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.V<4> (_ bv6 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.V<4> (_ bv5 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.V<4> (_ bv7 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.V<4> (_ bv4 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv15 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv0 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv6 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv8 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv19 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv8 16)) (or (= A0.V<4> (_ bv6 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv2 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv0 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv44 16)) (= A0.V<4> (_ bv45 16))))))))))))))))))))))))))))) (not (= A0.V<3> (_ bv19 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.V<4> (_ bv32 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.V<4> (_ bv24 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.V<4> (_ bv10 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.V<4> (_ bv9 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv47 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv30 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv15 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv6 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv21 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv6 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv15 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv2 16)) (or (= A0.V<4> (_ bv31 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv30 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv46 16)) (= A0.V<4> (_ bv47 16))))))))))))))))))))))))) (not (= A0.V<3> (_ bv21 16)))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.V<4> (_ bv12 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.V<4> (_ bv13 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.V<4> (_ bv30 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.V<4> (_ bv22 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.V<4> (_ bv10 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.V<4> (_ bv38 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv62 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv56 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv57 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv58 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv61 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv51 16)) (= A0.V<4> (_ bv40 16))))))
(assert (or (or (= A0.V<4> (_ bv40 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv61 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv58 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv57 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv59 16)) (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv46 16)) (or (or (= A0.V<4> (_ bv62 16)) (= A0.V<4> (_ bv60 16))) (= A0.V<4> (_ bv56 16)))))))))))))))))))))))) (not (= A0.V<3> (_ bv51 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.V<4> (_ bv58 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.V<4> (_ bv59 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.V<4> (_ bv40 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.V<4> (_ bv57 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.V<4> (_ bv60 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.V<4> (_ bv32 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.V<4> (_ bv56 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv16 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv0 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv8 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv40 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv17 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv40 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv8 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv2 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv0 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv16 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv42 16)) (= A0.V<4> (_ bv43 16)))))))))))))))))))))) (not (= A0.V<3> (_ bv17 16)))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.V<4> (_ bv24 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.V<4> (_ bv32 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.V<4> (_ bv40 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.V<4> (_ bv16 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.V<4> (_ bv9 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.V<4> (_ bv8 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.V<4> (_ bv10 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv8 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv0 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv16 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv9 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv16 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv2 16)) (or (= A0.V<4> (_ bv0 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv8 16)) (or (= A0.V<4> (_ bv1 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv35 16)) (= A0.V<4> (_ bv34 16))))))))))))))))))) (not (= A0.V<3> (_ bv9 16)))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.V<4> (_ bv24 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.V<4> (_ bv16 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.V<4> (_ bv32 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.V<4> (_ bv10 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.V<4> (_ bv8 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.V<4> (_ bv1 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.V<4> (_ bv0 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.V<4> (_ bv2 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv9 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv6 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv6 16)) (= A0.V<4> (_ bv23 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv6 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv6 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv6 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv6 16)) (= A0.V<4> (_ bv15 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv6 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv6 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv6 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv6 16)) (= A0.V<4> (_ bv7 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv6 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv6 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv6 16)) (= A0.V<4> (_ bv5 16))))))
(assert (or (or (= A0.V<4> (_ bv5 16)) (or (= A0.V<4> (_ bv31 16)) (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv7 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv15 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv29 16)) (= A0.V<4> (_ bv23 16)))))))))))))) (not (= A0.V<3> (_ bv6 16)))))
(assert (or (= A0.V<4> (_ bv13 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.V<4> (_ bv21 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.V<4> (_ bv12 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.V<4> (_ bv14 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.V<4> (_ bv5 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.V<4> (_ bv15 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.V<4> (_ bv7 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.V<4> (_ bv23 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.V<4> (_ bv31 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv6 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv57 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv56 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv8 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv40 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv34 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv53 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv40 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv8 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv56 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv57 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv59 16)) (= A0.V<4> (_ bv60 16))))))))))))))))))))))))))))) (not (= A0.V<3> (_ bv34 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.V<4> (_ bv40 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.V<4> (_ bv24 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.V<4> (_ bv57 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv16 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv8 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv5 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv14 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv40 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv27 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv40 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv46 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv2 16)) (or (= A0.V<4> (_ bv1 16)) (or (= A0.V<4> (_ bv14 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv5 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv8 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv16 16)) (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv53 16)) (= A0.V<4> (_ bv52 16))))))))))))))))))))))))))))))))) (not (= A0.V<3> (_ bv27 16)))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.V<4> (_ bv32 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.V<4> (_ bv40 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv5 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv8 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv40 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv18 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv40 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv8 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv5 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv1 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv43 16)) (= A0.V<4> (_ bv44 16))))))))))))))))))))))))) (not (= A0.V<3> (_ bv18 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.V<4> (_ bv24 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.V<4> (_ bv40 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.V<4> (_ bv10 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.V<4> (_ bv9 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.V<4> (_ bv28 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.V<4> (_ bv8 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv61 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv58 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv56 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv40 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv57 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv50 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv57 16)) (or (= A0.V<4> (_ bv40 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv56 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv58 16)) (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv59 16)) (or (= A0.V<4> (_ bv61 16)) (= A0.V<4> (_ bv60 16)))))))))))))))))))))) (not (= A0.V<3> (_ bv50 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.V<4> (_ bv58 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.V<4> (_ bv40 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.V<4> (_ bv57 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.V<4> (_ bv59 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.V<4> (_ bv56 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.V<4> (_ bv24 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.V<4> (_ bv60 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv50 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv58 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv48 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv8 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv40 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv16 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv56 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv33 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv56 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv16 16)) (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv40 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv8 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv48 16)) (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv58 16)) (= A0.V<4> (_ bv59 16))))))))))))))))))))))))) (not (= A0.V<3> (_ bv33 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.V<4> (_ bv40 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.V<4> (_ bv32 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.V<4> (_ bv24 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.V<4> (_ bv48 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.V<4> (_ bv16 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.V<4> (_ bv58 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.V<4> (_ bv56 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv58 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv56 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv40 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv16 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv48 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv28 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (and (= A0.mtime<3> 0) (= A0.wtime<3> 0)) (not (and (= A0.V<3> (_ bv41 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (not (and (= A0.V<2> (_ bv41 16)) (= A0.V<3> (_ bv41 16)))) (= A0.V<4> (_ bv41 16))))
(assert (or (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv28 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv48 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv16 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv40 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv56 16)) (or (= A0.V<4> (_ bv58 16)) (= A0.V<4> (_ bv60 16))))))))))))))))))))))) (not (= A0.V<3> (_ bv41 16)))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv55 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv61 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv47 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv60 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv38 16)) (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv47 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv61 16)) (or (= A0.V<4> (_ bv59 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv53 16)) (or (= A0.V<4> (_ bv55 16)) (= A0.V<4> (_ bv54 16)))))))))))))))))) (not (= A0.V<3> (_ bv60 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.V<4> (_ bv59 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.V<4> (_ bv61 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.V<4> (_ bv53 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.V<4> (_ bv54 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.V<4> (_ bv38 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.V<4> (_ bv55 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv60 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv16 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv8 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv1 16)) (= A0.V<4> (_ bv0 16))))))
(assert (or (or (= A0.V<4> (_ bv0 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv2 16)) (or (= A0.V<4> (_ bv8 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv16 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv27 16)) (= A0.V<4> (_ bv20 16)))))))))))))) (not (= A0.V<3> (_ bv1 16)))))
(assert (or (= A0.V<4> (_ bv9 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.V<4> (_ bv16 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.V<4> (_ bv24 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.V<4> (_ bv10 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.V<4> (_ bv8 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.V<4> (_ bv2 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.V<4> (_ bv0 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.V<4> (_ bv12 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv1 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv58 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv58 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv58 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv58 16)) (= A0.V<4> (_ bv57 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv58 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv58 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv58 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv58 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv58 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv58 16)) (= A0.V<4> (_ bv48 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv58 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv58 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv58 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv58 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv58 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv48 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv59 16)) (or (= A0.V<4> (_ bv57 16)) (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv53 16)) (= A0.V<4> (_ bv52 16)))))))))))))))) (not (= A0.V<3> (_ bv58 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.V<4> (_ bv57 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.V<4> (_ bv48 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.V<4> (_ bv59 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.V<4> (_ bv32 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.V<4> (_ bv53 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.V<4> (_ bv45 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv58 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv48 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv0 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv45 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv16 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv26 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv16 16)) (or (= A0.V<4> (_ bv45 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv0 16)) (or (= A0.V<4> (_ bv1 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv48 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv51 16)) (= A0.V<4> (_ bv52 16))))))))))))))))))))))))))))) (not (= A0.V<3> (_ bv26 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.V<4> (_ bv32 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.V<4> (_ bv48 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.V<4> (_ bv16 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv38 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv23 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv22 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv7 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv13 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv31 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv5 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv6 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv12 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv6 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv5 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv2 16)) (or (= A0.V<4> (_ bv31 16)) (or (= A0.V<4> (_ bv1 16)) (or (= A0.V<4> (_ bv13 16)) (or (= A0.V<4> (_ bv7 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv22 16)) (or (= A0.V<4> (_ bv23 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv37 16)) (= A0.V<4> (_ bv38 16))))))))))))))))))))))))) (not (= A0.V<3> (_ bv12 16)))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.V<4> (_ bv21 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.V<4> (_ bv13 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.V<4> (_ bv29 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.V<4> (_ bv3 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.V<4> (_ bv4 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.V<4> (_ bv2 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv54 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv58 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv46 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv40 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv59 16)) (= A0.V<4> (_ bv48 16))))))
(assert (or (or (= A0.V<4> (_ bv48 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv40 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv46 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv60 16)) (or (= A0.V<4> (_ bv58 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv52 16)) (or (= A0.V<4> (_ bv53 16)) (= A0.V<4> (_ bv54 16)))))))))))))))))) (not (= A0.V<3> (_ bv59 16)))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.V<4> (_ bv58 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.V<4> (_ bv48 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.V<4> (_ bv40 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.V<4> (_ bv60 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.V<4> (_ bv53 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.V<4> (_ bv37 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.V<4> (_ bv54 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv59 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv57 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv53 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv37 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv16 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv48 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv61 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv42 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv61 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv48 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv16 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv37 16)) (or (= A0.V<4> (_ bv51 16)) (or (= A0.V<4> (_ bv52 16)) (or (or (= A0.V<4> (_ bv57 16)) (= A0.V<4> (_ bv59 16))) (= A0.V<4> (_ bv53 16)))))))))))))))))))))))) (not (= A0.V<3> (_ bv42 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.V<4> (_ bv32 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.V<4> (_ bv48 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.V<4> (_ bv57 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.V<4> (_ bv59 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv21 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv5 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv29 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv0 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv16 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv4 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv10 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv4 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv16 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv1 16)) (or (= A0.V<4> (_ bv0 16)) (or (= A0.V<4> (_ bv29 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv5 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv2 16)) (or (= A0.V<4> (_ bv21 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv35 16)) (= A0.V<4> (_ bv36 16)))))))))))))))))))))) (not (= A0.V<3> (_ bv10 16)))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.V<4> (_ bv9 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.V<4> (_ bv32 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.V<4> (_ bv16 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.V<4> (_ bv2 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.V<4> (_ bv1 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.V<4> (_ bv20 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.V<4> (_ bv3 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv57 16)) (= A0.V<4> (_ bv52 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv57 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv57 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv57 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv57 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv57 16)) (= A0.V<4> (_ bv40 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv57 16)) (= A0.V<4> (_ bv48 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv57 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv57 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv57 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv57 16)) (= A0.V<4> (_ bv58 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv57 16)) (= A0.V<4> (_ bv56 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv57 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv56 16)) (or (= A0.V<4> (_ bv58 16)) (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv48 16)) (or (= A0.V<4> (_ bv40 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv51 16)) (= A0.V<4> (_ bv52 16)))))))))))))) (not (= A0.V<3> (_ bv57 16)))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.V<4> (_ bv48 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.V<4> (_ bv40 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.V<4> (_ bv58 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.V<4> (_ bv56 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.V<4> (_ bv32 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.V<4> (_ bv52 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv57 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv40 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv20 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv0 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv3 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv16 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv8 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv10 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv12 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv48 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv25 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv48 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv12 16)) (or (= A0.V<4> (_ bv10 16)) (or (= A0.V<4> (_ bv8 16)) (or (= A0.V<4> (_ bv16 16)) (or (= A0.V<4> (_ bv3 16)) (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv2 16)) (or (= A0.V<4> (_ bv0 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv20 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv40 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv51 16)) (= A0.V<4> (_ bv50 16))))))))))))))))))))))))) (not (= A0.V<3> (_ bv25 16)))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.V<4> (_ bv32 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.V<4> (_ bv40 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.V<4> (_ bv24 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.V<4> (_ bv48 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.V<4> (_ bv16 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.V<4> (_ bv36 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv60 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv58 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv44 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv48 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv57 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv24 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv56 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv27 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv40 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv36 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv49 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv36 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv40 16)) (or (= A0.V<4> (_ bv27 16)) (or (= A0.V<4> (_ bv56 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv24 16)) (or (= A0.V<4> (_ bv50 16)) (or (= A0.V<4> (_ bv57 16)) (or (= A0.V<4> (_ bv48 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv44 16)) (or (= A0.V<4> (_ bv58 16)) (or (= A0.V<4> (_ bv59 16)) (= A0.V<4> (_ bv60 16))))))))))))))))))) (not (= A0.V<3> (_ bv49 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.V<4> (_ bv48 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.V<4> (_ bv40 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.V<4> (_ bv57 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.V<4> (_ bv58 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.V<4> (_ bv32 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.V<4> (_ bv56 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.V<4> (_ bv59 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.V<4> (_ bv24 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.V<4> (_ bv44 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.V<4> (_ bv27 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv49 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv48 16)) (= A0.V<4> (_ bv58 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv48 16)) (= A0.V<4> (_ bv57 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv48 16)) (= A0.V<4> (_ bv42 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv48 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv48 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv48 16)) (= A0.V<4> (_ bv59 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv48 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv48 16)) (= A0.V<4> (_ bv26 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv48 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv48 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv48 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv48 16)) (= A0.V<4> (_ bv56 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv48 16)) (= A0.V<4> (_ bv40 16))))))
(assert (or (or (= A0.V<4> (_ bv40 16)) (or (= A0.V<4> (_ bv56 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv26 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv59 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv42 16)) (or (= A0.V<4> (_ bv58 16)) (= A0.V<4> (_ bv57 16)))))))))))))) (not (= A0.V<3> (_ bv48 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.V<4> (_ bv40 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.V<4> (_ bv42 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.V<4> (_ bv56 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.V<4> (_ bv57 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.V<4> (_ bv58 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.V<4> (_ bv26 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.V<4> (_ bv59 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv48 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv16 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv32 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv19 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv25 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv1 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv2 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv9 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv35 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv11 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv17 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv18 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv24 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv18 16)) (or (= A0.V<4> (_ bv17 16)) (or (= A0.V<4> (_ bv11 16)) (or (= A0.V<4> (_ bv35 16)) (or (= A0.V<4> (_ bv9 16)) (or (= A0.V<4> (_ bv2 16)) (or (= A0.V<4> (_ bv1 16)) (or (= A0.V<4> (_ bv25 16)) (or (= A0.V<4> (_ bv19 16)) (or (= A0.V<4> (_ bv32 16)) (or (= A0.V<4> (_ bv16 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv49 16)) (= A0.V<4> (_ bv50 16)))))))))))))))))) (not (= A0.V<3> (_ bv24 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.V<4> (_ bv32 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.V<4> (_ bv25 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.V<4> (_ bv16 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.V<4> (_ bv17 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.V<4> (_ bv35 16)) (not (and A0.spref<3><10> (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.V<4> (_ bv18 16)) (not (and A0.spref<3><11> (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><12> (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.V<4> (_ bv9 16)) (not (and A0.spref<3><13> (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.V<4> (_ bv19 16)) (not (and A0.spref<3><14> (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.V<4> (_ bv11 16)) (not (and A0.spref<3><15> (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.V<4> (_ bv1 16)) (not (and A0.spref<3><16> (= A0.V<3> (_ bv24 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv56 16)) (= A0.V<4> (_ bv51 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv56 16)) (= A0.V<4> (_ bv50 16))))))
(assert (or (= A0.mtime<3> (/ 41 29)) (not (and (= A0.V<3> (_ bv56 16)) (= A0.V<4> (_ bv49 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv56 16)) (= A0.V<4> (_ bv43 16))))))
(assert (or (= A0.mtime<3> (/ 38 17)) (not (and (= A0.V<3> (_ bv56 16)) (= A0.V<4> (_ bv41 16))))))
(assert (or (= A0.mtime<3> (/ 137 38)) (not (and (= A0.V<3> (_ bv56 16)) (= A0.V<4> (_ bv34 16))))))
(assert (or (= A0.mtime<3> (/ 98 31)) (not (and (= A0.V<3> (_ bv56 16)) (= A0.V<4> (_ bv33 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv56 16)) (= A0.V<4> (_ bv57 16))))))
(assert (or (= A0.mtime<3> 1) (not (and (= A0.V<3> (_ bv56 16)) (= A0.V<4> (_ bv48 16))))))
(assert (or (or (= A0.V<4> (_ bv48 16)) (or (= A0.V<4> (_ bv57 16)) (or (= A0.V<4> (_ bv33 16)) (or (= A0.V<4> (_ bv34 16)) (or (= A0.V<4> (_ bv41 16)) (or (= A0.V<4> (_ bv43 16)) (or (= A0.V<4> (_ bv49 16)) (or (= A0.V<4> (_ bv51 16)) (= A0.V<4> (_ bv50 16)))))))))) (not (= A0.V<3> (_ bv56 16)))))
(assert (or (= A0.V<4> (_ bv41 16)) (not (and A0.spref<3><1> (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.V<4> (_ bv49 16)) (not (and A0.spref<3><2> (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.V<4> (_ bv48 16)) (not (and A0.spref<3><3> (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.V<4> (_ bv57 16)) (not (and A0.spref<3><4> (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.V<4> (_ bv50 16)) (not (and A0.spref<3><5> (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.V<4> (_ bv33 16)) (not (and A0.spref<3><6> (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.V<4> (_ bv34 16)) (not (and A0.spref<3><7> (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.V<4> (_ bv51 16)) (not (and A0.spref<3><8> (= A0.V<3> (_ bv56 16))))))
(assert (or (= A0.V<4> (_ bv43 16)) (not (and A0.spref<3><9> (= A0.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv15 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv15 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv15 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv15 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv15 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv15 16)) (= A1.V<4> (_ bv6 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv15 16)) (= A1.V<4> (_ bv5 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv15 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv15 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv15 16)) (= A1.V<4> (_ bv23 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv15 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv15 16)) (= A1.V<4> (_ bv7 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv15 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv7 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv23 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv5 16)) (or (= A1.V<4> (_ bv6 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv38 16)) (= A1.V<4> (_ bv37 16)))))))))))))) (not (= A1.V<3> (_ bv15 16)))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.V<4> (_ bv23 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.V<4> (_ bv22 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.V<4> (_ bv14 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.V<4> (_ bv7 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.V<4> (_ bv6 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.V<4> (_ bv5 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.V<4> (_ bv4 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv15 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv63 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv63 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv63 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv63 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv63 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv63 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv63 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv63 16)) (= A1.V<4> (_ bv62 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv63 16)) (= A1.V<4> (_ bv55 16))))))
(assert (or (or (= A1.V<4> (_ bv55 16)) (or (= A1.V<4> (_ bv62 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv46 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv54 16)) (= A1.V<4> (_ bv53 16)))))))))) (not (= A1.V<3> (_ bv63 16)))))
(assert (or (= A1.V<4> (_ bv62 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.V<4> (_ bv55 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv63 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv62 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv61 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv47 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv39 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv46 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv47 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv31 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv54 16)) (or (= A1.V<4> (_ bv61 16)) (= A1.V<4> (_ bv62 16)))))))))))))))))) (not (= A1.V<3> (_ bv39 16)))))
(assert (or (= A1.V<4> (_ bv61 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.V<4> (_ bv47 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.V<4> (_ bv62 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.V<4> (_ bv31 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.V<4> (_ bv22 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.V<4> (_ bv14 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv47 16)) (= A1.V<4> (_ bv62 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv47 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv47 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv47 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv47 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv47 16)) (= A1.V<4> (_ bv55 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv47 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv47 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv47 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv47 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv47 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv47 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv47 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv47 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv47 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (or (= A1.V<4> (_ bv53 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv54 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv55 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv39 16)) (or (= A1.V<4> (_ bv46 16)) (or (= A1.V<4> (_ bv62 16)) (= A1.V<4> (_ bv60 16)))))))))))))))) (not (= A1.V<3> (_ bv47 16)))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.V<4> (_ bv62 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.V<4> (_ bv55 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.V<4> (_ bv60 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.V<4> (_ bv39 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.V<4> (_ bv22 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv47 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv55 16)) (= A1.V<4> (_ bv61 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv55 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv55 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv55 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv55 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv55 16)) (= A1.V<4> (_ bv62 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv55 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv55 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv55 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv55 16)) (= A1.V<4> (_ bv63 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv55 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv55 16)) (= A1.V<4> (_ bv47 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv55 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (or (= A1.V<4> (_ bv54 16)) (or (= A1.V<4> (_ bv47 16)) (or (= A1.V<4> (_ bv60 16)) (or (= A1.V<4> (_ bv63 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv62 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv61 16)) (= A1.V<4> (_ bv46 16)))))))))))))) (not (= A1.V<3> (_ bv55 16)))))
(assert (or (= A1.V<4> (_ bv61 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.V<4> (_ bv62 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.V<4> (_ bv63 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.V<4> (_ bv47 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.V<4> (_ bv60 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv55 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv6 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv15 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv5 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv7 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv23 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv14 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv23 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv7 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv5 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv15 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv6 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv31 16)) (or (= A1.V<4> (_ bv37 16)) (= A1.V<4> (_ bv39 16))))))))))))))))))) (not (= A1.V<3> (_ bv14 16)))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.V<4> (_ bv22 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.V<4> (_ bv31 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.V<4> (_ bv39 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.V<4> (_ bv23 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.V<4> (_ bv13 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.V<4> (_ bv15 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.V<4> (_ bv6 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.V<4> (_ bv5 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.V<4> (_ bv7 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv14 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv6 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv5 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv15 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv47 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv23 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv28 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv39 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv23 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv47 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv2 16)) (or (= A1.V<4> (_ bv15 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv5 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv6 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv17 16)) (or (or (= A1.V<4> (_ bv54 16)) (= A1.V<4> (_ bv53 16))) (= A1.V<4> (_ bv51 16)))))))))))))))))))))))))))))))) (not (= A1.V<3> (_ bv28 16)))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.V<4> (_ bv47 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.V<4> (_ bv39 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv55 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv47 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv23 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv5 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv7 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv15 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv30 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv15 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv7 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv5 16)) (or (= A1.V<4> (_ bv31 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv23 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv39 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv47 16)) (or (= A1.V<4> (_ bv53 16)) (= A1.V<4> (_ bv55 16))))))))))))))))))))))))) (not (= A1.V<3> (_ bv30 16)))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.V<4> (_ bv39 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.V<4> (_ bv47 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.V<4> (_ bv55 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.V<4> (_ bv31 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.V<4> (_ bv22 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.V<4> (_ bv23 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv0 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv6 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv8 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv19 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv8 16)) (or (= A1.V<4> (_ bv6 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv2 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv0 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv44 16)) (= A1.V<4> (_ bv45 16))))))))))))))))))))))))))))) (not (= A1.V<3> (_ bv19 16)))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.V<4> (_ bv18 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.V<4> (_ bv11 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.V<4> (_ bv12 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.V<4> (_ bv25 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv48 16)) (= A1.V<4> (_ bv58 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv48 16)) (= A1.V<4> (_ bv57 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv48 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv48 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv48 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv48 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv48 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv48 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv48 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv48 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv48 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv48 16)) (= A1.V<4> (_ bv56 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv48 16)) (= A1.V<4> (_ bv40 16))))))
(assert (or (or (= A1.V<4> (_ bv40 16)) (or (= A1.V<4> (_ bv56 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv59 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv58 16)) (= A1.V<4> (_ bv57 16)))))))))))))) (not (= A1.V<3> (_ bv48 16)))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.V<4> (_ bv49 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.V<4> (_ bv58 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.V<4> (_ bv57 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.V<4> (_ bv41 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.V<4> (_ bv56 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.V<4> (_ bv40 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.V<4> (_ bv25 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv48 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv5 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv8 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv40 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv18 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv40 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv8 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv5 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv1 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv44 16)) (= A1.V<4> (_ bv43 16))))))))))))))))))))))))) (not (= A1.V<3> (_ bv18 16)))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.V<4> (_ bv25 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.V<4> (_ bv17 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.V<4> (_ bv41 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.V<4> (_ bv10 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.V<4> (_ bv11 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.V<4> (_ bv12 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv23 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv7 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv5 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv6 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv12 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv6 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv5 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv2 16)) (or (= A1.V<4> (_ bv31 16)) (or (= A1.V<4> (_ bv1 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv7 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv23 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv27 16)) (or (or (= A1.V<4> (_ bv38 16)) (= A1.V<4> (_ bv37 16))) (= A1.V<4> (_ bv29 16)))))))))))))))))))))))) (not (= A1.V<3> (_ bv12 16)))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.V<4> (_ bv13 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.V<4> (_ bv11 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.V<4> (_ bv22 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.V<4> (_ bv31 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.V<4> (_ bv18 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.V<4> (_ bv4 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.V<4> (_ bv5 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv5 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv0 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv16 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv10 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv16 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv1 16)) (or (= A1.V<4> (_ bv0 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv5 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv2 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv36 16)) (= A1.V<4> (_ bv35 16)))))))))))))))))))))) (not (= A1.V<3> (_ bv10 16)))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.V<4> (_ bv18 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.V<4> (_ bv11 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.V<4> (_ bv17 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.V<4> (_ bv25 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.V<4> (_ bv9 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.V<4> (_ bv2 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.V<4> (_ bv3 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.V<4> (_ bv16 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv8 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv8 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv8 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv8 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv8 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv8 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv8 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv8 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv8 16)) (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv8 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv8 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv8 16)) (= A1.V<4> (_ bv16 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv8 16)) (= A1.V<4> (_ bv0 16))))))
(assert (or (or (= A1.V<4> (_ bv0 16)) (or (= A1.V<4> (_ bv16 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv1 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv2 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv34 16)) (= A1.V<4> (_ bv33 16)))))))))))))) (not (= A1.V<3> (_ bv8 16)))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.V<4> (_ bv17 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.V<4> (_ bv25 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.V<4> (_ bv16 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.V<4> (_ bv18 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.V<4> (_ bv9 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.V<4> (_ bv1 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.V<4> (_ bv0 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.V<4> (_ bv2 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.V<4> (_ bv3 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv8 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv62 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv58 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv23 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv55 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv45 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv55 16)) (or (= A1.V<4> (_ bv23 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv46 16)) (or (= A1.V<4> (_ bv53 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv39 16)) (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv54 16)) (or (or (= A1.V<4> (_ bv62 16)) (= A1.V<4> (_ bv60 16))) (= A1.V<4> (_ bv58 16)))))))))))))))))))))))) (not (= A1.V<3> (_ bv45 16)))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.V<4> (_ bv60 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.V<4> (_ bv62 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.V<4> (_ bv55 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.V<4> (_ bv39 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv16 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv16 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv16 16)) (= A1.V<4> (_ bv8 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv16 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv16 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv16 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv16 16)) (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv16 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv16 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv16 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv16 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv16 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv16 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv16 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv16 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv1 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv8 16)) (or (= A1.V<4> (_ bv41 16)) (= A1.V<4> (_ bv42 16)))))))))))))))) (not (= A1.V<3> (_ bv16 16)))))
(assert (or (= A1.V<4> (_ bv25 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.V<4> (_ bv24 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.V<4> (_ bv17 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.V<4> (_ bv41 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.V<4> (_ bv9 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.V<4> (_ bv8 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.V<4> (_ bv10 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.V<4> (_ bv11 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.V<4> (_ bv1 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.V<4> (_ bv3 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv16 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv8 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv16 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv3 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv16 16)) (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv8 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv2 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv28 16)) (= A1.V<4> (_ bv29 16)))))))))))))))))) (not (= A1.V<3> (_ bv3 16)))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<4> (_ bv11 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<4> (_ bv12 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<4> (_ bv18 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<4> (_ bv10 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<4> (_ bv4 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<4> (_ bv13 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<4> (_ bv2 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<4> (_ bv22 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<4> (_ bv25 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<4> (_ bv14 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<4> (_ bv9 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.V<4> (_ bv16 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv62 16)) (= A1.V<4> (_ bv55 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv62 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv62 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv62 16)) (= A1.V<4> (_ bv47 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv62 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv62 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv62 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv62 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv62 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv62 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv62 16)) (= A1.V<4> (_ bv63 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv62 16)) (= A1.V<4> (_ bv61 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv62 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (or (= A1.V<4> (_ bv54 16)) (or (= A1.V<4> (_ bv61 16)) (or (= A1.V<4> (_ bv63 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv39 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv47 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv53 16)) (= A1.V<4> (_ bv55 16)))))))))))))) (not (= A1.V<3> (_ bv62 16)))))
(assert (or (= A1.V<4> (_ bv61 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.V<4> (_ bv63 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.V<4> (_ bv55 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.V<4> (_ bv47 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.V<4> (_ bv39 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv62 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv58 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv57 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv40 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv32 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv40 16)) (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv58 16)) (= A1.V<4> (_ bv57 16)))))))))))))))))) (not (= A1.V<3> (_ bv32 16)))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.V<4> (_ bv41 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.V<4> (_ bv49 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.V<4> (_ bv40 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.V<4> (_ bv58 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.V<4> (_ bv25 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.V<4> (_ bv57 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.V<4> (_ bv24 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.V<4> (_ bv17 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.V<4> (_ bv10 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv32 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv8 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv2 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv8 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv1 16)) (or (= A1.V<4> (_ bv28 16)) (= A1.V<4> (_ bv27 16)))))))))))))))) (not (= A1.V<3> (_ bv2 16)))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<4> (_ bv10 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<4> (_ bv11 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<4> (_ bv3 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<4> (_ bv12 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<4> (_ bv9 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<4> (_ bv17 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<4> (_ bv25 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<4> (_ bv1 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<4> (_ bv13 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<4> (_ bv24 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.V<4> (_ bv8 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv2 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv61 16)) (= A1.V<4> (_ bv55 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv61 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv61 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv61 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv61 16)) (= A1.V<4> (_ bv62 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv61 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv61 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv61 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv61 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv61 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv61 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv61 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv61 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv61 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv61 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (and (= A1.mtime<3> 0) (= A1.wtime<3> 0)) (not (and (= A1.V<3> (_ bv61 16)) (= A1.V<4> (_ bv61 16))))))
(assert (or (not (and (= A1.V<2> (_ bv61 16)) (= A1.V<3> (_ bv61 16)))) (= A1.V<4> (_ bv61 16))))
(assert (or (or (= A1.V<4> (_ bv61 16)) (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv46 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv39 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv62 16)) (or (= A1.V<4> (_ bv60 16)) (or (= A1.V<4> (_ bv53 16)) (or (= A1.V<4> (_ bv54 16)) (= A1.V<4> (_ bv55 16))))))))))))))))) (not (= A1.V<3> (_ bv61 16)))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv0 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv0 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv0 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv0 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv0 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv0 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv0 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv0 16)) (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv0 16)) (= A1.V<4> (_ bv8 16))))))
(assert (or (or (= A1.V<4> (_ bv8 16)) (or (= A1.V<4> (_ bv1 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv26 16)) (= A1.V<4> (_ bv25 16)))))))))) (not (= A1.V<3> (_ bv0 16)))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.V<4> (_ bv9 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.V<4> (_ bv17 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.V<4> (_ bv25 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.V<4> (_ bv8 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.V<4> (_ bv10 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.V<4> (_ bv1 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.V<4> (_ bv11 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv0 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv58 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv40 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv59 16)) (= A1.V<4> (_ bv48 16))))))
(assert (or (or (= A1.V<4> (_ bv48 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv40 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv46 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv60 16)) (or (= A1.V<4> (_ bv58 16)) (or (= A1.V<4> (_ bv51 16)) (or (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv54 16)) (= A1.V<4> (_ bv53 16)))) (= A1.V<4> (_ bv50 16)))))))))))))))) (not (= A1.V<3> (_ bv59 16)))))
(assert (or (= A1.V<4> (_ bv60 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.V<4> (_ bv58 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.V<4> (_ bv49 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.V<4> (_ bv48 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv59 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv48 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv0 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv16 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv26 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv16 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv0 16)) (or (= A1.V<4> (_ bv1 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv48 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv52 16)) (= A1.V<4> (_ bv51 16))))))))))))))))))))))))))))) (not (= A1.V<3> (_ bv26 16)))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.V<4> (_ bv25 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.V<4> (_ bv41 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.V<4> (_ bv18 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.V<4> (_ bv49 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv40 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv0 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv16 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv8 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv48 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv25 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv48 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv8 16)) (or (= A1.V<4> (_ bv16 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv2 16)) (or (= A1.V<4> (_ bv0 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv40 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv51 16)) (= A1.V<4> (_ bv50 16))))))))))))))))))))))))) (not (= A1.V<3> (_ bv25 16)))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.V<4> (_ bv32 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.V<4> (_ bv18 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.V<4> (_ bv17 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.V<4> (_ bv24 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.V<4> (_ bv40 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv62 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv56 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv57 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv58 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv61 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv51 16)) (= A1.V<4> (_ bv40 16))))))
(assert (or (or (= A1.V<4> (_ bv40 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv61 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv58 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv57 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv59 16)) (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv46 16)) (or (or (= A1.V<4> (_ bv62 16)) (= A1.V<4> (_ bv60 16))) (= A1.V<4> (_ bv56 16)))))))))))))))))))))))) (not (= A1.V<3> (_ bv51 16)))))
(assert (or (= A1.V<4> (_ bv61 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.V<4> (_ bv60 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.V<4> (_ bv62 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.V<4> (_ bv58 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.V<4> (_ bv57 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.V<4> (_ bv41 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv61 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv58 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv56 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv40 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv57 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv50 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv57 16)) (or (= A1.V<4> (_ bv40 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv56 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv58 16)) (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv59 16)) (or (= A1.V<4> (_ bv61 16)) (= A1.V<4> (_ bv60 16)))))))))))))))))))))) (not (= A1.V<3> (_ bv50 16)))))
(assert (or (= A1.V<4> (_ bv61 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.V<4> (_ bv60 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.V<4> (_ bv58 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.V<4> (_ bv49 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.V<4> (_ bv57 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.V<4> (_ bv41 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.V<4> (_ bv56 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv50 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv16 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv24 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv2 16)) (or (= A1.V<4> (_ bv1 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv16 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv50 16)) (= A1.V<4> (_ bv49 16)))))))))))))))))) (not (= A1.V<3> (_ bv24 16)))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.V<4> (_ bv25 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.V<4> (_ bv41 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.V<4> (_ bv32 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.V<4> (_ bv49 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.V<4> (_ bv17 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.V<4> (_ bv16 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.V<4> (_ bv18 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.V<4> (_ bv9 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.V<4> (_ bv11 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.V<4> (_ bv2 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv24 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv61 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv57 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv55 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv63 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv44 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv54 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv31 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv63 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv39 16)) (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv53 16)) (or (= A1.V<4> (_ bv55 16)) (or (= A1.V<4> (_ bv57 16)) (or (= A1.V<4> (_ bv61 16)) (= A1.V<4> (_ bv59 16))))))))))))))))))))))))))))) (not (= A1.V<3> (_ bv44 16)))))
(assert (or (= A1.V<4> (_ bv61 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.V<4> (_ bv55 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.V<4> (_ bv63 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv57 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv16 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv48 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv61 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv42 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv61 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv48 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv16 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv53 16)) (or (= A1.V<4> (_ bv57 16)) (= A1.V<4> (_ bv59 16))))))))))))))))))))))))) (not (= A1.V<3> (_ bv42 16)))))
(assert (or (= A1.V<4> (_ bv61 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.V<4> (_ bv41 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.V<4> (_ bv49 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.V<4> (_ bv57 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv40 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv40 16)) (= A1.V<4> (_ bv57 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv40 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv40 16)) (= A1.V<4> (_ bv48 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv40 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv40 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv40 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv40 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv40 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv40 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv40 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv40 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv40 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv40 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv40 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv48 16)) (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv57 16)) (= A1.V<4> (_ bv59 16)))))))))))))))) (not (= A1.V<3> (_ bv40 16)))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.V<4> (_ bv41 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.V<4> (_ bv49 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.V<4> (_ bv48 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.V<4> (_ bv57 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.V<4> (_ bv32 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.V<4> (_ bv25 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.V<4> (_ bv18 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.V<4> (_ bv17 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv40 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv62 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv61 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv23 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv55 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv58 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv47 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv36 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (or (= A1.V<4> (_ bv53 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv47 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv31 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv58 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv55 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv23 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv46 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv25 16)) (or (or (= A1.V<4> (_ bv61 16)) (= A1.V<4> (_ bv62 16))) (= A1.V<4> (_ bv59 16)))))))))))))))))))))))))))))))) (not (= A1.V<3> (_ bv36 16)))))
(assert (or (= A1.V<4> (_ bv61 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.V<4> (_ bv62 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.V<4> (_ bv55 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv61 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv58 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv16 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv57 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv40 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv48 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv35 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv48 16)) (or (= A1.V<4> (_ bv46 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv40 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv57 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv54 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv16 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv58 16)) (or (= A1.V<4> (_ bv61 16)) (= A1.V<4> (_ bv60 16))))))))))))))))))))))))))))))))) (not (= A1.V<3> (_ bv35 16)))))
(assert (or (= A1.V<4> (_ bv61 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.V<4> (_ bv60 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.V<4> (_ bv58 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv57 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv56 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv8 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv40 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv34 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv53 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv40 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv8 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv56 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv57 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv60 16)) (= A1.V<4> (_ bv59 16))))))))))))))))))))))))))))) (not (= A1.V<3> (_ bv34 16)))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.V<4> (_ bv60 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.V<4> (_ bv41 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.V<4> (_ bv49 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.V<4> (_ bv25 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv15 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv5 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv7 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv20 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv39 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv7 16)) (or (= A1.V<4> (_ bv5 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv1 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv15 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv31 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv46 16)) (= A1.V<4> (_ bv45 16))))))))))))))))))))))))))))) (not (= A1.V<3> (_ bv20 16)))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.V<4> (_ bv12 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.V<4> (_ bv39 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.V<4> (_ bv13 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv58 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv48 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv8 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv40 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv16 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv56 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv33 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv56 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv16 16)) (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv40 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv8 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv48 16)) (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv58 16)) (= A1.V<4> (_ bv59 16))))))))))))))))))))))))) (not (= A1.V<3> (_ bv33 16)))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.V<4> (_ bv41 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.V<4> (_ bv58 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.V<4> (_ bv25 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.V<4> (_ bv40 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.V<4> (_ bv32 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.V<4> (_ bv48 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv16 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv25 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv0 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv8 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv40 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv17 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv40 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv8 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv2 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv0 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv25 16)) (or (= A1.V<4> (_ bv16 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv43 16)) (= A1.V<4> (_ bv42 16)))))))))))))))))))))) (not (= A1.V<3> (_ bv17 16)))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.V<4> (_ bv25 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.V<4> (_ bv18 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.V<4> (_ bv24 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.V<4> (_ bv16 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.V<4> (_ bv32 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.V<4> (_ bv10 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.V<4> (_ bv9 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.V<4> (_ bv40 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.V<4> (_ bv11 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv16 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv6 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv0 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv5 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv11 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv5 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv2 16)) (or (= A1.V<4> (_ bv1 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv0 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv6 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv16 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv37 16)) (= A1.V<4> (_ bv36 16))))))))))))))))))))))))) (not (= A1.V<3> (_ bv11 16)))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.V<4> (_ bv12 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.V<4> (_ bv18 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.V<4> (_ bv10 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.V<4> (_ bv3 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.V<4> (_ bv22 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.V<4> (_ bv4 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv16 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv8 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv5 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv40 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv27 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv40 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv46 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv2 16)) (or (= A1.V<4> (_ bv1 16)) (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv5 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv8 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv16 16)) (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv53 16)) (= A1.V<4> (_ bv52 16))))))))))))))))))))))))))))))))) (not (= A1.V<3> (_ bv27 16)))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv55 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv23 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv6 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv7 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv29 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv39 16)) (or (= A1.V<4> (_ bv7 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv6 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv23 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv46 16)) (or (= A1.V<4> (_ bv54 16)) (= A1.V<4> (_ bv55 16))))))))))))))))))))))))))))) (not (= A1.V<3> (_ bv29 16)))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.V<4> (_ bv39 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.V<4> (_ bv55 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.V<4> (_ bv22 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv23 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv5 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv6 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv7 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv13 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv7 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv6 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv2 16)) (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv5 16)) (or (= A1.V<4> (_ bv23 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv38 16)) (= A1.V<4> (_ bv39 16)))))))))))))))))))))) (not (= A1.V<3> (_ bv13 16)))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.V<4> (_ bv22 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.V<4> (_ bv12 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.V<4> (_ bv14 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.V<4> (_ bv39 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.V<4> (_ bv23 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.V<4> (_ bv5 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.V<4> (_ bv4 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.V<4> (_ bv6 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv5 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv23 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv15 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv4 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv15 16)) (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv23 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv5 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv30 16)) (= A1.V<4> (_ bv29 16)))))))))))))))))) (not (= A1.V<3> (_ bv4 16)))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.V<4> (_ bv12 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.V<4> (_ bv13 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.V<4> (_ bv11 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.V<4> (_ bv5 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.V<4> (_ bv3 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.V<4> (_ bv14 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.V<4> (_ bv10 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.V<4> (_ bv23 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.V<4> (_ bv15 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.V<4> (_ bv17 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv4 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv6 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv6 16)) (= A1.V<4> (_ bv23 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv6 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv6 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv6 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv6 16)) (= A1.V<4> (_ bv15 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv6 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv6 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv6 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv6 16)) (= A1.V<4> (_ bv7 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv6 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv6 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv6 16)) (= A1.V<4> (_ bv5 16))))))
(assert (or (or (= A1.V<4> (_ bv5 16)) (or (= A1.V<4> (_ bv31 16)) (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv7 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv15 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv23 16)) (= A1.V<4> (_ bv29 16)))))))))))))) (not (= A1.V<3> (_ bv6 16)))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.V<4> (_ bv14 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.V<4> (_ bv13 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.V<4> (_ bv23 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.V<4> (_ bv31 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.V<4> (_ bv15 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.V<4> (_ bv5 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.V<4> (_ bv7 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.V<4> (_ bv12 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.V<4> (_ bv11 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv6 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv63 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv61 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv55 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv47 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv15 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv23 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv38 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv23 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv15 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv39 16)) (or (= A1.V<4> (_ bv46 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv31 16)) (or (= A1.V<4> (_ bv60 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv47 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv53 16)) (or (= A1.V<4> (_ bv55 16)) (or (= A1.V<4> (_ bv61 16)) (= A1.V<4> (_ bv63 16))))))))))))))))))))))))) (not (= A1.V<3> (_ bv38 16)))))
(assert (or (= A1.V<4> (_ bv61 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.V<4> (_ bv47 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.V<4> (_ bv55 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.V<4> (_ bv60 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.V<4> (_ bv39 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.V<4> (_ bv63 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.V<4> (_ bv31 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv1 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv8 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv0 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv16 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv9 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv16 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv2 16)) (or (= A1.V<4> (_ bv0 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv8 16)) (or (= A1.V<4> (_ bv1 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv35 16)) (= A1.V<4> (_ bv34 16))))))))))))))))))) (not (= A1.V<3> (_ bv9 16)))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.V<4> (_ bv18 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.V<4> (_ bv17 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.V<4> (_ bv19 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.V<4> (_ bv10 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.V<4> (_ bv16 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.V<4> (_ bv24 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.V<4> (_ bv8 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.V<4> (_ bv32 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.V<4> (_ bv2 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.V<4> (_ bv1 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.V<4> (_ bv3 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv9 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv58 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv56 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv40 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv16 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv48 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv19 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv41 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv19 16)) (or (= A1.V<4> (_ bv48 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv16 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv40 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv56 16)) (or (= A1.V<4> (_ bv60 16)) (= A1.V<4> (_ bv58 16)))))))))))))))))))))) (not (= A1.V<3> (_ bv41 16)))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.V<4> (_ bv60 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.V<4> (_ bv49 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.V<4> (_ bv58 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.V<4> (_ bv40 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.V<4> (_ bv48 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.V<4> (_ bv56 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.V<4> (_ bv32 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv41 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv55 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv61 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv47 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv60 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv47 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv61 16)) (or (= A1.V<4> (_ bv59 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv53 16)) (or (= A1.V<4> (_ bv54 16)) (= A1.V<4> (_ bv55 16)))))))))))))))))) (not (= A1.V<3> (_ bv60 16)))))
(assert (or (= A1.V<4> (_ bv61 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.V<4> (_ bv55 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.V<4> (_ bv47 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.V<4> (_ bv49 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv60 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv1 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv1 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv1 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv1 16)) (= A1.V<4> (_ bv16 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv1 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv1 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv1 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv1 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv1 16)) (= A1.V<4> (_ bv8 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv1 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv1 16)) (= A1.V<4> (_ bv9 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv1 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv1 16)) (= A1.V<4> (_ bv0 16))))))
(assert (or (or (= A1.V<4> (_ bv0 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv9 16)) (or (= A1.V<4> (_ bv2 16)) (or (= A1.V<4> (_ bv8 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv16 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv20 16)) (= A1.V<4> (_ bv27 16)))))))))))))) (not (= A1.V<3> (_ bv1 16)))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.V<4> (_ bv18 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.V<4> (_ bv10 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.V<4> (_ bv26 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.V<4> (_ bv9 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.V<4> (_ bv11 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.V<4> (_ bv2 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.V<4> (_ bv8 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.V<4> (_ bv16 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.V<4> (_ bv12 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.V<4> (_ bv24 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.V<4> (_ bv0 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv1 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv58 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv48 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv57 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv56 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv40 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv49 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv40 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv56 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv57 16)) (or (= A1.V<4> (_ bv48 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv58 16)) (or (= A1.V<4> (_ bv60 16)) (= A1.V<4> (_ bv59 16))))))))))))))))))) (not (= A1.V<3> (_ bv49 16)))))
(assert (or (= A1.V<4> (_ bv60 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.V<4> (_ bv58 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.V<4> (_ bv57 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.V<4> (_ bv41 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.V<4> (_ bv48 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.V<4> (_ bv56 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.V<4> (_ bv40 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.V<4> (_ bv32 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv49 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv58 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv56 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv48 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv62 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv17 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv24 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv43 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv24 16)) (or (= A1.V<4> (_ bv53 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv17 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv62 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv48 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv54 16)) (or (= A1.V<4> (_ bv56 16)) (or (= A1.V<4> (_ bv60 16)) (= A1.V<4> (_ bv58 16))))))))))))))))))))))))))))) (not (= A1.V<3> (_ bv43 16)))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.V<4> (_ bv60 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.V<4> (_ bv62 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.V<4> (_ bv58 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.V<4> (_ bv49 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv57 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv57 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv57 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv57 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv57 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv57 16)) (= A1.V<4> (_ bv40 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv57 16)) (= A1.V<4> (_ bv48 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv57 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv57 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv57 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv57 16)) (= A1.V<4> (_ bv58 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv57 16)) (= A1.V<4> (_ bv56 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv57 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv56 16)) (or (= A1.V<4> (_ bv58 16)) (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv48 16)) (or (= A1.V<4> (_ bv40 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv52 16)) (= A1.V<4> (_ bv51 16)))))))))))))) (not (= A1.V<3> (_ bv57 16)))))
(assert (or (= A1.V<4> (_ bv58 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.V<4> (_ bv49 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.V<4> (_ bv56 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.V<4> (_ bv48 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.V<4> (_ bv40 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.V<4> (_ bv32 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv57 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv56 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv56 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv56 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv56 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv56 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv56 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv56 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv56 16)) (= A1.V<4> (_ bv57 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv56 16)) (= A1.V<4> (_ bv48 16))))))
(assert (or (or (= A1.V<4> (_ bv48 16)) (or (= A1.V<4> (_ bv57 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv51 16)) (= A1.V<4> (_ bv50 16)))))))))) (not (= A1.V<3> (_ bv56 16)))))
(assert (or (= A1.V<4> (_ bv57 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.V<4> (_ bv49 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.V<4> (_ bv48 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.V<4> (_ bv41 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.V<4> (_ bv34 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv56 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv47 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv2 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv15 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv6 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv21 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv6 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv15 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv2 16)) (or (= A1.V<4> (_ bv31 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv46 16)) (= A1.V<4> (_ bv47 16))))))))))))))))))))))))) (not (= A1.V<3> (_ bv21 16)))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.V<4> (_ bv22 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.V<4> (_ bv47 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.V<4> (_ bv31 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.V<4> (_ bv13 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.V<4> (_ bv12 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.V<4> (_ bv14 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv62 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv58 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv47 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv61 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv63 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv34 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv53 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv34 16)) (or (= A1.V<4> (_ bv63 16)) (or (= A1.V<4> (_ bv31 16)) (or (= A1.V<4> (_ bv60 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv59 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv54 16)) (or (= A1.V<4> (_ bv61 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv46 16)) (or (= A1.V<4> (_ bv47 16)) (or (= A1.V<4> (_ bv62 16)) (= A1.V<4> (_ bv58 16)))))))))))))))))))))) (not (= A1.V<3> (_ bv53 16)))))
(assert (or (= A1.V<4> (_ bv61 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.V<4> (_ bv62 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.V<4> (_ bv60 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.V<4> (_ bv63 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.V<4> (_ bv47 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.V<4> (_ bv58 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv58 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv58 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv58 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv58 16)) (= A1.V<4> (_ bv57 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv58 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv58 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv58 16)) (= A1.V<4> (_ bv32 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv58 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv58 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv58 16)) (= A1.V<4> (_ bv48 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv58 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv58 16)) (= A1.V<4> (_ bv49 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv58 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv58 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv58 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv49 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv48 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv32 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv59 16)) (or (= A1.V<4> (_ bv57 16)) (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv53 16)) (= A1.V<4> (_ bv52 16)))))))))))))))) (not (= A1.V<3> (_ bv58 16)))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.V<4> (_ bv50 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.V<4> (_ bv57 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.V<4> (_ bv49 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.V<4> (_ bv41 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.V<4> (_ bv48 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.V<4> (_ bv33 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.V<4> (_ bv32 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv58 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv47 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv23 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv3 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv5 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv7 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv15 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv22 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv15 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv7 16)) (or (= A1.V<4> (_ bv5 16)) (or (= A1.V<4> (_ bv3 16)) (or (= A1.V<4> (_ bv23 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv31 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv39 16)) (or (= A1.V<4> (_ bv47 16)) (= A1.V<4> (_ bv45 16)))))))))))))))))))))) (not (= A1.V<3> (_ bv22 16)))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.V<4> (_ bv39 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.V<4> (_ bv31 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.V<4> (_ bv47 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.V<4> (_ bv23 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.V<4> (_ bv14 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.V<4> (_ bv13 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.V<4> (_ bv15 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv63 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv61 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv47 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv62 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv55 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv54 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv39 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv31 16)) (or (= A1.V<4> (_ bv60 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv55 16)) (or (= A1.V<4> (_ bv62 16)) (or (= A1.V<4> (_ bv53 16)) (or (= A1.V<4> (_ bv46 16)) (or (= A1.V<4> (_ bv47 16)) (or (= A1.V<4> (_ bv59 16)) (or (= A1.V<4> (_ bv61 16)) (= A1.V<4> (_ bv63 16))))))))))))))))))) (not (= A1.V<3> (_ bv54 16)))))
(assert (or (= A1.V<4> (_ bv61 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.V<4> (_ bv62 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.V<4> (_ bv60 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.V<4> (_ bv55 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.V<4> (_ bv63 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.V<4> (_ bv47 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.V<4> (_ bv39 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv54 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv63 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv61 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv55 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv47 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv23 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv46 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv31 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv23 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv47 16)) (or (= A1.V<4> (_ bv54 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv39 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv53 16)) (or (= A1.V<4> (_ bv55 16)) (or (= A1.V<4> (_ bv59 16)) (or (= A1.V<4> (_ bv61 16)) (= A1.V<4> (_ bv63 16)))))))))))))))))))))) (not (= A1.V<3> (_ bv46 16)))))
(assert (or (= A1.V<4> (_ bv61 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.V<4> (_ bv55 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.V<4> (_ bv47 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.V<4> (_ bv63 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.V<4> (_ bv39 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.V<4> (_ bv31 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv63 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv61 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv57 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv47 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv51 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv58 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv62 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv33 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv35 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv52 16)) (= A1.V<4> (_ bv41 16))))))
(assert (or (or (= A1.V<4> (_ bv41 16)) (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv35 16)) (or (= A1.V<4> (_ bv33 16)) (or (= A1.V<4> (_ bv62 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv59 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv58 16)) (or (= A1.V<4> (_ bv39 16)) (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv53 16)) (or (= A1.V<4> (_ bv60 16)) (or (= A1.V<4> (_ bv51 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv46 16)) (or (= A1.V<4> (_ bv47 16)) (or (= A1.V<4> (_ bv57 16)) (or (= A1.V<4> (_ bv61 16)) (= A1.V<4> (_ bv63 16))))))))))))))))))))))))) (not (= A1.V<3> (_ bv52 16)))))
(assert (or (= A1.V<4> (_ bv61 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.V<4> (_ bv60 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.V<4> (_ bv62 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.V<4> (_ bv51 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.V<4> (_ bv63 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.V<4> (_ bv58 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.V<4> (_ bv42 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.V<4> (_ bv35 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.V<4> (_ bv47 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv63 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv62 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv52 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv50 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv42 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv60 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv59 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv43 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv15 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv47 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv37 16)) (= A1.V<4> (_ bv26 16))))))
(assert (or (or (= A1.V<4> (_ bv26 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv47 16)) (or (= A1.V<4> (_ bv15 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv43 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv45 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv59 16)) (or (= A1.V<4> (_ bv31 16)) (or (= A1.V<4> (_ bv60 16)) (or (= A1.V<4> (_ bv42 16)) (or (= A1.V<4> (_ bv46 16)) (or (= A1.V<4> (_ bv50 16)) (or (= A1.V<4> (_ bv52 16)) (or (= A1.V<4> (_ bv54 16)) (or (= A1.V<4> (_ bv62 16)) (= A1.V<4> (_ bv63 16))))))))))))))))))))))))))))) (not (= A1.V<3> (_ bv37 16)))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.V<4> (_ bv52 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.V<4> (_ bv62 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.V<4> (_ bv60 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.V<4> (_ bv47 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.V<4> (_ bv43 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.V<4> (_ bv59 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.V<4> (_ bv63 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv37 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv23 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv23 16)) (= A1.V<4> (_ bv45 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv23 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv23 16)) (= A1.V<4> (_ bv15 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv23 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv23 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv23 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv23 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv23 16)) (= A1.V<4> (_ bv6 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv23 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv23 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv23 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv23 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv23 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv23 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv29 16)) (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv6 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv31 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv15 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv46 16)) (= A1.V<4> (_ bv45 16)))))))))))))))) (not (= A1.V<3> (_ bv23 16)))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.V<4> (_ bv31 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.V<4> (_ bv45 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.V<4> (_ bv22 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.V<4> (_ bv15 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.V<4> (_ bv14 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.V<4> (_ bv13 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.V<4> (_ bv12 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.V<4> (_ bv6 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.V<4> (_ bv4 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv23 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv7 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv7 16)) (= A1.V<4> (_ bv29 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv7 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv7 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv7 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv7 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv7 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv7 16)) (= A1.V<4> (_ bv15 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv7 16)) (= A1.V<4> (_ bv6 16))))))
(assert (or (or (= A1.V<4> (_ bv6 16)) (or (= A1.V<4> (_ bv15 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv30 16)) (= A1.V<4> (_ bv29 16)))))))))) (not (= A1.V<3> (_ bv7 16)))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.V<4> (_ bv15 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.V<4> (_ bv22 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.V<4> (_ bv14 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.V<4> (_ bv29 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.V<4> (_ bv6 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.V<4> (_ bv13 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.V<4> (_ bv12 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv7 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv54 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv53 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv46 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv44 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv23 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv36 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv39 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv5 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv6 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv38 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv21 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv31 16)) (= A1.V<4> (_ bv37 16))))))
(assert (or (or (= A1.V<4> (_ bv37 16)) (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv21 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv38 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv6 16)) (or (= A1.V<4> (_ bv5 16)) (or (= A1.V<4> (_ bv39 16)) (or (= A1.V<4> (_ bv36 16)) (or (= A1.V<4> (_ bv23 16)) (or (= A1.V<4> (_ bv30 16)) (or (= A1.V<4> (_ bv44 16)) (or (= A1.V<4> (_ bv46 16)) (or (= A1.V<4> (_ bv54 16)) (= A1.V<4> (_ bv53 16)))))))))))))))))) (not (= A1.V<3> (_ bv31 16)))))
(assert (or (= A1.V<4> (_ bv46 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.V<4> (_ bv54 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.V<4> (_ bv38 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.V<4> (_ bv53 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.V<4> (_ bv39 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.V<4> (_ bv37 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.V<4> (_ bv44 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.V<4> (_ bv36 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.V<4> (_ bv23 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.V<4> (_ bv22 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.V<4> (_ bv21 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.V<4> (_ bv14 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.V<4> (_ bv12 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.V<4> (_ bv6 16)) (not (and A1.spref<3><16> (= A1.V<3> (_ bv31 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv5 16)) (= A1.V<4> (_ bv31 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv5 16)) (= A1.V<4> (_ bv30 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv5 16)) (= A1.V<4> (_ bv4 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv5 16)) (= A1.V<4> (_ bv13 16))))))
(assert (or (= A1.mtime<3> 1) (not (and (= A1.V<3> (_ bv5 16)) (= A1.V<4> (_ bv6 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv5 16)) (= A1.V<4> (_ bv10 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv5 16)) (= A1.V<4> (_ bv11 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv5 16)) (= A1.V<4> (_ bv12 16))))))
(assert (or (= A1.mtime<3> (/ 41 29)) (not (and (= A1.V<3> (_ bv5 16)) (= A1.V<4> (_ bv14 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv5 16)) (= A1.V<4> (_ bv27 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv5 16)) (= A1.V<4> (_ bv15 16))))))
(assert (or (= A1.mtime<3> (/ 98 31)) (not (and (= A1.V<3> (_ bv5 16)) (= A1.V<4> (_ bv28 16))))))
(assert (or (= A1.mtime<3> (/ 137 38)) (not (and (= A1.V<3> (_ bv5 16)) (= A1.V<4> (_ bv18 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv5 16)) (= A1.V<4> (_ bv20 16))))))
(assert (or (= A1.mtime<3> (/ 38 17)) (not (and (= A1.V<3> (_ bv5 16)) (= A1.V<4> (_ bv22 16))))))
(assert (or (or (= A1.V<4> (_ bv22 16)) (or (= A1.V<4> (_ bv20 16)) (or (= A1.V<4> (_ bv18 16)) (or (= A1.V<4> (_ bv28 16)) (or (= A1.V<4> (_ bv15 16)) (or (= A1.V<4> (_ bv27 16)) (or (= A1.V<4> (_ bv14 16)) (or (= A1.V<4> (_ bv12 16)) (or (= A1.V<4> (_ bv11 16)) (or (= A1.V<4> (_ bv10 16)) (or (= A1.V<4> (_ bv6 16)) (or (= A1.V<4> (_ bv13 16)) (or (= A1.V<4> (_ bv4 16)) (or (= A1.V<4> (_ bv30 16)) (= A1.V<4> (_ bv31 16)))))))))))))))) (not (= A1.V<3> (_ bv5 16)))))
(assert (or (= A1.V<4> (_ bv13 16)) (not (and A1.spref<3><1> (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.V<4> (_ bv30 16)) (not (and A1.spref<3><2> (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.V<4> (_ bv28 16)) (not (and A1.spref<3><3> (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.V<4> (_ bv20 16)) (not (and A1.spref<3><4> (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.V<4> (_ bv22 16)) (not (and A1.spref<3><5> (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.V<4> (_ bv12 16)) (not (and A1.spref<3><6> (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.V<4> (_ bv14 16)) (not (and A1.spref<3><7> (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.V<4> (_ bv31 16)) (not (and A1.spref<3><8> (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.V<4> (_ bv27 16)) (not (and A1.spref<3><9> (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.V<4> (_ bv4 16)) (not (and A1.spref<3><10> (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.V<4> (_ bv6 16)) (not (and A1.spref<3><11> (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.V<4> (_ bv11 16)) (not (and A1.spref<3><12> (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.V<4> (_ bv15 16)) (not (and A1.spref<3><13> (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.V<4> (_ bv18 16)) (not (and A1.spref<3><14> (= A1.V<3> (_ bv5 16))))))
(assert (or (= A1.V<4> (_ bv10 16)) (not (and A1.spref<3><15> (= A1.V<3> (_ bv5 16))))))
(declare-const kass4 Bool)
(assert (or (= objtime A1.wtime<4>) (not kass4)))
(assert (or (not kass4) (= A1.mtime<4> 0)))
(assert (or (not kass4) (= objtime A0.wtime<4>)))
(assert (or (not kass4) (= A0.mtime<4> 0)))
(push 1)
(assert kass4)
(assert (= A1.V<4> (_ bv61 16)))
(assert (= A0.V<4> (_ bv41 16)))
(assert (= (+ objtime (+ (* (- 1) A0.atime<4>) (* (- 1) A1.atime<4>))) 0))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 79 25))) (or (<= (- (/ 56 33)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv44 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 150 47))) (or (<= (- (/ 56 47)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv52 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 79 25))) (or (<= (- (/ 93 41)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv60 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv44 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 98 31))) (or (<= 0 (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv54 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv44 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 98 31))) (or (<= (/ 98 31) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv38 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv44 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 177 56))) (or (<= (/ 79 71) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv37 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv44 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 79 25))) (or (<= (- (/ 29 26)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv36 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv44 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 177 56))) (or (<= (- (/ 19 16)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv62 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv44 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 98 31))) (or (<= (- (/ 36 31)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv44 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv44 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 177 56))) (or (<= (/ 17 16) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv30 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv44 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 139 44))) (or (<= (- (/ 124 49)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv20 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv44 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 79 25))) (or (<= (- (/ 80 41)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv21 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv44 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 177 56))) (or (<= (- (/ 47 64)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv53 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv44 16)))))))))
(assert (or (<= (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 79 25))) (or (<= (- (/ 52 23)) (+ A0.atime<0> (+ A0.wtime<0> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv28 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<0> (_ bv39 16))) (not (= A0.V<1> (_ bv44 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 3 8))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv61 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 29 28))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv59 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 218 131))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv57 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv55 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv53 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 74 39))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv49 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv39 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv38 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv37 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv35 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv63 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv34 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 37 186))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv36 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 17 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv52 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv45 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 19 30))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv19 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 81 73))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv18 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv31 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 34 19))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv50 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 2 39))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv21 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 41 29))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv51 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1 116))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv22 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) 0) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv54 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 218 131))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv25 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 17 19))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv27 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1 44))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv29 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 74 39))) (or (<= (/ 58 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv33 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 37 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv60 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 74 39) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv54 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 74 39) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv38 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv37 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv36 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 218 131) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv62 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv35 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 17 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv51 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= 1 (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv44 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 218 131) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv30 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 27 38) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv20 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 81 73) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv21 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 34 19) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv53 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 37 41) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv28 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 17 29))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 15 47))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv57 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 37 40))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv49 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 41 29))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv35 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 38 17))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv34 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 39 44))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv18 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 57 100))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv50 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) 0) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv51 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 159 50))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv25 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (/ 4 17)) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv27 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 117 37))) (or (<= (/ 41 29) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv33 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 23 40))) (or (<= (/ 163 82) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv60 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 24 47))) (or (<= (/ 56 51) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv59 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 26 47))) (or (<= (/ 73 48) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv51 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 24 47))) (or (<= (/ 117 37) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv45 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 26 47))) (or (<= (/ 38 17) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv44 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>)))) (- (/ 23 40))) (or (<= (/ 159 50) (+ A0.atime<1> (+ A0.wtime<1> (+ (* (- 1) A1.atime<1>) (* (- 1) A1.wtime<1>))))) (or (not (= A1.V<2> (_ bv53 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<1> (_ bv44 16))) (not (= A0.V<2> (_ bv43 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv60 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv58 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv56 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv54 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv52 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv48 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv38 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv37 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv36 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv34 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv62 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv33 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv35 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv51 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv44 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv18 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv17 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv30 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv49 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv20 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv50 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv21 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv53 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv24 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv26 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv28 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- (/ 1001 1000))) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv52 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv32 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv60 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv58 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv56 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv54 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv48 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv38 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv37 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv36 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv34 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv62 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv33 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv35 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv42 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv51 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= 1 (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv44 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv18 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv17 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv30 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv49 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv20 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv50 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv21 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv53 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv24 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv26 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv28 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>)))) (- 1)) (or (<= (/ 1001 1000) (+ A0.atime<2> (+ A0.wtime<2> (+ (* (- 1) A1.atime<2>) (* (- 1) A1.wtime<2>))))) (or (not (= A1.V<3> (_ bv32 16))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= (- (/ 71 177)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv60 16)))))))))
(assert (or (<= (- (/ 13 72)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv58 16)))))))))
(assert (or (<= (/ 8 49) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv56 16)))))))))
(assert (or (<= (- (/ 17 44)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv54 16)))))))))
(assert (or (<= (/ 21 43) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv48 16)))))))))
(assert (or (<= (- (/ 5 21)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv38 16)))))))))
(assert (or (<= (- (/ 13 72)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv37 16)))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv36 16)))))))))
(assert (or (<= (/ 41 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv34 16)))))))))
(assert (or (<= (- (/ 9 22)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv62 16)))))))))
(assert (or (<= (/ 38 17) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv33 16)))))))))
(assert (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv35 16)))))))))
(assert (or (<= (- (/ 44 133)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv51 16)))))))))
(assert (or (<= (- (/ 44 133)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv44 16)))))))))
(assert (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv18 16)))))))))
(assert (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv17 16)))))))))
(assert (or (<= (- (/ 7 58)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv30 16)))))))))
(assert (or (<= (/ 8 27) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv49 16)))))))))
(assert (or (<= (/ 21 43) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv20 16)))))))))
(assert (or (<= 0 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv50 16)))))))))
(assert (or (<= (/ 8 49) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv21 16)))))))))
(assert (or (<= (- (/ 71 177)) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv53 16)))))))))
(assert (or (<= (/ 54 23) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv24 16)))))))))
(assert (or (<= (/ 38 17) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv26 16)))))))))
(assert (or (<= (/ 8 27) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv28 16)))))))))
(assert (or (<= (/ 51 25) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv32 16)))))))))
(assert (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 54 23))) (or (not (= A1.V<2> (_ bv60 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 51 25))) (or (not (= A1.V<2> (_ bv59 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A1.V<2> (_ bv51 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 27 34))) (or (not (= A1.V<2> (_ bv49 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 51 25))) (or (not (= A1.V<2> (_ bv45 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 38 17))) (or (not (= A1.V<2> (_ bv44 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 41 43))) (or (not (= A1.V<2> (_ bv57 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 87 131))) (or (not (= A1.V<2> (_ bv56 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- 1)) (or (not (= A1.V<2> (_ bv42 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 54 23))) (or (not (= A1.V<2> (_ bv53 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(assert (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<2>) (* (- 1) A0.wtime<2>)))) (- (/ 17 41))) (or (not (= A1.V<2> (_ bv41 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<2> (_ bv43 16))) (not (= A0.V<3> (_ bv42 16)))))))))
(set-info :status sat)
(check-sat)
(assert (or (<= (/ 37 186) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv41 16)))))))))
(assert (or (<= (/ 15 31) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv53 16)))))))))
(assert (or (<= (/ 3 8) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv52 16)))))))))
(assert (or (<= (/ 29 32) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv37 16)))))))))
(assert (or (<= (/ 29 28) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv36 16)))))))))
(assert (or (<= (/ 41 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv35 16)))))))))
(assert (or (<= 1 (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv34 16)))))))))
(assert (or (<= (/ 17 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv43 16)))))))))
(assert (or (<= (/ 74 39) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv17 16)))))))))
(assert (or (<= (/ 218 131) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv16 16)))))))))
(assert (or (<= (/ 7 6) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv29 16)))))))))
(assert (or (<= (/ 1 44) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv48 16)))))))))
(assert (or (<= (/ 74 39) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv19 16)))))))))
(assert (or (<= (/ 1 4) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv61 16)))))))))
(assert (or (<= (/ 17 19) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv32 16)))))))))
(assert (or (<= (/ 218 131) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv20 16)))))))))
(assert (or (<= (/ 41 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv33 16)))))))))
(assert (or (<= (/ 34 19) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv25 16)))))))))
(assert (or (<= (/ 34 19) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 58 41))) (or (not (= A1.V<2> (_ bv43 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv27 16)))))))))
(assert (or (<= (/ 36 143) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 218 131))) (or (not (= A1.V<2> (_ bv60 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv41 16)))))))))
(assert (or (<= (/ 11 34) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 74 39))) (or (not (= A1.V<2> (_ bv59 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv41 16)))))))))
(assert (or (<= (/ 25 88) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 34 19))) (or (not (= A1.V<2> (_ bv51 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv41 16)))))))))
(assert (or (<= (/ 26 47) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 34 19))) (or (not (= A1.V<2> (_ bv49 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv41 16)))))))))
(assert (or (<= (/ 3 37) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 19 30))) (or (not (= A1.V<2> (_ bv45 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv41 16)))))))))
(assert (or (<= (/ 7 60) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 17 19))) (or (not (= A1.V<2> (_ bv44 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv41 16)))))))))
(assert (or (<= (/ 20 39) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 74 39))) (or (not (= A1.V<2> (_ bv57 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv41 16)))))))))
(assert (or (<= (/ 23 40) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 152 91))) (or (not (= A1.V<2> (_ bv56 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv41 16)))))))))
(assert (or (<= (/ 17 41) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- 1)) (or (not (= A1.V<2> (_ bv42 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv41 16)))))))))
(assert (or (<= (/ 26 47) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 47 38))) (or (not (= A1.V<2> (_ bv40 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv41 16)))))))))
(assert (or (<= (/ 4 27) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 81 73))) (or (not (= A1.V<2> (_ bv53 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv41 16)))))))))
(assert (or (<= (/ 17 29) (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>))))) (or (<= (+ A1.atime<1> (+ A1.wtime<1> (+ (* (- 1) A0.atime<3>) (* (- 1) A0.wtime<3>)))) (- (/ 41 29))) (or (not (= A1.V<2> (_ bv41 16))) (or (not (= A1.V<1> (_ bv34 16))) (or (not (= A0.V<3> (_ bv42 16))) (not (= A0.V<4> (_ bv41 16)))))))))
(set-info :status sat)
(check-sat)
(assert (<= (/ 449 38) objtime))
(assert (<= objtime (/ 85025 5394)))
(set-info :status sat)
(check-sat)
(exit)
